(*
  OThree.m

  Date last modified:  7 January 2010

  Contains the third-order boundary operator \tilde{\delta}_{1,2}
  in dimension n with weight w.  See the notebook OThreed.nb.

  The PThree.m file seems to contain David Grant's P_3 operator.  It seems
  that PThree.m was originally constructed at a much earlier date than
  OThree.m.  The relation between the two files seems to be as follows.
  Start with OThree.m.  Set w equal to 2 - n/2.  Hook on a scaling factor of -1/2.
  Then add on some lower-order terms.  The result seems to be PThree.m.
*)

3*(-2 + w)*f[] [L[a], U[a]]*Hmc - 
   (-2 + w)*(-1 + w)*w*(-2 + n + 2*w)*f*Hmc^3 + 
   3*(-2 + w)*(-1 + w)*(-2 + n + 2*w)*f[] [L[a]]*Hmc^2*Nvec[U[a]] - 
   3*f[] [L[a], U[a], L[b]]*Nvec[U[b]] - 
   3*(-2 + w)*(-2 + n + 2*w)*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] + 
   (-2 + n + 2*w)*f[] [L[a], L[b], L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 
   3*(-2 + w)*w*(-2 + n + 2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] + 
   w*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] + 
   3*(-2 + w)*w*f*Hmc*P[L[a], U[a]] - w*f[] [L[b]]*Nvec[U[b]]*P[L[a], U[a]] + 
   (-2 + n + 2*w)*(-2 + 3*w)*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
    P[L[b], L[c]] - 2*w*f[] [L[a]]*Nvec[U[a]]*P[L[b], U[b]] - 
   3*w*f*Nvec[U[a]]*P[L[b], U[b]] [L[a]] - 
   2*(-2 + n + 2*w)*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]]

(**** End of file ****)
