(*
  IPanW.m

  Date last modified:  26 May 2010

  Contains the operator

    - \bar{Y}^A \bar{\Box} \bar{D}_A

  as acting on a density of weight w.  In a sense, this is the
  intrinsic Paneitz operator acting on a density of general weight w.
*)

f[][L[a],U[a],L[b],U[b]]-
f[][L[a],L[b],L[c],U[c]]*Nvec[U[a]]*Nvec[U[b]]-
f[][L[b],L[c],U[c]]*Nvec[U[a]][L[a]]*Nvec[U[b]]-
2*f[][L[a],L[b],L[c]]*Nvec[U[a]][U[c]]*Nvec[U[b]]-
f[][L[a],L[b]]*Nvec[U[a]][L[c],U[c]]*Nvec[U[b]]-
2*f[][L[a],L[b],L[c]]*Nvec[U[a]]*Nvec[U[b]][U[c]]-
2*f[][L[a],L[b]]*Nvec[U[a]][L[c]]*Nvec[U[b]][U[c]]-
(w*f*Nvec[U[a]][L[b],L[c]]*Nvec[U[b]][L[a],U[c]])/(-2+n)-
f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]][L[c],U[c]]-
f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]][L[c],U[c]]-
(w*f*Nvec[U[a]][L[b]]*Nvec[U[b]][L[a],L[c],U[c]])/(-2+n)-
f[][L[a],U[a],L[b],L[c]]*Nvec[U[b]]*Nvec[U[c]]-
f[][L[a],U[a],L[c]]*Nvec[U[b]][L[b]]*Nvec[U[c]]-
((6-2*n-5*w+n*w)*f[][L[a],U[a]]*Nvec[U[b]][L[c]]*
Nvec[U[c]][L[b]])/((-3+n)*(-2+n))-
2*f[][L[a],L[b]]*Nvec[U[a]][U[b]]*Nvec[U[c]][L[c]]+
(w*f*Nvec[U[a]][L[a],L[b],U[b]]*Nvec[U[c]][L[c]])/(2*(-2+n))+
((6-2*n-5*w+n*w)*f[][L[a],U[a]]*Nvec[U[b]][L[b]]*
Nvec[U[c]][L[c]])/((-3+n)*(-2+n))+
(2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[b]][U[a]]*Nvec[U[c]][L[c]])/
(-3+n)+((3-n-8*w+2*n*w)*f[][L[a]]*Nvec[U[b]][L[b],U[a]]*
Nvec[U[c]][L[c]])/(2*(-3+n)*(-2+n))+
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]][U[a],L[b]]*Nvec[U[c]][L[c]])/
(-3+n)-(2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[b]][L[c]]*
Nvec[U[c]][U[a]])/(-3+n)+
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*
Nvec[U[b]][L[d]]*Nvec[U[c]][U[d]])/(-3+n)^2-
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]][U[a]]*Nvec[U[c]][L[b],L[c]])/
(-3+n)-((3-n-8*w+2*n*w)*f[][L[a]]*Nvec[U[b]][L[c]]*
Nvec[U[c]][L[b],U[a]])/((-3+n)*(-2+n))+
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]][U[a]]*Nvec[U[c]][L[c],L[b]])/
(-3+n)+((3-n-8*w+2*n*w)*f[][L[a]]*Nvec[U[b]][L[b]]*
Nvec[U[c]][L[c],U[a]])/(2*(-3+n)*(-2+n))-
2*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[c]][L[c],U[b]]-
2*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[c]][L[c],U[b]]+
(w*f*Nvec[U[a]][L[a],L[b]]*Nvec[U[c]][L[c],U[b]])/(-2+n)-
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]][L[c]]*Nvec[U[c]][U[a],L[b]])/
(-3+n)-f[][L[b]]*Nvec[U[b]]*Nvec[U[c]][L[c],L[a],U[a]]+
(w*f*Nvec[U[b]][L[b]]*Nvec[U[c]][L[c],L[a],U[a]])/(2*(-2+n))+
f[][L[a],L[b],L[c],L[d]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]+
f[][L[b],L[c],L[d]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]]+2*f[][L[a],L[b],L[c]]*Nvec[U[a]][L[d]]*Nvec[U[b]]*
Nvec[U[c]]*Nvec[U[d]]+f[][L[a],L[b]]*Nvec[U[a]][L[c],L[d]]*
Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]+
2*f[][L[a],L[b],L[c]]*Nvec[U[a]]*Nvec[U[b]][L[d]]*Nvec[U[c]]*
Nvec[U[d]]+2*f[][L[a],L[b]]*Nvec[U[a]][L[c]]*Nvec[U[b]][L[d]]*
Nvec[U[c]]*Nvec[U[d]]+f[][L[a],L[b]]*Nvec[U[a]]*
Nvec[U[b]][L[c],L[d]]*Nvec[U[c]]*Nvec[U[d]]+
f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]][L[c],L[d]]*Nvec[U[c]]*
Nvec[U[d]]+f[][L[a],L[b],L[d]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]]+
f[][L[b],L[d]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]]+(2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[a]]*
Nvec[U[b]][L[c]]*Nvec[U[c]][L[d]]*Nvec[U[d]])/(-3+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[b]][L[c]]*
Nvec[U[c]][L[d]]*Nvec[U[d]])/(-3+n)-
((-3+n+2*w)*f[][L[a]]*Nvec[L[b]][L[c]]*Nvec[U[b]][L[d]]*
Nvec[U[c]][U[a]]*Nvec[U[d]])/(-3+n)+
(2*(-3+n+2*w)*f[][L[c]]*Nvec[U[a]][L[b]]*Nvec[U[b]][L[d]]*
Nvec[U[c]]*Nvec[U[d]][L[a]])/(-3+n)-
(2*(-3+n+2*w)*f[][L[c]]*Nvec[U[a]][L[a]]*Nvec[U[b]][L[d]]*
Nvec[U[c]]*Nvec[U[d]][L[b]])/(-3+n)+
((6-2*n-5*w+n*w)*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[d]]*Nvec[U[d]][L[c]])/((-3+n)*(-2+n))+
((6-2*n-5*w+n*w)*f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*
Nvec[U[c]][L[d]]*Nvec[U[d]][L[c]])/((-3+n)*(-2+n))+
(w*(-39+28*n-5*n^2+23*w-12*n*w+n^2*w)*f*Nvec[U[a]][L[b]]*
Nvec[U[b]][L[a]]*Nvec[U[c]][L[d]]*Nvec[U[d]][L[c]])/
(4*(-3+n)^2*(-2+n)^2)-
(w*(-39+28*n-5*n^2+23*w-12*n*w+n^2*w)*f*Nvec[U[a]][L[a]]*
Nvec[U[b]][L[b]]*Nvec[U[c]][L[d]]*Nvec[U[d]][L[c]])/
(2*(-3+n)^2*(-2+n)^2)-
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*
Nvec[U[b]][U[c]]*Nvec[U[d]][L[d]])/(-3+n)^2+
3*f[][L[a],L[b]]*Nvec[U[a]][L[c]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[d]]-((-3+n+4*w)*f[][L[a],L[b]]*Nvec[U[a]]*
Nvec[U[b]][L[c]]*Nvec[U[c]]*Nvec[U[d]][L[d]])/(-3+n)-
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[b]][L[c]]*
Nvec[U[c]]*Nvec[U[d]][L[d]])/(-3+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[L[b]][L[c]]*Nvec[U[b]][U[a]]*
Nvec[U[c]]*Nvec[U[d]][L[d]])/(-3+n)+
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]][L[d]])/(-3+n)^2-
((6-2*n-5*w+n*w)*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]][L[d]])/((-3+n)*(-2+n))-
((6-2*n-5*w+n*w)*f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]][L[d]])/((-3+n)*(-2+n))+
f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]][L[d]]+(w*(-39+28*n-5*n^2+23*w-12*n*w+n^2*w)*f*
Nvec[U[a]][L[a]]*Nvec[U[b]][L[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]][L[d]])/(4*(-3+n)^2*(-2+n)^2)-
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*
Nvec[U[c]][U[b]]*Nvec[U[d]][L[d]])/(-3+n)^2-
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[b],L[c]]*
Nvec[U[d]][L[d]])/(-3+n)-
((3-n-8*w+2*n*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c],L[b]]*Nvec[U[d]][L[d]])/(2*(-3+n)*(-2+n))-
(w*f*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[c],L[b]]*
Nvec[U[d]][L[d]])/(2*(-2+n))-
(w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[c],L[a],L[b]]*
Nvec[U[d]][L[d]])/(2*(-2+n))+
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Nvec[U[d]][L[b],L[c]])/(-3+n)+
((3-n-8*w+2*n*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[d]]*Nvec[U[d]][L[c],L[b]])/((-3+n)*(-2+n))+
(w*f*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Nvec[U[d]][L[c],L[b]])/(-2+n)+
(w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[d],L[a]]*
Nvec[U[d]][L[c],L[b]])/(-2+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[b]]*
Nvec[U[d]][L[c],L[d]])/(-3+n)+
((9-9*n+2*n^2+8*w-2*n*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]][L[d],L[b]])/(2*(-3+n)*(-2+n))-
(w*f*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]][L[d],L[b]])/(2*(-2+n))-
(w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[c],L[a]]*
Nvec[U[d]][L[d],L[b]])/(-2+n)+
2*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[d],L[c]]+2*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[b]]*
Nvec[U[c]]*Nvec[U[d]][L[d],L[c]]-
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[b]]*
Nvec[U[d]][L[d],L[c]])/(-3+n)+
(w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Nvec[U[d]][L[c],L[a],L[b]])/(-2+n)-
(w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]][L[d],L[a],L[b]])/(2*(-2+n))+
f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[d],L[b],L[c]]+
((-3+n+2*w)*f[][L[a]]*Nvec[L[b]][L[c]]*Nvec[U[a]]*
Nvec[U[b]][L[d]]*Nvec[U[c]][L[e]]*Nvec[U[d]]*Nvec[U[e]])/(-3+n)-
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*
Nvec[U[b]][L[d]]*Nvec[U[c]][L[e]]*Nvec[U[d]]*Nvec[U[e]])/(-3+n)^2-
((-3+n+2*w)*f[][L[a]]*Nvec[L[b]][L[c]]*Nvec[U[a]]*
Nvec[U[b]][L[d]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]][L[e]])/(-3+n)+
(2*w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*Nvec[U[b]]*
Nvec[U[c]][L[d]]*Nvec[U[d]]*Nvec[U[e]][L[e]])/(-3+n)^2-
(w*(-3+n+2*w)*f*Nvec[L[a]][L[b]]*Nvec[U[a]][L[c]]*Nvec[U[b]]*
Nvec[U[c]]*Nvec[U[d]][L[d]]*Nvec[U[e]][L[e]])/(-3+n)^2-
w*f*Nvec[U[a]]*Nvec[U[b]][L[c],U[c]]*P[L[a],L[b]]+
(w*(12-4*n-7*w+n*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Nvec[U[d]][L[c]]*P[L[a],L[b]])/(2*(-3+n)*(-2+n))-
(w*(12-4*n-7*w+n*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]][L[d]]*P[L[a],L[b]])/(2*(-3+n)*(-2+n))-
4*w*f*Nvec[U[a]]*Nvec[U[b]][L[c]]*P[L[a],L[b]][U[c]]+
w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[a],L[b]][L[c],L[d]]-
w*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a],L[b]][L[c],U[c]]-
2*w*f*Nvec[U[a]][L[b]]*Nvec[U[c]][U[b]]*P[L[a],L[c]]-
(w*(12-4*n-7*w+n*w)*f*Nvec[U[b]][L[c]]*Nvec[U[c]][L[b]]*
P[L[a],U[a]])/(2*(-3+n)*(-2+n))+
(w*(12-4*n-7*w+n*w)*f*Nvec[U[b]][L[b]]*Nvec[U[c]][L[c]]*
P[L[a],U[a]])/(2*(-3+n)*(-2+n))+w*f*P[L[a],U[a]][L[b],U[b]]-
2*(-3+n+2*w)*f[][L[c]]*Nvec[U[a]][L[b]]*Nvec[U[c]]*P[L[a],U[b]]-
2*(-1+w)*f[][L[a],U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b],L[c]]-
4*w*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]][U[a]]*P[L[b],L[c]]-
w*f*Nvec[U[b]]*Nvec[U[c]][L[a],U[a]]*P[L[b],L[c]]-
(4*w^2*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[a]]*Nvec[U[d]][L[d]]*
P[L[b],L[c]])/(-3+n)+
(-3+n+4*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[b],L[c]][L[d]]+w*f*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]]*P[L[b],L[c]][L[d]]+
(3-n-4*w)*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b],L[c]][U[a]]+
(-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[c]]*
Nvec[U[d]]*P[L[b],L[d]]+(3*w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[a]]*Nvec[U[d]][L[c]]*P[L[b],L[d]])/(-3+n)+
4*w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]][L[a]]*
P[L[b],L[d]][L[c]]+2*(-1+w)*f[][L[a],U[a]]*P[L[b],U[b]]+
(-2+w)*w*f*P[L[a],U[a]]*P[L[b],U[b]]+
(-3+n+4*w)*f[][L[a]]*P[L[b],U[b]][U[a]]+
(2*w*(-3+n+2*w)*f*Nvec[U[a]][L[a]]*Nvec[U[b]][L[c]]*P[L[b],U[c]])/
(-3+n)-2*w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a],L[c]]*
P[L[b],U[c]]+2*(-4+n+3*w)*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]]*Nvec[U[d]]*P[L[c],L[d]]+
2*(-1+w)*f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[c],L[d]]+(-3+n+2*w)*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[b]]*
Nvec[U[c]]*Nvec[U[d]]*P[L[c],L[d]]+
((-2+w)*w*f*Nvec[U[a]][L[b]]*Nvec[U[b]][L[a]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[c],L[d]])/(2*(-2+n))-
((-2+w)*w*f*Nvec[U[a]][L[a]]*Nvec[U[b]][L[b]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[c],L[d]])/(2*(-2+n))+
2*(-3+n+4*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[b]]*P[L[c],L[d]]-
(w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]][L[a]]*Nvec[U[c]]*
Nvec[U[d]][L[b]]*P[L[c],L[d]])/(-3+n)+
2*w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]][L[a]]*Nvec[U[d]][L[b]]*
P[L[c],L[d]]+2*w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[a],L[b]]*P[L[c],L[d]]+
w*(-5+n+3*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
P[L[a],L[b]]*P[L[c],L[d]]-
2*(-1+w)*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[b]]*P[L[c],U[c]]-
2*(-1+w)*f[][L[b]]*Nvec[U[a]][L[a]]*Nvec[U[b]]*P[L[c],U[c]]-
((-2+w)*w*f*Nvec[U[a]][L[b]]*Nvec[U[b]][L[a]]*P[L[c],U[c]])/
(2*(-2+n))+((-2+w)*w*f*Nvec[U[a]][L[a]]*Nvec[U[b]][L[b]]*
P[L[c],U[c]])/(2*(-2+n))-
2*(-2+w)*w*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a],L[b]]*P[L[c],U[c]]+
(3-n-4*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*P[L[c],U[c]][L[b]]-
w*f*Nvec[U[a]][L[a]]*Nvec[U[b]]*P[L[c],U[c]][L[b]]-
w*f*Nvec[U[a]]*Nvec[U[b]]*P[L[c],U[c]][L[a],L[b]]-
2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[b]]*Nvec[U[c]]*P[U[a],L[c]]+
(3-n-2*w)*f[][L[a]]*Nvec[U[b]][L[b]]*Nvec[U[c]]*P[U[a],L[c]]+
(3-n-2*w)*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[b]]*P[U[a],L[c]]+
2*(-3+n+2*w)*f[][L[a],L[b]]*P[U[a],U[b]]+
w*(-3+n+2*w)*f*P[L[a],L[b]]*P[U[a],U[b]]-
2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[a]]*Nvec[U[c]]*P[U[b],L[c]]+
(3-n-2*w)*f[][L[a]]*Nvec[U[a]][L[b]]*Nvec[U[c]]*P[U[b],L[c]]+
(-3+n+2*w)*f[][L[b]]*Nvec[U[a]]*Nvec[U[c]][L[a]]*P[U[b],L[c]]-
(2*w*(-3+n+2*w)*f*Nvec[U[a]][L[b]]*Nvec[U[c]][L[a]]*P[U[b],L[c]])/
(-3+n)-(2*w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[c]]*Nvec[U[d]][L[e]]*Weyl[L[a],L[d],L[b],U[e]])/
(-3+n)^2+(2*w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*
Nvec[U[c]][L[d]]*Nvec[U[e]][L[c]]*Weyl[L[a],L[e],L[b],U[d]])/
(-3+n)^2-(2*w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*P[L[c],L[d]]*
Weyl[L[a],U[c],L[b],U[d]])/(-3+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
Nvec[U[d]][L[e]]*Weyl[L[b],L[d],L[c],U[e]])/(-3+n)+
(w*(-3+n+2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
Weyl[L[a],L[e],L[b],L[i]]*Weyl[L[c],U[e],L[d],U[i]])/(-3+n)^2+
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Weyl[U[a],L[b],L[c],U[d]])/(-3+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]][L[d]]*
Weyl[U[a],L[c],L[b],U[d]])/(-3+n)+
((-3+n+2*w)*f[][L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
Nvec[U[e]][L[b]]*Weyl[U[a],L[c],L[d],L[e]])/(-3+n)-
(2*(-3+n+2*w)*f[][L[a],L[b]]*Nvec[U[c]]*Nvec[U[d]]*
Weyl[U[a],L[c],U[b],L[d]])/(-3+n)

(*** End of file ***)
