(*
  May2.m

  Date last modified:  12 May 2003.

  12 May 2003:  copying over from Rules2.m.  Deleting things that
                appear to be unneeded.
*)
DefineTensor[f,0];
DefineTensor[P,2,Symmetries->Symmetric];
DefineTensor[TrP,0];

DefineRule[PToRc, P[L[i], L[j]],
	  (1/(n - 2))(Rc[L[i], L[j]] + (1/(2(1 - n)))Sc*g[L[i], L[j]])];

DefineRule[RcToP, Rc[L[i], L[j]],
  (n - 2)P[L[i], L[j]] + TrP*g[L[i], L[j]]];

DefineRule[ScToTrP, Sc, 2(n - 1)TrP];

DefineRule[TrPToInd, TrP, P[L[i], U[i]]];

DefineRule[IndToTrP, P[L[i], U[i]], TrP];

DefineRelation[P[L[i],L[j]][U[i]],Tr[P][L[j]]];
DefineRelation[P[L[j],L[i]][U[i]],Tr[P][L[j]]];

DefineTensor[Weyl,4,Symmetries->RiemannSymmetries];
DefineRule[WeylToRm,Weyl[L[i],L[j],L[k],L[l]],
    Rm[L[i],L[j],L[k],L[l]]+
    P[L[j],L[k]]g[L[i],L[l]]-
    P[L[j],L[l]]g[L[i],L[k]]+
    P[L[i],L[l]]g[L[j],L[k]]-
    P[L[i],L[k]]g[L[j],L[l]]
  ];
DefineRule[RmToWeyl,Rm[L[i],L[j],L[k],L[l]],
    Weyl[L[i],L[j],L[k],L[l]]
    -P[L[j],L[k]]g[L[i],L[l]]
    +P[L[j],L[l]]g[L[i],L[k]]
    -P[L[i],L[l]]g[L[j],L[k]]
    +P[L[i],L[k]]g[L[j],L[l]]
  ];
(*
  We now proceed to construct some basic building blocks for our
  work with tractor calculus.
*)

DefineConstant[w];

DefineTensor[OmabKL,{2,2},Bundle->{tangent,tractor1},
  Variance->{Co,Co,Con,Co}];
DefineTensor[OmABKL,4,Bundle->tractor1,Variance->{Co,Co,Con,Co}];

DOp[operand_,weight_,newindex_]:=
  Module[{w,LocalOp,answer},
    (
      w=weight;
      LocalOp=NewDummy[operand];
      answer=
              (
                -
              (NewDummy[LocalOp[L[i],U[i]]]*X[newindex])+
               (-1)w*LocalOp*Tr[P][]*X[newindex]+
                w*(-2+n+2*w)*LocalOp*Y[newindex]+
               (-2+n+2*w)*NewDummy[LocalOp[L[i]]*Z[newindex,U[i]]]
               );
      answer/.GradXYZ/.GradXYZ
      )
    ];

BigBoxOp[operand_,weight_]:=
  Module[{LocalOp,answer},
    (
      LocalOp=NewDummy[operand];
      answer=
              (
               NewDummy[LocalOp[L[i],U[i]]]+ weight*LocalOp*Tr[P][]
               );
      answer/.GradXYZ/.GradXYZ
      )
    ];

(***** End of file *****)
