(* May6.m *)
(*
Date last modified:  16 June 2004

16 June 2004 Adding ABCWeyl, ZAAAWeyl
16 June 2004 Adding PPToZZPPZero.
15 June 2004 Adding PPTwoPPTwoToNNPPTwoPPTwo,
                    PPTwoPPTwoToPPTwoQQPPTwo
10 June 2004 Adding RhoDD commands
9 June 2004 Adding DoubleTwoPpToFake
9 June 2004 Adding PijkkToZZPijkk
6 June 2004 Adding PPPPToPPQQPP
2 June 2004 Adding PpLoopToFake
26 May 2004 Adding WeylDDToZZZZWeylDD
25 May 2004 Adding ZZPPTwoToFake
14 May 2004 Adding PPDDDDDDToZZZZPPDDDDDD
9 November 2003 Adding PPDDToZZZZPPDD
8 November 2003 Adding WeylContractedBianchiRules.
13 June 2003 Inserting more commands for reording tensors.
11 June 2003 Inserting commands for derivatives of Ricci tensor.
             Copying them in from Rules6.m but not testing.
19 May 2003 Inserting MayWABCD
17 May 2003 Rules for rho-tensor
13 May 2003 More rules
12 May 2003 Copying over from Rules6.m.  Deleting unnecessary things.

*)

(*
The following is the tractor curvature as expressed in terms of the
Weyl tensor and the rho tensor.
*)

DefineTensor[MayWABCD,4,Bundle->tractor1];

DefineRule[ExpandMayWABCD,MayWABCD[L[AA],L[BB],L[CC],L[EE]],
   P[L[j], L[k]]*P[U[j], U[k]]*X[L[BB]]*X[L[EE]]*Z[L[AA], L[i]]*
    Z[L[CC], U[i]] - P[L[j], L[k]]*P[U[j], U[k]]*X[L[AA]]*X[L[EE]]*
    Z[L[BB], L[i]]*Z[L[CC], U[i]] + 
   P[L[i], L[j]] [L[k], U[k]]*X[L[BB]]*X[L[EE]]*Z[L[AA], U[i]]*
    Z[L[CC], U[j]] - P[L[i], L[j]] [L[k], U[k]]*X[L[AA]]*X[L[EE]]*
    Z[L[BB], U[i]]*Z[L[CC], U[j]] + 
   (-4 + n)*P[L[i], L[j]] [L[k]]*X[L[EE]]*Z[L[AA], U[k]]*Z[L[BB], U[i]]*
    Z[L[CC], U[j]] + (4 - n)*P[L[i], L[j]] [L[k]]*X[L[EE]]*Z[L[AA], U[i]]*
    Z[L[BB], U[k]]*Z[L[CC], U[j]] - 
   n*P[L[i], L[j]]*P[U[j], L[k]]*X[L[BB]]*X[L[EE]]*Z[L[AA], U[i]]*
    Z[L[CC], U[k]] - P[L[i], U[i]] [L[j], L[k]]*X[L[BB]]*X[L[EE]]*
    Z[L[AA], U[j]]*Z[L[CC], U[k]] + 
   n*P[L[i], L[j]]*P[U[j], L[k]]*X[L[AA]]*X[L[EE]]*Z[L[BB], U[i]]*
    Z[L[CC], U[k]] + P[L[i], U[i]] [L[j], L[k]]*X[L[AA]]*X[L[EE]]*
    Z[L[BB], U[j]]*Z[L[CC], U[k]] + 
   2*P[L[i], L[j]]*Weyl[U[i], L[k], U[j], L[l]]*X[L[BB]]*X[L[EE]]*
    Z[L[AA], U[k]]*Z[L[CC], U[l]] - 
   2*P[L[i], L[j]]*Weyl[U[i], L[k], U[j], L[l]]*X[L[AA]]*X[L[EE]]*
    Z[L[BB], U[k]]*Z[L[CC], U[l]] - 
   P[L[j], L[k]]*P[U[j], U[k]]*X[L[BB]]*X[L[CC]]*Z[L[AA], L[i]]*
    Z[L[EE], U[i]] + P[L[j], L[k]]*P[U[j], U[k]]*X[L[AA]]*X[L[CC]]*
    Z[L[BB], L[i]]*Z[L[EE], U[i]] - 
   P[L[i], L[j]] [L[k], U[k]]*X[L[BB]]*X[L[CC]]*Z[L[AA], U[i]]*
    Z[L[EE], U[j]] + P[L[i], L[j]] [L[k], U[k]]*X[L[AA]]*X[L[CC]]*
    Z[L[BB], U[i]]*Z[L[EE], U[j]] + 
   (4 - n)*P[L[i], L[j]] [L[k]]*X[L[CC]]*Z[L[AA], U[k]]*Z[L[BB], U[i]]*
    Z[L[EE], U[j]] + (-4 + n)*P[L[i], L[j]] [L[k]]*X[L[CC]]*Z[L[AA], U[i]]*
    Z[L[BB], U[k]]*Z[L[EE], U[j]] + 
   (-4 + n)*P[L[i], L[j]] [L[k]]*X[L[BB]]*Z[L[AA], U[i]]*Z[L[CC], U[k]]*
    Z[L[EE], U[j]] + (4 - n)*P[L[i], L[j]] [L[k]]*X[L[AA]]*Z[L[BB], U[i]]*
    Z[L[CC], U[k]]*Z[L[EE], U[j]] + 
   n*P[L[i], L[j]]*P[U[j], L[k]]*X[L[BB]]*X[L[CC]]*Z[L[AA], U[i]]*
    Z[L[EE], U[k]] + P[L[i], U[i]] [L[j], L[k]]*X[L[BB]]*X[L[CC]]*
    Z[L[AA], U[j]]*Z[L[EE], U[k]] - 
   n*P[L[i], L[j]]*P[U[j], L[k]]*X[L[AA]]*X[L[CC]]*Z[L[BB], U[i]]*
    Z[L[EE], U[k]] - P[L[i], U[i]] [L[j], L[k]]*X[L[AA]]*X[L[CC]]*
    Z[L[BB], U[j]]*Z[L[EE], U[k]] + 
   (4 - n)*P[L[i], L[j]] [L[k]]*X[L[BB]]*Z[L[AA], U[i]]*Z[L[CC], U[j]]*
    Z[L[EE], U[k]] + (-4 + n)*P[L[i], L[j]] [L[k]]*X[L[AA]]*Z[L[BB], U[i]]*
    Z[L[CC], U[j]]*Z[L[EE], U[k]] - 
   2*P[L[i], L[j]]*Weyl[U[i], L[k], U[j], L[l]]*X[L[BB]]*X[L[CC]]*
    Z[L[AA], U[k]]*Z[L[EE], U[l]] + 
   2*P[L[i], L[j]]*Weyl[U[i], L[k], U[j], L[l]]*X[L[AA]]*X[L[CC]]*
    Z[L[BB], U[k]]*Z[L[EE], U[l]] + 
   (-4 + n)*Weyl[L[i], L[j], L[k], L[l]]*Z[L[AA], U[i]]*Z[L[BB], U[j]]*
    Z[L[CC], U[k]]*Z[L[EE], U[l]],
   NewRule->True];

(*
The following is the tractor curvature as expressed in terms of the
Riemannian, Ricci, and scalar curvature tensors.
*)

DefineTensor[WABCD,4,Bundle->tractor1];

DefineRule[ExpandWABCD,WABCD[L[AA],L[BB],L[CC],L[DD]],
(Sc^2*X[L[BB]]*X[L[DD]]*Z[L[AA], L[i]]*Z[L[CC], U[i]])/
    ((-2 + n)^2*(-1 + n)) - (Sc^2*X[L[AA]]*X[L[DD]]*Z[L[BB], L[i]]*
      Z[L[CC], U[i]])/((-2 + n)^2*(-1 + n)) - 
   (Sc[] [L[i], U[i]]*X[L[BB]]*X[L[DD]]*Z[L[AA], L[j]]*Z[L[CC], U[j]])/
    (2*(-2 + n)*(-1 + n)) + (Rc[L[i], L[j]] [L[k], U[k]]*X[L[BB]]*X[L[DD]]*
      Z[L[AA], U[i]]*Z[L[CC], U[j]])/(-2 + n) - 
   (n*Rc[L[i], L[j]]*Sc*X[L[BB]]*X[L[DD]]*Z[L[AA], U[i]]*Z[L[CC], U[j]])/
    ((-2 + n)^2*(-1 + n)) - (Sc[] [L[i], L[j]]*X[L[BB]]*X[L[DD]]*
      Z[L[AA], U[i]]*Z[L[CC], U[j]])/(2*(-1 + n)) + 
   (Sc[] [L[i], U[i]]*X[L[AA]]*X[L[DD]]*Z[L[BB], L[j]]*Z[L[CC], U[j]])/
    (2*(-2 + n)*(-1 + n)) - ((-4 + n)*Sc[] [L[i]]*X[L[DD]]*Z[L[AA], U[i]]*
      Z[L[BB], L[j]]*Z[L[CC], U[j]])/(2*(-2 + n)*(-1 + n)) - 
   (Rc[L[i], L[j]] [L[k], U[k]]*X[L[AA]]*X[L[DD]]*Z[L[BB], U[i]]*
      Z[L[CC], U[j]])/(-2 + n) + 
   (n*Rc[L[i], L[j]]*Sc*X[L[AA]]*X[L[DD]]*Z[L[BB], U[i]]*Z[L[CC], U[j]])/
    ((-2 + n)^2*(-1 + n)) + (Sc[] [L[i], L[j]]*X[L[AA]]*X[L[DD]]*
      Z[L[BB], U[i]]*Z[L[CC], U[j]])/(2*(-1 + n)) + 
   ((-4 + n)*Sc[] [L[i]]*X[L[DD]]*Z[L[AA], L[j]]*Z[L[BB], U[i]]*
      Z[L[CC], U[j]])/(2*(-2 + n)*(-1 + n)) + 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[DD]]*Z[L[AA], U[k]]*Z[L[BB], U[i]]*
      Z[L[CC], U[j]])/(-2 + n) - 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[DD]]*Z[L[AA], U[i]]*Z[L[BB], U[k]]*
      Z[L[CC], U[j]])/(-2 + n) - 
   (Rc[L[i], L[j]]*Rc[U[i], U[j]]*X[L[BB]]*X[L[DD]]*Z[L[AA], L[k]]*
      Z[L[CC], U[k]])/(-2 + n)^2 - 
   ((-4 + n)*Rc[L[i], L[j]]*Rc[U[i], L[k]]*X[L[BB]]*X[L[DD]]*Z[L[AA], U[j]]*
      Z[L[CC], U[k]])/(-2 + n)^2 + 
   (Rc[L[i], L[j]]*Rc[U[i], U[j]]*X[L[AA]]*X[L[DD]]*Z[L[BB], L[k]]*
      Z[L[CC], U[k]])/(-2 + n)^2 + 
   ((-4 + n)*Rc[L[i], L[j]]*Rc[U[i], L[k]]*X[L[AA]]*X[L[DD]]*Z[L[BB], U[j]]*
      Z[L[CC], U[k]])/(-2 + n)^2 + 
   (2*Rc[L[i], L[j]]*Rm[U[i], L[k], U[j], L[l]]*X[L[BB]]*X[L[DD]]*
      Z[L[AA], U[k]]*Z[L[CC], U[l]])/(-2 + n) - 
   (2*Rc[L[i], L[j]]*Rm[U[i], L[k], U[j], L[l]]*X[L[AA]]*X[L[DD]]*
      Z[L[BB], U[k]]*Z[L[CC], U[l]])/(-2 + n) - 
   (Sc^2*X[L[BB]]*X[L[CC]]*Z[L[AA], L[i]]*Z[L[DD], U[i]])/
    ((-2 + n)^2*(-1 + n)) + (Sc^2*X[L[AA]]*X[L[CC]]*Z[L[BB], L[i]]*
      Z[L[DD], U[i]])/((-2 + n)^2*(-1 + n)) + 
   ((-4 + n)*Sc[] [L[i]]*X[L[BB]]*Z[L[AA], L[j]]*Z[L[CC], U[j]]*
      Z[L[DD], U[i]])/(2*(-2 + n)*(-1 + n)) - 
   ((-4 + n)*Sc[] [L[i]]*X[L[AA]]*Z[L[BB], L[j]]*Z[L[CC], U[j]]*
      Z[L[DD], U[i]])/(2*(-2 + n)*(-1 + n)) - 
   ((-4 + n)*Sc*Z[L[AA], L[i]]*Z[L[BB], L[j]]*Z[L[CC], U[j]]*Z[L[DD], U[i]])/
    ((-2 + n)*(-1 + n)) + (Sc[] [L[i], U[i]]*X[L[BB]]*X[L[CC]]*
      Z[L[AA], L[j]]*Z[L[DD], U[j]])/(2*(-2 + n)*(-1 + n)) - 
   (Rc[L[i], L[j]] [L[k], U[k]]*X[L[BB]]*X[L[CC]]*Z[L[AA], U[i]]*
      Z[L[DD], U[j]])/(-2 + n) + 
   (n*Rc[L[i], L[j]]*Sc*X[L[BB]]*X[L[CC]]*Z[L[AA], U[i]]*Z[L[DD], U[j]])/
    ((-2 + n)^2*(-1 + n)) + (Sc[] [L[i], L[j]]*X[L[BB]]*X[L[CC]]*
      Z[L[AA], U[i]]*Z[L[DD], U[j]])/(2*(-1 + n)) - 
   (Sc[] [L[i], U[i]]*X[L[AA]]*X[L[CC]]*Z[L[BB], L[j]]*Z[L[DD], U[j]])/
    (2*(-2 + n)*(-1 + n)) + ((-4 + n)*Sc[] [L[i]]*X[L[CC]]*Z[L[AA], U[i]]*
      Z[L[BB], L[j]]*Z[L[DD], U[j]])/(2*(-2 + n)*(-1 + n)) + 
   (Rc[L[i], L[j]] [L[k], U[k]]*X[L[AA]]*X[L[CC]]*Z[L[BB], U[i]]*
      Z[L[DD], U[j]])/(-2 + n) - 
   (n*Rc[L[i], L[j]]*Sc*X[L[AA]]*X[L[CC]]*Z[L[BB], U[i]]*Z[L[DD], U[j]])/
    ((-2 + n)^2*(-1 + n)) - (Sc[] [L[i], L[j]]*X[L[AA]]*X[L[CC]]*
      Z[L[BB], U[i]]*Z[L[DD], U[j]])/(2*(-1 + n)) - 
   ((-4 + n)*Sc[] [L[i]]*X[L[CC]]*Z[L[AA], L[j]]*Z[L[BB], U[i]]*
      Z[L[DD], U[j]])/(2*(-2 + n)*(-1 + n)) - 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[CC]]*Z[L[AA], U[k]]*Z[L[BB], U[i]]*
      Z[L[DD], U[j]])/(-2 + n) + 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[CC]]*Z[L[AA], U[i]]*Z[L[BB], U[k]]*
      Z[L[DD], U[j]])/(-2 + n) - 
   ((-4 + n)*Sc[] [L[i]]*X[L[BB]]*Z[L[AA], L[j]]*Z[L[CC], U[i]]*
      Z[L[DD], U[j]])/(2*(-2 + n)*(-1 + n)) + 
   ((-4 + n)*Sc[] [L[i]]*X[L[AA]]*Z[L[BB], L[j]]*Z[L[CC], U[i]]*
      Z[L[DD], U[j]])/(2*(-2 + n)*(-1 + n)) + 
   ((-4 + n)*Sc*Z[L[AA], L[i]]*Z[L[BB], L[j]]*Z[L[CC], U[i]]*Z[L[DD], U[j]])/
    ((-2 + n)*(-1 + n)) + ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[BB]]*
      Z[L[AA], U[i]]*Z[L[CC], U[k]]*Z[L[DD], U[j]])/(-2 + n) + 
   ((-4 + n)*Rc[L[i], L[j]]*Z[L[AA], U[i]]*Z[L[BB], L[k]]*Z[L[CC], U[k]]*
      Z[L[DD], U[j]])/(-2 + n) - 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[AA]]*Z[L[BB], U[i]]*Z[L[CC], U[k]]*
      Z[L[DD], U[j]])/(-2 + n) - 
   ((-4 + n)*Rc[L[i], L[j]]*Z[L[AA], L[k]]*Z[L[BB], U[i]]*Z[L[CC], U[k]]*
      Z[L[DD], U[j]])/(-2 + n) + 
   (Rc[L[i], L[j]]*Rc[U[i], U[j]]*X[L[BB]]*X[L[CC]]*Z[L[AA], L[k]]*
      Z[L[DD], U[k]])/(-2 + n)^2 + 
   ((-4 + n)*Rc[L[i], L[j]]*Rc[U[i], L[k]]*X[L[BB]]*X[L[CC]]*Z[L[AA], U[j]]*
      Z[L[DD], U[k]])/(-2 + n)^2 - 
   (Rc[L[i], L[j]]*Rc[U[i], U[j]]*X[L[AA]]*X[L[CC]]*Z[L[BB], L[k]]*
      Z[L[DD], U[k]])/(-2 + n)^2 - 
   ((-4 + n)*Rc[L[i], L[j]]*Rc[U[i], L[k]]*X[L[AA]]*X[L[CC]]*Z[L[BB], U[j]]*
      Z[L[DD], U[k]])/(-2 + n)^2 - 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[BB]]*Z[L[AA], U[i]]*Z[L[CC], U[j]]*
      Z[L[DD], U[k]])/(-2 + n) - 
   ((-4 + n)*Rc[L[i], L[j]]*Z[L[AA], U[i]]*Z[L[BB], L[k]]*Z[L[CC], U[j]]*
      Z[L[DD], U[k]])/(-2 + n) + 
   ((-4 + n)*Rc[L[i], L[j]] [L[k]]*X[L[AA]]*Z[L[BB], U[i]]*Z[L[CC], U[j]]*
      Z[L[DD], U[k]])/(-2 + n) + 
   ((-4 + n)*Rc[L[i], L[j]]*Z[L[AA], L[k]]*Z[L[BB], U[i]]*Z[L[CC], U[j]]*
      Z[L[DD], U[k]])/(-2 + n) - 
   (2*Rc[L[i], L[j]]*Rm[U[i], L[k], U[j], L[l]]*X[L[BB]]*X[L[CC]]*
      Z[L[AA], U[k]]*Z[L[DD], U[l]])/(-2 + n) + 
   (2*Rc[L[i], L[j]]*Rm[U[i], L[k], U[j], L[l]]*X[L[AA]]*X[L[CC]]*
      Z[L[BB], U[k]]*Z[L[DD], U[l]])/(-2 + n) + 
   (-4 + n)*Rm[L[i], L[j], L[k], L[l]]*Z[L[AA], U[i]]*Z[L[BB], U[j]]*
    Z[L[CC], U[k]]*Z[L[DD], U[l]],
NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
**)

DefineTensor[RcRc,2,Symmetries->Symmetric];

DefineRule[TwoRicciToFake,
  Rc[L[i],L[j]]Rc[U[i],L[k]],
  RcRc[L[j],L[k]],NewRule->True];

DefineRule[TwoRicciToFake,
  Rc[L[i],L[k]]Rc[L[j],U[k]],
  RcRc[L[i],L[j]]];

DefineRule[TwoRicciToFake,
  Rc[L[i],L[j]]Rc[U[j],L[k]],
  RcRc[L[i],L[k]]];

DefineRule[FakeToTwoRicci,
  RcRc[L[j],L[k]],
  Rc[L[i],L[j]]Rc[U[i],L[k]],
  NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
*)

DefineTensor[ScDD,2,Symmetries->Symmetric];

DefineRule[ScDDToFake,Sc[L[i],L[j]],ScDD[L[i],L[j]],NewRule->True];
DefineRule[FakeToScDD,ScDD[L[i],L[j]],Sc[L[i],L[j]],NewRule->True];

(*************************************************************)
(* I checked and tested the following group of instructions on
1 June 2004. *)
(*************************************************************)

DefineTensor[PpLoop,2,Symmetries->Symmetric];

DefineRule[PpLoopToFake,
P[L[i],L[l]]P[L[k],U[l]]P[U[i],L[j]],
PpLoop[L[k],L[j]],
NewRule->True];

DefineRule[PpLoopToFake,
P[L[i],L[l]]P[U[i],L[m]]P[U[l],L[p]],
PpLoop[L[m],L[p]]];

DefineRule[PpLoopToFake,
P[L[i],L[j]]P[U[j],L[l]]P[U[l],L[q]],
PpLoop[L[i],L[q]]];

DefineRule[PpLoopToFake,
P[L[i],L[j]]P[L[k],U[l]]P[U[j],L[l]],
PpLoop[L[i],L[k]]];

DefineRule[FakeToPpLoop,
PpLoop[L[k],L[j]],
P[L[i],L[l]]P[L[k],U[l]]P[U[i],L[j]],
NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
**)

DefineTensor[PpPp,2,Symmetries->Symmetric];

DefineRule[TwoPpToFake,P[L[i],L[j]]P[U[j],L[k]],
  PpPp[L[i],L[k]],NewRule->True];
DefineRule[TwoPpToFake,P[L[i],L[j]]P[U[i],L[k]],
  PpPp[L[j],L[k]]];
DefineRule[TwoPpToFake,P[L[i],L[k]]P[L[j],U[k]],
  PpPp[L[i],L[j]]];

DefineRule[FakeToTwoPp,PpPp[L[i],L[k]],
  P[L[i],L[j]]P[U[j],L[k]],NewRule->True];

(******************************************************)
(*                 DoubleTwoPpToFake                  *)
(* Deals with four P-tensors strung together.         *)
(* Checked and tested on 9 June 2004                  *)
(******************************************************)

DefineTensor[PPFourLoop,2,Symmetries->Symmetric];

DefineRule[DoubleTwoPpToFake,
  PpPp[L[i],L[j]]PpPp[U[j],L[k]],
  PPFourLoop[L[i],L[k]],
    NewRule->True];
DefineRule[DoubleTwoPpToFake,
  PpPp[L[i],L[j]]PpPp[U[i],L[k]],
  PPFourLoop[L[j],L[k]]];
DefineRule[DoubleTwoPpToFake,
  PpPp[L[i],L[k]]PpPp[L[j],U[k]],
  PPFourLoop[L[i],L[j]]];

DefineRule[FakeToDoubleTwoPp,
  PPFourLoop[L[i],L[k]],
  PpPp[L[i],L[j]]PpPp[U[j],L[k]],
    NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
**)

DefineTensor[Ppijkilk,2,Symmetries->Symmetric];

DefineRule[PpijkilkToFake,P[L[i],L[j]][L[k]]P[U[i],L[l]][U[k]],
  Ppijkilk[L[j],L[l]],NewRule->True];
DefineRule[PpijkilkToFake,P[L[i],L[j]][L[k]]P[U[j],L[l]][U[k]],
  Ppijkilk[L[i],L[l]]];
DefineRule[PpijkilkToFake,P[L[i],L[k]][L[l]]P[L[j],U[k]][U[l]],
  Ppijkilk[L[i],L[j]]];

DefineRule[FakeToPpijkilk,Ppijkilk[L[j],L[l]],
  P[L[i],L[j]][L[k]]P[U[i],L[l]][U[k]],NewRule->True];

(******************************************************)
(* I tested the next material on 25 May 2004.         *)
(******************************************************)

DefineTensor[ZZPPTwo,2,Symmetries->Symmetric];

DefineRule[ZZPPTwoToFake,
        P[L[i1],L[i2]][L[i3],L[i4]]P[L[j1],L[j2]][L[j3],L[j4]],
  ZZPPTwo[L[i1],L[i2]][L[i3],L[i4]]P[L[j1],L[j2]][L[j3],L[j4]],
  NewRule->True];

DefineRule[FakeToZZPPTwo,ZZPPTwo,P,NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
**)

DefineTensor[ZZPp,2,Symmetries->Symmetric];

DefineRule[PpDPpDToZZPpDPpD,
     P[L[i],L[j]][L[k]]P[L[l],L[m]][L[p]],
  ZZPp[L[i],L[j]][L[k]]P[L[l],L[m]][L[p]],NewRule->True];

DefineRule[ZZPpToPp,ZZPp,P,NewRule->True];

(*****************************************************************)
(* I checked and tested the following material on 17 June 2004.  *)
(*****************************************************************)

DefineTensor[AAPPZero,2,Symmetries->Symmetric];
DefineTensor[ZZPPZero,2,Symmetries->Symmetric];

DefineRule[PToAAPPZero,P,AAPPZero,NewRule->True];
DefineRule[PToZZPPZero,P,ZZPPZero,NewRule->True];
DefineRule[AAPPZeroToP,AAPPZero,P,NewRule->True];
DefineRule[ZZPPZeroToP,ZZPPZero,P,NewRule->True];

(******************************************************)
(* I checked and tested this rule on 9 November 2003. *)

DefineTensor[ZZZZPPDD,3];
DefineRule[PPDDToZZZZPPDD,P[L[i],L[j]][L[k]],ZZZZPPDD[L[i],L[j],L[k]]];
DefineRule[ZZZZPPDDToPPDD,ZZZZPPDD[L[i],L[j],L[k]],P[L[i],L[j]][L[k]]];

(***********************************************************
I checked and tested the following material on 10 June 2004.
***********************************************************)

DefineTensor[ZZRhoDD,2,Symmetries->Symmetric];

DefineRule[RhoDDToZZRhoDD,
        P[L[i],L[j]][L[k]],
  ZZRhoDD[L[i],L[j]][L[k]],NewRule->True];

DefineRule[ZZRhoDDToRhoDD,ZZRhoDD,P,NewRule->True];

(******************************************************)
(* I checked and tested this rule on 14 May 2004.     *)

DefineTensor[ZZZZPPDDDD,4];

DefineRule[PPDDDDToZZZZPPDDDD,P[L[i],L[j]][L[k],L[l]], 
	   ZZZZPPDDDD[L[i],L[j],L[k],L[l]]];

DefineRule[ZZZZPPDDDDToPPDDDD,ZZZZPPDDDD[L[i],L[j],L[k],L[l]], 
	   P[L[i],L[j]][L[k],L[l]]];

(***********************************************************
I checked and tested the following material on 10 June 2004.
***********************************************************)

DefineTensor[ZZRhoDDDD,2,Symmetries->Symmetric];

DefineRule[RhoDDDDToZZRhoDDDD,
          P[L[i],L[j]][L[k],L[l]],
  ZZRhoDDDD[L[i],L[j]][L[k],L[l]],NewRule->True];

DefineRule[ZZRhoDDDDToRhoDDDD,ZZRhoDDDD,P,NewRule->True];

(*******************************************************)
(* I checked and tested the following block of         *)
(* instructions on 18 May 2004.                        *)
(*******************************************************)

DefineTensor[ZZZZPPDDDDDD,5];
DefineRule[PPDDDDDDToZZZZPPDDDDDD,
             P[L[i],L[j]][L[i1],L[i2],L[i3]],
  ZZZZPPDDDDDD[L[i],L[j],L[i1],L[i2],L[i3]],
  NewRule->True];
DefineRule[ZZZZPPDDDDDDToPPDDDDDD,
  ZZZZPPDDDDDD[L[i],L[j],L[i1],L[i2],L[i3]],
             P[L[i],L[j]][L[i1],L[i2],L[i3]],
  NewRule->True];

(***********************************************************
I checked and tested the following material on 10 June 2004.
***********************************************************)

DefineTensor[ZZRhoDDDDDD,2,Symmetries->Symmetric];

DefineRule[RhoDDDDDDToZZRhoDDDDDD,
            P[L[i],L[j]][L[i1],L[i2],L[i3]],
  ZZRhoDDDDDD[L[i],L[j]][L[i1],L[i2],L[i3]],NewRule->True];

DefineRule[ZZRhoDDDDDDToRhoDDDDDD,ZZRhoDDDDDD,P,NewRule->True];

(******************************************************)
(*                   PijkkToZZPijkk                   *)
(* Created, checked, and tested on 9 June 2004.       *)
(******************************************************)

DefineTensor[ZZPijkk,2,Symmetries->Symmetric];

DefineRule[PijkkToZZPijkk,
        P[L[i],L[j]][L[k],U[k]],
  ZZPijkk[L[i],L[j]][L[k],U[k]],
  NewRule->True];

DefineRule[ZZPijkkToPijkk,
  ZZPijkk[L[i],L[j]][L[k],U[k]],
        P[L[i],L[j]][L[k],U[k]],
  NewRule->True];

(******************************************************)
(* I checked and tested the following group of instructions on 18 May 2003.
**)

DefineTensor[AARm,4];

DefineRule[RmRmToRmAA,
Rm[L[i1],L[i2],L[i3],L[i4]]  Rm[L[j1],L[j2],L[j3],L[j4]],
Rm[L[i1],L[i2],L[i3],L[i4]]AARm[L[j1],L[j2],L[j3],L[j4]],
NewRule->True];

DefineRule[AAToRm,AARm,Rm,NewRule->True];

(******************************************************)
(* Inserting the following on 11 June 2003 but not testing. *)

DefineTensor[RcDRcD,2,Symmetries->Symmetric];

DefineRule[RcilkRcjklToFake,
  Rc[L[i],L[l]][L[k]]Rc[L[j],U[k]][U[l]],
  RcDRcD[L[i],L[j]],
  NewRule->True];

DefineRule[RcilkRcjklToFake,
  Rc[L[k],L[p]][L[l]]Rc[U[l],L[m]][U[k]],
  RcDRcD[L[p],L[m]]];

DefineRule[RcilkRcjklToFake,
  Rc[L[i],L[k]][L[l]]Rc[U[l],L[m]][U[k]],
  RcDRcD[L[i],L[m]]];

DefineRule[RcilkRcjklToFake,
  Rc[L[k],L[p]][L[q]]Rc[L[m],U[q]][U[k]],
  RcDRcD[L[p],L[m]]];

DefineRule[FakeToRcilkRcjkl,
  RcDRcD[L[i],L[j]],
  Rc[L[i],L[l]][L[k]]Rc[L[j],U[k]][U[l]],
  NewRule->True];

(******************************************************)
(* Inserting the following on 11 June 2003 but not testing. *)

DefineTensor[RcijkRcijl,2,Symmetries->Symmetric];

DefineRule[RcijkRcijlToFake,
  Rc[L[i],L[j]][L[k]]Rc[U[i],U[j]][L[l]],RcijkRcijl[L[k],L[l]],
  NewRule->True];
DefineRule[FakeToRcijkRcijl,
  RcijkRcijl[L[k],L[l]],Rc[L[i],L[j]][L[k]]Rc[U[i],U[j]][L[l]],
  NewRule->True];

(******************************************************)
(* Inserting the following on 11 June 2003 but not testing. *)

DefineTensor[RcijkRcilk,2,Symmetries->Symmetric];

DefineRule[RcijkRcilkToFake,
Rc[L[i],L[j]][L[k]]Rc[U[i],L[l]][U[k]],RcijkRcilk[L[j],L[l]],
NewRule->True];

DefineRule[RcijkRcilkToFake,
Rc[L[j],L[p]][L[k]]Rc[L[l],U[p]][U[k]],RcijkRcilk[L[j],L[l]]];

DefineRule[RcijkRcilkToFake,
Rc[L[j],L[p]][L[k]]Rc[U[p],L[q]][U[k]],RcijkRcilk[L[j],L[q]]];

DefineRule[FakeToRcijkRcilk,
RcijkRcilk[L[j],L[l]],Rc[L[i],L[j]][L[k]]Rc[U[i],L[l]][U[k]],
NewRule->True];

(******************************************************)
(* Inserting the following on 11 June 2003 but not testing. *)

DefineTensor[AARcD,3];

DefineRule[RcDRcDToRcDAA,
Rc[L[i],L[j]][L[k]]   Rc[L[l],L[m]][L[p]],
Rc[L[i],L[j]][L[k]]AARcD[L[l],L[m],L[p]],
NewRule->True];

DefineRule[AAToRcD,AARcD[L[i],L[j],L[k]],Rc[L[i],L[j]][L[k]],
NewRule->True];

(******************************************************)
(* Inserting the following on 13 June 2003.  Ran checks on
   13 June 2003. *)

DefineTensor[LLPP,2,Symmetries->Symmetric];

DefineRule[DoublePToPPLLPP,
  P[L[i],L[j]]   P[L[k],L[l]],
  P[L[i],L[j]]LLPP[L[k],L[l]],
  NewRule->True];

DefineRule[LLPPToPP,LLPP,P,NewRule->True];

(*******************************************)
(* Inserting the following on 6 June 2004. *)
(* I checked and tested the following      *)
(* material on 7 June 2004.                *)
(*******************************************)

DefineTensor[NNP,2,Symmetries->Symmetric];
DefineTensor[QQP,2,Symmetries->Symmetric];

DefineRule[PPPPToNNPPPP,
    P[L[i],L[j]][L[k]]P[L[l],L[m]][L[p]],
  NNP[L[i],L[j]][L[k]]P[L[l],L[m]][L[p]],NewRule->True];
DefineRule[PPPPToPPQQPP,
  P[L[i],L[j]][L[k]]  P[L[l],L[m]][L[p]],
  P[L[i],L[j]][L[k]]QQP[L[l],L[m]][L[p]],NewRule->True];

DefineRule[NNPToP,NNP,P,NewRule->True];
DefineRule[QQPToP,QQP,P,NewRule->True];

(*********************************************************)
(* Inserting on 15 June 2004.  I checked and tested      *)
(* this on 16 June 2004.                                 *)
(*********************************************************)

DefineTensor[NNPPTwo,2,Symmetries->Symmetric];
DefineTensor[QQPPTwo,2,Symmetries->Symmetric];

DefineRule[PPTwoPPTwoToNNPPTwoPPTwo,
        P[L[i1],L[i2]][L[i3],L[i4]]P[L[j1],L[j2]][L[j3],L[j4]],
  NNPPTwo[L[i1],L[i2]][L[i3],L[i4]]P[L[j1],L[j2]][L[j3],L[j4]],
    NewRule->True];

DefineRule[PPTwoPPTwoToPPTwoQQPPTwo,
  P[L[i1],L[i2]][L[i3],L[i4]]      P[L[j1],L[j2]][L[j3],L[j4]],
  P[L[i1],L[i2]][L[i3],L[i4]]QQPPTwo[L[j1],L[j2]][L[j3],L[j4]],
    NewRule->True];

DefineRule[NNPPTwoToP,NNPPTwo,P,NewRule->True];
DefineRule[QQPPTwoToP,QQPPTwo,P,NewRule->True];

(******************************************************)
(* Inserting the following on 13 June 2003.  Ran checks on
   13 June 2003. *)

DefineTensor[TTp,2,Symmetries->Symmetric];

DefineRule[PpDDDDToTTpDDDD,
    P[L[i],L[j]][L[k],L[l]],
  TTp[L[i],L[j]][L[k],L[l]],
  NewRule->True];

DefineRule[PpDDToTTpDD,
    P[L[i],L[j]][L[k]],
  TTp[L[i],L[j]][L[k]],
  NewRule->True];

DefineRule[TTpToPp,TTp,P,NewRule->True];

(******************************************************************)
(*  I checked and tested the following material on 17 June 2004.  *)
(******************************************************************)

DefineTensor[ ABCWeyl,4,Symmetries->RiemannSymmetries];
DefineTensor[ZAAAWeyl,4,Symmetries->RiemannSymmetries];

DefineRule[WeylToABCWeyl ,Weyl,ABCWeyl, NewRule->True];
DefineRule[WeylToZAAAWeyl,Weyl,ZAAAWeyl,NewRule->True];
DefineRule[ABCWeylToWeyl, ABCWeyl, Weyl,NewRule->True];
DefineRule[ZAAAWeylToWeyl,ZAAAWeyl,Weyl,NewRule->True];

(******************************************************)
(* Inserting the following on 13 June 2003.  Ran checks on
   13 June 2003. *)

DefineTensor[JJWeyl,4,Symmetries->RiemannSymmetries];

DefineRule[DoubleWeylToWeylJJWeyl,
  Weyl[L[i1],L[i2],L[i3],L[i4]]  Weyl[L[j1],L[j2],L[j3],L[j4]],
  Weyl[L[i1],L[i2],L[i3],L[i4]]JJWeyl[L[j1],L[j2],L[j3],L[j4]],
  NewRule->True];

DefineRule[JJWeylToWeyl,JJWeyl,Weyl,NewRule->True];

(******************************************************)
(* Inserting the following on 8 November 2003.
   I tested this on 8 and 9 November 2003.
*)

DefineRule[WeylContractedBianchiRules,
  Weyl[L[i],L[j],L[k],L[l]][U[i]],
  (3-n)*P[L[j],L[k]][L[l]]+(-3+n)*P[L[j],L[l]][L[k]]];
DefineRule[WeylContractedBianchiRules,
  Weyl[L[j],L[i],L[l],L[k]][U[i]],
  (3-n)*P[L[j],L[k]][L[l]]+(-3+n)*P[L[j],L[l]][L[k]]];
DefineRule[WeylContractedBianchiRules,
  Weyl[L[k],L[l],L[i],L[j]][U[i]],
  (3-n)*P[L[j],L[k]][L[l]]+(-3+n)*P[L[j],L[l]][L[k]]];
DefineRule[WeylContractedBianchiRules,
  Weyl[L[l],L[k],L[j],L[i]][U[i]],
  (3-n)*P[L[j],L[k]][L[l]]+(-3+n)*P[L[j],L[l]][L[k]]];

(******************************************************)
(* Adding this on 26 May 2004.                        *)
(******************************************************)

DefineTensor[ZZZZWeyl,4,Symmetries->RiemannSymmetries];

DefineRule[WeylDDToZZZZWeylDD,
      Weyl[L[i1],L[i2],L[i3],L[i4]][L[i5]],
  ZZZZWeyl[L[i1],L[i2],L[i3],L[i4]][L[i5]],
  NewRule -> True];

DefineRule[ZZZZWeylDDToWeylDD,
  ZZZZWeyl,Weyl,NewRule->True];


(******************************************************)
(* End of file *)
