(*
  rsb/trb/May3/dtm3/June9a.m

  Date last modified:  3 February 2009

  File created in February 2009.

  Contains lengthy definitions of macros to expand covariant derivatives.
*)
(*****************************************************************)
(* Intrinsic second-order covariant derivative applied to a rank-2
   covariant tensor, computed relative to the conformal metric.

   The user must supply a covariant two-tensor.  This must be a
   two-tensor that the user has previously declared to the Ricci
   software package, not a sum of terms.  The third index that the
   user supplies is the index associated with the inner covariant
   derivative.  The fourth index is the index associated with the
   outer covariant derivative.
*)

NbNbSigHatEtaEta[operand_,weight_,lc_,ld_,lb_,la_]:=

Module[
  {w2,et,answer,Temp},
  (
   If[ToString[lc[[0]]]=="U",Message[SubMfd::AAAA],Null];
   If[ToString[ld[[0]]]=="U",Message[SubMfd::AAAA],Null];
   If[ToString[lb[[0]]]=="U",Message[SubMfd::AAAA],Null];
   If[ToString[la[[0]]]=="U",Message[SubMfd::AAAA],Null];
   w2=weight;
   et=operand;
   Temp=(
et[lc,ld][lb,la]-
et[lc,ld][lb,L[pres1]]*Nvec[la]*Nvec[U[pres1]]-
et[lc,ld][L[pres1],la]*Nvec[lb]*Nvec[U[pres1]]-
et[lc,ld][L[pres1]]*Nvec[lb][la]*Nvec[U[pres1]]-
et[L[pres1],ld][lb,la]*Nvec[lc]*Nvec[U[pres1]]-
et[L[pres1],ld][lb]*Nvec[lc][la]*Nvec[U[pres1]]-
et[lc,L[pres1]][lb,la]*Nvec[ld]*Nvec[U[pres1]]-
et[lc,L[pres1]][lb]*Nvec[ld][la]*Nvec[U[pres1]]+
et[lc,ld][L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,ld][L[pres1]]*Nvec[la]*Nvec[lb][L[pres3]]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],ld][lb,L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],ld][L[pres3],la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],ld][L[pres3]]*Nvec[lb][la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],ld][L[pres3]]*Nvec[lb]*Nvec[lc][la]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],ld][lb]*Nvec[la]*Nvec[lc][L[pres3]]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,L[pres1]][lb,L[pres3]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,L[pres1]][L[pres3],la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,L[pres1]][L[pres3]]*Nvec[lb][la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],L[pres3]][lb,la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],L[pres3]][lb]*Nvec[lc][la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,L[pres1]][L[pres3]]*Nvec[lb]*Nvec[ld][la]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[L[pres1],L[pres3]][lb]*Nvec[lc]*Nvec[ld][la]*Nvec[U[pres1]]*Nvec[U[pres3]]+
et[lc,L[pres1]][lb]*Nvec[la]*Nvec[ld][L[pres3]]*Nvec[U[pres1]]*Nvec[U[pres3]]-
et[L[pres1],ld][L[pres3],L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[L[pres1],ld][L[pres3]]*Nvec[la]*
Nvec[lb][L[pres2]]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres2]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[lc,L[pres1]][L[pres3],L[pres2]]*Nvec[la]*
Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb][L[pres2]]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[L[pres1],L[pres3]][lb,L[pres2]]*Nvec[la]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[L[pres1],L[pres3]][L[pres2],la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[L[pres1],L[pres3]][L[pres2]]*Nvec[lb][la]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[L[pres1],L[pres3]][L[pres2]]*Nvec[lb]*Nvec[lc][la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[L[pres1],L[pres3]][lb]*Nvec[la]*
Nvec[lc][L[pres2]]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[L[pres1],L[pres3]][L[pres2]]*Nvec[lb]*Nvec[lc]*Nvec[ld][la]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]-et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb]*
Nvec[ld][L[pres2]]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]-
et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[lc]*Nvec[ld][L[pres2]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]+et[L[pres1],L[pres3]][L[pres2],L[pres4]]*Nvec[la]*
Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
Nvec[U[pres4]]+et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb][L[pres4]]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]+
et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres4]]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]+
et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld][L[pres4]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]+
(-3+w2)*et[lc,ld][lb]*ups[la]+
(3-w2)*et[lc,ld][L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[la]+
(3-w2)*et[L[pres1],ld][lb]*Nvec[lc]*Nvec[U[pres1]]*ups[la]+
(3-w2)*et[lc,L[pres1]][lb]*Nvec[ld]*Nvec[U[pres1]]*ups[la]+
(-3+w2)*et[L[pres1],ld][L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[la]+(-3+w2)*et[lc,L[pres1]][L[pres3]]*Nvec[lb]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[la]+
(-3+w2)*et[L[pres1],L[pres3]][lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[la]+(3-w2)*et[L[pres1],L[pres3]][L[pres2]]*Nvec[lb]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[la]+
(-3+w2)*et[lc,ld][la]*ups[lb]+
(3-w2)*et[lc,ld][L[pres1]]*Nvec[la]*Nvec[U[pres1]]*ups[lb]+
(3-w2)*et[L[pres1],ld][la]*Nvec[lc]*Nvec[U[pres1]]*ups[lb]+
(2-w2)*et[L[pres1],ld]*Nvec[lc][la]*Nvec[U[pres1]]*ups[lb]+
(3-w2)*et[lc,L[pres1]][la]*Nvec[ld]*Nvec[U[pres1]]*ups[lb]+
(2-w2)*et[lc,L[pres1]]*Nvec[ld][la]*Nvec[U[pres1]]*ups[lb]+
(-3+w2)*et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lb]+(-2+w2)*et[L[pres1],ld]*Nvec[la]*
Nvec[lc][L[pres3]]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lb]+
(-3+w2)*et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lb]+(-3+w2)*et[L[pres1],L[pres3]][la]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lb]+
(-2+w2)*et[L[pres1],L[pres3]]*Nvec[lc][la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lb]+(-2+w2)*et[L[pres1],L[pres3]]*Nvec[lc]*
Nvec[ld][la]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lb]+
(-2+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[ld][L[pres3]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lb]+(3-w2)*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lb]+
(2-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc][L[pres2]]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lb]+
(2-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld][L[pres2]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lb]+
(-4+w2)*(-2+w2)*et[lc,ld]*ups[la]*ups[lb]-
(-4+w2)*(-2+w2)*et[L[pres1],ld]*Nvec[lc]*Nvec[U[pres1]]*ups[la]*
ups[lb]-(-4+w2)*(-2+w2)*et[lc,L[pres1]]*Nvec[ld]*Nvec[U[pres1]]*
ups[la]*ups[lb]+
(-4+w2)*(-2+w2)*et[L[pres1],L[pres3]]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[la]*ups[lb]-
et[la,ld][lb]*ups[lc]-et[lb,ld][la]*ups[lc]+
et[lb,ld][L[pres1]]*Nvec[la]*Nvec[U[pres1]]*ups[lc]+
et[L[pres1],ld][lb]*Nvec[la]*Nvec[U[pres1]]*ups[lc]+
et[la,ld][L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[lc]+
et[L[pres1],ld][la]*Nvec[lb]*Nvec[U[pres1]]*ups[lc]+
et[L[pres1],ld]*Nvec[lb][la]*Nvec[U[pres1]]*ups[lc]+
et[la,L[pres1]][lb]*Nvec[ld]*Nvec[U[pres1]]*ups[lc]+
et[lb,L[pres1]][la]*Nvec[ld]*Nvec[U[pres1]]*ups[lc]+
et[lb,L[pres1]]*Nvec[ld][la]*Nvec[U[pres1]]*ups[lc]-
2*et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]-et[L[pres1],ld]*Nvec[la]*Nvec[lb][L[pres3]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lc]-et[lb,L[pres1]][L[pres3]]*Nvec[la]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]-
et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]-et[la,L[pres1]][L[pres3]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lc]-et[L[pres1],L[pres3]][la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]-
et[L[pres1],L[pres3]]*Nvec[lb][la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]-et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[ld][la]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lc]-et[lb,L[pres1]]*Nvec[la]*Nvec[ld][L[pres3]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]+
2*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lc]+
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb][L[pres2]]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lc]+
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld][L[pres2]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lc]+
(4-w2)*et[lb,ld]*ups[la]*ups[lc]+
(-4+w2)*et[L[pres1],ld]*Nvec[lb]*Nvec[U[pres1]]*ups[la]*ups[lc]+
(-4+w2)*et[lb,L[pres1]]*Nvec[ld]*Nvec[U[pres1]]*ups[la]*ups[lc]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[la]*ups[lc]+
(3-w2)*et[la,ld]*ups[lb]*ups[lc]+
(-3+w2)*et[L[pres1],ld]*Nvec[la]*Nvec[U[pres1]]*ups[lb]*ups[lc]+
(-3+w2)*et[la,L[pres1]]*Nvec[ld]*Nvec[U[pres1]]*ups[lb]*ups[lc]+
(3-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[lc]-et[lc,la][lb]*ups[ld]-
et[lc,lb][la]*ups[ld]+
et[lc,lb][L[pres1]]*Nvec[la]*Nvec[U[pres1]]*ups[ld]+
et[lc,L[pres1]][lb]*Nvec[la]*Nvec[U[pres1]]*ups[ld]+
et[lc,la][L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[ld]+
et[lc,L[pres1]][la]*Nvec[lb]*Nvec[U[pres1]]*ups[ld]+
et[lc,L[pres1]]*Nvec[lb][la]*Nvec[U[pres1]]*ups[ld]+
et[L[pres1],la][lb]*Nvec[lc]*Nvec[U[pres1]]*ups[ld]+
et[L[pres1],lb][la]*Nvec[lc]*Nvec[U[pres1]]*ups[ld]+
et[L[pres1],lb]*Nvec[lc][la]*Nvec[U[pres1]]*ups[ld]-
2*et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld]-et[lc,L[pres1]]*Nvec[la]*Nvec[lb][L[pres3]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld]-et[L[pres1],lb][L[pres3]]*Nvec[la]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]-
et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld]-et[L[pres1],la][L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld]-et[L[pres1],L[pres3]][la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]-
et[L[pres1],L[pres3]]*Nvec[lb][la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld]-et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc][la]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld]-et[L[pres1],lb]*Nvec[la]*Nvec[lc][L[pres3]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]+
2*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[ld]+
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb][L[pres2]]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[ld]+
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres2]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[ld]+
(4-w2)*et[lc,lb]*ups[la]*ups[ld]+
(-4+w2)*et[lc,L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[la]*ups[ld]+
(-4+w2)*et[L[pres1],lb]*Nvec[lc]*Nvec[U[pres1]]*ups[la]*ups[ld]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[la]*ups[ld]+
(3-w2)*et[lc,la]*ups[lb]*ups[ld]+
(-3+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[U[pres1]]*ups[lb]*ups[ld]+
(-3+w2)*et[L[pres1],la]*Nvec[lc]*Nvec[U[pres1]]*ups[lb]*ups[ld]+
(3-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[ld]+et[la,lb]*ups[lc]*ups[ld]+
et[lb,la]*ups[lc]*ups[ld]-
et[lb,L[pres1]]*Nvec[la]*Nvec[U[pres1]]*ups[lc]*ups[ld]-
et[L[pres1],lb]*Nvec[la]*Nvec[U[pres1]]*ups[lc]*ups[ld]-
et[la,L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[lc]*ups[ld]-
et[L[pres1],la]*Nvec[lb]*Nvec[U[pres1]]*ups[lc]*ups[ld]+
2*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]*
ups[ld]+(3-w2)*et[lc,ld][lb]*Nvec[la]*Nvec[U[pres1]]*
ups[L[pres1]]+(3-w2)*et[lc,ld][la]*Nvec[lb]*Nvec[U[pres1]]*
ups[L[pres1]]+(2-w2)*et[lc,ld]*Nvec[lb][la]*Nvec[U[pres1]]*
ups[L[pres1]]+et[la,ld][lb]*Nvec[lc]*Nvec[U[pres1]]*ups[L[pres1]]+
et[lb,ld][la]*Nvec[lc]*Nvec[U[pres1]]*ups[L[pres1]]+
et[lb,ld]*Nvec[lc][la]*Nvec[U[pres1]]*ups[L[pres1]]+
et[lc,la][lb]*Nvec[ld]*Nvec[U[pres1]]*ups[L[pres1]]+
et[lc,lb][la]*Nvec[ld]*Nvec[U[pres1]]*ups[L[pres1]]+
et[lc,lb]*Nvec[ld][la]*Nvec[U[pres1]]*ups[L[pres1]]-
(-4+w2)*(-2+w2)*et[lc,ld]*Nvec[lb]*Nvec[U[pres1]]*ups[la]*
ups[L[pres1]]+(-4+w2)*et[lb,ld]*Nvec[lc]*Nvec[U[pres1]]*
ups[la]*ups[L[pres1]]+
(-4+w2)*et[lc,lb]*Nvec[ld]*Nvec[U[pres1]]*ups[la]*ups[L[pres1]]-
(-4+w2)*(-2+w2)*et[lc,ld]*Nvec[la]*Nvec[U[pres1]]*ups[lb]*
ups[L[pres1]]+(-3+w2)*et[la,ld]*Nvec[lc]*Nvec[U[pres1]]*
ups[lb]*ups[L[pres1]]+
(-3+w2)*et[lc,la]*Nvec[ld]*Nvec[U[pres1]]*ups[lb]*ups[L[pres1]]+
(-4+w2)*et[lb,ld]*Nvec[la]*Nvec[U[pres1]]*ups[lc]*ups[L[pres1]]+
(-3+w2)*et[la,ld]*Nvec[lb]*Nvec[U[pres1]]*ups[lc]*ups[L[pres1]]-
et[la,lb]*Nvec[ld]*Nvec[U[pres1]]*ups[lc]*ups[L[pres1]]-
et[lb,la]*Nvec[ld]*Nvec[U[pres1]]*ups[lc]*ups[L[pres1]]+
(-4+w2)*et[lc,lb]*Nvec[la]*Nvec[U[pres1]]*ups[ld]*ups[L[pres1]]+
(-3+w2)*et[lc,la]*Nvec[lb]*Nvec[U[pres1]]*ups[ld]*ups[L[pres1]]-
et[la,lb]*Nvec[lc]*Nvec[U[pres1]]*ups[ld]*ups[L[pres1]]-
et[lb,la]*Nvec[lc]*Nvec[U[pres1]]*ups[ld]*ups[L[pres1]]-
et[lc,ld][L[pres1]]*g[la,lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[L[pres1],ld][lb]*g[la,lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lc,L[pres1]][lb]*g[la,ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]+
(-5+2*w2)*et[lc,ld][L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]+(-2+w2)*et[lc,ld]*Nvec[la]*
Nvec[lb][L[pres1]]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lb,ld][L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]+(-3+w2)*et[L[pres1],ld][lb]*Nvec[la]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[la,ld][L[pres1]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]+(-4+w2)*et[L[pres1],ld][la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]+
(-3+w2)*et[L[pres1],ld]*Nvec[lb][la]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]+(-3+w2)*et[L[pres1],ld]*Nvec[lb]*
Nvec[lc][la]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lb,ld]*Nvec[la]*Nvec[lc][L[pres1]]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]-et[lc,lb][L[pres1]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]+(-3+w2)*et[lc,L[pres1]][lb]*Nvec[la]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lc,la][L[pres1]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]+(-4+w2)*et[lc,L[pres1]][la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]+
(-3+w2)*et[lc,L[pres1]]*Nvec[lb][la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]-et[la,L[pres1]][lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lb,L[pres1]][la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]-et[L[pres1],la][lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]-et[L[pres1],lb][la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lb,L[pres1]]*Nvec[lc][la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]-et[L[pres1],lb]*Nvec[lc][la]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]+(-3+w2)*et[lc,L[pres1]]*Nvec[lb]*
Nvec[ld][la]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]-
et[lb,L[pres1]]*Nvec[lc]*Nvec[ld][la]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3]]-et[L[pres1],lb]*Nvec[lc]*Nvec[ld][la]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3]]-et[lc,lb]*Nvec[la]*Nvec[ld][L[pres1]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3]]+
(-4+w2)*(-3+w2)*et[L[pres1],ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[la]*ups[L[pres3]]+
(-4+w2)*(-3+w2)*et[lc,L[pres1]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[la]*ups[L[pres3]]+
(4-w2)*et[lb,L[pres1]]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[la]*ups[L[pres3]]+
(4-w2)*et[L[pres1],lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[la]*ups[L[pres3]]+
(2-w2)*et[L[pres1],ld]*g[la,lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lb]*
ups[L[pres3]]+(2-w2)*et[lc,L[pres1]]*g[la,ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lb]*ups[L[pres3]]+
(-3+w2)^2*et[L[pres1],ld]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[L[pres3]]+
(-3+w2)^2*et[lc,L[pres1]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[L[pres3]]+
(3-w2)*et[la,L[pres1]]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[L[pres3]]+
(3-w2)*et[L[pres1],la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb]*ups[L[pres3]]+
et[L[pres1],ld]*g[la,lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]*
ups[L[pres3]]+et[lb,L[pres1]]*g[la,ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]*ups[L[pres3]]-
2*(-3+w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]*ups[L[pres3]]+
(4-w2)*et[lb,L[pres1]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc]*ups[L[pres3]]+
et[L[pres1],lb]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]*
ups[L[pres3]]+(4-w2)*et[la,L[pres1]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lc]*ups[L[pres3]]+
et[L[pres1],la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lc]*
ups[L[pres3]]+et[lc,L[pres1]]*g[la,lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld]*ups[L[pres3]]+
et[L[pres1],lb]*g[la,lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]*
ups[L[pres3]]-2*(-3+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]*ups[L[pres3]]+
et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]*
ups[L[pres3]]+(4-w2)*et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld]*ups[L[pres3]]+
et[la,L[pres1]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[ld]*
ups[L[pres3]]+(4-w2)*et[L[pres1],la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld]*ups[L[pres3]]+
(2-w2)*et[lc,ld]*g[la,lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres1]]*
ups[L[pres3]]+et[lb,ld]*g[la,lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1]]*ups[L[pres3]]+
et[lc,lb]*g[la,ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres1]]*
ups[L[pres3]]+(-3+w2)*(-2+w2)*et[lc,ld]*Nvec[la]*Nvec[lb]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres1]]*ups[L[pres3]]+
(3-w2)*et[lb,ld]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1]]*ups[L[pres3]]+
(3-w2)*et[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1]]*ups[L[pres3]]+
(3-w2)*et[lc,lb]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1]]*ups[L[pres3]]+
(3-w2)*et[lc,la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1]]*ups[L[pres3]]+
et[la,lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres1]]*
ups[L[pres3]]+et[lb,la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres1]]*ups[L[pres3]]+
et[L[pres1],ld][L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres2]]+et[lc,L[pres1]][L[pres3]]*g[la,ld]*Nvec[lb]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[L[pres1],ld][L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres2]]+et[L[pres1],L[pres3]][lb]*g[la,ld]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]-
2*(-3+w2)*et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(3-w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb][L[pres3]]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(3-w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres3]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[lc,L[pres1]][L[pres3]]*g[la,lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres2]]+et[L[pres1],L[pres3]][lb]*g[la,lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]-
2*(-3+w2)*et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(3-w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb][L[pres3]]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[lb,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[L[pres1],lb][L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(3-w2)*et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[la,L[pres1]][L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[L[pres1],la][L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(5-w2)*et[L[pres1],L[pres3]][la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb][la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc][la]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[lb,L[pres1]]*Nvec[la]*Nvec[lc][L[pres3]]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[L[pres1],lb]*Nvec[la]*Nvec[lc][L[pres3]]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld][la]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
(3-w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[ld][L[pres3]]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[ld][L[pres3]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]+
et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[ld][L[pres3]]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]-
(-4+w2)^2*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[la]*ups[L[pres2]]+
(-2+w2)*et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[lb]*ups[L[pres2]]+
(-2+w2)*et[L[pres1],L[pres3]]*g[la,lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[lb]*ups[L[pres2]]+
(-10+6*w2-w2^2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lb]*ups[L[pres2]]-
et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[lc]*ups[L[pres2]]-
et[L[pres1],L[pres3]]*g[la,lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[lc]*ups[L[pres2]]+
(-7+2*w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lc]*ups[L[pres2]]-
et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[ld]*ups[L[pres2]]-
et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[ld]*ups[L[pres2]]+
(-7+2*w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[ld]*ups[L[pres2]]+
(-3+w2)*et[L[pres1],ld]*g[la,lc]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-3+w2)*et[lc,L[pres1]]*g[la,ld]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-3+w2)*et[L[pres1],ld]*g[la,lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]-
et[lb,L[pres1]]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres3]]*ups[L[pres2]]-
et[L[pres1],lb]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres3]]*ups[L[pres2]]-
(-3+w2)^2*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-3+w2)*et[lc,L[pres1]]*g[la,lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]-
et[lb,L[pres1]]*g[la,lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres3]]*ups[L[pres2]]-
et[L[pres1],lb]*g[la,lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres3]]*ups[L[pres2]]-
(-3+w2)^2*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-3+w2)*et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-3+w2)*et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-4+w2)*et[la,L[pres1]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]+
(-4+w2)*et[L[pres1],la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3]]*ups[L[pres2]]-
et[L[pres1],L[pres3]][L[pres2]]*g[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]-
et[L[pres1],L[pres3]][L[pres2]]*g[la,lc]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]-
et[L[pres1],L[pres3]][L[pres2]]*g[la,lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]+
(-7+2*w2)*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]+
(-4+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb][L[pres2]]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]+
(-4+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres2]]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres4]]+
(-4+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[ld][L[pres2]]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*
ups[L[pres4]]+(4-w2)*et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*
Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres2]]*
ups[L[pres4]]+(4-w2)*et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres2]]*
ups[L[pres4]]+(4-w2)*et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres2]]*
ups[L[pres4]]+(-4+w2)*(-3+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*
ups[L[pres2]]*ups[L[pres4]]+
et[lc,ld][L[pres1]]*g[la,lb]*ups[U[pres1]]+
et[L[pres1],ld][lb]*g[la,lc]*ups[U[pres1]]+
et[lc,L[pres1]][lb]*g[la,ld]*ups[U[pres1]]+
et[L[pres1],ld][la]*g[lb,lc]*ups[U[pres1]]+
et[lc,L[pres1]][la]*g[lb,ld]*ups[U[pres1]]-
et[lc,ld][L[pres1]]*Nvec[la]*Nvec[lb]*ups[U[pres1]]-
et[L[pres1],ld][lb]*Nvec[la]*Nvec[lc]*ups[U[pres1]]-
et[L[pres1],ld][la]*Nvec[lb]*Nvec[lc]*ups[U[pres1]]-
et[lc,L[pres1]][lb]*Nvec[la]*Nvec[ld]*ups[U[pres1]]-
et[lc,L[pres1]][la]*Nvec[lb]*Nvec[ld]*ups[U[pres1]]-
et[L[pres1],ld][L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[U[pres3]]*ups[U[pres1]]-
et[lc,L[pres1]][L[pres3]]*g[lb,ld]*Nvec[la]*Nvec[U[pres3]]*ups[U[pres1]]-
et[L[pres1],ld][L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[U[pres3]]*ups[U[pres1]]-
et[lc,L[pres1]][L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[U[pres3]]*ups[U[pres1]]+
2*et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres3]]*
ups[U[pres1]]-et[L[pres1],L[pres3]][lb]*g[la,lc]*Nvec[ld]*Nvec[U[pres3]]*
ups[U[pres1]]-et[L[pres1],L[pres3]][la]*g[lb,lc]*Nvec[ld]*Nvec[U[pres3]]*
ups[U[pres1]]+2*et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres3]]*ups[U[pres1]]+et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres3]]*ups[U[pres1]]+
et[L[pres1],L[pres3]][la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*
ups[U[pres1]]-et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[ld][la]*Nvec[U[pres3]]*
ups[U[pres1]]+et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld][la]*
Nvec[U[pres3]]*ups[U[pres1]]+et[L[pres1],L[pres3]][L[pres2]]*g[lb,lc]*Nvec[la]*
Nvec[ld]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[U[pres1]]+
et[L[pres1],L[pres3]][L[pres2]]*g[la,lc]*Nvec[lb]*Nvec[ld]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[U[pres1]]-2*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*
Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[U[pres1]]+
et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[ld][L[pres2]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[U[pres1]]-et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*
Nvec[lc]*Nvec[ld][L[pres2]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[U[pres1]]+
(-3+w2)*et[L[pres1],ld]*g[lb,lc]*ups[la]*ups[U[pres1]]+
(-3+w2)*et[lc,L[pres1]]*g[lb,ld]*ups[la]*ups[U[pres1]]+
(3-w2)*et[L[pres1],ld]*Nvec[lb]*Nvec[lc]*ups[la]*ups[U[pres1]]+
(3-w2)*et[lc,L[pres1]]*Nvec[lb]*Nvec[ld]*ups[la]*ups[U[pres1]]+
(3-w2)*et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[ld]*Nvec[U[pres3]]*ups[la]*
ups[U[pres1]]+(-3+w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres3]]*ups[la]*ups[U[pres1]]+
(-2+w2)*et[L[pres1],ld]*g[la,lc]*ups[lb]*ups[U[pres1]]+
(-2+w2)*et[lc,L[pres1]]*g[la,ld]*ups[lb]*ups[U[pres1]]+
(2-w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lc]*ups[lb]*ups[U[pres1]]+
(2-w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[ld]*ups[lb]*ups[U[pres1]]+
(2-w2)*et[L[pres1],L[pres3]]*g[la,lc]*Nvec[ld]*Nvec[U[pres3]]*ups[lb]*
ups[U[pres1]]+(-2+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres3]]*ups[lb]*ups[U[pres1]]-
et[L[pres1],ld]*g[la,lb]*ups[lc]*ups[U[pres1]]-
et[lb,L[pres1]]*g[la,ld]*ups[lc]*ups[U[pres1]]-
et[la,L[pres1]]*g[lb,ld]*ups[lc]*ups[U[pres1]]+
et[L[pres1],ld]*Nvec[la]*Nvec[lb]*ups[lc]*ups[U[pres1]]+
et[lb,L[pres1]]*Nvec[la]*Nvec[ld]*ups[lc]*ups[U[pres1]]+
et[la,L[pres1]]*Nvec[lb]*Nvec[ld]*ups[lc]*ups[U[pres1]]+
et[L[pres1],L[pres3]]*g[la,lb]*Nvec[ld]*Nvec[U[pres3]]*ups[lc]*
ups[U[pres1]]-et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres3]]*ups[lc]*ups[U[pres1]]-
et[lc,L[pres1]]*g[la,lb]*ups[ld]*ups[U[pres1]]-
et[L[pres1],lb]*g[la,lc]*ups[ld]*ups[U[pres1]]-
et[L[pres1],la]*g[lb,lc]*ups[ld]*ups[U[pres1]]+
et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*ups[ld]*ups[U[pres1]]+
et[L[pres1],lb]*Nvec[la]*Nvec[lc]*ups[ld]*ups[U[pres1]]+
et[L[pres1],la]*Nvec[lb]*Nvec[lc]*ups[ld]*ups[U[pres1]]+
et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[U[pres3]]*ups[ld]*
ups[U[pres1]]+et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[U[pres3]]*
ups[ld]*ups[U[pres1]]-
2*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres3]]*ups[ld]*
ups[U[pres1]]+(-2+w2)*et[lc,ld]*g[la,lb]*ups[L[pres1]]*
ups[U[pres1]]-et[lb,ld]*g[la,lc]*ups[L[pres1]]*ups[U[pres1]]-
et[lc,lb]*g[la,ld]*ups[L[pres1]]*ups[U[pres1]]+
(2-w2)*et[lc,ld]*Nvec[la]*Nvec[lb]*ups[L[pres1]]*ups[U[pres1]]+
et[lb,ld]*Nvec[la]*Nvec[lc]*ups[L[pres1]]*ups[U[pres1]]+
et[lc,lb]*Nvec[la]*Nvec[ld]*ups[L[pres1]]*ups[U[pres1]]+
(3-w2)*et[L[pres1],ld]*g[lb,lc]*Nvec[la]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+(3-w2)*et[lc,L[pres1]]*g[lb,ld]*Nvec[la]*
Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]+
(2-w2)*et[L[pres1],ld]*g[la,lc]*Nvec[lb]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+(2-w2)*et[lc,L[pres1]]*g[la,ld]*Nvec[lb]*
Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]+
et[L[pres1],ld]*g[la,lb]*Nvec[lc]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+et[lb,L[pres1]]*g[la,ld]*Nvec[lc]*Nvec[U[pres3]]*
ups[L[pres3]]*ups[U[pres1]]+
et[la,L[pres1]]*g[lb,ld]*Nvec[lc]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+2*(-3+w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*
Nvec[lc]*Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]+
et[lc,L[pres1]]*g[la,lb]*Nvec[ld]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+et[L[pres1],lb]*g[la,lc]*Nvec[ld]*Nvec[U[pres3]]*
ups[L[pres3]]*ups[U[pres1]]+
et[L[pres1],la]*g[lb,lc]*Nvec[ld]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]+2*(-3+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*
Nvec[ld]*Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]-
et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]-et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]-
et[la,L[pres1]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*ups[L[pres3]]*
ups[U[pres1]]-et[L[pres1],la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres3]]*ups[L[pres3]]*ups[U[pres1]]-
et[L[pres1],L[pres3]]*g[la,ld]*g[lb,lc]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres1]]+
et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres1]]+
(-3+w2)*et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[ld]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres1]]+
(-3+w2)*et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[ld]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres1]]-
et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres1]]+
(7-2*w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres1]]-
et[L[pres1],ld][L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[U[pres1]]*ups[U[pres3]]-
et[L[pres1],L[pres3]][lb]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[U[pres3]]-
et[L[pres1],L[pres3]][la]*g[lb,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[U[pres3]]+
et[L[pres1],ld][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
ups[U[pres3]]-et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[lc][la]*Nvec[U[pres1]]*
ups[U[pres3]]-et[lc,L[pres1]][L[pres3]]*g[la,lb]*Nvec[ld]*Nvec[U[pres1]]*
ups[U[pres3]]+et[lc,L[pres1]][L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres1]]*ups[U[pres3]]+et[L[pres1],L[pres3]][lb]*Nvec[la]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*ups[U[pres3]]+
et[L[pres1],L[pres3]][la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
ups[U[pres3]]+et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc][la]*Nvec[ld]*
Nvec[U[pres1]]*ups[U[pres3]]+et[L[pres1],L[pres3]][L[pres2]]*g[lb,ld]*Nvec[la]*
Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres2]]*ups[U[pres3]]+
et[L[pres1],L[pres3]][L[pres2]]*g[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres2]]*ups[U[pres3]]+et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[la]*
Nvec[lc][L[pres2]]*Nvec[U[pres1]]*Nvec[U[pres2]]*ups[U[pres3]]-
2*et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres2]]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc][L[pres2]]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres2]]*ups[U[pres3]]+
(3-w2)*et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[la]*
ups[U[pres3]]+(-3+w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*ups[la]*ups[U[pres3]]+
(2-w2)*et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[lb]*
ups[U[pres3]]+(-2+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*ups[lb]*ups[U[pres3]]+
et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[la]*Nvec[U[pres1]]*ups[lc]*
ups[U[pres3]]+et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[U[pres1]]*
ups[lc]*ups[U[pres3]]-
2*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*ups[lc]*
ups[U[pres3]]+et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[U[pres1]]*
ups[ld]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*ups[ld]*
ups[U[pres3]]+et[L[pres1],ld]*g[la,lc]*Nvec[lb]*Nvec[U[pres1]]*
ups[L[pres3]]*ups[U[pres3]]+
et[lc,L[pres1]]*g[la,ld]*Nvec[lb]*Nvec[U[pres1]]*ups[L[pres3]]*
ups[U[pres3]]+(2-w2)*et[L[pres1],ld]*g[la,lb]*Nvec[lc]*
Nvec[U[pres1]]*ups[L[pres3]]*ups[U[pres3]]+
et[L[pres1],lb]*g[la,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[L[pres3]]*
ups[U[pres3]]+(-3+w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*ups[L[pres3]]*ups[U[pres3]]+
(2-w2)*et[lc,L[pres1]]*g[la,lb]*Nvec[ld]*Nvec[U[pres1]]*ups[L[pres3]]*
ups[U[pres3]]+et[lb,L[pres1]]*g[la,lc]*Nvec[ld]*Nvec[U[pres1]]*
ups[L[pres3]]*ups[U[pres3]]+
(-3+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
ups[L[pres3]]*ups[U[pres3]]-
et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*ups[L[pres3]]*
ups[U[pres3]]-et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*ups[L[pres3]]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*g[la,lc]*g[lb,ld]*Nvec[U[pres1]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres3]]+
(-3+w2)*et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres3]]+
(-3+w2)*et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres3]]+
et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres2]]*
ups[L[pres2]]*ups[U[pres3]]+
(7-2*w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres2]]*ups[L[pres2]]*ups[U[pres3]]+
et[L[pres1],L[pres3]]*g[la,ld]*g[lb,lc]*ups[U[pres1]]*ups[U[pres3]]+
et[L[pres1],L[pres3]]*g[la,lc]*g[lb,ld]*ups[U[pres1]]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[la]*Nvec[lc]*ups[U[pres1]]*
ups[U[pres3]]-et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[lc]*
ups[U[pres1]]*ups[U[pres3]]-
et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[ld]*ups[U[pres1]]*
ups[U[pres3]]-et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[ld]*
ups[U[pres1]]*ups[U[pres3]]+
2*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*ups[U[pres1]]*
ups[U[pres3]]+et[L[pres1],L[pres3]][L[pres2]]*g[la,lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[U[pres2]]-
et[L[pres1],L[pres3]][L[pres2]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[U[pres2]]-
et[L[pres1],L[pres3]]*g[la,ld]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres2]]*ups[U[pres2]]-
et[L[pres1],L[pres3]]*g[la,lc]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres2]]*ups[U[pres2]]+
(-2+w2)*et[L[pres1],L[pres3]]*g[la,lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres2]]*ups[U[pres2]]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres2]]*ups[U[pres2]]+
(-2+w2)*et[lc,ld]*ups[lb,la]+
(2-w2)*et[L[pres1],ld]*Nvec[lc]*Nvec[U[pres1]]*ups[lb,la]+
(2-w2)*et[lc,L[pres1]]*Nvec[ld]*Nvec[U[pres1]]*ups[lb,la]+
(-2+w2)*et[L[pres1],L[pres3]]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb,la]+(2-w2)*et[lc,ld]*Nvec[la]*Nvec[U[pres1]]*
ups[lb,L[pres1]]+(-2+w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[lb,L[pres3]]+
(-2+w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lb,L[pres3]]+(2-w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lc]*
Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lb,L[pres2]]-
et[lb,ld]*ups[lc,la]+
et[L[pres1],ld]*Nvec[lb]*Nvec[U[pres1]]*ups[lc,la]+
et[lb,L[pres1]]*Nvec[ld]*Nvec[U[pres1]]*ups[lc,la]-
et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc,la]+et[lb,ld]*Nvec[la]*Nvec[U[pres1]]*
ups[lc,L[pres1]]-et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[lc,L[pres3]]-
et[lb,L[pres1]]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[lc,L[pres3]]+et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[lc,L[pres2]]-
et[lc,lb]*ups[ld,la]+
et[lc,L[pres1]]*Nvec[lb]*Nvec[U[pres1]]*ups[ld,la]+
et[L[pres1],lb]*Nvec[lc]*Nvec[U[pres1]]*ups[ld,la]-
et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld,la]+et[lc,lb]*Nvec[la]*Nvec[U[pres1]]*
ups[ld,L[pres1]]-et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[ld,L[pres3]]-
et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[ld,L[pres3]]+et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[ld,L[pres2]]+
(2-w2)*et[lc,ld]*Nvec[lb]*Nvec[U[pres1]]*ups[L[pres1],la]+
et[lb,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[L[pres1],la]+
et[lc,lb]*Nvec[ld]*Nvec[U[pres1]]*ups[L[pres1],la]+
(-2+w2)*et[lc,ld]*Nvec[la]*Nvec[lb]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1],L[pres3]]-et[lb,ld]*Nvec[la]*Nvec[lc]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres1],L[pres3]]-
et[lc,lb]*Nvec[la]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres1],L[pres3]]+(-3+w2)*et[L[pres1],ld]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres3]]*ups[L[pres3],la]+
(-3+w2)*et[lc,L[pres1]]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3],la]-et[lb,L[pres1]]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*ups[L[pres3],la]-
et[L[pres1],lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
ups[L[pres3],la]+(3-w2)*et[L[pres1],ld]*Nvec[la]*Nvec[lb]*
Nvec[lc]*Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3],L[pres2]]+
(3-w2)*et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres3],L[pres2]]+
et[lb,L[pres1]]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3],L[pres2]]+
et[L[pres1],lb]*Nvec[la]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[L[pres3],L[pres2]]+
(4-w2)*et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[L[pres2],la]+
(-4+w2)*et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*
Nvec[U[pres1]]*Nvec[U[pres3]]*Nvec[U[pres2]]*Nvec[U[pres4]]*ups[L[pres2],L[pres4]]+
et[L[pres1],ld]*g[lb,lc]*ups[U[pres1],la]+
et[lc,L[pres1]]*g[lb,ld]*ups[U[pres1],la]-
et[L[pres1],ld]*Nvec[lb]*Nvec[lc]*ups[U[pres1],la]-
et[lc,L[pres1]]*Nvec[lb]*Nvec[ld]*ups[U[pres1],la]-
et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[ld]*Nvec[U[pres3]]*ups[U[pres1],la]+
et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*
ups[U[pres1],la]-et[L[pres1],ld]*g[lb,lc]*Nvec[la]*Nvec[U[pres3]]*
ups[U[pres1],L[pres3]]-et[lc,L[pres1]]*g[lb,ld]*Nvec[la]*Nvec[U[pres3]]*
ups[U[pres1],L[pres3]]+et[L[pres1],ld]*Nvec[la]*Nvec[lb]*Nvec[lc]*
Nvec[U[pres3]]*ups[U[pres1],L[pres3]]+
et[lc,L[pres1]]*Nvec[la]*Nvec[lb]*Nvec[ld]*Nvec[U[pres3]]*
ups[U[pres1],L[pres3]]+et[L[pres1],L[pres3]]*g[lb,lc]*Nvec[la]*Nvec[ld]*
Nvec[U[pres3]]*Nvec[U[pres2]]*ups[U[pres1],L[pres2]]-
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres3]]*
Nvec[U[pres2]]*ups[U[pres1],L[pres2]]-
et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[lc]*Nvec[U[pres1]]*ups[U[pres3],la]+
et[L[pres1],L[pres3]]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
ups[U[pres3],la]+et[L[pres1],L[pres3]]*g[lb,ld]*Nvec[la]*Nvec[lc]*
Nvec[U[pres1]]*Nvec[U[pres2]]*ups[U[pres3],L[pres2]]-
et[L[pres1],L[pres3]]*Nvec[la]*Nvec[lb]*Nvec[lc]*Nvec[ld]*Nvec[U[pres1]]*
Nvec[U[pres2]]*ups[U[pres3],L[pres2]]
   );
  Temp=NewDummy[Temp];
  answer=Temp;
  answer
  )
];



(*--- End of file ---*)
