(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    198327,       5325]
NotebookOptionsPosition[    187061,       4962]
NotebookOutlinePosition[    187727,       4985]
CellTagsIndexPosition[    187684,       4982]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["CQ2017.nb  (\[OpenCurlyDoubleQuote]Chang-Qing\[CloseCurlyQuote]s \
Third-Order Operator in 2017\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.226157133890375*^9, 3.226157159827875*^9}, {
  3.226327238703125*^9, 3.226327257859375*^9}, {3.583432494665399*^9, 
  3.5834324962895117`*^9}, {3.711330725484693*^9, 3.7113307415156097`*^9}, {
  3.712166079757979*^9, 3.712166103749124*^9}, {3.712602458349533*^9, 
  3.712602458493025*^9}, {3.713465684594565*^9, 3.713465697082635*^9}, {
  3.722544355879322*^9, 3.722544356054185*^9}, {3.763457854825831*^9, 
  3.76345786024934*^9}, {3.764763222678524*^9, 3.764763224566066*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell[TextData[{
 "Date last modified:  5 May 2019\n\nThis notebook pertains to Section 8.2 of \
our article.\n\nWe will compare our third-order operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 " with the third-order boundary operator of Chang and Qing.  Both operators \
will act on weight 0 in dimension ",
 StyleBox["n ",
  FontSlant->"Italic"],
 "= 4."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwdz29MzHEcB/CTlq6UtaVNkTtk4rg0U6eu880uc9TVhe6B1eISlbX0hwdY
RgnHRv7Ulai4VaKrrqM6lX9djmiTWJNOOavf7yfMcWKZ7+fz4L3Xk/f7wVu4
O1uV5sLj8SJpQMfMheR0/gRxzISloEfveO9DX6G8wroFnSCvGXUcLVg9jv2n
IWCMm6Daw8AQdamwBvygTbQPtzAkPiELlWkrpC/bGKIIDYsCvX0DpOtHGGIS
p0aBvaaB10FjDHm/yHcQXNHh+dDfTnspiWhxV22NkWGIsaIVjeEui9qo0VGv
0Iuyqsq31BX6JvTrntIuvx8MMTiPd6NhtWN51OUVLehZm9d1WxBLbELxDTAv
p1C5fjlLjs1uQk2S8Vx1MEu8I1V5YEJRaKhOzJK47+3oqRJR0TUNS1RVPsVg
kf7P74XpLNHxhdNg47mU4CxqbCkrAucPTZ7IusqSbkv3STBwfDgpv5olV7IW
qsGyu/cl/XqWKPRnpeAZmWQr2Pg4TgkKelpv/qROR1rqQakmOSCtjiW1QvVS
UJYTuArseSYSg5WxnARk/CKkoE+qdzQY4xe9CVx3uWDxBapKWY26fLRsaYdd
0yDq/rZk/zh1xlmObn53oEpSz5LsvkJ0X2aSVEN94paOPtL51R2hFh/cgEr9
b9SPNrCkS7myAWRGy+xzbrNkZ9gD1BnRM2XsYIm60u0bWCwKvhZipv9H96K7
zruoY6kFS+Rog3l7qJP6JfcY+tI2bBz5xxL7V7EJ1Jr7bi5x5ciRdnc9+G/H
WmYrVayUo6l8myOfmtFt/AmW27sUJVT/v2PbQN3vWRN3qLGTvmhvs9zq5HNE
X5b6HBQEfLKEe3CkL/4L+sQwZM2n/mrj0Bpt55o+T44cPj2ALvv8SyWfy5FD
0qBEUBu+UXGPqlFmotZDQgvfiyOSc2vQF8mq52DNrcB+MOOuYGiSarCK0akJ
HytvHkeiTbnopUDzoIxaH+f6BvwPGcnwww==
  "]],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.760435145257159*^9, 3.7604351474886017`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.581957397445381*^9, 3.5819573991801777`*^9}, {
  3.64218171821774*^9, 3.642181719992104*^9}, {3.711333919783585*^9, 
  3.711333920323765*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 100, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 100, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.22615577368725*^9, 3.226156024906*^9, 3.2261562254685*^9, 
   3.22615719112475*^9, 3.22615732862475*^9, 3.226327263515625*^9, 
   3.226409364906*^9, 3.581957400242593*^9, 3.583432499555602*^9, 
   3.584979444885614*^9, 3.6056396723772707`*^9, 3.608227491436701*^9, 
   3.608659330888887*^9, 3.608743532255028*^9, 3.6097776776070013`*^9, 
   3.6127142641773643`*^9, 3.612715370937483*^9, 3.6127858960475063`*^9, 
   3.617109503376749*^9, 3.6173021986771183`*^9, 3.641744794416203*^9, 
   3.642177186805449*^9, 3.642181720814624*^9, 3.6437372008979397`*^9, 
   3.643737271108472*^9, 3.6437373045337152`*^9, 3.643737351176505*^9, 
   3.64391283255709*^9, 3.645459385437571*^9, 3.645459750413272*^9, {
   3.6454598007221527`*^9, 3.645459824817007*^9}, 3.6454598684967937`*^9, 
   3.6455556221460342`*^9, 3.648835996351431*^9, 3.676630067372258*^9, 
   3.677939665852393*^9, {3.67793981850207*^9, 3.677939826123249*^9}, 
   3.6781018671055403`*^9, 3.678556217358328*^9, 3.7032680807748003`*^9, 
   3.703268498589429*^9, 3.708529338542783*^9, 3.708529385507513*^9, 
   3.7113308017376842`*^9, 3.711333921218961*^9, 3.711413586275125*^9, 
   3.711421934291787*^9, 3.7114709741409283`*^9, 3.711473344362028*^9, 
   3.711476340060758*^9, 3.7114812027404737`*^9, 3.711495363709056*^9, 
   3.711497613147491*^9, 3.711590479700747*^9, 3.7116469810936327`*^9, 
   3.712166429514173*^9, 3.7122562573479843`*^9, 3.7123385506948643`*^9, 
   3.7124247840950823`*^9, 3.7124304382463093`*^9, 3.712601335388515*^9, 
   3.712602462887158*^9, 3.7126053911747417`*^9, 3.7126886974896803`*^9, 
   3.712738628926443*^9, 3.712745050572106*^9, 3.7127454862609587`*^9, 
   3.712747371889061*^9, 3.712749591537159*^9, 3.7134657053213243`*^9, 
   3.7134704269941063`*^9, 3.713548083917715*^9, 3.721766802229878*^9, 
   3.7225446175528927`*^9, 3.7226032264089518`*^9, 3.722951063714549*^9, 
   3.757501891864213*^9, 3.757504167594634*^9, 3.760264500750733*^9, 
   3.76034905327182*^9, 3.760349876586013*^9, 3.760350009126069*^9, 
   3.760435142343115*^9, 3.7604710025673122`*^9, 3.7605497078718233`*^9, 
   3.760556590984832*^9, 3.763322463551529*^9, 3.763324383136097*^9, 
   3.7635805700923977`*^9, 3.764273532583359*^9, 3.764529820781065*^9, 
   3.764932218861327*^9, 3.764933083982504*^9, 3.764935635750964*^9, 
   3.765391069685227*^9, 3.766091487156068*^9}]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.76609149613207*^9, 3.7660915087228003`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.7660915172908487`*^9, 3.766091518455276*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766091519478888*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.226155908921625*^9, 3.2261559373435*^9}, {
  3.5819574213842154`*^9, 3.5819574594030333`*^9}, {3.677939679996397*^9, 
  3.677939688387865*^9}, {3.760349759251586*^9, 3.7603497612876167`*^9}, {
  3.7659623520478783`*^9, 3.765962354199705*^9}, {3.766091523839713*^9, 
  3.766091526063595*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwlz2tIk3EUBvA5DXFumhZKYwucKVitRpqVgnZwTijzVqhhiYk2CaECh2ZO
RZpiSGBFmaWWlZfJdM0JWnNWqEheImsWiteluff/5tbSXJbamX14+H144Bwe
n/TLCZkODAYjGbMs1+RIXRZhWc4o3nK98MF/MwVZKKP4Du/VVu8VaEQt+ewW
lpqCX53lC+MaCiISdWEjHRTsHQ0KD56kICG975PfHAUWR5nahgaH1Q77GCmQ
cEffcOcpCDLwnmopCqypucIOVFvPr/mM6lv3vfb6ScFNX/NYDspOkrfvEBA4
qrjrakK3HY56NONHQLDZ3mQ3WyOJD/Yn0M3+cy0ggID+LV9rd0CklSWjIWXc
oOqDBBaf/yirySDQOViwzpMSELXmuvHR70aLMBtlXq11PpFFwG2oOTX7PgGW
+9xtu2dc2WdlT/D/O/15u8vm8rDhBgKHCtXKFVTKket/o45Ta20ejQTyO8Vf
PFHuRFfMTrS+vbLVCxV391bx0ZB5jmY3eny7hBWNphSsPJaipcw4cWYTAYPi
g7AS3Uh7GNuFRvepLhnRix55wgXUGl9bd6yZQITyxv4Q1DpTVR2K9h8gURmo
U5S4ucDeWzcHi1BB3BVmMdo75Ltk91l/kWMJWppHq6aVBI40ev+dRZcaWd+c
W3CXymTVviRQ7m3oFukIWGhTyim0RKkIXEWL9kDX5AaBpIlkwxR6wd/WIHCi
IYY9bj6JVvSPJUajOZGFUru3mMI1GXrOQXG9DOXFjphUKMfsKXmB+q7eG1p1
oWG9LVRnQ3sqbB9lLBq0PR2iAVe8Mz19OpJNA7VL8d6FQ0PvbF0oCx1L+zph
QtUSj9lwdxr+AUnPcvs=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Warning1.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.226156114015375*^9, 3.22615613162475*^9}, {
  3.581957508363967*^9, 3.581957519365467*^9}, {3.760349762423869*^9, 
  3.760349768535788*^9}, {3.763323429462844*^9, 3.7633234305037813`*^9}}],

Cell["\<\
Time:  19 hours, 32 minutes, 12 seconds
Date:  5 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwd0FtI03EUB/BNu23eyPKSzOU9pVx5aaR5OyvHLA0aShJjmTlmauvFFaRS
2INRlppT0zK2BHWaMueUzJVmKAVbvug0UdNG5v6/ocK8VWad+XD4wBe+34fj
n31TKKHTaLQMvNWStSdSxiKslrg27PhXyc1FabRadv9O/jnKjNaKOrRMDQUK
x66FKS0FeRYq4UsPBZFlVxK5MxT4VNvGgr9TMNBYrdlE09VGo7+ZgkwVfcjn
BwUqfVKTjqKAr30V3oMm8PiNE6jkyI1BTxsFQV6HJgrRxbqV7gMBBCq4Ic4W
9DdPrJ4LJvDw8KOL3BACIdfUd8LCCKy8H9bZ5fC9b2WihR8qohuOE7jtnvKg
MYeA7L5pmyUlMLmkcvVFyy3TnAJUkLSPcS6XQHOwraagjoBQmHJZriLAdjGJ
7fqNnkw0NhMwKdfb1lBZPAz8Qtm8eM3+FgI8mXLSHS2Vb1w4iJqeDnZ6oi/3
HK33RT0E8Vo22p5XyUxF42ZDVVKUFdl9VtJKIHqqlFOFiiibsA9trQzMN6Pe
RR/DF+wa6MoYNe5lG4/FooNdmw2n0YLRLEEOGjGnURejsqAYw13U6dm4wz20
POLxkl2HfzWOpShrS9D5rQ3/c6Zqax59vXT95952AiPvRDbdWwKKJvrACT0B
W5xIlIauE3PUBsrRD/XNbBMozu8dn0VfOGe1BOyygjg5dOU82hvLupSK6r4O
S+0qdvv9kaOh9SNFZai3wo3qQA0eYn4XWv9m2bDBsIIXrVm/iS7388bkTCtI
1ItRn5yskHkqLT3Z2QrpLqZRhgv2rwbGMdGg5xnTFtS9s2g+0c0K/wHR213J

  "]]
}, Open  ]],

Cell["We begin with some preparations for what will follow.", "Text",
 CellChangeTimes->{{3.760471767312139*^9, 3.760471786052083*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We will assume that our unit normal vector points inward.\n\nWhen we \
originally constructed our various commands for computing intrinsic \
derivatives, we gave these commands the capability of computing the \
derivatives relative to the conformal metric.  The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "\[CenterDot]", "Upsilon"}]], TraditionalForm]]],
 ".  In this notebook, we compute derivatives relative to the background \
metric.  As a consequence, we will need to set Upsilon equal to zero.  We now \
introduce commands to do this."
}], "Text",
 CellChangeTimes->{{3.7126889209656773`*^9, 3.7126889398871317`*^9}, {
  3.712689043848392*^9, 3.712689071920759*^9}, {3.7134658798132563`*^9, 
  3.713465901717062*^9}, {3.763324450243129*^9, 3.763324513788969*^9}, {
  3.763324556985557*^9, 3.763324664558113*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.711332082167177*^9, 3.711332090497759*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQA2LOhJz7Z5e9djzOr/tVcPlrx22Fe+4IAenfpzcvFwHS
GWkPNokB6R/v/s2RBdIPFrFvlwPSO/QY9H2AdP/7xGXpQHr+c+e61BWvHTd4
u3hNBNJPLDyjdgLprhtSeY+BNNezPINnQFqi/fRiy5WvHcU2yRpYAel72/vm
WQPpvkl2dSlA+o2D1pYaID2zIfNsPZCuefuOuQFIX3mUe/z+qteOXwo1/j4E
0pN+635gX/3a8VdSEc/WXUB7m/WOG+wBmu/yOMYXSG+Y1Xvk7r/XjvtyF924
B6TjDP9sUWJ546j1YssHbyBdMUEgwgdIn9sSmwGie+tu/S4F0n4nwmvagXRc
0fe3a4E011xf941AOqrvy9nvnG8cZ915sPcHkD7B5fAARPNFtd0s5XrjeGx5
aqgrzxvHpJzPVzh53zjmTF9uywWkN8wPvfsSSBfcjnxkz//GEQDqr8eD
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.7114715318571377`*^9, 3.711471541717885*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[i]]}\
\>", "\<\
{ups, ups   }
         ;i\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeJtmVe+CS5/7fii/9EdISB9iv3ZchEg7VP4Z5MYkHaS
kpkrC6TDGky3ywFp4blS+j5A+sbbpmXpQDrlbFpd6orXjvuqQ7wnAuk91kVR
O4G0X79T3mMgfU+q3+AZkM4z+r7YcuVrxyvG7gZWQHrGh73zrIG0lnpyXQqQ
9gsO31IDpBdl956tB9JnS3hYGoB0RuTU4/dXAfU/yP/7EEjXeTz5wL76teM1
rb08W3e9duzYu/K4wR6g/GGWWF8gvaNow5G7/1478s7Ye+MekObz19yqxPLG
cZfyuQ/eQHrJMtMIHyDNcrs8A0T3Xf/zuxRIf8kqqWkH0glZvO/WAuk5+rnu
G4F0RjnXue+cbxxn7jTf9wNIFxwueACi6xg33SzleuOoFl4T6srzxnGZmOJV
Tt43jmWFx2y5gPSx/Il3XwLpxS9LHtnzv3EEAMYfvBw=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.7114715441439466`*^9, 3.711471547650806*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBWKfqkXfBZe/dozQZLsrBKQfCMmtFAHSG/S0NosBaQV+
67myQHqPdsh2OSDNY2ii7wOkO3YvXZYOpO+tXFyXuuK1Y4bzDe+JQPqJuGP0
TiBd0p6d9xhI7+1ea/AMSKdlqC2xXPna8e/+UgMrIK3L/mKeNZB2+T2hLgVI
35y6d0sNkLaL33i2Hkj7XNNhaQDSRs9XH7+/CqjOZPrfh0D6warFH9lXv3aU
PPGdZ+uu1442r78cN9jz2rFQTiXWF0j/jXx85O6/144zzjPevAek5/g5blVi
eeNoofLygzeQPhEUFuEDpJ+83J4BorUdpf+UAmkjprU17UDaylr53VogHXK/
z30jkL6WrHnuO+cbR+FjIft+AOmI5a0PQLTK4Vc3S7neODazTwp15Xnj+I7H
9Con7xvHjeI/bLmANHv8irsvgbSFwaRH9vxvHAEz07i5
  "]]
}, Open  ]],

Cell["\<\
We now prepare to encode ambient derivatives into alias identifiers.\
\>", "Text",
 CellChangeTimes->{{3.760471833654269*^9, 3.7604719429426603`*^9}, {
  3.760472155127324*^9, 3.760472174447138*^9}, {3.76055630906555*^9, 
  3.760556313753528*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell["\<\
The purpose of what follows is to embed (or encode) explicit ambient \
derivatives into \[OpenCurlyDoubleQuote]alias\[CloseCurlyDoubleQuote] \
tensors.  The idea is to eliminate explicit appearances of the ambient \
derivatives.  We want the semicolon character to disappear from our working \
expressions.  In a sense, we want to hide the ambient derivatives.  We need \
to do this in order to distinguish between ambient derivatives and intrinsic \
derivatives.  We will use these ideas later on in this notebook.  Further \
explanation appears in the comments following the heading \
\[OpenCurlyDoubleQuote]Alias Conversions,\[CloseCurlyDoubleQuote] below.\
\>", "Text",
 CellChangeTimes->{{3.7134686640855837`*^9, 3.713468742768297*^9}, {
   3.713468802136794*^9, 3.713468827337166*^9}, {3.713468889450315*^9, 
   3.713468909858388*^9}, 3.713548333156356*^9, {3.722603252609182*^9, 
   3.7226032538087597`*^9}, 3.7602652968450823`*^9, {3.763324690318557*^9, 
   3.7633247265587683`*^9}, {3.7634576699762993`*^9, 3.76345784719357*^9}, {
   3.763457970291196*^9, 3.763457994283517*^9}, {3.763458060907981*^9, 
   3.76345806299615*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "j", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}], ",", 
       RowBox[{"L", "[", "l", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "b", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}], ",", 
       RowBox[{"L", "[", "d", "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.712260370266762*^9, 3.712260446334256*^9}, {
  3.7126898796588593`*^9, 3.712689904867215*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{3.7122604470340643`*^9, 3.712260518299293*^9, 
  3.712339139638893*^9, 3.7123394219974337`*^9, 3.712424835984823*^9, 
  3.7124304839797297`*^9, 3.712601396425474*^9, 3.712602516772292*^9, 
  3.712605447409474*^9, 3.712689851214163*^9, 3.712689906408247*^9, 
  3.7127392522104893`*^9, 3.712745083264889*^9, 3.712745531527687*^9, 
  3.7134660969536343`*^9, 3.713470458631043*^9, 3.713548337242195*^9, 
  3.7217672783122272`*^9, 3.722544828579814*^9, 3.722548149685665*^9, 
  3.722603257801056*^9, 3.760265303569573*^9, 3.7603490815635633`*^9, 
  3.760350040541155*^9, 3.760435310001096*^9, 3.760471908353471*^9, 
  3.760549775818668*^9, 3.760556821824341*^9, 3.7633225152658854`*^9, 
  3.7633247401362247`*^9, 3.7635806855631313`*^9, 3.76452984199415*^9, 
  3.764933167353696*^9, 3.764933427998419*^9, 3.765391091931782*^9, 
  3.766091545001479*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecThreeToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderTwo"}], "Input",
 CellChangeTimes->{{3.712260472136629*^9, 3.712260484254931*^9}, {
  3.712260533296062*^9, 3.7122605369439487`*^9}, {3.7123391785746813`*^9, 
  3.712339180693274*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], ZZNvecThree[L[i], L[j], L[k], \
L[l]], 

   Nvec[L[a]] [L[b]], Nvec[L[a]] [L[b], L[c]], ZZNvecThree[L[a], L[b], L[c], \
L[d]]}\
\>", "\<\
{Nvec     , Nvec       , ZZNvecThree        , Nvec     , Nvec       , \
ZZNvecThree        }
     i ;j       i ;j k              i j k l       a ;b       a ;b c           \
   a b c d\
\>"], "Output",
 CellChangeTimes->{
  3.712260485485155*^9, {3.7122605239762087`*^9, 3.7122605376319513`*^9}, 
   3.712339147011715*^9, 3.712339181643181*^9, 3.712339427980604*^9, 
   3.712424837556155*^9, 3.7124304850827503`*^9, 3.7126013978902283`*^9, 
   3.712602518241181*^9, 3.712605448526433*^9, 3.7126898558869247`*^9, 
   3.712689919691826*^9, 3.712739282864128*^9, 3.712745088229313*^9, 
   3.712745538032878*^9, 3.7134661240137377`*^9, 3.7134704602140827`*^9, 
   3.713548362064855*^9, 3.721767306685679*^9, 3.722544858392576*^9, 
   3.722548151084567*^9, 3.722603261044265*^9, 3.760265349907221*^9, 
   3.760349082370572*^9, 3.760350043116768*^9, 3.7604353149772387`*^9, 
   3.760471984253316*^9, 3.760549776793408*^9, 3.760556829523027*^9, 
   3.763322516242749*^9, 3.763324741799387*^9, 3.76358068702884*^9, 
   3.7645298429966593`*^9, 3.764933173668344*^9, 3.765391094288662*^9, 
   3.7660915458077717`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecThree"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.712339184269581*^9, 3.712339227775497*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{3.712339229030278*^9, 3.7123394350626163`*^9, 
  3.712424839011774*^9, 3.7124304862511797`*^9, 3.712601399296117*^9, 
  3.712602519401916*^9, 3.712605449729957*^9, 3.7126899531903*^9, 
  3.71273934605589*^9, 3.7127450929968023`*^9, 3.712745542377633*^9, 
  3.713466146277891*^9, 3.713470461412264*^9, 3.713548377440888*^9, 
  3.721767450914008*^9, 3.722544880049554*^9, 3.7225481523257637`*^9, 
  3.7226032625952463`*^9, 3.7602653571780853`*^9, 3.760349083022793*^9, 
  3.760350044465272*^9, 3.7604353418195*^9, 3.760471987312849*^9, 
  3.760549777655848*^9, 3.7605568417111893`*^9, 3.763322517214654*^9, 
  3.7633247437185097`*^9, 3.763580716072296*^9, 3.7645298438556004`*^9, 
  3.764933254941634*^9, 3.7653910951498623`*^9, 3.7660915482094316`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Holder"], "Input",
 CellChangeTimes->{{3.713466232340384*^9, 3.713466232977448*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{3.713466233667272*^9, 3.713470462736327*^9, 
  3.713548385783092*^9, 3.721767546992381*^9, 3.7225449672138433`*^9, 
  3.722548156439495*^9, 3.722603263553494*^9, 3.76026536413584*^9, 
  3.760349084588608*^9, 3.7603500459059467`*^9, 3.760435356479824*^9, 
  3.7604719936769238`*^9, 3.760549779494466*^9, 3.760556851238303*^9, 
  3.763322519059022*^9, 3.7633247450813837`*^9, 3.7635807180350237`*^9, 
  3.7645298458916817`*^9, 3.7649332741039248`*^9, 3.765391095987877*^9, 
  3.766091549113265*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderTwo"}], "Input",
 CellChangeTimes->{{3.712745172246809*^9, 3.7127452042277203`*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], ZZNvecTwo[L[i], L[j], L[k]], ZZNvecTwo[L[i], L[j], L[k]] \
[L[l]], 

   Nvec[L[a]] [L[b]], ZZNvecTwo[L[a], L[b], L[c]], ZZNvecTwo[L[a], L[b], \
L[c]] [L[d]]}\
\>", "\<\
{Nvec     , ZZNvecTwo      , ZZNvecTwo         , Nvec     , ZZNvecTwo      , \
ZZNvecTwo         }
     i ;j            i j k            i j k ;l       a ;b            a b c    \
        a b c ;d\
\>"], "Output",
 CellChangeTimes->{3.712745205078034*^9, 3.7127455470903797`*^9, 
  3.713466193974753*^9, 3.713466234843637*^9, 3.71347046361789*^9, 
  3.713548390457644*^9, 3.721767658221162*^9, 3.72254498098733*^9, 
  3.722548157722892*^9, 3.722603264484437*^9, 3.760265367238768*^9, 
  3.760349086320738*^9, 3.760350047303244*^9, 3.760435368293209*^9, 
  3.760471996070578*^9, 3.7605497817649*^9, 3.760556861515861*^9, 
  3.76332251965933*^9, 3.763324745822851*^9, 3.763580725284902*^9, 
  3.764529846576667*^9, 3.7649332785403423`*^9, 3.765391096713242*^9, 
  3.76609154979871*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.712745235593814*^9, 3.71274525321271*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{3.712745254124515*^9, 3.71274555526252*^9, 
  3.71346630691537*^9, 3.713470464762495*^9, 3.713548434847828*^9, 
  3.72176772679519*^9, 3.7225449833133383`*^9, 3.722548159262116*^9, 
  3.7226032654931707`*^9, 3.7602653777470837`*^9, 3.760349089221418*^9, 
  3.7603500497028313`*^9, 3.7604354073902473`*^9, 3.76047199704268*^9, 
  3.76054978345157*^9, 3.760556871638596*^9, 3.763322520544331*^9, 
  3.763324747298524*^9, 3.763580732550427*^9, 3.764529847296986*^9, 
  3.7649333234850073`*^9, 3.7653910988986998`*^9, 3.766091551412451*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Holder"], "Input",
 CellChangeTimes->{{3.7225481654951*^9, 3.722548166917733*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{
  3.722548168706533*^9, 3.722603266608733*^9, 3.7602653841364527`*^9, 
   3.76034909104352*^9, 3.7603500508894567`*^9, 3.760435409290318*^9, 
   3.760471999881714*^9, 3.760549785818136*^9, 3.7605568791474733`*^9, 
   3.7633225225844316`*^9, 3.763324748191743*^9, 3.7635807430833683`*^9, 
   3.764529848216942*^9, 3.7649333707544527`*^9, {3.764933420936778*^9, 
   3.764933439850861*^9}, 3.7653910996738997`*^9, 3.766091552247254*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderTwo"}], "Input",
 CellChangeTimes->{{3.722548173770957*^9, 3.722548228398616*^9}}],

Cell[OutputFormData["\<\
{ZZNvecOne[L[i], L[j]], ZZNvecOne[L[i], L[j]] [L[k]], ZZNvecOne[L[i], L[j]] \
[L[k], L[l]], 

   ZZNvecOne[L[a], L[b]], ZZNvecOne[L[a], L[b]] [L[c]], ZZNvecOne[L[a], L[b]] \
[L[c], L[d]]}\
\>", "\<\
{ZZNvecOne    , ZZNvecOne       , ZZNvecOne         , ZZNvecOne    , \
ZZNvecOne       , 
          i j            i j ;k            i j ;k l            a b            \
a b ;c 
 
  ZZNvecOne         }
           a b ;c d\
\>"], "Output",
 CellChangeTimes->{3.722548196047936*^9, 3.7225482292589417`*^9, 
  3.72260342060649*^9, 3.7602653880861073`*^9, 3.760349091660886*^9, 
  3.760350052054125*^9, 3.760435415382557*^9, 3.760472000868786*^9, 
  3.760549787120166*^9, 3.7605568816814938`*^9, 3.763322523499091*^9, 
  3.763324748910173*^9, 3.76358074582281*^9, 3.764529850069788*^9, 
  3.764933372124464*^9, 3.764933441422408*^9, 3.7653911004093113`*^9, 
  3.766091552881846*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7225482334793177`*^9, 3.722548272398984*^9}}],

Cell[OutputFormData["\<\
{Nvec[L[i]] [L[j]], Nvec[L[i]] [L[j], L[k]], Nvec[L[i]] [L[j], L[k], L[l]], \
Nvec[L[a]] [L[b]], 

   Nvec[L[a]] [L[b], L[c]], Nvec[L[a]] [L[b], L[c], L[d]]}\
\>", "\<\
{Nvec     , Nvec       , Nvec         , Nvec     , Nvec       , Nvec         \
}
     i ;j       i ;j k       i ;j k l       a ;b       a ;b c       a ;b c d\
\>"], "Output",
 CellChangeTimes->{3.722548273294299*^9, 3.722603505127324*^9, 
  3.7602654138731194`*^9, 3.76034909237919*^9, 3.760350053306744*^9, 
  3.760435439168288*^9, 3.7604720211822*^9, 3.760549788604*^9, 
  3.760556898581983*^9, 3.763322524356655*^9, 3.7633247498099337`*^9, 
  3.763580768550407*^9, 3.76452985093318*^9, 3.764933374311871*^9, 
  3.764933487751046*^9, 3.7653911014344797`*^9, 3.766091554601038*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"Nvec", "[", 
    RowBox[{"L", "[", "i", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.7225483063622713`*^9, 3.722548312311782*^9}}],

Cell[OutputFormData["\<\
Nvec[L[i]]\
\>", "\<\
Nvec
    i\
\>"], "Output",
 CellChangeTimes->{3.7225483128689957`*^9, 3.7225484032076387`*^9, 
  3.7226035236787167`*^9, 3.760265420850185*^9, 3.7603490930440073`*^9, 
  3.760350054627331*^9, 3.760435454045967*^9, 3.760472023072712*^9, 
  3.7605497900199137`*^9, 3.760556907173271*^9, 3.7633225256145287`*^9, 
  3.763324751200206*^9, 3.763580773474099*^9, 3.7645298517940474`*^9, 
  3.76493340441922*^9, 3.764933510341241*^9, 3.765391106179735*^9, 
  3.766091555266708*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "NvecOneToFake"}]], "Input",
 CellChangeTimes->{{3.722548314477502*^9, 3.722548319847589*^9}}],

Cell[OutputFormData["\<\
Nvec[L[i]]\
\>", "\<\
Nvec
    i\
\>"], "Output",
 CellChangeTimes->{3.722548321051423*^9, 3.7226035247918167`*^9, 
  3.760265421802113*^9, 3.760349094027274*^9, 3.7603500557457542`*^9, 
  3.7604354559348907`*^9, 3.760472025162912*^9, 3.7605497916031303`*^9, 
  3.760556913172213*^9, 3.763322527350507*^9, 3.763324751863707*^9, 
  3.763580776397151*^9, 3.764529852563135*^9, 3.764933405935277*^9, 
  3.764933511626711*^9, 3.765391106879509*^9, 3.766091555915874*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"ZZRhoOne", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.712341802682*^9, 3.712341830524333*^9}}],

Cell["\<\
Tensor ZZRhoOne defined.
  Rank = 3  Symmetries = NoSymmetries
  Type = {Real}  Bundle = {tangent}  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.763322528004712*^9, 3.7633247531687603`*^9, 
  3.763580781345852*^9, 3.76452985458782*^9, 3.7649335356250343`*^9, 
  3.7653911077844133`*^9, 3.76609155652915*^9}],

Cell[OutputFormData["\<\
ZZRhoOne\
\>", "\<\
ZZRhoOne\
\>"], "Output",
 CellChangeTimes->{3.7633225280070457`*^9, 3.763324753169943*^9, 
  3.763580781347077*^9, 3.764529854589204*^9, 3.764933535626246*^9, 
  3.765391107785592*^9, 3.7660915565300093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"RhoOneToFake", ",", "\[IndentingNewLine]", "                ", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"L", "[", "i", "]"}], ",", 
      RowBox[{"L", "[", "j", "]"}]}], "]"}], "[", 
    RowBox[{"L", "[", "k", "]"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ZZRhoOne", "[", 
    RowBox[{
     RowBox[{"L", "[", "i", "]"}], ",", 
     RowBox[{"L", "[", "j", "]"}], ",", 
     RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7123418338823643`*^9, 3.712341897093833*^9}, {
  3.7135484871344957`*^9, 3.713548490125658*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.712341871637182*^9, 3.71234190183636*^9, 
  3.71242484599231*^9, 3.7124304918242273`*^9, 3.7126014067713842`*^9, 
  3.712602525328307*^9, 3.712605455467256*^9, 3.712690513148849*^9, 
  3.7127393804306726`*^9, 3.712745561082019*^9, 3.713466331567355*^9, 
  3.713470467190557*^9, 3.7135484649495*^9, 3.713548499010954*^9, 
  3.72176781779364*^9, 3.7225450816164417`*^9, 3.722603538655171*^9, 
  3.760265431063443*^9, 3.7603490958674297`*^9, 3.7603500580159283`*^9, 
  3.760435487149172*^9, 3.760472037165594*^9, 3.760549796944716*^9, 
  3.760556957466004*^9, 3.763322528574511*^9, 3.7633247541827908`*^9, 
  3.7635807846751957`*^9, 3.764529855454563*^9, 3.764933537805964*^9, 
  3.7653911086128883`*^9, 3.7660915582072268`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"FakeToRhoOne", ",", "\[IndentingNewLine]", 
   RowBox[{"ZZRhoOne", "[", 
    RowBox[{
     RowBox[{"L", "[", "i", "]"}], ",", 
     RowBox[{"L", "[", "j", "]"}], ",", 
     RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   "                ", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"L", "[", "i", "]"}], ",", 
      RowBox[{"L", "[", "j", "]"}]}], "]"}], "[", 
    RowBox[{"L", "[", "k", "]"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7123419038037357`*^9, 3.712341932166327*^9}, {
  3.71354849264629*^9, 3.7135484956299257`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.7123419333976088`*^9, 3.7124248472647753`*^9, 
  3.7124304931871967`*^9, 3.712601408512281*^9, 3.7126025274326687`*^9, 
  3.712605456770685*^9, 3.7126906140352697`*^9, 3.712739427316246*^9, 
  3.712745564067656*^9, 3.7134663369973507`*^9, 3.713470468988612*^9, 
  3.713548466869974*^9, 3.7135485013577757`*^9, 3.721767907121214*^9, 
  3.7225450862482443`*^9, 3.722603548518557*^9, 3.7602654567313147`*^9, 
  3.760349096535384*^9, 3.7603500589168053`*^9, 3.760435488499489*^9, 
  3.760472043159689*^9, 3.760549798106945*^9, 3.7605569612400637`*^9, 
  3.763322529307176*^9, 3.7633247558815937`*^9, 3.763580787329673*^9, 
  3.764529856412421*^9, 3.764933542616493*^9, 3.765391111402754*^9, 
  3.7660915590905952`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "i", "]"}], ",", 
        RowBox[{"L", "[", "j", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "k", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "c", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.712341945888056*^9, 3.7123419672543497`*^9}}],

Cell[OutputFormData["\<\
{P[L[i], L[j]] [L[k]], P[L[a], L[b]] [L[c]]}\
\>", "\<\
{P       , P       }
  i j ;k    a b ;c\
\>"], "Output",
 CellChangeTimes->{3.7123419681685*^9, 3.712424848657305*^9, 
  3.712430494570383*^9, 3.712601410502838*^9, 3.7126025286357317`*^9, 
  3.712605458105824*^9, 3.7126906449300413`*^9, 3.712739430600799*^9, 
  3.712745576297567*^9, 3.713466341022044*^9, 3.713470471342462*^9, 
  3.713548505266131*^9, 3.721767993915094*^9, 3.722545099366879*^9, 
  3.7226035589602413`*^9, 3.760265460433474*^9, 3.760349097233486*^9, 
  3.760350059882432*^9, 3.760435501709475*^9, 3.760472044873879*^9, 
  3.760549799148963*^9, 3.760556966805101*^9, 3.763322531642992*^9, 
  3.763324757289831*^9, 3.763580799143591*^9, 3.764529857868394*^9, 
  3.764933603124074*^9, 3.765391112252021*^9, 3.7660915599121723`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "RhoOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderTwo"}], "Input",
 CellChangeTimes->{{3.7123419862191143`*^9, 3.712342013326322*^9}, {
  3.712342080991973*^9, 3.712342086447541*^9}}],

Cell[OutputFormData["\<\
{ZZRhoOne[L[i], L[j], L[k]], ZZRhoOne[L[a], L[b], L[c]]}\
\>", "\<\
{ZZRhoOne      , ZZRhoOne      }
         i j k           a b c\
\>"], "Output",
 CellChangeTimes->{3.712342014195182*^9, 3.712342087324974*^9, 
  3.712342123788994*^9, 3.7124248498826637`*^9, 3.712430495607506*^9, 
  3.712601411857738*^9, 3.7126025297708607`*^9, 3.712605459159196*^9, 
  3.712690647840365*^9, 3.712739438256659*^9, 3.7127455777309217`*^9, 
  3.713466347006263*^9, 3.71347047320503*^9, 3.713548512565401*^9, 
  3.7217680001362257`*^9, 3.722545102062193*^9, 3.722603564201274*^9, 
  3.760265463913021*^9, 3.760349098249909*^9, 3.760350060953741*^9, 
  3.760435515884551*^9, 3.760472048467608*^9, 3.760549800325048*^9, 
  3.760556969828075*^9, 3.763322532271599*^9, 3.763324758186294*^9, 
  3.7635808015720577`*^9, 3.764529859958112*^9, 3.764933608134614*^9, 
  3.765391113020095*^9, 3.766091560710153*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToRhoOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.71234209316521*^9, 3.7123421118819523`*^9}}],

Cell[OutputFormData["\<\
{P[L[i], L[j]] [L[k]], P[L[a], L[b]] [L[c]]}\
\>", "\<\
{P       , P       }
  i j ;k    a b ;c\
\>"], "Output",
 CellChangeTimes->{{3.712342112801425*^9, 3.712342125745961*^9}, 
   3.7124248509179993`*^9, 3.712430496711832*^9, 3.712601413559546*^9, 
   3.712602530870944*^9, 3.712605460326014*^9, 3.7126906641182423`*^9, 
   3.7127394790780993`*^9, 3.7127455795659103`*^9, 3.7134663510704107`*^9, 
   3.713470474567172*^9, 3.713548522170828*^9, 3.721768022851934*^9, 
   3.7225451137424793`*^9, 3.722603582145713*^9, 3.760265470990179*^9, 
   3.760349099084251*^9, 3.76035006208405*^9, 3.7604355246089163`*^9, 
   3.760472052169175*^9, 3.760549801534655*^9, 3.760556972807035*^9, 
   3.763322532989359*^9, 3.7633247591827917`*^9, 3.763580807950561*^9, 
   3.764529860861311*^9, 3.764933610462904*^9, 3.765391113906157*^9, 
   3.7660915623749847`*^9}]
}, Open  ]],

Cell["We now prepare a bit more.", "Text",
 CellChangeTimes->{{3.76055635962962*^9, 3.760556401882375*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell["We will verify that the following expressions are zero.", "Text",
 CellChangeTimes->{{3.760435573885167*^9, 3.760435595622088*^9}, {
  3.7649336895964947`*^9, 3.7649336928921967`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], 
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], 
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.72176994983228*^9, 3.721769985727425*^9}, {
  3.721770071665289*^9, 3.721770072264629*^9}, {3.764933697188732*^9, 
  3.7649337125650873`*^9}}],

Cell[OutputFormData["\<\
{Nvec[U[a]]*SFF[L[a], L[b]], Nvec[U[b]]*SFF[L[a], L[b]]}\
\>", "\<\
     a               b 
{Nvec   SFF    , Nvec   SFF    }
           a b             a b\
\>"], "Output",
 CellChangeTimes->{{3.721769959650392*^9, 3.721769986227145*^9}, 
   3.721770073125565*^9, 3.722545134863817*^9, 3.722604065373785*^9, 
   3.760265471832013*^9, 3.760349099933619*^9, 3.760350063117028*^9, 
   3.760435527265156*^9, 3.760472059823608*^9, 3.760549803621002*^9, 
   3.760556978084495*^9, 3.763322536830113*^9, 3.763324761825531*^9, 
   3.763580814250526*^9, 3.7645298632262278`*^9, 3.764933713237525*^9, 
   3.765391118011303*^9, 3.766091564332518*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.72176998919151*^9, 3.721770065184779*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{{3.721770009391623*^9, 3.7217700744339113`*^9}, 
   3.722545137606537*^9, 3.7226040714257193`*^9, 3.760265480659625*^9, 
   3.760349100749604*^9, 3.760350064159878*^9, 3.7604355289174223`*^9, 
   3.760472060589205*^9, 3.760549804863432*^9, 3.7605569790546618`*^9, 
   3.763322537577128*^9, 3.763324762572812*^9, 3.7635808151416807`*^9, 
   3.764529865690352*^9, 3.7649337158525543`*^9, 3.765391118879393*^9, 
   3.766091565847526*^9}]
}, Open  ]],

Cell["\<\
We now verify that we have defined our second fundamental form as a symmetric \
tensor.\
\>", "Text",
 CellChangeTimes->{{3.7604720740598793`*^9, 3.760472131646804*^9}, {
  3.760556989353096*^9, 3.76055699010493*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SFF", "[", 
  RowBox[{
   RowBox[{"L", "[", "b", "]"}], ",", 
   RowBox[{"L", "[", "a", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.722545765027247*^9, 3.722545770584236*^9}}],

Cell[OutputFormData["\<\
SFF[L[a], L[b]]\
\>", "\<\
SFF
   a b\
\>"], "Output",
 CellChangeTimes->{3.722545771635943*^9, 3.722604074959524*^9, 
  3.7602654814212227`*^9, 3.7603491029252043`*^9, 3.7603500655659637`*^9, 
  3.760435536909566*^9, 3.760472146139742*^9, 3.760549807425002*^9, 
  3.760556995794793*^9, 3.763322547980146*^9, 3.763324765568654*^9, 
  3.763580819012644*^9, 3.764529868493628*^9, 3.764933720805768*^9, 
  3.765391120761161*^9, 3.76609156775914*^9}]
}, Open  ]],

Cell[TextData[{
 "We now construct Chang and Qing\[CloseCurlyQuote]s third-order boundary \
operator  ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.711330854271969*^9, 3.711330886427513*^9}, {
  3.711422587861734*^9, 3.711422590886032*^9}, {3.711422642765567*^9, 
  3.7114226449568567`*^9}, {3.711481558628654*^9, 3.711481629399198*^9}, {
  3.712166941023635*^9, 3.712166999592188*^9}, {3.7605564168827963`*^9, 
  3.760556436962654*^9}, {3.760557013169073*^9, 3.760557033601872*^9}, {
  3.765391177919427*^9, 3.765391185350843*^9}, {3.765391245352427*^9, 
  3.765391250312025*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 1, 0]],

Cell["We first use the formula from Andreas Juhl\[CloseCurlyQuote]s book.", \
"Text",
 CellChangeTimes->{{3.765391274294428*^9, 3.765391313648842*^9}},
 Background->RGBColor[0.9, 1, 1]],

Cell[TextData[{
 "We assume that our unit normal vector points inward.  We construct the \
following formula by looking at Andreas Juhl\[CloseCurlyQuote]s book \
(Families of conformally covariant differential operators, ",
 StyleBox["Q",
  FontSlant->"Italic"],
 "-curvature and holography).  We use Remark 6.26.1 from the book.  The last \
term in Juhl\[CloseCurlyQuote]s formula for ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 " has two occurrences of the exterior derivative.  We will assume that in \
both cases, ",
 StyleBox["d",
  FontSlant->"Italic"],
 " is the intrinsic exterior derivative on the hypersurface."
}], "Text",
 CellChangeTimes->{{3.713466408154285*^9, 3.713466423027849*^9}, {
  3.7135485398545218`*^9, 3.713548557070232*^9}, {3.713548693784116*^9, 
  3.713548697920216*^9}, {3.71354916994247*^9, 3.713549228182626*^9}, {
  3.713549272087191*^9, 3.71354928267148*^9}, {3.760557085578534*^9, 
  3.760557116978704*^9}, {3.763324817568363*^9, 3.7633248626167088`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "i", "]"}], "]"}], 
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"L", "[", "j", "]"}], ",", 
        RowBox[{"U", "[", "j", "]"}], ",", 
        RowBox[{"L", "[", "i", "]"}]}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{"LapSigHatDen", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "i", "]"}], "]"}], 
        RowBox[{"f", "[", 
         RowBox[{"L", "[", "i", "]"}], "]"}]}], ",", 
       RowBox[{"-", "1"}]}], "]"}], "+", "\[IndentingNewLine]", 
     RowBox[{"2", "*", "Hmc", "*", 
      RowBox[{"LapSigHatDen", "[", 
       RowBox[{"f", ",", "0"}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], 
      RowBox[{"NbNbSigHatDen", "[", 
       RowBox[{"f", ",", "0", ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "a", "]"}]}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Rc", "[", 
          RowBox[{
           RowBox[{"L", "[", "i", "]"}], ",", 
           RowBox[{"L", "[", "j", "]"}]}], "]"}], 
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "i", "]"}], "]"}], 
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "j", "]"}], "]"}]}], "-", 
        RowBox[{"2", "TrP"}]}], ")"}], 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "k", "]"}], "]"}], 
      RowBox[{"f", "[", 
       RowBox[{"L", "[", "k", "]"}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"gSgm", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], 
      RowBox[{"NbSigHatDen", "[", 
       RowBox[{"Hmc", ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{"L", "[", "a", "]"}]}], "]"}], 
      RowBox[{"NbSigHatDen", "[", 
       RowBox[{"f", ",", "0", ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
    ")"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "RcToP"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ChangAndQingThirdOrderOperator", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "ChangAndQingThirdOrderOperator", "\
\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.760350300262806*^9, 3.760350320790941*^9}, {
   3.760350361047928*^9, 3.760350366975492*^9}, 3.760350657844595*^9, {
   3.760435655657639*^9, 3.760435674487433*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], L[b], U[b]]*Nvec[U[a]] + 2*f[] [L[a], L[b]]*Nvec[U[a]] [U[b]] + 

   f[] [L[a]]*Nvec[U[a]] [L[b], U[b]] + (f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 \
+ 

   (2*f[] [L[a], U[a]]*Nvec[U[b]] [L[b]])/3 - f[] [L[a], L[b]]*Nvec[U[b]] \
[U[a]] - 

   (f[] [L[a]]*Nvec[U[b]] [L[b], U[a]])/3 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] \\
- 
 2*f[] [L[a], L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b], L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a], L[c]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] + 

   f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] + 

   f[] [L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] [L[a]] - 

   (2*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   (2*f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   f[] [L[a]]*Nvec[U[a]] [L[b]]*Nvec[U[b]]*Nvec[U[c]] [L[c]] + 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], L[b]])/3 + 

   2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - f[] \
[L[a]]*Nvec[U[a]]*P[L[b], U[b]]\
\>", "\<\
      b      a                 a  b             a    b    1     a        b    \
2     a      b 
f        Nvec   + 2 f      Nvec      + f    Nvec        + - f        Nvec   + \
- f      Nvec      - 
 ;a b                ;a b        ;      ;a        ;b      2  ;a   b           \
3  ;a          ;b 
 
             b  a    1          b    a                 a      b      c 
  f      Nvec      - - f    Nvec        - f        Nvec   Nvec   Nvec   - 
   ;a b        ;     3  ;a        ;b       ;a b c 
 
               a         b      c             a           b      c 
  2 f      Nvec      Nvec   Nvec   - f    Nvec        Nvec   Nvec   - 
     ;a b        ;c                   ;a        ;b c 
 
             a      b         c               a      b         c 
  f      Nvec   Nvec      Nvec   + f      Nvec   Nvec      Nvec   + 
   ;a c               ;b            ;a b               ;c 
 
           a         b      c       2            a      b      c 
  f    Nvec      Nvec   Nvec      - - f      Nvec   Nvec   Nvec      - 
   ;b        ;c               ;a    3  ;a b                      ;c 
 
  2          a         b      c                a         b      c 
  - f    Nvec      Nvec   Nvec      - f    Nvec      Nvec   Nvec      + 
  3  ;b        ;a               ;c     ;a        ;b               ;c 
 
  1          a      b      c                    a      b      c               \
    a     b 
  - f    Nvec   Nvec   Nvec        + 2 f    Nvec   Nvec   Nvec   P     - f    \
Nvec   P
  3  ;a                      ;c b       ;a                        b c     ;a  \
        b\
\>"], "Output",
 CellChangeTimes->{
  3.712169538384192*^9, {3.712169597431409*^9, 3.7121696150876226`*^9}, {
   3.712169651998046*^9, 3.7121696951863403`*^9}, {3.712169731605452*^9, 
   3.712169792993807*^9}, {3.712169838633062*^9, 3.7121698595977507`*^9}, 
   3.712258236696499*^9, 3.712258295150325*^9, 3.7123394782393503`*^9, 
   3.7124248548443613`*^9, 3.71243049939227*^9, 3.7126014165701437`*^9, 
   3.712602533173153*^9, 3.71260546316533*^9, 3.712690711674468*^9, 
   3.712739486773717*^9, 3.712745583780991*^9, {3.713467273277669*^9, 
   3.713467287836931*^9}, 3.713470481593526*^9, 3.7135493486249113`*^9, 
   3.721770294652113*^9, 3.722546342366231*^9, 3.722604494005836*^9, 
   3.757502147273045*^9, 3.757504208905457*^9, 3.7575042595265293`*^9, 
   3.760349123956375*^9, 3.7603499612942877`*^9, 3.7603500704286213`*^9, 
   3.7603505858092318`*^9, 3.760350631857263*^9, 3.760350663142395*^9, 
   3.7604356175838737`*^9, {3.760435659449802*^9, 3.76043567605215*^9}, 
   3.7604721897365522`*^9, 3.760549811133547*^9, 3.760557124876392*^9, 
   3.763322554410301*^9, 3.763324775216565*^9, 3.763580914707823*^9, 
   3.764529877283153*^9, 3.7649337271118393`*^9, 3.7653911396476717`*^9, 
   3.7660915727095413`*^9}]
}, Open  ]],

Cell["Compare against previously computed formula.", "Text",
 CellChangeTimes->{{3.757502212330463*^9, 3.7575022253712587`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/fnb/CQP3Op.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Holder", "-", "ChangAndQingThirdOrderOperator"}]}], "Input",
 CellChangeTimes->{{3.7575021574840918`*^9, 3.7575021827068977`*^9}, {
   3.757502234339472*^9, 3.757502247298621*^9}, 3.760349769983239*^9}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.757502248165305*^9, 3.757504264692045*^9, 
  3.7603491268228617`*^9, 3.760350073961088*^9, 3.760350589597694*^9, 
  3.76035063481358*^9, 3.7603506667398357`*^9, 3.760435796221108*^9, 
  3.7604721999875317`*^9, 3.760549814681509*^9, 3.760557128359042*^9, 
  3.763322556997122*^9, 3.763324777800782*^9, 3.7635809385979853`*^9, 
  3.764529879944274*^9, 3.764933729525654*^9, 3.765391211355484*^9, 
  3.76609157910373*^9}]
}, Open  ]],

Cell["\<\
I am now going to compute this operator again.  I will use the formula from \
page 341 of the Chang and Qing paper.\
\>", "Text",
 CellChangeTimes->{{3.757502290490348*^9, 3.7575023208130617`*^9}, {
   3.764933763085532*^9, 3.764933770036901*^9}, {3.764933807766328*^9, 
   3.764933821862152*^9}, {3.764934109803418*^9, 3.764934185028049*^9}, 
   3.765391336580414*^9},
 Background->RGBColor[0.9, 1, 1]],

Cell["\<\
Recall that our Laplacian differs from that of Chang and Qing by a sign.  A \
special guidelines document should accompany this notebook.  The reader may \
wish to consult this guidelines document for further information on Chang and \
Qing\[CloseCurlyQuote]s various conventions.\
\>", "Text",
 CellChangeTimes->{{3.757502290490348*^9, 3.7575023208130617`*^9}, {
   3.764933763085532*^9, 3.764933770036901*^9}, {3.764933807766328*^9, 
   3.764933821862152*^9}, {3.764934109803418*^9, 3.764934185028049*^9}, 
   3.7653913393932333`*^9, {3.7653913759939013`*^9, 3.7653913781217403`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermOne", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", "2"}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "i", "]"}], "]"}], 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"U", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "i", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermOne"}], "Input",
 CellChangeTimes->{{3.7575023271513853`*^9, 3.75750237512405*^9}}],

Cell[OutputFormData["\<\
(f[] [L[j], U[j], L[i]]*Nvec[U[i]])/2\
\>", "\<\
1     j        i 
- f        Nvec
2  ;j   i\
\>"], "Output",
 CellChangeTimes->{3.7575023756226807`*^9, 3.757503423674933*^9, 
  3.7575043289837933`*^9, 3.760349138671151*^9, 3.760350686408149*^9, 
  3.760435808453061*^9, 3.760472203947152*^9, 3.7605498161639442`*^9, 
  3.760557147009009*^9, 3.76332255821436*^9, 3.7633247810219917`*^9, 
  3.763580946896853*^9, 3.764529882343192*^9, 3.7649337826481333`*^9, 
  3.765391409562351*^9, 3.766091594849448*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"LapSigHatDen", "[", 
    RowBox[{"f", ",", "w"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7575025024863443`*^9, 3.757502529990252*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a]] - f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] - f[] \
[L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]\
\>", "\<\
    a               a      b             a         b 
f      - f      Nvec   Nvec   - f    Nvec      Nvec
 ;a       ;a b                   ;b        ;a\
\>"], "Output",
 CellChangeTimes->{{3.7575025214139547`*^9, 3.757502530844844*^9}, 
   3.757503448261956*^9, 3.75750433699975*^9, 3.760349139435313*^9, 
   3.760350696536334*^9, 3.760435809680649*^9, 3.760472204811804*^9, 
   3.760549817134742*^9, 3.7605571491312847`*^9, 3.763322559465495*^9, 
   3.763324782442359*^9, 3.763580948856997*^9, 3.7645298834282722`*^9, 
   3.764933902969493*^9, 3.765391417084156*^9, 3.766091598804006*^9}]
}, Open  ]],

Cell[TextData[{
 "Note the absence of ",
 StyleBox["w",
  FontSlant->"Italic"],
 " in the above output."
}], "Text",
 CellChangeTimes->{{3.7575034663697367`*^9, 3.7575034782172527`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"LapSigHatDen", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "i", "]"}], "]"}], 
      RowBox[{"f", "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermTwo"}], "Input",
 CellChangeTimes->{{3.757502408884532*^9, 3.757502412124607*^9}, {
  3.757502445133469*^9, 3.757502496765366*^9}, {3.7575025404543247`*^9, 
  3.75750254262996*^9}, {3.7575026296708384`*^9, 3.757502657999281*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], L[b], U[b]]*Nvec[U[a]] + 2*f[] [L[a], L[b]]*Nvec[U[a]] [U[b]] + 

   f[] [L[a]]*Nvec[U[a]] [L[b], U[b]] - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 

   2*f[] [L[a], L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b], L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a], L[c]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b]]*Nvec[U[b]]*Nvec[U[c]] [L[c]]\
\>", "\<\
      b      a                 a  b             a    b                 a      \
b      c 
f        Nvec   + 2 f      Nvec      + f    Nvec        - f        Nvec   \
Nvec   Nvec   - 
 ;a b                ;a b        ;      ;a        ;b       ;a b c 
 
               a         b      c             a           b      c 
  2 f      Nvec      Nvec   Nvec   - f    Nvec        Nvec   Nvec   - 
     ;a b        ;c                   ;a        ;b c 
 
             a      b         c             a         b      c 
  f      Nvec   Nvec      Nvec   - f    Nvec      Nvec   Nvec
   ;a c               ;b            ;a        ;b               ;c\
\>"], "Output",
 CellChangeTimes->{3.7575026588707657`*^9, 3.7575035217208*^9, 
  3.757504340288576*^9, 3.760349142260646*^9, 3.760350705634879*^9, 
  3.760435818505701*^9, 3.760472253612735*^9, 3.7605498198616333`*^9, 
  3.760557155612132*^9, 3.763322561555019*^9, 3.763324785001087*^9, 
  3.7635809667147093`*^9, 3.7645298858858433`*^9, 3.7649339768463097`*^9, 
  3.765391424051059*^9, 3.766091600448698*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"2", "*", "Hmc", "*", 
     RowBox[{"LapSigHatDen", "[", 
      RowBox[{"f", ",", "0"}], "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermThree", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermThree"}], "Input",
 CellChangeTimes->{{3.7575026905207787`*^9, 3.75750274371992*^9}}],

Cell[OutputFormData["\<\
2*f[] [L[a], U[a]]*Hmc - 2*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] - 

   2*f[] [L[b]]*Hmc*Nvec[U[a]] [L[a]]*Nvec[U[b]]\
\>", "\<\
      a                         a      b                   a         b 
2 f      Hmc - 2 f      Hmc Nvec   Nvec   - 2 f    Hmc Nvec      Nvec
   ;a             ;a b                         ;b            ;a\
\>"], "Output",
 CellChangeTimes->{3.75750274516963*^9, 3.7575035860953217`*^9, 
  3.757504357609696*^9, 3.760349144437842*^9, 3.7603507789988327`*^9, 
  3.760435823089033*^9, 3.7604722574571533`*^9, 3.76054982105618*^9, 
  3.7605571566580353`*^9, 3.7633225623260307`*^9, 3.76332498011058*^9, 
  3.76358096792474*^9, 3.7645298868483343`*^9, 3.764934008685107*^9, 
  3.765391516489654*^9, 3.766091602899414*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"SFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"NbNbSigHatDen", "[", 
      RowBox[{"f", ",", "0", ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermFour", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermFour"}], "Input",
 CellChangeTimes->{{3.757502769307019*^9, 3.7575028030329943`*^9}, {
  3.757502872498189*^9, 3.757502907881826*^9}, {3.757502980714611*^9, 
  3.7575029875067673`*^9}}],

Cell[OutputFormData["\<\
f[] [L[c]]*Nvec[U[a]] [L[b]]*Nvec[U[c]]*SFF[L[a], U[b]] - f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[b]]*

    Nvec[U[c]]*Nvec[U[d]]*SFF[L[c], L[d]] - f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

    Nvec[U[d]] [L[b]]*SFF[L[c], L[d]] + f[] [L[a], \
L[b]]*Nvec[U[b]]*Nvec[U[c]]*SFF[U[a], L[c]] - 

   f[] [L[a], L[b]]*SFF[U[a], U[b]] + f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[c]]*SFF[U[b], L[c]]\
\>", "\<\
         a         c       b               a      b      c      d 
f    Nvec      Nvec   SFF     - f      Nvec   Nvec   Nvec   Nvec   SFF     - 
 ;c        ;b            a       ;a b                                 c d 
 
           a      b      c      d                          b      c     a     \
           a b 
  f    Nvec   Nvec   Nvec   Nvec      SFF     + f      Nvec   Nvec   SFF     \
- f      SFF     + 
   ;a                             ;b     c d     ;a b                     c   \
  ;a b 
 
             a      c     b 
  f      Nvec   Nvec   SFF
   ;a b                     c\
\>"], "Output",
 CellChangeTimes->{3.757502988680009*^9, 3.7575035875267*^9, 
  3.757504401704493*^9, 3.760349146114505*^9, 3.760350801864378*^9, 
  3.7604358248238163`*^9, 3.760472260016651*^9, 3.7605498223173447`*^9, 
  3.760557158845564*^9, 3.763322564034853*^9, 3.763324981946191*^9, 
  3.763580969874776*^9, 3.764529889060817*^9, 3.7649342833146467`*^9, 
  3.765391607229039*^9, 3.766091603783729*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"g", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"Hmc", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}], 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"f", ",", "0", ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermFive", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermFive"}], "Input",
 CellChangeTimes->{{3.757503022900091*^9, 3.757503102892014*^9}}],

Cell[OutputFormData["\<\
-(f[] [L[a]]*Hmc[] [L[b]]*PiPro[L[c], U[b]]*PiPro[U[c], U[a]])\
\>", "\<\
                    b       c a 
-f    Hmc    PiPro     PiPro
  ;a     ;b       c\
\>"], "Output",
 CellChangeTimes->{3.757503175995851*^9, 3.7575036529498043`*^9, 
  3.7575044173363047`*^9, 3.76034914704576*^9, 3.7603508508699703`*^9, 
  3.760435826538609*^9, 3.7604722639797373`*^9, 3.760549823296028*^9, 
  3.760557159759143*^9, 3.763322564705637*^9, 3.763324982772705*^9, 
  3.763580971028376*^9, 3.7645298899287357`*^9, 3.7649343523602667`*^9, 
  3.7653916846261253`*^9, 3.766091605353426*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "i", "]"}], "]"}], 
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "j", "]"}], "]"}], 
        RowBox[{"Rc", "[", 
         RowBox[{
          RowBox[{"L", "[", "i", "]"}], ",", 
          RowBox[{"L", "[", "j", "]"}]}], "]"}]}], "-", 
       RowBox[{"2", "*", "TrP"}]}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermSix", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermSix"}], "Input",
 CellChangeTimes->{{3.757503312054111*^9, 3.7575033663910627`*^9}}],

Cell[OutputFormData["\<\
f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Rc[L[b], L[c]] - 2*f[] \
[L[a]]*Nvec[U[a]]*TrP\
\>", "\<\
         a      b      c                      a 
f    Nvec   Nvec   Nvec   Rc     - 2 f    Nvec   TrP
 ;a                         b c       ;a\
\>"], "Output",
 CellChangeTimes->{3.757503379715247*^9, 3.757503659401306*^9, 
  3.757504422055759*^9, 3.7603491485434113`*^9, 3.760350857577889*^9, 
  3.760435828385447*^9, 3.760472266577684*^9, 3.7605498249899282`*^9, 
  3.760557162082427*^9, 3.7633225663311*^9, 3.7633249842025747`*^9, 
  3.7635809734752607`*^9, 3.7645298917842913`*^9, 3.7649344281033773`*^9, 
  3.765391750876852*^9, 3.766091606017167*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
    "TermOne", "+", "TermTwo", "+", "TermThree", "+", "TermFour", "+", 
     "TermFive", "+", "TermSix"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ChangQingAgain", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "ChangQingAgain"}], "Input",
 CellChangeTimes->{{3.7575037402455273`*^9, 3.757503766211102*^9}, {
  3.757503801484023*^9, 3.757503994780497*^9}, {3.7575040739985847`*^9, 
  3.757504091142457*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], L[b], U[b]]*Nvec[U[a]] + 2*f[] [L[a], L[b]]*Nvec[U[a]] [U[b]] + 

   f[] [L[a]]*Nvec[U[a]] [L[b], U[b]] + (f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 \
+ 

   (2*f[] [L[a], U[a]]*Nvec[U[b]] [L[b]])/3 - f[] [L[a], L[b]]*Nvec[U[b]] \
[U[a]] - 

   (f[] [L[a]]*Nvec[U[b]] [L[b], U[a]])/3 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] \\
- 
 2*f[] [L[a], L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b], L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a], L[c]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] + 

   f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] + 

   f[] [L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] [L[a]] - 

   (2*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   (2*f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   f[] [L[a]]*Nvec[U[a]] [L[b]]*Nvec[U[b]]*Nvec[U[c]] [L[c]] + 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], L[b]])/3 + 

   2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - f[] \
[L[a]]*Nvec[U[a]]*P[L[b], U[b]]\
\>", "\<\
      b      a                 a  b             a    b    1     a        b    \
2     a      b 
f        Nvec   + 2 f      Nvec      + f    Nvec        + - f        Nvec   + \
- f      Nvec      - 
 ;a b                ;a b        ;      ;a        ;b      2  ;a   b           \
3  ;a          ;b 
 
             b  a    1          b    a                 a      b      c 
  f      Nvec      - - f    Nvec        - f        Nvec   Nvec   Nvec   - 
   ;a b        ;     3  ;a        ;b       ;a b c 
 
               a         b      c             a           b      c 
  2 f      Nvec      Nvec   Nvec   - f    Nvec        Nvec   Nvec   - 
     ;a b        ;c                   ;a        ;b c 
 
             a      b         c               a      b         c 
  f      Nvec   Nvec      Nvec   + f      Nvec   Nvec      Nvec   + 
   ;a c               ;b            ;a b               ;c 
 
           a         b      c       2            a      b      c 
  f    Nvec      Nvec   Nvec      - - f      Nvec   Nvec   Nvec      - 
   ;b        ;c               ;a    3  ;a b                      ;c 
 
  2          a         b      c                a         b      c 
  - f    Nvec      Nvec   Nvec      - f    Nvec      Nvec   Nvec      + 
  3  ;b        ;a               ;c     ;a        ;b               ;c 
 
  1          a      b      c                    a      b      c               \
    a     b 
  - f    Nvec   Nvec   Nvec        + 2 f    Nvec   Nvec   Nvec   P     - f    \
Nvec   P
  3  ;a                      ;c b       ;a                        b c     ;a  \
        b\
\>"], "Output",
 CellChangeTimes->{{3.7575038709831467`*^9, 3.7575039033260736`*^9}, {
   3.7575039964423103`*^9, 3.757504004323455*^9}, 3.757504092812484*^9, 
   3.75750444204414*^9, 3.76034915024039*^9, 3.760350865893794*^9, 
   3.760435854001729*^9, 3.760472269209564*^9, 3.7605498274464073`*^9, 
   3.760557163658205*^9, 3.7633225678354387`*^9, 3.7633249859029303`*^9, 
   3.7635809750272818`*^9, 3.764529893274283*^9, 3.764934584039401*^9, 
   3.765391895293556*^9, 3.7660916077203093`*^9}]
}, Open  ]],

Cell["Compare against previously computed formula.", "Text",
 CellChangeTimes->{{3.760351537476747*^9, 3.7603515497123747`*^9}, 
   3.760472287344913*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/fnb/CQP3Op.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Holder", "-", "ChangQingAgain"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.75750403348589*^9, 3.7575040457975407`*^9}, 
   3.760349770807252*^9}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.757504047651992*^9, 3.757504096376925*^9, 3.757504494629066*^9, 
   3.760349151902053*^9, 3.760350871506871*^9, 3.760351492622855*^9, {
   3.760351534407296*^9, 3.760351552468628*^9}, 3.760435933892713*^9, 
   3.760472292437416*^9, 3.760549831466807*^9, 3.7605572084827023`*^9, 
   3.763322569649376*^9, 3.763324988288097*^9, 3.7635809782007504`*^9, 
   3.764529897778474*^9, 3.764934637676087*^9, 3.765391917405532*^9, 
   3.766091614841158*^9}]
}, Open  ]],

Cell[TextData[{
 "We now relate ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.7605499159112053`*^9, 3.760549969616509*^9}},
 Background->RGBColor[1, 1, 0]],

Cell["\<\
We begin by looking at the leading part of the Chang-Qing operator.\
\>", "Text",
 CellChangeTimes->{{3.760351206272237*^9, 3.760351225107747*^9}, {
  3.760351558439918*^9, 3.760351563935463*^9}, {3.7604723020648947`*^9, 
  3.760472307369149*^9}, {3.760550000945057*^9, 3.760550006018264*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillfDThree", ",", 
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"L", "[", "i", "]"}], ",", 
     RowBox[{"L", "[", "j", "]"}], ",", 
     RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.760351228934349*^9, 3.7603512429710703`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.7603515789339113`*^9, 3.760435943418709*^9, 
  3.7604723275533247`*^9, 3.7605498329375067`*^9, 3.760557221947003*^9, 
  3.763322571512388*^9, 3.763324991300661*^9, 3.7635809883784323`*^9, 
  3.764529900427404*^9, 3.764934688193357*^9, 3.765391926625242*^9, 
  3.766091623216229*^9}]
}, Open  ]],

Cell["Run a test.", "Text",
 CellChangeTimes->{{3.7604723507465277`*^9, 3.760472357410733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}], ",", 
       RowBox[{"L", "[", "l", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}], ",", 
       RowBox[{"L", "[", "d", "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.760351245542465*^9, 3.760351305579863*^9}}],

Cell[OutputFormData["\<\
{f[] [L[i], L[j]], f[] [L[i], L[j], L[k]], f[] [L[i], L[j], L[k], L[l]], f[] \
[L[a], L[b]], 

   f[] [L[a], L[b], L[c]], f[] [L[a], L[b], L[c], L[d]]}\
\>", "\<\
{f     , f       , f         , f     , f       , f         }
  ;i j    ;i j k    ;i j k l    ;a b    ;a b c    ;a b c d\
\>"], "Output",
 CellChangeTimes->{3.760351306202468*^9, 3.760351579980146*^9, 
  3.7604359455525084`*^9, 3.760472329604824*^9, 3.76054983455342*^9, 
  3.760557224412962*^9, 3.763322573059657*^9, 3.763324995588489*^9, 
  3.7635809913268843`*^9, 3.7645299041778803`*^9, 3.764934690895885*^9, 
  3.765391937733489*^9, 3.766091625735816*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillfDThree"}]], "Input",
 CellChangeTimes->{{3.760351312394924*^9, 3.7603513199159193`*^9}}],

Cell[OutputFormData["\<\
{f[] [L[i], L[j]], 0, 0, f[] [L[a], L[b]], 0, 0}\
\>", "\<\
{f     , 0, 0, f     , 0, 0}
  ;i j          ;a b\
\>"], "Output",
 CellChangeTimes->{3.7603513205477*^9, 3.760351581695485*^9, 
  3.760435951381268*^9, 3.7604723354740753`*^9, 3.76054983564818*^9, 
  3.7605572262769527`*^9, 3.763322574534938*^9, 3.763324997621243*^9, 
  3.7635809957878942`*^9, 3.764529904928319*^9, 3.7649346917375793`*^9, 
  3.765391938982476*^9, 3.7660916265586653`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "ChangQingAgain"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", 
     RowBox[{"(", 
      RowBox[{"Temp", "/.", "KillfDThree"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ChangQingAgainLead", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "ChangQingAgainLead"}], "Input",
 CellChangeTimes->{{3.760351342982902*^9, 3.760351487326416*^9}}],

Cell[OutputFormData["\<\
(3*f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]\
\>", "\<\
3     a        b                 a      b      c 
- f        Nvec   - f        Nvec   Nvec   Nvec
2  ;a   b            ;a b c\
\>"], "Output",
 CellChangeTimes->{3.760351357170992*^9, 3.7603514073030777`*^9, 
  3.760351449498972*^9, 3.760351488568603*^9, 3.760351583907733*^9, 
  3.760435953664572*^9, 3.760472364376842*^9, 3.760549836837823*^9, 
  3.760557234190343*^9, 3.763322575292047*^9, 3.763324999116226*^9, 
  3.7635810076934633`*^9, 3.764529905716174*^9, 3.764934698714287*^9, 
  3.765391939768579*^9, 3.766091627861834*^9}]
}, Open  ]],

Cell[TextData[{
 "Read in our third-order operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 ".  We assume that ",
 StyleBox["n",
  FontSlant->"Italic"],
 " = 4 and ",
 StyleBox["w",
  FontSlant->"Italic"],
 " = 0."
}], "Text",
 CellChangeTimes->{{3.711491464789193*^9, 3.711491483316132*^9}, {
  3.760351068488635*^9, 3.760351081737543*^9}, {3.76043606724244*^9, 
  3.760436082274242*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"<<", "~/bop/bnb/OThree.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"w", "\[Rule]", "0"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OurOrderThreeOp", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "OurOrderThreeOp"}], "Input",
 CellChangeTimes->{{3.7114914877523746`*^9, 3.711491519303257*^9}, {
   3.711491609904338*^9, 3.711491672226259*^9}, {3.711491822619707*^9, 
   3.711491833513097*^9}, 3.76034977333628*^9, {3.760351092921461*^9, 
   3.760351111873748*^9}}],

Cell[OutputFormData["\<\
-6*f[] [L[a], U[a]]*Hmc + 12*f[] [L[a]]*Hmc^2*Nvec[U[a]] - 3*f[] [L[a], U[a], \
L[b]]*Nvec[U[b]] + 

   12*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] + 2*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*

    Nvec[U[c]] - 4*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 

   4*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
       a                   2     a          a        b                      a \
     b 
-6 f      Hmc + 12 f    Hmc  Nvec   - 3 f        Nvec   + 12 f      Hmc Nvec  \
 Nvec   + 
    ;a              ;a                   ;a   b               ;a b 
 
                 a      b      c               a      b      c                \
     b   a 
  2 f        Nvec   Nvec   Nvec   - 4 f    Nvec   Nvec   Nvec   P     - 4 f   \
 Nvec   P
     ;a b c                            ;a                        b c       ;a \
           b\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA+Ed3iell792fNqz4jqI1n1VdB9Eq0/+WyQDpOc9Zs+Q
A9Kb6gMPgei/WRpGPkB6C8/xlelA2qac81PaiteO64K/a0wC0n2qARd3Aukp
OS7Fj4G0idxCk2dAOoTr2nrLla8ds1SZTa2AtEi3z2JrIO1y4ZF3Kki88ppY
LZA+986IrwFIbzuwq+7BqteOu86fZX4EpM/dcZzGsfq1Y1eLxg7DPa8dn2Qo
KPkB6YbGtj/eLG8cFXJO3/IB0irnCz6C6KoTzEllQLrwU6pGB5Du0r//cy2Q
1nF2m7URSM/plLz1nfON40V9Z86fQPrQ9HquMq43jtvubItz5XnjuHhfKDs3
7xtHtfjX3q+A9BaDn2/t+d84AgCYppsb
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "OurOrderThreeOp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", 
     RowBox[{"(", 
      RowBox[{"Temp", "/.", "KillfDThree"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Temp", "=", 
  RowBox[{"TensorSimplify", "[", "Temp", "]"}]}]}], "Input",
 CellChangeTimes->{{3.76043622193027*^9, 3.76043626715693*^9}}],

Cell[OutputFormData["\<\
(3*f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]\
\>", "\<\
3     a        b                 a      b      c 
- f        Nvec   - f        Nvec   Nvec   Nvec
2  ;a   b            ;a b c\
\>"], "Output",
 CellChangeTimes->{{3.760436245002273*^9, 3.760436268127389*^9}, 
   3.760472547580194*^9, 3.760549841943906*^9, 3.760557269919718*^9, 
   3.763322578236103*^9, 3.76332500847305*^9, 3.763581028625169*^9, 
   3.764529910920866*^9, 3.76493472044792*^9, 3.7653919971804247`*^9, 
   3.7660916401545477`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["ChangQingAgainLead"], "Input",
 CellChangeTimes->{{3.760351595628853*^9, 3.760351600297676*^9}}],

Cell[OutputFormData["\<\
(3*f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]\
\>", "\<\
3     a        b                 a      b      c 
- f        Nvec   - f        Nvec   Nvec   Nvec
2  ;a   b            ;a b c\
\>"], "Output",
 CellChangeTimes->{3.7603516010598783`*^9, 3.7604360189584084`*^9, 
  3.7604725498747187`*^9, 3.760549843436653*^9, 3.763322578848304*^9, 
  3.7633250108466253`*^9, 3.7635810307556953`*^9, 3.764529915262836*^9, 
  3.764934727501367*^9, 3.765392000799513*^9, 3.766091641999955*^9}]
}, Open  ]],

Cell[TextData[{
 "The leading part of Chang and Qing\[CloseCurlyQuote]s operator is -1/2 \
times the leading part of our operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 ".  We will take Chang and Qing\[CloseCurlyQuote]s third-order operator and \
subtract three things off.  This will confirm the displayed equation for ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 " given near the end of Section 8.2 of our article."
}], "Text",
 CellChangeTimes->{{3.712690868764985*^9, 3.712690922174007*^9}, {
  3.760351135433793*^9, 3.7603511530248947`*^9}, {3.7604725644037046`*^9, 
  3.760472608804369*^9}, {3.760472739190158*^9, 3.760472800398542*^9}, {
  3.7604761267206917`*^9, 3.760476131183827*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell[TextData[{
 "We subtract the first expression off from ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 " here."
}], "Text",
 CellChangeTimes->{{3.760476180881186*^9, 3.760476201857873*^9}, {
  3.7604762516430187`*^9, 3.7604762616334667`*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"ChangAndQingThirdOrderOperator", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ")"}], "OurOrderThreeOp"}]}], ")"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepAAOne", ";"}]}], "Input",
 CellChangeTimes->{{3.712169918311252*^9, 3.7121699207790823`*^9}, {
   3.712169972204011*^9, 3.7121700227183104`*^9}, {3.712170069845429*^9, 
   3.712170081981111*^9}, {3.712170384033848*^9, 3.712170388881237*^9}, {
   3.712170529435507*^9, 3.712170530756222*^9}, 3.7123397649889727`*^9, {
   3.7126025546635103`*^9, 3.712602578791033*^9}, 3.713467896910594*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepAATwo", ";"}]}], "Input",
 CellChangeTimes->{{3.712171016843573*^9, 3.7121710337684383`*^9}, {
   3.712171109515154*^9, 3.7121711631064377`*^9}, {3.7121711970195217`*^9, 
   3.7121712254754744`*^9}, 3.7123398091417933`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", "\[IndentingNewLine]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "b", "]"}], "]"}], "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}]}], " ", "-", " ", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "b", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAThree", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAATwo", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepAAThree", ";"}]}], "Input",
 CellChangeTimes->{{3.7121713485544367`*^9, 3.712171470118187*^9}, 
   3.7126915984150143`*^9, 3.712691782013062*^9, {3.712691928618298*^9, 
   3.712691929969124*^9}, {3.713468176282518*^9, 3.713468180554133*^9}}],

Cell[TextData[{
 "Pause here.  We construct a second expression.  We will subtract this off \
from ",
 StyleBox["StepAAThree", "Input"],
 " later."
}], "Text",
 CellChangeTimes->{{3.712345674288032*^9, 3.712345692642043*^9}, {
  3.760472951848332*^9, 3.7604729808805237`*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell[TextData[{
 "We will construct the following:\n     - ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["D", "_"], "B"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]]],
 " ",
 StyleBox["f.\n",
  FontSlant->"Italic"],
 "Remember that ",
 StyleBox["f",
  FontSlant->"Italic"],
 " has weight 0.  Note the minus sign at the front of the above expression.\n\
\nWhen the intrinsic nabla hits the intrinsic metric, the result is zero.  We \
now construct a rule to handle this case."
}], "Text",
 CellChangeTimes->{{3.7126916215088377`*^9, 3.712691673999175*^9}, {
  3.71269179377665*^9, 3.7126919473864927`*^9}, {3.7134685503662653`*^9, 
  3.713468562005965*^9}, {3.760473042585697*^9, 3.760473194274932*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillgSgmDer", ",", 
   RowBox[{
    RowBox[{"gSgm", "[", 
     RowBox[{
      RowBox[{"L", "[", "i", "]"}], ",", 
      RowBox[{"L", "[", "j", "]"}]}], "]"}], "[", 
    RowBox[{"L", "[", "k", "]"}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.71225969359452*^9, 3.7122597203913603`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{
  3.712259723626897*^9, 3.71234013847151*^9, 3.7124248737572393`*^9, 
   3.7124305104184027`*^9, 3.7126015502302237`*^9, 3.712602627333418*^9, 
   3.71260550089237*^9, 3.712691959998794*^9, 3.712739673947974*^9, 
   3.712745633664332*^9, 3.713468337996517*^9, 3.7134690059801903`*^9, 
   3.7134707978839808`*^9, 3.713549958785316*^9, 3.722547208654006*^9, {
   3.7226051810781116`*^9, 3.7226051878561707`*^9}, 3.76034920899021*^9, 
   3.7603516513030167`*^9, 3.760436374907621*^9, 3.760473197147537*^9, 
   3.760550125435957*^9, 3.760557416957121*^9, {3.763322596196237*^9, 
   3.763322603971608*^9}, 3.763325151640143*^9, 3.7635812229567966`*^9, 
   3.764529928877831*^9, 3.7649349311886797`*^9, 3.764935060206321*^9, 
   3.765392155171749*^9, 3.7660917085957127`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"gSgm", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"gSgm", "[", 
       RowBox[{
        RowBox[{"L", "[", "i", "]"}], ",", 
        RowBox[{"L", "[", "j", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "k", "]"}], "]"}], ",", 
     RowBox[{"gSgm", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"gSgm", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "c", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.712259738963613*^9, 3.7122597629283333`*^9}, {
  3.7225473004928102`*^9, 3.722547319003777*^9}}],

Cell[OutputFormData["\<\
{gSgm[L[i], L[j]], gSgm[L[i], L[j]] [L[k]], gSgm[L[a], L[b]], gSgm[L[a], \
L[b]] [L[c]]}\
\>", "\<\
{gSgm    , gSgm       , gSgm    , gSgm       }
     i j       i j ;k       a b       a b ;c\
\>"], "Output",
 CellChangeTimes->{
  3.7122597636964903`*^9, 3.712340149718087*^9, 3.7124248756386003`*^9, 
   3.71243051187633*^9, 3.712601551659582*^9, 3.712602628994343*^9, 
   3.712605502897143*^9, 3.712691965080915*^9, 3.7127396763314047`*^9, 
   3.712745634583024*^9, 3.713468343793406*^9, 3.7134690076620913`*^9, 
   3.713470799464286*^9, 3.7135499720142117`*^9, 3.722547215282736*^9, 
   3.7225473209551907`*^9, 3.72260519674657*^9, 3.760349209850806*^9, 
   3.7603516522019053`*^9, 3.7604364107688313`*^9, {3.7604732033779*^9, 
   3.7604732150729017`*^9}, 3.760550130894162*^9, 3.7605574183538427`*^9, 
   3.763322611321061*^9, 3.763325156446492*^9, 3.763581226355213*^9, 
   3.764529929616137*^9, 3.764935061661626*^9, 3.7653921637920017`*^9, 
   3.766091710167429*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillgSgmDer"}]], "Input",
 CellChangeTimes->{{3.7122597670274277`*^9, 3.712259771281008*^9}}],

Cell[OutputFormData["\<\
{gSgm[L[i], L[j]], 0, gSgm[L[a], L[b]], 0}\
\>", "\<\
{gSgm    , 0, gSgm    , 0}
     i j          a b\
\>"], "Output",
 CellChangeTimes->{3.712259772235495*^9, 3.7123401691934223`*^9, 
  3.712424877032421*^9, 3.712430513026464*^9, 3.712601553325885*^9, 
  3.71260263027483*^9, 3.71260550442838*^9, 3.7126920769662952`*^9, 
  3.7127396781748123`*^9, 3.712745642682096*^9, 3.71346834499868*^9, 
  3.713469009887422*^9, 3.713470800923854*^9, 3.71354997428281*^9, 
  3.722547216989739*^9, 3.72254732667735*^9, 3.722605208704052*^9, 
  3.760349211042983*^9, 3.760351652917926*^9, 3.760436413006912*^9, 
  3.760473216012581*^9, 3.7605501328721857`*^9, 3.760557425644373*^9, 
  3.7633226127435093`*^9, 3.763325165110072*^9, 3.763581234678926*^9, 
  3.764529930329629*^9, 3.7649350630947866`*^9, 3.76539216477501*^9, 
  3.7660917124440813`*^9}]
}, Open  ]],

Cell[TextData[{
 "We now test our function for ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["D", "_"], TraditionalForm]]],
 ".  Here ",
 StyleBox["amn", "Input"],
 " is the dimension of ",
 StyleBox["M",
  FontSlant->"Italic"],
 " (the \[OpenCurlyDoubleQuote]ambient\[CloseCurlyDoubleQuote] dimension).  \
The semicolon indicates the intrinsic derivative."
}], "Text",
 CellChangeTimes->{{3.760473232833605*^9, 3.760473307483818*^9}, {
  3.765392291909618*^9, 3.765392304357457*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DOpSig", "[", 
   RowBox[{"f", ",", "w", ",", 
    RowBox[{"L", "[", "AA", "]"}]}], "]"}], "//", "TensorSimplify"}]], "Input",\

 CellChangeTimes->{{3.722605595595652*^9, 3.722605619553644*^9}}],

Cell[OutputFormData["\<\
-(f[] [L[a], U[a]]*XS[L[AA]]) - w*f*TrPSigma*XS[L[AA]] + w*(-3 + amn + \
2*w)*f*YS[L[AA]] + 

   (-3 + amn + 2*w)*f[] [L[a]]*ZS[L[AA], U[a]]\
\>", "\<\
     a                                                                        \
                 a 
-f      XS    - w f TrPSigma XS    + (w (-3 + amn + 2 w)) f YS    + (-3 + amn \
+ 2 w) f    ZS
  ;a      AA                   AA                             AA              \
        ;a    AA\
\>"], "Output",
 CellChangeTimes->{{3.72260560178831*^9, 3.722605620107133*^9}, 
   3.760349217264863*^9, 3.760351654897084*^9, 3.760436436679172*^9, 
   3.760473221290215*^9, 3.760550143732733*^9, 3.760557432863933*^9, 
   3.763322614535486*^9, 3.7633251723496447`*^9, 3.763581241629017*^9, 
   3.76452993192104*^9, 3.764935071473023*^9, 3.765392171825943*^9, 
   3.7660917140515957`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOpSig", "[", 
    RowBox[{"f", ",", "0", ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOpSig", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"amn", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAAOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "AntAAOne"}], "Input",
 CellChangeTimes->{{3.712259425812653*^9, 3.71225947206408*^9}, {
  3.71225959400459*^9, 3.712259614788004*^9}, {3.712259790113742*^9, 
  3.712259827826191*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a], L[b], U[b]]*XS[L[AA]]*XS[L[BB]] + f[] [L[a]]*RhoSigma[L[b], \
U[a]] \\
[U[b]]*XS[L[AA]]*
  XS[L[BB]] - f[] [L[a], U[a]]*RhoSigma[L[b], U[b]]*XS[L[AA]]*XS[L[BB]] + 

   2*f[] [L[a], L[b]]*RhoSigma[U[b], U[a]]*XS[L[AA]]*XS[L[BB]] - 

   f[] [L[a], U[a]]*TrPSigma*XS[L[AA]]*XS[L[BB]] - f[] [L[a], \
U[a]]*gSgm[L[b], U[b]]*XS[L[BB]]*

    YS[L[AA]] + f[] [L[a]]*gSgm[U[a], L[b]] [U[b]]*XS[L[BB]]*YS[L[AA]] + 

   2*f[] [L[a], L[b]]*gSgm[U[a], U[b]]*XS[L[BB]]*YS[L[AA]] - f[] [L[a], \
U[a]]*XS[L[AA]]*YS[L[BB]] - \\

 f[] [L[a], L[b], U[b]]*XS[L[BB]]*ZS[L[AA], U[a]] + f[] \
[L[a]]*TrPSigma*XS[L[BB]]*ZS[L[AA], U[a]] \\
+ 
 f[] [L[a]]*YS[L[BB]]*ZS[L[AA], U[a]] + 2*f[] [L[a], U[a], \
L[b]]*XS[L[BB]]*ZS[L[AA], U[b]] + 

   f[] [L[a]]*RhoSigma[L[b], U[a]]*XS[L[BB]]*ZS[L[AA], U[b]] + 

   f[] [L[a]]*gSgm[U[a], L[b]]*RhoSigma[U[b], L[c]]*XS[L[BB]]*ZS[L[AA], U[c]] \
+ 

   f[] [L[a], U[a], L[b]]*XS[L[AA]]*ZS[L[BB], U[b]] + f[] \
[L[a]]*RhoSigma[L[b], U[a]]*XS[L[AA]]*

    ZS[L[BB], U[b]] + f[] [L[a]]*gSgm[U[a], L[b]]*YS[L[AA]]*ZS[L[BB], U[b]] + 

   f[] [L[a], U[a]]*ZS[L[AA], L[b]]*ZS[L[BB], U[b]] - f[] [L[a], \
L[b]]*ZS[L[AA], U[a]]*ZS[L[BB], \\
U[b]]\
\>", "\<\
    a   b                               a  b                    a            b 
f          XS    XS    + f    RhoSigma        XS    XS    - f      RhoSigma   \
  XS    XS    + 
 ;a   b      AA    BB     ;a          b   ;     AA    BB     ;a            b  \
    AA    BB 
 
                   b a                    a                             a     \
   b 
  2 f      RhoSigma     XS    XS    - f      TrPSigma XS    XS    - f      \
gSgm     XS    YS    + 
     ;a b                 AA    BB     ;a               AA    BB     ;a       \
 b      BB    AA 
 
           a    b                             a b                    a 
  f    gSgm        XS    YS    + 2 f      gSgm     XS    YS    - f      XS    \
YS    - 
   ;a        b ;     BB    AA       ;a b             BB    AA     ;a      AA  \
  BB 
 
        b             a                             a                    a 
  f        XS    ZS      + f    TrPSigma XS    ZS      + f    YS    ZS      + \

   ;a b      BB    AA       ;a             BB    AA       ;a    BB    AA 
 
        a               b                   a             b 
  2 f        XS    ZS      + f    RhoSigma     XS    ZS      + 
     ;a   b    BB    AA       ;a          b      BB    AA 
 
           a            b               c        a               b 
  f    gSgm     RhoSigma     XS    ZS      + f        XS    ZS      + 
   ;a        b            c    BB    AA       ;a   b    AA    BB 
 
                 a             b             a               b        a       \
        b 
  f    RhoSigma     XS    ZS      + f    gSgm     YS    ZS      + f      ZS   \
   ZS      - 
   ;a          b      AA    BB       ;a        b    AA    BB       ;a      AA \
b    BB 
 
              a       b 
  f      ZS      ZS
   ;a b    AA      BB\
\>"], "Output",
 CellChangeTimes->{
  3.712259437210906*^9, 3.7122594732082*^9, 3.712259618091466*^9, {
   3.7122598053964577`*^9, 3.712259829002461*^9}, 3.7123402719510508`*^9, 
   3.712345547701447*^9, 3.712424878436378*^9, 3.7124305142302933`*^9, 
   3.71260155510641*^9, 3.7126026361599607`*^9, 3.712605509988615*^9, 
   3.71269232808917*^9, 3.712740074747477*^9, 3.712745643703402*^9, 
   3.713468346548903*^9, 3.713469011805353*^9, 3.7134691324886417`*^9, 
   3.713470828906043*^9, 3.713550160762553*^9, 3.722547704660221*^9, 
   3.7226054654769897`*^9, 3.760349218442425*^9, 3.7603516574574003`*^9, 
   3.760436446861415*^9, 3.7604733463905563`*^9, 3.760550157443396*^9, 
   3.7605575794632797`*^9, 3.763322616900045*^9, 3.76332518138069*^9, 
   3.7635812508374777`*^9, 3.764529934019596*^9, 3.76493525011234*^9, 
   3.765392352300047*^9, 3.7660917148946457`*^9}]
}, Open  ]],

Cell[TextData[{
 "In the above output, all derivatives are intrinsic derivatives, and ",
 StyleBox["YS", "Input"],
 ", ",
 StyleBox["ZS", "Input"],
 ", and ",
 StyleBox["XS", "Input"],
 " are the intrinsic splitting operators.  The above expression should not \
contain any explicit references to the ambient dimension ",
 StyleBox["n", "Input"],
 " (the letter ",
 StyleBox["n", "Input"],
 ")."
}], "Text",
 CellChangeTimes->{{3.712740147546322*^9, 3.7127401761212873`*^9}, {
  3.760473407669332*^9, 3.760473425701004*^9}, {3.7605501914359426`*^9, 
  3.760550260948402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillgSgmDer"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAATwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "AntAATwo"}], "Input",
 CellChangeTimes->{{3.712340533330841*^9, 3.712340572288995*^9}, {
  3.712340668031719*^9, 3.712340678183051*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a], L[b], U[b]]*XS[L[AA]]*XS[L[BB]] + f[] [L[a]]*RhoSigma[L[b], \
U[a]] \\
[U[b]]*XS[L[AA]]*
  XS[L[BB]] - f[] [L[a], U[a]]*RhoSigma[L[b], U[b]]*XS[L[AA]]*XS[L[BB]] + 

   2*f[] [L[a], L[b]]*RhoSigma[U[b], U[a]]*XS[L[AA]]*XS[L[BB]] - 

   f[] [L[a], U[a]]*TrPSigma*XS[L[AA]]*XS[L[BB]] - f[] [L[a], \
U[a]]*gSgm[L[b], U[b]]*XS[L[BB]]*

    YS[L[AA]] + 2*f[] [L[a], L[b]]*gSgm[U[a], U[b]]*XS[L[BB]]*YS[L[AA]] - 

   f[] [L[a], U[a]]*XS[L[AA]]*YS[L[BB]] - f[] [L[a], L[b], \
U[b]]*XS[L[BB]]*ZS[L[AA], U[a]] + 

   f[] [L[a]]*TrPSigma*XS[L[BB]]*ZS[L[AA], U[a]] + f[] \
[L[a]]*YS[L[BB]]*ZS[L[AA], U[a]] + 

   2*f[] [L[a], U[a], L[b]]*XS[L[BB]]*ZS[L[AA], U[b]] + f[] \
[L[a]]*RhoSigma[L[b], U[a]]*XS[L[BB]]*

    ZS[L[AA], U[b]] + f[] [L[a]]*gSgm[U[a], L[b]]*RhoSigma[U[b], \
L[c]]*XS[L[BB]]*ZS[L[AA], U[c]] + 

   f[] [L[a], U[a], L[b]]*XS[L[AA]]*ZS[L[BB], U[b]] + f[] \
[L[a]]*RhoSigma[L[b], U[a]]*XS[L[AA]]*

    ZS[L[BB], U[b]] + f[] [L[a]]*gSgm[U[a], L[b]]*YS[L[AA]]*ZS[L[BB], U[b]] + 

   f[] [L[a], U[a]]*ZS[L[AA], L[b]]*ZS[L[BB], U[b]] - f[] [L[a], \
L[b]]*ZS[L[AA], U[a]]*ZS[L[BB], \\
U[b]]\
\>", "\<\
    a   b                               a  b                    a            b 
f          XS    XS    + f    RhoSigma        XS    XS    - f      RhoSigma   \
  XS    XS    + 
 ;a   b      AA    BB     ;a          b   ;     AA    BB     ;a            b  \
    AA    BB 
 
                   b a                    a                             a     \
   b 
  2 f      RhoSigma     XS    XS    - f      TrPSigma XS    XS    - f      \
gSgm     XS    YS    + 
     ;a b                 AA    BB     ;a               AA    BB     ;a       \
 b      BB    AA 
 
               a b                    a                      b             a 
  2 f      gSgm     XS    YS    - f      XS    YS    - f        XS    ZS      \
+ 
     ;a b             BB    AA     ;a      AA    BB     ;a b      BB    AA 
 
                           a                    a          a               b 
  f    TrPSigma XS    ZS      + f    YS    ZS      + 2 f        XS    ZS      \
+ 
   ;a             BB    AA       ;a    BB    AA         ;a   b    BB    AA 
 
                 a             b             a            b               c 
  f    RhoSigma     XS    ZS      + f    gSgm     RhoSigma     XS    ZS      + 
   ;a          b      BB    AA       ;a        b            c    BB    AA 
 
      a               b                   a             b             a       \
        b 
  f        XS    ZS      + f    RhoSigma     XS    ZS      + f    gSgm     YS \
   ZS      + 
   ;a   b    AA    BB       ;a          b      AA    BB       ;a        b    \
AA    BB 
 
      a               b                a       b 
  f      ZS      ZS      - f      ZS      ZS
   ;a      AA b    BB       ;a b    AA      BB\
\>"], "Output",
 CellChangeTimes->{3.71234057361924*^9, 3.7123406791405067`*^9, 
  3.7123455513745413`*^9, 3.7124248798835917`*^9, 3.712430515761917*^9, 
  3.7126015624815197`*^9, 3.7126026427417793`*^9, 3.712605513517622*^9, 
  3.712692520674861*^9, 3.71274019710336*^9, 3.7127456455100603`*^9, 
  3.713468349006164*^9, 3.71346901497443*^9, 3.713469135003182*^9, 
  3.7134708521573067`*^9, 3.713550257752817*^9, 3.722547732357939*^9, 
  3.722605561531165*^9, 3.760349221666946*^9, 3.760351660970887*^9, 
  3.760436510227436*^9, 3.7604735065395947`*^9, 3.760550285303502*^9, 
  3.760557627542864*^9, 3.7633226197692013`*^9, 3.763325239877118*^9, 
  3.763581283005725*^9, 3.7645299379018183`*^9, 3.7649353112330503`*^9, 
  3.7653924129425793`*^9, 3.766091717429789*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Alias Conversions",
 FontSize->24,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.7127402175310698`*^9, 3.712740221234357*^9}, {
   3.712740575532364*^9, 3.712740660637493*^9}, {3.7135504900308523`*^9, 
   3.7135505778873377`*^9}, {3.760436579937117*^9, 3.760437074622951*^9}, {
   3.7604371245722*^9, 3.760437210528368*^9}, {3.7604373084268208`*^9, 
   3.760437543308173*^9}, {3.760437599939374*^9, 3.760437654413286*^9}, {
   3.7604376916141148`*^9, 3.760437763182757*^9}, {3.760473794827586*^9, 
   3.760473873597796*^9}, {3.760473987127543*^9, 3.760474525884164*^9}, {
   3.7604749831966953`*^9, 3.760475043261677*^9}, {3.760550307912683*^9, 
   3.760550342126045*^9}, {3.7605503773938923`*^9, 3.7605503827697153`*^9}, {
   3.760550506499452*^9, 3.760550523467675*^9}, {3.760550602177369*^9, 
   3.760550607228503*^9}, {3.760550667491742*^9, 3.760550690898815*^9}, 
   3.760550741714966*^9, {3.760550797075623*^9, 3.760550865560494*^9}, {
   3.760551013097765*^9, 3.760551197974201*^9}, {3.760551350869337*^9, 
   3.760551355013679*^9}, {3.7605514453032312`*^9, 3.76055150979993*^9}, {
   3.760551553664659*^9, 3.760551657599731*^9}, {3.760551716117383*^9, 
   3.7605517226354227`*^9}, {3.760551768923521*^9, 3.7605519380533667`*^9}, {
   3.760552105312525*^9, 3.760552190160927*^9}, {3.760552316611196*^9, 
   3.760552383860094*^9}, {3.7605524806122437`*^9, 3.760552538676756*^9}, {
   3.760552633311592*^9, 3.7605528266743193`*^9}, {3.7605529775396147`*^9, 
   3.760553025004702*^9}, {3.7605531148862543`*^9, 3.760553136974098*^9}, {
   3.760553196087994*^9, 3.7605533126399593`*^9}, {3.7605534100182056`*^9, 
   3.7605534762109547`*^9}, {3.7605535381480923`*^9, 
   3.7605536138998537`*^9}, {3.760553661333754*^9, 3.7605536862413177`*^9}, {
   3.760553820079356*^9, 3.7605538206461983`*^9}, {3.7605539695687943`*^9, 
   3.7605540265902843`*^9}, {3.760554183650738*^9, 3.760554190113299*^9}, {
   3.7605542253054323`*^9, 3.760554263593347*^9}, {3.760554333392263*^9, 
   3.760554349274239*^9}, {3.760554442852871*^9, 3.760554467819387*^9}, {
   3.7605545027428703`*^9, 3.760554504989215*^9}, {3.7605546649281893`*^9, 
   3.760554695868951*^9}, {3.760554744313848*^9, 3.7605547473850203`*^9}, {
   3.760557835043065*^9, 3.760557843554103*^9}, {3.760558056215068*^9, 
   3.760558062070154*^9}, {3.763323786732224*^9, 3.763323855348201*^9}, {
   3.763323899189649*^9, 3.763323953931302*^9}, {3.7633240030535994`*^9, 
   3.7633240058284597`*^9}, {3.763324063151656*^9, 3.7633240698479652`*^9}, {
   3.76332551752312*^9, 3.7633255187629147`*^9}, {3.7633256098831167`*^9, 
   3.763325630369454*^9}, {3.7634557124570932`*^9, 3.763455714095634*^9}, {
   3.7634558980283833`*^9, 3.763455975689749*^9}, {3.763456010933599*^9, 
   3.763456158158752*^9}, {3.763456333000964*^9, 3.76345644215936*^9}, {
   3.763456515922621*^9, 3.763456692371524*^9}, {3.763456722476111*^9, 
   3.763456739580615*^9}, {3.763456961288397*^9, 3.763456965064815*^9}, {
   3.763457487525786*^9, 3.763457549072976*^9}, 3.763457605103629*^9},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "In the above output, all derivatives are intrinsic derivatives.  By this I \
mean that the semicolon always refers to the intrinsic derivative.  We must \
convert the intrinsic derivatives in ",
 StyleBox["AntAATwo", "Input"],
 " into expressions involving the ambient derivative.  To perform this \
conversion process efficiently and effectively, we will proceed in a special \
way.  Before we perform the conversion of the intrinsic derivatives, we will \
merge ",
 StyleBox["AntAATwo", "Input"],
 " with an expression for  -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  But before we merge ",
 StyleBox["AntAATwo", "Input"],
 " with -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ", we will consider the ambient derivatives in the symbolic formula for -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  In this symbolic formula, we will encode all of the ambient derivatives \
into alias identifiers.  We will use the special commands we dealt with near \
the beginning of this notebook.  After we complete this encoding procedure, \
we will not see any explicit derivatives in the symbolic formula for -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  This means that the semicolon character will no longer appear in the \
symbolic formula for -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".\n\nAfter we perform the above encoding procedure, we will take the \
resulting expression for -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 " and merge it with the above Ricci output (",
 StyleBox["AntAATwo", "Input"],
 ").  All of the explicit derivatives (the derivatives explicitly given by a \
semicolon) in the resulting expression will be intrinsic derivatives.  At \
this point, we will expand ",
 StyleBox["YS", "Input"],
 ", ",
 StyleBox["ZS", "Input"],
 ", and ",
 StyleBox["XS", "Input"],
 " and then apply the rules for the tractor metric.  In the resulting \
expression, the only remaining intrinsic derivatives will be derivatives of \
order up to 2 acting on ",
 StyleBox["f",
  FontSlant->"Italic"],
 ".  We will see that this is the case later.  We will encode these intrinsic \
derivatives into the alias tensors ",
 StyleBox["fDTwo", "Input"],
 " and ",
 StyleBox["fDOne", "Input"],
 ".  More information on ",
 StyleBox["fDTwo", "Input"],
 " and ",
 StyleBox["fDOne", "Input"],
 " is available in the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  After we incorporate the intrinsic derivatives into the alias tensors, \
we will expand the identifiers that contain the encoded intrinsic and ambient \
derivatives.  When we expand the intrinsic derivatives, we will express them \
in terms of the ambient derivatives.\n\nWe could proceed in a different way.  \
Before merging -",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 " and ",
 StyleBox["AntAATwo", "Input"],
 ", we could do more work with ",
 StyleBox["AntAATwo", "Input"],
 ".  Specifically, before doing the merging, we could convert the intrinsic \
derivatives in ",
 StyleBox["AntAATwo", "Input"],
 " into expressions involving the ambient derivative.  But by proceeding in \
this way, we would have to deal with third- and fourth-order intrinsic \
derivatives of ",
 StyleBox["f",
  FontSlant->"Italic"],
 " as well as a first-order intrinsic derivative of the intrinsic rho tensor. \
 (To see this, inspect the formula for ",
 StyleBox["AntAATwo", "Input"],
 ", above.)  Also, if we do the derivative conversion before the merging \
procedure, the merging procedure might require significantly more computer \
processing time.  One reason for this is the fact that the converted forms of \
the third- and fourth-order intrinsic derivatives of ",
 StyleBox["f",
  FontSlant->"Italic"],
 " might be quite large.  So we will proceed with our original plan instead \
of the alternative plan.\n\nOne of the main reasons for using the aliases is \
to try to ensure that we do not confuse ambient derivatives and intrinsic \
ones.  We want to avoid having expressions in which the semicolon denotes the \
intrinsic derivative in some cases and the ambient derivative on ",
 StyleBox["M",
  FontSlant->"Italic"],
 " in other cases.  Also, when we convert intrinsic derivatives into \
expressions involving ambient derivatives, we want to do this correctly.  We \
want to perform this conversion for ",
 StyleBox["all",
  FontSlant->"Italic"],
 " occurrences of the intrinsic derivative.  When we actually convert the \
intrinsic derivatives into expressions involving ambient derivatives, we want \
to focus our attention on the intrinsic derivatives; we do not want the \
ambient derivatives to distract us.  The use of alias identifiers allows us \
to accomplish these objectives.\n\nThere may be better ways of proceeding, \
but my method works."
}], "Text",
 CellChangeTimes->{{3.7127402175310698`*^9, 3.712740221234357*^9}, {
   3.712740575532364*^9, 3.712740660637493*^9}, {3.7135504900308523`*^9, 
   3.7135505778873377`*^9}, {3.760436579937117*^9, 3.760437074622951*^9}, {
   3.7604371245722*^9, 3.760437210528368*^9}, {3.7604373084268208`*^9, 
   3.760437543308173*^9}, {3.760437599939374*^9, 3.760437654413286*^9}, {
   3.7604376916141148`*^9, 3.760437763182757*^9}, {3.760473794827586*^9, 
   3.760473873597796*^9}, {3.760473987127543*^9, 3.760474525884164*^9}, {
   3.7604749831966953`*^9, 3.760475043261677*^9}, {3.760550307912683*^9, 
   3.760550342126045*^9}, {3.7605503773938923`*^9, 3.7605503827697153`*^9}, {
   3.760550506499452*^9, 3.760550523467675*^9}, {3.760550602177369*^9, 
   3.760550607228503*^9}, {3.760550667491742*^9, 3.760550690898815*^9}, 
   3.760550741714966*^9, {3.760550797075623*^9, 3.760550865560494*^9}, {
   3.760551013097765*^9, 3.760551197974201*^9}, {3.760551350869337*^9, 
   3.760551355013679*^9}, {3.7605514453032312`*^9, 3.76055150979993*^9}, {
   3.760551553664659*^9, 3.760551657599731*^9}, {3.760551716117383*^9, 
   3.7605517226354227`*^9}, {3.760551768923521*^9, 3.7605519380533667`*^9}, {
   3.760552105312525*^9, 3.760552190160927*^9}, {3.760552316611196*^9, 
   3.760552383860094*^9}, {3.7605524806122437`*^9, 3.760552538676756*^9}, {
   3.760552633311592*^9, 3.7605528266743193`*^9}, {3.7605529775396147`*^9, 
   3.760553025004702*^9}, {3.7605531148862543`*^9, 3.760553136974098*^9}, {
   3.760553196087994*^9, 3.7605533126399593`*^9}, {3.7605534100182056`*^9, 
   3.7605534762109547`*^9}, {3.7605535381480923`*^9, 
   3.7605536138998537`*^9}, {3.760553661333754*^9, 3.7605536862413177`*^9}, {
   3.760553820079356*^9, 3.7605538206461983`*^9}, {3.7605539695687943`*^9, 
   3.7605540265902843`*^9}, {3.760554183650738*^9, 3.760554190113299*^9}, {
   3.7605542253054323`*^9, 3.760554263593347*^9}, {3.760554333392263*^9, 
   3.760554349274239*^9}, {3.760554442852871*^9, 3.760554467819387*^9}, {
   3.7605545027428703`*^9, 3.760554504989215*^9}, {3.7605546649281893`*^9, 
   3.760554695868951*^9}, {3.760554744313848*^9, 3.7605547473850203`*^9}, {
   3.760557835043065*^9, 3.760557843554103*^9}, {3.760558056215068*^9, 
   3.760558062070154*^9}, {3.763323786732224*^9, 3.763323855348201*^9}, {
   3.763323899189649*^9, 3.763323953931302*^9}, {3.7633240030535994`*^9, 
   3.7633240058284597`*^9}, {3.763324063151656*^9, 3.7633240698479652`*^9}, {
   3.76332551752312*^9, 3.7633255187629147`*^9}, {3.7633256098831167`*^9, 
   3.763325630369454*^9}, {3.7634557124570932`*^9, 3.763455714095634*^9}, {
   3.7634558980283833`*^9, 3.763455975689749*^9}, {3.763456010933599*^9, 
   3.763456158158752*^9}, {3.763456333000964*^9, 3.76345644215936*^9}, {
   3.763456515922621*^9, 3.763456692371524*^9}, {3.763456722476111*^9, 
   3.763456739580615*^9}, {3.763456961288397*^9, 3.763456965064815*^9}, {
   3.763457487525786*^9, 3.763457549072976*^9}, 3.7634576064818296`*^9, {
   3.763581531706234*^9, 3.76358153461874*^9}, {3.765392638131147*^9, 
   3.765392640097925*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TracSFF", "[", 
  RowBox[{
   RowBox[{"U", "[", "BB", "]"}], ",", 
   RowBox[{"U", "[", "AA", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.722605422490198*^9, 3.722605433736724*^9}}],

Cell[OutputFormData["\<\
TracSFF[U[AA], U[BB]]\
\>", "\<\
       AA BB 
TracSFF\
\>"], "Output",
 CellChangeTimes->{3.7226054345913973`*^9, 3.7603492250333033`*^9, 
  3.7603516645190783`*^9, 3.7604380249035587`*^9, 3.76047457691376*^9, 
  3.760558141891506*^9, 3.763322625973756*^9, 3.763325651156328*^9, 
  3.7635815645367002`*^9, 3.764935550621347*^9, 3.765392713617876*^9, 
  3.766091724734046*^9}]
}, Open  ]],

Cell["\<\
We now work with a formula for the tractor second fundamental form.  We \
encode the ambient derivatives into alias identifiers.\
\>", "Text",
 CellChangeTimes->{{3.76055815218598*^9, 3.760558206158847*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"TracSFF", "[", 
     RowBox[{
      RowBox[{"U", "[", "AA", "]"}], ",", 
      RowBox[{"U", "[", "BB", "]"}]}], "]"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTracSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecThreeToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "RhoOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OurTractorSFF", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "OurTractorSFF"}], "Input",
 CellChangeTimes->{{3.7123412233060703`*^9, 3.712341357263116*^9}, {
  3.712341415152604*^9, 3.712341426783812*^9}, {3.7123423098435287`*^9, 
  3.712342320314911*^9}, {3.712345475769176*^9, 3.7123454814801283`*^9}, {
  3.712345573682744*^9, 3.712345574449651*^9}, {3.713468584471815*^9, 
  3.713468586398836*^9}, {3.7134690440696297`*^9, 3.713469044780323*^9}}],

Cell[OutputFormData["\<\
Z[U[AA], U[a]]*Z[U[BB], U[b]]*ZZNvecOne[L[b], L[a]] - 

   (P[L[a], U[a]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[L[b], U[b]])/3 - 

   (Z[U[AA], L[a]]*Z[U[BB], U[a]]*ZZNvecOne[L[b], U[b]])/3 - \
Nvec[L[a]]*Nvec[U[b]]*Z[U[AA], U[a]]*

    Z[U[BB], U[c]]*ZZNvecOne[L[c], L[b]] - (2*Nvec[U[a]]*Nvec[U[b]]*P[L[a], \
\\
L[b]]*X[U[AA]]*X[U[BB]]*
   ZZNvecOne[L[c], U[c]])/3 + (Nvec[L[a]]*Nvec[L[b]]*Z[U[AA], \\
U[a]]*Z[U[BB], U[b]]*
   ZZNvecOne[L[c], U[c]])/3 + (Nvec[U[a]]*X[U[BB]]*Z[U[AA], \\
U[b]]*ZZNvecOne[L[b], L[a]]*
   ZZNvecOne[L[c], U[c]])/2 + (Nvec[U[a]]*X[U[AA]]*Z[U[BB], \\
U[b]]*ZZNvecOne[L[b], L[a]]*
   ZZNvecOne[L[c], U[c]])/2 - (X[U[AA]]*X[U[BB]]*ZZNvecOne[L[a], \\
U[a]]*ZZNvecOne[L[b], U[b]]*
   ZZNvecOne[L[c], U[c]])/3 + 2*P[L[a], \\
L[b]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[U[a], U[b]] + 
 (4*X[U[AA]]*X[U[BB]]*ZZNvecOne[L[a], \\
L[b]]*ZZNvecOne[L[c], U[c]]*ZZNvecOne[U[b], U[a]])/3 - 
 (Nvec[L[a]]*X[U[BB]]*Z[U[AA], \\
U[a]]*ZZNvecOne[L[b], L[c]]*ZZNvecOne[U[b], U[c]])/2 - 
 (Nvec[L[a]]*X[U[AA]]*Z[U[BB], \\
U[a]]*ZZNvecOne[L[b], L[c]]*ZZNvecOne[U[b], U[c]])/2 - 
 X[U[AA]]*X[U[BB]]*ZZNvecOne[L[a], \\
L[b]]*ZZNvecOne[L[c], U[a]]*ZZNvecOne[U[b], U[c]] - 
 2*Nvec[U[a]]*Nvec[U[b]]*P[L[a], \\
L[c]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[U[c], L[b]] - 
 Nvec[U[a]]*Nvec[U[b]]*Weyl[L[a], L[c], L[b], \\
L[d]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[U[c], U[d]] - 
 \\
(Nvec[U[a]]*Nvec[U[b]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[L[c], \
L[a]]*ZZNvecOne[L[d], L[b]]*
   \\
ZZNvecOne[U[c], U[d]])/2 + \
(Nvec[U[a]]*Nvec[U[b]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[L[c], L[d]]*
   \\
ZZNvecOne[U[c], L[b]]*ZZNvecOne[U[d], L[a]])/2 + 
 \\
(Nvec[L[a]]*Nvec[U[b]]*Nvec[U[c]]*X[U[BB]]*Z[U[AA], U[a]]*ZZNvecOne[L[d], \
L[b]]*
   ZZNvecOne[U[d], \\
L[c]])/2 + (Nvec[L[a]]*Nvec[U[b]]*Nvec[U[c]]*X[U[AA]]*Z[U[BB], U[a]]*
   ZZNvecOne[L[d], \\
L[b]]*ZZNvecOne[U[d], L[c]])/2 + 
 (X[U[AA]]*X[U[BB]]*ZZNvecThree[L[a], U[a], L[b], U[b]])/3 - 

   (Nvec[U[a]]*Nvec[U[b]]*X[U[AA]]*X[U[BB]]*ZZNvecThree[L[c], U[c], L[a], \
L[b]])/3 - 

   (X[U[BB]]*Z[U[AA], U[a]]*ZZNvecTwo[L[a], L[b], U[b]])/2 - 

   (X[U[AA]]*Z[U[BB], U[a]]*ZZNvecTwo[L[a], L[b], U[b]])/2 + 

   (X[U[BB]]*Z[U[AA], U[a]]*ZZNvecTwo[L[b], U[b], L[a]])/6 + 

   (X[U[AA]]*Z[U[BB], U[a]]*ZZNvecTwo[L[b], U[b], L[a]])/6 - 

   (Nvec[U[a]]*X[U[AA]]*X[U[BB]]*ZZNvecOne[L[c], U[c]]*ZZNvecTwo[L[b], U[b], \
L[a]])/3 + 

   (Nvec[U[a]]*Nvec[U[b]]*X[U[BB]]*Z[U[AA], U[c]]*ZZNvecTwo[L[c], L[a], \
L[b]])/2 + 

   (Nvec[U[a]]*Nvec[U[b]]*X[U[AA]]*Z[U[BB], U[c]]*ZZNvecTwo[L[c], L[a], \
L[b]])/2 - 

   (Nvec[L[a]]*Nvec[U[b]]*X[U[BB]]*Z[U[AA], U[a]]*ZZNvecTwo[L[c], U[c], \
L[b]])/6 - 

   (Nvec[L[a]]*Nvec[U[b]]*X[U[AA]]*Z[U[BB], U[a]]*ZZNvecTwo[L[c], U[c], \
L[b]])/6 - 

   Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*X[U[AA]]*X[U[BB]]*ZZRhoOne[L[a], L[b], \
L[c]] + 

   Nvec[U[a]]*X[U[AA]]*X[U[BB]]*ZZRhoOne[L[b], U[b], L[a]]\
\>", "\<\
 AA a   BB b                  1    a   AA   BB             b    1  AA     BB \
a             b 
Z      Z      ZZNvecOne     - - P     X    X    ZZNvecOne     - - Z      Z    \
  ZZNvecOne     - 
                       b a    3  a                       b      3     a       \
           b 
 
             b   AA a   BB c                  2     a      b         AA   BB  \
           c 
  Nvec   Nvec   Z      Z      ZZNvecOne     - - Nvec   Nvec   P     X    X    \
ZZNvecOne     + 
      a                                c b    3                a b            \
         c 
 
  1                AA a   BB b             c    1     a   BB   AA b           \
                c 
  - Nvec   Nvec   Z      Z      ZZNvecOne     + - Nvec   X    Z      \
ZZNvecOne     ZZNvecOne     + 
  3     a      b                         c      2                             \
b a           c 
 
  1     a   AA   BB b                           c 
  - Nvec   X    Z      ZZNvecOne     ZZNvecOne     - 
  2                             b a           c 
 
  1  AA   BB             a             b             c             AA   BB    \
       a b 
  - X    X    ZZNvecOne     ZZNvecOne     ZZNvecOne     + 2 P     X    X    \
ZZNvecOne     + 
  3                    a             b             c         a b 
 
  4  AA   BB                           c           b a 
  - X    X    ZZNvecOne     ZZNvecOne     ZZNvecOne     - 
  3                    a b           c 
 
  1         BB   AA a                         b c 
  - Nvec   X    Z      ZZNvecOne     ZZNvecOne     - 
  2     a                       b c 
 
  1         AA   BB a                         b c 
  - Nvec   X    Z      ZZNvecOne     ZZNvecOne     - 
  2     a                       b c 
 
   AA   BB                           a           b c 
  X    X    ZZNvecOne     ZZNvecOne     ZZNvecOne     - 
                     a b           c 
 
        a      b         AA   BB           c 
  2 Nvec   Nvec   P     X    X    ZZNvecOne     - 
                   a c                       b 
 
      a      b                AA   BB           c d 
  Nvec   Nvec   Weyl         X    X    ZZNvecOne     - 
                    a c b d 
 
  1     a      b   AA   BB                                       c d 
  - Nvec   Nvec   X    X    ZZNvecOne     ZZNvecOne     ZZNvecOne     + 
  2                                  c a           d b 
 
  1     a      b   AA   BB                         c             d 
  - Nvec   Nvec   X    X    ZZNvecOne     ZZNvecOne     ZZNvecOne     + 
  2                                  c d             b             a 
 
  1            b      c   BB   AA a                         d 
  - Nvec   Nvec   Nvec   X    Z      ZZNvecOne     ZZNvecOne     + 
  2     a                                     d b             c 
 
  1            b      c   AA   BB a                         d 
  - Nvec   Nvec   Nvec   X    Z      ZZNvecOne     ZZNvecOne     + 
  2     a                                     d b             c 
 
  1  AA   BB               a   b    1     a      b   AA   BB               c 
  - X    X    ZZNvecThree         - - Nvec   Nvec   X    X    ZZNvecThree     \
    - 
  3                      a   b      3                                    c   \
a b 
 
  1  BB   AA a               b    1  AA   BB a               b    1  BB   AA \
a             b 
  - X    Z      ZZNvecTwo       - - X    Z      ZZNvecTwo       + - X    Z    \
  ZZNvecTwo       + 
  2                      a b      2                      a b      6           \
           b   a 
 
  1  AA   BB a             b      1     a   AA   BB             c             \
b 
  - X    Z      ZZNvecTwo       - - Nvec   X    X    ZZNvecOne     ZZNvecTwo  \
     + 
  6                      b   a    3                           c             b \
  a 
 
  1     a      b   BB   AA c                    1     a      b   AA   BB c 
  - Nvec   Nvec   X    Z      ZZNvecTwo       + - Nvec   Nvec   X    Z      \
ZZNvecTwo       - 
  2                                    c a b    2                             \
       c a b 
 
  1            b   BB   AA a             c      1            b   AA   BB a    \
         c 
  - Nvec   Nvec   X    Z      ZZNvecTwo       - - Nvec   Nvec   X    Z      \
ZZNvecTwo       - 
  6     a                              c   b    6     a                       \
       c   b 
 
      a      b      c   AA   BB                       a   AA   BB            b 
  Nvec   Nvec   Nvec   X    X    ZZRhoOne       + Nvec   X    X    ZZRhoOne
                                         a b c                             b  \
 a\
\>"], "Output",
 CellChangeTimes->{{3.7123412629149427`*^9, 3.712341289115635*^9}, 
   3.7123413585657883`*^9, 3.712341428494276*^9, 3.7123423224027443`*^9, 
   3.712345483085039*^9, {3.7123455633373337`*^9, 3.712345576200512*^9}, 
   3.7124248815824203`*^9, 3.712430517284408*^9, 3.712601603665348*^9, 
   3.712602645914317*^9, 3.712605522904477*^9, 3.7126926972122393`*^9, 
   3.712740407236782*^9, 3.712745647731176*^9, 3.713468351389974*^9, 
   3.713468598616336*^9, 3.713469049945236*^9, 3.713469138450699*^9, 
   3.713470893229925*^9, 3.7135506227698402`*^9, 3.713550655751176*^9, 
   3.722547765946135*^9, 3.722605806082584*^9, 3.76034922646132*^9, 
   3.7603516657084*^9, 3.760438041906067*^9, 3.760474581576209*^9, 
   3.760558179146675*^9, 3.76332262929987*^9, 3.7633256539494753`*^9, 
   3.763581583416589*^9, 3.764529945554229*^9, 3.7649355574880123`*^9, {
   3.764935611981789*^9, 3.764935650423273*^9}, 3.765392720698451*^9, 
   3.766091726615613*^9}]
}, Open  ]],

Cell["\<\
One should verify that there are no explicit occurrences of any derivatives \
in the above expression.  One should verify that the semicolon character is \
absent from the above output.

We now do the merging operation.\
\>", "Text",
 CellChangeTimes->{{3.712342469145808*^9, 3.712342499980514*^9}, {
  3.7604375668981256`*^9, 3.760437589714312*^9}, {3.7604746584688883`*^9, 
  3.760474675893304*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "OurTractorSFF", "*", 
     RowBox[{"NewDummy", "[", "Temp", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandXS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandYS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandZS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAAThree", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "AntAAThree"}], "Input",
 CellChangeTimes->{{3.712340688064144*^9, 3.712340756024062*^9}, {
  3.712340859866287*^9, 3.7123409091804733`*^9}, {3.7123415922990294`*^9, 
  3.712341600449972*^9}, {3.712341663122973*^9, 3.712341668683086*^9}, {
  3.712342568086563*^9, 3.712342585877599*^9}, {3.7123455832581577`*^9, 
  3.7123455841693296`*^9}, {3.7126026585768547`*^9, 3.712602659264428*^9}, {
  3.713469034348671*^9, 3.713469035900079*^9}}],

Cell[OutputFormData["\<\
(f[] [L[b]]*Hmc*Nvec[U[c]]*PiPro[L[c], U[b]]*ZZNvecOne[L[a], U[a]])/3 - 

   (f[] [L[b]]*Hmc*Nvec[L[c]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[d], \
U[b]]*ZZNvecOne[L[a], U[a]])/3 + 

   (f[] [L[b]]*gSgm[U[b], L[c]]*Hmc*Nvec[U[d]]*PiPro[L[d], \
U[c]]*ZZNvecOne[L[a], U[a]])/3 - 

   (f[] [L[b], U[b]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[c], L[e]]*PiPro[L[d], \
U[e]]*ZZNvecOne[L[a], \\
U[a]])/
  3 - (f[] [L[b]]*gSgm[U[b], \
L[c]]*Hmc*Nvec[L[d]]*Nvec[U[d]]*Nvec[U[e]]*PiPro[L[e], U[c]]*

     ZZNvecOne[L[a], U[a]])/3 + (f[] [L[b], \
L[c]]*Nvec[U[d]]*Nvec[U[e]]*PiPro[L[d], U[b]]*

     PiPro[L[e], U[c]]*ZZNvecOne[L[a], U[a]])/3 + 

   (f[] [L[b], U[b]]*PiPro[L[c], L[d]]*PiPro[U[c], U[d]]*ZZNvecOne[L[a], \
U[a]])/3 - 

   (f[] [L[b], L[c]]*PiPro[L[d], U[b]]*PiPro[U[d], U[c]]*ZZNvecOne[L[a], \
U[a]])/3 - 

   f[] [L[a]]*Hmc*Nvec[U[b]]*PiPro[L[c], U[a]]*ZZNvecOne[L[b], U[c]] + 

   f[] [L[b]]*Hmc*Nvec[U[a]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[a], \
U[b]]*ZZNvecOne[L[c], L[d]] + 

   (f[] [L[c]]*Nvec[U[d]]*PiPro[L[d], U[c]]*ZZNvecOne[L[a], \
L[b]]*ZZNvecOne[U[a], U[b]])/2 + 

   (f[] [L[c]]*gSgm[U[c], L[d]]*Nvec[U[e]]*PiPro[L[e], U[d]]*ZZNvecOne[L[a], \
L[b]]*

     ZZNvecOne[U[a], U[b]])/2 - (f[] [L[c]]*Nvec[U[a]]*PiPro[L[b], \
U[c]]*ZZNvecOne[L[d], U[d]]*

     ZZNvecOne[U[b], L[a]])/2 - (f[] [L[c]]*gSgm[U[c], \
L[d]]*Nvec[U[a]]*PiPro[L[b], U[d]]*

     ZZNvecOne[L[e], U[e]]*ZZNvecOne[U[b], L[a]])/2 - f[] [L[a], \
U[a]]*PiPro[L[b], L[c]]*

    PiPro[L[d], U[c]]*ZZNvecOne[U[b], U[d]] - 

   (f[] [L[d]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[e]]*PiPro[L[a], \
U[d]]*ZZNvecOne[L[c], L[b]]*

     ZZNvecOne[U[c], L[e]])/2 - (f[] [L[d]]*gSgm[U[d], \
L[e]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[i]]*

     PiPro[L[a], U[e]]*ZZNvecOne[L[c], L[b]]*ZZNvecOne[U[c], L[i]])/2 - 

   f[] [L[a]]*gSgm[U[a], L[b]]*Hmc*Nvec[U[c]]*PiPro[L[d], \
U[b]]*ZZNvecOne[U[d], L[c]] + 

   f[] [L[a], L[b]]*PiPro[L[c], U[a]]*PiPro[L[d], U[b]]*ZZNvecOne[U[d], U[c]] \
+ 

   f[] [L[c]]*gSgm[U[c], \
L[d]]*Hmc*Nvec[L[a]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[e], U[d]]*

    ZZNvecOne[U[e], L[b]] + f[] [L[c], \
U[c]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[a], L[d]]*

    PiPro[L[e], U[d]]*ZZNvecOne[U[e], L[b]] - f[] [L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[d]]*

    PiPro[L[a], U[b]]*PiPro[L[e], U[c]]*ZZNvecOne[U[e], L[d]] + 

   (f[] [L[c]]*Nvec[U[a]]*Nvec[U[d]]*PiPro[L[a], U[c]]*ZZNvecTwo[L[b], U[b], \
L[d]])/6 + 

   (f[] [L[c]]*gSgm[U[c], L[d]]*Nvec[U[a]]*Nvec[U[e]]*PiPro[L[a], \
U[d]]*ZZNvecTwo[L[b], U[b], \\
L[e]])/
  6 - (f[] [L[b]]*PiPro[L[a], U[b]]*ZZNvecTwo[L[c], U[c], U[a]])/6 - 

   (f[] [L[b]]*gSgm[U[b], L[c]]*PiPro[L[a], U[c]]*ZZNvecTwo[L[d], U[d], \
U[a]])/6 + 

   (f[] [L[b]]*PiPro[L[a], U[b]]*ZZNvecTwo[U[a], L[c], U[c]])/2 + 

   (f[] [L[b]]*gSgm[U[b], L[c]]*PiPro[L[a], U[c]]*ZZNvecTwo[U[a], L[d], \
U[d]])/2 - 

   (f[] [L[c]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[d], U[c]]*ZZNvecTwo[U[d], L[a], \
L[b]])/2 - 

   (f[] [L[c]]*gSgm[U[c], L[d]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[e], \
U[d]]*ZZNvecTwo[U[e], L[a], \\
L[b]])/2\
\>", "\<\
1              c         b             a 
- f    Hmc Nvec   PiPro     ZZNvecOne     - 
3  ;b                  c             a 
 
  1                     c      d         b             a 
  - f    Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
  3  ;b          c                     d             a 
 
  1          b            d         c             a 
  - f    gSgm     Hmc Nvec   PiPro     ZZNvecOne     - 
  3  ;b        c                  d             a 
 
  1     b      c      d                   e             a 
  - f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
  3  ;b                       c e       d             a 
 
  1          b                   d      e         c             a 
  - f    gSgm     Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
  3  ;b        c          d                     e             a 
 
  1            d      e         b         c             a 
  - f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     + 
  3  ;b c                     d         e             a 
 
  1     b                 c d             a    1               b       d c    \
         a 
  - f      PiPro     PiPro     ZZNvecOne     - - f      PiPro     PiPro     \
ZZNvecOne     - 
  3  ;b         c d                     a      3  ;b c       d                \
       a 
 
               b         a             c                 a      c      d      \
   b 
  f    Hmc Nvec   PiPro     ZZNvecOne     + f    Hmc Nvec   Nvec   Nvec   \
PiPro     ZZNvecOne     + 
   ;a                  c             b       ;b                               \
 a             c d 
 
  1          d         c                         a b 
  - f    Nvec   PiPro     ZZNvecOne     ZZNvecOne     + 
  2  ;c              d             a b 
 
  1          c        e         d                         a b 
  - f    gSgm     Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2  ;c        d              e             a b 
 
  1          a         c             d           b 
  - f    Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2  ;c              b             d               a 
 
  1          c        a         d             e           b 
  - f    gSgm     Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2  ;c        d              b             e               a 
 
      a                   c           b d 
  f      PiPro     PiPro     ZZNvecOne     - 
   ;a         b c       d 
 
  1          a      b      e         d                         c 
  - f    Nvec   Nvec   Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2  ;d                            a             c b             e 
 
  1          d        a      b      i         e                         c 
  - f    gSgm     Nvec   Nvec   Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2  ;d        e                            a             c b             i 
 
           a            c         b           d                    a         \
b           d c 
  f    gSgm     Hmc Nvec   PiPro     ZZNvecOne     + f      PiPro     PiPro   \
  ZZNvecOne     + 
   ;a        b                  d               c     ;a b       c         d 
 
           c                   a      b         d           e 
  f    gSgm     Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
   ;c        d          a                     e               b 
 
      c      a      b                   d           e 
  f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
   ;c                       a d       e               b 
 
             a      d         b         c           e 
  f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     + 
   ;b c                     a         e               d 
 
  1          a      d         c             b 
  - f    Nvec   Nvec   PiPro     ZZNvecTwo       + 
  6  ;c                     a             b   d 
 
  1          c        a      e         d             b      1             b   \
          c a 
  - f    gSgm     Nvec   Nvec   PiPro     ZZNvecTwo       - - f    PiPro     \
ZZNvecTwo       - 
  6  ;c        d                     a             b   e    6  ;b       a     \
        c 
 
  1          b           c             d a    1             b           a   c \

  - f    gSgm     PiPro     ZZNvecTwo       + - f    PiPro     ZZNvecTwo      \
 + 
  6  ;b        c       a             d        2  ;b       a               c 
 
  1          b           c           a   d    1          a      b         c   \
        d 
  - f    gSgm     PiPro     ZZNvecTwo       - - f    Nvec   Nvec   PiPro     \
ZZNvecTwo       - 
  2  ;b        c       a               d      2  ;c                     d     \
          a b 
 
  1          c        a      b         d           e 
  - f    gSgm     Nvec   Nvec   PiPro     ZZNvecTwo
  2  ;c        d                     e               a b\
\>"], "Output",
 CellChangeTimes->{{3.712340731227558*^9, 3.712340761024967*^9}, 
   3.712340920431933*^9, 3.712341613197954*^9, 3.7123416819415493`*^9, 
   3.712342564181131*^9, 3.712342598990787*^9, 3.712345503227309*^9, 
   3.7123455969163647`*^9, 3.712424896027196*^9, 3.712430531709301*^9, 
   3.7126016530530453`*^9, 3.712602673759739*^9, 3.712605539693342*^9, 
   3.7127410280066233`*^9, 3.712745661401655*^9, 3.7134683713809032`*^9, 
   3.713469120244569*^9, 3.713469155165058*^9, 3.713470988860095*^9, 
   3.71355111940366*^9, 3.722607089769565*^9, 3.760349259795298*^9, 
   3.7603516823214617`*^9, 3.760438112472501*^9, 3.760474691967594*^9, 
   3.760558312495605*^9, 3.763322646917016*^9, 3.763325755641129*^9, 
   3.7635816694812803`*^9, 3.764529963976699*^9, 3.764935821398425*^9, 
   3.76539280458356*^9, 3.766091743275114*^9}]
}, Open  ]],

Cell[TextData[{
 "In the above output, the only explicit derivatives should be the ones on ",
 StyleBox["f",
  FontSlant->"Italic"],
 ".  These derivatives are all intrinsic derivatives.  We will now encode \
these derivatives into aliases and then expand these aliases.  We begin by \
making sure that no more than two derivatives hit the ",
 StyleBox["f", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.712343415527356*^9, 3.712343451487529*^9}, {
  3.7127412692035637`*^9, 3.712741284220166*^9}, {3.713551372985716*^9, 
  3.7135513928332453`*^9}, {3.760438139417584*^9, 3.76043814401764*^9}, {
  3.760438219426458*^9, 3.76043822558645*^9}, {3.760438540992363*^9, 
  3.760438575288591*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillfDTwo", ",", 
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"L", "[", "i", "]"}], ",", 
     RowBox[{"L", "[", "j", "]"}]}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.722608008794252*^9, 3.72260803194695*^9}, {
  3.760438416279152*^9, 3.7604384401672897`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.722608033059881*^9, 3.7603492638912086`*^9, 
  3.760351687084755*^9, 3.7604384424227*^9, 3.760474821172557*^9, 
  3.760558432041951*^9, 3.7633226529053383`*^9, 3.76332577987678*^9, 
  3.7635817724352093`*^9, 3.764529968005691*^9, 3.764936127674143*^9, 
  3.765392842253804*^9, 3.766091747832879*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"f", ",", 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.76043846003368*^9, 3.7604384893269033`*^9}}],

Cell[OutputFormData["\<\
{f, f[] [L[i]], f[] [L[i], L[j]], f[] [L[i], L[j], L[k]], f[] [L[a]], f[] \
[L[a], L[b]], 

   f[] [L[a], L[b], L[c]]}\
\>", "\<\
{f, f   , f     , f       , f   , f     , f       }
     ;i    ;i j    ;i j k    ;a    ;a b    ;a b c\
\>"], "Output",
 CellChangeTimes->{3.760438489911457*^9, 3.760474823243887*^9, 
  3.760558434200704*^9, 3.7633226550234528`*^9, 3.7633257820167007`*^9, 
  3.7635817736418047`*^9, 3.764529969933597*^9, 3.764936128712268*^9, 
  3.765392934629277*^9, 3.766091748540187*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillfDTwo"}]], "Input",
 CellChangeTimes->{{3.760438491459206*^9, 3.760438495855508*^9}}],

Cell[OutputFormData["\<\
{f, f[] [L[i]], 0, 0, f[] [L[a]], 0, 0}\
\>", "\<\
{f, f   , 0, 0, f   , 0, 0}
     ;i          ;a\
\>"], "Output",
 CellChangeTimes->{3.760438496418651*^9, 3.760474824782522*^9, 
  3.7605584429216013`*^9, 3.763322655766453*^9, 3.763325783891848*^9, 
  3.7635817751433277`*^9, 3.764529970700137*^9, 3.764936130025371*^9, 
  3.76539293588463*^9, 3.76609174923221*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AntAAThree", "-", 
  RowBox[{"(", 
   RowBox[{"AntAAThree", "/.", "KillfDTwo"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.722608038978671*^9, 3.722608048946722*^9}, {
  3.760438445806398*^9, 3.760438450151125*^9}}],

Cell[OutputFormData["\<\
-(f[] [L[b], U[b]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[c], L[e]]*PiPro[L[d], \
U[e]]*ZZNvecOne[L[a], \\
U[a]])/
  3 + (f[] [L[b], L[c]]*Nvec[U[d]]*Nvec[U[e]]*PiPro[L[d], U[b]]*PiPro[L[e], \
U[c]]*

     ZZNvecOne[L[a], U[a]])/3 + (f[] [L[b], U[b]]*PiPro[L[c], \
L[d]]*PiPro[U[c], U[d]]*

     ZZNvecOne[L[a], U[a]])/3 - (f[] [L[b], L[c]]*PiPro[L[d], \
U[b]]*PiPro[U[d], U[c]]*

     ZZNvecOne[L[a], U[a]])/3 - f[] [L[a], U[a]]*PiPro[L[b], \
L[c]]*PiPro[L[d], U[c]]*

    ZZNvecOne[U[b], U[d]] + f[] [L[a], L[b]]*PiPro[L[c], U[a]]*PiPro[L[d], \
U[b]]*

    ZZNvecOne[U[d], U[c]] + f[] [L[c], \
U[c]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[a], L[d]]*

    PiPro[L[e], U[d]]*ZZNvecOne[U[e], L[b]] - f[] [L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[d]]*

    PiPro[L[a], U[b]]*PiPro[L[e], U[c]]*ZZNvecOne[U[e], L[d]]\
\>", "\<\
  1      b      c      d                   e             a 
-(-) f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     + 
  3   ;b                       c e       d             a 
 
  1            d      e         b         c             a 
  - f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     + 
  3  ;b c                     d         e             a 
 
  1     b                 c d             a    1               b       d c    \
         a 
  - f      PiPro     PiPro     ZZNvecOne     - - f      PiPro     PiPro     \
ZZNvecOne     - 
  3  ;b         c d                     a      3  ;b c       d                \
       a 
 
      a                   c           b d                  a         b        \
   d c 
  f      PiPro     PiPro     ZZNvecOne     + f      PiPro     PiPro     \
ZZNvecOne     + 
   ;a         b c       d                     ;a b       c         d 
 
      c      a      b                   d           e 
  f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
   ;c                       a d       e               b 
 
             a      d         b         c           e 
  f      Nvec   Nvec   PiPro     PiPro     ZZNvecOne
   ;b c                     a         e               d\
\>"], "Output",
 CellChangeTimes->{3.722608049849248*^9, 3.7603492647799377`*^9, 
  3.760351689606477*^9, 3.760438450956029*^9, 3.760438514962369*^9, 
  3.760474847860154*^9, 3.760558461220141*^9, 3.76332265643036*^9, 
  3.76332578466245*^9, 3.763581794669573*^9, 3.764529971421103*^9, 
  3.764936148058772*^9, 3.765392961220943*^9, 3.76609175053522*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AntAAThree", "-", 
  RowBox[{"(", 
   RowBox[{"AntAAThree", "/.", "KillfDThree"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.760438608146834*^9, 3.760438619056983*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.7604386201447487`*^9, 3.760474857183612*^9, 
  3.760558464668892*^9, 3.763322659146743*^9, 3.763325793331477*^9, 
  3.7635818125399933`*^9, 3.764529974179283*^9, 3.764936153967236*^9, 
  3.765392975341576*^9, 3.766091752458013*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAAThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "fDTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "fDOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAAFour", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "AntAAFour"}], "Input",
 CellChangeTimes->{{3.712343328857397*^9, 3.712343375729393*^9}, {
  3.712343630763074*^9, 3.712343638258163*^9}, {3.7633230384662743`*^9, 
  3.763323058521599*^9}}],

Cell[OutputFormData["\<\
(fDOne[L[b]]*Hmc*Nvec[U[c]]*PiPro[L[c], U[b]]*ZZNvecOne[L[a], U[a]])/3 - 

   (fDTwo[L[e], U[e]]*Nvec[U[b]]*Nvec[U[c]]*PiPro[L[b], L[d]]*PiPro[L[c], \
U[d]]*

     ZZNvecOne[L[a], U[a]])/3 - \
(fDOne[L[b]]*Hmc*Nvec[L[c]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[d], \\
U[b]]*
   ZZNvecOne[L[a], U[a]])/3 + (fDOne[L[b]]*gSgm[U[b], \
L[c]]*Hmc*Nvec[U[d]]*PiPro[L[d], \\
U[c]]*
   ZZNvecOne[L[a], U[a]])/3 - (fDOne[L[b]]*gSgm[U[b], \\
L[c]]*Hmc*Nvec[L[d]]*Nvec[U[d]]*Nvec[U[e]]*
   PiPro[L[e], U[c]]*ZZNvecOne[L[a], U[a]])/3 + 

   (fDTwo[L[b], L[c]]*Nvec[U[d]]*Nvec[U[e]]*PiPro[L[d], U[b]]*PiPro[L[e], \
U[c]]*

     ZZNvecOne[L[a], U[a]])/3 + (fDTwo[L[d], U[d]]*PiPro[L[b], \
L[c]]*PiPro[U[b], U[c]]*

     ZZNvecOne[L[a], U[a]])/3 - (fDTwo[L[b], L[c]]*PiPro[L[d], \
U[b]]*PiPro[U[d], U[c]]*

     ZZNvecOne[L[a], U[a]])/3 - fDOne[L[a]]*Hmc*Nvec[U[b]]*PiPro[L[c], \
U[a]]*ZZNvecOne[L[b], U[c]] \\
+ 
 fDOne[L[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[b], \
U[a]]*ZZNvecOne[L[c], L[d]] + 

   (fDOne[L[c]]*Nvec[U[d]]*PiPro[L[d], U[c]]*ZZNvecOne[L[a], \
L[b]]*ZZNvecOne[U[a], U[b]])/2 + 

   (fDOne[L[c]]*gSgm[U[c], L[d]]*Nvec[U[e]]*PiPro[L[e], U[d]]*ZZNvecOne[L[a], \
L[b]]*

     ZZNvecOne[U[a], U[b]])/2 - fDTwo[L[d], U[d]]*PiPro[L[a], \
L[b]]*PiPro[L[c], U[b]]*

    ZZNvecOne[U[a], U[c]] - (fDOne[L[b]]*Nvec[U[a]]*PiPro[L[c], \
U[b]]*ZZNvecOne[L[d], U[d]]*

     ZZNvecOne[U[c], L[a]])/2 - (fDOne[L[c]]*gSgm[L[b], \
U[c]]*Nvec[U[a]]*PiPro[L[d], U[b]]*

     ZZNvecOne[L[e], U[e]]*ZZNvecOne[U[d], L[a]])/2 + fDTwo[L[e], \
U[e]]*Nvec[U[a]]*Nvec[U[b]]*

    PiPro[L[a], L[c]]*PiPro[L[d], U[c]]*ZZNvecOne[U[d], L[b]] - 

   fDOne[L[a]]*gSgm[U[a], L[b]]*Hmc*Nvec[U[c]]*PiPro[L[d], \
U[b]]*ZZNvecOne[U[d], L[c]] + 

   fDTwo[L[a], L[b]]*PiPro[L[c], U[a]]*PiPro[L[d], U[b]]*ZZNvecOne[U[d], \
U[c]] + 

   fDOne[L[c]]*gSgm[U[c], \
L[d]]*Hmc*Nvec[L[a]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[e], U[d]]*

    ZZNvecOne[U[e], L[b]] - \
(fDOne[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*PiPro[L[d], U[a]]*

     ZZNvecOne[L[e], L[b]]*ZZNvecOne[U[e], L[c]])/2 - fDTwo[L[a], \
L[b]]*Nvec[U[c]]*Nvec[U[d]]*

    PiPro[L[c], U[a]]*PiPro[L[e], U[b]]*ZZNvecOne[U[e], L[d]] - 

   (fDOne[L[d]]*gSgm[L[a], U[d]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[e]]*PiPro[L[e], \
U[a]]*

     ZZNvecOne[L[i], L[b]]*ZZNvecOne[U[i], L[c]])/2 - 

   (fDOne[L[a]]*PiPro[L[b], U[a]]*ZZNvecTwo[L[c], U[c], U[b]])/6 + 

   (fDOne[L[a]]*Nvec[U[b]]*Nvec[U[c]]*PiPro[L[c], U[a]]*ZZNvecTwo[L[d], U[d], \
L[b]])/6 - 

   (fDOne[L[b]]*gSgm[L[a], U[b]]*PiPro[L[c], U[a]]*ZZNvecTwo[L[d], U[d], \
U[c]])/6 + 

   (fDOne[L[c]]*gSgm[L[a], U[c]]*Nvec[U[b]]*Nvec[U[d]]*PiPro[L[d], \
U[a]]*ZZNvecTwo[L[e], U[e], \\
L[b]])/
  6 + (fDOne[L[a]]*PiPro[L[b], U[a]]*ZZNvecTwo[U[b], L[c], U[c]])/2 + 

   (fDOne[L[b]]*gSgm[L[a], U[b]]*PiPro[L[c], U[a]]*ZZNvecTwo[U[c], L[d], \
U[d]])/2 - 

   (fDOne[L[c]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[d], U[c]]*ZZNvecTwo[U[d], L[a], \
L[b]])/2 - 

   (fDOne[L[c]]*gSgm[U[c], L[d]]*Nvec[U[a]]*Nvec[U[b]]*PiPro[L[e], \
U[d]]*ZZNvecTwo[U[e], L[a], \\
L[b]])/
  2\
\>", "\<\
1                 c         b             a 
- fDOne   Hmc Nvec   PiPro     ZZNvecOne     - 
3      b                  c             a 
 
  1        e      b      c                   d             a 
  - fDTwo     Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
  3      e                       b d       c             a 
 
  1                        c      d         b             a 
  - fDOne   Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
  3      b          c                     d             a 
 
  1             b            d         c             a 
  - fDOne   gSgm     Hmc Nvec   PiPro     ZZNvecOne     - 
  3      b        c                  d             a 
 
  1             b                   d      e         c             a 
  - fDOne   gSgm     Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
  3      b        c          d                     e             a 
 
  1               d      e         b         c             a 
  - fDTwo     Nvec   Nvec   PiPro     PiPro     ZZNvecOne     + 
  3      b c                     d         e             a 
 
  1        d                 b c             a    1                  b       \
d c             a 
  - fDTwo     PiPro     PiPro     ZZNvecOne     - - fDTwo     PiPro     PiPro \
    ZZNvecOne     - 
  3      d         b c                     a      3      b c       d          \
             a 
 
                  b         a             c 
  fDOne   Hmc Nvec   PiPro     ZZNvecOne     + 
       a                  c             b 
 
                  b      c      d         a 
  fDOne   Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     + 
       a                                b             c d 
 
  1             d         c                         a b 
  - fDOne   Nvec   PiPro     ZZNvecOne     ZZNvecOne     + 
  2      c              d             a b 
 
  1             c        e         d                         a b 
  - fDOne   gSgm     Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2      c        d              e             a b 
 
         d                   b           a c 
  fDTwo     PiPro     PiPro     ZZNvecOne     - 
       d         a b       c 
 
  1             a         b             d           c 
  - fDOne   Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2      b              c             d               a 
 
  1               c      a         b             e           d 
  - fDOne   gSgm     Nvec   PiPro     ZZNvecOne     ZZNvecOne     + 
  2      c      b                d             e               a 
 
         e      a      b                   c           d 
  fDTwo     Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
       e                       a c       d               b 
 
              a            c         b           d 
  fDOne   gSgm     Hmc Nvec   PiPro     ZZNvecOne     + 
       a        b                  d               c 
 
                   a         b           d c 
  fDTwo     PiPro     PiPro     ZZNvecOne     + 
       a b       c         d 
 
              c                   a      b         d           e 
  fDOne   gSgm     Hmc Nvec   Nvec   Nvec   PiPro     ZZNvecOne     - 
       c        d          a                     e               b 
 
  1             b      c      d         a                         e 
  - fDOne   Nvec   Nvec   Nvec   PiPro     ZZNvecOne     ZZNvecOne     - 
  2      a                            d             e b             c 
 
                c      d         a         b           e 
  fDTwo     Nvec   Nvec   PiPro     PiPro     ZZNvecOne     - 
       a b                     c         e               d 
 
  1               d      b      c      e         a                         i 
  - fDOne   gSgm     Nvec   Nvec   Nvec   PiPro     ZZNvecOne     ZZNvecOne   \
  - 
  2      d      a                              e             i b             c 
 
  1                a             c b    1             b      c         a      \
       d 
  - fDOne   PiPro     ZZNvecTwo       + - fDOne   Nvec   Nvec   PiPro     \
ZZNvecTwo       - 
  6      a       b             c        6      a                     c        \
     d   b 
 
  1               b         a             d c 
  - fDOne   gSgm     PiPro     ZZNvecTwo       + 
  6      b      a         c             d 
 
  1               c      b      d         a             e 
  - fDOne   gSgm     Nvec   Nvec   PiPro     ZZNvecTwo       + 
  6      c      a                       d             e   b 
 
  1                a           b   c    1               b         a           \
c   d 
  - fDOne   PiPro     ZZNvecTwo       + - fDOne   gSgm     PiPro     \
ZZNvecTwo       - 
  2      a       b               c      2      b      a         c             \
  d 
 
  1             a      b         c           d 
  - fDOne   Nvec   Nvec   PiPro     ZZNvecTwo       - 
  2      c                     d               a b 
 
  1             c        a      b         d           e 
  - fDOne   gSgm     Nvec   Nvec   PiPro     ZZNvecTwo
  2      c        d                     e               a b\
\>"], "Output",
 CellChangeTimes->{3.712343338354192*^9, 3.7123433767981873`*^9, 
  3.712343640832938*^9, 3.712345599993475*^9, 3.7124248994577637`*^9, 
  3.712430532105565*^9, 3.712601662282895*^9, 3.712602699576248*^9, 
  3.712605547132122*^9, 3.7127419958664227`*^9, 3.712745665498866*^9, 
  3.7134683811390963`*^9, 3.713469215197547*^9, 3.713471007447996*^9, 
  3.7135514156930733`*^9, 3.722608097326659*^9, 3.760349268303124*^9, 
  3.7603516911925163`*^9, 3.7604386373466673`*^9, 3.7604748927708883`*^9, 
  3.760558494295714*^9, 3.763322660054489*^9, 3.763323060152172*^9, 
  3.763323274136551*^9, 3.763325794169118*^9, 3.763581816744611*^9, 
  3.764529975327964*^9, 3.764936203394998*^9, 3.765392989637513*^9, 
  3.7660917533259163`*^9}]
}, Open  ]],

Cell[TextData[{
 "There should not be any explicit derivatives in the above output, and there \
should not be any ",
 StyleBox["f", "Input"],
 "\[CloseCurlyQuote]s in the output either.  We now confirm that there are no \
",
 StyleBox["f", "Input"],
 "\[CloseCurlyQuote]s in the output."
}], "Text",
 CellChangeTimes->{{3.712343647714552*^9, 3.7123436668101053`*^9}, {
  3.760438661201427*^9, 3.760438672048999*^9}, {3.760475329013063*^9, 
  3.7604753467331657`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killf", ",", "f", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.760438675708433*^9, 3.7604386846978607`*^9}, {
  3.7604387558913803`*^9, 3.7604387560184526`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.760438685566787*^9, 3.760438756891326*^9, 
  3.76047529731371*^9, 3.760558584793809*^9, 3.763322668292719*^9, 
  3.763323069548621*^9, 3.7633258153631077`*^9, 3.763581939908408*^9, 
  3.764529980156835*^9, 3.764936269741579*^9, 3.765393061233409*^9, 
  3.766091757224661*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Holder"], "Input",
 CellChangeTimes->{{3.7604386886561117`*^9, 3.760438697745742*^9}}],

Cell[OutputFormData["\<\
{f, f[] [L[i]], f[] [L[i], L[j]], f[] [L[i], L[j], L[k]], f[] [L[a]], f[] \
[L[a], L[b]], 

   f[] [L[a], L[b], L[c]]}\
\>", "\<\
{f, f   , f     , f       , f   , f     , f       }
     ;i    ;i j    ;i j k    ;a    ;a b    ;a b c\
\>"], "Output",
 CellChangeTimes->{3.760438698772183*^9, 3.760438758604352*^9, 
  3.760475298595475*^9, 3.760558586319326*^9, 3.7633226692732077`*^9, 
  3.763323070366551*^9, 3.763325816381927*^9, 3.76358194178069*^9, 
  3.7645299812094707`*^9, 3.764936270764069*^9, 3.765393062613758*^9, 
  3.766091757889668*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killf"}]], "Input",
 CellChangeTimes->{{3.76043869989435*^9, 3.760438702161639*^9}}],

Cell[OutputFormData["\<\
{0, 0, 0, 0, 0, 0, 0}\
\>", "\<\
{0, 0, 0, 0, 0, 0, 0}\
\>"], "Output",
 CellChangeTimes->{3.760438704090209*^9, 3.7604387593593388`*^9, 
  3.760475299843258*^9, 3.760558587350999*^9, 3.763322670585095*^9, 
  3.763323071039431*^9, 3.7633258205318823`*^9, 3.763581943403584*^9, 
  3.764529981889885*^9, 3.7649362717388687`*^9, 3.76539306331388*^9, 
  3.7660917584906483`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAAFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", 
     RowBox[{"(", 
      RowBox[{"Temp", "/.", "Killf"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.760475317770446*^9, 3.760475323676689*^9}, {
  3.760475372397478*^9, 3.760475430262404*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.760475431341989*^9, 3.760558595448164*^9, 
  3.763322671816924*^9, 3.76332307225912*^9, 3.763325821826406*^9, 
  3.7635819447356663`*^9, 3.764529982545185*^9, 3.764936272767478*^9, 
  3.7653930681648006`*^9, 3.766091760244959*^9}]
}, Open  ]],

Cell["We now expand aliases.", "Text",
 CellChangeTimes->{{3.760475458020328*^9, 3.760475469479601*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAAFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandfDTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandfDOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecThree"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAAFive", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AntAAFive", ";"}]}], "Input",
 CellChangeTimes->{{3.712343784175363*^9, 3.712343908645191*^9}, {
  3.71234463104662*^9, 3.712344679423208*^9}, {3.7633230832184153`*^9, 
  3.763323098322278*^9}, {3.763325833032606*^9, 3.763325833519217*^9}, {
  3.763325885519691*^9, 3.763325885783293*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAAFive"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAASix", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AntAASix", ";"}]}], "Input",
 CellChangeTimes->{{3.7123446825463743`*^9, 3.712344796760198*^9}, {
  3.712344848209546*^9, 3.712344854551407*^9}, {3.7123448972414207`*^9, 
  3.712344926674183*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "AntAASix"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AntAASeven", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "AntAASeven"}], "Input",
 CellChangeTimes->{{3.712344934001506*^9, 3.7123449390969667`*^9}, {
  3.712344993515147*^9, 3.712345003850431*^9}, {3.712345037699136*^9, 
  3.712345075475006*^9}, {3.7123451309561033`*^9, 3.712345138347932*^9}, {
  3.712345278278428*^9, 3.7123452953175697`*^9}, {3.712345635074709*^9, 
  3.712345640450006*^9}, {3.7633228274550047`*^9, 3.763322838470619*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], L[b]]*Nvec[U[a]] [U[b]] - (f[] [L[a], U[a]]*Nvec[U[b]] [L[b]])/3 - 

   f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] [U[c]] - 

   (f[] [L[a]]*Nvec[U[b]] [L[b], U[a]])/3 + f[] [L[a]]*Nvec[U[b]] [U[a], \
L[b]] - 

   f[] [L[a], L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] + 

   (f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 + 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] [L[c]])/3 - 

   f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[b], L[c]] + 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], L[b]])/3 + 

   f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] \
[L[d]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
           a  b    1     a      b                          a      b  c    1   \
       b    a 
f      Nvec      - - f      Nvec      - f    Nvec      Nvec   Nvec      - - f \
   Nvec        + 
 ;a b        ;     3  ;a          ;b     ;a      b ;c               ;     3  \
;a        ;b 
 
           b  a                 a         b      c    1            a      b   \
   c 
  f    Nvec        - f      Nvec      Nvec   Nvec   + - f      Nvec   Nvec   \
Nvec      + 
   ;a        ;  b     ;a b        ;c                  3  ;a b                 \
     ;c 
 
  1          a      b         c                a      b      c 
  - f    Nvec   Nvec      Nvec      - f    Nvec   Nvec   Nvec        + 
  3  ;a               ;b        ;c     ;a                      ;b c 
 
  1          a      b      c                            a      b         c    \
  d 
  - f    Nvec   Nvec   Nvec        + f    Nvec      Nvec   Nvec      Nvec   \
Nvec
  3  ;a                      ;c b     ;a      b ;c               ;d\
\>"], "Output",
 CellChangeTimes->{{3.763322832464116*^9, 3.763322840195438*^9}, 
   3.763323230703002*^9, 3.763323321732133*^9, 3.7633258454595013`*^9, 
   3.763325892303336*^9, 3.763325938700001*^9, 3.7635819848827972`*^9, 
   3.764529992012596*^9, 3.764936564646016*^9, 3.765393085658091*^9, 
   3.766091767966551*^9}]
}, Open  ]],

Cell["In the about output, all alias identifiers should be gone.", "Text",
 CellChangeTimes->{{3.760475628708235*^9, 3.7604756458741913`*^9}}],

Cell[TextData[StyleBox["Resume here.  Subtract off the expression that we \
just constructed.",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.712424956887047*^9, 3.712424977437469*^9}},
 Background->RGBColor[1, 0.925, 0.925]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"StepAAThree", "-", "AntAASeven"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFour", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAAFour"}], "Input",
 CellChangeTimes->{{3.7123457256013193`*^9, 3.712345749819242*^9}, {
  3.712345860333538*^9, 3.7123459544250927`*^9}, {3.712425059448449*^9, 
  3.712425067510644*^9}}],

Cell[OutputFormData["\<\
2*f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] [U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] + 

   f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[b]] [U[a]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] [L[b]] - 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] [L[c]])/3 - 

   3*f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] \
[L[d]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
                     a      b  c             a         b         c 
2 f    Nvec      Nvec   Nvec      - f    Nvec      Nvec      Nvec   + 
   ;a      b ;c               ;      ;a        ;b        ;c 
 
                     b  a      c             a      b         c 
  f    Nvec      Nvec      Nvec   - f    Nvec   Nvec      Nvec      - 
   ;a      b ;c        ;             ;a               ;c        ;b 
 
  1          a      b         c                            a      b         c \
     d 
  - f    Nvec   Nvec      Nvec      - 3 f    Nvec      Nvec   Nvec      Nvec  \
 Nvec
  3  ;a               ;b        ;c       ;a      b ;c               ;d\
\>"], "Output",
 CellChangeTimes->{
  3.712345758220159*^9, 3.712345876490315*^9, {3.712345906803958*^9, 
   3.712345956044857*^9}, 3.7124249129158163`*^9, 3.712425069183373*^9, 
   3.712430559717225*^9, 3.712601805342702*^9, 3.712602745310663*^9, 
   3.712605578357706*^9, 3.712742404261341*^9, 3.712745683427411*^9, 
   3.7134693086216707`*^9, 3.713471235182472*^9, 3.713551815581615*^9, 
   3.722611033710168*^9, 3.7603492826477833`*^9, 3.760351705315782*^9, 
   3.760475681372629*^9, 3.760558779155706*^9, 3.763322845627913*^9, 
   3.763323333032799*^9, 3.7633258590576963`*^9, 3.76332589721977*^9, 
   3.763325941919086*^9, 3.763582044488678*^9, 3.764529997014677*^9, 
   3.764936599192109*^9, 3.765393094130735*^9, 3.766091772412517*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{
      RowBox[{"f", "[", "]"}], "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "c", "]"}], "]"}], "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "c", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecPermute"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFive", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAAFour", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "StepAAFive"}], "Input",
 CellChangeTimes->{{3.712426734556246*^9, 3.712426762897181*^9}, {
  3.712426807259864*^9, 3.712426812651209*^9}, {3.712426845228373*^9, 
  3.712426871947291*^9}, {3.713469470666788*^9, 3.713469475553835*^9}}],

Cell[OutputFormData["\<\
2*f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] [U[c]] - 

   f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] [L[b]] - 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] [L[c]])/3 - 

   2*f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] \
[L[d]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
                     a      b  c             a      b         c 
2 f    Nvec      Nvec   Nvec      - f    Nvec   Nvec      Nvec      - 
   ;a      b ;c               ;      ;a               ;c        ;b 
 
  1          a      b         c                            a      b         c \
     d 
  - f    Nvec   Nvec      Nvec      - 2 f    Nvec      Nvec   Nvec      Nvec  \
 Nvec
  3  ;a               ;b        ;c       ;a      b ;c               ;d\
\>"], "Output",
 CellChangeTimes->{3.712426763746496*^9, 3.7124268139851913`*^9, 
  3.712426872828916*^9, 3.712430562255981*^9, 3.7126018120789433`*^9, 
  3.712602798434198*^9, 3.712605584675996*^9, 3.712742497431697*^9, 
  3.712745686007923*^9, 3.713469395576138*^9, 3.713469491223785*^9, 
  3.7134712765641823`*^9, 3.713551866958334*^9, 3.7226111010339108`*^9, 
  3.760349284407379*^9, 3.760351707393943*^9, 3.760475697822566*^9, 
  3.760558828630884*^9, 3.7633228476063547`*^9, 3.7633233349824743`*^9, 
  3.763325861736107*^9, 3.763325899032661*^9, 3.7633259450412903`*^9, 
  3.763582055624757*^9, 3.764529999798547*^9, 3.764936657813195*^9, 
  3.76539322246775*^9, 3.766091775074272*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Make one more thing (the third thing) to subtract \
off.",
 FontWeight->"Plain"]], "Text",
 CellChangeTimes->{{3.712427810728773*^9, 3.712427820687483*^9}, {
  3.722611149478909*^9, 3.722611153174259*^9}, {3.760476340250539*^9, 
  3.7604763959072237`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.925, 0.925]],

Cell["Begin by doing a test.", "Text",
 CellChangeTimes->{{3.760554996650051*^9, 3.760555007851679*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TfSFF", "[", 
   RowBox[{
    RowBox[{"L", "[", "a", "]"}], ",", 
    RowBox[{"L", "[", "b", "]"}]}], "]"}], "/.", "ExpandTfSFF"}]], "Input",
 CellChangeTimes->{{3.713551948677423*^9, 3.713551956136297*^9}}],

Cell[OutputFormData["\<\
-(gSgm[L[a], L[b]]*Hmc) + SFF[L[a], L[b]]\
\>", "\<\
-gSgm     Hmc + SFF
     a b           a b\
\>"], "Output",
 CellChangeTimes->{3.713551957462222*^9, 3.722611157599962*^9, 
  3.760349286362376*^9, 3.760351714232773*^9, 3.760475749204723*^9, 
  3.760558867681361*^9, 3.7633228546995087`*^9, 3.763325865202969*^9, 
  3.763325900903377*^9, 3.763325946691626*^9, 3.763582067563204*^9, 
  3.764530002192047*^9, 3.7649366931053133`*^9, 3.765393232034943*^9, 
  3.766091778380188*^9}]
}, Open  ]],

Cell["Now construct the expression to subtract off.", "Text",
 CellChangeTimes->{{3.760555011250613*^9, 3.76055502377207*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"Robin", "[", 
      RowBox[{"f", ",", "0"}], "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BugAAOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "BugAAOne"}], "Input",
 CellChangeTimes->{{3.712425694980648*^9, 3.712425733310907*^9}, {
   3.712425790192155*^9, 3.712425977434236*^9}, {3.7124277831024637`*^9, 
   3.712427800661696*^9}, {3.712602812962398*^9, 3.7126028133782*^9}, 
   3.712605204808366*^9, 3.713469547035211*^9, {3.7605589206495323`*^9, 
   3.7605589209837837`*^9}}],

Cell[OutputFormData["\<\
f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] [U[c]] - 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] [L[c]])/3 - 

   f[] [L[a]]*Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] \
[L[d]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
                   a      b  c    1          a      b         c 
f    Nvec      Nvec   Nvec      - - f    Nvec   Nvec      Nvec      - 
 ;a      b ;c               ;     3  ;a               ;b        ;c 
 
                     a      b         c      d 
  f    Nvec      Nvec   Nvec      Nvec   Nvec
   ;a      b ;c               ;d\
\>"], "Output",
 CellChangeTimes->{
  3.71242573427374*^9, 3.712425798003107*^9, {3.712425828129175*^9, 
   3.712425933206998*^9}, 3.7124259785097303`*^9, 3.712426995309458*^9, {
   3.71242772653229*^9, 3.7124277512747517`*^9}, {3.712427784530508*^9, 
   3.7124278015898533`*^9}, 3.712430568944983*^9, 3.712601828645454*^9, 
   3.712602816224395*^9, 3.712605205866167*^9, 3.7126056014699183`*^9, 
   3.712743255944309*^9, 3.7127456920599117`*^9, 3.71346954960073*^9, 
   3.713471576870133*^9, 3.713471729062758*^9, 3.713552111437233*^9, 
   3.7226114726340857`*^9, 3.76034928812042*^9, 3.760351715612465*^9, 
   3.760475755440256*^9, 3.760558888646737*^9, {3.760558922136155*^9, 
   3.760558942071437*^9}, 3.7633228577684097`*^9, 3.763323341134261*^9, 
   3.763325867917704*^9, 3.7633259030730877`*^9, 3.763325948704308*^9, 
   3.7635820864955378`*^9, 3.764530005806095*^9, 3.764936765973875*^9, 
   3.7653932350925694`*^9, 3.766091789587964*^9}]
}, Open  ]],

Cell["Now subtract this off.", "Text",
 CellChangeTimes->{{3.712427835172879*^9, 3.712427845279697*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.85, 0.85]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"StepAAFive", "-", "BugAAOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAASix", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAASix"}], "Input",
 CellChangeTimes->{{3.712427994772728*^9, 3.712428023224215*^9}, {
  3.713471604279476*^9, 3.713471628022731*^9}, {3.764936866831523*^9, 
  3.764936869383717*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.713471629045011*^9, 3.7134717321571074`*^9, 3.713552160433852*^9, 
   3.722611494056592*^9, 3.7603492923310623`*^9, 3.7603517181721573`*^9, 
   3.760475887623914*^9, {3.760558911525167*^9, 3.7605589255826178`*^9}, 
   3.760558969080613*^9, 3.763322869923723*^9, 3.763323343331996*^9, 
   3.763325875079904*^9, 3.7633259052676992`*^9, 3.7633259511810017`*^9, 
   3.7635820975751762`*^9, 3.764530009138318*^9, 3.764936870731175*^9, 
   3.765393257971685*^9, 3.766091794763544*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["StepAASix", "Input"],
 " should be zero.  This confirms the equation for ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]]],
 " that appears near the end of Section 8.2 of our article."
}], "Text",
 CellChangeTimes->{{3.7604759162738447`*^9, 3.7604759494932413`*^9}, {
  3.7604760057756577`*^9, 3.760476056503119*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1852, 1046},
WindowMargins->{{0, Automatic}, {97, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{597.562, 842.375},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 704, 11, 76, "Text"],
Cell[1252, 33, 1492, 31, 277, "Text"],
Cell[2747, 66, 243, 6, 97, "Text"],
Cell[2993, 74, 485, 13, 107, "Text"],
Cell[3481, 89, 149, 2, 96, "Text"],
Cell[3633, 93, 225, 5, 64, "Text"],
Cell[3861, 100, 84, 2, 65, "Input"],
Cell[3948, 104, 161, 2, 96, "Text"],
Cell[4112, 108, 234, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[4371, 118, 297, 6, 65, "Input"],
Cell[4671, 126, 2917, 48, 162, "Output"]
}, Open  ]],
Cell[7603, 177, 183, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[7811, 187, 102, 1, 63, "Input"],
Cell[7916, 190, 200, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8153, 200, 384, 6, 63, "Input"],
Cell[8540, 208, 1194, 24, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9771, 237, 1363, 30, 624, "Input"],
Cell[11137, 269, 980, 20, 80, "Print"]
}, Open  ]],
Cell[12132, 292, 167, 2, 96, "Text"],
Cell[12302, 296, 883, 16, 276, "Text"],
Cell[CellGroupData[{
Cell[13210, 316, 219, 4, 65, "Input"],
Cell[13432, 322, 557, 10, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14026, 337, 294, 8, 107, "Input"],
Cell[14323, 347, 613, 15, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14973, 367, 129, 2, 63, "Input"],
Cell[15105, 371, 581, 14, 103, "Output"]
}, Open  ]],
Cell[15701, 388, 297, 6, 96, "Text"],
Cell[16001, 396, 1147, 17, 232, "Text"],
Cell[CellGroupData[{
Cell[17173, 417, 1455, 41, 150, "Input"],
Cell[18631, 460, 1235, 22, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19903, 487, 504, 13, 193, "Input"],
Cell[20410, 502, 1314, 25, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21761, 532, 437, 12, 193, "Input"],
Cell[22201, 546, 1139, 20, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23377, 571, 98, 1, 63, "Input"],
Cell[23478, 574, 884, 17, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24399, 596, 402, 11, 193, "Input"],
Cell[24804, 609, 996, 20, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25837, 634, 315, 8, 150, "Input"],
Cell[26155, 644, 924, 17, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27116, 666, 96, 1, 63, "Input"],
Cell[27215, 669, 822, 16, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28074, 690, 400, 11, 193, "Input"],
Cell[28477, 703, 902, 21, 190, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29416, 729, 318, 8, 150, "Input"],
Cell[29737, 739, 776, 15, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30550, 759, 240, 6, 107, "Input"],
Cell[30793, 767, 521, 12, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31351, 784, 133, 2, 63, "Input"],
Cell[31487, 788, 491, 11, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32015, 804, 158, 3, 65, "Input"],
Cell[32176, 809, 329, 7, 113, "Print"],
Cell[32508, 818, 254, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32799, 830, 707, 16, 193, "Input"],
Cell[33509, 848, 777, 11, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34323, 864, 710, 17, 193, "Input"],
Cell[35036, 883, 766, 11, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35839, 899, 609, 18, 107, "Input"],
Cell[36451, 919, 828, 15, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37316, 939, 569, 16, 236, "Input"],
Cell[37888, 957, 914, 16, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38839, 978, 435, 12, 193, "Input"],
Cell[39277, 992, 876, 16, 124, "Output"]
}, Open  ]],
Cell[40168, 1011, 147, 2, 96, "Text"],
Cell[40318, 1015, 190, 2, 64, "Text"],
Cell[CellGroupData[{
Cell[40533, 1021, 762, 22, 107, "Input"],
Cell[41298, 1045, 663, 13, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41998, 1063, 810, 25, 322, "Input"],
Cell[42811, 1090, 520, 11, 103, "Output"]
}, Open  ]],
Cell[43346, 1104, 227, 5, 64, "Text"],
Cell[CellGroupData[{
Cell[43598, 1113, 203, 5, 65, "Input"],
Cell[43804, 1120, 471, 11, 124, "Output"]
}, Open  ]],
Cell[44290, 1134, 755, 18, 102, "Text"],
Cell[45048, 1154, 185, 3, 96, "Text"],
Cell[45236, 1159, 1074, 23, 197, "Text"],
Cell[CellGroupData[{
Cell[46335, 1186, 5480, 167, 1395, "Input"],
Cell[51818, 1355, 3895, 84, 669, "Output"]
}, Open  ]],
Cell[55728, 1442, 128, 1, 64, "Text"],
Cell[CellGroupData[{
Cell[55881, 1447, 337, 6, 135, "Input"],
Cell[56221, 1455, 496, 11, 103, "Output"]
}, Open  ]],
Cell[56732, 1469, 413, 8, 96, "Text"],
Cell[57148, 1479, 596, 9, 148, "Text"],
Cell[CellGroupData[{
Cell[57769, 1492, 514, 15, 135, "Input"],
Cell[58286, 1509, 530, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58853, 1526, 488, 14, 221, "Input"],
Cell[59344, 1542, 727, 13, 146, "Output"]
}, Open  ]],
Cell[60086, 1558, 186, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[60297, 1568, 1010, 29, 307, "Input"],
Cell[61310, 1599, 1520, 33, 321, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62867, 1637, 639, 19, 264, "Input"],
Cell[63509, 1658, 776, 14, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64322, 1677, 990, 30, 264, "Input"],
Cell[65315, 1709, 1425, 33, 321, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66777, 1747, 982, 31, 264, "Input"],
Cell[67762, 1780, 597, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68396, 1797, 946, 29, 221, "Input"],
Cell[69345, 1828, 683, 13, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70065, 1846, 2279, 71, 780, "Input"],
Cell[72347, 1919, 3169, 73, 669, "Output"]
}, Open  ]],
Cell[75531, 1995, 154, 2, 64, "Text"],
Cell[CellGroupData[{
Cell[75710, 2001, 376, 10, 178, "Input"],
Cell[76089, 2013, 527, 12, 103, "Output"]
}, Open  ]],
Cell[76631, 2028, 390, 15, 102, "Text"],
Cell[77024, 2045, 303, 5, 64, "Text"],
Cell[CellGroupData[{
Cell[77352, 2054, 380, 9, 93, "Input"],
Cell[77735, 2065, 334, 5, 47, "Print"]
}, Open  ]],
Cell[78084, 2073, 95, 1, 64, "Text"],
Cell[CellGroupData[{
Cell[78204, 2078, 1267, 36, 178, "Input"],
Cell[79474, 2116, 647, 13, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80158, 2134, 133, 2, 91, "Input"],
Cell[80294, 2138, 476, 10, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80807, 2153, 1138, 33, 393, "Input"],
Cell[81948, 2188, 669, 13, 146, "Output"]
}, Open  ]],
Cell[82632, 2204, 457, 16, 67, "Text"],
Cell[CellGroupData[{
Cell[83114, 2224, 969, 28, 307, "Input"],
Cell[84086, 2254, 1343, 32, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85466, 2291, 637, 20, 221, "Input"],
Cell[86106, 2313, 582, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86725, 2330, 110, 1, 91, "Input"],
Cell[86838, 2333, 559, 11, 146, "Output"]
}, Open  ]],
Cell[87412, 2347, 888, 20, 188, "Text"],
Cell[88303, 2369, 368, 11, 102, "Text"],
Cell[88674, 2382, 1607, 44, 394, "Input"],
Cell[90284, 2428, 968, 28, 351, "Input"],
Cell[91255, 2458, 1945, 53, 436, "Input"],
Cell[93203, 2513, 316, 8, 96, "Text"],
Cell[93522, 2523, 909, 27, 237, "Text"],
Cell[CellGroupData[{
Cell[94456, 2554, 404, 10, 93, "Input"],
Cell[94863, 2566, 820, 12, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95720, 2583, 940, 27, 135, "Input"],
Cell[96663, 2612, 998, 18, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97698, 2635, 133, 2, 91, "Input"],
Cell[97834, 2639, 862, 16, 124, "Output"]
}, Open  ]],
Cell[98711, 2658, 484, 14, 110, "Text"],
Cell[CellGroupData[{
Cell[99220, 2676, 229, 6, 93, "Input"],
Cell[99452, 2684, 859, 18, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100348, 2707, 1073, 32, 350, "Input"],
Cell[101424, 2741, 3854, 91, 757, "Output"]
}, Open  ]],
Cell[105293, 2835, 575, 16, 106, "Text"],
Cell[CellGroupData[{
Cell[105893, 2855, 566, 16, 264, "Input"],
Cell[106462, 2873, 3603, 82, 669, "Output"]
}, Open  ]],
Cell[110080, 2958, 3076, 43, 124, "Text"],
Cell[113159, 3003, 8337, 170, 1509, "Text"],
Cell[CellGroupData[{
Cell[121521, 3177, 209, 5, 93, "Input"],
Cell[121733, 3184, 401, 10, 124, "Output"]
}, Open  ]],
Cell[122149, 3197, 217, 4, 106, "Text"],
Cell[CellGroupData[{
Cell[122391, 3205, 1954, 60, 565, "Input"],
Cell[124348, 3267, 8393, 203, 1890, "Output"]
}, Open  ]],
Cell[132756, 3473, 411, 9, 190, "Text"],
Cell[CellGroupData[{
Cell[133192, 3486, 1966, 55, 608, "Input"],
Cell[135161, 3543, 8648, 219, 2152, "Output"]
}, Open  ]],
Cell[143824, 3765, 694, 14, 149, "Text"],
Cell[CellGroupData[{
Cell[144543, 3783, 385, 9, 93, "Input"],
Cell[144931, 3794, 351, 5, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145319, 3804, 984, 28, 135, "Input"],
Cell[146306, 3834, 528, 12, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146871, 3851, 129, 2, 91, "Input"],
Cell[147003, 3855, 391, 9, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147431, 3869, 238, 5, 91, "Input"],
Cell[147672, 3876, 2408, 60, 582, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150117, 3941, 191, 4, 91, "Input"],
Cell[150311, 3947, 309, 8, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150657, 3960, 758, 22, 307, "Input"],
Cell[151418, 3984, 8859, 225, 2413, "Output"]
}, Open  ]],
Cell[160292, 4212, 467, 11, 106, "Text"],
Cell[CellGroupData[{
Cell[160784, 4227, 270, 5, 93, "Input"],
Cell[161057, 4234, 327, 5, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161421, 4244, 100, 1, 91, "Input"],
Cell[161524, 4247, 572, 13, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162133, 4265, 124, 2, 91, "Input"],
Cell[162260, 4269, 399, 9, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162696, 4283, 532, 15, 221, "Input"],
Cell[163231, 4300, 308, 8, 103, "Output"]
}, Open  ]],
Cell[163554, 4311, 104, 1, 64, "Text"],
Cell[163661, 4314, 1284, 38, 437, "Input"],
Cell[164948, 4354, 1663, 51, 609, "Input"],
Cell[CellGroupData[{
Cell[166636, 4409, 1374, 36, 436, "Input"],
Cell[168013, 4447, 2006, 49, 408, "Output"]
}, Open  ]],
Cell[170034, 4499, 142, 1, 64, "Text"],
Cell[170179, 4502, 232, 4, 97, "Text"],
Cell[CellGroupData[{
Cell[170436, 4510, 1586, 50, 565, "Input"],
Cell[172025, 4562, 1848, 38, 321, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[173910, 4605, 1741, 51, 436, "Input"],
Cell[175654, 4658, 1464, 29, 233, "Output"]
}, Open  ]],
Cell[177133, 4690, 341, 7, 96, "Text"],
Cell[177477, 4699, 104, 1, 64, "Text"],
Cell[CellGroupData[{
Cell[177606, 4704, 242, 6, 93, "Input"],
Cell[177851, 4712, 506, 11, 124, "Output"]
}, Open  ]],
Cell[178372, 4726, 126, 1, 64, "Text"],
Cell[CellGroupData[{
Cell[178523, 4731, 2202, 69, 608, "Input"],
Cell[180728, 4802, 1532, 29, 233, "Output"]
}, Open  ]],
Cell[182275, 4834, 163, 3, 97, "Text"],
Cell[CellGroupData[{
Cell[182463, 4841, 771, 22, 307, "Input"],
Cell[183237, 4865, 559, 12, 103, "Output"]
}, Open  ]],
Cell[183811, 4880, 421, 11, 70, "Text"],
Cell[184235, 4893, 149, 2, 96, "Text"],
Cell[184387, 4897, 1464, 27, 234, "Text"],
Cell[185854, 4926, 285, 6, 64, "Text"],
Cell[186142, 4934, 132, 2, 91, "Input"],
Cell[186277, 4938, 254, 6, 64, "Text"],
Cell[186534, 4946, 132, 2, 91, "Input"],
Cell[186669, 4950, 253, 6, 64, "Text"],
Cell[186925, 4958, 132, 2, 124, "Input"]
}
]
*)

