(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     94103,       2792]
NotebookOptionsPosition[     88743,       2624]
NotebookOutlinePosition[     89417,       2647]
CellTagsIndexPosition[     89374,       2644]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["CQ2020B.nb  (\[OpenCurlyDoubleQuote]Chang-Qing\[CloseCurlyQuote]s \
Third-Order Operator in 2020\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.226157133890375*^9, 3.226157159827875*^9}, {
  3.226327238703125*^9, 3.226327257859375*^9}, {3.583432494665399*^9, 
  3.5834324962895117`*^9}, {3.711330725484693*^9, 3.7113307415156097`*^9}, {
  3.712166079757979*^9, 3.712166103749124*^9}, {3.712602458349533*^9, 
  3.712602458493025*^9}, {3.713465684594565*^9, 3.713465697082635*^9}, {
  3.722544355879322*^9, 3.722544356054185*^9}, {3.763457854825831*^9, 
  3.76345786024934*^9}, {3.764763222678524*^9, 3.764763224566066*^9}, {
  3.787687636810461*^9, 3.787687637894397*^9}, {3.787777143591679*^9, 
  3.787777161449438*^9}, {3.7975488000955453`*^9, 3.7975488125979743`*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell[TextData[{
 "Date last modified:  13 May 2020\n\nThis notebook pertains to the May 2020 \
version of our article.  One section of this version of the article (Section \
7) discusses examples.  In this notebook, we verify three equations from the \
examples section.\n\n",
 StyleBox["First equation:",
  FontWeight->"Bold"],
 "  Near the end of the examples section, we display the following equation:\n\
\n",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["f   =   ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["-",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]],
  FontSize->18],
 StyleBox["f  + ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->18],
 StyleBox["f + 2",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["(",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["H",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[")",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["  +  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{"2", 
    SuperscriptBox["P", 
     StyleBox["ab",
      FontSlant->"Italic"]]}], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "a"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["f  ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["+  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["\[Delta]",
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["\n",
  FontSize->18],
 "\nThe operator ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 " here is the third-order operator of Chang-Qing.  All operators in the \
above equation act on densities of weight 0 in dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 " = 4.  In this notebook, we verify this equation."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwdz3881HccB/ALD7nKNY/MhN3ulEqTi4dwOOdjo0d+XZ1Nt60HO4nGbYiT
7SEP+0EqeqzM4vzIz3tgRMVtSkhyN5VsiR6mMZyd7/fbZY+uaEuPfd6fP96P
5z+v1+PxevPjU6VHzFgsVgw+0LR6LjaJbUCmVZ844ok2zlHifSIrr2nzdZB1
mWg6kbVrjuRv7wZDLXm16zooJCvh14F/FkXrJ69QaP8BBVFcVCEa6aJQmKdP
IMixdRR5P6aQRiAPBIc0ow9cZik09bbtGLjj2vqbDnqci4smFvTW13VSFOqs
uEoMZUrdurDBgfeJ58XVlRPYHep24tPDJb12zyjUsfx1H9GnfjYTu63iCvHM
jPXFGRcazfAFNWBmep7EexuNcs3biRrhXIbMlUacAGkmeCDf01MloFHUP93E
k4Vu+VUJNJJW2xSA+ep/V5ySaKRi81+CrcVxrgpsZAntBr45vvit4gKN+rR9
34HcucmDyloa/ahwkoFll34R3lPTKEx9RgSeFgvDwdZbURKQ13+14Tn2ZYC2
GRQlxDoeaaJRPV+2BRSnc98F+391E4CVkYwQpOz8RaCNnBMMhtoFvwd6lWa9
cw4rldQSzf7S7uuGXvsY0Wqi8LM57OpyOXHvo8+rhc00StXlEY+mHBQlYAct
k4gDKrumHGzBMT+iyKGmebqFRr2SnS0gNV2mX/sTjWJ8bhCX/fuNnddoJKu0
XAIL3Fyrdvfg/6cTiYfOmskisVnOIcSWng88l7FPMnKJIzOTnY9f00j/VKAB
i3p0Dc4WDMrptlKDrz/0oMKxAkkIUc6eMSmxyX2dz8FyfW9YIdbhv9kIULWy
xtCGjVy0JQ5dDhleZjNIXSa/A/Ic57W+6xik2/+EONgxPqzEvuhiiHVF1911
6xmUfWqUuHXhhTRkA4OOi1yiwSLfoLCfsQmSFOLwcb6Wbc0gYbE78W6s9A5Y
18i9ByZf4o0vYjuGBUSjwWaYtZFBwZoM4g/cnjExtjnK4iFoH3z4jzRfBq0d
0EyDfinJ8+BHX6boQa/07SGV2Ox9HsT4RuUFMDkqtAIMeDRaNYSNQFPEgD3J
q0bs0m+pRMoq0m+zkEGybz4l3lhV3YzFamweEkezW3kX9+J9Fol8MNZ7SK7F
jrxlIL4hmXDSYRtyOrig5gFnVhyO9yhtlkDvId0KeMw+yTkIGxTI+0KP3Wmt
IDa9UjAL2Jjfs41guX3jM1DVLTWBW9eYW/+N7Zef3gSGlW60BwPbLLaA8cVf
KcGatPcbwcKB75tBw65Ng2DUeZdDBmzPq+1Ek5RzyyuCQbPV/rdBY6Kctwd7
l5NBXDD/2P0s9hPPVGLaVO6EBpu54RSxV2nlMY8V5nKJ/wNfNL2E
  "]],

Cell[TextData[{
 StyleBox["Second equation:",
  FontWeight->"Bold"],
 "  The examples section also contains the following equation:\n     ",
 StyleBox["     ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]],
  FontSize->24],
 " ",
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" =   - ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->36],
 StyleBox[" ",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["  +  ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"n", "-", "3"}], 
    RowBox[{"4", 
     RowBox[{"(", 
      RowBox[{"n", "-", "2"}], ")"}]}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 " ",
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["\n",
  FontSlant->"Italic"],
 "where ",
 StyleBox["f",
  FontSlant->"Italic"],
 " is a density of weight ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"3", "-", "n"}], "2"], TraditionalForm]]],
 ".  In this notebook, we verify this equation as well.\n",
 StyleBox["Third equation:",
  FontWeight->"Bold"],
 "  The following equation appears at the end of Section 7.1 of the April \
2020 version of the article:\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "+", "w", "-", "3"}], ")"}], 
    SubscriptBox["\[Delta]", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["   +  ",
  FontSize->18],
 StyleBox[" ",
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[CapitalPi]", "A", 
    RowBox[{"    ", "B"}]], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 StyleBox["f    ",
  FontSize->18,
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 StyleBox["=",
  FontSize->18,
  FontColor->GrayLevel[0]],
 StyleBox["   -  ",
  FontSize->18,
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"w", "(", 
      RowBox[{"n", " ", "+", " ", "w", " ", "-", " ", "3"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "+", " ", 
       RowBox[{"2", "w"}], " ", "-", " ", "2"}], ")"}]}], 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"n", " ", "-", " ", "2"}], ")"}]}]], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 StyleBox["f \n\n",
  FontSize->18,
  FontSlant->"Italic"],
 "We verify this equation in this notebook."
}], "Text",
 CellChangeTimes->{{3.7978890490582285`*^9, 3.797889164006089*^9}, {
   3.7978892417139773`*^9, 3.797889255513469*^9}, {3.7978893536168594`*^9, 
   3.797889366340972*^9}, {3.7978895227584114`*^9, 3.7978898686581163`*^9}, 
   3.7978899135746756`*^9, {3.7978899662376895`*^9, 3.7978899982371078`*^9}, {
   3.797890772270135*^9, 3.797890778999238*^9}, {3.797890965465971*^9, 
   3.7978910012129364`*^9}, {3.798050358324053*^9, 3.7980504688089743`*^9}}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input",
 CellChangeTimes->{{3.795646809873345*^9, 3.795646852530101*^9}, {
  3.798048830898766*^9, 3.7980488348092833`*^9}, {3.798050865954658*^9, 
  3.798050870441545*^9}}],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.760435145257159*^9, 3.7604351474886017`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.581957397445381*^9, 3.5819573991801777`*^9}, {
  3.64218171821774*^9, 3.642181719992104*^9}, {3.711333919783585*^9, 
  3.711333920323765*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 100, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 100, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.22615577368725*^9, 3.226156024906*^9, 3.2261562254685*^9, 
   3.22615719112475*^9, 3.22615732862475*^9, 3.226327263515625*^9, 
   3.226409364906*^9, 3.581957400242593*^9, 3.583432499555602*^9, 
   3.584979444885614*^9, 3.6056396723772707`*^9, 3.608227491436701*^9, 
   3.608659330888887*^9, 3.608743532255028*^9, 3.6097776776070013`*^9, 
   3.6127142641773643`*^9, 3.612715370937483*^9, 3.6127858960475063`*^9, 
   3.617109503376749*^9, 3.6173021986771183`*^9, 3.641744794416203*^9, 
   3.642177186805449*^9, 3.642181720814624*^9, 3.6437372008979397`*^9, 
   3.643737271108472*^9, 3.6437373045337152`*^9, 3.643737351176505*^9, 
   3.64391283255709*^9, 3.645459385437571*^9, 3.645459750413272*^9, {
   3.6454598007221527`*^9, 3.645459824817007*^9}, 3.6454598684967937`*^9, 
   3.6455556221460342`*^9, 3.648835996351431*^9, 3.676630067372258*^9, 
   3.677939665852393*^9, {3.67793981850207*^9, 3.677939826123249*^9}, 
   3.6781018671055403`*^9, 3.678556217358328*^9, 3.7032680807748003`*^9, 
   3.703268498589429*^9, 3.708529338542783*^9, 3.708529385507513*^9, 
   3.7113308017376842`*^9, 3.711333921218961*^9, 3.711413586275125*^9, 
   3.711421934291787*^9, 3.7114709741409283`*^9, 3.711473344362028*^9, 
   3.711476340060758*^9, 3.7114812027404737`*^9, 3.711495363709056*^9, 
   3.711497613147491*^9, 3.711590479700747*^9, 3.7116469810936327`*^9, 
   3.712166429514173*^9, 3.7122562573479843`*^9, 3.7123385506948643`*^9, 
   3.7124247840950823`*^9, 3.7124304382463093`*^9, 3.712601335388515*^9, 
   3.712602462887158*^9, 3.7126053911747417`*^9, 3.7126886974896803`*^9, 
   3.712738628926443*^9, 3.712745050572106*^9, 3.7127454862609587`*^9, 
   3.712747371889061*^9, 3.712749591537159*^9, 3.7134657053213243`*^9, 
   3.7134704269941063`*^9, 3.713548083917715*^9, 3.721766802229878*^9, 
   3.7225446175528927`*^9, 3.7226032264089518`*^9, 3.722951063714549*^9, 
   3.757501891864213*^9, 3.757504167594634*^9, 3.760264500750733*^9, 
   3.76034905327182*^9, 3.760349876586013*^9, 3.760350009126069*^9, 
   3.760435142343115*^9, 3.7604710025673122`*^9, 3.7605497078718233`*^9, 
   3.760556590984832*^9, 3.763322463551529*^9, 3.763324383136097*^9, 
   3.7635805700923977`*^9, 3.764273532583359*^9, 3.764529820781065*^9, 
   3.764932218861327*^9, 3.764933083982504*^9, 3.764935635750964*^9, 
   3.765391069685227*^9, 3.766091487156068*^9, 3.787687739812417*^9, {
   3.787776886114595*^9, 3.7877768931264772`*^9}, 3.787777256928198*^9, 
   3.787778899482566*^9, 3.7877793988786573`*^9, 3.787863286479702*^9, 
   3.787863422693112*^9, 3.7879459817980824`*^9, 3.788032473502095*^9, 
   3.788035345715725*^9, 3.7881748702807207`*^9, 3.788200757424335*^9, 
   3.788200974961483*^9, 3.788203330083674*^9, 3.795647237755248*^9, 
   3.7957291939199667`*^9, 3.7975493446792107`*^9, 3.7978879501732187`*^9, 
   3.79789149764152*^9, 3.7978918840245485`*^9, 3.797892808249998*^9, 
   3.798048845822996*^9, 3.7980508753222427`*^9, 3.798051085575367*^9, 
   3.7982334676775084`*^9, 3.798236899649428*^9, 3.798318181079582*^9, 
   3.798319573618237*^9, 3.798408381499298*^9}]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.76609149613207*^9, 3.7660915087228003`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.7660915172908487`*^9, 3.766091518455276*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766091519478888*^9, 3.7876877443839808`*^9, 
  3.787776894943914*^9, 3.787777258286788*^9, 3.7877789007261972`*^9, 
  3.787863289664275*^9, 3.787945985012244*^9, 3.7880324773121643`*^9, 
  3.7880353480813932`*^9, 3.788174871583688*^9, 3.788200759553422*^9, 
  3.795647243962323*^9, 3.795729196597934*^9, 3.797549349038454*^9, 
  3.7978879535549746`*^9, 3.797891501545802*^9, 3.797891890359832*^9, 
  3.7978928125705433`*^9, 3.798048848487872*^9, 3.798050878327289*^9, 
  3.798051088417293*^9, 3.798233470369554*^9, 3.798236902185947*^9, 
  3.798318182786703*^9, 3.7983195757457027`*^9, 3.7984083828995113`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.226155908921625*^9, 3.2261559373435*^9}, {
  3.5819574213842154`*^9, 3.5819574594030333`*^9}, {3.677939679996397*^9, 
  3.677939688387865*^9}, {3.760349759251586*^9, 3.7603497612876167`*^9}, {
  3.7659623520478783`*^9, 3.765962354199705*^9}, {3.766091523839713*^9, 
  3.766091526063595*^9}, {3.795646880994516*^9, 3.7956468967980523`*^9}, {
  3.7980487237139463`*^9, 3.7980487284044333`*^9}, {3.798050881268948*^9, 
  3.7980508857059727`*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwlz2tIk3EUBvClljo3SwvFoYFTg8rVSFvmwjq4NshrJVpUkqJblJCR62Le
kJYYUnShzJyWlabipTlJS2cXXVJWVM5K8dbS3Pt/czZvyzI7b304/D488Bwe
78Sju5IXsVisY3hTmZo0heMYTGWycv45n3Xjv8n8Qygr54rn43+5W4ARnUjn
VLPrKZhpyh/t1VAQGtsS8qaRgjXvA7eK+inYldjR7feFgglbZb0VFYWUvPY2
UiDlvX/KG6Eg0OB5R0tRYIk/KWhEtWVe6o+ornbtE7dJCs77mHvSUE5cZsNy
PoEg1VUnE7p4o6x4yI8Af6HhPmOKRrpTtIpAK+fX6dWrCeieeWkZO4Va5R40
OI8XWLSewNi9H3nqJAJNrzLmPRUEhLUnnb3Q78YJQQpqc6zEfschAs5dlfEp
1wmwl365zBjjxNmrvI3/X+oOME6Z80NelxPYkFVfNY0quJm6n6jtwFydSwWB
9CbJJ1eU19ccuQIta7hU64ZKWtsLvdDgEa5mJbptmZQdju7LmL6lQM/ZREuS
7xMwqN4JLqF/Dt6MakbDO2oOG1G5yynBKGrZWVK6uZJAaNVZ/2DUMlRYJEb1
64gsCbWTSSozmNyy8Cob5Uen2uSg7V0+44x39dm2uei5U3TNYBWBTRXuv4fR
8Qr2N/tq3FVjsmgfEch3N7QKWwhM0KZ9EWhulSpgFs32heb+PwTi+vYYBtCE
VdZyvh0NkZxecxhaoO+JDUfTtmcpGC/YCOaU6P5FqjN5qGfUG1MNyjW7Sh+g
PrPXumYdaZivE7dY0bYC6wclmwZtW6Ow0wl7Bgd3b+fQQHmo3jpyaWgfLhWz
0Z6DX/tMaL3UZXjrUhpAnzWWGkRDdwA7tRjtTUtQMwql1YfVKH0lvlSPUoOh
LDMqH+gQe2ymQbOlqIyH+sYueR6PShMcFEdQyYkwUamMhpJ2QSJjufOk/AX6
zD/Kb1sYDUFcdfoIqisLEH1D/Y+Pf2bkVsjYgeG429vgsBG1xvjyGSNqjesv
oK7ylf0XUQvMFDxEh+zixE1o5BN5oRH9C9Pj0h0=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Warning1.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.226156114015375*^9, 3.22615613162475*^9}, {
  3.581957508363967*^9, 3.581957519365467*^9}, {3.760349762423869*^9, 
  3.760349768535788*^9}, {3.763323429462844*^9, 3.7633234305037813`*^9}, {
  3.79564692263821*^9, 3.7956470631005516`*^9}, {3.798048761464508*^9, 
  3.798048787631213*^9}, {3.798050914956807*^9, 3.7980509352950583`*^9}}],

Cell["\<\
Time:  20 hours, 26 minutes, 31 seconds
Date:  13 May 2020\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwd0H0s1HEcB/AjKoeU8rhzPeBiRR5v5PFzlchly7Ss3S6JnTxc2qgtpLRV
y3OuB3SdY8kRQ5co5aGl2lw2D6cserhV/L6/YTtPlejz64/3Xtt7+3z+eG+P
PxOdaMBisaSYuZz5IonJJMzlbKj4798qfhLKYt3mPv/fv/PWobdFja3sZgpk
a1p+jLVSkDxFBb9/QoHXtRMh/HEK7Mv0w87fKOiSlzUvoTEqjWa7joJYpUGv
/XcKlJ2hNWqKgrDWarcnaLAgTD6KJu5M67bWU+BkYzeagU7emX28eQeBYj7P
bAr9LRCrvjgTuLE1/wifR4B3SnXB1ZXA7MvXakb3MNtzsWhGT7FPxR4C5y0j
rssTCEivaFc4EgIfppUbHNCCqU/uqWh46HqTQ0kEap31t1LvEIiOjjieqSTA
NdeKGbcN+IZoagloqxbq51FpEHT9QrmCoOZNDwkIpFUfLNG8zMWoLaj2ZneT
NXp/7a5yB9QqPKiVizYkl7CFaOCEi1KCcrwe70+sI+AzludeiooofXQHWlfi
mKJDbbNeuf1g7Deo8lfhv3jN7r1od8tSRQCaOhAXnoB6fmlWZaNSJ//+XNT0
7ojhJbTAs3Ca0XD11po8lLMc3vS5HvfZV7r8FX00ffrnugYCfS9EevUzArIa
gy6PTgL6QJHoMLpAdN6LqHtnb8f4CoHslLaRCfSeWdzDHUY0iA+4zEaibXs5
x4So+uNrCaPMeNufTNSlvC/rGmors6Aa0X4rcVgLWt4+079oQoMNq7ZzCZ15
LhjOZNOQqJr0fmtKQ6zf4ZgDZjTEmGsHTMzx/qRjIBt1qjz6aQq1bMr6GmJB
w5xMPZnuR0N6T1T6PfSSolLOWD1EJcvRs4p8RR/aq0lnzaBXS5YD7PxpUAR1
Vduju3P8XolRoc5VkoKm8f5GKg7SEMgbimecWBVK3qBGabRzaCQN2XWKrO/o
8Y4H/J/odMrlMcb1uU1sHyENzzo4G31R7uBFR0bPP8YeRWjfsPHnYtS/cn/h
U9RwsDqgnemNxu7q0H/BWsJ0
  "]]
}, Open  ]],

Cell["We begin with some preparations for what will follow.", "Text",
 CellChangeTimes->{{3.760471767312139*^9, 3.760471786052083*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We will assume that our unit normal vector points inward.\n\nWhen we \
originally constructed our various commands for computing intrinsic \
derivatives, we gave these commands the capability of computing the \
derivatives relative to the conformal metric.  The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "\[CenterDot]", "Upsilon"}]], TraditionalForm]]],
 ".  In this notebook, we compute derivatives relative to the background \
metric.  As a consequence, we will need to set Upsilon equal to zero.  We now \
introduce commands to do this."
}], "Text",
 CellChangeTimes->{{3.7126889209656773`*^9, 3.7126889398871317`*^9}, {
  3.712689043848392*^9, 3.712689071920759*^9}, {3.7134658798132563`*^9, 
  3.713465901717062*^9}, {3.763324450243129*^9, 3.763324513788969*^9}, {
  3.763324556985557*^9, 3.763324664558113*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.711332082167177*^9, 3.711332090497759*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->CompressedData["
1:eJwVzV1Ik2EAxfFJwdirpUlICkYWhC1mE7JctbVHLanNilCqmWJrq0VzbYLQ
xVhWkGG4+XERyWyp5FtGMN1qJrNuwo1kXS2wmm5tNR3voxNSlFbS2cXhd3f+
Repb57UZPB6vEhM06cOBYY74skWr21iOvDV5Q7kwNe1it0PdtchYHlxf2rAX
wsgg37MTjpfwDiihLXll+Dp0zFdatC844lRUne6GP8tPqd7BjpkCQwwycYM4
Dne0Tw9JXnIkb6xQfATOeaxPj0Jrj8yigVQudJvhk7YbgTvQvLi0qQ0Go82+
8AhHVkzF/37AnpRomf+KI3/ULVlvJtC9X+ITe/FfFbtcA519nR9nNzjyvnlw
Zg42lv51795MiXDBvayAt7tyLirhZ3eDLm2n5VuqFZ7xXzC3w8aWtcXXkOmv
qR6FKutKYE1ASV8oMrkO/Yw8knar6sHXVoaSKVZbdyKLErX+d1CwhRL9Y1bK
QKejbjYBjd8vRY9nUxI/p00Yyyk5WVFkskNbrWYgrWxBd7MfNq2WPZuCxXtz
M5LQ2yGV5kso+bSfHSqA93q9Gkc1JS5Zg84HDc+T++QKSnJ6z1p+wS+u0sPz
UPhoVyht8K4k86CSkoHuxJ4yWF/xUGyF/pFo2AbNokNdHmjM5x8bhx+uRu0x
+B9keBiw
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.7114715318571377`*^9, 3.711471541717885*^9}, {
  3.795647273029725*^9, 3.795647282058724*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[i]]}\
\>", "\<\
{ups, ups   }
         ;i\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJwV0F1Ik2EABeANPhDXVpRiNCqyotGKNmZDl0q9i1qwadBKUxDC36nkfphJ
NL5kUHaTc0Gl5NJSZjMKM20qThRlg2Cji5WGv83UxveWIyIXmXR2cXguDufm
pJcaL1XweTyeGnlXHf69s4cj3xyRuV3wfdJqTyrUmTf706BavNe1DxY0Kr37
YYpLLNPBme92dxUsD1ayFS84MnbrstYJR7MtxcMw36GuW4YLYod8FdYpNrpU
Ho6EMzTyU7A15nuaDaWSMrYc5usLB2zwee394G0YtAqZRmgoehhY7MV+yfjv
C2QvfI0lveTIJ6lPODjCkXs+T0A+in6SKcmDQ5a+qfktjohafTMLcPvFo4MH
GUpGDoViWtjtVl7VQWa2wZCweXrzbz38VWO1NcFrNaIfr2C77LrmDTQ0CEIb
yZS0DWeOxaFp0rSUkOX3f64XUHKk0HblnJASd1r6x2QRJTfM/lwB9Bud81HY
FbVGTu+g5MMje9SURcn4utrcDsMH7M8SPii6U+uCN2f1nX54Xnacvw4Hqopz
96goUbS87RbDnMjdyg4NJakZrw0B6IzrpWe0lPxkHrMr8KykKXMNPvFa5hJm
KUq3ndRRcqxk92ElnPC0yZth6E980QHxeosXbnlP5AxBlVDiWob/AanXDmA=

  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.7114715441439466`*^9, 3.711471547650806*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJwVzl9IU3EcBfBNRku5JakkJo3+jGCuPzeZNN3Uvv3Bh62IsWIVMSjXFoNs
4SpMNIgwCMwGUpIrS1Onrlol68/Mh2rXl+opa9HmrVm27g8rCjaoRWcPhw8c
zsNZebDJ4pDLZLItiLnlZnrJkEQ2zYJ4ERSLVIESeHd9xf2lcEWhwb8cRrTW
sApyG3UbzPD8k1uDTpgI9Lc5hiVybX1nugRnS2n/I9jc4T6ahBMXgvwXeNi1
ZqA6IFF20svXwHXKr9cMcNufrrZGGOueeNAK6+yhl+3QPL1WcQZWzo0KMyPY
6S5nP0JxpP+nclSisqk0N/5YIqP0W+AjEnlU6gM7YHZv8nn8n0RXXstjCdi7
k8ZXKRjp1akfJjhl2WMzw9lU2JVTS+V/vbAyL9jaAWsMq+eD0DrT2RCC04c0
r9L5jIqj1qcZaBs6J+ZUP/sW8xYwOqv07d7OMZrnqt7kL2IUKs3UFkClfTie
gnre96m+EL39auqYntGg5PD0wn19PTdyLvT1uP2w/nhTXxSK5ST/DuveemrL
qvFDkRxYBl8485zXGxgJRu6IAKOW7orNJkYl74vbP0NhF9s0B92/xA85xzTE
6cyM7tzTqqtgs+w23wkTk4vFi/Bk5ERXGGYaTxsfwlMtRn8S/getxQtm
  "]]
}, Open  ]],

Cell[TextData[{
 "Now consider the equation involving ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["f ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["   ",
  FontSlant->"Italic"],
 " and     ",
 StyleBox["-",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]],
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.7978910644114046`*^9, 3.797891106715993*^9}, {
  3.797893200478474*^9, 3.797893201955613*^9}, {3.7980506141827183`*^9, 
  3.798050644401081*^9}, {3.798318222101915*^9, 3.7983182281979303`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "This equation reads as follows:\n        ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["f   =   ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["-",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]],
  FontSize->18],
 StyleBox["f  + ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->18],
 StyleBox["f + 2",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["(",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["H",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[")",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["  +  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{"2", 
    SuperscriptBox["P", 
     StyleBox["ab",
      FontSlant->"Italic"]]}], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "a"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 StyleBox["f  ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["+  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["\[Delta]",
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.798318231952557*^9, 3.798318291108984*^9}}],

Cell["We will verify this equation.", "Text",
 CellChangeTimes->{{3.7978911353532124`*^9, 3.797891142609059*^9}, {
  3.7978928854542875`*^9, 3.7978929263795156`*^9}}],

Cell["\<\
We begin by reading in a previously computed formula for the third-order \
operator of Chang-Qing.\
\>", "Text",
 CellChangeTimes->{{3.760351537476747*^9, 3.7603515497123747`*^9}, 
   3.760472287344913*^9, {3.787778041820346*^9, 3.787778059996273*^9}, {
   3.7978911481768036`*^9, 3.7978911580970573`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ChangQingFromFile", "=", 
   RowBox[{"<<", "~/bop/fnb/CQP3Op.m"}]}], 
  ";"}], "\[IndentingNewLine]", "ChangQingFromFile"}], "Input",
 CellChangeTimes->{{3.75750403348589*^9, 3.7575040457975407`*^9}, 
   3.760349770807252*^9, {3.787687856765674*^9, 3.787687868793391*^9}, {
   3.787777494779121*^9, 3.787777537333701*^9}, {3.795647548139082*^9, 
   3.795647563264375*^9}, {3.7975494160983047`*^9, 3.797549428433951*^9}, 
   3.798048794119258*^9}],

Cell[OutputFormData["\<\
f[] [L[a], L[b], U[b]]*Nvec[U[a]] + 2*f[] [L[a], L[b]]*Nvec[U[a]] [U[b]] + 

   f[] [L[a]]*Nvec[U[a]] [L[b], U[b]] + (f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 \
+ 

   (2*f[] [L[a], U[a]]*Nvec[U[b]] [L[b]])/3 - f[] [L[a], L[b]]*Nvec[U[b]] \
[U[a]] - 

   (f[] [L[a]]*Nvec[U[b]] [L[b], U[a]])/3 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] \\
- 
 2*f[] [L[a], L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a]]*Nvec[U[a]] [L[b], L[c]]*Nvec[U[b]]*Nvec[U[c]] - 

   f[] [L[a], L[c]]*Nvec[U[a]]*Nvec[U[b]] [L[b]]*Nvec[U[c]] + 

   f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] + 

   f[] [L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] [L[a]] - 

   (2*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   (2*f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 - 

   f[] [L[a]]*Nvec[U[a]] [L[b]]*Nvec[U[b]]*Nvec[U[c]] [L[c]] + 

   (f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], L[b]])/3 + 

   2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - f[] \
[L[a]]*Nvec[U[a]]*P[L[b], U[b]]\
\>", "\<\
      b      a                 a  b             a    b    1     a        b    \
2     a      b 
f        Nvec   + 2 f      Nvec      + f    Nvec        + - f        Nvec   + \
- f      Nvec      - 
 ;a b                ;a b        ;      ;a        ;b      2  ;a   b           \
3  ;a          ;b 
 
             b  a    1          b    a                 a      b      c 
  f      Nvec      - - f    Nvec        - f        Nvec   Nvec   Nvec   - 
   ;a b        ;     3  ;a        ;b       ;a b c 
 
               a         b      c             a           b      c 
  2 f      Nvec      Nvec   Nvec   - f    Nvec        Nvec   Nvec   - 
     ;a b        ;c                   ;a        ;b c 
 
             a      b         c               a      b         c 
  f      Nvec   Nvec      Nvec   + f      Nvec   Nvec      Nvec   + 
   ;a c               ;b            ;a b               ;c 
 
           a         b      c       2            a      b      c 
  f    Nvec      Nvec   Nvec      - - f      Nvec   Nvec   Nvec      - 
   ;b        ;c               ;a    3  ;a b                      ;c 
 
  2          a         b      c                a         b      c 
  - f    Nvec      Nvec   Nvec      - f    Nvec      Nvec   Nvec      + 
  3  ;b        ;a               ;c     ;a        ;b               ;c 
 
  1          a      b      c                    a      b      c               \
    a     b 
  - f    Nvec   Nvec   Nvec        + 2 f    Nvec   Nvec   Nvec   P     - f    \
Nvec   P
  3  ;a                      ;c b       ;a                        b c     ;a  \
        b\
\>"], "Output",
 CellChangeTimes->{3.787777538348565*^9, 3.787778005888063*^9, 
  3.787778063766523*^9, 3.78777891013783*^9, 3.787863301553265*^9, 
  3.787945996823807*^9, 3.788032510579701*^9, 3.788035386964287*^9, 
  3.7956475659042687`*^9, 3.7957292517223673`*^9, 3.7975494307913723`*^9, 
  3.797549472649328*^9, 3.797549820754882*^9, 3.7978879972667603`*^9, 
  3.7978915226330533`*^9, 3.797892843517146*^9, 3.798048876061338*^9, 
  3.798051109917281*^9, 3.798233479705226*^9, 3.798236934345666*^9, 
  3.798318324315392*^9, 3.798319590729148*^9, 3.7984085634519777`*^9}]
}, Open  ]],

Cell[TextData[{
 "Read in our third-order operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 ".  We assume that ",
 StyleBox["n",
  FontSlant->"Italic"],
 " = 4 and ",
 StyleBox["w",
  FontSlant->"Italic"],
 " = 0."
}], "Text",
 CellChangeTimes->{{3.711491464789193*^9, 3.711491483316132*^9}, {
  3.760351068488635*^9, 3.760351081737543*^9}, {3.76043606724244*^9, 
  3.760436082274242*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"<<", "~/bop/bnb/OThree.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"w", "\[Rule]", "0"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OurOrderThreeOp", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "OurOrderThreeOp"}], "Input",
 CellChangeTimes->{{3.7114914877523746`*^9, 3.711491519303257*^9}, {
   3.711491609904338*^9, 3.711491672226259*^9}, {3.711491822619707*^9, 
   3.711491833513097*^9}, 3.76034977333628*^9, {3.760351092921461*^9, 
   3.760351111873748*^9}, {3.795647878333166*^9, 3.7956479022181325`*^9}, 
   3.798048797903507*^9}],

Cell[OutputFormData["\<\
-6*f[] [L[a], U[a]]*Hmc + 12*f[] [L[a]]*Hmc^2*Nvec[U[a]] - 3*f[] [L[a], U[a], \
L[b]]*Nvec[U[b]] + 

   12*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] + 2*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*

    Nvec[U[c]] - 4*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 

   4*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
       a                   2     a          a        b                      a \
     b 
-6 f      Hmc + 12 f    Hmc  Nvec   - 3 f        Nvec   + 12 f      Hmc Nvec  \
 Nvec   + 
    ;a              ;a                   ;a   b               ;a b 
 
                 a      b      c               a      b      c                \
     b   a 
  2 f        Nvec   Nvec   Nvec   - 4 f    Nvec   Nvec   Nvec   P     - 4 f   \
 Nvec   P
     ;a b c                            ;a                        b c       ;a \
           b\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGCwBmK1Hd4npZe/dnzas+I6iNZ9VXQfRKtP/lskA6TnPWbP
kAPSm+oDD4Hov1kaRj5AegvP8ZXpQNqmnPNT2orXjuuCv2tMAtJ9qgEXdwLp
KTkuxY+BtIncQpNnQDqE69p6y5WvHbNUmU2tgLRIt89iayDtcuGRdypIvPKa
WC2QPvfOiK8BSG87sKvuwarXjrvOn2V+BKTP3XGcxrH6tWNXi8YOwz2vHZ9k
KCj5AemGxrY/3ixvHBVyTt/yAdIq5ws+guiqE8xJZUC68FOqRgeQ7tK//3Mt
kNZxdpu1EUjP6ZS89Z3zjeNFfWfOn0D60PR6rjKuN47b7myLc+V547h4Xyg7
N+8bR7X4196vgPQWg59v7fnfOC7KN2AstHjjGLQ17NwcIH3Y05J1LpD+keSb
A6IjdpYvPAakV8Wpsr4H0o8lORwlLd84en24vUIKSD+YoLNlvvsbx6VsR2cc
B9ITRDdYOni/cSzI7Jz0FEiv/nXD4jmQfmPI8gZEP33/it/E543jswn/VUyB
dNZ3H8M+IP2n/dODfiCdU/Fj8XYgXXXfyHYHkE6vS9/0GEgDAM/k8XI=
  "]]
}, Open  ]],

Cell[TextData[{
 "In what follows, we verify the equation that relates the third-order \
operator of Chang-Qing to our third-order operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 ".  This equation appears near the end of Section 7 of the May 2020 version \
of our article.  We begin by assembling the right-hand side of this \
equation."
}], "Text",
 CellChangeTimes->{{3.788033558399037*^9, 3.7880336395320473`*^9}, {
  3.7975495643899007`*^9, 3.797549643141963*^9}},
 Background->RGBColor[0.9, 1, 1]],

Cell[TextData[StyleBox["Term One",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.788033772600028*^9, 3.788033775971385*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], ")"}], "OurOrderThreeOp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermOne"}], "Input",
 CellChangeTimes->{{3.788033653538808*^9, 3.788033702692593*^9}}],

Cell[OutputFormData["\<\
3*f[] [L[a], U[a]]*Hmc - 6*f[] [L[a]]*Hmc^2*Nvec[U[a]] + (3*f[] [L[a], U[a], \
L[b]]*Nvec[U[b]])/2 - 

   6*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*

    Nvec[U[c]] + 2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] + 

   2*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
      a                  2     a    3     a        b                     a    \
  b 
3 f      Hmc - 6 f    Hmc  Nvec   + - f        Nvec   - 6 f      Hmc Nvec   \
Nvec   - 
   ;a             ;a                2  ;a   b              ;a b 
 
               a      b      c               a      b      c                  \
   b   a 
  f        Nvec   Nvec   Nvec   + 2 f    Nvec   Nvec   Nvec   P     + 2 f    \
Nvec   P
   ;a b c                            ;a                        b c       ;a   \
         b\
\>"], "Output",
 CellChangeTimes->{{3.788033688145434*^9, 3.788033704119315*^9}, 
   3.788033822112019*^9, 3.7880354591950617`*^9, 3.7956483134392877`*^9, 
   3.7957297188389544`*^9, 3.7975496677125387`*^9, 3.7978882047891254`*^9, 
   3.797893074128262*^9, 3.7980488976278677`*^9, 3.798051117014833*^9, 
   3.798233486523715*^9, 3.798236939814953*^9, 3.798318424215952*^9, 
   3.7983195960959263`*^9, 3.7984086954223433`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Term Two",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.788033772600028*^9, 3.788033775971385*^9}, {
  3.788033807840041*^9, 3.788033810197968*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"NbNbSigHatDen", "[", 
      RowBox[{"f", ",", "0", ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermTwo"}], "Input",
 CellChangeTimes->{{3.78786369700105*^9, 3.787863735553067*^9}, {
  3.787863808660178*^9, 3.787863881135839*^9}, {3.787863912543334*^9, 
  3.7878639400730953`*^9}, {3.787864001333679*^9, 3.787864007361421*^9}, {
  3.787864044364768*^9, 3.787864072212096*^9}, {3.787864127460052*^9, 
  3.787864135188323*^9}, {3.7878645706941357`*^9, 3.787864574560914*^9}, {
  3.78794609571567*^9, 3.7879461012827168`*^9}, {3.787946204649638*^9, 
  3.787946207388649*^9}, {3.787947125459416*^9, 3.7879471305687847`*^9}, {
  3.788033746974057*^9, 3.788033755672903*^9}}],

Cell[OutputFormData["\<\
-(f[] [L[a], U[a]]*Nvec[U[b]] [L[b]])/3 + f[] [L[a], L[b]]*Nvec[U[b]] [U[a]] - 

   f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*Nvec[U[c]] - 

   f[] [L[b]]*Nvec[U[a]] [L[c]]*Nvec[U[b]]*Nvec[U[c]] [L[a]] + 

   (f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3 + 

   (f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/3\
\>", "\<\
  1      a      b                  b  a               a      b         c 
-(-) f      Nvec      + f      Nvec      - f      Nvec   Nvec      Nvec   - 
  3   ;a          ;b     ;a b        ;      ;a b               ;c 
 
           a         b      c       1            a      b      c 
  f    Nvec      Nvec   Nvec      + - f      Nvec   Nvec   Nvec      + 
   ;b        ;c               ;a    3  ;a b                      ;c 
 
  1          a         b      c 
  - f    Nvec      Nvec   Nvec
  3  ;b        ;a               ;c\
\>"], "Output",
 CellChangeTimes->{3.788033756948015*^9, 3.788033832827105*^9, 
  3.7880354832837553`*^9, 3.7956485190513144`*^9, 3.7957297879702654`*^9, 
  3.7975496760679483`*^9, 3.797888220518134*^9, 3.797893077091086*^9, 
  3.798048900748353*^9, 3.798051118357554*^9, 3.79823348953153*^9, 
  3.798236943085321*^9, 3.798318430509635*^9, 3.798319599054924*^9, 
  3.798408763371348*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Term Three",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.788033772600028*^9, 3.788033775971385*^9}, {
  3.788033807840041*^9, 3.788033810197968*^9}, {3.788033863772191*^9, 
  3.78803386634772*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"2", 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"f", ",", "0", ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}], 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"Hmc", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"gSgm", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermThree", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermThree"}], "Input",
 CellChangeTimes->{{3.7878645838506413`*^9, 3.787864584648572*^9}, {
  3.787864648311887*^9, 3.787864817156389*^9}, {3.787864961006102*^9, 
  3.787864971688587*^9}, {3.787946385350091*^9, 3.787946398702601*^9}, {
  3.78803391468117*^9, 3.788033925479059*^9}}],

Cell[OutputFormData["\<\
(2*f[] [L[a]]*Nvec[U[b]] [L[b], U[a]])/3 - 

   (2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], L[b]])/3\
\>", "\<\
2          b    a    2          a      b      c 
- f    Nvec        - - f    Nvec   Nvec   Nvec
3  ;a        ;b      3  ;a                      ;c b\
\>"], "Output",
 CellChangeTimes->{3.788033969980657*^9, 3.788035564266987*^9, 
  3.795648879240484*^9, 3.79572979976766*^9, 3.797549707860136*^9, 
  3.797888255978154*^9, 3.7978930834036255`*^9, 3.798048902313284*^9, 
  3.7980511207653313`*^9, 3.798233491258329*^9, 3.7982369463483267`*^9, 
  3.798318498103157*^9, 3.79831960172542*^9, 3.798408782755308*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Term Four",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.788033772600028*^9, 3.788033775971385*^9}, {
  3.788033807840041*^9, 3.788033810197968*^9}, {3.788033869785445*^9, 
  3.788033872721651*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"2", 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"f", ",", "0", ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermFour", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermFour"}], "Input",
 CellChangeTimes->{{3.787865243090405*^9, 3.787865301827725*^9}, {
  3.787865360184536*^9, 3.787865469524096*^9}, {3.787946438655717*^9, 
  3.78794645329832*^9}, {3.7879478279381647`*^9, 3.787947853571333*^9}, {
  3.788034150058166*^9, 3.788034158952902*^9}}],

Cell[OutputFormData["\<\
-2*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] + 2*f[] \
[L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
            a      b      c                     b   a 
-2 f    Nvec   Nvec   Nvec   P     + 2 f    Nvec   P
    ;a                        b c       ;a            b\
\>"], "Output",
 CellChangeTimes->{3.788034160559979*^9, 3.7880356680909863`*^9, 
  3.795649081460067*^9, 3.795730061429985*^9, 3.7975497638190365`*^9, 
  3.79788837204807*^9, 3.7978930862725945`*^9, 3.798048903876614*^9, 
  3.7980511224047823`*^9, 3.7982334937770576`*^9, 3.798236949566896*^9, 
  3.798318522937296*^9, 3.798319603824203*^9, 3.798408840694365*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Term Five",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.788033772600028*^9, 3.788033775971385*^9}, {
  3.788033807840041*^9, 3.788033810197968*^9}, {3.7880338762326527`*^9, 
  3.788033879092445*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"Robin", "[", 
      RowBox[{"f", ",", "0"}], "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermFive", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermFive"}], "Input",
 CellChangeTimes->{{3.787865541384831*^9, 3.787865602407855*^9}, {
  3.787946533035932*^9, 3.787946545429387*^9}, {3.788034238814163*^9, 
  3.788034248840418*^9}}],

Cell[OutputFormData["\<\
f[] [L[c]]*Nvec[U[c]]*TfSFF[L[a], L[b]]*TfSFF[U[a], U[b]]\
\>", "\<\
         c                 a b 
f    Nvec   TfSFF     TfSFF
 ;c              a b\
\>"], "Output",
 CellChangeTimes->{3.7880342506320667`*^9, 3.788035747244816*^9, 
  3.7956491272372403`*^9, 3.79573006766418*^9, 3.797549788261954*^9, 
  3.797888511084607*^9, 3.7978930890225554`*^9, 3.798048905267603*^9, 
  3.798051123860476*^9, 3.7982334949872828`*^9, 3.798236952734515*^9, 
  3.798318534851733*^9, 3.798319605980654*^9, 3.798408869454425*^9}]
}, Open  ]],

Cell["\<\
We now compare the two sides of the main equation of interest.\
\>", "Text",
 CellChangeTimes->{{3.788034291932575*^9, 3.788034320587359*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"ChangQingFromFile", "-", 
     RowBox[{"(", 
      RowBox[{
      "TermOne", "+", "TermTwo", "+", "TermThree", "+", "TermFour", "+", 
       "TermFive"}], ")"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GoatAAOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.788034341183895*^9, 3.788034836496089*^9}, {
  3.78803487709851*^9, 3.788034917009753*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "GoatAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GoatAATwo", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.788034341183895*^9, 3.788034836496089*^9}, {
  3.78803487709851*^9, 3.788034940815771*^9}, {3.788035064097701*^9, 
  3.788035077466786*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "GoatAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.788034341183895*^9, 3.788034836496089*^9}, {
  3.78803487709851*^9, 3.78803494854184*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.788034386675766*^9, 3.788034434064818*^9, {3.788034475228281*^9, 
   3.788034513602673*^9}, 3.788034556505225*^9, {3.788034587727933*^9, 
   3.7880347639723787`*^9}, 3.788034804768653*^9, 3.78803483834534*^9, 
   3.788034893280188*^9, {3.7880349301766567`*^9, 3.788034953535019*^9}, {
   3.788035067145728*^9, 3.7880350800688877`*^9}, 3.78803584803692*^9, 
   3.7956492841470785`*^9, 3.795730365346059*^9, 3.797549935684927*^9, 
   3.797888694238057*^9, 3.797893175693546*^9, 3.798048911276103*^9, 
   3.798051131714962*^9, 3.798233501202729*^9, 3.798236964033955*^9, 
   3.79831863957752*^9, 3.798319614146441*^9, 3.798408941133799*^9}]
}, Open  ]],

Cell[TextData[{
 "The output from the above command should be zero.  This completes our \
verification of the equation involving ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "3", 
    StyleBox["CQ",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["f ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["  ",
  FontSlant->"Italic"],
 "and   ",
 StyleBox["-",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["1", "2"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]],
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[".",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.7978910644114046`*^9, 3.797891106715993*^9}, {
  3.797893200478474*^9, 3.797893201955613*^9}, {3.797893235955284*^9, 
  3.7978932677980647`*^9}, {3.798051178257618*^9, 3.7980511888218317`*^9}}],

Cell["\<\
We now verify the second displayed equation in the examples section of our \
article.\
\>", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}, {
   3.797889011588176*^9, 3.797889046314186*^9}, {3.797890751982088*^9, 
   3.7978907683797026`*^9}, 3.797893312778005*^9, 3.79805069652982*^9},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We now verify the second displayed equation in the examples section of the \
April 2020 version of our article.  This equation reads as follows:\n     ",
 StyleBox["     ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]],
  FontSize->24],
 " ",
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" =   - ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->36],
 StyleBox[" ",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["  +  ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"n", "-", "3"}], 
    RowBox[{"4", 
     RowBox[{"(", 
      RowBox[{"n", "-", "2"}], ")"}]}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 " ",
 StyleBox["f ,",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["\n",
  FontSlant->"Italic"],
 "where ",
 StyleBox["f",
  FontSlant->"Italic"],
 " is a density of weight ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"3", "-", "n"}], "2"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.7978890490582285`*^9, 3.797889164006089*^9}, {
   3.7978892417139773`*^9, 3.797889255513469*^9}, {3.7978893536168594`*^9, 
   3.797889366340972*^9}, {3.7978895227584114`*^9, 3.7978898686581163`*^9}, 
   3.7978899135746756`*^9, {3.7978899662376895`*^9, 3.7978899982371078`*^9}, {
   3.797890772270135*^9, 3.797890778999238*^9}, {3.7978933443152027`*^9, 
   3.7978933451702375`*^9}, {3.798050717441801*^9, 3.7980507213381653`*^9}}],

Cell[TextData[{
 "Construct ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]]],
 StyleBox["f",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.795904805360673*^9, 3.7959048342771716`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeltaTwoHolder", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "DeltaTwoHolder"}], "Input",
 CellChangeTimes->{{3.7959048373652954`*^9, 3.795905036709756*^9}}],

Cell[OutputFormData["\<\
-f[] [L[a], U[a]] + (-1 + w)*w*(-2 + n + 2*w)*f*Hmc^2 - 2*(-1 + w)*(-2 + n + \
2*w)*f[] [L[a]]*Hmc*

    Nvec[U[a]] + (-2 + n + 2*w)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] + 

   w*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - w*f*P[L[a], U[a]]\
\
\>", "\<\
     a                                     2                                  \
          a 
-f      + ((-1 + w) w (-2 + n + 2 w)) f Hmc  - (2 (-1 + w) (-2 + n + 2 w)) f  \
  Hmc Nvec   + 
  ;a                                                                        ;a 
 
                            a      b                             a      b     \
            a 
  (-2 + n + 2 w) f      Nvec   Nvec   + (w (-2 + n + 2 w)) f Nvec   Nvec   P  \
   - w f P
                  ;a b                                                      a \
b         a\
\>"], "Output",
 CellChangeTimes->{3.79789017365736*^9, 3.797893354596362*^9, 
  3.79804891729355*^9, 3.798051207173069*^9, 3.7982335073629208`*^9, 
  3.798236972528369*^9, 3.798318690314662*^9, 3.7983196191930027`*^9, 
  3.798408985936496*^9}]
}, Open  ]],

Cell["Compare this to previously computed result.", "Text",
 CellChangeTimes->{{3.7982369817781754`*^9, 3.7982369920346937`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldHolder", "=", 
   RowBox[{"<<", "~/bop/bnb/OTwo.m"}]}], 
  ";"}], "\[IndentingNewLine]", "OldHolder"}], "Input",
 CellChangeTimes->{{3.798236995043621*^9, 3.798237023402875*^9}}],

Cell[OutputFormData["\<\
-f[] [L[a], U[a]] + (-1 + w)*w*(-2 + n + 2*w)*f*Hmc^2 - 2*(-1 + w)*(-2 + n + \
2*w)*f[] [L[a]]*Hmc*

    Nvec[U[a]] + (-2 + n + 2*w)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] + 

   w*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - w*f*P[L[a], U[a]]\
\
\>", "\<\
     a                                     2                                  \
          a 
-f      + ((-1 + w) w (-2 + n + 2 w)) f Hmc  - (2 (-1 + w) (-2 + n + 2 w)) f  \
  Hmc Nvec   + 
  ;a                                                                        ;a 
 
                            a      b                             a      b     \
            a 
  (-2 + n + 2 w) f      Nvec   Nvec   + (w (-2 + n + 2 w)) f Nvec   Nvec   P  \
   - w f P
                  ;a b                                                      a \
b         a\
\>"], "Output",
 CellChangeTimes->{3.798237026900332*^9, 3.798318748817215*^9, 
  3.798319621414925*^9, 3.798408989478066*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DeltaTwoHolder", "-", "OldHolder"}]], "Input",
 CellChangeTimes->{{3.79823703486123*^9, 3.798237041465653*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.798237042315979*^9, 3.798318832939238*^9, 
  3.79831962377608*^9, 3.7984090087506733`*^9}]
}, Open  ]],

Cell["Now construct right-hand side of proposed equation.", "Text",
 CellChangeTimes->{{3.7959052860127516`*^9, 3.795905301398429*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"LapSigHatDen", "[", 
       RowBox[{"f", ",", "w"}], "]"}]}], "-", 
     RowBox[{"w", "*", "TrPSigma", "*", "f"}], "\[IndentingNewLine]", "+", 
     RowBox[{
      RowBox[{"(", "    ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "3"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"4", 
          RowBox[{"(", 
           RowBox[{"n", "-", "2"}], ")"}]}], ")"}]}], "    ", ")"}], 
      RowBox[{"TfSFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], 
      RowBox[{"TfSFF", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], "f"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", "     ", 
      RowBox[{"w", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"3", "-", "n"}], ")"}], "/", "2"}], ")"}]}], "    ", 
      ")"}]}], " ", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RightHandSide", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "RightHandSide"}], "Input",
 CellChangeTimes->{{3.7959053105392075`*^9, 3.7959053606808567`*^9}, {
  3.795905451449682*^9, 3.7959056686560903`*^9}, {3.7959057683702745`*^9, 
  3.7959057711751204`*^9}, {3.7978914485076857`*^9, 3.7978914651985455`*^9}, {
  3.7978934302158227`*^9, 3.7978934437577624`*^9}}],

Cell[OutputFormData["\<\
-f[] [L[a], U[a]] + f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] + 

   f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]] + ((-3 + n)*f*TfSFF[L[a], \
L[b]]*TfSFF[U[a], U[b]])/

    (4*(-2 + n)) + ((-3 + n)*f*TrPSigma)/2 + ((3 - n)*f*Nvec[U[a]] \
[L[a]]*Nvec[U[b]]*ups[] [L[b]])/

    2 - ((-3 + n)^2*f*Nvec[U[a]]*Nvec[U[b]]*ups[] [L[a]]*ups[] [L[b]])/4 + 

   ((-3 + n)^2*f*ups[] [L[a]]*ups[] [U[a]])/4 + ((3 - \
n)*f*Nvec[U[a]]*Nvec[U[b]]*ups[] [L[a], \\
L[b]])/
  2 + ((-3 + n)*f*ups[] [L[a], U[a]])/2\
\>", "\<\
     a               a      b             a         b      -3 + n             \
       a b 
-f      + f      Nvec   Nvec   + f    Nvec      Nvec   + ---------- f TfSFF   \
  TfSFF     + 
  ;a       ;a b                   ;b        ;a           4 (-2 + n)        a b 
 
                                                                2
  -3 + n              3 - n       a         b           (-3 + n)        a     \
 b 
  ------ f TrPSigma + ----- f Nvec      Nvec   ups    - --------- f Nvec   \
Nvec   ups    ups    + 
    2                   2           ;a            ;b        4                 \
       ;a     ;b 
 
          2
  (-3 + n)               a    3 - n       a      b             -3 + n         \
a 
  --------- f ups    ups    + ----- f Nvec   Nvec   ups      + ------ f ups
      4          ;a     ;       2                      ;a b      2         ;a\
\
\>"], "Output",
 CellChangeTimes->{
  3.7978902632583055`*^9, 3.797891466259003*^9, {3.7978934192823944`*^9, 
   3.797893445838421*^9}, 3.7980489207282257`*^9, 3.798051213001206*^9, 
   3.798233510176038*^9, 3.7982370601134653`*^9, 3.798318871659465*^9, 
   3.798319627580432*^9, 3.798409011132872*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"DeltaTwoHolder", "-", "RightHandSide"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", "       ", 
      RowBox[{"w", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"3", "-", "n"}], ")"}], "/", "2"}], ")"}]}], "     ", 
      ")"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTrPSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7959058687167344`*^9, 3.7959059668711734`*^9}, {
  3.7959060496804094`*^9, 3.7959061970356665`*^9}, {3.798048947366325*^9, 
  3.798048956030979*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.7978903067351255`*^9, 3.7978936545075617`*^9, 
  3.7980489219039707`*^9, 3.798048957252482*^9, 3.798051239661358*^9, 
  3.798233511593643*^9, 3.7982370918952713`*^9, 3.798318880711632*^9, 
  3.798319631898067*^9, 3.79840906218719*^9}]
}, Open  ]],

Cell["\<\
The output from the above command should be zero.  This confirms the second \
equation that we wanted to confirm.\
\>", "Text",
 CellChangeTimes->{{3.7978903732814217`*^9, 3.797890431278276*^9}, {
  3.797893744143963*^9, 3.7978937452703404`*^9}}],

Cell["\<\
We now verify the last equation in Section 7.1 of the April 2020 version of \
the article.\
\>", "Text",
 CellChangeTimes->{{3.7980490499959803`*^9, 3.7980490773403053`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "This equation reads as follows:\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "+", "w", "-", "3"}], ")"}], 
    SubscriptBox["\[Delta]", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox["   +  ",
  FontSize->18],
 StyleBox[" ",
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[CapitalPi]", "A", 
    RowBox[{"    ", "B"}]], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]],
  FontSize->18,
  FontColor->GrayLevel[0]],
 StyleBox["f    ",
  FontSize->18,
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 StyleBox["=",
  FontSize->18,
  FontColor->GrayLevel[0]],
 StyleBox["   -  ",
  FontSize->18,
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"w", "(", 
      RowBox[{"n", " ", "+", " ", "w", " ", "-", " ", "3"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "+", " ", 
       RowBox[{"2", "w"}], " ", "-", " ", "2"}], ")"}]}], 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"n", " ", "-", " ", "2"}], ")"}]}]], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["L", "\[SmallCircle]"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 StyleBox["f ,",
  FontSize->18,
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.798049142017695*^9, 3.798049249454218*^9}, {
  3.798049287716288*^9, 3.79804936532831*^9}}],

Cell[TextData[{
 "Read in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox["f",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.798049424123417*^9, 3.798049445683878*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OurOrderTwoOp", "=", 
   RowBox[{"<<", "~/bop/bnb/OTwo.m"}]}], 
  ";"}], "\[IndentingNewLine]", "OurOrderTwoOp"}], "Input",
 CellChangeTimes->{{3.7113174811931953`*^9, 3.711317486105917*^9}, {
   3.7113175179932613`*^9, 3.7113175202833014`*^9}, {3.711478633237769*^9, 
   3.711478649846117*^9}, 3.759867148163455*^9, {3.764579948319468*^9, 
   3.764579953975037*^9}, {3.798049465536386*^9, 3.798049484055127*^9}}],

Cell[OutputFormData["\<\
-f[] [L[a], U[a]] + (-1 + w)*w*(-2 + n + 2*w)*f*Hmc^2 - 2*(-1 + w)*(-2 + n + \
2*w)*f[] [L[a]]*Hmc*

    Nvec[U[a]] + (-2 + n + 2*w)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] + 

   w*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - w*f*P[L[a], U[a]]\
\
\>", "\<\
     a                                     2                                  \
          a 
-f      + ((-1 + w) w (-2 + n + 2 w)) f Hmc  - (2 (-1 + w) (-2 + n + 2 w)) f  \
  Hmc Nvec   + 
  ;a                                                                        ;a 
 
                            a      b                             a      b     \
            a 
  (-2 + n + 2 w) f      Nvec   Nvec   + (w (-2 + n + 2 w)) f Nvec   Nvec   P  \
   - w f P
                  ;a b                                                      a \
b         a\
\>"], "Output",
 CellChangeTimes->{3.798049484932513*^9, 3.79805127886847*^9, 
  3.798233521477848*^9, 3.798318970358293*^9, 3.798319635615107*^9, 
  3.798409198148347*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Construct   ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]],
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[CapitalPi]", "A", 
    RowBox[{"    ", "B"}]], TraditionalForm]],
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["f.",
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 StyleBox["  We use the immediately preceding display (the next to the last \
displayed equation in Section 7.1 of the April 2020 version of our article).",
  
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.453683801744676*^9, 3.453683802866787*^9}, {
  3.453737952453513*^9, 3.45373795590222*^9}, {3.453737999333231*^9, 
  3.453738067962418*^9}, {3.453738123792493*^9, 3.4537381538465*^9}, {
  3.798049587446816*^9, 3.798049625512844*^9}, {3.798050032832118*^9, 
  3.798050049718686*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LapSigHatDen", "[", 
      RowBox[{"f", ",", "w"}], "]"}], "+", 
     RowBox[{"w", "*", "TrPSigma", "*", "f"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StarterHolder", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StarterHolder"}], "Input",
 CellChangeTimes->{{3.453738422067707*^9, 3.453738503191537*^9}, {
  3.453738583411394*^9, 3.453738585075432*^9}, {3.453738617573064*^9, 
  3.453738647998334*^9}, {3.4537386886043787`*^9, 3.4537387043662987`*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a]] - f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] - 

   f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]] + w*f*TrPSigma\
\>", "\<\
    a               a      b             a         b 
f      - f      Nvec   Nvec   - f    Nvec      Nvec   + w f TrPSigma
 ;a       ;a b                   ;b        ;a\
\>"], "Output",
 CellChangeTimes->{3.4537386109741707`*^9, 3.453738649735523*^9, 
  3.453738706678796*^9, 3.453741175264876*^9, 3.4537578972126513`*^9, 
  3.7598681508628674`*^9, 3.7645808159427633`*^9, 3.764675035635624*^9, 
  3.7660873383819733`*^9, 3.7980496823170233`*^9, 3.798051286304758*^9, 
  3.798233523052504*^9, 3.798318983482861*^9, 3.798319638686305*^9, 
  3.798409225855439*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", "+", "w", "-", "3"}], ")"}], "*", 
     RowBox[{"(", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "+", 
          RowBox[{"2", "w"}], "-", "2"}], ")"}], "StarterHolder"}], "+", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "+", 
          RowBox[{"2", "w"}], "-", "3"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "+", 
             RowBox[{"2", "w"}], "-", "2"}], ")"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Hmc", "*", 
              RowBox[{"Nvec", "[", 
               RowBox[{"U", "[", "i", "]"}], "]"}], 
              RowBox[{"f", "[", 
               RowBox[{"L", "[", "i", "]"}], "]"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"w", "/", "2"}], ")"}], 
              RowBox[{"(", 
               RowBox[{"Hmc", "^", "2"}], ")"}], "f"}]}], ")"}]}], "-", " ", 
          RowBox[{"BigBoxOp", "[", 
           RowBox[{"f", ",", "w"}], "]"}]}], ")"}]}]}], "\[IndentingNewLine]",
       "                    ", ")"}]}], "\[IndentingNewLine]", ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderTwo"}], "Input",
 CellChangeTimes->{{3.453738771548222*^9, 3.453738806573907*^9}, {
   3.453738840642564*^9, 3.453738958353078*^9}, {3.4537389884385633`*^9, 
   3.453739013851734*^9}, {3.453739213610025*^9, 3.453739221905479*^9}, {
   3.4537393666254*^9, 3.45373938385321*^9}, 3.453739745123271*^9, 
   3.7646751040608683`*^9, {3.798319022284655*^9, 3.798319030979486*^9}}],

Cell[OutputFormData["\<\
(-3 + n + w)*((-3 + n + 2*w)*(-f[] [L[q433], U[q433]] + 

      (-2 + n + 2*w)*(-(w*f*Hmc^2)/2 + f[] [L[i]]*Hmc*Nvec[U[i]]) - \
w*f*P[L[q434], U[q434]]) + 

    (-2 + n + 2*w)*(f[] [L[a], U[a]] - f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] \
- 

      f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]] + w*f*TrPSigma))\
\>", "\<\
                                      q433                    -w      2       \
         i 
(-3 + n + w) ((-3 + n + 2 w) (-f            + (-2 + n + 2 w) (-- f Hmc  + f   \
 Hmc Nvec  ) - 
                                ;q433                         2            ;i \

 
                 q434 
       w f P          ) + (-2 + n + 2 w) 
            q434 
 
          a               a      b             a         b 
     (f      - f      Nvec   Nvec   - f    Nvec      Nvec   + w f TrPSigma))
       ;a       ;a b                   ;b        ;a\
\>"], "Output",
 CellChangeTimes->{3.453739015154181*^9, 3.453739224740778*^9, 
  3.453739384796646*^9, 3.453739760639876*^9, 3.4537412311528063`*^9, 
  3.453757904117619*^9, 3.759868170545122*^9, 3.76458082165521*^9, 
  3.76467503754613*^9, 3.764675105639986*^9, 3.7660873976648617`*^9, 
  3.798049702468844*^9, 3.798051447247279*^9, 3.79823352517628*^9, 
  3.798318996072679*^9, 3.798319034911223*^9, 3.798319641054687*^9, 
  3.798409297641947*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DavidOp", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "DavidOp"}], "Input",
 CellChangeTimes->{{3.453739390334831*^9, 3.453739459276726*^9}}],

Cell[OutputFormData["\<\
(-3 + n + w)*f[] [L[a], U[a]] - (w*(-3 + n + w)*(-3 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc^2)/2 + 

   (-3 + n + w)*(-3 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a]]*Hmc*Nvec[U[a]] - 

   (-3 + n + w)*(-2 + n + 2*w)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] - 

   (-3 + n + w)*(-2 + n + 2*w)*f[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]] - 

   w*(-3 + n + w)*(-3 + n + 2*w)*f*P[L[a], U[a]] + w*(-3 + n + w)*(-2 + n + \
2*w)*f*TrPSigma\
\>", "\<\
                 a    w (-3 + n + w) (-3 + n + 2 w) (-2 + n + 2 w)      2
(-3 + n + w) f      - -------------------------------------------- f Hmc  + 
              ;a                           2
 
                                                            a 
  ((-3 + n + w) (-3 + n + 2 w) (-2 + n + 2 w)) f    Hmc Nvec   - 
                                                ;a 
 
                                           a      b 
  ((-3 + n + w) (-2 + n + 2 w)) f      Nvec   Nvec   - 
                                 ;a b 
 
                                         a         b                          \
               a 
  ((-3 + n + w) (-2 + n + 2 w)) f    Nvec      Nvec   - (w (-3 + n + w) (-3 + \
n + 2 w)) f P     + 
                                 ;b        ;a                                 \
             a 
 
  (w (-3 + n + w) (-2 + n + 2 w)) f TrPSigma\
\>"], "Output",
 CellChangeTimes->{{3.453739442734189*^9, 3.453739460612875*^9}, 
   3.4537397637254877`*^9, 3.453741347673985*^9, 3.453757906376688*^9, 
   3.759868188667244*^9, 3.764580838401956*^9, 3.764675140126885*^9, 
   3.766087404899356*^9, 3.7980497079403667`*^9, 3.798051455608753*^9, 
   3.79823352600473*^9, 3.7983191814821787`*^9, 3.798319643643916*^9, 
   3.79840941536346*^9}]
}, Open  ]],

Cell["\<\
We now construct the last display from Section 7.1 of the April 2020 version \
of our article.\
\>", "Text",
 CellChangeTimes->{{3.764675188455161*^9, 3.764675208310307*^9}, {
  3.7980497481909523`*^9, 3.7980497655032263`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", "+", "w", "-", "3"}], ")"}], "OurOrderTwoOp"}], "+", 
     "DavidOp"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToTfSFF", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTrPSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToTfSFF", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.759868392029209*^9, 3.759868426170581*^9}, {
  3.759868514027923*^9, 3.759868623404188*^9}, {3.798319225320445*^9, 
  3.798319229567285*^9}}],

Cell[OutputFormData["\<\
-(w*(-3 + n + w)*(-2 + n + 2*w)*f*TfSFF[L[a], L[b]]*TfSFF[U[a], U[b]])/(2*(-2 \
+ n))\
\>", "\<\
-(w (-3 + n + w) (-2 + n + 2 w))                  a b 
-------------------------------- f TfSFF     TfSFF
           2 (-2 + n)                   a b\
\>"], "Output",
 CellChangeTimes->{
  3.759868465247724*^9, {3.759868528899522*^9, 3.759868624584198*^9}, 
   3.764581044294973*^9, 3.766087426622315*^9, 3.798049769387587*^9, 
   3.798051469423593*^9, 3.798233528779751*^9, 3.798319230949342*^9, 
   3.798319646275425*^9, 3.79840952769368*^9}]
}, Open  ]],

Cell["\<\
The above expression should match the right-hand side of the last displayed \
equation in Section 7.1 of the April 2020 version of the article.  This \
completes the verification of this last displayed equation.\
\>", "Text",
 CellChangeTimes->{{3.798049937217436*^9, 3.7980499750552797`*^9}, {
  3.798050742559939*^9, 3.7980507790766573`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}, {
   3.7975500091401615`*^9, 3.7975500357201614`*^9}, 3.798048801543355*^9}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}, {
  3.798051499458654*^9, 3.798051500531592*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}, {
   3.7975500141229715`*^9, 3.797550039633681*^9}, 3.798048803135323*^9}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}, {
   3.797550019690734*^9, 3.7975500425544543`*^9}, 3.798048804807063*^9}]
},
WindowSize->{1849, 1125},
WindowMargins->{{0, Automatic}, {18, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{597.562, 842.375},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
Magnification->1.5,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 853, 13, 57, "Text"],
Cell[1401, 35, 4785, 163, 412, "Text"],
Cell[6189, 200, 4115, 158, 383, "Text"],
Cell[10307, 360, 243, 6, 73, "Text"],
Cell[10553, 368, 485, 13, 82, "Text"],
Cell[11041, 383, 149, 2, 73, "Text"],
Cell[11193, 387, 225, 5, 49, "Text"],
Cell[11421, 394, 250, 5, 48, "Input"],
Cell[11674, 401, 161, 2, 73, "Text"],
Cell[11838, 405, 234, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[12097, 415, 297, 6, 48, "Input"],
Cell[12397, 423, 3638, 58, 126, "Output"]
}, Open  ]],
Cell[16050, 484, 183, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[16258, 494, 102, 1, 48, "Input"],
Cell[16363, 497, 790, 13, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17190, 515, 536, 8, 48, "Input"],
Cell[17729, 525, 1397, 27, 160, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19163, 557, 1510, 32, 478, "Input"],
Cell[20676, 591, 1188, 23, 61, "Print"]
}, Open  ]],
Cell[21879, 617, 167, 2, 73, "Text"],
Cell[22049, 621, 883, 16, 179, "Text"],
Cell[CellGroupData[{
Cell[22957, 641, 219, 4, 48, "Input"],
Cell[23179, 647, 753, 14, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23969, 666, 343, 9, 82, "Input"],
Cell[24315, 677, 813, 19, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25165, 701, 129, 2, 48, "Input"],
Cell[25297, 705, 776, 17, 57, "Output"]
}, Open  ]],
Cell[26088, 725, 863, 32, 91, "Text"],
Cell[26954, 759, 2639, 118, 111, "Text"],
Cell[29596, 879, 166, 2, 49, "Text"],
Cell[29765, 883, 316, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[30106, 893, 482, 9, 82, "Input"],
Cell[30591, 904, 3247, 74, 502, "Output"]
}, Open  ]],
Cell[33853, 981, 457, 16, 52, "Text"],
Cell[CellGroupData[{
Cell[34335, 1001, 1043, 29, 214, "Input"],
Cell[35381, 1032, 1550, 35, 160, "Output"]
}, Open  ]],
Cell[36946, 1070, 572, 13, 109, "Text"],
Cell[37521, 1085, 162, 3, 49, "Text"],
Cell[CellGroupData[{
Cell[37708, 1092, 508, 16, 148, "Input"],
Cell[38219, 1110, 1295, 29, 160, "Output"]
}, Open  ]],
Cell[39529, 1142, 211, 4, 49, "Text"],
Cell[CellGroupData[{
Cell[39765, 1150, 2656, 80, 511, "Input"],
Cell[42424, 1232, 1295, 28, 228, "Output"]
}, Open  ]],
Cell[43734, 1263, 261, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[44020, 1272, 1957, 61, 379, "Input"],
Cell[45980, 1335, 656, 13, 92, "Output"]
}, Open  ]],
Cell[46651, 1351, 261, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[46937, 1360, 1181, 34, 214, "Input"],
Cell[48121, 1396, 668, 12, 92, "Output"]
}, Open  ]],
Cell[48804, 1411, 263, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[49092, 1420, 838, 24, 148, "Input"],
Cell[49933, 1446, 538, 11, 92, "Output"]
}, Open  ]],
Cell[50486, 1460, 152, 3, 49, "Text"],
Cell[50641, 1465, 2079, 66, 445, "Input"],
Cell[52723, 1533, 1816, 56, 445, "Input"],
Cell[CellGroupData[{
Cell[54564, 1593, 1195, 35, 313, "Input"],
Cell[55762, 1630, 718, 14, 79, "Output"]
}, Open  ]],
Cell[56495, 1647, 934, 34, 67, "Text"],
Cell[57432, 1683, 352, 7, 73, "Text"],
Cell[57787, 1692, 1961, 72, 179, "Text"],
Cell[59751, 1766, 234, 9, 49, "Text"],
Cell[CellGroupData[{
Cell[60010, 1779, 1583, 50, 412, "Input"],
Cell[61596, 1831, 1086, 25, 182, "Output"]
}, Open  ]],
Cell[62697, 1859, 129, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[62851, 1864, 217, 5, 82, "Input"],
Cell[63071, 1871, 968, 23, 182, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64076, 1899, 135, 2, 48, "Input"],
Cell[64214, 1903, 168, 6, 79, "Output"]
}, Open  ]],
Cell[64397, 1912, 135, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[64557, 1917, 1805, 52, 247, "Input"],
Cell[66365, 1971, 1698, 41, 285, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68100, 2017, 2453, 81, 577, "Input"],
Cell[70556, 2100, 312, 8, 79, "Output"]
}, Open  ]],
Cell[70883, 2111, 256, 5, 49, "Text"],
Cell[71142, 2118, 216, 5, 73, "Text"],
Cell[71361, 2125, 2103, 84, 147, "Text"],
Cell[73467, 2211, 263, 10, 49, "Text"],
Cell[CellGroupData[{
Cell[73755, 2225, 449, 8, 82, "Input"],
Cell[74207, 2235, 1014, 24, 182, "Output"]
}, Open  ]],
Cell[75236, 2262, 1011, 29, 55, "Text"],
Cell[CellGroupData[{
Cell[76272, 2295, 828, 23, 181, "Input"],
Cell[77103, 2320, 718, 14, 114, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77858, 2339, 1835, 47, 280, "Input"],
Cell[79696, 2388, 1336, 32, 250, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81069, 2425, 379, 10, 148, "Input"],
Cell[81451, 2437, 1715, 39, 353, "Output"]
}, Open  ]],
Cell[83181, 2479, 237, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[83443, 2488, 1260, 38, 313, "Input"],
Cell[84706, 2528, 566, 12, 114, "Output"]
}, Open  ]],
Cell[85287, 2543, 354, 6, 82, "Text"],
Cell[85644, 2551, 149, 2, 73, "Text"],
Cell[85796, 2555, 1464, 27, 147, "Text"],
Cell[87263, 2584, 285, 6, 49, "Text"],
Cell[87551, 2592, 208, 3, 48, "Input"],
Cell[87762, 2597, 303, 7, 49, "Text"],
Cell[88068, 2606, 206, 3, 48, "Input"],
Cell[88277, 2611, 253, 6, 49, "Text"],
Cell[88533, 2619, 206, 3, 48, "Input"]
}
]
*)

