(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     62685,       1765]
NotebookOptionsPosition[     58165,       1618]
NotebookOutlinePosition[     58906,       1642]
CellTagsIndexPosition[     58863,       1639]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "EllTwo.nb (\[OpenCurlyDoubleQuote]",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[ScriptL]", "2"], TraditionalForm]]],
 StyleBox["f",
  FontSlant->"Italic"],
 "  = ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]]],
 " ",
 StyleBox["f \[CloseCurlyDoubleQuote]",
  FontSlant->"Italic"],
 ")"
}], "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
  3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
  3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
  3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
  3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
  3.454692871706007*^9, 3.4546928917816563`*^9}, {3.530736158423969*^9, 
  3.530736174047117*^9}, {3.530736222872001*^9, 3.530736301102898*^9}, {
  3.764532145362864*^9, 3.76453216955442*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["Date last modified:  6 May 2019", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAWIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+B6cf/tMIi/F45NjvEh4Po5Tm3P18D0s+ifoLpQ3cn7Ps6+5XjeZtt
B0D0t9bXLzznvHJ0keB/CaJlLkeknGN+4xj3/3QqiD7W+yfmO5Dm8xCMBdEe
DB4p7KxvHC+FHgTTau6p5eVcbxwbX2ZXgOiMV7Ifj3O/cTzlrAumtYoL+1x5
3jh6Le8H0zZLi0oF+YDmvK8H0+f+cHaA6B4BZTCdHnzjAQP/G8cz1/IegmgL
oQX/4oF0UdIOMA0AX2zldA==
  "]],

Cell[TextData[{
 "This notebook pertains to Section 8.2 of our article.  In this notebook, \
the plan is to compute the above expression.  Here \[OpenCurlyDoubleQuote]",
 StyleBox["l ",
  FontSlant->"Italic"],
 "\[CloseCurlyDoubleQuote] is the curly ",
 StyleBox["l",
  FontSlant->"Italic"],
 " (i.e. ell) of Section 8.2.  We assume that ",
 StyleBox["f",
  FontSlant->"Italic"],
 " is a density of weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 ".  We use this in Section 8.2 of the article.  We verify the correctness of \
the expanded formula for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["l", "2"], TraditionalForm]]],
 " given in Section 8.2."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.53073632215306*^9, 
   3.53073632590651*^9}, {3.760092241219097*^9, 3.760092270810892*^9}, {
   3.760176022902369*^9, 3.760176039668828*^9}, {3.760177459435752*^9, 
   3.760177472059455*^9}, {3.760264060573791*^9, 3.760264148798066*^9}, 
   3.760732947538735*^9, {3.7654721951671124`*^9, 3.765472197182988*^9}, 
   3.7659624636099243`*^9}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.53073632215306*^9, 
   3.53073632590651*^9}, {3.760092241219097*^9, 3.760092270810892*^9}, {
   3.760176022902369*^9, 3.760176039668828*^9}, {3.760177459435752*^9, 
   3.760177472059455*^9}, {3.760264060573791*^9, 3.760264148798066*^9}, 
   3.760732947538735*^9, {3.7654721951671124`*^9, 3.765472197182988*^9}, 
   3.765962467071786*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.5714290130589*^9, 3.571429015465836*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGCwAWKDq1P/J+x66Rj9Z0dO+O6Xjm+c723pANLiq+Piu4D0
KeMrQeuBdOOvFO9tQHp95yGuS0B625Kpxx8A6Y7Tc2v+Aenjaz1PqOx56fjv
voSINpBWeXM+NghIh+z9Wgaiqw23dIFohaBihhAgfYwtMz8KSDtULttUAaSl
raVv14D0z7YwqwXSLXYbXoDotDcZTHVAejEzs2EjkD545XpgM5De/fDE3BYg
faVvaeFiIB1w/Go9y14gv/mrHDeQZtttyKUIpOOkuFaBaCPGf27KQPrwhFWZ
IHrl2VfHQbSenXe2CpCeI526AEQ/uXPxmzdInOeinC+QZpCqOwuil/W94/cH
0kccXVYHAOmr3y9GRvi9ctwUtvn3NSB9gL3w4NfZrxx5Gnkvg+is0/9ee855
5bgu6OceLyB948GUnHPMbxyD2dJKQbT8XtcqEO1x603sdyCdsWB3GohWL9+X
DaLdWI5p/QDSLBMm9ILoSW931JdzvXEUsxH/dJz7jWNLEN9PEO2Wad/vyvPG
MSFDuEKQ743jkYxPrxj43zgWXYnjSADSAC0R/+4=
  "]]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766157384511385*^9, 3.7661573988300323`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.7661574111605062`*^9, 3.766157413651065*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766157414840828*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.571428879237576*^9, 3.5714288852576942`*^9}, {
   3.760091976960519*^9, 3.7600919774883833`*^9}, {3.760092061850115*^9, 
   3.760092068625207*^9}, 3.760092210595614*^9, {3.760175861364539*^9, 
   3.760175884044599*^9}, {3.7659624893358173`*^9, 3.765962490544142*^9}, {
   3.766157418899441*^9, 3.766157419747267*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwVy1sog3EcxvExSu8cZlFzaIw3KcJKmVzob0nm2Os0ExZhy7R2ISPHUFqW
GxdCIkpYrIly2AXJlEYJExJR7PXKHEcyfv+Lp8/F01dYo6HqPFgsViosrPnh
T7HuQJlsTlPZhgMtTZeuDIBb6xvVepDcjixaAp/mLDmrYKQkhHME6v3urdeg
aOa83Y3/Y/seuelA4brGoDiwoDygigKpnZIWrJT/occKhg9ZxWDViV0jBxMr
38063C1XXLSDo+XOhw7QVr/o2QnS7GxRDxik41G94O0sd6IPNAoftdMglxfa
7WVxoDubNoIDJn2qCCFokqfPY82CtKxocD/QqcIaNcl72EvxYCMJHuYaJ7Fl
w3xXDiixfgryQLfMbMOqQ2O5BWDEVOtCIcjwCbksn0b9Izc/p+Cz/9H2xxiN
OmOkTPY4jaLEPIsU3PW+Uh+wGaRI6W/GEtLuNqxPUmW1C1xzRjdgM2RhaqzB
lxf3Bb6kmgxYRbC9q4VgULyk5NXKYdBbQso3Nt5QO5TpyyDlGdka6M+gX+Wo
nyKAQf/o3eg/
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Jan10.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
   3.453858435780781*^9, 3.4538584407412443`*^9}, {3.760091978360314*^9, 
   3.7600919841604013`*^9}, 3.760092210301869*^9, {3.760175939581621*^9, 
   3.7601759453891983`*^9}, {3.764273049570097*^9, 3.764273049951344*^9}}],

Cell["\<\
Time:  13 hours, 50 minutes, 25 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.453159433558712*^9, 3.4536641087403793`*^9, 3.4537650383314323`*^9, 
   3.4537684492497253`*^9, 3.453844124077334*^9, 3.453858444306649*^9, 
   3.4539152276470537`*^9, 3.453945410818446*^9, 3.454006250497306*^9, 
   3.454084682375368*^9, 3.454097574794847*^9, 3.4541780358523197`*^9, 
   3.45417823845408*^9, 3.454178394737667*^9, 3.454181385912878*^9, 
   3.454194562617395*^9, 3.454256539341807*^9, 3.454265054697605*^9, 
   3.454267211721065*^9, 3.4542674179392233`*^9, 3.454273933495*^9, 
   3.4542782922163343`*^9, 3.4542809477190228`*^9, 3.454344082303244*^9, 
   3.4545428566647863`*^9, 3.454556416040819*^9, 3.4546013033452177`*^9, 
   3.4546025818164186`*^9, 3.454605885713771*^9, 3.454606162448224*^9, 
   3.4546069170646143`*^9, 3.454608224160009*^9, 3.4546086504328337`*^9, 
   3.454689262789496*^9, 3.4546915795579042`*^9, 3.45469297798037*^9, 
   3.4546955567912083`*^9, 3.454698846799219*^9, 3.530736350008647*^9, 
   3.530995681902335*^9, 3.571428891276915*^9, 3.5716012527130623`*^9, 
   3.5716029220588627`*^9, 3.760092077887062*^9, 3.760092118077921*^9, {
   3.760175948195706*^9, 3.760175971178846*^9}, 3.760177498729307*^9, 
   3.760178287787274*^9, 3.763584001327764*^9, 3.764273045107836*^9, 
   3.7642731026785517`*^9, 3.764530302394718*^9, 3.765472208477401*^9, 
   3.766157424682809*^9}]
}, Open  ]],

Cell[TextData[{
 "Construct ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "A"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]],
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.530737265345478*^9, 3.530737313803456*^9}, 
   3.530737419325399*^9, 3.5714291070552273`*^9},
 Background->RGBColor[1, 1, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TracSFF", "[", 
  RowBox[{
   RowBox[{"U", "[", "AA", "]"}], ",", 
   RowBox[{"U", "[", "BB", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.530736446003525*^9, 3.530736458105433*^9}}],

Cell[OutputFormData["\<\
TracSFF[U[AA], U[BB]]\
\>", "\<\
       AA BB 
TracSFF\
\>"], "Output",
 CellChangeTimes->{{3.530736451756383*^9, 3.530736459586735*^9}, 
   3.530995708048444*^9, 3.571428896765505*^9, 3.5716012581022453`*^9, 
   3.571602926167761*^9, 3.760092123933815*^9, 3.760175980381113*^9, 
   3.760177509260792*^9, 3.76017829099058*^9, 3.763584006615954*^9, 
   3.764530313719199*^9, 3.765472216006719*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "1"}], ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"TracSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "AA", "]"}], ",", 
       RowBox[{"U", "[", "BB", "]"}]}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTracSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TractorForm", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.530736425626047*^9, 3.530736486189096*^9}, {
  3.530736521692744*^9, 3.530736578368277*^9}, {3.530736615651643*^9, 
  3.530736632928892*^9}, {3.530736681607938*^9, 3.530736694679585*^9}, {
  3.530736753122617*^9, 3.530736758694509*^9}, {3.53073686089533*^9, 
  3.530736868978088*^9}, {3.530737438845737*^9, 3.530737456840589*^9}}],

Cell["\<\
Time:  13 hours, 50 minutes, 45 seconds
Date:  6 May 2019
Time:  13 hours, 50 minutes, 51 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.530736531747968*^9, 3.530736634557529*^9, 3.530736696130662*^9, 
   3.530736760366409*^9, 3.530736871088138*^9, 3.530737459161507*^9, 
   3.530995710119282*^9, 3.571428905601327*^9, 3.571601287867547*^9, 
   3.571602927329288*^9, 3.760092125244499*^9, 3.760177512222404*^9, 
   3.760178293363658*^9, 3.7635840112697887`*^9, 3.764530316195148*^9, 
   3.765472221528049*^9, {3.7661574301822147`*^9, 3.7661574447365227`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["TractorForm"], "Input",
 CellChangeTimes->{{3.530736639889519*^9, 3.530736641240876*^9}, {
   3.530737461671488*^9, 3.530737465186875*^9}, 3.530995829191081*^9, 
   3.571428995377483*^9}],

Cell[OutputFormData["\<\
(-2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a]]*Nvec[U[a]] \
[L[b], U[b]])/(-2 + n) + 

   ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]] [L[a], L[b], \
U[b]])/(-1 + n) - 

   ((-3 + n)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], U[a]]*Nvec[U[b]] \
[L[b]])/(-1 + n) + 

   (-3 + n)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], L[b]]*Nvec[U[b]] [U[a]] - 

   (2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a]]*Nvec[L[b]] \
[L[c]]*Nvec[U[a]]*

     Nvec[U[b]] [U[c]])/(-2 + n) + (2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + \
n + 2*w)*f[] [L[a]]*

     Nvec[U[b]] [L[b], U[a]])/((-2 + n)*(-1 + n)) + 

   (2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a]]*Nvec[U[a]] \
[L[b], \\
L[c]]*Nvec[U[b]]*Nvec[U[c]])/
  (-2 + n) - (-3 + n)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], \\
L[b]]*Nvec[U[a]]*Nvec[U[b]] [L[c]]*
  Nvec[U[c]] - ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]] \\
[L[b]]*Nvec[U[b]] [L[c]]*
   Nvec[U[c]] [L[a]])/(-3 + n) + (n*(-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \\
2*w)*f*Nvec[U[a]] [L[a]]*
   Nvec[U[b]] [L[c]]*Nvec[U[c]] [L[b]])/((-3 + n)*(-1 + n)) + 

   ((-3 + n)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]])/(-1 + n) \\
+ 
 (2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a]]*Nvec[U[a]] \
[L[b]]*Nvec[U[b]]*

     Nvec[U[c]] [L[c]])/(-2 + n) - ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]] [L[a]]*

     Nvec[U[b]] [L[b]]*Nvec[U[c]] [L[c]])/((-3 + n)*(-1 + n)) - 

   ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]] \
[L[b]]*Nvec[U[c]] [L[c], L[a]])/(-1 + n) \\
- 
 (2*(-3 + n)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c], \\
L[b]])/
  ((-2 + n)*(-1 + n)) - ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*

     Nvec[U[c]] [L[c], L[a], L[b]])/(-1 + n) + (2*(-3 + n)*(-1 + w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*f[] [L[a]]*

     Nvec[L[b]] [L[c]]*Nvec[U[a]]*Nvec[U[b]] \
[L[d]]*Nvec[U[c]]*Nvec[U[d]])/(-2 + n) + 

   ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[L[a]] [L[b]]*Nvec[U[a]] \
[L[c]]*Nvec[U[b]] \\
[L[d]]*Nvec[U[c]]*
   Nvec[U[d]])/(-2 + n) - ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[L[a]] \\
[L[b]]*Nvec[U[a]] [L[c]]*
   Nvec[U[b]]*Nvec[U[c]] [L[d]]*Nvec[U[d]])/(-2 + n) - 

   (w*(-4 + n + 2*w)*(-2 + n + 2*w)*(5 - 2*n - 2*w + \
n*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[c]]*

     P[L[a], L[b]])/(-1 + n) - (-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

    P[L[a], L[b]] [L[c]] - ((-3 + n)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[b]] [L[b]]*P[L[a], U[a]])/

    (-1 + n) + w*(-5 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]] \
[L[b]]*P[L[a], U[b]] - 

   w*(-5 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[a]]*P[L[b], L[c]] - 

   ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]] [L[a]]*P[L[b], \
U[b]])/(-1 + n) + 

   (-1 + w)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*P[L[b], U[b]] [L[a]] \
- 

   ((-1 + w)*w*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] [L[d]]*

     Weyl[L[a], L[c], L[b], U[d]])/(-3 + n)\
\>", "\<\
-2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)          a    b 
-------------------------------------------------- f    Nvec        + 
                      -2 + n                        ;a        ;b 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a      b 
  ---------------------------------------- f Nvec          - 
                   -1 + n                          ;a b 
 
  (-3 + n) (-4 + n + 2 w) (-2 + n + 2 w)     a      b 
  -------------------------------------- f      Nvec      + 
                  -1 + n                  ;a          ;b 
 
                                                      b  a 
  ((-3 + n) (-4 + n + 2 w) (-2 + n + 2 w)) f      Nvec      - 
                                            ;a b        ;
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)                    a      \
b  c 
  ------------------------------------------------- f    Nvec      Nvec   \
Nvec      + 
                       -2 + n                        ;a      b ;c             \
  ;
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)          b    a 
  ------------------------------------------------- f    Nvec        + 
                  (-2 + n) (-1 + n)                  ;a        ;b 
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)          a           b    \
  c 
  ------------------------------------------------- f    Nvec        Nvec   \
Nvec   - 
                       -2 + n                        ;a        ;b c 
 
                                                      a      b         c 
  ((-3 + n) (-4 + n + 2 w) (-2 + n + 2 w)) f      Nvec   Nvec      Nvec   - 
                                            ;a b               ;c 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a         b         c 
  ---------------------------------------- f Nvec      Nvec      Nvec      + 
                   -3 + n                          ;b        ;c        ;a 
 
  n (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a         b         c 
  ------------------------------------------ f Nvec      Nvec      Nvec      + 
              (-3 + n) (-1 + n)                      ;a        ;c        ;b 
 
  (-3 + n) (-4 + n + 2 w) (-2 + n + 2 w)            a      b      c 
  -------------------------------------- f      Nvec   Nvec   Nvec      + 
                  -1 + n                  ;a b                      ;c 
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)          a         b      \
c 
  ------------------------------------------------- f    Nvec      Nvec   \
Nvec      - 
                       -2 + n                        ;a        ;b             \
  ;c 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a         b         c 
  ---------------------------------------- f Nvec      Nvec      Nvec      - 
             (-3 + n) (-1 + n)                     ;a        ;b        ;c 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a      b         c 
  ---------------------------------------- f Nvec   Nvec      Nvec        - 
                   -1 + n                                 ;b        ;c a 
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)          a      b      c 
  ------------------------------------------------- f    Nvec   Nvec   Nvec   \
     - 
                  (-2 + n) (-1 + n)                  ;a                      \
;c b 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a      b      c 
  ---------------------------------------- f Nvec   Nvec   Nvec          + 
                   -1 + n                                        ;c a b 
 
  2 (-3 + n) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)                    a      \
b         c      d 
  ------------------------------------------------- f    Nvec      Nvec   \
Nvec      Nvec   Nvec   + 
                       -2 + n                        ;a      b ;c             \
  ;d 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)                 a         b        \
 c      d 
  ---------------------------------------- f Nvec      Nvec      Nvec      \
Nvec   Nvec   - 
                   -2 + n                        a ;b        ;c        ;d 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)                 a         b      c \
        d 
  ---------------------------------------- f Nvec      Nvec      Nvec   Nvec  \
    Nvec   - 
                   -2 + n                        a ;b        ;c               \
;d 
 
  w (-4 + n + 2 w) (-2 + n + 2 w) (5 - 2 n - 2 w + n w)       a      b      c \

  ----------------------------------------------------- f Nvec   Nvec   Nvec  \
    P     - 
                         -1 + n                                               \
;c   a b 
 
                                                   a      b      c 
  ((-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   Nvec   Nvec   P        - 
                                                                     a b ;c 
 
  (-3 + n) w (-4 + n + 2 w) (-2 + n + 2 w)       b        a 
  ---------------------------------------- f Nvec      P     + 
                   -1 + n                          ;b   a 
 
                                                         a        b 
  (w (-5 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec      P     - 
                                                           ;b   a 
 
                                                         a      b      c 
  (w (-5 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   Nvec   Nvec      \
P     - 
                                                                         ;a   \
b c 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a        b 
  ---------------------------------------- f Nvec      P     + 
                   -1 + n                          ;a   b 
 
                                                   a     b 
  ((-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   P        - 
                                                       b   ;a 
 
  (-1 + w) w (-4 + n + 2 w) (-2 + n + 2 w)       a      b      c              \
 d 
  ---------------------------------------- f Nvec   Nvec   Nvec      Weyl
                   -3 + n                                        ;d      a c b\
\>"], "Output",
 CellChangeTimes->{{3.571428996213441*^9, 3.571429026399819*^9}, 
   3.571601400202162*^9, 3.571602937882462*^9, 3.760092136246509*^9, 
   3.76017753167035*^9, 3.760178304750491*^9, 3.763584026431377*^9, 
   3.764530326384405*^9, 3.765472229259015*^9, 3.7661574548388357`*^9}]
}, Open  ]],

Cell[TextData[{
 "Construct expression from our ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"L", 
     StyleBox[
      AdjustmentBox["A",
       BoxBaselineShift->-0.4,
       BoxMargins->{{-0.5, -0.3}, {0, 0}}],
      FontSize->Smaller], "T", 
     AdjustmentBox["E",
      BoxBaselineShift->0.5,
      BoxMargins->{{-0.3, 0}, {0, 0}}], "X"}],
    SingleLetterItalics->False], TraditionalForm]]],
 " file"
}], "Text",
 CellChangeTimes->{{3.530737265345478*^9, 3.530737313803456*^9}, {
  3.530737361761324*^9, 3.530737381545877*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermOne", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "3"}], ")"}], 
    RowBox[{"TfSFF", "[", 
     RowBox[{
      RowBox[{"U", "[", "a", "]"}], ",", 
      RowBox[{"U", "[", "b", "]"}]}], "]"}], 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"L", "[", "b", "]"}], ",", 
      RowBox[{"L", "[", "a", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", "TermOne"}], "Input",
 CellChangeTimes->{{3.530737485672925*^9, 3.530737506027221*^9}}],

Cell[OutputFormData["\<\
(-3 + n)*f[] [L[b], L[a]]*TfSFF[U[a], U[b]]\
\>", "\<\
                     a b 
(-3 + n) f      TfSFF
          ;b a\
\>"], "Output",
 CellChangeTimes->{3.530737532632345*^9, 3.530995845881269*^9, 
  3.571429183628137*^9, 3.57160143063671*^9, 3.571602959748066*^9, 
  3.760092143647683*^9, 3.760177546319543*^9, 3.760178309755267*^9, 
  3.763584034350415*^9, 3.764530333067781*^9, 3.765472243933387*^9, 
  3.766157476994709*^9}]
}, Open  ]],

Cell[TextData[{
 "When we originally developed our commands for computing intrinsic \
derivatives, we gave many of these commands the capability to compute the \
derivatives relative to the conformal metric.  The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "\[CenterDot]", "Upsilon"}]], TraditionalForm]]],
 ".  In this notebook, we compute derivatives relative to the background \
metric.  As a consequence, we need to set Upsilon equal to zero.  We now \
define a rule that we will use to do this."
}], "Text",
 CellChangeTimes->{{3.763584066187726*^9, 3.7635842162239523`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.530737586054602*^9, 3.530737593939888*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.530737596643377*^9, 3.530995890032955*^9, 
  3.571429234068277*^9, 3.5716014560597878`*^9, 3.571602961330204*^9, 
  3.7600921447094793`*^9, 3.760177553313034*^9, 3.76017831252621*^9, 
  3.7635842344889107`*^9, 3.764530336480143*^9, 3.765472246617816*^9, 
  3.766157495203796*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.530737597358176*^9, 3.530737604751524*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[a]]}\
\>", "\<\
{ups, ups   }
         ;a\
\>"], "Output",
 CellChangeTimes->{3.530737605503928*^9, 3.530995891621269*^9, 
  3.571429234891356*^9, 3.571601459307374*^9, 3.5716029625036163`*^9, 
  3.7600921458483877`*^9, 3.760177554523301*^9, 3.7601783132445183`*^9, 
  3.7635842365753183`*^9, 3.7645303372477407`*^9, 3.765472247695566*^9, 
  3.7661574974183064`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.530737606484863*^9, 3.530737609465303*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{3.530737610308997*^9, 3.530995893264328*^9, 
  3.571429236834626*^9, 3.571601462052301*^9, 3.571602963671432*^9, 
  3.760092146860887*^9, 3.760177555527338*^9, 3.7601783138998117`*^9, 
  3.76358423820639*^9, 3.764530338049631*^9, 3.765472250188087*^9, 
  3.766157502359311*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], 
     RowBox[{"(", 
      RowBox[{"n", "-", "3"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"NbSigHatDen", "[", 
      RowBox[{"Hmc", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}], 
     RowBox[{"f", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermTwo"}], "Input",
 CellChangeTimes->{{3.530737547619361*^9, 3.530737582665584*^9}, {
  3.53073764662624*^9, 3.530737693548076*^9}, {3.530737726898433*^9, 
  3.530737727540027*^9}}],

Cell[OutputFormData["\<\
-2*(-3 + n)*(-1 + w)*f[] [L[a]]*Hmc[] [L[b]]*PiPro[U[a], U[b]]\
\>", "\<\
                                        a b 
(-2 (-3 + n) (-1 + w)) f    Hmc    PiPro
                        ;a     ;b\
\>"], "Output",
 CellChangeTimes->{
  3.530737615288372*^9, {3.530737649417916*^9, 3.530737694692582*^9}, 
   3.530737728587542*^9, 3.530738841967174*^9, 3.530995914997809*^9, 
   3.57142924163544*^9, 3.571601466459113*^9, 3.5716029647301073`*^9, 
   3.760092147809266*^9, 3.760177648235808*^9, 3.760178315161931*^9, 
   3.763584250414411*^9, 3.764530338772175*^9, 3.765472252075041*^9, 
   3.766157504656025*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"LapSigHatDen", "[", 
      RowBox[{"Hmc", ",", 
       RowBox[{"-", "1"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TermThree", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "TermThree"}], "Input",
 CellChangeTimes->{{3.530737508211361*^9, 3.530737509919658*^9}, {
  3.530737806057449*^9, 3.53073787120943*^9}, {3.530737908570196*^9, 
  3.530737916532052*^9}}],

Cell[OutputFormData["\<\
(-1 + w)*w*f*Hmc[] [L[a], U[a]] - (-1 + w)*w*f*Hmc[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[b]] - 

   (-1 + w)*w*f*Hmc[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]\
\>", "\<\
                     a                                a      b                \
              a         b 
((-1 + w) w) f Hmc      - ((-1 + w) w) f Hmc      Nvec   Nvec   - ((-1 + w) \
w) f Hmc    Nvec      Nvec
                  ;a                        ;a b                              \
      ;b        ;a\
\>"], "Output",
 CellChangeTimes->{3.530737872076216*^9, 3.530737917757616*^9, 
  3.530738866320555*^9, 3.530996036969183*^9, 3.571429325251439*^9, 
  3.571601554354562*^9, 3.571602966128351*^9, 3.7600921493937674`*^9, 
  3.760177779505897*^9, 3.7601783163320723`*^9, 3.763584317664126*^9, 
  3.764530340538662*^9, 3.765472253113452*^9, 3.766157506414216*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermFour", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "n"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], "w", "*", "Hmc", "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermFour"}], "Input",
 CellChangeTimes->{{3.530737953557617*^9, 3.530737977287428*^9}}],

Cell[OutputFormData["\<\
-(n*(-1 + w)*w*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]])\
\>", "\<\
                          a      b 
-(n (-1 + w) w) f Hmc Nvec   Nvec   P
                                     a b\
\>"], "Output",
 CellChangeTimes->{3.530737978088721*^9, 3.530738904165453*^9, 
  3.530996106451078*^9, 3.571429463357678*^9, 3.571601639692078*^9, 
  3.571602967291143*^9, 3.7600921507368593`*^9, 3.76017779945214*^9, 
  3.760178317329862*^9, 3.763584354166053*^9, 3.764530341279022*^9, 
  3.7654722548812532`*^9, 3.766157507227901*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermFive", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "w"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "c", "]"}], "]"}], 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermFive"}], "Input",
 CellChangeTimes->{{3.530738017941679*^9, 3.530738060945151*^9}, {
  3.763584406985971*^9, 3.763584412049777*^9}}],

Cell[OutputFormData["\<\
-((-1 + w)*w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] [L[a]])\
\>", "\<\
                    a      b      c 
-((-1 + w) w) f Nvec   Nvec   Nvec   P
                                      b c ;a\
\>"], "Output",
 CellChangeTimes->{3.530738062573462*^9, 3.530738929318634*^9, 
  3.530996199551835*^9, 3.5714295690010977`*^9, 3.571601724315083*^9, 
  3.571602968195035*^9, 3.760092151969105*^9, 3.760177811569762*^9, 
  3.7601783182657747`*^9, 3.763584413510633*^9, 3.764530342091671*^9, 
  3.7654722555443707`*^9, 3.7661575091825647`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermSix", "=", 
   RowBox[{"(", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], "Hmc", "*", "TrP", "*", "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermSix"}], "Input",
 CellChangeTimes->{{3.530738124327485*^9, 3.530738144412943*^9}}],

Cell[OutputFormData["\<\
(-1 + w)*w*f*Hmc*TrP\
\>", "\<\
((-1 + w) w) f Hmc TrP\
\>"], "Output",
 CellChangeTimes->{3.530738147198333*^9, 3.530738987139797*^9, 
  3.530996302447866*^9, 3.571429630904449*^9, 3.571601841529381*^9, 
  3.571602969074627*^9, 3.760092153186499*^9, 3.7601778239467278`*^9, 
  3.760178319283886*^9, 3.763584432702283*^9, 3.764530343981839*^9, 
  3.765472256275882*^9, 3.7661575098731318`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermSeven", "=", 
   RowBox[{"(", 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"n", "-", "3"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "c", "]"}], "]"}], 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "c", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermSeven"}], "Input",
 CellChangeTimes->{{3.530738163892605*^9, 3.530738208033618*^9}}],

Cell[OutputFormData["\<\
2*(-3 + n)*(-1 + w)*f[] [L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]]\
\
\>", "\<\
                               a      b      c 
(2 (-3 + n) (-1 + w)) f    Nvec   Nvec   Nvec   P
                       ;c                        a b\
\>"], "Output",
 CellChangeTimes->{3.530738212283323*^9, 3.530738998965214*^9, 
  3.53099636479357*^9, 3.571429657328392*^9, 3.5716018669222116`*^9, 
  3.571602969999812*^9, 3.7600921544005127`*^9, 3.760177830782473*^9, 
  3.760178320252248*^9, 3.763584447854557*^9, 3.764530344686858*^9, 
  3.765472256984021*^9, 3.766157510514798*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermEight", "=", 
   RowBox[{"(", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"TrP", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermEight"}], "Input",
 CellChangeTimes->{{3.530738258957547*^9, 3.530738281206667*^9}}],

Cell[OutputFormData["\<\
(-1 + w)*w*f*Nvec[U[a]]*TrP[] [L[a]]\
\>", "\<\
                   a 
((-1 + w) w) f Nvec   TrP
                         ;a\
\>"], "Output",
 CellChangeTimes->{3.530738283725081*^9, 3.530739078912709*^9, 
  3.530996637559625*^9, 3.5714296750451727`*^9, 3.571602015536265*^9, 
  3.571602970882707*^9, 3.760092155615821*^9, 3.760177850397724*^9, 
  3.760178321179099*^9, 3.763584468186329*^9, 3.76453034542498*^9, 
  3.765472258806115*^9, 3.76615751111891*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermNine", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], 
     RowBox[{"(", 
      RowBox[{"n", "-", "3"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "b", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermNine"}], "Input",
 CellChangeTimes->{{3.530738316374844*^9, 3.530738339925645*^9}}],

Cell[OutputFormData["\<\
-2*(-3 + n)*(-1 + w)*f[] [L[b]]*Nvec[L[a]]*P[U[a], U[b]]\
\>", "\<\
                                    a b 
(-2 (-3 + n) (-1 + w)) f    Nvec   P
                        ;b      a\
\>"], "Output",
 CellChangeTimes->{3.530738341314635*^9, 3.530739099506634*^9, 
  3.530996694581948*^9, 3.57142971654346*^9, 3.571602096152257*^9, 
  3.571602971826499*^9, 3.760092156807007*^9, 3.7601778598432093`*^9, 
  3.7601783220899878`*^9, 3.76358447914956*^9, 3.764530346158337*^9, 
  3.7654722595025387`*^9, 3.766157512773046*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermTen", "=", 
   RowBox[{"(", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"n", "+", 
       RowBox[{"2", "w"}], "-", "5"}], ")"}], 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermTen"}], "Input",
 CellChangeTimes->{{3.530738394390761*^9, 3.530738415399144*^9}}],

Cell[OutputFormData["\<\
w*(-5 + n + 2*w)*f*P[L[a], L[b]]*TfSFF[U[a], U[b]]\
\>", "\<\
                                a b 
(w (-5 + n + 2 w)) f P     TfSFF
                      a b\
\>"], "Output",
 CellChangeTimes->{3.53073841689534*^9, 3.530739129700512*^9, 
  3.530996891202609*^9, 3.5714297783114967`*^9, 3.57160224900745*^9, 
  3.571602972954713*^9, 3.760092157968965*^9, 3.7601778784862823`*^9, 
  3.760178323022717*^9, 3.763584546590355*^9, 3.764530347857695*^9, 
  3.765472260216344*^9, 3.766157513354885*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermEleven", "=", 
   RowBox[{"(", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], "Hmc", "*", 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermEleven"}], "Input",
 CellChangeTimes->{{3.530738437673806*^9, 3.530738461742033*^9}}],

Cell[OutputFormData["\<\
(-1 + w)*w*f*Hmc*TfSFF[L[a], L[b]]*TfSFF[U[a], U[b]]\
\>", "\<\
                                  a b 
((-1 + w) w) f Hmc TfSFF     TfSFF
                        a b\
\>"], "Output",
 CellChangeTimes->{3.530738462906156*^9, 3.530739150367229*^9, 
  3.530996943263456*^9, 3.571429846779389*^9, 3.5716023515420313`*^9, 
  3.5716029739546947`*^9, 3.76009215915452*^9, 3.760177911329495*^9, 
  3.7601783239024076`*^9, 3.763584577636806*^9, 3.764530348527525*^9, 
  3.765472262383733*^9, 3.766157514023069*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermTwelve", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "w"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "3"}], ")"}]}], ")"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"L", "[", "c", "]"}]}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "b", "]"}], ",", 
       RowBox[{"U", "[", "c", "]"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermTwelve"}], "Input",
 CellChangeTimes->{{3.530738501284643*^9, 3.530738547185704*^9}}],

Cell[OutputFormData["\<\
-(((-1 + w)*w*f*TfSFF[L[a], L[b]]*TfSFF[U[a], L[c]]*TfSFF[U[b], U[c]])/(-3 + \
n))\
\>", "\<\
  (-1 + w) w                   a         b c 
-(----------) f TfSFF     TfSFF     TfSFF
    -3 + n           a b         c\
\>"], "Output",
 CellChangeTimes->{3.530738548406068*^9, 3.530739166376111*^9, 
  3.530997054698526*^9, 3.5714298769346933`*^9, 3.571602411190435*^9, 
  3.571602974852315*^9, 3.760092160288047*^9, 3.760177920713626*^9, 
  3.7601783247753363`*^9, 3.7635846232755327`*^9, 3.764530349198475*^9, 
  3.765472263154537*^9, 3.7661575146680393`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TermThirteen", "=", "\[IndentingNewLine]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "w"}], 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "3"}], ")"}]}], ")"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], 
     RowBox[{"TfSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "c", "]"}], ",", 
       RowBox[{"L", "[", "d", "]"}]}], "]"}], 
     RowBox[{"Weyl", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "c", "]"}], ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"U", "[", "d", "]"}]}], "]"}], "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "TermThirteen"}], "Input",
 CellChangeTimes->{{3.530738668802585*^9, 3.530738725287681*^9}}],

Cell[OutputFormData["\<\
-(((-1 + w)*w*f*Nvec[U[a]]*Nvec[U[b]]*TfSFF[L[c], L[d]]*Weyl[L[a], U[c], \
L[b], U[d]])/(-3 + n))\
\>", "\<\
  (-1 + w) w        a      b                  c   d 
-(----------) f Nvec   Nvec   TfSFF     Weyl
    -3 + n                         c d      a   b\
\>"], "Output",
 CellChangeTimes->{3.530738726694582*^9, 3.530739250337149*^9, 
  3.530997133326295*^9, 3.571429949963016*^9, 3.5716026465491343`*^9, 
  3.571602975839682*^9, 3.760092161487782*^9, 3.760177930149685*^9, 
  3.760178325656316*^9, 3.76358466759077*^9, 3.764530349945094*^9, 
  3.765472263909251*^9, 3.7661575162986403`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
    "TermOne", "+", "TermTwo", "+", "TermThree", "+", "TermFour", "+", 
     "TermFive", "+", "TermSix", "+", "TermSeven", "+", "TermEight", "+", 
     "TermNine", "+", "TermTen", "+", "TermEleven", "+", "TermTwelve", "+", 
     "TermThirteen"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", "+", 
       RowBox[{"2", "w"}], "-", "2"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", "+", 
       RowBox[{"2", "w"}], "-", "4"}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FileForm", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "FileForm"}], "Input",
 CellChangeTimes->{{3.530739336772136*^9, 3.530739390853467*^9}, {
  3.530739887488869*^9, 3.530739901363786*^9}}],

Cell[OutputFormData["\<\
(-4 + n + 2*w)*(-2 + n + 2*w)*((-1 + w)*w*f*Hmc[] [L[a], U[a]] - (-1 + \
w)*w*f*Hmc[] [L[a], L[b]]*Nvec[U[a]]*

     Nvec[U[b]] - (-1 + w)*w*f*Hmc[] [L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]] - 

    n*(-1 + w)*w*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - (-1 + \
w)*w*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

     P[L[a], L[b]] [L[c]] + 2*(-3 + n)*(-1 + w)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 

    2*(-3 + n)*(-1 + w)*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]] - 2*(-3 + n)*(-1 \
+ w)*f[] [L[a]]*Hmc[] [L[b]]*

     PiPro[U[a], U[b]] + (-3 + n)*f[] [L[a], L[b]]*TfSFF[U[a], U[b]] + 

    w*(-5 + n + 2*w)*f*P[L[a], L[b]]*TfSFF[U[a], U[b]] + (-1 + \
w)*w*f*Hmc*TfSFF[L[a], L[b]]*TfSFF[U[a], U[b]] \\
- 
  ((-1 + w)*w*f*TfSFF[L[a], L[b]]*TfSFF[U[a], L[c]]*TfSFF[U[b], U[c]])/(-3 + \
n) + (-1 + w)*w*f*Hmc*TrP + 

    (-1 + w)*w*f*Nvec[U[a]]*TrP[] [L[a]] - ((-1 + \
w)*w*f*Nvec[U[a]]*Nvec[U[b]]*TfSFF[L[c], L[d]]*

      Weyl[L[a], U[c], L[b], U[d]])/(-3 + n))\
\>", "\<\
                                                      a                       \
         a      b 
((-4 + n + 2 w) (-2 + n + 2 w)) (((-1 + w) w) f Hmc      - ((-1 + w) w) f Hmc \
     Nvec   Nvec   - 
                                                   ;a                        \
;a b 
 
                              a         b                             a      b 
    ((-1 + w) w) f Hmc    Nvec      Nvec   - (n (-1 + w) w) f Hmc Nvec   Nvec \
  P     - 
                      ;b        ;a                                            \
   a b 
 
                       a      b      c                                        \
    a      b      c 
    ((-1 + w) w) f Nvec   Nvec   Nvec   P        + (2 (-3 + n) (-1 + w)) f    \
Nvec   Nvec   Nvec   P     - 
                                         a b ;c                           ;a  \
                      b c 
 
                                   b   a                                      \
       a b 
    (2 (-3 + n) (-1 + w)) f    Nvec   P     - (2 (-3 + n) (-1 + w)) f    Hmc  \
  PiPro     + 
                           ;a            b                           ;a     ;b 
 
                         a b                                    a b 
    (-3 + n) f      TfSFF     + (w (-5 + n + 2 w)) f P     TfSFF     + 
              ;a b                                    a b 
 
                                      a b    (-1 + w) w                  a    \
     b c 
    ((-1 + w) w) f Hmc TfSFF     TfSFF     - ---------- f TfSFF     TfSFF     \
TfSFF     + 
                            a b                -3 + n          a b         c 
 
                                                a           (-1 + w) w       \
a      b                  c   d 
    ((-1 + w) w) f Hmc TrP + ((-1 + w) w) f Nvec   TrP    - ---------- f Nvec \
  Nvec   TfSFF     Weyl        )
                                                      ;a      -3 + n          \
              c d      a   b\
\>"], "Output",
 CellChangeTimes->{
  3.53073939437092*^9, {3.530739908071922*^9, 3.530739923787433*^9}, 
   3.530997259517433*^9, 3.571430231439163*^9, 3.571602815028925*^9, 
   3.571602977627281*^9, 3.760092162676124*^9, 3.7601779837890778`*^9, 
   3.7601783412032537`*^9, 3.763584773693891*^9, 3.764530351672988*^9, 
   3.7654722650198793`*^9, 3.766157518019858*^9}]
}, Open  ]],

Cell["Show that the two forms are the same.", "Text",
 CellChangeTimes->{{3.530739423393091*^9, 3.530739430617328*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"FileForm", "-", "TractorForm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepAAOne", ";"}]}], "Input",
 CellChangeTimes->{{3.530739453689999*^9, 3.530739506352123*^9}, {
   3.530739545327632*^9, 3.530739579427168*^9}, {3.530739614750931*^9, 
   3.530739666442596*^9}, 3.760178036131358*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepAATwo", ";"}]}], "Input",
 CellChangeTimes->{{3.530739710859969*^9, 3.530739727630225*^9}, 
   3.530739796914769*^9, {3.53073983077298*^9, 3.530739844136168*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"U", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAThree", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAAThree"}], "Input",
 CellChangeTimes->{{3.530739965263714*^9, 3.530740011707822*^9}, {
  3.530740083721891*^9, 3.53074018186441*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.530739967997522*^9, {3.530740006438558*^9, 3.530740013769218*^9}, {
   3.530740103019301*^9, 3.530740187106813*^9}, 3.530997517442953*^9, 
   3.571430496442279*^9, 3.5716030836865263`*^9, 3.760092177204274*^9, {
   3.760178016381612*^9, 3.7601780428112593`*^9}, 3.760178372697728*^9, 
   3.763584873738194*^9, 3.7645303631233253`*^9, 3.765472279976799*^9, 
   3.766157529019951*^9}]
}, Open  ]],

Cell["The output from the above commands should be zero.", "Text",
 CellChangeTimes->{{3.764530367737857*^9, 3.764530385581707*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1790, 1111},
WindowMargins->{{54, 9}, {Automatic, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1157, 34, 76, "Text"],
Cell[1705, 56, 603, 11, 64, "Text"],
Cell[2311, 69, 1276, 29, 149, "Text"],
Cell[3590, 100, 243, 6, 97, "Text"],
Cell[3836, 108, 485, 13, 107, "Text"],
Cell[4324, 123, 149, 2, 96, "Text"],
Cell[4476, 127, 225, 5, 64, "Text"],
Cell[4704, 134, 84, 2, 65, "Input"],
Cell[4791, 138, 161, 2, 96, "Text"],
Cell[4955, 142, 774, 14, 65, "Text"],
Cell[CellGroupData[{
Cell[5754, 160, 245, 5, 65, "Input"],
Cell[6002, 167, 1193, 26, 162, "Output"]
}, Open  ]],
Cell[7210, 196, 184, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[7419, 206, 102, 1, 63, "Input"],
Cell[7524, 209, 200, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7761, 219, 410, 6, 63, "Input"],
Cell[8174, 227, 881, 19, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9092, 251, 1508, 33, 667, "Input"],
Cell[10603, 286, 1420, 23, 80, "Print"]
}, Open  ]],
Cell[12038, 312, 561, 23, 123, "Text"],
Cell[CellGroupData[{
Cell[12624, 339, 209, 5, 65, "Input"],
Cell[12836, 346, 421, 10, 96, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13294, 361, 2501, 73, 753, "Input"],
Cell[15798, 436, 587, 12, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16422, 453, 201, 3, 63, "Input"],
Cell[16626, 458, 9601, 226, 2413, "Output"]
}, Open  ]],
Cell[26242, 687, 575, 19, 96, "Text"],
Cell[CellGroupData[{
Cell[26842, 710, 497, 15, 107, "Input"],
Cell[27342, 727, 454, 11, 146, "Output"]
}, Open  ]],
Cell[27811, 741, 626, 12, 192, "Text"],
Cell[CellGroupData[{
Cell[28462, 757, 219, 4, 65, "Input"],
Cell[28684, 763, 331, 5, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29052, 773, 292, 8, 107, "Input"],
Cell[29347, 783, 406, 10, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29790, 798, 127, 2, 63, "Input"],
Cell[29920, 802, 363, 9, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30320, 816, 989, 31, 236, "Input"],
Cell[31312, 849, 633, 13, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31982, 867, 809, 25, 236, "Input"],
Cell[32794, 894, 859, 17, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33690, 916, 596, 17, 107, "Input"],
Cell[34289, 935, 546, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34872, 951, 761, 22, 107, "Input"],
Cell[35636, 975, 569, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36242, 991, 304, 8, 107, "Input"],
Cell[36549, 1001, 418, 9, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37004, 1015, 747, 22, 107, "Input"],
Cell[37754, 1039, 604, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38395, 1056, 425, 12, 107, "Input"],
Cell[38823, 1070, 483, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39343, 1086, 624, 19, 107, "Input"],
Cell[39970, 1107, 543, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40550, 1123, 575, 17, 107, "Input"],
Cell[41128, 1142, 519, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41684, 1158, 564, 16, 107, "Input"],
Cell[42251, 1176, 530, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42818, 1192, 821, 25, 107, "Input"],
Cell[43642, 1219, 584, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44263, 1236, 942, 27, 149, "Input"],
Cell[45208, 1265, 619, 12, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45864, 1282, 1000, 28, 278, "Input"],
Cell[46867, 1312, 3312, 76, 669, "Output"]
}, Open  ]],
Cell[50194, 1391, 151, 2, 96, "Text"],
Cell[50348, 1395, 2112, 68, 710, "Input"],
Cell[52463, 1465, 698, 18, 308, "Input"],
Cell[CellGroupData[{
Cell[53186, 1487, 1537, 43, 565, "Input"],
Cell[54726, 1532, 463, 11, 103, "Output"]
}, Open  ]],
Cell[55204, 1546, 132, 1, 64, "Text"],
Cell[55339, 1549, 149, 2, 96, "Text"],
Cell[55491, 1553, 1464, 27, 234, "Text"],
Cell[56958, 1582, 285, 6, 64, "Text"],
Cell[57246, 1590, 132, 2, 91, "Input"],
Cell[57381, 1594, 254, 6, 64, "Text"],
Cell[57638, 1602, 132, 2, 91, "Input"],
Cell[57773, 1606, 253, 6, 64, "Text"],
Cell[58029, 1614, 132, 2, 124, "Input"]
}
]
*)

