(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     96430,       2928]
NotebookOptionsPosition[     89146,       2691]
NotebookOutlinePosition[     89888,       2715]
CellTagsIndexPosition[     89845,       2712]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "IDLXIDL.nb (\[OpenCurlyDoubleQuote]",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"n", "-", "5"}]], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["BC",
     FontSlant->"Italic"]], TraditionalForm]]],
 ")",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["D", "_"], "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["BC",
     FontSlant->"Italic"]], TraditionalForm]]],
 "\[CloseCurlyDoubleQuote])"
}], "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
   3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
   3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
   3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
   3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
   3.454692871706007*^9, 3.4546928917816563`*^9}, {3.761668062714501*^9, 
   3.761668082106745*^9}, 3.7616683244131527`*^9, {3.764532198619317*^9, 
   3.764532215003333*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["Date last modified:  6 May 2019", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQBGIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+B6S7PcLNdNq8cMwR2mINokfypD24A6RfLloHp5/kLb/LavnKMaNkB
ps8uCL3J4fPK8d//T2B6Tt4H/3NsbxzvvLgVAKJ7ZNb3nOV84/hkYnIviO4S
udRynPuN41NNxlYQveHU8YWuPG8c59Q8BdMh24WmCfK9cdzP4Aemdzo3vGXg
f+OYY/YSTDO9TDdJANI32SrANABbT87M
  "]],

Cell[TextData[{
 "In this notebook, we compute the above expression.  Here ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 " is the tractor second fundamental form, and",
 StyleBox[" ",
  FontSize->12],
 Cell[BoxData[
  FormBox[
   OverscriptBox["D", "_"], TraditionalForm]],
  FontSize->12],
 " is the intrinsic ",
 StyleBox["D",
  FontSlant->"Italic"],
 "-operator.  We will initially let ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 " denote ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  Later on, we will replace ",
 StyleBox["R",
  FontSlant->"Italic"],
 " and ",
 StyleBox["T",
  FontSlant->"Italic"],
 " with ",
 StyleBox["L",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.529525022392583*^9, 
   3.529525026257972*^9}, 3.761666714091861*^9, {3.761668103107819*^9, 
   3.7616681086752243`*^9}, {3.761668166268662*^9, 3.761668298101912*^9}, {
   3.76166834179065*^9, 3.7616684799756804`*^9}, {3.761668583625229*^9, 
   3.761668584368805*^9}, {3.7616693069138737`*^9, 3.761669310616973*^9}, {
   3.76547244907393*^9, 3.7654724515768127`*^9}, 3.765962612817861*^9}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defout.m"}]], "Input",
 CellChangeTimes->{3.76615778128796*^9}],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.529525022392583*^9, 
   3.529525026257972*^9}, 3.761666714091861*^9, {3.761668103107819*^9, 
   3.7616681086752243`*^9}, {3.761668166268662*^9, 3.761668298101912*^9}, {
   3.76166834179065*^9, 3.7616684799756804`*^9}, {3.761668583625229*^9, 
   3.761668584368805*^9}, {3.7616693069138737`*^9, 3.761669310616973*^9}, {
   3.76547244907393*^9, 3.7654724515768127`*^9}, 3.765962615328066*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.764272199805498*^9, 3.7642722015092697`*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.453159420682274*^9, 3.453664101780805*^9, 3.4537650309457912`*^9, 
   3.453768442958385*^9, 3.453844118631322*^9, 3.453858395155579*^9, 
   3.453915222079307*^9, 3.4539454046763563`*^9, 3.454006244931095*^9, 
   3.454084674302463*^9, 3.454097568777343*^9, 3.4541780304975758`*^9, 
   3.4541782316793613`*^9, 3.45417838963104*^9, 3.454181379603775*^9, 
   3.454194555282077*^9, 3.454256533202301*^9, 3.454265048850965*^9, 
   3.454265777769042*^9, 3.4542672055076313`*^9, 3.454267411278857*^9, 
   3.454273928094194*^9, 3.454278286744721*^9, 3.454280942277555*^9, 
   3.454344077173685*^9, 3.45454284668058*^9, 3.4545564076723423`*^9, 
   3.45460129755408*^9, 3.4546025763157187`*^9, 3.454605879937646*^9, 
   3.454606157330171*^9, 3.454606911337605*^9, 3.4546082183513403`*^9, 
   3.4546086431596203`*^9, 3.454689206558214*^9, 3.454691574532737*^9, 
   3.454692971940674*^9, 3.454695551454913*^9, 3.454698842133028*^9, 
   3.521499590407922*^9, 3.521513108084466*^9, 3.521562378831032*^9, 
   3.5215706132908783`*^9, 3.52157621789425*^9, 3.521670866476736*^9, 
   3.529525030683656*^9, {3.7616649184930763`*^9, 3.7616649396540327`*^9}, 
   3.76166679998877*^9, 3.761668614380754*^9, 3.7616693386312523`*^9, 
   3.7642721714544897`*^9, 3.764272203127307*^9, 3.764530455123722*^9, 
   3.765472458745369*^9, 3.7654725149565697`*^9, 3.766157804968505*^9}]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766157809974247*^9, 3.766157822507695*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.766157839450124*^9, 3.7661578423841143`*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766157843526186*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.761664882862093*^9, 3.761664883356256*^9}, {
  3.7616649234149637`*^9, 3.761664960404735*^9}, {3.765962685224799*^9, 
  3.765962686312541*^9}, {3.7661578324963503`*^9, 3.7661578359924307`*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{3.7616649615227118`*^9, 3.761666807877775*^9, 
  3.761668615156283*^9, 3.761669339734666*^9, 3.7642721729193077`*^9, 
  3.7642722042633247`*^9, 3.7645304566307917`*^9, 3.765472460233507*^9, 
  3.765472516776528*^9, 3.766157846955853*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Jan10.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.76166488400476*^9, 
  3.761664887228394*^9}, {3.7616649723977203`*^9, 3.76166499838906*^9}, {
  3.76427218347174*^9, 3.7642721838770638`*^9}}],

Cell["\<\
Time:  13 hours, 57 minutes, 32 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwVyWkog3EAx/HNlczdlJRjUYpoK1bK0T8ZMsNDrfbCrSRy1ogp95VXlFCu
vePFktmLxzVvmGvmCA+Kknjmcb3CC/L7v/j2efGVldczVWKRSKRE3/cKcRnL
E/nyRJ12jSfB0/urg9D6G106DPvaugtNMNAxVGCBi+YWySm0yHW2e/jG5xn+
oJurei9qnScV9Zw0Fiao2osZeDZg11O/p7QjVLUyRVwEV7YLG3Qw6KNmpRXa
mIubDvgVqOcNMMw31bUTel2aFF1QKfQzPTDZRT/TC+PM2U1G+JYR1OW2wZNK
jThCAj28X7xkMCSCXaQqLy2ZkfBaq6mhMgELNupBmHttFNzhcuepo+ncbw7U
XTeG50JFSZqdOl4w6Z8HE8a4pXxociQmsclO8vDxc2qFGg37dAU3D6VPt9D2
vmS8g1sx5hufFCeJD5l89FQ7icosNdg9BFJ9oio5hp+sjDggG8tNU7mj175d
iUDkzxtD1NDZLGOGN37l+VyAr0Csqc3ppX4C+QfKmOGX
  "]]
}, Open  ]],

Cell["\<\
In the first part of this notebook, the following two tensors will denote the \
tractor second fundamental form.\
\>", "Text",
 CellChangeTimes->{{3.761669377386978*^9, 3.76166941370964*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"RRR", ",", "2", ",", 
   RowBox[{"Bundle", "\[Rule]", "tractor1"}]}], "]"}]], "Input"],

Cell["\<\
Tensor RRR defined.
  Rank = 2  Symmetries = NoSymmetries
  Type = {Real}  Bundle = tractor1  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.521562431870262*^9, 3.521670879238843*^9, 
  3.529525040675708*^9, 3.761665004494632*^9, 3.761666812682184*^9, 
  3.7616686272640533`*^9, 3.761669371182724*^9, 3.764530463647972*^9, 
  3.765472532480893*^9, 3.766157856445891*^9}],

Cell[OutputFormData["\<\
RRR\
\>", "\<\
RRR\
\>"], "Output",
 CellChangeTimes->{3.521562431902101*^9, 3.52167087926902*^9, 
  3.529525040896464*^9, 3.761665004495517*^9, 3.761666812683381*^9, 
  3.761668627265478*^9, 3.7616693711836987`*^9, 3.764530463648872*^9, 
  3.765472532481859*^9, 3.766157856447443*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"TTT", ",", "2", ",", 
   RowBox[{"Bundle", "\[Rule]", "tractor1"}]}], "]"}]], "Input"],

Cell["\<\
Tensor TTT defined.
  Rank = 2  Symmetries = NoSymmetries
  Type = {Real}  Bundle = tractor1  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.521562432996059*^9, 3.521670879854313*^9, 
  3.529525041910523*^9, 3.761665006347027*^9, 3.761666814215911*^9, 
  3.761668628697473*^9, 3.761669372517769*^9, 3.764530464341736*^9, 
  3.765472533280939*^9, 3.766157858666439*^9}],

Cell[OutputFormData["\<\
TTT\
\>", "\<\
TTT\
\>"], "Output",
 CellChangeTimes->{3.521562433026308*^9, 3.521670879887018*^9, 
  3.529525042299877*^9, 3.761665006348077*^9, 3.7616668142171183`*^9, 
  3.761668628698531*^9, 3.7616693725190973`*^9, 3.764530464342886*^9, 
  3.765472533281966*^9, 3.766157858667598*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HolderRight", "=", 
   RowBox[{"TTT", "[", 
    RowBox[{
     RowBox[{"U", "[", "BB", "]"}], ",", 
     RowBox[{"U", "[", "CC", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "HolderRight"}], "Input"],

Cell[OutputFormData["\<\
TTT[U[BB], U[CC]]\
\>", "\<\
   BB CC 
TTT\
\>"], "Output",
 CellChangeTimes->{3.5216708804364634`*^9, 3.529525044680756*^9, 
  3.7616650070932703`*^9, 3.761666815266515*^9, 3.761668630460747*^9, 
  3.761669431958708*^9, 3.764530464998023*^9, 3.765472541401668*^9, 
  3.7661578594161053`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HolderLeft", "=", 
   RowBox[{"RRR", "[", 
    RowBox[{
     RowBox[{"L", "[", "BB", "]"}], ",", 
     RowBox[{"L", "[", "CC", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "HolderLeft"}], "Input"],

Cell[OutputFormData["\<\
RRR[L[BB], L[CC]]\
\>", "\<\
RRR
   BB CC\
\>"], "Output",
 CellChangeTimes->{3.521670881020336*^9, 3.529525133327751*^9, 
  3.761665007983314*^9, 3.761666820121814*^9, 3.761668631795887*^9, 
  3.7616694347678947`*^9, 3.764530465709013*^9, 3.765472542471973*^9, 
  3.766157860098156*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderRight"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOpSig", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"U", "[", "AA", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"RightPiece", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "RightPiece"}], "Input",
 CellChangeTimes->{{3.761668678225645*^9, 3.761668679241468*^9}}],

Cell[OutputFormData["\<\
TrPSigma*TTT[U[BB], U[CC]]*XS[U[AA]] - TTT[U[BB], U[CC]] [L[a], \
U[a]]*XS[U[AA]] + 

   (5 - amn)*TTT[U[BB], U[CC]]*YS[U[AA]] + (-5 + amn)*TTT[U[BB], U[CC]] \
[L[a]]*ZS[U[AA], U[a]]\
\>", "\<\
            BB CC    AA       BB CC    a    AA                 BB CC    AA    \
              BB CC       AA a 
TrPSigma TTT       XS    - TTT            XS    + (5 - amn) TTT       YS    + \
(-5 + amn) TTT          ZS
                                    ;a                                        \
                    ;a\
\>"], "Output",
 CellChangeTimes->{3.521670881654326*^9, 3.529525217415883*^9, 
  3.761665008816649*^9, 3.7616668210375547`*^9, 3.761668680798175*^9, 
  3.7616694415846443`*^9, 3.764530466426764*^9, 3.765472545286518*^9, 
  3.766157860771311*^9}]
}, Open  ]],

Cell[TextData[{
 "All ",
 StyleBox["Ricci",
  FontSlant->"Italic"],
 " covariant derivatives in the above expression are intrinsic covariant \
derivatives.  There should be no explicit occurrences of the ambient \
dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 ".  The ambient dimension here is ",
 StyleBox["amn", "Input"],
 ".  Later on, we will convert ",
 StyleBox["amn", "Input"],
 " to ",
 StyleBox["n",
  FontSlant->"Italic"],
 "."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RightPiece", "-", 
  RowBox[{"(", 
   RowBox[{"RightPiece", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.52952525461584*^9, 3.761665011184414*^9, 
  3.761666828375894*^9, 3.761668690733206*^9, 3.761669454851959*^9, 
  3.764530469446371*^9, 3.765472627997368*^9, 3.766157880317375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderLeft"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOpSig", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"LeftPiece", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "LeftPiece"}], "Input",
 CellChangeTimes->{{3.761668695345793*^9, 3.761668696313661*^9}}],

Cell[OutputFormData["\<\
-(RRR[L[BB], L[CC]] [L[a], U[a]]*XS[L[AA]]) + RRR[L[BB], \
L[CC]]*TrPSigma*XS[L[AA]] + 

   (5 - amn)*RRR[L[BB], L[CC]]*YS[L[AA]] + (-5 + amn)*RRR[L[BB], L[CC]] \
[L[a]]*ZS[L[AA], U[a]]\
\>", "\<\
             a                                                                \
                              a 
-RRR            XS    + RRR       TrPSigma XS    + (5 - amn) RRR       YS    \
+ (-5 + amn) RRR          ZS
    BB CC ;a      AA       BB CC             AA                 BB CC    AA   \
               BB CC ;a    AA\
\>"], "Output",
 CellChangeTimes->{3.529525312784198*^9, 3.761665012002149*^9, 
  3.761666840402996*^9, 3.761668697323744*^9, 3.761669477469282*^9, 
  3.764530470232329*^9, 3.765472649029327*^9, 3.766157882572278*^9}]
}, Open  ]],

Cell[TextData[{
 "Again, there should be no ",
 StyleBox["n",
  FontSlant->"Italic"],
 "'s in the above output.  All covariant derivatives in the above expression \
are intrinsic covariant derivatives."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LeftPiece", "-", 
  RowBox[{"(", 
   RowBox[{"LeftPiece", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.529525394736792*^9, 3.761665013240114*^9, 
  3.761666843690949*^9, 3.7616686994255037`*^9, 3.7616694841782017`*^9, 
  3.7645304718207912`*^9, 3.765472675123307*^9, 3.7661578846601543`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"NewDummy", "[", "LeftPiece", "]"}], "*", 
     RowBox[{"NewDummy", "[", "RightPiece", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionAA", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "LionAA"}], "Input"],

Cell[OutputFormData["\<\
(-5 + amn)*RRR[L[AA], L[BB]] [L[a], U[a]]*TTT[U[AA], U[BB]] - 2*(-5 + \
amn)*RRR[L[AA], L[BB]]*TrPSigma*

    TTT[U[AA], U[BB]] + (-5 + amn)^2*gSgm[L[a], L[b]]*RRR[L[AA], L[BB]] \
[U[a]]*TTT[U[AA], U[BB]] [U[b]] + 

   (-5 + amn)*RRR[L[AA], L[BB]]*TTT[U[AA], U[BB]] [L[a], U[a]]\
\>", "\<\
                       a     AA BB                                         AA \
BB 
(-5 + amn) RRR            TTT       - (2 (-5 + amn)) RRR       TrPSigma TTT   \
    + 
              AA BB ;a                                  AA BB 
 
            2                    a     AA BB  b                            AA \
BB    a 
  (-5 + amn)  gSgm     RRR          TTT          + (-5 + amn) RRR       TTT
                  a b     AA BB ;            ;                   AA BB        \
   ;a\
\>"], "Output",
 CellChangeTimes->{3.529525404148023*^9, 3.76166501402658*^9, 
  3.761666845392152*^9, 3.7616687012502728`*^9, 3.761669485545993*^9, 
  3.7645304724680758`*^9, 3.76547270115738*^9, 3.766157885390345*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LionAA", "-", 
  RowBox[{"(", 
   RowBox[{"LionAA", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.529525454107573*^9, 3.7616650159878197`*^9, 
  3.761666847773889*^9, 3.761668721625483*^9, 3.761669489767302*^9, 
  3.76453047425784*^9, 3.76547270653476*^9, 3.7661578877248363`*^9}]
}, Open  ]],

Cell[TextData[{
 "Again, there should be no explicit occurrences of the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 ".  But as you can see, we have ",
 StyleBox["amn", "Input"],
 ".  Also note that each term contains a factor ",
 StyleBox["amn-5", "Input"],
 ".  We now divide this factor out."
}], "Text",
 CellChangeTimes->{
  3.7616655124915333`*^9, {3.761668926460585*^9, 3.761668934868331*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "LionAA"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"amn", "-", "5"}], ")"}]}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionBB", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "LionBB"}], "Input",
 CellChangeTimes->{{3.7616687154178677`*^9, 3.761668717977889*^9}}],

Cell[OutputFormData["\<\
RRR[L[AA], L[BB]] [L[a], U[a]]*TTT[U[AA], U[BB]] - 2*RRR[L[AA], \
L[BB]]*TrPSigma*TTT[U[AA], U[BB]] + 

   (-5 + amn)*gSgm[L[a], L[b]]*RRR[L[AA], L[BB]] [U[a]]*TTT[U[AA], U[BB]] \
[U[b]] + 

   RRR[L[AA], L[BB]]*TTT[U[AA], U[BB]] [L[a], U[a]]\
\>", "\<\
            a     AA BB                            AA BB                      \
            a     AA BB  b 
RRR            TTT       - 2 RRR       TrPSigma TTT       + (-5 + amn) gSgm   \
  RRR          TTT          + 
   AA BB ;a                     AA BB                                      a \
b     AA BB ;            ;
 
               AA BB    a 
  RRR       TTT
     AA BB           ;a\
\>"], "Output",
 CellChangeTimes->{
  3.529525501481912*^9, 3.761665017659877*^9, 3.761666849978876*^9, 
   3.7616687259147797`*^9, {3.76166897570811*^9, 3.7616689895818357`*^9}, 
   3.7616694998726177`*^9, 3.764530477938799*^9, 3.76547271636296*^9, 
   3.766157897463332*^9}]
}, Open  ]],

Cell[TextData[{
 "We now replace ",
 StyleBox["RRR", "Input"],
 " and ",
 StyleBox["TTT", "Input"],
 " with the \[OpenCurlyDoubleQuote]totally intrinsic tractor second \
fundamental form.\[CloseCurlyDoubleQuote]  See below."
}], "Text",
 CellChangeTimes->{{3.761666211180119*^9, 3.7616662390199614`*^9}, {
  3.761669005741317*^9, 3.761669054045332*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"TotallyIntrinsicTractorSFF", "[", 
    RowBox[{
     RowBox[{"L", "[", "AA", "]"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.7616655208318577`*^9, 3.761665575436626*^9}, {
  3.761666193013082*^9, 3.761666197715672*^9}}],

Cell[OutputFormData["\<\
TotallyIntrinsicTractorSFF[L[AA], L[BB]]\
\>", "\<\
TotallyIntrinsicTractorSFF
                          AA BB\
\>"], "Output",
 CellChangeTimes->{3.761666200290659*^9, 3.761666241425744*^9, 
  3.761666863808621*^9, 3.761668728898527*^9, 3.761669525782894*^9, 
  3.764530479772326*^9, 3.765472723978855*^9, 3.766157900035327*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTotallyIntrinsicTractorSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7616655208318577`*^9, 3.761665575436626*^9}, 
   3.761666193013082*^9}],

Cell[OutputFormData["\<\
(TfSFF[L[a], L[b]] [U[a], U[b]]*XS[L[AA]]*XS[L[BB]])/(-2 + amn) + 

   RhoSigma[L[a], L[b]]*TfSFF[U[a], U[b]]*XS[L[AA]]*XS[L[BB]] - 

   ((-3 + amn)*TfSFF[L[a], L[b]] [U[a]]*XS[L[BB]]*ZS[L[AA], U[b]])/(-2 + amn) \
- 

   ((-3 + amn)*TfSFF[L[a], L[b]] [U[a]]*XS[L[AA]]*ZS[L[BB], U[b]])/(-2 + amn) \
+ 

   (-3 + amn)*TfSFF[L[a], L[b]]*ZS[L[AA], U[a]]*ZS[L[BB], U[b]]\
\>", "\<\
   1               a b                                  a b 
-------- TfSFF          XS    XS    + RhoSigma     TfSFF     XS    XS    - 
-2 + amn      a b ;       AA    BB            a b              AA    BB 
 
  -3 + amn           a             b    -3 + amn           a             b 
  -------- TfSFF        XS    ZS      - -------- TfSFF        XS    ZS      + \

  -2 + amn      a b ;     BB    AA      -2 + amn      a b ;     AA    BB 
 
                            a       b 
  (-3 + amn) TfSFF     ZS      ZS
                  a b    AA      BB\
\>"], "Output",
 CellChangeTimes->{{3.761665564254655*^9, 3.761665578535321*^9}, 
   3.7616662459842653`*^9, 3.761666880850251*^9, 3.761668730203171*^9, 
   3.761669534879437*^9, 3.764530480592145*^9, 3.765472725296288*^9, 
   3.7661579014899*^9}]
}, Open  ]],

Cell[TextData[{
 "The above formula is taken from Proposition 3.7 of our article.  ",
 StyleBox["The semicolon indicates the intrinsic derivative!",
  FontWeight->"Bold"],
 "  The identifier ",
 StyleBox["amn", "Input"],
 " denotes the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.761666258947815*^9, 3.761666363653324*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"MayTenRule", ",", "RRR", ",", "TotallyIntrinsicTractorSFF", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.529525584518847*^9, 3.761665019006329*^9, 
  3.76166690753207*^9, 3.761668733719984*^9, 3.761669647839388*^9, 
  3.764530483662068*^9, 3.765472729781412*^9, 3.76615791693333*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"MayTenRule", ",", "TTT", ",", "TotallyIntrinsicTractorSFF"}], 
  "]"}]], "Input"],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.52952558728942*^9, 3.761665023030981*^9, 
  3.761666908247078*^9, 3.761668734443844*^9, 3.7616696498937807`*^9, 
  3.764530484408904*^9, 3.765472731825079*^9, 3.766157918654848*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"RRR", "[", 
      RowBox[{
       RowBox[{"L", "[", "AA", "]"}], ",", 
       RowBox[{"L", "[", "BB", "]"}]}], "]"}], ",", 
     RowBox[{"TTT", "[", 
      RowBox[{
       RowBox[{"L", "[", "AA", "]"}], ",", 
       RowBox[{"L", "[", "BB", "]"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"RRR", "[", 
       RowBox[{
        RowBox[{"L", "[", "AA", "]"}], ",", 
        RowBox[{"L", "[", "BB", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"TTT", "[", 
       RowBox[{
        RowBox[{"L", "[", "AA", "]"}], ",", 
        RowBox[{"L", "[", "BB", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input"],

Cell[OutputFormData["\<\
{RRR[L[AA], L[BB]], TTT[L[AA], L[BB]], RRR[L[AA], L[BB]] [L[i]], TTT[L[AA], \
L[BB]] [L[i]]}\
\>", "\<\
{RRR      , TTT      , RRR         , TTT         }
    AA BB      AA BB      AA BB ;i      AA BB ;i\
\>"], "Output",
 CellChangeTimes->{3.529525593917312*^9, 3.7616650240504837`*^9, 
  3.761666909152904*^9, 3.7616687352205887`*^9, 3.761669654747115*^9, 
  3.764530485613035*^9, 3.765472733153864*^9, 3.7661579194346447`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "MayTenRule"}]], "Input"],

Cell[OutputFormData["\<\
{TotallyIntrinsicTractorSFF[L[AA], L[BB]], TotallyIntrinsicTractorSFF[L[AA], \
L[BB]], 

   TotallyIntrinsicTractorSFF[L[AA], L[BB]] [L[i]], \
TotallyIntrinsicTractorSFF[L[AA], L[BB]] [L[i]]}\
\>", "\<\
{TotallyIntrinsicTractorSFF      , TotallyIntrinsicTractorSFF      , \
TotallyIntrinsicTractorSFF         , 
                           AA BB                             AA BB            \
                 AA BB ;i 
 
  TotallyIntrinsicTractorSFF         }
                            AA BB ;i\
\>"], "Output",
 CellChangeTimes->{3.529525608610408*^9, 3.7616650259141493`*^9, 
  3.7616669105321827`*^9, 3.7616687366086607`*^9, 3.761669656641038*^9, 
  3.7645304868248873`*^9, 3.765472734085518*^9, 3.7661579203205338`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "LionBB"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "MayTenRule"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionCC", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "LionCC"}], "Input",
 CellChangeTimes->{{3.761668770674317*^9, 3.761668771066329*^9}}],

Cell[OutputFormData["\<\
(-5 + amn)*gSgm[L[a], L[b]]*TotallyIntrinsicTractorSFF[L[AA], L[BB]] [U[a]]*

    TotallyIntrinsicTractorSFF[U[AA], U[BB]] [U[b]] + \
2*TotallyIntrinsicTractorSFF[L[AA], L[BB]]*

    TotallyIntrinsicTractorSFF[U[AA], U[BB]] [L[a], U[a]] - \
2*TotallyIntrinsicTractorSFF[L[AA], L[BB]]*

    TotallyIntrinsicTractorSFF[U[AA], U[BB]]*TrPSigma\
\>", "\<\
                                                     a                        \
    AA BB  b 
(-5 + amn) gSgm     TotallyIntrinsicTractorSFF          \
TotallyIntrinsicTractorSFF          + 
               a b                            AA BB ;                         \
          ;
 
                                                               AA BB    a 
  2 TotallyIntrinsicTractorSFF       TotallyIntrinsicTractorSFF            - 
                              AA BB                                  ;a 
 
                                                               AA BB 
  2 TotallyIntrinsicTractorSFF       TotallyIntrinsicTractorSFF       \
TrPSigma
                              AA BB\
\>"], "Output",
 CellChangeTimes->{3.761668773435945*^9, 3.761669678828578*^9, 
  3.7645304894803247`*^9, 3.765472735019189*^9, 3.766157921136579*^9}]
}, Open  ]],

Cell["The following cell may take 10 seconds to execute.", "Text",
 CellChangeTimes->{{3.761666937236536*^9, 3.7616669414043827`*^9}, 
   3.7616688193548107`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "LionCC"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTotallyIntrinsicTractorSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{
    StyleBox["TensorExpand",
     FontColor->GrayLevel[0]], "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "GradXYZSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "GradXYZSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionDD", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input"],

Cell["\<\
Time:  13 hours, 59 minutes, 18 seconds
Date:  6 May 2019
Time:  13 hours, 59 minutes, 28 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.529525698628148*^9, 3.761665056503709*^9, 3.761666921205544*^9, 
   3.761668825778509*^9, 3.761669687698451*^9, 3.764530492924284*^9, 
   3.76547274599818*^9, {3.766157930279401*^9, 3.7661579581704493`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionDD", "]"}]], "Input"],

Cell[OutputFormData["\<\
456\
\>", "\<\
456\
\>"], "Output",
 CellChangeTimes->{3.761665066802938*^9, 3.761666945084223*^9, 
  3.761668837461771*^9, 3.76166971369105*^9, 3.764530504995647*^9, 
  3.765472758540639*^9, 3.766157969343624*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "LionDD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionEE", "=", "Temp"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionEE", "]"}]], "Input"],

Cell[OutputFormData["\<\
25\
\>", "\<\
25\
\>"], "Output",
 CellChangeTimes->{3.529525951108814*^9, 3.7616650673841476`*^9, 
  3.7616669474112473`*^9, 3.76166884100204*^9, 3.761669716478737*^9, 
  3.7645305095106163`*^9, 3.7654727614594803`*^9, 3.766157973546949*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["LionEE"], "Input"],

Cell[OutputFormData["\<\
(-4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[d], U[d]]*TfSFF[U[a], L[c]] \
[U[c]]*TfSFF[U[b], L[e]] [U[e]])/

    (-2 + amn)^2 + 2*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]] [L[e], U[e]]*

    TfSFF[U[b], U[d]] - 4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*RhoSigma[U[c], L[e]]*TfSFF[U[a], \\
U[e]]*
  TfSFF[U[b], U[d]] - (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[U[a], \
L[c]]*TfSFF[U[b], L[d]] [U[d]]*

     TfSFF[U[c], L[e]] [U[e]])/(-2 + amn)^2 + (2*(-3 + amn)^2*gSgm[L[a], \
L[b]] [U[a]]*gSgm[L[c], L[d]]*

     TfSFF[U[b], U[d]]*TfSFF[U[c], L[e]] [U[e]])/(-2 + amn) + 

   (2*(-3 + amn)^2*gSgm[L[a], L[b]] [U[a]]*gSgm[L[c], L[d]]*TfSFF[U[b], \
U[d]]*TfSFF[U[c], U[e]] [L[e]])/

    (-2 + amn) + (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]] [U[b]]*

     TfSFF[U[d], L[e]] [U[e]])/(-2 + amn) + (4*(-3 + amn)*gSgm[L[a], \
L[b]]*gSgm[U[b], L[c]]*TfSFF[U[a], \\
U[c]]*
   TfSFF[U[d], L[e]] [L[d], U[e]])/(-2 + amn) + (2*(-5 + amn)*(-3 + \
amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \\
L[d]]*
   gSgm[U[a], U[b]]*TfSFF[U[c], L[e]] [U[e]]*TfSFF[U[d], L[i]] [U[i]])/(-2 + \
amn)^2 + 

   (4*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*gSgm[U[b], \
L[d]]*TfSFF[U[c], L[e]] [U[e]]*

     TfSFF[U[d], L[i]] [U[i]])/(-2 + amn)^2 - (4*(-5 + amn)*(-3 + \
amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*

     gSgm[U[a], L[e]]*TfSFF[U[c], U[e]] [U[b]]*TfSFF[U[d], L[i]] [U[i]])/(-2 \
+ amn) + 

   ((-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*gSgm[U[a], \
L[e]]*TfSFF[U[c], U[e]]*

     TfSFF[U[d], L[i]] [U[i], U[b]])/(-2 + amn) + 

   (4*(-3 + amn)*gSgm[L[a], L[d]]*gSgm[U[a], L[e]]*TfSFF[L[b], L[c]] [U[b], \
U[c]]*TfSFF[U[d], U[e]])/

    (-2 + amn) + 4*(-3 + amn)*gSgm[L[a], L[c]]*gSgm[L[b], \
U[c]]*RhoSigma[L[d], L[e]]*TfSFF[U[a], U[b]]*

    TfSFF[U[d], U[e]] + 4*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], \
L[c]]*RhoSigma[L[d], L[e]]*TfSFF[U[b], \\
U[c]]*
  TfSFF[U[d], U[e]] + 4*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*gSgm[U[a], L[e]]*

    RhoSigma[U[b], L[i]]*TfSFF[U[c], U[i]]*TfSFF[U[d], U[e]] - 

   (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[b], \
U[c]]*TfSFF[U[d], U[e]] [L[e], U[a]])/

    (-2 + amn) - 4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*gSgm[L[e], \
L[i]]*RhoSigma[U[a], U[e]]*

    TfSFF[U[b], U[c]]*TfSFF[U[d], U[i]] + (-5 + amn)*(-3 + amn)^2*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*

    gSgm[L[e], L[i]]*TfSFF[U[c], U[e]] [U[b]]*TfSFF[U[d], U[i]] [U[a]] + 

   (3*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*gSgm[U[a], \
L[e]]*TfSFF[U[c], U[e]]*

     TfSFF[U[d], U[i]] [L[i], U[b]])/(-2 + amn) - ((-5 + amn)*(-3 + \
amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*

     gSgm[U[b], L[d]]*TfSFF[U[c], U[d]]*TfSFF[U[e], L[i]] [L[e], U[i]])/(-2 + \
amn) - 

   ((-5 + amn)*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*gSgm[U[b], \
L[d]]*TfSFF[U[c], U[d]]*

     TfSFF[U[e], L[i]] [U[i], L[e]])/(-2 + amn) - (2*(-5 + amn)*(-3 + \
amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[e]]*

     gSgm[U[b], L[i]]*TfSFF[L[c], L[d]] [U[c], U[d]]*TfSFF[U[e], U[i]])/(-2 + \
amn) - 

   4*(-5 + amn)*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*gSgm[U[b], \
L[d]]*RhoSigma[L[e], L[i]]*

    TfSFF[U[c], U[d]]*TfSFF[U[e], U[i]] - 2*(-3 + amn)^2*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], U[c]]*

    TfSFF[U[b], U[d]]*TrPSigma\
\>", "\<\
             2
-4 (-3 + amn)                 d       a    c       b    e 
-------------- gSgm     gSgm     TfSFF        TfSFF        + 
           2       a b      d           c ;          e ;
 (-2 + amn)
 
               2                         a c    e       b d 
  (2 (-3 + amn) ) gSgm     gSgm     TfSFF          TfSFF     - 
                      a b      c d           ;e 
 
               2                            c         a e       b d 
  (4 (-3 + amn) ) gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                      a b      c d            e 
 
              2
  8 (-3 + amn)               a         b    d       c    e 
  ------------- gSgm     gSgm     TfSFF        TfSFF        + 
             2      a b        c         d ;          e ;
   (-2 + amn)
 
              2
  2 (-3 + amn)           a                b d       c    e 
  ------------- gSgm        gSgm     TfSFF     TfSFF        + 
    -2 + amn        a b ;       c d                   e ;
 
              2
  2 (-3 + amn)           a                b d       c e 
  ------------- gSgm        gSgm     TfSFF     TfSFF        + 
    -2 + amn        a b ;       c d                     ;e 
 
              2
  8 (-3 + amn)                         a c  b       d    e 
  ------------- gSgm     gSgm     TfSFF        TfSFF        + 
    -2 + amn        a b      c d           ;          e ;
 
  4 (-3 + amn)              b         a c       d      e 
  ------------ gSgm     gSgm     TfSFF     TfSFF          + 
    -2 + amn       a b        c                   e ;d 
 
                         2
  2 (-5 + amn) (-3 + amn)                        a b       c    e       d    i 
  ------------------------ gSgm     gSgm     gSgm     TfSFF        TfSFF      \
  + 
                  2            a b      c d                  e ;          i ;
        (-2 + amn)
 
                         2
  4 (-5 + amn) (-3 + amn)               a        b         c    e       d    i 
  ------------------------ gSgm     gSgm     gSgm     TfSFF        TfSFF      \
  - 
                  2            a b        c        d         e ;          i ;
        (-2 + amn)
 
                         2
  4 (-5 + amn) (-3 + amn)                        a         c e  b       d    i 
  ------------------------ gSgm     gSgm     gSgm     TfSFF        TfSFF      \
  + 
          -2 + amn             a b      c d        e           ;          i ;
 
                       2
  (-5 + amn) (-3 + amn)                        a         c e       d    i b 
  ---------------------- gSgm     gSgm     gSgm     TfSFF     TfSFF          + 
         -2 + amn            a b      c d        e                   i ;
 
  4 (-3 + amn)              a              b c       d e 
  ------------ gSgm     gSgm     TfSFF          TfSFF     + 
    -2 + amn       a d        e       b c ;
 
                                c                    a b       d e 
  (4 (-3 + amn)) gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                     a c      b            d e 
 
                              a                      b c       d e 
  (4 (-3 + amn)) gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                     a b        c          d e 
 
                          2                        a            b         c i \
      d e 
  (4 (-5 + amn) (-3 + amn) ) gSgm     gSgm     gSgm     RhoSigma     TfSFF    \
 TfSFF     - 
                                 a b      c d        e            i 
 
              2
  8 (-3 + amn)                         b c       d e    a 
  ------------- gSgm     gSgm     TfSFF     TfSFF          - 
    -2 + amn        a b      c d                     ;e 
 
               2                                     a e       b c       d i 
  (4 (-3 + amn) ) gSgm     gSgm     gSgm     RhoSigma     TfSFF     TfSFF     \
+ 
                      a b      c d      e i 
 
                        2                                  c e  b       d i  a 
  ((-5 + amn) (-3 + amn) ) gSgm     gSgm     gSgm     TfSFF        TfSFF      \
  + 
                               a b      c d      e i           ;            ;
 
                         2
  3 (-5 + amn) (-3 + amn)                        a         c e       d i    b \

  ------------------------ gSgm     gSgm     gSgm     TfSFF     TfSFF         \
 - 
          -2 + amn             a b      c d        e                     ;i 
 
  (-5 + amn) (-3 + amn)              a        b         c d       e      i 
  --------------------- gSgm     gSgm     gSgm     TfSFF     TfSFF          - \

        -2 + amn            a b        c        d                   i ;e 
 
  (-5 + amn) (-3 + amn)              a        b         c d       e    i 
  --------------------- gSgm     gSgm     gSgm     TfSFF     TfSFF          - \

        -2 + amn            a b        c        d                   i ;  e 
 
  2 (-5 + amn) (-3 + amn)              a        b              c d       e i 
  ----------------------- gSgm     gSgm     gSgm     TfSFF          TfSFF     \
- 
         -2 + amn             a b        e        i       c d ;
 
                                         a        b                      c d  \
     e i 
  (4 (-5 + amn) (-3 + amn)) gSgm     gSgm     gSgm     RhoSigma     TfSFF     \
TfSFF     - 
                                a b        c        d          e i 
 
               2                         a c       b d 
  (2 (-3 + amn) ) gSgm     gSgm     TfSFF     TfSFF     TrPSigma
                      a b      c d\
\>"], "Output",
 CellChangeTimes->{3.52952595682206*^9, 3.7616650675403023`*^9, 
  3.761666948467668*^9, 3.761668842510474*^9, 3.761669717649922*^9, 
  3.7645305105859013`*^9, 3.765472762774179*^9, 3.766157975969102*^9}]
}, Open  ]],

Cell[TextData[{
 "Inspect the above output, and make sure that there are no explicit \
references to the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 ".  Again, all explicit Ricci covariant derivatives are assumed to be \
intrinsic covariant derivatives."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LionEE", "-", 
  RowBox[{"(", 
   RowBox[{"LionEE", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.529525964853015*^9, 3.76166507104993*^9, 
  3.7616669573500957`*^9, 3.7616688463642063`*^9, 3.761669782769574*^9, 
  3.764530515483795*^9, 3.7654728484799356`*^9, 3.766157984141366*^9}]
}, Open  ]],

Cell[TextData[{
 "Now prepare to expand the intrinsic covariant derivatives.  The idea is to \
express them in terms of ambient derivatives.  We begin by encoding the \
explicit intrinsic derivatives into alias identifiers.  We will then expand \
these alias identifiers.  After we perform the expansion, the semicolon will \
denote the ambient covariant derivative.  Further information is available in \
the notebook ",
 StyleBox["Alias.nb", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.761665097789196*^9, 3.761665101534601*^9}, {
  3.7616673149608717`*^9, 3.7616674308019323`*^9}, {3.76323586580739*^9, 
  3.7632358763909388`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Warning1.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.761664888076215*^9, {3.761665077190321*^9, 3.76166510903094*^9}}],

Cell["Encode the intrinsic derivatives into alias identifiers.", "Text",
 CellChangeTimes->{{3.761667452915415*^9, 3.761667466622129*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "LionEE"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillgSgmDer"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TfSFFDTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TfSFFDOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionFF", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "LionFF"}], "Input"],

Cell[OutputFormData["\<\
8*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*RhoSigma[L[d], \
L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] - 

   4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*RhoSigma[U[a], \
L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] \\
- 
 4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*gSgm[L[e], \
L[i]]*RhoSigma[U[a], U[c]]*TfSFF[U[b], U[e]]*

    TfSFF[U[d], U[i]] + 4*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*gSgm[U[a], L[e]]*

    RhoSigma[U[b], L[i]]*TfSFF[U[c], U[e]]*TfSFF[U[d], U[i]] - 4*(-5 + \
amn)*(-3 + amn)*gSgm[L[a], L[b]]*

    gSgm[U[a], L[c]]*gSgm[U[b], L[d]]*RhoSigma[L[e], L[i]]*TfSFF[U[c], \
U[d]]*TfSFF[U[e], U[i]] - 

   (4*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], U[c]]*TfSFFDOne[U[a], L[d], \
U[d]]*TfSFFDOne[U[b], L[e], \\
U[e]])/
  (-2 + amn)^2 + (-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*gSgm[L[e], L[i]]*

    TfSFFDOne[U[a], U[c], U[e]]*TfSFFDOne[U[b], U[d], U[i]] - 

   (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFFDOne[U[b], L[d], \
U[d]]*TfSFFDOne[U[c], L[e], \\
U[e]])/
  (-2 + amn)^2 + (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFFDOne[U[a], L[e], U[e]]*

     TfSFFDOne[U[c], U[b], U[d]])/(-2 + amn) + (2*(-5 + amn)*(-3 + \
amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*

     gSgm[U[a], U[b]]*TfSFFDOne[U[c], L[e], U[e]]*TfSFFDOne[U[d], L[i], \
U[i]])/(-2 + amn)^2 + 

   (4*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*gSgm[U[b], \
L[d]]*TfSFFDOne[U[c], L[e], U[e]]*

     TfSFFDOne[U[d], L[i], U[i]])/(-2 + amn)^2 - (4*(-5 + amn)*(-3 + \
amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], \\
L[d]]*
   gSgm[U[a], L[e]]*TfSFFDOne[U[c], L[i], U[i]]*TfSFFDOne[U[d], U[e], \
U[b]])/(-2 + amn) + 

   (8*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFF[U[b], \
U[c]]*TfSFFDTwo[L[d], L[e], U[d], U[e]])/

    (-2 + amn) - (3*(-5 + amn)*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], \
L[c]]*gSgm[U[b], L[d]]*TfSFF[U[c], \\
U[d]]*
   TfSFFDTwo[L[e], L[i], U[e], U[i]])/(-2 + amn) - 

   ((-5 + amn)*(-3 + amn)*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*gSgm[U[b], \
L[d]]*TfSFF[U[c], U[d]]*

     TfSFFDTwo[L[e], L[i], U[i], U[e]])/(-2 + amn) - 

   (8*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \
U[c]]*TfSFFDTwo[U[b], L[e], U[e], U[d]])/

    (-2 + amn) + 2*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \
U[c]]*

    TfSFFDTwo[U[b], U[d], L[e], U[e]] + (4*(-5 + amn)*(-3 + amn)^2*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*

     gSgm[U[a], L[e]]*TfSFF[U[c], U[e]]*TfSFFDTwo[U[d], L[i], U[i], \
U[b]])/(-2 + amn) - 

   2*(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \
U[c]]*TfSFF[U[b], U[d]]*TrPSigma\
\>", "\<\
                            a                      b c       d e 
(8 (-3 + amn)) gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                   a b        c          d e 
 
               2                            a         b c       d e 
  (4 (-3 + amn) ) gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                      a b      c d            e 
 
               2                                     a c       b e       d i 
  (4 (-3 + amn) ) gSgm     gSgm     gSgm     RhoSigma     TfSFF     TfSFF     \
+ 
                      a b      c d      e i 
 
                          2                        a            b         c e \
      d i 
  (4 (-5 + amn) (-3 + amn) ) gSgm     gSgm     gSgm     RhoSigma     TfSFF    \
 TfSFF     - 
                                 a b      c d        e            i 
 
                                         a        b                      c d  \
     e i 
  (4 (-5 + amn) (-3 + amn)) gSgm     gSgm     gSgm     RhoSigma     TfSFF     \
TfSFF     - 
                                a b        c        d          e i 
 
              2
  4 (-3 + amn)                 c           a   d           b   e 
  ------------- gSgm     gSgm     TfSFFDOne       TfSFFDOne       + 
             2      a b      c               d               e 
   (-2 + amn)
 
                        2                                      a c e          \
 b d i 
  ((-5 + amn) (-3 + amn) ) gSgm     gSgm     gSgm     TfSFFDOne       \
TfSFFDOne       - 
                               a b      c d      e i 
 
              2
  8 (-3 + amn)               a             b   d           c   e 
  ------------- gSgm     gSgm     TfSFFDOne       TfSFFDOne       + 
             2      a b        c             d               e 
   (-2 + amn)
 
              2
  8 (-3 + amn)                             a   e           c b d 
  ------------- gSgm     gSgm     TfSFFDOne       TfSFFDOne       + 
    -2 + amn        a b      c d             e 
 
                         2
  2 (-5 + amn) (-3 + amn)                        a b           c   e          \
 d   i 
  ------------------------ gSgm     gSgm     gSgm     TfSFFDOne       \
TfSFFDOne       + 
                  2            a b      c d                      e            \
   i 
        (-2 + amn)
 
                         2
  4 (-5 + amn) (-3 + amn)               a        b             c   e          \
 d   i 
  ------------------------ gSgm     gSgm     gSgm     TfSFFDOne       \
TfSFFDOne       - 
                  2            a b        c        d             e            \
   i 
        (-2 + amn)
 
                         2
  4 (-5 + amn) (-3 + amn)                        a             c   i          \
 d e b 
  ------------------------ gSgm     gSgm     gSgm     TfSFFDOne       \
TfSFFDOne       + 
          -2 + amn             a b      c d        e             i 
 
  8 (-3 + amn)              a         b c               d e 
  ------------ gSgm     gSgm     TfSFF     TfSFFDTwo         - 
    -2 + amn       a b        c                     d e 
 
  3 (-5 + amn) (-3 + amn)              a        b         c d               e \
i 
  ----------------------- gSgm     gSgm     gSgm     TfSFF     TfSFFDTwo      \
   - 
         -2 + amn             a b        c        d                     e i 
 
  (-5 + amn) (-3 + amn)              a        b         c d               i e \

  --------------------- gSgm     gSgm     gSgm     TfSFF     TfSFFDTwo        \
 - 
        -2 + amn            a b        c        d                     e i 
 
              2
  8 (-3 + amn)                         a c           b   e d 
  ------------- gSgm     gSgm     TfSFF     TfSFFDTwo         + 
    -2 + amn        a b      c d                       e 
 
               2                         a c           b d   e 
  (2 (-3 + amn) ) gSgm     gSgm     TfSFF     TfSFFDTwo         + 
                      a b      c d                         e 
 
                         2
  4 (-5 + amn) (-3 + amn)                        a         c e           d   \
i b 
  ------------------------ gSgm     gSgm     gSgm     TfSFF     TfSFFDTwo     \
    - 
          -2 + amn             a b      c d        e                       i 
 
               2                         a c       b d 
  (2 (-3 + amn) ) gSgm     gSgm     TfSFF     TfSFF     TrPSigma
                      a b      c d\
\>"], "Output",
 CellChangeTimes->{3.529526069799938*^9, 3.7616651127531233`*^9, 
  3.761666969221579*^9, 3.761667269360157*^9, 3.7616691153761683`*^9, 
  3.76166981695045*^9, 3.764530529951499*^9, 3.765472867939363*^9, 
  3.7661579915395*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Inspect the above output!  Make sure that no explicit \
Ricci covariant derivatives appear in the above output!  This is essential!",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text"],

Cell[TextData[{
 "There should not be any explicit references to the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 " either."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LionFF", "-", 
  RowBox[{"(", 
   RowBox[{"LionFF", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.529526330938702*^9, 3.761665120026544*^9, 
  3.761669137024164*^9, 3.761669881069806*^9, 3.764530535416951*^9, 
  3.765472912502118*^9, 3.766157996765332*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionFF", "]"}]], "Input"],

Cell[OutputFormData["\<\
19\
\>", "\<\
19\
\>"], "Output",
 CellChangeTimes->{3.529526338268026*^9, 3.7616651208968773`*^9, 
  3.761669137943138*^9, 3.761669884803213*^9, 3.764530540905211*^9, 
  3.765472916189288*^9, 3.766157997633852*^9}]
}, Open  ]],

Cell[TextData[{
 "We now declare our working expression to be embedded into the ambient \
tensor space.  In future computations, the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 " may indeed appear.  We expand the encoded intrinsic derivatives and \
express them in terms of ambient derivatives."
}], "Text",
 CellChangeTimes->{{3.7616675519235086`*^9, 3.7616675914358473`*^9}}],

Cell["The following cell may take 15 seconds to execute.", "Text",
 CellChangeTimes->{{3.761665195855215*^9, 3.761665198894257*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "LionFF"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "amnTon"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFFDTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFFDOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionGG", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input"],

Cell["\<\
Time:  13 hours, 59 minutes, 60 seconds
Date:  6 May 2019
Time:  14 hours, 0 minutes, 13 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{3.529526344492372*^9, 3.761665123823963*^9, 
  3.7616676025263367`*^9, 3.761669154060547*^9, 3.761669895310957*^9, 
  3.764530543532406*^9, 3.7654729342844152`*^9, 3.766157999539122*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionGG", "]"}]], "Input"],

Cell[OutputFormData["\<\
80\
\>", "\<\
80\
\>"], "Output",
 CellChangeTimes->{3.529526423552591*^9, 3.76166518536485*^9, 
  3.761667620560071*^9, 3.7616691691547413`*^9, 3.76166992213809*^9, 
  3.7645305701818857`*^9, 3.7654729551970987`*^9, 3.766158014764933*^9}]
}, Open  ]],

Cell[TextData[{
 "Explicit covariant derivatives in ",
 StyleBox["LionGG", "Input"],
 " are now ambient covariant derivatives."
}], "Text",
 CellChangeTimes->{{3.7616699761292953`*^9, 3.761669976784786*^9}}],

Cell["The following cell may take 30 seconds to execute.", "Text",
 CellChangeTimes->{{3.76166520779135*^9, 3.761665225600018*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "LionGG"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillTraceTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRhoSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToNbNvec", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvecThree"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionHH", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input"],

Cell["\<\
Time:  14 hours, 0 minutes, 17 seconds
Date:  6 May 2019
Time:  14 hours, 0 minutes, 44 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{3.529526431315529*^9, 3.761665187907035*^9, 
  3.761667625349639*^9, 3.761669172781681*^9, 3.761669930185474*^9, 
  3.7645305732388897`*^9, 3.765472957598852*^9, 3.766158017101224*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionHH", "]"}]], "Input"],

Cell[OutputFormData["\<\
85\
\>", "\<\
85\
\>"], "Output",
 CellChangeTimes->{3.529526562894395*^9, 3.761665230591817*^9, 
  3.761667653679946*^9, 3.761669200103519*^9, 3.761669988475273*^9, 
  3.764530660883521*^9, 3.765472987698022*^9, 3.766158076863482*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", "n"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
         RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "b", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"L", "[", "c", "]"}], ",", 
          RowBox[{"U", "[", "c", "]"}], ",", 
          RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "n"}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n"}], ")"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", "n"}], ")"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
         RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"U", "[", "b", "]"}], ",", 
          RowBox[{"L", "[", "c", "]"}], ",", 
          RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "n"}], ")"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionII", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionHH", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionII", "]"}]], "Input"],

Cell[OutputFormData["\<\
89\
\>", "\<\
89\
\>"], "Output",
 CellChangeTimes->{3.529526594349746*^9, 3.761665233925403*^9, 
  3.761667659349744*^9, 3.76166921523534*^9, 3.761669994422389*^9, 
  3.7645306637499943`*^9, 3.765473002619069*^9, 3.766158083597176*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "7"}], "+", "n"}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
        RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
        RowBox[{
         RowBox[{"L", "[", "c", "]"}], ",", 
         RowBox[{"U", "[", "b", "]"}], ",", 
         RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "n"}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}]}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionJJ", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionII", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionJJ", "]"}]], "Input"],

Cell[OutputFormData["\<\
88\
\>", "\<\
88\
\>"], "Output",
 CellChangeTimes->{3.529526626750696*^9, 3.7616652371209517`*^9, 
  3.761667664955718*^9, 3.761669222992622*^9, 3.761669999763193*^9, 
  3.764530666709559*^9, 3.765473016443561*^9, 3.7661580905048237`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "7"}], "+", "n"}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "d", "]"}], "]"}], "[", 
        RowBox[{
         RowBox[{"L", "[", "b", "]"}], ",", 
         RowBox[{"L", "[", "d", "]"}], ",", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "n"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionKK", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionJJ", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionKK", "]"}]], "Input"],

Cell[OutputFormData["\<\
90\
\>", "\<\
90\
\>"], "Output",
 CellChangeTimes->{3.529526648754165*^9, 3.761665238941581*^9, 
  3.7616676771015167`*^9, 3.7616692297260838`*^9, 3.761670003437174*^9, 
  3.764530668861003*^9, 3.765473021386581*^9, 3.766158095129333*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"4", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "7"}], "+", "n"}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
        RowBox[{"L", "[", "c", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "d", "]"}], "]"}], "[", 
        RowBox[{
         RowBox[{"L", "[", "a", "]"}], ",", 
         RowBox[{"L", "[", "b", "]"}], ",", 
         RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "n"}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}]}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionLL", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionKK", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionLL", "]"}]], "Input"],

Cell[OutputFormData["\<\
90\
\>", "\<\
90\
\>"], "Output",
 CellChangeTimes->{3.529526727473772*^9, 3.761665240872315*^9, 
  3.7616676868882008`*^9, 3.761669234253788*^9, 3.761670006736271*^9, 
  3.764530676494897*^9, 3.765473031209145*^9, 3.766158098132056*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"U", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}]}], "\[IndentingNewLine]", "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}], ",", 
        RowBox[{"U", "[", "d", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"U", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"U", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "WeylContractedBianchiRules"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionMM", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionLL", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionMM", "]"}]], "Input"],

Cell[OutputFormData["\<\
101\
\>", "\<\
101\
\>"], "Output",
 CellChangeTimes->{3.529526765415569*^9, 3.761665245716353*^9, 
  3.761667695929718*^9, 3.761669237973337*^9, 3.761670012038817*^9, 
  3.764530679744946*^9, 3.7654730435868683`*^9, 3.766158102234929*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}]}], "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecToZZZZNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "FakeToNvecTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecPermute"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ZZZZNvecToNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionNN", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionMM", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionNN", "]"}]], "Input"],

Cell[OutputFormData["\<\
104\
\>", "\<\
104\
\>"], "Output",
 CellChangeTimes->{3.529526804484353*^9, 3.761665248302208*^9, 
  3.76166770303096*^9, 3.761669240488603*^9, 3.76167002469942*^9, 
  3.76453068271889*^9, 3.7654730536940804`*^9, 3.766158105786474*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}]}], "+", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}]}], "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "n"}], ")"}], "^", "2"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "d", "]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "d", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LionOO", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"LionNN", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "LionOO", "]"}]], "Input"],

Cell[OutputFormData["\<\
109\
\>", "\<\
109\
\>"], "Output",
 CellChangeTimes->{3.529526830149525*^9, 3.7616652520539637`*^9, 
  3.761667710512167*^9, 3.761669245788868*^9, 3.7616700362636223`*^9, 
  3.764530685972322*^9, 3.765473066216737*^9, 3.766158111063499*^9}]
}, Open  ]],

Cell["Compare against previously computed formula.", "Text",
 CellChangeTimes->{{3.761667723466977*^9, 3.761667736561246*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/cnb/IDLXIDL.m"}]}], ";"}]], "Input",
 CellChangeTimes->{3.761664889812458*^9, 3.761665260289042*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Holder", "-", "LionOO"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.529526832564881*^9, 3.7616652670207653`*^9, 
  3.7616677137387733`*^9, 3.761669248041168*^9, 3.761670038441855*^9, 
  3.7645306909071817`*^9, 3.765473069358734*^9, 3.7661581138175917`*^9}]
}, Open  ]],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1849, 1103},
WindowMargins->{{0, Automatic}, {40, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.5,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1244, 38, 76, "Text"],
Cell[1792, 60, 550, 10, 49, "Text"],
Cell[2345, 72, 1681, 54, 82, "Text"],
Cell[4029, 128, 243, 6, 73, "Text"],
Cell[4275, 136, 485, 13, 82, "Text"],
Cell[4763, 151, 149, 2, 73, "Text"],
Cell[4915, 155, 225, 5, 49, "Text"],
Cell[5143, 162, 107, 2, 48, "Input"],
Cell[5253, 166, 161, 2, 73, "Text"],
Cell[5417, 170, 826, 14, 49, "Text"],
Cell[CellGroupData[{
Cell[6268, 188, 249, 5, 48, "Input"],
Cell[6520, 195, 1936, 34, 126, "Output"]
}, Open  ]],
Cell[8471, 232, 182, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[8678, 242, 102, 1, 48, "Input"],
Cell[8783, 245, 200, 5, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9020, 255, 286, 4, 48, "Input"],
Cell[9309, 261, 533, 11, 160, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9879, 277, 1497, 33, 511, "Input"],
Cell[11379, 312, 658, 14, 61, "Print"]
}, Open  ]],
Cell[12052, 329, 201, 4, 49, "Text"],
Cell[CellGroupData[{
Cell[12278, 337, 142, 3, 48, "Input"],
Cell[12423, 342, 390, 8, 84, "Print"],
Cell[12816, 352, 310, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13163, 365, 142, 3, 48, "Input"],
Cell[13308, 370, 388, 8, 84, "Print"],
Cell[13699, 380, 313, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14049, 393, 240, 7, 82, "Input"],
Cell[14292, 402, 317, 9, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14646, 416, 238, 7, 82, "Input"],
Cell[14887, 425, 312, 9, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15236, 439, 529, 15, 181, "Input"],
Cell[15768, 456, 788, 17, 92, "Output"]
}, Open  ]],
Cell[16571, 476, 456, 17, 82, "Text"],
Cell[CellGroupData[{
Cell[17052, 497, 146, 4, 48, "Input"],
Cell[17201, 503, 257, 7, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17495, 515, 526, 15, 181, "Input"],
Cell[18024, 532, 771, 16, 92, "Output"]
}, Open  ]],
Cell[18810, 551, 214, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[19049, 561, 144, 4, 48, "Input"],
Cell[19196, 567, 266, 7, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19499, 579, 955, 29, 280, "Input"],
Cell[20457, 610, 1022, 23, 160, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21516, 638, 138, 4, 48, "Input"],
Cell[21657, 644, 260, 7, 57, "Output"]
}, Open  ]],
Cell[21932, 654, 416, 11, 82, "Text"],
Cell[CellGroupData[{
Cell[22373, 669, 609, 19, 181, "Input"],
Cell[22985, 690, 950, 24, 160, "Output"]
}, Open  ]],
Cell[23950, 717, 353, 9, 49, "Text"],
Cell[CellGroupData[{
Cell[24328, 730, 370, 9, 82, "Input"],
Cell[24701, 741, 354, 8, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25092, 754, 479, 13, 148, "Input"],
Cell[25574, 769, 1204, 29, 228, "Output"]
}, Open  ]],
Cell[26793, 801, 378, 11, 82, "Text"],
Cell[CellGroupData[{
Cell[27196, 816, 181, 3, 48, "Input"],
Cell[27380, 821, 230, 3, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27647, 829, 135, 3, 48, "Input"],
Cell[27785, 834, 233, 3, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28055, 842, 848, 25, 115, "Input"],
Cell[28906, 869, 453, 9, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29396, 883, 64, 1, 48, "Input"],
Cell[29463, 886, 750, 17, 126, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30250, 908, 510, 15, 181, "Input"],
Cell[30763, 925, 1227, 28, 228, "Output"]
}, Open  ]],
Cell[32005, 956, 162, 2, 49, "Text"],
Cell[CellGroupData[{
Cell[32192, 962, 1093, 35, 346, "Input"],
Cell[33288, 999, 372, 9, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33697, 1013, 64, 1, 48, "Input"],
Cell[33764, 1016, 239, 7, 57, "Output"]
}, Open  ]],
Cell[34018, 1026, 534, 16, 181, "Input"],
Cell[CellGroupData[{
Cell[34577, 1046, 64, 1, 48, "Input"],
Cell[34644, 1049, 267, 7, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34948, 1061, 32, 0, 48, "Input"],
Cell[34983, 1063, 9079, 229, 1990, "Output"]
}, Open  ]],
Cell[44077, 1295, 283, 7, 82, "Text"],
Cell[CellGroupData[{
Cell[44385, 1306, 138, 4, 48, "Input"],
Cell[44526, 1312, 263, 7, 57, "Output"]
}, Open  ]],
Cell[44804, 1322, 639, 12, 114, "Text"],
Cell[45446, 1336, 332, 8, 115, "Input"],
Cell[45781, 1346, 138, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[45944, 1351, 845, 28, 280, "Input"],
Cell[46792, 1381, 7279, 188, 1550, "Output"]
}, Open  ]],
Cell[54086, 1572, 219, 3, 49, "Text"],
Cell[54308, 1577, 152, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[54485, 1586, 138, 4, 48, "Input"],
Cell[54626, 1592, 236, 7, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54899, 1604, 64, 1, 48, "Input"],
Cell[54966, 1607, 240, 7, 79, "Output"]
}, Open  ]],
Cell[55221, 1617, 394, 8, 82, "Text"],
Cell[55618, 1627, 132, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[55775, 1632, 2437, 77, 709, "Input"],
Cell[58215, 1711, 345, 8, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58597, 1724, 64, 1, 48, "Input"],
Cell[58664, 1727, 264, 7, 79, "Output"]
}, Open  ]],
Cell[58943, 1737, 207, 5, 49, "Text"],
Cell[59153, 1744, 131, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[59309, 1749, 2030, 65, 610, "Input"],
Cell[61342, 1816, 342, 8, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61721, 1829, 64, 1, 48, "Input"],
Cell[61788, 1832, 260, 7, 79, "Output"]
}, Open  ]],
Cell[62063, 1842, 3883, 117, 544, "Input"],
Cell[CellGroupData[{
Cell[65971, 1963, 64, 1, 48, "Input"],
Cell[66038, 1966, 261, 7, 79, "Output"]
}, Open  ]],
Cell[66314, 1976, 1832, 57, 247, "Input"],
Cell[CellGroupData[{
Cell[68171, 2037, 64, 1, 48, "Input"],
Cell[68238, 2040, 264, 7, 79, "Output"]
}, Open  ]],
Cell[68517, 2050, 1982, 60, 280, "Input"],
Cell[CellGroupData[{
Cell[70524, 2114, 64, 1, 48, "Input"],
Cell[70591, 2117, 264, 7, 79, "Output"]
}, Open  ]],
Cell[70870, 2127, 2429, 74, 346, "Input"],
Cell[CellGroupData[{
Cell[73324, 2205, 64, 1, 48, "Input"],
Cell[73391, 2208, 262, 7, 79, "Output"]
}, Open  ]],
Cell[73668, 2218, 3095, 91, 478, "Input"],
Cell[CellGroupData[{
Cell[76788, 2313, 64, 1, 48, "Input"],
Cell[76855, 2316, 264, 7, 79, "Output"]
}, Open  ]],
Cell[77134, 2326, 2889, 92, 511, "Input"],
Cell[CellGroupData[{
Cell[80048, 2422, 64, 1, 48, "Input"],
Cell[80115, 2425, 261, 7, 79, "Output"]
}, Open  ]],
Cell[80391, 2435, 4779, 142, 775, "Input"],
Cell[CellGroupData[{
Cell[85195, 2581, 64, 1, 48, "Input"],
Cell[85262, 2584, 266, 7, 79, "Output"]
}, Open  ]],
Cell[85543, 2594, 126, 1, 49, "Text"],
Cell[85672, 2597, 174, 4, 48, "Input"],
Cell[CellGroupData[{
Cell[85871, 2605, 165, 5, 82, "Input"],
Cell[86039, 2612, 266, 7, 79, "Output"]
}, Open  ]],
Cell[86320, 2622, 149, 2, 73, "Text"],
Cell[86472, 2626, 1464, 27, 147, "Text"],
Cell[87939, 2655, 285, 6, 49, "Text"],
Cell[88227, 2663, 132, 2, 48, "Input"],
Cell[88362, 2667, 254, 6, 49, "Text"],
Cell[88619, 2675, 132, 2, 48, "Input"],
Cell[88754, 2679, 253, 6, 49, "Text"],
Cell[89010, 2687, 132, 2, 81, "Input"]
}
]
*)

