(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     81484,       2486]
NotebookOptionsPosition[     75291,       2289]
NotebookOutlinePosition[     75957,       2312]
CellTagsIndexPosition[     75914,       2309]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["IntDCheck.nb  (\[OpenCurlyDoubleQuote]Check Intrinsic Derivatives\
\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.226157133890375*^9, 3.226157159827875*^9}, {
  3.226327238703125*^9, 3.226327257859375*^9}, {3.583432494665399*^9, 
  3.5834324962895117`*^9}, {3.731695582439796*^9, 3.731695582823647*^9}, {
  3.761766495693387*^9, 3.7617665247250566`*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["\<\
Date last modified:  6 May 2019

In this notebook, we check and illustrate some of our commands for dealing \
with intrinsic derivatives.\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJwdymtIU3EYgPGD0kVXK2EW2bJW23KxmJwPG8GcvFGjolqbkoOgZRcsOCDV
6pOKUbMoo8usyNWWLlTCmC4dqOQockGQ2s1gVAzHwM7/QEXLGxmd9/3w8Pvy
aI7Wuk7kcBynlUOzC7cO1+RNQXbB4iHrnypPkmMk19i1Zgjlesls/fmtafpH
SlH74g1t+T0iuP2advRbc0UmGRXhgFMgy5sDZaP9IuzhLTZUqVpbZv4qQsxU
bUMTsfEPukkRvqxTfURLBhUvijLy56kgm4bD7X2iCH2BZ6RdumPsl91uGyNv
lwcffJYt6YiQP475h1f9FqFn5kKctIQnvbL6QJS8lloeSukYpDSmR6j3dKPD
rGfQkBshY9vSZ90GBkqry4s6fTzfamKw/9cAefmK0ffwOANXsKAJ9XXMz6pr
GLTmaebQ7usegyC7z8+MaOHE94vCPQbx1/FLaHE6WXWujcFdQe1G0/enR8NP
GAiHNo6jE4r3WtUIA5bo1KOvWnKnH79lYC50zKJ1/I3im38ZKJyf1qOaUsPP
3n8MdjTsJZP5upXcEgmCCe1qtG53yLpFtkgXIedOdVb6l0rAp9+RlbVTm57L
bl40Q4ZyHNmdyyR4edX+Bz3T0j1foJRgV3WGjKrfDBxZIcFBq30Q/Q+hUiUS

  "]],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defout.m"}]], "Input",
 CellChangeTimes->{3.766158805563902*^9}],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.760435145257159*^9, 3.7604351474886017`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.581957397445381*^9, 3.5819573991801777`*^9}, {
  3.64218171821774*^9, 3.642181719992104*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.22615577368725*^9, 3.226156024906*^9, 3.2261562254685*^9, 
   3.22615719112475*^9, 3.22615732862475*^9, 3.226327263515625*^9, 
   3.226409364906*^9, 3.581957400242593*^9, 3.583432499555602*^9, 
   3.584979444885614*^9, 3.6056396723772707`*^9, 3.608227491436701*^9, 
   3.608659330888887*^9, 3.608743532255028*^9, 3.6097776776070013`*^9, 
   3.6127142641773643`*^9, 3.612715370937483*^9, 3.6127858960475063`*^9, 
   3.617109503376749*^9, 3.6173021986771183`*^9, 3.641744794416203*^9, 
   3.642177186805449*^9, 3.642181720814624*^9, 3.6437372008979397`*^9, 
   3.643737271108472*^9, 3.6437373045337152`*^9, 3.643737351176505*^9, 
   3.64391283255709*^9, 3.645459385437571*^9, 3.645459750413272*^9, {
   3.6454598007221527`*^9, 3.645459824817007*^9}, 3.6454598684967937`*^9, 
   3.6455556221460342`*^9, 3.648835996351431*^9, 3.676630067372258*^9, 
   3.677939665852393*^9, {3.67793981850207*^9, 3.677939826123249*^9}, 
   3.6781018671055403`*^9, 3.678556217358328*^9, 3.7032680807748003`*^9, 
   3.703268498589429*^9, 3.708529338542783*^9, 3.708529385507513*^9, 
   3.712086423860044*^9, 3.713343092934184*^9, 3.7272046654164743`*^9, 
   3.731695689741035*^9, 3.731699967514275*^9, 3.7562944017187853`*^9, 
   3.757412235004813*^9, 3.761766553787819*^9, 3.7617700106884537`*^9, 
   3.761852907135111*^9, 3.762592433509286*^9, 3.7626780540892*^9, 
   3.7645311236648483`*^9, 3.764531333722777*^9, 3.765473249576672*^9, 
   3.766158889862754*^9, 3.7661591844416933`*^9, 3.7661592398748617`*^9}]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.7661588935638037`*^9, 3.7661589052565928`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.7661589134430437`*^9, 3.7661589145449333`*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766158916535829*^9, 3.766159191166451*^9, 
  3.766159243070335*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.226155908921625*^9, 3.2261559373435*^9}, {
  3.5819574213842154`*^9, 3.5819574594030333`*^9}, {3.677939679996397*^9, 
  3.677939688387865*^9}, {3.764531157991568*^9, 3.764531209382038*^9}, {
  3.764531249719912*^9, 3.764531252014763*^9}, {3.765962840249284*^9, 
  3.765962841353397*^9}, {3.766158920045429*^9, 3.766158922421296*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{3.764531254326186*^9, 3.764531335586832*^9, 
  3.765473253077818*^9, 3.766158923620647*^9, 3.766159193325136*^9, 
  3.766159244477754*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.226156114015375*^9, 3.22615613162475*^9}, {
  3.581957508363967*^9, 3.581957519365467*^9}, {3.712086436723119*^9, 
  3.712086439642825*^9}, {3.712086477661232*^9, 3.712086480770918*^9}, {
  3.764531170485838*^9, 3.7645311744931*^9}, {3.764531257638832*^9, 
  3.764531281551126*^9}}],

Cell["\<\
Time:  14 hours, 20 minutes, 50 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwdyGkow3EYwPG/vGBiyxGzmCObo1DDXlDjoZZ5sywtidHccrxxlPLKC3Jr
jqLJyDFSM5Sau7ygJi/YJGqI7Pf8k4xII7958e1T3xhti6rai2EYCe2962Oo
lvMM713cqX9/ZqV1VIaZEFr+/0naA3WidM3sZyIw5r3+dG0m0OAksrMtApKe
8mzpLQGBznUhuiewr9eZvqhFRqs15oFAscHrSPBIwLCTM79JCMjNc8lbVFmu
XG+nVsc3HYS6CMSFhdtbqc+TrxvBsQjDUrG/k/qdqzE6RAh9Uf2FUjGCuNLY
mZiI8Lp3vOkxRc5vL6a2Hg6nT6UidAQpevVVCM3dtt+IWoSrFwM3kjrgvElp
pObn+HIK6hAWRa7xxkkElUpR0mZAEAbYNB7V7bwM2TJC/SWez68gjE6HJoQc
I+SpZzgLVoTDVXP0EpVVGqNH3AimT+3b+i9CQuEgn/FhodkZJEuicvgWtc6X
hUFBlmiXuj1S4yf3Z6HMkRno0eKwuwO5LIiVitMKHgt3d5I3j39gK8mZ
  "]]
}, Open  ]],

Cell["\<\
We begin by testing basic commands for computing intrinsic derivatives.\
\>", "Text",
 CellChangeTimes->{{3.7617672314455748`*^9, 3.761767276749316*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We designed many of our commands for intrinsic derivatives in a way which \
allows them to handle intrinsic derivatives associated with a conformal \
metric.  In our Ricci computations for this article, we do not need to \
compute such intrinsic derivatives.  In our ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " notebooks for our current article, we compute intrinsic derivatives and \
then set the conformal factor equal to 1.  (So we are computing the intrinsic \
derivatives relative to the background metric, not the conformal metric.)  \
The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "*", "Upsilon"}]], TraditionalForm]]],
 ".  In our ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " notebooks, will set Upsilon equal to 0.  Some of our commands for \
intrinsic derivatives have a weight parameter.  The weight parameter is the \
weight of the density or tensor that we are differentiating.  But if we work \
relative to the background metric (so that upsilon is 0), then many of our \
derivative formulae do not depend on the weight of the density or tensor that \
we are differentiating."
}], "Text",
 CellChangeTimes->{{3.761767306881062*^9, 3.761767547601048*^9}, {
   3.761767677762957*^9, 3.761767797868972*^9}, {3.7617690296297626`*^9, 
   3.761769073838407*^9}, {3.7617691276616983`*^9, 3.761769250272668*^9}, 
   3.76185302995569*^9, {3.761853073691628*^9, 3.7618530749155607`*^9}, {
   3.761853105764389*^9, 3.761853123138307*^9}, {3.762592468289927*^9, 
   3.762592479385681*^9}, {3.765473355341373*^9, 3.7654733602522707`*^9}}],

Cell[TextData[{
 StyleBox["NbSigHatDen", "Input"],
 ":  We consider the first-order intrinsic derivative of a density."
}], "Text",
 CellChangeTimes->{{3.761767561269886*^9, 3.761767592273098*^9}, {
  3.7618539585358753`*^9, 3.7618539644958572`*^9}, {3.761854007696335*^9, 
  3.761854012960538*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "Note first that for a density ",
 StyleBox["f,\n\n    ",
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" = ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "b"}]], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "b"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 StyleBox["f .",
  FontSize->24,
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.7617676160799007`*^9, 3.7617676272896748`*^9}, {
  3.761767807412039*^9, 3.761767812253873*^9}, {3.761767848427877*^9, 
  3.761767848429834*^9}, {3.761767908229333*^9, 3.7617679150212584`*^9}, {
  3.761767997782938*^9, 3.7617680584394503`*^9}, {3.761768118240468*^9, 
  3.761768308066186*^9}, {3.761769708420846*^9, 3.761769708660655*^9}}],

Cell[TextData[{
 "We use the command ",
 StyleBox["NbSigHatDen", "Input"],
 " to compute the above derivative.  We want to compute the derivative \
relative to the background metric.  For this reason, we set upsilon equal to \
zero."
}], "Text",
 CellChangeTimes->{{3.761768970546957*^9, 3.761768992611445*^9}, {
  3.76185318972274*^9, 3.7618532423306913`*^9}, {3.7618532741471443`*^9, 
  3.76185327786705*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7617683150348587`*^9, 3.761768333481555*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.7617683351410437`*^9, 3.761853139943596*^9, 
  3.762593052567801*^9, 3.762678069224482*^9, 3.764531371805089*^9, 
  3.765473370931098*^9, 3.766158936084526*^9, 3.766159254096951*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.761768335907268*^9, 3.761768347828598*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[i]]}\
\>", "\<\
{ups, ups   }
         ;i\
\>"], "Output",
 CellChangeTimes->{3.761768350464871*^9, 3.761853141083271*^9, 
  3.762593053988652*^9, 3.762678071202456*^9, 3.764531373579389*^9, 
  3.7654733730496492`*^9, 3.7661589382422543`*^9, 3.766159255682906*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.7617683518278027`*^9, 3.761768356543097*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{3.7617683576588*^9, 3.7618531457634087`*^9, 
  3.762593054842244*^9, 3.762678071902096*^9, 3.764531374663678*^9, 
  3.765473373816045*^9, 3.766158938990703*^9, 3.7661592569621763`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NbSigHatDen", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderAAOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderAAOne"}], "Input",
 CellChangeTimes->{{3.7617683885926113`*^9, 3.761768425820415*^9}}],

Cell[OutputFormData["\<\
f[] [L[b]]*PiPro[L[a], U[b]] + w*f*PiPro[L[a], U[b]]*ups[] [L[b]]\
\>", "\<\
            b               b 
f    PiPro     + w f PiPro     ups
 ;b       a               a       ;b\
\>"], "Output",
 CellChangeTimes->{3.761768426815846*^9, 3.761853310972563*^9, 
  3.762593058983205*^9, 3.762678072902203*^9, 3.764531376785719*^9, 
  3.765473375921088*^9, 3.766158942060376*^9, 3.766159258900259*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderAATwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderAATwo"}], "Input",
 CellChangeTimes->{{3.761768440499981*^9, 3.761768490405198*^9}}],

Cell[OutputFormData["\<\
f[] [L[b]]*PiPro[L[a], U[b]]\
\>", "\<\
            b 
f    PiPro
 ;b       a\
\>"], "Output",
 CellChangeTimes->{{3.7617684548918667`*^9, 3.7617684918484983`*^9}, 
   3.761853312979143*^9, 3.762593062249319*^9, 3.762678075029962*^9, 
   3.7645313775640993`*^9, 3.7654733802056093`*^9, 3.766158946329647*^9, 
   3.7661592610209618`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7617684937769127`*^9, 3.761768506525865*^9}}],

Cell[OutputFormData["\<\
f[] [L[b]]*(Kronecker[L[a], U[b]] - Nvec[L[a]]*Nvec[U[b]])\
\>", "\<\
                 b               b 
f    (Kronecker     - Nvec   Nvec  )
 ;b            a          a\
\>"], "Output",
 CellChangeTimes->{3.761768507661191*^9, 3.76185331589902*^9, 
  3.762593081879825*^9, 3.762678075712701*^9, 3.764531378410571*^9, 
  3.765473383577599*^9, 3.766158948271583*^9, 3.766159261821587*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["NbSigHatEta", "Input"],
 ":  We consider the first-order intrinsic derivative of an intrinsic \
1-form."
}], "Text",
 CellChangeTimes->{{3.761767561269886*^9, 3.761767592273098*^9}, {
  3.761769666187984*^9, 3.761769687445969*^9}, {3.7618539856481113`*^9, 
  3.761853993312071*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "Now suppose that ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["V", "a"], TraditionalForm]]],
 " is an intrinsic vector field on \[CapitalSigma].  Then\n\n",
 StyleBox["     ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["V", "b"], TraditionalForm]],
  FontSize->24],
 StyleBox["  = ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "c"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "d", 
    RowBox[{"    ", "b"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "c"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["V", "d"], TraditionalForm]],
  FontSize->24],
 StyleBox[" .",
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.761768468151662*^9, 3.7617684761780787`*^9}, {
  3.761768681351507*^9, 3.7617688023939867`*^9}, {3.7617688463703136`*^9, 
  3.761768948050611*^9}, {3.7617697130367804`*^9, 3.761769714132928*^9}}],

Cell[TextData[{
 "The above equation appears near the end of Section 3.1 of our article.  We \
may lower the index on ",
 StyleBox["V",
  FontSlant->"Italic"],
 " to obtain the intrinsic derivative of an intrinsic 1-form.  If we use the \
letter \[Omega] to denote this intrinsic 1-form, we find that\n\n",
 StyleBox["     ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "b"], TraditionalForm]],
  FontSize->24],
 StyleBox[" =  ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "c"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "d"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "c"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "d"], TraditionalForm]],
  FontSize->24],
 StyleBox[" . ",
  FontSize->24],
 "    "
}], "Text",
 CellChangeTimes->{{3.761769372071444*^9, 3.76176961961973*^9}, {
   3.761769698092909*^9, 3.761769719197315*^9}, 3.761769776165867*^9, 
   3.7618535390212927`*^9, {3.7618535757093477`*^9, 3.7618536086776037`*^9}}],

Cell[TextData[{
 "We use the command ",
 StyleBox["NbSigHatEta", "Input"],
 " to compute this expression."
}], "Text",
 CellChangeTimes->{{3.7617697393574667`*^9, 3.761769760165307*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"MyOmega", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.76176996358617*^9, 3.761769972248076*^9}}],

Cell["\<\
Tensor MyOmega defined.
  Rank = 1  Symmetries = NoSymmetries
  Type = {Real}  Bundle = {tangent}  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.761769973642345*^9, 3.761853679479043*^9, 
  3.762593152025762*^9, 3.7626780801470013`*^9, 3.7645313834588823`*^9, 
  3.765473488203322*^9, 3.7661589537535677`*^9, 3.766159266657722*^9}],

Cell[OutputFormData["\<\
MyOmega\
\>", "\<\
MyOmega\
\>"], "Output",
 CellChangeTimes->{3.7617699736433783`*^9, 3.7618536794805*^9, 
  3.762593152027028*^9, 3.762678080147779*^9, 3.764531383459929*^9, 
  3.765473488204258*^9, 3.7661589537544947`*^9, 3.766159266658742*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MyOmega", "[", 
  RowBox[{"L", "[", "i", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7617699747357073`*^9, 3.76176997863938*^9}}],

Cell[OutputFormData["\<\
MyOmega[L[i]]\
\>", "\<\
MyOmega
       i\
\>"], "Output",
 CellChangeTimes->{3.761769979889289*^9, 3.761853680737029*^9, 
  3.762593153467842*^9, 3.762678082194072*^9, 3.764531385566511*^9, 
  3.765473490957999*^9, 3.7661589712521687`*^9, 3.766159267607744*^9}]
}, Open  ]],

Cell[TextData[{
 "In the next command, the last index, namely ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", is the index associated with the covariant derivative.  The first index, \
namely ",
 StyleBox["b",
  FontSlant->"Italic"],
 ", is the index associated with ",
 StyleBox["MyOmega", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.76177019999823*^9, 3.761770264239682*^9}, {
  3.761770315746735*^9, 3.761770320563336*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NbSigHatEta", "[", 
    RowBox[{"MyOmega", ",", "w", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderBBOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderBBOne"}], "Input",
 CellChangeTimes->{{3.761769814435931*^9, 3.761769837678165*^9}, {
  3.7617699001436157`*^9, 3.76176992390329*^9}, {3.7617699891209307`*^9, 
  3.761769993039838*^9}}],

Cell[OutputFormData["\<\
MyOmega[L[b]] [L[a]] - MyOmega[L[b]] [L[c]]*Nvec[L[a]]*Nvec[U[c]] - 

   MyOmega[L[c]] [L[a]]*Nvec[L[b]]*Nvec[U[c]] + MyOmega[L[c]] \
[L[d]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[c]]*

    Nvec[U[d]] + (-1 + w)*MyOmega[L[b]]*ups[] [L[a]] + (1 - \
w)*MyOmega[L[c]]*Nvec[L[b]]*Nvec[U[c]]*

    ups[] [L[a]] - MyOmega[L[a]]*ups[] [L[b]] + \
MyOmega[L[c]]*Nvec[L[a]]*Nvec[U[c]]*ups[] [L[b]] + 

   (1 - w)*MyOmega[L[b]]*Nvec[L[a]]*Nvec[U[c]]*ups[] [L[c]] + \
MyOmega[L[a]]*Nvec[L[b]]*Nvec[U[c]]*

    ups[] [L[c]] + (-2 + \
w)*MyOmega[L[c]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[c]]*Nvec[U[d]]*ups[] [L[d]] + 

   g[L[a], L[b]]*MyOmega[L[c]]*ups[] [U[c]] - \
2*MyOmega[L[c]]*Nvec[L[a]]*Nvec[L[b]]*ups[] [U[c]] + 

   MyOmega[L[d]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[U[c]]*ups[] [U[d]]\
\>", "\<\
                                       c                            c 
MyOmega      - MyOmega      Nvec   Nvec   - MyOmega      Nvec   Nvec   + 
       b ;a           b ;c      a                  c ;a      b 
 
                                 c      d 
  MyOmega      Nvec   Nvec   Nvec   Nvec   + (-1 + w) MyOmega   ups    + 
         c ;d      a      b                                  b     ;a 
 
                               c                                              \
     c 
  (1 - w) MyOmega   Nvec   Nvec   ups    - MyOmega   ups    + MyOmega   Nvec  \
 Nvec   ups    + 
                 c      b            ;a           a     ;b           c      a \
           ;b 
 
                               c                                c 
  (1 - w) MyOmega   Nvec   Nvec   ups    + MyOmega   Nvec   Nvec   ups    + 
                 b      a            ;c           a      b            ;c 
 
                                       c      d                               \
c 
  (-2 + w) MyOmega   Nvec   Nvec   Nvec   Nvec   ups    + g     MyOmega   ups \
   - 
                  c      a      b                   ;d     a b         c     \
;
 
                                c                                       c     \
 d 
  2 MyOmega   Nvec   Nvec   ups    + MyOmega   Nvec   Nvec   Nvec   Nvec   \
ups
           c      a      b     ;            d      a      b      c            \
;\
\>"], "Output",
 CellChangeTimes->{
  3.7617698408839083`*^9, {3.761769903891057*^9, 3.761769924764658*^9}, {
   3.761769994159375*^9, 3.761770016986909*^9}, 3.7618536915362453`*^9, 
   3.762593155028494*^9, {3.7625934231414757`*^9, 3.7625934406187572`*^9}, 
   3.762678083990013*^9, 3.764531387323003*^9, 3.765473493976676*^9, 
   3.7661589788512487`*^9, 3.7661592721704283`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "HolderBBOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HolderBBTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "HolderBBTwo"}], "Input",
 CellChangeTimes->{{3.761770029780105*^9, 3.761770068520608*^9}}],

Cell[OutputFormData["\<\
MyOmega[L[b]] [L[a]] - MyOmega[L[b]] [L[c]]*Nvec[L[a]]*Nvec[U[c]] - 

   MyOmega[L[c]] [L[a]]*Nvec[L[b]]*Nvec[U[c]] + MyOmega[L[c]] \\
[L[d]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
                                       c                            c 
MyOmega      - MyOmega      Nvec   Nvec   - MyOmega      Nvec   Nvec   + 
       b ;a           b ;c      a                  c ;a      b 
 
                                 c      d 
  MyOmega      Nvec   Nvec   Nvec   Nvec
         c ;d      a      b\
\>"], "Output",
 CellChangeTimes->{{3.76177004380346*^9, 3.76177006936903*^9}, 
   3.761853701697607*^9, 3.762593160550641*^9, {3.762593424458136*^9, 
   3.762593447553266*^9}, 3.762678085014624*^9, 3.764531390731256*^9, 
   3.765473496075013*^9, 3.766158981493379*^9, 3.766159273299542*^9}]
}, Open  ]],

Cell[TextData[{
 "We can test the correctness of the above expression.  Recall our earlier \
equation:\n\n",
 StyleBox["  ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "b"], TraditionalForm]],
  FontSize->24],
 StyleBox[" =  ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "c"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "d"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "c"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "d"], TraditionalForm]],
  FontSize->24],
 StyleBox[" .",
  FontSize->24],
 "\n  \nWe now compare the above equation to ",
 StyleBox["HolderBBTwo", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.761770155193643*^9, 3.761770168267345*^9}, {
  3.7617704602768106`*^9, 3.761770512309554*^9}, {3.761853769159194*^9, 
  3.7618537715426207`*^9}, {3.761853816215549*^9, 3.761853831855348*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HolderBBThree", "=", 
   RowBox[{
    RowBox[{"PiPro", "[", 
     RowBox[{
      RowBox[{"L", "[", "a", "]"}], ",", 
      RowBox[{"U", "[", "c", "]"}]}], "]"}], 
    RowBox[{"PiPro", "[", 
     RowBox[{
      RowBox[{"L", "[", "b", "]"}], ",", 
      RowBox[{"U", "[", "d", "]"}]}], "]"}], 
    RowBox[{
     RowBox[{"MyOmega", "[", 
      RowBox[{"L", "[", "d", "]"}], "]"}], "[", 
     RowBox[{"L", "[", "c", "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", "HolderBBThree"}], "Input",
 CellChangeTimes->{{3.761770082261917*^9, 3.761770104400947*^9}, {
  3.761770173049903*^9, 3.761770182361973*^9}}],

Cell[OutputFormData["\<\
MyOmega[L[d]] [L[c]]*PiPro[L[a], U[c]]*PiPro[L[b], U[d]]\
\>", "\<\
                    c         d 
MyOmega      PiPro     PiPro
       d ;c       a         b\
\>"], "Output",
 CellChangeTimes->{3.7617701061433573`*^9, 3.761770183184948*^9, 
  3.761770516543692*^9, 3.761853779489538*^9, 3.761853887444644*^9, 
  3.7625934714216213`*^9, 3.762678088870672*^9, 3.764531394840166*^9, 
  3.765473500159114*^9, 3.76615898541649*^9, 3.7661592777725887`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"HolderBBTwo", "-", "HolderBBThree"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.761770402655999*^9, 3.7617704260448627`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.7617704269640903`*^9, 3.761770527138824*^9, 
  3.7618537845009003`*^9, 3.761853897133751*^9, 3.762593480899469*^9, 
  3.762678089536632*^9, 3.764531415975312*^9, 3.765473502288353*^9, 
  3.766158992974103*^9, 3.766159279018526*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761770529682403*^9, 3.761770542326922*^9}}],

Cell[TextData[{
 StyleBox["NbNbSigHatDen", "Input"],
 ":  We consider the second-order intrinsic covariant derivative of a density."
}], "Text",
 CellChangeTimes->{{3.761854054656228*^9, 3.7618540864490337`*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "If \[Omega] is a 1-form, then, as we saw above,\n\n",
 StyleBox[" ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "b"], TraditionalForm]],
  FontSize->24],
 StyleBox[" =  ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "c"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "d"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "c"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "d"], TraditionalForm]],
  FontSize->24],
 StyleBox[".",
  FontSize->24],
 "\n \n",
 StyleBox[" But now suppose that ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "b"], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]]],
 StyleBox["f",
  FontSlant->"Italic"],
 ", where ",
 StyleBox["f",
  FontSlant->"Italic"],
 " is a density.  We see that\n \n",
 StyleBox[" ",
  FontSize->24],
 StyleBox[" ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->24],
 StyleBox["f  =  ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "c"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "d"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "c"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "d", 
    RowBox[{"    ", "e"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "e"], TraditionalForm]],
  FontSize->24],
 StyleBox["f .",
  FontSize->24,
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.761854189362796*^9, 3.761854234962484*^9}, {
   3.761854351564178*^9, 3.761854361539983*^9}, {3.761854395844089*^9, 
   3.761854776514194*^9}, {3.761854812720805*^9, 3.7618548644414883`*^9}, 
   3.762593614640052*^9, {3.762593657785473*^9, 3.7625936801601562`*^9}}],

Cell[TextData[{
 "We set ",
 StyleBox["StepCCOne", "Input"],
 " equal to the right-hand side of this equation."
}], "Text",
 CellChangeTimes->{{3.761854944813559*^9, 3.7618549754015837`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"StepCCOne", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "c", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"U", "[", "d", "]"}]}], "]"}], "*", 
     RowBox[{"(", "     ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PiPro", "[", 
          RowBox[{
           RowBox[{"L", "[", "d", "]"}], ",", 
           RowBox[{"U", "[", "e", "]"}]}], "]"}], 
         RowBox[{"f", "[", 
          RowBox[{"L", "[", "e", "]"}], "]"}]}], ")"}], "[", 
       RowBox[{"L", "[", "c", "]"}], "]"}], "     ", ")"}]}], 
    "\[IndentingNewLine]", "                         ", ")"}]}], 
  ";"}], "\[IndentingNewLine]", "StepCCOne"}], "Input",
 CellChangeTimes->{{3.761854981150852*^9, 3.761855055274576*^9}, {
  3.761855171356228*^9, 3.761855176179598*^9}}],

Cell[OutputFormData["\<\
PiPro[L[a], U[c]]*PiPro[L[b], U[d]]*(f[] [L[e], L[c]]*PiPro[L[d], U[e]] + f[] \
[L[e]]*PiPro[L[d], U[e]] [L[c]])\
\>", "\<\
       c         d                 e                e 
PiPro     PiPro     (f      PiPro     + f    PiPro       )
     a         b      ;e c       d       ;e       d   ;c\
\>"], "Output",
 CellChangeTimes->{3.761855178596444*^9, 3.762593692774995*^9, 
  3.762678095080736*^9, 3.764531424038015*^9, 3.76547351162885*^9, 
  3.766159002888289*^9, 3.7661590695555887`*^9, 3.7661591139464197`*^9, 
  3.766159286779113*^9}]
}, Open  ]],

Cell[TextData[{
 "We now test our command for this expression.  In this command, the last \
index, namely ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", is the index associated with the outermost derivative (the last \
derivative to be applied)."
}], "Text",
 CellChangeTimes->{{3.7618548687546997`*^9, 3.761854887225575*^9}, 
   3.76185494195338*^9, {3.7618552214440737`*^9, 3.761855231659876*^9}, {
   3.762594127770308*^9, 3.762594169186192*^9}, 3.766159291969963*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NbNbSigHatDen", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepCCTwo"}], "Input",
 CellChangeTimes->{{3.76185489814053*^9, 3.761854922993387*^9}, {
  3.761855237676215*^9, 3.761855259860495*^9}}],

Cell[OutputFormData["\<\
f[] [L[b], L[a]] - f[] [L[b], L[c]]*Nvec[L[a]]*Nvec[U[c]] - f[] [L[c], \
L[a]]*Nvec[L[b]]*Nvec[U[c]] - 

   f[] [L[c]]*Nvec[L[b]] [L[a]]*Nvec[U[c]] + f[] [L[c], \
L[d]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[c]]*Nvec[U[d]] + 

   f[] [L[c]]*Nvec[L[a]]*Nvec[L[b]] [L[d]]*Nvec[U[c]]*Nvec[U[d]]\
\>", "\<\
                           c                      c                       c 
f      - f      Nvec   Nvec   - f      Nvec   Nvec   - f    Nvec      Nvec   + 
 ;b a     ;b c      a            ;c a      b            ;c      b ;a 
 
                           c      d                              c      d 
  f      Nvec   Nvec   Nvec   Nvec   + f    Nvec   Nvec      Nvec   Nvec
   ;c d      a      b                   ;c      a      b ;d\
\>"], "Output",
 CellChangeTimes->{
  3.7618552612398252`*^9, 3.762593761251639*^9, 3.7626781124733877`*^9, 
   3.7645314301201143`*^9, 3.7654735145943203`*^9, 3.766159010974359*^9, {
   3.766159046525923*^9, 3.766159075136984*^9}, 3.766159117840307*^9, 
   3.766159299946144*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"StepCCTwo", "-", "StepCCOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.761855267723008*^9, 3.761855308053141*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.761855295434791*^9, 3.761855308968889*^9}, 
   3.7625937754476757`*^9, 3.762678113188995*^9, 3.7645314322008266`*^9, 
   3.765473518242782*^9, 3.766159012829927*^9, {3.766159048757147*^9, 
   3.7661590765359383`*^9}, 3.766159121295261*^9, 3.766159301716625*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761856224821529*^9, 3.761856250669921*^9}}],

Cell[TextData[{
 StyleBox["NbSigHatEtaEta", "Input"],
 ":  We consider the first-order intrinsic derivative of an intrinsic \
covariant 2-tensor."
}], "Text",
 CellChangeTimes->{{3.761855420276373*^9, 3.761855457494783*^9}, {
  3.7618554967110157`*^9, 3.761855516623065*^9}, {3.761855581855753*^9, 
  3.761855582599434*^9}, {3.7618568689644737`*^9, 3.7618568857558327`*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "We will assume that if ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " is an intrinsic covariant 2-tensor.  Then\n\n",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["bc",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox[" =    ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"     ", "i"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "j"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "c", 
    RowBox[{"    ", "k"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "i"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["jk",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.761855528223283*^9, 3.761855817914302*^9}, {
  3.761856319585196*^9, 3.761856344143968*^9}, {3.762593911889223*^9, 
  3.7625939275443687`*^9}}],

Cell[TextData[{
 "We will set ",
 StyleBox["StepDDOne", "Input"],
 " equal to this expression later on below."
}], "Text",
 CellChangeTimes->{{3.761855850558424*^9, 3.761855863003749*^9}, {
  3.762594334251605*^9, 3.762594345874797*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"MyTwo", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.7618558847115173`*^9, 3.761855893043068*^9}}],

Cell["\<\
Tensor MyTwo defined.
  Rank = 2  Symmetries = NoSymmetries
  Type = {Real}  Bundle = {tangent}  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.7618558943834467`*^9, 3.762593991945654*^9, 
  3.762678119840415*^9, 3.764531435580885*^9, 3.765473556902334*^9, 
  3.766159027843272*^9, 3.7661593091666727`*^9}],

Cell[OutputFormData["\<\
MyTwo\
\>", "\<\
MyTwo\
\>"], "Output",
 CellChangeTimes->{3.761855894384651*^9, 3.76259399194667*^9, 
  3.762678119841238*^9, 3.764531435581697*^9, 3.765473556903895*^9, 
  3.76615902784454*^9, 3.766159309167803*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MyTwo", "[", 
  RowBox[{
   RowBox[{"L", "[", "b", "]"}], ",", 
   RowBox[{"L", "[", "a", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7618558969744473`*^9, 3.76185590255478*^9}}],

Cell[OutputFormData["\<\
MyTwo[L[b], L[a]]\
\>", "\<\
MyTwo
     b a\
\>"], "Output",
 CellChangeTimes->{3.7618559033598843`*^9, 3.762593993244453*^9, 
  3.762678122975852*^9, 3.764531438416939*^9, 3.765473560014112*^9, 
  3.766159129956913*^9, 3.766159311387782*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "i", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"U", "[", "j", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "c", "]"}], ",", 
       RowBox[{"U", "[", "k", "]"}]}], "]"}], 
     RowBox[{
      RowBox[{"MyTwo", "[", 
       RowBox[{
        RowBox[{"L", "[", "j", "]"}], ",", 
        RowBox[{"L", "[", "k", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepDDOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepDDOne"}], "Input",
 CellChangeTimes->{{3.7618559092425013`*^9, 3.761855955555085*^9}}],

Cell[OutputFormData["\<\
MyTwo[L[j], L[k]] [L[i]]*PiPro[L[a], U[i]]*PiPro[L[b], U[j]]*PiPro[L[c], U[k]]\
\>", "\<\
                    i         j         k 
MyTwo        PiPro     PiPro     PiPro
     j k ;i       a         b         c\
\>"], "Output",
 CellChangeTimes->{3.761855956414817*^9, 3.762593999915969*^9, 
  3.7626781239330177`*^9, 3.7645314391568327`*^9, 3.765473560685404*^9, 
  3.7661591324627934`*^9, 3.7661593140700903`*^9}]
}, Open  ]],

Cell[TextData[{
 "We now test our command for this expression.  In this command, the last \
index, namely ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", is the index associated with the covariant derivative.  The other two \
indices appear in the same order as they appear on \[Omega]."
}], "Text",
 CellChangeTimes->{{3.761856015888215*^9, 3.761856028621049*^9}, {
  3.7625944110199203`*^9, 3.762594446923684*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NbSigHatEtaEta", "[", 
    RowBox[{"MyTwo", ",", "w", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepDDTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepDDTwo"}], "Input",
 CellChangeTimes->{{3.761856042169539*^9, 3.761856130357045*^9}}],

Cell[OutputFormData["\<\
MyTwo[L[b], L[c]] [L[a]] - MyTwo[L[b], L[c]] [L[d]]*Nvec[L[a]]*Nvec[U[d]] - 

   MyTwo[L[d], L[c]] [L[a]]*Nvec[L[b]]*Nvec[U[d]] - MyTwo[L[b], L[d]] \
[L[a]]*Nvec[L[c]]*Nvec[U[d]] + 

   MyTwo[L[d], L[c]] [L[e]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[d]]*Nvec[U[e]] + 

   MyTwo[L[b], L[d]] [L[e]]*Nvec[L[a]]*Nvec[L[c]]*Nvec[U[d]]*Nvec[U[e]] + 

   MyTwo[L[d], L[e]] [L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[U[d]]*Nvec[U[e]] - 

   MyTwo[L[d], L[e]] \
[L[i]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[U[d]]*Nvec[U[e]]*Nvec[U[i]]\
\>", "\<\
                                       d                            d         \
                   d 
MyTwo        - MyTwo        Nvec   Nvec   - MyTwo        Nvec   Nvec   - \
MyTwo        Nvec   Nvec   + 
     b c ;a         b c ;d      a                d c ;a      b                \
b d ;a      c 
 
                                 d      e                                   d \
     e 
  MyTwo        Nvec   Nvec   Nvec   Nvec   + MyTwo        Nvec   Nvec   Nvec  \
 Nvec   + 
       d c ;e      a      b                       b d ;e      a      c 
 
                                 d      e                                     \
     d      e      i 
  MyTwo        Nvec   Nvec   Nvec   Nvec   - MyTwo        Nvec   Nvec   Nvec  \
 Nvec   Nvec   Nvec
       d e ;a      b      c                       d e ;i      a      b      c\
\
\>"], "Output",
 CellChangeTimes->{{3.761856109341797*^9, 3.761856131525653*^9}, 
   3.762594556187153*^9, 3.7626781259330273`*^9, 3.764531441046522*^9, 
   3.765473562939426*^9, 3.766159316204134*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"StepDDOne", "-", "StepDDTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.76185615678199*^9, 3.761856202909596*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.761856176879155*^9, 3.761856203502293*^9}, 
   3.762594572103343*^9, 3.762678128261133*^9, 3.764531442843713*^9, 
   3.765473566656053*^9, 3.766159320807357*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761856257364365*^9, 3.761856273095993*^9}}],

Cell[TextData[{
 StyleBox["NbNbSigHatEtaEta", "Input"],
 ":  We consider the second-order intrinsic derivative of an intrinsic \
covariant 2-tensor."
}], "Text",
 CellChangeTimes->{{3.761855420276373*^9, 3.761855457494783*^9}, {
  3.7618554967110157`*^9, 3.761855516623065*^9}, {3.761855581855753*^9, 
  3.761855582599434*^9}, {3.7618564246235*^9, 3.761856432623768*^9}, {
  3.761856902580543*^9, 3.7618569088523607`*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "We begin by considering an intrinsic covariant 3-tensor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["abc",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  We will assume that\n\n",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["bcd",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["   =    ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"    ", "i"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"    ", "j"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "c", 
    RowBox[{"   ", "k"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "d", 
    RowBox[{"    ", "l"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["\[Del]", "i"]}], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["jkl",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox[" .",
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.761856954092414*^9, 3.761857302704896*^9}, {
  3.762592912483186*^9, 3.762592915034597*^9}, {3.762594618717939*^9, 
  3.762594672389062*^9}, {3.7625947362549667`*^9, 3.76259474561559*^9}}],

Cell[TextData[{
 "But now suppose that\n\n",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", 
    StyleBox["bcd",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["  =  ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Eta]", 
    StyleBox["cd",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 "\n\nfor some intrinsic 2-tensor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Eta]", 
    StyleBox["cd",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  We find that\n\n",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Eta]", 
    StyleBox["cd",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["  =  ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "a", 
    RowBox[{"   ", "i"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "b", 
    RowBox[{"   ", "j"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "c", 
    RowBox[{"   ", "k"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "d", 
    RowBox[{"   ", "l"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "i"], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "j", 
    RowBox[{"   ", "e"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "k", 
    RowBox[{"   ", "p"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Product]", "l", 
    RowBox[{"   ", "m"}]], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Del]", "e"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Eta]", 
    StyleBox["pm",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["  .",
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.761857341891765*^9, 3.761857535891069*^9}, {
  3.761857568427246*^9, 3.7618576770842867`*^9}, {3.761857767136065*^9, 
  3.761857909646536*^9}, {3.761857947815771*^9, 3.761857957927051*^9}}],

Cell[TextData[{
 "We will set ",
 StyleBox["StepEEOne", "Input"],
 " equal to the above expression."
}], "Text",
 CellChangeTimes->{{3.761858096892214*^9, 3.761858112233285*^9}, {
  3.762678328009968*^9, 3.762678329065537*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineTensor", "[", 
  RowBox[{"MyEta", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.761858211352015*^9, 3.761858223937018*^9}}],

Cell["\<\
Tensor MyEta defined.
  Rank = 2  Symmetries = NoSymmetries
  Type = {Real}  Bundle = {tangent}  Variance = Covariant\
\>", "Print",
 CellChangeTimes->{3.7618582250724688`*^9, 3.762594897794368*^9, 
  3.762678332222616*^9, 3.764531449578836*^9, 3.765473573932431*^9, 
  3.766159358321767*^9}],

Cell[OutputFormData["\<\
MyEta\
\>", "\<\
MyEta\
\>"], "Output",
 CellChangeTimes->{3.761858225074086*^9, 3.762594897795196*^9, 
  3.7626783322237577`*^9, 3.764531449579541*^9, 3.765473573933572*^9, 
  3.766159358323145*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "i", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"U", "[", "j", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "c", "]"}], ",", 
       RowBox[{"U", "[", "k", "]"}]}], "]"}], 
     RowBox[{"PiPro", "[", 
      RowBox[{
       RowBox[{"L", "[", "d", "]"}], ",", 
       RowBox[{"U", "[", "l", "]"}]}], "]"}], "*", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PiPro", "[", 
         RowBox[{
          RowBox[{"L", "[", "j", "]"}], ",", 
          RowBox[{"U", "[", "e", "]"}]}], "]"}], 
        RowBox[{"PiPro", "[", 
         RowBox[{
          RowBox[{"L", "[", "k", "]"}], ",", 
          RowBox[{"U", "[", "p", "]"}]}], "]"}], 
        RowBox[{"PiPro", "[", 
         RowBox[{
          RowBox[{"L", "[", "l", "]"}], ",", 
          RowBox[{"U", "[", "m", "]"}]}], "]"}], 
        RowBox[{
         RowBox[{"MyEta", "[", 
          RowBox[{
           RowBox[{"L", "[", "p", "]"}], ",", 
           RowBox[{"L", "[", "m", "]"}]}], "]"}], "[", 
         RowBox[{"L", "[", "e", "]"}], "]"}]}], ")"}], "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "\[IndentingNewLine]", ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepEEOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepEEOne"}], "Input",
 CellChangeTimes->{{3.761858124229979*^9, 3.76185820323354*^9}, {
  3.761858279778432*^9, 3.761858311530491*^9}, {3.761858387691484*^9, 
  3.7618584028908443`*^9}}],

Cell[OutputFormData["\<\
PiPro[L[a], U[i]]*PiPro[L[b], U[j]]*PiPro[L[c], U[k]]*PiPro[L[d], U[l]]*

   (MyEta[L[p], L[m]] [L[e], L[i]]*PiPro[L[j], U[e]]*PiPro[L[k], \
U[p]]*PiPro[L[l], U[m]] + 

    MyEta[L[p], L[m]] [L[e]]*(PiPro[L[j], U[e]] [L[i]]*PiPro[L[k], \
U[p]]*PiPro[L[l], U[m]] + 

      PiPro[L[j], U[e]]*(PiPro[L[k], U[p]] [L[i]]*PiPro[L[l], U[m]] + 

        PiPro[L[k], U[p]]*PiPro[L[l], U[m]] [L[i]])))\
\>", "\<\
       i         j         k         l                         e         p    \
     m 
PiPro     PiPro     PiPro     PiPro     (MyEta          PiPro     PiPro     \
PiPro     + 
     a         b         c         d          p m ;e i       j         k      \
   l 
 
                         e            p         m 
    MyEta        (PiPro        PiPro     PiPro     + 
         p m ;e        j   ;i       k         l 
 
              e          p            m           p         m 
       PiPro     (PiPro        PiPro     + PiPro     PiPro       )))
            j          k   ;i       l           k         l   ;i\
\>"], "Output",
 CellChangeTimes->{
  3.761858403658345*^9, {3.762594902284429*^9, 3.762594915641782*^9}, 
   3.762678335352181*^9, 3.76453145151688*^9, 3.765473575678431*^9, 
   3.766159360313285*^9}]
}, Open  ]],

Cell[TextData[{
 "We now test ",
 StyleBox["NbNbSigHatEtaEta", "Input"],
 ".  When we apply this command, the last two indices, namely ",
 StyleBox["b",
  FontSlant->"Italic"],
 " an ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", are the indices associated with the covariant derivatives.  The last of \
these two indices, namely ",
 StyleBox["a",
  FontSlant->"Italic"],
 ", is the index associated with the outermost derivative.  The first two of \
the four indices are the indices associated with \[Eta].  They appear here in \
the same order as they appear on \[Eta] above."
}], "Text",
 CellChangeTimes->{{3.761858499614729*^9, 3.761858517331786*^9}, {
  3.762595083518067*^9, 3.7625952390233192`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NbNbSigHatEtaEta", "[", 
    RowBox[{"MyEta", ",", "w", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepEETwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepEETwo", "\[IndentingNewLine]"}], "Input",\

 CellChangeTimes->{{3.7618585330411*^9, 3.761858643765916*^9}}],

Cell[OutputFormData["\<\
MyEta[L[c], L[d]] [L[b], L[a]] - MyEta[L[c], L[d]] [L[b], \
L[e]]*Nvec[L[a]]*Nvec[U[e]] - 

   MyEta[L[c], L[d]] [L[e], L[a]]*Nvec[L[b]]*Nvec[U[e]] - MyEta[L[c], L[d]] \
[L[e]]*Nvec[L[b]] [L[a]]*

    Nvec[U[e]] - MyEta[L[e], L[d]] [L[b], L[a]]*Nvec[L[c]]*Nvec[U[e]] - 

   MyEta[L[e], L[d]] [L[b]]*Nvec[L[c]] [L[a]]*Nvec[U[e]] - MyEta[L[c], L[e]] \
[L[b], L[a]]*Nvec[L[d]]*

    Nvec[U[e]] - MyEta[L[c], L[e]] [L[b]]*Nvec[L[d]] [L[a]]*Nvec[U[e]] + 

   MyEta[L[c], L[d]] [L[e], L[i]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[c], L[d]] [L[e]]*Nvec[L[a]]*Nvec[L[b]] \
[L[i]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[e], L[d]] [L[b], L[i]]*Nvec[L[a]]*Nvec[L[c]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[e], L[d]] [L[i], L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[e], L[d]] [L[i]]*Nvec[L[b]] \
[L[a]]*Nvec[L[c]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[e], L[d]] [L[i]]*Nvec[L[b]]*Nvec[L[c]] \
[L[a]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[e], L[d]] [L[b]]*Nvec[L[a]]*Nvec[L[c]] \
[L[i]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[c], L[e]] [L[b], L[i]]*Nvec[L[a]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[c], L[e]] [L[i], L[a]]*Nvec[L[b]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[c], L[e]] [L[i]]*Nvec[L[b]] \
[L[a]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[e], L[i]] [L[b], L[a]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]] \
+ 

   MyEta[L[e], L[i]] [L[b]]*Nvec[L[c]] \
[L[a]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[c], L[e]] [L[i]]*Nvec[L[b]]*Nvec[L[d]] \
[L[a]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[e], L[i]] [L[b]]*Nvec[L[c]]*Nvec[L[d]] \
[L[a]]*Nvec[U[e]]*Nvec[U[i]] + 

   MyEta[L[c], L[e]] [L[b]]*Nvec[L[a]]*Nvec[L[d]] \
[L[i]]*Nvec[U[e]]*Nvec[U[i]] - 

   MyEta[L[e], L[d]] [L[i], \
L[j]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[d]] [L[i]]*Nvec[L[a]]*Nvec[L[b]] \
[L[j]]*Nvec[L[c]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[d]] [L[i]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]] \
[L[j]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[c], L[e]] [L[i], \
L[j]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[c], L[e]] [L[i]]*Nvec[L[a]]*Nvec[L[b]] \
[L[j]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[b], \
L[j]]*Nvec[L[a]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[j], \
L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[j]]*Nvec[L[b]] \
[L[a]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[j]]*Nvec[L[b]]*Nvec[L[c]] \
[L[a]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[b]]*Nvec[L[a]]*Nvec[L[c]] \
[L[j]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[j]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[L[d]] \
[L[a]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[c], L[e]] [L[i]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[d]] \
[L[j]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] - 

   MyEta[L[e], L[i]] [L[b]]*Nvec[L[a]]*Nvec[L[c]]*Nvec[L[d]] \
[L[j]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]] + 

   MyEta[L[e], L[i]] [L[j], \\
L[k]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[\
U[j]]*
  Nvec[U[k]] + \\
MyEta[L[e], L[i]] [L[j]]*Nvec[L[a]]*Nvec[L[b]] \
[L[k]]*Nvec[L[c]]*Nvec[L[d]]*Nvec[U[e]]*
  \\
Nvec[U[i]]*Nvec[U[j]]*Nvec[U[k]] + MyEta[L[e], L[i]] \
[L[j]]*Nvec[L[a]]*Nvec[L[b]]*Nvec[L[c]] [L[k]]*
  \\
Nvec[L[d]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]]*Nvec[U[k]] + MyEta[L[e], L[i]] \
[L[j]]*Nvec[L[a]]*Nvec[L[b]]*
  \\
Nvec[L[c]]*Nvec[L[d]] [L[k]]*Nvec[U[e]]*Nvec[U[i]]*Nvec[U[j]]*Nvec[U[k]]\
\>", "\<\
                                           e                              e 
MyEta          - MyEta          Nvec   Nvec   - MyEta          Nvec   Nvec   - 
     c d ;b a         c d ;b e      a                c d ;e a      b 
 
                             e                              e                 \
              e 
  MyEta        Nvec      Nvec   - MyEta          Nvec   Nvec   - MyEta        \
Nvec      Nvec   - 
       c d ;e      b ;a                e d ;b a      c                e d ;b  \
    c ;a 
 
                            e                               e                 \
                    e      i 
  MyEta          Nvec   Nvec   - MyEta        Nvec      Nvec   + MyEta        \
  Nvec   Nvec   Nvec   Nvec   + 
       c e ;b a      d                c e ;b      d ;a                c d ;e \
i      a      b 
 
                                    e      i                                  \
   e      i 
  MyEta        Nvec   Nvec      Nvec   Nvec   + MyEta          Nvec   Nvec   \
Nvec   Nvec   + 
       c d ;e      a      b ;i                       e d ;b i      a      c 
 
                                   e      i                                   \
   e      i 
  MyEta          Nvec   Nvec   Nvec   Nvec   + MyEta        Nvec      Nvec   \
Nvec   Nvec   + 
       e d ;i a      b      c                       e d ;i      b ;a      c 
 
                                    e      i                                  \
    e      i 
  MyEta        Nvec   Nvec      Nvec   Nvec   + MyEta        Nvec   Nvec      \
Nvec   Nvec   + 
       e d ;i      b      c ;a                       e d ;b      a      c ;i 
 
                                   e      i                                   \
  e      i 
  MyEta          Nvec   Nvec   Nvec   Nvec   + MyEta          Nvec   Nvec   \
Nvec   Nvec   + 
       c e ;b i      a      d                       c e ;i a      b      d 
 
                                    e      i                                  \
   e      i 
  MyEta        Nvec      Nvec   Nvec   Nvec   + MyEta          Nvec   Nvec   \
Nvec   Nvec   + 
       c e ;i      b ;a      d                       e i ;b a      c      d 
 
                                    e      i                                  \
    e      i 
  MyEta        Nvec      Nvec   Nvec   Nvec   + MyEta        Nvec   Nvec      \
Nvec   Nvec   + 
       e i ;b      c ;a      d                       c e ;i      b      d ;a 
 
                                    e      i                                  \
    e      i 
  MyEta        Nvec   Nvec      Nvec   Nvec   + MyEta        Nvec   Nvec      \
Nvec   Nvec   - 
       e i ;b      c      d ;a                       c e ;b      a      d ;i 
 
                                          e      i      j 
  MyEta          Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   - 
       e d ;i j      a      b      c 
 
                                           e      i      j 
  MyEta        Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   - 
       e d ;i      a      b ;j      c 
 
                                           e      i      j 
  MyEta        Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   - 
       e d ;i      a      b      c ;j 
 
                                          e      i      j 
  MyEta          Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   - 
       c e ;i j      a      b      d 
 
                                           e      i      j 
  MyEta        Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   - 
       c e ;i      a      b ;j      d 
 
                                          e      i      j 
  MyEta          Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   - 
       e i ;b j      a      c      d 
 
                                          e      i      j 
  MyEta          Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   - 
       e i ;j a      b      c      d 
 
                                           e      i      j 
  MyEta        Nvec      Nvec   Nvec   Nvec   Nvec   Nvec   - 
       e i ;j      b ;a      c      d 
 
                                           e      i      j 
  MyEta        Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   - 
       e i ;j      b      c ;a      d 
 
                                           e      i      j 
  MyEta        Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   - 
       e i ;b      a      c ;j      d 
 
                                           e      i      j 
  MyEta        Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   - 
       e i ;j      b      c      d ;a 
 
                                           e      i      j 
  MyEta        Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   - 
       c e ;i      a      b      d ;j 
 
                                           e      i      j 
  MyEta        Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   + 
       e i ;b      a      c      d ;j 
 
                                                 e      i      j      k 
  MyEta          Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   + 
       e i ;j k      a      b      c      d 
 
                                                  e      i      j      k 
  MyEta        Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   Nvec   Nvec   + 
       e i ;j      a      b ;k      c      d 
 
                                                  e      i      j      k 
  MyEta        Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   Nvec   Nvec   + 
       e i ;j      a      b      c ;k      d 
 
                                                  e      i      j      k 
  MyEta        Nvec   Nvec   Nvec   Nvec      Nvec   Nvec   Nvec   Nvec
       e i ;j      a      b      c      d ;k\
\>"], "Output",
 CellChangeTimes->{{3.7618586332531977`*^9, 3.761858646300832*^9}, 
   3.7625950550983343`*^9, 3.7626786482754707`*^9, 3.764531465585837*^9, 
   3.765473583395382*^9, 3.7661593695551558`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"StepEEOne", "-", "StepEETwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.761858657391728*^9, 3.761858681080665*^9}, {
  3.761858757294902*^9, 3.761858802782621*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.7618588050875263`*^9, 3.762595386140232*^9, 
  3.762678668900234*^9, 3.7645314752300158`*^9, 3.765473589405303*^9, 
  3.766159378115509*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761858810719955*^9, 3.761858825599967*^9}}],

Cell[TextData[{
 StyleBox["LapSigHatDen", "Input"],
 ":  We consider the intrinsic Laplacian acting on a density."
}], "Text",
 CellChangeTimes->{{3.7626788013232822`*^9, 3.762678850646587*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "We consider ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[CapitalDelta]", "_"], TraditionalForm]]],
 StyleBox["f",
  FontSlant->"Italic"],
 ", where ",
 StyleBox["f",
  FontSlant->"Italic"],
 " is an intrinsic density.  We begin by setting ",
 StyleBox["StepFFOne", "Input"],
 " equal to ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[CapitalDelta]", "_"], TraditionalForm]]],
 StyleBox["f",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.762678876232492*^9, 3.762678920384234*^9}, {
  3.762678967950801*^9, 3.7626790093995132`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"gSgm", "[", 
      RowBox[{
       RowBox[{"U", "[", "a", "]"}], ",", 
       RowBox[{"U", "[", "b", "]"}]}], "]"}], 
     RowBox[{"NbNbSigHatDen", "[", 
      RowBox[{"f", ",", "w", ",", 
       RowBox[{"L", "[", "b", "]"}], ",", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepFFOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepFFOne"}], "Input",
 CellChangeTimes->{{3.7626790214917383`*^9, 3.762679153768425*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a]] - f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] - f[] \
[L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]\
\>", "\<\
    a               a      b             a         b 
f      - f      Nvec   Nvec   - f    Nvec      Nvec
 ;a       ;a b                   ;b        ;a\
\>"], "Output",
 CellChangeTimes->{
  3.7626790638688707`*^9, {3.7626791103950987`*^9, 3.762679154639966*^9}, 
   3.764531476702457*^9, 3.765473595812653*^9, 3.7661593878146133`*^9}]
}, Open  ]],

Cell[TextData[{
 "We now test our command ",
 StyleBox["LapSigHatDen", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.762679172516889*^9, 3.762679193169903*^9}, {
  3.7645314787158213`*^9, 3.764531480161653*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"LapSigHatDen", "[", 
    RowBox[{"f", ",", "w"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepFFTwo", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepFFTwo"}], "Input",
 CellChangeTimes->{{3.762679202907069*^9, 3.762679269705389*^9}}],

Cell[OutputFormData["\<\
f[] [L[a], U[a]] - f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]] - f[] \
[L[b]]*Nvec[U[a]] [L[a]]*Nvec[U[b]]\
\>", "\<\
    a               a      b             a         b 
f      - f      Nvec   Nvec   - f    Nvec      Nvec
 ;a       ;a b                   ;b        ;a\
\>"], "Output",
 CellChangeTimes->{{3.762679252372972*^9, 3.762679270251581*^9}, 
   3.764531482480751*^9, 3.765473610295759*^9, 3.7661593910715103`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StepFFOne", "-", "StepFFTwo"}]], "Input",
 CellChangeTimes->{{3.762679271762847*^9, 3.7626792764973297`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.762679277133739*^9, 3.764531483624029*^9, 
  3.765473614164575*^9, 3.766159393669969*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.762679280515457*^9, 3.762679298802813*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1843, 1099},
WindowMargins->{{0, Automatic}, {44, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{597.562, 842.375},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 438, 8, 76, "Text"],
Cell[986, 30, 876, 19, 148, "Text"],
Cell[1865, 51, 243, 6, 97, "Text"],
Cell[2111, 59, 485, 13, 107, "Text"],
Cell[2599, 74, 149, 2, 96, "Text"],
Cell[2751, 78, 225, 5, 64, "Text"],
Cell[2979, 85, 108, 2, 63, "Input"],
Cell[3090, 89, 161, 2, 96, "Text"],
Cell[3254, 93, 234, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[3513, 103, 248, 5, 65, "Input"],
Cell[3764, 110, 2074, 36, 162, "Output"]
}, Open  ]],
Cell[5853, 149, 186, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[6064, 159, 104, 1, 63, "Input"],
Cell[6171, 162, 247, 6, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6455, 173, 426, 6, 63, "Input"],
Cell[6884, 181, 434, 10, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7355, 196, 1369, 30, 581, "Input"],
Cell[8727, 228, 670, 14, 80, "Print"]
}, Open  ]],
Cell[9412, 245, 195, 4, 96, "Text"],
Cell[9610, 251, 1626, 30, 361, "Text"],
Cell[11239, 283, 333, 7, 96, "Text"],
Cell[11575, 292, 1060, 34, 180, "Text"],
Cell[12638, 328, 411, 9, 106, "Text"],
Cell[CellGroupData[{
Cell[13074, 341, 221, 4, 65, "Input"],
Cell[13298, 347, 234, 3, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13569, 355, 292, 8, 107, "Input"],
Cell[13864, 365, 304, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14205, 378, 129, 2, 63, "Input"],
Cell[14337, 382, 270, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14644, 394, 486, 13, 193, "Input"],
Cell[15133, 409, 423, 9, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15593, 423, 403, 11, 193, "Input"],
Cell[15999, 436, 361, 10, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16397, 451, 318, 8, 150, "Input"],
Cell[16718, 461, 413, 9, 146, "Output"]
}, Open  ]],
Cell[17146, 473, 343, 8, 96, "Text"],
Cell[17492, 483, 1212, 44, 178, "Text"],
Cell[18707, 529, 1391, 48, 221, "Text"],
Cell[20101, 579, 186, 5, 64, "Text"],
Cell[CellGroupData[{
Cell[20312, 588, 159, 3, 65, "Input"],
Cell[20474, 593, 352, 7, 113, "Print"],
Cell[20829, 602, 272, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21138, 614, 155, 3, 63, "Input"],
Cell[21296, 619, 287, 8, 124, "Output"]
}, Open  ]],
Cell[21598, 630, 429, 13, 108, "Text"],
Cell[CellGroupData[{
Cell[22052, 647, 632, 16, 193, "Input"],
Cell[22687, 665, 2586, 61, 582, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25310, 731, 403, 11, 193, "Input"],
Cell[25716, 744, 837, 17, 233, "Output"]
}, Open  ]],
Cell[26568, 764, 1268, 46, 262, "Text"],
Cell[CellGroupData[{
Cell[27861, 814, 641, 18, 107, "Input"],
Cell[28505, 834, 477, 10, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29019, 849, 501, 15, 193, "Input"],
Cell[29523, 866, 309, 8, 103, "Output"]
}, Open  ]],
Cell[29847, 877, 131, 1, 64, "Text"],
Cell[29981, 880, 246, 5, 96, "Text"],
Cell[30230, 887, 2683, 108, 386, "Text"],
Cell[32916, 997, 191, 5, 64, "Text"],
Cell[CellGroupData[{
Cell[33132, 1006, 997, 27, 192, "Input"],
Cell[34132, 1035, 566, 11, 146, "Output"]
}, Open  ]],
Cell[34713, 1049, 470, 10, 107, "Text"],
Cell[CellGroupData[{
Cell[35208, 1063, 823, 24, 279, "Input"],
Cell[36034, 1089, 1036, 21, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37107, 1115, 607, 19, 236, "Input"],
Cell[37717, 1136, 340, 8, 103, "Output"]
}, Open  ]],
Cell[38072, 1147, 131, 1, 64, "Text"],
Cell[38206, 1150, 408, 8, 96, "Text"],
Cell[38617, 1160, 1313, 49, 186, "Text"],
Cell[39933, 1211, 237, 6, 64, "Text"],
Cell[CellGroupData[{
Cell[40195, 1221, 160, 3, 65, "Input"],
Cell[40358, 1226, 326, 7, 113, "Print"],
Cell[40687, 1235, 242, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40966, 1247, 206, 5, 65, "Input"],
Cell[41175, 1254, 267, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41479, 1267, 894, 27, 150, "Input"],
Cell[42376, 1296, 441, 9, 146, "Output"]
}, Open  ]],
Cell[42832, 1308, 414, 9, 107, "Text"],
Cell[CellGroupData[{
Cell[43271, 1321, 821, 24, 279, "Input"],
Cell[44095, 1347, 1584, 37, 321, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45716, 1389, 725, 23, 279, "Input"],
Cell[46444, 1414, 240, 7, 103, "Output"]
}, Open  ]],
Cell[46699, 1424, 131, 1, 64, "Text"],
Cell[46833, 1427, 456, 9, 96, "Text"],
Cell[47292, 1438, 1558, 57, 186, "Text"],
Cell[48853, 1497, 2652, 106, 385, "Text"],
Cell[51508, 1605, 227, 6, 64, "Text"],
Cell[CellGroupData[{
Cell[51760, 1615, 158, 3, 65, "Input"],
Cell[51921, 1620, 302, 7, 113, "Print"],
Cell[52226, 1629, 224, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52487, 1641, 1759, 49, 278, "Input"],
Cell[54249, 1692, 1250, 31, 321, "Output"]
}, Open  ]],
Cell[55514, 1726, 706, 18, 192, "Text"],
Cell[CellGroupData[{
Cell[56245, 1748, 887, 26, 321, "Input"],
Cell[57135, 1776, 9500, 243, 2413, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66672, 2024, 775, 24, 279, "Input"],
Cell[67450, 2050, 218, 7, 103, "Output"]
}, Open  ]],
Cell[67683, 2060, 131, 1, 64, "Text"],
Cell[67817, 2063, 228, 5, 96, "Text"],
Cell[68048, 2070, 572, 21, 66, "Text"],
Cell[CellGroupData[{
Cell[68645, 2095, 1462, 47, 451, "Input"],
Cell[70110, 2144, 473, 10, 146, "Output"]
}, Open  ]],
Cell[70598, 2157, 214, 6, 64, "Text"],
Cell[CellGroupData[{
Cell[70837, 2167, 692, 21, 307, "Input"],
Cell[71532, 2190, 444, 9, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72013, 2204, 133, 2, 91, "Input"],
Cell[72149, 2208, 167, 6, 103, "Output"]
}, Open  ]],
Cell[72331, 2217, 131, 1, 64, "Text"],
Cell[72465, 2220, 149, 2, 96, "Text"],
Cell[72617, 2224, 1464, 27, 234, "Text"],
Cell[74084, 2253, 285, 6, 64, "Text"],
Cell[74372, 2261, 132, 2, 91, "Input"],
Cell[74507, 2265, 254, 6, 64, "Text"],
Cell[74764, 2273, 132, 2, 91, "Input"],
Cell[74899, 2277, 253, 6, 64, "Text"],
Cell[75155, 2285, 132, 2, 124, "Input"]
}
]
*)

