(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     44236,       1402]
NotebookOptionsPosition[     39501,       1249]
NotebookOutlinePosition[     40245,       1273]
CellTagsIndexPosition[     40202,       1270]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["IntTen.nb (\[OpenCurlyDoubleQuote]Notebook concerning Intrinsic tensors\
\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.764186091604183*^9, 3.764186125620246*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["\<\
Date last modified:  6 May 2019

In this notebook, we illustrate and test our definitions relating to tensors \
associated with the submanifold \[Sum].\
\>", "Text",
 CellChangeTimes->{{3.7627642842629557`*^9, 3.762764290958097*^9}, {
   3.7627643231518593`*^9, 3.762764377953272*^9}, {3.762850661476184*^9, 
   3.762850661886075*^9}, {3.764186135124688*^9, 3.764186139004468*^9}, {
   3.764273275369927*^9, 3.76427327599405*^9}, {3.7645316497242517`*^9, 
   3.764531652468346*^9}, {3.765473793135076*^9, 3.765473805430838*^9}, 
   3.765962970018392*^9, {3.7659630205937347`*^9, 3.765963023881434*^9}, {
   3.766159658478442*^9, 3.766159659078381*^9}}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defout.m"}]], "Input",
 CellChangeTimes->{3.766159674622843*^9}],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.760435145257159*^9, 3.7604351474886017`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "90"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.762764391138027*^9, 3.762764392393855*^9}, {
  3.762765009326685*^9, 3.762765010806072*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 90, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 90, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{3.762764393463768*^9, 3.762765011716523*^9, 
  3.7628506717814503`*^9, 3.762889423744157*^9, 3.76427321366612*^9, 
  3.764273279368951*^9, 3.764531659083089*^9, 3.765473807848302*^9, 
  3.766159682010714*^9}]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766159688388103*^9, 3.766159701730712*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.766159710698967*^9, 3.766159711870475*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766159713101383*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.7627644065066843`*^9, 3.762764426618567*^9}, {
  3.765963010097849*^9, 3.765963011321495*^9}, {3.76615972659114*^9, 
  3.766159727359108*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{3.76276442757653*^9, 3.762850672801259*^9, 
  3.762889425181849*^9, 3.764273214804041*^9, 3.764273280943472*^9, 
  3.764531660296295*^9, 3.7654738092528057`*^9, 3.7661597289003887`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/MayCottBach.m"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\n", 
 RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\n", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.762764407666642*^9, 3.762764410771296*^9}, {
  3.764273253468792*^9, 3.7642732539379463`*^9}, {3.764275134166779*^9, 
  3.7642751345903807`*^9}}],

Cell["\<\
Time:  14 hours, 28 minutes, 55 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{3.7628506741749153`*^9, 3.762889427202777*^9, 
  3.764273217242221*^9, 3.7642732870668993`*^9, 3.764531662398365*^9, 
  3.765473811421535*^9, 3.766159734752309*^9}]
}, Open  ]],

Cell["We test the intrinsic Riemannian curvature tensor.", "Text",
 CellChangeTimes->{{3.7627644828952847`*^9, 3.762764503779745*^9}, 
   3.762852127250988*^9},
 Background->RGBColor[1, 1, 0]],

Cell["\<\
We beginning by typing in the formula for the intrinsic Riemannian curvature \
tensor given at the end of Section 3.1 of our article.\
\>", "Text",
 CellChangeTimes->{{3.7627645296385927`*^9, 3.762764576508325*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IntrinsicR", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"PiPro", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"U", "[", "i", "]"}]}], "]"}], 
      RowBox[{"PiPro", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"U", "[", "j", "]"}]}], "]"}], 
      RowBox[{"PiPro", "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"U", "[", "k", "]"}]}], "]"}], 
      RowBox[{"PiPro", "[", 
       RowBox[{
        RowBox[{"L", "[", "d", "]"}], ",", 
        RowBox[{"U", "[", "l", "]"}]}], "]"}], 
      RowBox[{"Rm", "[", 
       RowBox[{
        RowBox[{"L", "[", "i", "]"}], ",", 
        RowBox[{"L", "[", "j", "]"}], ",", 
        RowBox[{"L", "[", "k", "]"}], ",", 
        RowBox[{"L", "[", "l", "]"}]}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], 
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], 
      RowBox[{"SFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
    ")"}]}], ";"}], "\[IndentingNewLine]", "IntrinsicR"}], "Input",
 CellChangeTimes->{{3.7627645877422457`*^9, 3.762764715981964*^9}}],

Cell[OutputFormData["\<\
PiPro[L[a], U[i]]*PiPro[L[b], U[j]]*PiPro[L[c], U[k]]*PiPro[L[d], U[l]]*

    Rm[L[i], L[j], L[k], L[l]] - SFF[L[a], L[d]]*SFF[L[b], L[c]] + 

   SFF[L[a], L[c]]*SFF[L[b], L[d]]\
\>", "\<\
       i         j         k         l 
PiPro     PiPro     PiPro     PiPro     Rm         - SFF     SFF     + SFF    \
 SFF
     a         b         c         d      i j k l       a d     b c       a c \
    b d\
\>"], "Output",
 CellChangeTimes->{3.762764682632264*^9, 3.7627647173727913`*^9, 
  3.7627647516431932`*^9, 3.762850692690296*^9, 3.762889431075663*^9, 
  3.764531677514875*^9, 3.765473817956154*^9, 3.766159741192501*^9}]
}, Open  ]],

Cell["\<\
We now compare the above to our earlier definition of the intrinsic \
Riemannian curvature tensor.\
\>", "Text",
 CellChangeTimes->{{3.762764758501742*^9, 3.762764791356917*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PreviousRSigma", "=", 
   RowBox[{"RSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "PreviousRSigma"}], "Input",
 CellChangeTimes->{{3.762764810263389*^9, 3.762764848509892*^9}}],

Cell[OutputFormData["\<\
RSigma[L[a], L[b], L[c], L[d]]\
\>", "\<\
RSigma
      a b c d\
\>"], "Output",
 CellChangeTimes->{
  3.762764794776957*^9, {3.76276482737754*^9, 3.762764849386869*^9}, 
   3.7628507650415773`*^9, 3.762889498218212*^9, 3.7645316806277122`*^9, 
   3.76547382024951*^9, 3.766159744152924*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"IntrinsicR", "-", "PreviousRSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.762764858150229*^9, 3.762764870325836*^9}, {
  3.762764913486411*^9, 3.76276498294993*^9}, {3.762765023414709*^9, 
  3.762765055973791*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.7627648743635607`*^9, {3.7627649413149157`*^9, 3.762764983845933*^9}, {
   3.7627650172094812`*^9, 3.7627650572342777`*^9}, 3.762850773742193*^9, 
   3.7628895004682713`*^9, 3.7645316817992353`*^9, 3.7654738310908403`*^9, 
   3.7661597468968763`*^9}]
}, Open  ]],

Cell[TextData[{
 "The output from the above commands should be zero.\n\nI would now like to \
show that if we contract the normal vector with any index of ",
 StyleBox["RSigma", "Input"],
 ", we get zero."
}], "Text",
 CellChangeTimes->{{3.762765217724864*^9, 3.762765266957337*^9}, {
  3.7654738563116703`*^9, 3.765473867359067*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], 
      RowBox[{"RSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", " ", "]"}], "]"}], 
      RowBox[{"RSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], 
      RowBox[{"RSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], 
      RowBox[{"RSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "c", "]"}], ",", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.762765284732435*^9, 3.762765300357308*^9}, {
  3.765473901745832*^9, 3.765473947728581*^9}}],

Cell[OutputFormData["\<\
{Nvec[U[a]]*RSigma[L[a], L[b], L[c], L[d]], Nvec[U[b]]*RSigma[L[a], L[b], \
L[c], L[d]], 

   Nvec[U[c]]*RSigma[L[a], L[b], L[c], L[d]], Nvec[U[d]]*RSigma[L[a], L[b], \
L[c], L[d]]}\
\>", "\<\
     a                      b                      c 
{Nvec   RSigma        , Nvec   RSigma        , Nvec   RSigma        , 
              a b c d                a b c d                a b c d 
 
      d 
  Nvec   RSigma        }
               a b c d\
\>"], "Output",
 CellChangeTimes->{
  3.7627653010190563`*^9, 3.762765441119897*^9, 3.762850790231174*^9, 
   3.762889549363491*^9, 3.76453168396454*^9, 3.76547388057067*^9, {
   3.765473942664425*^9, 3.765473950622897*^9}, {3.765474074752631*^9, 
   3.765474089694269*^9}, 3.7661597509411488`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SFFShuffle", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.762765306943902*^9, 3.76276534142232*^9}}],

Cell[OutputFormData["\<\
{0, 0, 0, 0}\
\>", "\<\
{0, 0, 0, 0}\
\>"], "Output",
 CellChangeTimes->{{3.76276533817908*^9, 3.7627653515340242`*^9}, 
   3.7627654422254457`*^9, 3.762850796518939*^9, 3.762889551710022*^9, 
   3.764531685298356*^9, 3.7654739608287487`*^9, 3.765474091666047*^9, 
   3.7661597658784933`*^9}]
}, Open  ]],

Cell[TextData[{
 "So when we work with ",
 StyleBox["RSigma", "Input"],
 ", we can raise or lower indices with either the intrinsic metric on \[Sum] \
or the metric on ",
 StyleBox["M",
  FontSlant->"Italic"],
 ".  The result will be the same."
}], "Text",
 CellChangeTimes->{{3.762765455474321*^9, 3.762765500705544*^9}, {
  3.762851196435603*^9, 3.7628512014195623`*^9}}],

Cell["We test the intrinsic Ricci tensor.", "Text",
 CellChangeTimes->{{3.7627644828952847`*^9, 3.762764503779745*^9}, {
   3.7627656226172256`*^9, 3.762765625833034*^9}, 3.762852120634757*^9},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We discuss the Ricci tensor at the beginning of Section 3 of our article.  \
We say that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Rc", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["R", 
    RowBox[{
     StyleBox["ca",
      FontSlant->"Italic"], "  ", "b"}], 
    RowBox[{"     ", "c"}]], TraditionalForm]]],
 ".  We now test our previous definition of the intrinsic Ricci tensor."
}], "Text",
 CellChangeTimes->{{3.762765635943512*^9, 3.76276578024522*^9}, {
  3.76285088632625*^9, 3.762850886326374*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IntrinsicRicci", "=", 
   RowBox[{"RSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "IntrinsicRicci"}], "Input",
 CellChangeTimes->{{3.762765787253981*^9, 3.7627658355063057`*^9}}],

Cell[OutputFormData["\<\
RSigma[L[c], L[a], U[c], L[b]]\
\>", "\<\
          c 
RSigma
      c a   b\
\>"], "Output",
 CellChangeTimes->{3.762765836707965*^9, 3.7627659229632683`*^9, 
  3.762850926546134*^9, 3.762889629119027*^9, 3.764531702080147*^9, 
  3.765474106020541*^9, 3.766159775235368*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PreviousIntRc", "=", 
   RowBox[{"RicciSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "PreviousIntRc"}], "Input",
 CellChangeTimes->{{3.762765848588912*^9, 3.762765882706029*^9}, {
  3.762766029507949*^9, 3.762766029779422*^9}}],

Cell[OutputFormData["\<\
RicciSigma[L[a], L[b]]\
\>", "\<\
RicciSigma
          a b\
\>"], "Output",
 CellChangeTimes->{3.7627658836822653`*^9, 3.7627659244505587`*^9, 
  3.7627660315328283`*^9, 3.762850953567491*^9, 3.762889639900251*^9, 
  3.7645317030837584`*^9, 3.765474107721815*^9, 3.7661597774489813`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"IntrinsicRicci", "-", "PreviousIntRc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRicciSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7627659369515123`*^9, 3.762766010651429*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.762765985268448*^9, 3.762766033602807*^9}, 
   3.762850961714336*^9, 3.762889698617031*^9, 3.764531703970818*^9, 
   3.765474117112653*^9, 3.766159780887751*^9}]
}, Open  ]],

Cell[TextData[{
 "The output from the above commands should be zero.\n\nI would now like to \
show that if we contract the normal vector with either index of ",
 StyleBox["RicciSigma", "Input"],
 ", we get zero."
}], "Text",
 CellChangeTimes->{{3.762850988545343*^9, 3.7628510308032637`*^9}, {
  3.7654741262745523`*^9, 3.765474137626137*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], 
      RowBox[{"RicciSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], 
      RowBox[{"RicciSigma", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.762851038353217*^9, 3.762851055915263*^9}, {
  3.7654741721788177`*^9, 3.7654741969076633`*^9}}],

Cell[OutputFormData["\<\
{Nvec[U[a]]*RicciSigma[L[a], L[b]], Nvec[U[b]]*RicciSigma[L[a], L[b]]}\
\>", "\<\
     a                      b 
{Nvec   RicciSigma    , Nvec   RicciSigma    }
                  a b                    a b\
\>"], "Output",
 CellChangeTimes->{
  3.762851056646612*^9, 3.762851137657403*^9, 3.762889705187984*^9, 
   3.764531707456623*^9, {3.765474198133285*^9, 3.765474204830574*^9}, {
   3.76547425486023*^9, 3.765474278198806*^9}, 3.766159783969264*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRicciSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.762851058881507*^9, 3.762851094459859*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{{3.7628510819156513`*^9, 3.762851095356534*^9}, 
   3.762851139025131*^9, 3.762889713174631*^9, 3.7645317086623793`*^9, 
   3.765474207071014*^9, {3.765474255880149*^9, 3.765474279220214*^9}, 
   3.7661597884614697`*^9}]
}, Open  ]],

Cell[TextData[{
 "So when we work with ",
 StyleBox["RicciSigma", "Input"],
 ", we can raise or lower indices with either the intrinsic metric on \[Sum] \
or the metric on ",
 StyleBox["M",
  FontSlant->"Italic"],
 ".  The result will be the same."
}], "Text",
 CellChangeTimes->{{3.762765455474321*^9, 3.762765500705544*^9}, {
  3.76285116601171*^9, 3.762851179987409*^9}}],

Cell["We test the intrinsic scalar curvature tensor.", "Text",
 CellChangeTimes->{{3.7627644828952847`*^9, 3.762764503779745*^9}, {
   3.7627656226172256`*^9, 3.762765625833034*^9}, {3.762766098939348*^9, 
   3.7627661034750843`*^9}, 3.7628521160506983`*^9},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "In our automated tensor calculus work we have always assumed that the \
scalar curvature Sc is given by Sc =  ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Rc", "a", 
    RowBox[{"   ", "a"}]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.762766107974761*^9, 3.762766203963805*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Rc", "[", 
  RowBox[{
   RowBox[{"L", "[", "a", "]"}], ",", 
   RowBox[{"U", "[", "a", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.762766207017703*^9, 3.762766213051673*^9}}],

Cell[OutputFormData["\<\
Sc\
\>", "\<\
Sc\
\>"], "Output",
 CellChangeTimes->{3.762766214005595*^9, 3.762851226135684*^9, 
  3.762889767215303*^9, 3.7645317202725153`*^9, 3.765474292806202*^9, 
  3.766159795894595*^9}]
}, Open  ]],

Cell["\<\
We will now test our previous definition of the intrinsic scalar curvature.\
\>", "Text",
 CellChangeTimes->{{3.762766224146071*^9, 3.762766250596938*^9}, {
  3.762889769290254*^9, 3.762889771783852*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IntrinsicScalarCurvature", "=", 
   RowBox[{"RicciSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "a", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "IntrinsicScalarCurvature"}], "Input",
 CellChangeTimes->{{3.762766262392737*^9, 3.762766285843378*^9}}],

Cell[OutputFormData["\<\
RicciSigma[L[a], U[a]]\
\>", "\<\
            a 
RicciSigma
          a\
\>"], "Output",
 CellChangeTimes->{3.7627662866406384`*^9, 3.762851237925068*^9, 
  3.7628897736707907`*^9, 3.7645317215043383`*^9, 3.765474294762821*^9, 
  3.76615979881917*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PreviousScalarCurvature", "=", "ScalarSigma"}], 
  ";"}], "\[IndentingNewLine]", "PreviousScalarCurvature"}], "Input",
 CellChangeTimes->{{3.762766298198357*^9, 3.762766321291834*^9}}],

Cell[OutputFormData["\<\
ScalarSigma\
\>", "\<\
ScalarSigma\
\>"], "Output",
 CellChangeTimes->{3.762766322417305*^9, 3.7628512420116587`*^9, 
  3.762889774996533*^9, 3.764531723253229*^9, 3.7654742996185493`*^9, 
  3.766159800115789*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"IntrinsicScalarCurvature", "-", "PreviousScalarCurvature"}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRicciSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandScalarSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.762766325141548*^9, 3.762766381107697*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.7627663413213654`*^9, 3.762766381721835*^9}, 
   3.76285126953724*^9, 3.7628898350115147`*^9, 3.7645317244903*^9, 
   3.765474305931622*^9, 3.766159802720376*^9}]
}, Open  ]],

Cell["We test the intrinsic Schouten tensor.", "Text",
 CellChangeTimes->{{3.7627644828952847`*^9, 3.762764503779745*^9}, {
   3.7627656226172256`*^9, 3.762765625833034*^9}, {3.762766098939348*^9, 
   3.7627661034750843`*^9}, {3.762766474828095*^9, 3.762766480251614*^9}, 
   3.7628521118026743`*^9},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We discuss the Schouten tensor at the beginning of Section 3 of our \
article.  According to our discussion, the Schouten tensor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " satisfies the following\n   ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"n", "-", "2"}]], TraditionalForm]]],
 StyleBox["(",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["Rc", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " - J",
 Cell[BoxData[
  FormBox[
   SubscriptBox["g", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 StyleBox[")\n",
  FontSize->24],
 "It follows from this that J = ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"n", "-", "1"}], ")"}]}]], TraditionalForm]]],
 "Sc.  Thus\n   ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"n", "-", "2"}]], TraditionalForm]]],
 StyleBox["(",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["Rc", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 "  -  ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"n", "-", "1"}], ")"}]}]], TraditionalForm]]],
 " Sc \[CenterDot] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["g", 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 StyleBox[")",
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.762766489311863*^9, 3.762766633652501*^9}, {
  3.762766800908469*^9, 3.762766883116531*^9}, {3.76276697046955*^9, 
  3.762766971261746*^9}, {3.762767040996057*^9, 3.7627670827330647`*^9}, {
  3.762851855336808*^9, 3.762851889504512*^9}}],

Cell[TextData[{
 "We now test our previous definition of the intrinsic Schouten tensor.  \
Remember that the\ndimension of \[Sum] is (",
 StyleBox["n ",
  FontSlant->"Italic"],
 "- 1)."
}], "Text",
 CellChangeTimes->{{3.762766678929956*^9, 3.7627666990374193`*^9}, {
  3.762767246523973*^9, 3.76276726593202*^9}, {3.762851984369475*^9, 
  3.762851992401455*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IntrinsicSchouten", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "3"}], ")"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"RicciSigma", "[", 
        RowBox[{
         RowBox[{"L", "[", "a", "]"}], ",", 
         RowBox[{"L", "[", "b", "]"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{"n", "-", "2"}], ")"}]}], ")"}]}], ")"}], "ScalarSigma", 
        "*", 
        RowBox[{"gSgm", "[", 
         RowBox[{
          RowBox[{"L", "[", "a", "]"}], ",", 
          RowBox[{"L", "[", "b", "]"}]}], "]"}]}]}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "IntrinsicSchouten"}], "Input",
 CellChangeTimes->{{3.762766705502574*^9, 3.762766743428734*^9}, {
  3.762767147684372*^9, 3.762767196283844*^9}, {3.762767601412661*^9, 
  3.762767603532073*^9}}],

Cell[OutputFormData["\<\
(RicciSigma[L[a], L[b]] - (gSgm[L[a], L[b]]*ScalarSigma)/(2*(-2 + n)))/(-3 + \
n)\
\>", "\<\
  1                          1
------ (RicciSigma     - ---------- gSgm     ScalarSigma)
-3 + n            a b    2 (-2 + n)     a b\
\>"], "Output",
 CellChangeTimes->{3.7627671972652063`*^9, 3.762767276352139*^9, 
  3.762767604820591*^9, 3.762767661505486*^9, 3.762851996089245*^9, 
  3.7628899597513037`*^9, 3.764531729129682*^9, 3.765474362339465*^9, 
  3.766159811887249*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PreviousIntrinsicSchouten", "=", 
   RowBox[{"RhoSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "PreviousIntrinsicSchouten"}], "Input",
 CellChangeTimes->{{3.762767296788732*^9, 3.7627673185720167`*^9}}],

Cell[OutputFormData["\<\
RhoSigma[L[a], L[b]]\
\>", "\<\
RhoSigma
        a b\
\>"], "Output",
 CellChangeTimes->{3.7627673193952436`*^9, 3.762767606508883*^9, 
  3.762767664999646*^9, 3.7628520230777597`*^9, 3.762889985437714*^9, 
  3.764531731101898*^9, 3.765474364070839*^9, 3.766159813396*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"IntrinsicSchouten", "-", "PreviousIntrinsicSchouten"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRhoSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRicciSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandScalarSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.7627673231545687`*^9, 3.762767387030786*^9}, {
  3.762767438283036*^9, 3.762767444763006*^9}, {3.7627676221894073`*^9, 
  3.76276763168577*^9}, {3.762767722849988*^9, 3.762767752796708*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.762767348460045*^9, 3.762767387632223*^9, 3.762767445860096*^9, {
   3.762767608010786*^9, 3.762767632804895*^9}, 3.762767666721993*^9, {
   3.762767735926404*^9, 3.762767753931183*^9}, 3.762852044132565*^9, 
   3.7628900004186907`*^9, 3.76453173245525*^9, 3.765474644068349*^9, 
   3.766159815613909*^9}]
}, Open  ]],

Cell["The output from the above commands should be zero.", "Text",
 CellChangeTimes->{{3.765474655902382*^9, 3.7654746687318077`*^9}}],

Cell["We now test the intrinsic J.", "Text",
 CellChangeTimes->{{3.7627644828952847`*^9, 3.762764503779745*^9}, {
  3.7627656226172256`*^9, 3.762765625833034*^9}, {3.762766098939348*^9, 
  3.7627661034750843`*^9}, {3.762766474828095*^9, 3.762766480251614*^9}, {
  3.762852096834324*^9, 3.762852107250671*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "Here J = ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["P", "a", 
    RowBox[{"  ", "a"}]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.7628521436449947`*^9, 3.76285218973956*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IntrinsicJ", "=", 
   RowBox[{"RhoSigma", "[", 
    RowBox[{
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "a", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "IntrinsicJ"}], "Input",
 CellChangeTimes->{{3.7628521989525642`*^9, 3.76285223613977*^9}}],

Cell[OutputFormData["\<\
RhoSigma[L[a], U[a]]\
\>", "\<\
          a 
RhoSigma
        a\
\>"], "Output",
 CellChangeTimes->{
  3.762852237156481*^9, {3.762852331184948*^9, 3.762852385563151*^9}, 
   3.762852479904982*^9, 3.76285275956238*^9, 3.762890022103964*^9, 
   3.764531735572791*^9, 3.765474675413198*^9, 3.766159818396493*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PreviousIntrinsicJ", "=", "TrPSigma"}], 
  ";"}], "\[IndentingNewLine]", "PreviousIntrinsicJ"}], "Input",
 CellChangeTimes->{{3.762852247199564*^9, 3.762852267796348*^9}, {
  3.7628523168219633`*^9, 3.762852320908766*^9}}],

Cell[OutputFormData["\<\
TrPSigma\
\>", "\<\
TrPSigma\
\>"], "Output",
 CellChangeTimes->{
  3.762852269238536*^9, {3.762852321776285*^9, 3.762852386422791*^9}, 
   3.762852480800064*^9, 3.762852760981709*^9, 3.7628900280501423`*^9, 
   3.7645317366566877`*^9, 3.765474676566451*^9, 3.766159820419726*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"IntrinsicJ", "-", "PreviousIntrinsicJ"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRhoSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTrPSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NvecClean", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.762852277975664*^9, 3.762852295596612*^9}, {
  3.762852326125305*^9, 3.762852327532984*^9}, {3.762852396294979*^9, 
  3.76285245122159*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.762852300201426*^9, 3.7628523871052217`*^9}, {
   3.762852423131381*^9, 3.762852452168964*^9}, 3.762852485977292*^9, 
   3.7628527677612467`*^9, 3.7628900335303297`*^9, 3.764531737484774*^9, 
   3.765474689015847*^9, 3.766159821424139*^9}]
}, Open  ]],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1853, 1103},
WindowMargins->{{0, Automatic}, {40, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{597.562, 842.375},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 247, 5, 76, "Text"],
Cell[808, 27, 662, 12, 148, "Text"],
Cell[1473, 41, 243, 6, 97, "Text"],
Cell[1719, 49, 485, 13, 107, "Text"],
Cell[2207, 64, 149, 2, 96, "Text"],
Cell[2359, 68, 225, 5, 64, "Text"],
Cell[2587, 75, 108, 2, 63, "Input"],
Cell[2698, 79, 161, 2, 96, "Text"],
Cell[2862, 83, 234, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[3121, 93, 246, 5, 65, "Input"],
Cell[3370, 100, 786, 18, 162, "Output"]
}, Open  ]],
Cell[4171, 121, 182, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[4378, 131, 100, 1, 63, "Input"],
Cell[4481, 134, 200, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4718, 144, 235, 4, 63, "Input"],
Cell[4956, 150, 481, 10, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5474, 165, 1066, 27, 580, "Input"],
Cell[6543, 194, 266, 6, 80, "Print"]
}, Open  ]],
Cell[6824, 203, 192, 3, 96, "Text"],
Cell[7019, 208, 225, 4, 106, "Text"],
Cell[CellGroupData[{
Cell[7269, 216, 1636, 47, 235, "Input"],
Cell[8908, 265, 649, 15, 146, "Output"]
}, Open  ]],
Cell[9572, 283, 188, 4, 64, "Text"],
Cell[CellGroupData[{
Cell[9785, 291, 395, 10, 107, "Input"],
Cell[10183, 303, 315, 9, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10535, 317, 1337, 42, 451, "Input"],
Cell[11875, 361, 331, 9, 103, "Output"]
}, Open  ]],
Cell[12221, 373, 334, 7, 148, "Text"],
Cell[CellGroupData[{
Cell[12580, 384, 1585, 43, 193, "Input"],
Cell[14168, 429, 770, 19, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14975, 453, 1170, 37, 451, "Input"],
Cell[16148, 492, 317, 8, 103, "Output"]
}, Open  ]],
Cell[16480, 503, 373, 10, 107, "Text"],
Cell[16856, 515, 225, 3, 96, "Text"],
Cell[17084, 520, 608, 19, 109, "Text"],
Cell[CellGroupData[{
Cell[17717, 543, 397, 10, 107, "Input"],
Cell[18117, 555, 299, 9, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18453, 569, 364, 9, 107, "Input"],
Cell[18820, 580, 312, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19169, 593, 761, 24, 279, "Input"],
Cell[19933, 619, 240, 7, 103, "Output"]
}, Open  ]],
Cell[20188, 629, 343, 7, 148, "Text"],
Cell[CellGroupData[{
Cell[20556, 640, 730, 21, 107, "Input"],
Cell[21289, 663, 478, 10, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21804, 678, 549, 16, 236, "Input"],
Cell[22356, 696, 306, 8, 103, "Output"]
}, Open  ]],
Cell[22677, 707, 374, 10, 107, "Text"],
Cell[23054, 719, 290, 4, 96, "Text"],
Cell[23347, 725, 319, 9, 67, "Text"],
Cell[CellGroupData[{
Cell[23691, 738, 202, 5, 65, "Input"],
Cell[23896, 745, 218, 7, 103, "Output"]
}, Open  ]],
Cell[24129, 755, 214, 4, 64, "Text"],
Cell[CellGroupData[{
Cell[24368, 763, 337, 8, 107, "Input"],
Cell[24708, 773, 276, 9, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25021, 787, 220, 4, 107, "Input"],
Cell[25244, 793, 238, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25519, 805, 786, 24, 279, "Input"],
Cell[26308, 831, 241, 7, 103, "Output"]
}, Open  ]],
Cell[26564, 841, 332, 5, 96, "Text"],
Cell[26899, 848, 1986, 78, 327, "Text"],
Cell[28888, 928, 362, 9, 107, "Text"],
Cell[CellGroupData[{
Cell[29275, 941, 1019, 30, 107, "Input"],
Cell[30297, 973, 498, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30832, 989, 339, 8, 107, "Input"],
Cell[31174, 999, 297, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31508, 1012, 1431, 43, 451, "Input"],
Cell[32942, 1057, 386, 10, 103, "Output"]
}, Open  ]],
Cell[33343, 1070, 134, 1, 64, "Text"],
Cell[33480, 1073, 341, 5, 96, "Text"],
Cell[33824, 1080, 217, 8, 67, "Text"],
Cell[CellGroupData[{
Cell[34066, 1092, 308, 8, 107, "Input"],
Cell[34377, 1102, 335, 10, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34749, 1117, 258, 5, 107, "Input"],
Cell[35010, 1124, 305, 8, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35352, 1137, 987, 30, 322, "Input"],
Cell[36342, 1169, 318, 8, 103, "Output"]
}, Open  ]],
Cell[36675, 1180, 149, 2, 96, "Text"],
Cell[36827, 1184, 1464, 27, 234, "Text"],
Cell[38294, 1213, 285, 6, 64, "Text"],
Cell[38582, 1221, 132, 2, 63, "Input"],
Cell[38717, 1225, 254, 6, 64, "Text"],
Cell[38974, 1233, 132, 2, 63, "Input"],
Cell[39109, 1237, 253, 6, 64, "Text"],
Cell[39365, 1245, 132, 2, 96, "Input"]
}
]
*)

