(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     58139,       1755]
NotebookOptionsPosition[     53650,       1612]
NotebookOutlinePosition[     54392,       1636]
CellTagsIndexPosition[     54349,       1633]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "LIBoxLfW.nb (\[OpenCurlyDoubleQuote]",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 " ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->18],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 "  ",
 StyleBox["f ",
  FontSlant->"Italic"],
 "\[CloseCurlyDoubleQuote])"
}], "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
   3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
   3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
   3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
   3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
   3.454692871706007*^9, 3.4546928917816563`*^9}, {3.521476505572893*^9, 
   3.52147651974911*^9}, {3.7616704935527067`*^9, 3.761670502028571*^9}, 
   3.761670543161415*^9, {3.764532282412588*^9, 3.764532292667835*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["Date last modified:  6 May 2019", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAWIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+BabbnN++n2bxyLJjU9ABEL/s76UA7kHZjWQ6mu15yfVsHpFlO8YPp
hfYd3He8XzlaM+jzgOi2bf4yh+e+crzw/p0siH6SFhGeM++VY83EUjA9L0u+
5DWQlprqDqYv/NcwvMj2xnHKpXAwvXfbupiznG8cnUTl40C0wqrJc49zv3EU
SFsBprMmLfV043njqP96C5i2qrx/RIjvjeOpI3/ANFeB5hUW/jeObb39YHrF
1fl+iUA6gnsLmAYAZbblyA==
  "]],

Cell[TextData[{
 "In this notebook, the plan is to compute the following:\n\n      ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 " ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->24],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["  ",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 "\n\nWe assume that ",
 StyleBox["f",
  FontSlant->"Italic"],
 "  has weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 ".  Note that",
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->18],
 " acts on everything to its right.  This operator resides on the \
submanifold.  So it is conformally invariant provided it acts on weight    ",
 StyleBox["1 - ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"n", "-", "1"}], "2"], TraditionalForm]],
  FontSize->18],
 ",    i.e. on weight   ",
 Cell[BoxData[
  FormBox[
   FractionBox["3", "2"], TraditionalForm]],
  FontSize->18],
 StyleBox[" - ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["n", "2"], TraditionalForm]],
  FontSize->18],
 ".    But this is exactly the weight of",
 StyleBox[" ",
  FontSize->14],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["  ",
  FontSize->18],
 StyleBox["f",
  FontSize->18,
  FontSlant->"Italic"],
 ",  provided ",
 StyleBox["f",
  FontSlant->"Italic"],
 "  has weight  ",
 Cell[BoxData[
  FormBox[
   FractionBox["5", "2"], TraditionalForm]]],
 "- ",
 Cell[BoxData[
  FormBox[
   FractionBox["n", "2"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, 3.5723738574195538`*^9, {
   3.765474871017064*^9, 3.7654748730247726`*^9}, {3.7659631717262287`*^9, 
   3.765963178371653*^9}}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defout.m"}]], "Input",
 CellChangeTimes->{3.766160034435109*^9}],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.760435145257159*^9, 3.7604351474886017`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.572373749311469*^9, 3.572373750678879*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGCwBGKDq1P/J+x66Rj9Z0dO+O6Xjm+c723pANLiq+Piu4D0
KeMrQeuBdOOvFO9tQHp95yGuS0B625Kpxx8A6Y7Tc2v+Aenjaz1PqOx56fjv
voSINpBWeXM+NghIh+z9Wgaiqw23dIFohaBihhAgfYwtMz8KSDtULttUAaSl
raVv14D0z7YwqwXSLXYbXoDotDcZTHVAejEzs2EjkD545XpgM5De/fDE3BYg
faVvaeFiIB1w/Go9y14gv/mrHDeQZtttyKUIpOOkuFaBaCPGf27KQPrwhFWZ
IHrl2VfHQbSenXe2CpCeI526AEQ/uXPxmzdInOeinC+QZpCqOwuil/W94/cH
0kccXVYHAOmItb1P0mxeOS77t/MliLbJqc5NB9Iqb0qKWoB0urvZwXYg3SS5
/Ns6IP3oyV/jO96vHIuuKukenvvK8Uvi7fCcea8cE9hTtoLoo6ELSl4DabOO
leYX2d44vsj8s/sSkM56eWTmce43jgIXbBaA6Khjml5uPG8c7/HkHBfie+Mo
V/U5PJH/jSMAv+31SA==
  "]]
}, Open  ]],

Cell[TextData[{
 "Display the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766160068421157*^9, 3.766160081486993*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.766160091781945*^9, 3.766160093929809*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.7661600949001017`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.572373873777116*^9, 3.572373881238312*^9}, {
  3.7616707454123983`*^9, 3.761670778675993*^9}, {3.765963201914259*^9, 
  3.765963203609383*^9}, {3.766160098643922*^9, 3.766160100963776*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGCwAGLp0hf/E3a9dHRl5s4N3/3Scf3isK0dQPrgrt3xXUBa
5ZBC8Hog/XblXu9tQFrBWZL7EpDu4n1+/AGQNlxyq+YfSP7K9RMqe146ylRk
i2gDaf9I/rggIB10JLQcRHtJfO0C0XJTzjOEAOm4q9fzo4C0fuyXTRUgfZuj
b9cA6VmRH17UAumzaeuY6oD0K2ZPw0YgLVIhFNQMpB8vF5jXAqTXKL4uXAyk
BYSkGlj2vnR8crZQnhtIG3zL5FIE0hui7FeB6E1y1u7KQPq04IdMEL0m3+QE
iL5j0ZOtAqTP+6xZAKLDp0h89wbSzse/yfkC6X8Rm86C6BwpDQF/IC2/sHJ1
AJBWbD34JM3mleOdhN8vQXReze7cdCDN8/hwUQuQzrWKPNgOpMMOc39fB6S1
4zVN7ni/cjTi89Q/PPeVo8oasYicea8c28pbtoLoCWnnSl4D6QeeZf4X2d44
3loev+cSkG5wfzHzOPcbx16NqAUgOuVVupcbzxvHaXozjwvxvXFcdfpkTCL/
G0cASJHoZA==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Jan10.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.7616707468041553`*^9, 
  3.761670750724184*^9}, {3.7642723471857033`*^9, 3.764272354671072*^9}}],

Cell["\<\
Time:  14 hours, 35 minutes, 34 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwB+IfDwwZE3e9dDTYOD03fPdLR4nZp7Z2AOkDf9UTuoB0
a2VT8HogLXShM3AbkF61pYT7EpDeZhB14gGQfvfSv/YfkGZh9jmpsuelY3L+
TRFtIG3iVh0XBKQvt58rB9E/ZoV3g2gfM1vGECC9+WBwQRSQFv2QtbkCSJ8I
una7Bkh/Fyp/WQuk5fjsmOuANNf19YaNQNrsTVtQM5C2YSqf1wKkdbd4Fi0G
0u9cRRtZ9r50TPFjVOAG0mw8r7kUgbSUwq5VINrs+jZ3ZSB9K9wvC0QHCS46
AaJPy7HmqADpYzd9F4LoXuebf72BdNStQnlfIG0Yb38ORE8JnCngD6RNJt9c
HQCk1+lpvkqzeeVoFf82Nx1I98j+LWoB0jbM3QfbgfQHXsvv64B0cPZDkzve
rxwv237RPzz3lWPOnXsROfNeOc4LOrMVRD8ybC19DaT9XlcFXmR743hJfNue
S0C6zNxk1nHuN457dq1eAKKPuc3zcuN546jwiP+EEN8bR66mEwmJ/G8cAaJ8
4yk=
  "]]
}, Open  ]],

Cell["\<\
We begin by testing our definition of the \[OpenCurlyDoubleQuote]totally \
intrinsic tractor second fundamental form.\[CloseCurlyDoubleQuote]\
\>", "Text",
 CellChangeTimes->{{3.761672775078795*^9, 3.7616728052708683`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell["\<\
When we say \[OpenCurlyDoubleQuote]totally intrinsic,\[CloseCurlyDoubleQuote] \
we mean that the derivatives in the expression are intrinsic derivatives.\
\>", "Text",
 CellChangeTimes->{{3.7616728480043707`*^9, 3.761672881240213*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"TotallyIntrinsicTractorSFF", "[", 
    RowBox[{
     RowBox[{"L", "[", "AA", "]"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "Holder"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTotallyIntrinsicTractorSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.761672883314229*^9, 3.7616729322649603`*^9}}],

Cell[OutputFormData["\<\
(TfSFF[L[a], L[b]] [U[a], U[b]]*XS[L[AA]]*XS[L[BB]])/(-2 + amn) + 

   RhoSigma[L[a], L[b]]*TfSFF[U[a], U[b]]*XS[L[AA]]*XS[L[BB]] - 

   ((-3 + amn)*TfSFF[L[a], L[b]] [U[a]]*XS[L[BB]]*ZS[L[AA], U[b]])/(-2 + amn) \
- 

   ((-3 + amn)*TfSFF[L[a], L[b]] [U[a]]*XS[L[AA]]*ZS[L[BB], U[b]])/(-2 + amn) \
+ 

   (-3 + amn)*TfSFF[L[a], L[b]]*ZS[L[AA], U[a]]*ZS[L[BB], U[b]]\
\>", "\<\
   1               a b                                  a b 
-------- TfSFF          XS    XS    + RhoSigma     TfSFF     XS    XS    - 
-2 + amn      a b ;       AA    BB            a b              AA    BB 
 
  -3 + amn           a             b    -3 + amn           a             b 
  -------- TfSFF        XS    ZS      - -------- TfSFF        XS    ZS      + \

  -2 + amn      a b ;     BB    AA      -2 + amn      a b ;     AA    BB 
 
                            a       b 
  (-3 + amn) TfSFF     ZS      ZS
                  a b    AA      BB\
\>"], "Output",
 CellChangeTimes->{3.761672933359355*^9, 3.761673709481525*^9, 
  3.76453179986475*^9, 3.765474908895288*^9, 3.766160151447453*^9}]
}, Open  ]],

Cell[TextData[{
 "The above expression should match the formula for the tractor second \
fundamental form given in Proposition 3.7 of our article.  Here, however, we \
use the identifier ",
 StyleBox["amn", "Input"],
 " to denote the ambient dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 " (i.e. the dimension of ",
 StyleBox["M ",
  FontSlant->"Italic"],
 ").  In the above output, the semicolon denotes the intrinsic derivative."
}], "Text",
 CellChangeTimes->{{3.7616729434351473`*^9, 3.76167303579422*^9}, {
   3.761673068354856*^9, 3.761673083306851*^9}, 3.761673431447838*^9}],

Cell[TextData[{
 "We now construct\n\n     ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 " ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->24],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->24],
 StyleBox["  ",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"]
}], "Text",
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We assume that ",
 StyleBox["f",
  FontSlant->"Italic"],
 "  has weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 ".  Thus the intrinsic box acts on weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 1.  We use the symbol ",
 StyleBox["amn", "Input"],
 " to denote the ambient dimension.  Again, we must take care to see that the \
symbol ",
 StyleBox["n",
  FontSlant->"Italic"],
 " does not show up in the computation unexpectedly.  Remember, in general,\n\
\n",
 StyleBox["   \[Square] ",
  FontSize->24],
 StyleBox["f ",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" =  \[CapitalDelta]",
  FontSize->24],
 StyleBox["f",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["  + ",
  FontSize->24],
 StyleBox["w",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->24],
 StyleBox["J",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->24],
 StyleBox["f ",
  FontSize->24,
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.761673737572785*^9, 3.761673739771429*^9}}],

Cell["\<\
At this time, the covariant derivatives of Jack Lee's Ricci package denote \
intrinsic covariant derivatives.  That is, the semicolon currently denotes \
the intrinsic derivative.\
\>", "Text",
 CellChangeTimes->{{3.761673787427946*^9, 3.7616738021720123`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"TotallyIntrinsicTractorSFF", "[", 
      RowBox[{
       RowBox[{"L", "[", "AA", "]"}], ",", 
       RowBox[{"L", "[", "BB", "]"}]}], "]"}], "*", "f"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTotallyIntrinsicTractorSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAAOne", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "RatsAAOne"}], "Input"],

Cell[OutputFormData["\<\
(f*TfSFF[L[a], L[b]] [U[a], U[b]]*XS[L[AA]]*XS[L[BB]])/(-2 + amn) + 

   f*RhoSigma[L[a], L[b]]*TfSFF[U[a], U[b]]*XS[L[AA]]*XS[L[BB]] - 

   ((-3 + amn)*f*TfSFF[L[a], L[b]] [U[a]]*XS[L[BB]]*ZS[L[AA], U[b]])/(-2 + \
amn) - 

   ((-3 + amn)*f*TfSFF[L[a], L[b]] [U[a]]*XS[L[AA]]*ZS[L[BB], U[b]])/(-2 + \
amn) + 

   (-3 + amn)*f*TfSFF[L[a], L[b]]*ZS[L[AA], U[a]]*ZS[L[BB], U[b]]\
\>", "\<\
   1                 a b                                    a b 
-------- f TfSFF          XS    XS    + f RhoSigma     TfSFF     XS    XS    - 
-2 + amn        a b ;       AA    BB              a b              AA    BB 
 
  -3 + amn             a             b    -3 + amn             a             b 
  -------- f TfSFF        XS    ZS      - -------- f TfSFF        XS    ZS    \
  + 
  -2 + amn        a b ;     BB    AA      -2 + amn        a b ;     AA    BB 
 
                              a       b 
  (-3 + amn) f TfSFF     ZS      ZS
                    a b    AA      BB\
\>"], "Output",
 CellChangeTimes->{3.521329195485845*^9, 3.529434923066456*^9, 
  3.572722263796768*^9, 3.5729810654168787`*^9, 3.7616719982392406`*^9, 
  3.761673830694067*^9, 3.764531805448917*^9, 3.765474919527319*^9, 
  3.766160218485278*^9}]
}, Open  ]],

Cell[TextData[{
 "Now apply ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Square]", "_"], TraditionalForm]],
  FontSize->18],
 "."
}], "Text",
 CellChangeTimes->{{3.7616720208089733`*^9, 3.7616720648287773`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Temp", "[", 
      RowBox[{
       RowBox[{"L", "[", "a1", "]"}], ",", 
       RowBox[{"U", "[", "a1", "]"}]}], "]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"w", "-", "1"}], ")"}], "TrPSigma", "*", "Temp"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAATwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"RatsAATwo", ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAATwo", "]"}]], "Input"],

Cell[OutputFormData["\<\
60\
\>", "\<\
60\
\>"], "Output",
 CellChangeTimes->{3.521329206595999*^9, 3.529435051603915*^9, 
  3.57272243174402*^9, 3.57298118203994*^9, 3.761672085023013*^9, 
  3.761673877088163*^9, 3.764531808155867*^9, 3.765474949234666*^9, 
  3.766160222949491*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "*", 
     RowBox[{"TotallyIntrinsicTractorSFF", "[", 
      RowBox[{
       RowBox[{"U", "[", "AA", "]"}], ",", 
       RowBox[{"U", "[", "BB", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTotallyIntrinsicTractorSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAAThree", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"RatsAAThree", ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAAThree", "]"}]], "Input"],

Cell[OutputFormData["\<\
226\
\>", "\<\
226\
\>"], "Output",
 CellChangeTimes->{3.521329215670908*^9, 3.529435092707037*^9, 
  3.572722442104854*^9, 3.572981232392205*^9, 3.761672098420985*^9, 
  3.7616738858980093`*^9, 3.764531833203445*^9, 3.765474959961475*^9, 
  3.766160237146161*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAAThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "GradXYZSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "GradXYZSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProdSig"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAAFour", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"RatsAAFour", ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAAFour", "]"}]], "Input"],

Cell[OutputFormData["\<\
18\
\>", "\<\
18\
\>"], "Output",
 CellChangeTimes->{3.521329222776237*^9, 3.52943527910878*^9, 
  3.57272259661486*^9, 3.572981289039678*^9, 3.761672104474999*^9, 
  3.7616739208543873`*^9, 3.764531839793091*^9, 3.765474968649476*^9, 
  3.766160243391349*^9}]
}, Open  ]],

Cell[TextData[{
 "Now read in some definitions which will allow us to express intrinsic \
derivatives in terms of ambient derivatives.  Further information is \
available in the notebook ",
 StyleBox["Alias.nb", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.761672113178062*^9, 3.761672189965005*^9}, {
  3.763235641323667*^9, 3.763235654396594*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Warning1.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}]}], "Input",
 CellChangeTimes->{3.7616707515720377`*^9}],

Cell[CellGroupData[{

Cell[BoxData["RatsAAFour"], "Input"],

Cell[OutputFormData["\<\
(-2*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[d], U[d]]*TfSFF[U[a], L[c]] \
[U[c]]*TfSFF[U[b], L[e]] [U[e]])/

    (-2 + amn)^2 + (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]] [L[e], U[e]]*

    TfSFF[U[b], U[d]] - (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*RhoSigma[U[c], L[e]]*TfSFF[U[a], \\
U[e]]*
  TfSFF[U[b], U[d]] + (2*(-3 + amn)*f*gSgm[L[b], L[d]]*gSgm[U[d], \
L[e]]*TfSFF[L[a], U[c]] [L[c], \\
U[a]]*
   TfSFF[U[b], U[e]])/(-2 + amn) - (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[U[a], L[c]]*

     TfSFF[U[b], L[d]] [U[d]]*TfSFF[U[c], L[e]] [U[e]])/(-2 + amn)^2 - 

   (4*(-3 + amn)^2*f[] [L[b]]*gSgm[L[a], L[c]]*gSgm[U[b], L[d]]*TfSFF[U[a], \
U[e]] [L[e]]*TfSFF[U[c], U[d]])/

    (-2 + amn) + (-3 + amn)^2*f[] [L[b], U[b]]*gSgm[L[a], L[c]]*gSgm[L[d], \
L[e]]*TfSFF[U[a], U[d]]*

    TfSFF[U[c], U[e]] + 2*(-3 + amn)^2*f[] [L[a]]*gSgm[L[b], L[c]]*gSgm[L[d], \
L[e]]*TfSFF[U[b], U[d]] [U[a]]*

    TfSFF[U[c], U[e]] + (4*(-3 + amn)^2*f[] [L[a]]*gSgm[L[b], \
L[c]]*gSgm[U[a], L[d]]*TfSFF[U[b], U[d]]*

     TfSFF[U[c], U[e]] [L[e]])/(-2 + amn) + (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*

     TfSFF[U[a], U[c]] [U[b]]*TfSFF[U[d], L[e]] [U[e]])/(-2 + amn) + 

   (2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFF[U[b], \
U[c]]*TfSFF[U[d], L[e]] [L[d], U[e]])/

    (-2 + amn) - (4*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]]*

     TfSFF[U[d], L[e]] [U[e], U[b]])/(-2 + amn) + 2*(-3 + amn)*f*gSgm[L[a], \
L[c]]*gSgm[L[b], U[c]]*

    RhoSigma[L[d], L[e]]*TfSFF[U[a], U[b]]*TfSFF[U[d], U[e]] + 2*(-3 + \
amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], \\
L[c]]*
  RhoSigma[L[d], L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] - (-3 + \
amn)^2*f*gSgm[L[a], \\
L[b]]*gSgm[L[c], L[d]]*
  RhoSigma[U[a], L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] + 

   (2*(-3 + amn)^2*f*gSgm[L[a], L[b]] [U[a]]*gSgm[L[c], L[d]]*TfSFF[U[b], \
U[c]]*TfSFF[U[d], U[e]] [L[e]])/

    (-2 + amn) - 2*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*gSgm[L[e], L[i]]*RhoSigma[U[a], U[c]]*

    TfSFF[U[b], U[e]]*TfSFF[U[d], U[i]] + (-3 + amn)^2*(-1 + w)*f*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*

    TfSFF[U[a], U[c]]*TfSFF[U[b], U[d]]*TrPSigma\
\>", "\<\
             2
-2 (-3 + amn)                   d       a    c       b    e 
-------------- f gSgm     gSgm     TfSFF        TfSFF        + 
           2         a b      d           c ;          e ;
 (-2 + amn)
 
            2                          a c    e       b d 
  (-3 + amn)  f gSgm     gSgm     TfSFF          TfSFF     - 
                    a b      c d           ;e 
 
            2                             c         a e       b d 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                    a b      c d            e 
 
  2 (-3 + amn)                d           c    a       b e 
  ------------ f gSgm     gSgm     TfSFF          TfSFF     - 
    -2 + amn         b d        e       a   ;c 
 
              2
  4 (-3 + amn)                 a         b    d       c    e 
  ------------- f gSgm     gSgm     TfSFF        TfSFF        - 
             2        a b        c         d ;          e ;
   (-2 + amn)
 
              2
  4 (-3 + amn)                    b         a e          c d 
  ------------- f    gSgm     gSgm     TfSFF        TfSFF     + 
    -2 + amn     ;b      a c        d           ;e 
 
            2     b                         a d       c e 
  (-3 + amn)  f      gSgm     gSgm     TfSFF     TfSFF     + 
               ;b        a c      d e 
 
               2                              b d  a       c e 
  (2 (-3 + amn) ) f    gSgm     gSgm     TfSFF        TfSFF     + 
                   ;a      b c      d e           ;
 
              2
  4 (-3 + amn)                    a         b d       c e 
  ------------- f    gSgm     gSgm     TfSFF     TfSFF        + 
    -2 + amn     ;a      b c        d                     ;e 
 
              2
  4 (-3 + amn)                           a c  b       d    e 
  ------------- f gSgm     gSgm     TfSFF        TfSFF        + 
    -2 + amn          a b      c d           ;          e ;
 
  2 (-3 + amn)                a         b c       d      e 
  ------------ f gSgm     gSgm     TfSFF     TfSFF          - 
    -2 + amn         a b        c                   e ;d 
 
              2
  4 (-3 + amn)                           a c       d    e b 
  ------------- f gSgm     gSgm     TfSFF     TfSFF          + 
    -2 + amn          a b      c d                   e ;
 
                                  c                    a b       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                       a c      b            d e 
 
                                a                      b c       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                       a b        c          d e 
 
            2                             a         b c       d e 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                    a b      c d            e 
 
              2
  2 (-3 + amn)             a                b c       d e 
  ------------- f gSgm        gSgm     TfSFF     TfSFF        - 
    -2 + amn          a b ;       c d                     ;e 
 
               2                                       a c       b e       d i 
  (2 (-3 + amn) ) f gSgm     gSgm     gSgm     RhoSigma     TfSFF     TfSFF   \
  + 
                        a b      c d      e i 
 
             2                                    a c       b d 
  ((-3 + amn)  (-1 + w)) f gSgm     gSgm     TfSFF     TfSFF     TrPSigma
                               a b      c d\
\>"], "Output",
 CellChangeTimes->{3.5213292258021297`*^9, 3.529435359057138*^9, 
  3.572722600565736*^9, 3.5729813030300093`*^9, 3.761672221026903*^9, 
  3.7616739298546047`*^9, 3.7645318446770782`*^9, 3.765474971882419*^9, 
  3.766160247021861*^9}]
}, Open  ]],

Cell[TextData[{
 "In the above output, the semicolon indicates the intrinsic derivative.  \
There should not be any explicit references to the dimension ",
 StyleBox["n",
  FontSlant->"Italic"],
 " in the above output."
}], "Text",
 CellChangeTimes->{{3.761672234043172*^9, 3.761672269631577*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAAFour", "]"}]], "Input"],

Cell[OutputFormData["\<\
18\
\>", "\<\
18\
\>"], "Output",
 CellChangeTimes->{3.521329228909381*^9, 3.529435381627624*^9, 
  3.572723103931234*^9, 3.572981331103462*^9, 3.7616722816278753`*^9, 
  3.761673964661207*^9, 3.764531848281404*^9, 3.765474977239286*^9, 
  3.7661602521538877`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAAFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillgSgmDer"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAAFive", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "RatsAAFive"}], "Input"],

Cell[OutputFormData["\<\
(-2*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[d], U[d]]*TfSFF[U[a], L[c]] \
[U[c]]*TfSFF[U[b], L[e]] [U[e]])/

    (-2 + amn)^2 + (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]] [L[e], U[e]]*

    TfSFF[U[b], U[d]] - (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*RhoSigma[U[c], L[e]]*TfSFF[U[a], \\
U[e]]*
  TfSFF[U[b], U[d]] + (2*(-3 + amn)*f*gSgm[L[b], L[d]]*gSgm[U[d], \
L[e]]*TfSFF[L[a], U[c]] [L[c], \\
U[a]]*
   TfSFF[U[b], U[e]])/(-2 + amn) - (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[U[a], L[c]]*

     TfSFF[U[b], L[d]] [U[d]]*TfSFF[U[c], L[e]] [U[e]])/(-2 + amn)^2 - 

   (4*(-3 + amn)^2*f[] [L[b]]*gSgm[L[a], L[c]]*gSgm[U[b], L[d]]*TfSFF[U[a], \
U[e]] [L[e]]*TfSFF[U[c], U[d]])/

    (-2 + amn) + (-3 + amn)^2*f[] [L[b], U[b]]*gSgm[L[a], L[c]]*gSgm[L[d], \
L[e]]*TfSFF[U[a], U[d]]*

    TfSFF[U[c], U[e]] + 2*(-3 + amn)^2*f[] [L[a]]*gSgm[L[b], L[c]]*gSgm[L[d], \
L[e]]*TfSFF[U[b], U[d]] [U[a]]*

    TfSFF[U[c], U[e]] + (4*(-3 + amn)^2*f[] [L[a]]*gSgm[L[b], \
L[c]]*gSgm[U[a], L[d]]*TfSFF[U[b], U[d]]*

     TfSFF[U[c], U[e]] [L[e]])/(-2 + amn) + (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*

     TfSFF[U[a], U[c]] [U[b]]*TfSFF[U[d], L[e]] [U[e]])/(-2 + amn) + 

   (2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFF[U[b], \
U[c]]*TfSFF[U[d], L[e]] [L[d], U[e]])/

    (-2 + amn) - (4*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
L[d]]*TfSFF[U[a], U[c]]*

     TfSFF[U[d], L[e]] [U[e], U[b]])/(-2 + amn) + 2*(-3 + amn)*f*gSgm[L[a], \
L[c]]*gSgm[L[b], U[c]]*

    RhoSigma[L[d], L[e]]*TfSFF[U[a], U[b]]*TfSFF[U[d], U[e]] + 2*(-3 + \
amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], \\
L[c]]*
  RhoSigma[L[d], L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] - (-3 + \
amn)^2*f*gSgm[L[a], \\
L[b]]*gSgm[L[c], L[d]]*
  RhoSigma[U[a], L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] - 2*(-3 + \\
amn)^2*f*gSgm[L[a], L[b]]*
  gSgm[L[c], L[d]]*gSgm[L[e], L[i]]*RhoSigma[U[a], U[c]]*TfSFF[U[b], \\
U[e]]*TfSFF[U[d], U[i]] + 
 (-3 + amn)^2*(-1 + w)*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \\
U[c]]*TfSFF[U[b], U[d]]*TrPSigma\
\>", "\<\
             2
-2 (-3 + amn)                   d       a    c       b    e 
-------------- f gSgm     gSgm     TfSFF        TfSFF        + 
           2         a b      d           c ;          e ;
 (-2 + amn)
 
            2                          a c    e       b d 
  (-3 + amn)  f gSgm     gSgm     TfSFF          TfSFF     - 
                    a b      c d           ;e 
 
            2                             c         a e       b d 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                    a b      c d            e 
 
  2 (-3 + amn)                d           c    a       b e 
  ------------ f gSgm     gSgm     TfSFF          TfSFF     - 
    -2 + amn         b d        e       a   ;c 
 
              2
  4 (-3 + amn)                 a         b    d       c    e 
  ------------- f gSgm     gSgm     TfSFF        TfSFF        - 
             2        a b        c         d ;          e ;
   (-2 + amn)
 
              2
  4 (-3 + amn)                    b         a e          c d 
  ------------- f    gSgm     gSgm     TfSFF        TfSFF     + 
    -2 + amn     ;b      a c        d           ;e 
 
            2     b                         a d       c e 
  (-3 + amn)  f      gSgm     gSgm     TfSFF     TfSFF     + 
               ;b        a c      d e 
 
               2                              b d  a       c e 
  (2 (-3 + amn) ) f    gSgm     gSgm     TfSFF        TfSFF     + 
                   ;a      b c      d e           ;
 
              2
  4 (-3 + amn)                    a         b d       c e 
  ------------- f    gSgm     gSgm     TfSFF     TfSFF        + 
    -2 + amn     ;a      b c        d                     ;e 
 
              2
  4 (-3 + amn)                           a c  b       d    e 
  ------------- f gSgm     gSgm     TfSFF        TfSFF        + 
    -2 + amn          a b      c d           ;          e ;
 
  2 (-3 + amn)                a         b c       d      e 
  ------------ f gSgm     gSgm     TfSFF     TfSFF          - 
    -2 + amn         a b        c                   e ;d 
 
              2
  4 (-3 + amn)                           a c       d    e b 
  ------------- f gSgm     gSgm     TfSFF     TfSFF          + 
    -2 + amn          a b      c d                   e ;
 
                                  c                    a b       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                       a c      b            d e 
 
                                a                      b c       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                       a b        c          d e 
 
            2                             a         b c       d e 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                    a b      c d            e 
 
               2                                       a c       b e       d i 
  (2 (-3 + amn) ) f gSgm     gSgm     gSgm     RhoSigma     TfSFF     TfSFF   \
  + 
                        a b      c d      e i 
 
             2                                    a c       b d 
  ((-3 + amn)  (-1 + w)) f gSgm     gSgm     TfSFF     TfSFF     TrPSigma
                               a b      c d\
\>"], "Output",
 CellChangeTimes->{3.521329229597652*^9, 3.529435386383983*^9, 
  3.572723105239098*^9, 3.572981338177149*^9, 3.761672285899096*^9, 
  3.761673965789919*^9, 3.764531848974045*^9, 3.765474978158329*^9, 
  3.766160253103943*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAAFive", "]"}]], "Input"],

Cell[OutputFormData["\<\
17\
\>", "\<\
17\
\>"], "Output",
 CellChangeTimes->{3.521329231032469*^9, 3.529435387703938*^9, 
  3.5727231133145*^9, 3.57298144291648*^9, 3.761672288372057*^9, 
  3.761673983025004*^9, 3.76453185126642*^9, 3.765474980164616*^9, 
  3.76616025483645*^9}]
}, Open  ]],

Cell["\<\
We now encode the intrinsic derivatives into alias identifiers.\
\>", "Text",
 CellChangeTimes->{{3.7616722985629*^9, 3.761672312249619*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAAFive"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TfSFFDTwoToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TfSFFDOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "LapfToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "fDOneToFake"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAASix", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "RatsAASix"}], "Input"],

Cell[OutputFormData["\<\
(-3 + amn)^2*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*Lapf*TfSFF[U[a], \
U[c]]*TfSFF[U[b], U[d]] - 

   (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*RhoSigma[U[c], \
L[e]]*TfSFF[U[a], U[d]]*TfSFF[U[b], U[e]] \\
+ 
 2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[b], L[c]]*RhoSigma[L[d], \
L[e]]*TfSFF[U[a], U[c]]*TfSFF[U[d], U[e]] \\
+ 
 2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*RhoSigma[L[d], \
L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] \\
- 
 (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*RhoSigma[U[a], \
L[e]]*TfSFF[U[b], U[c]]*TfSFF[U[d], U[e]] \\
- 
 2*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*gSgm[L[e], \
L[i]]*RhoSigma[U[a], U[c]]*TfSFF[U[b], \\
U[e]]*
  TfSFF[U[d], U[i]] - (2*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], \
U[c]]*TfSFFDOne[U[a], L[d], U[d]]*

     TfSFFDOne[U[b], L[e], U[e]])/(-2 + amn)^2 - (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[U[a], L[c]]*

     TfSFFDOne[U[b], L[d], U[d]]*TfSFFDOne[U[c], L[e], U[e]])/(-2 + amn)^2 + 

   2*(-3 + amn)^2*fDOne[L[a]]*gSgm[L[b], L[c]]*gSgm[L[d], L[e]]*TfSFF[U[b], \
U[d]]*TfSFFDOne[U[c], U[e], U[a]] \\
+ 
 (4*(-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFFDOne[U[a], U[c], \
U[b]]*TfSFFDOne[U[d], L[e], \\
U[e]])/
  (-2 + amn) + (2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFF[U[b], \
U[c]]*

     TfSFFDTwo[L[d], L[e], U[d], U[e]])/(-2 + amn) + 

   (2*(-3 + amn)*f*gSgm[L[a], L[b]]*gSgm[U[a], L[c]]*TfSFF[U[b], \
U[c]]*TfSFFDTwo[L[d], L[e], U[e], U[d]])/

    (-2 + amn) + (-3 + amn)^2*f*gSgm[L[a], L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \
U[c]]*

    TfSFFDTwo[U[b], U[d], L[e], U[e]] - (4*(-3 + amn)^2*f*gSgm[L[a], \
L[b]]*gSgm[L[c], L[d]]*TfSFF[U[a], \\
U[c]]*
   TfSFFDTwo[U[d], L[e], U[e], U[b]])/(-2 + amn) + (-3 + amn)^2*(-1 + \
w)*f*gSgm[L[a], L[b]]*gSgm[L[c], \\
L[d]]*
  TfSFF[U[a], U[c]]*TfSFF[U[b], U[d]]*TrPSigma\
\>", "\<\
          2                             a c       b d 
(-3 + amn)  gSgm     gSgm     Lapf TfSFF     TfSFF     - 
                a b      c d 
 
            2                             c         a d       b e 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                    a b      c d            e 
 
                                b                      a c       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     + 
                       a b        c          d e 
 
                                a                      b c       d e 
  (2 (-3 + amn)) f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                       a b        c          d e 
 
            2                             a         b c       d e 
  (-3 + amn)  f gSgm     gSgm     RhoSigma     TfSFF     TfSFF     - 
                    a b      c d            e 
 
               2                                       a c       b e       d i 
  (2 (-3 + amn) ) f gSgm     gSgm     gSgm     RhoSigma     TfSFF     TfSFF   \
  - 
                        a b      c d      e i 
 
              2
  2 (-3 + amn)                   c           a   d           b   e 
  ------------- f gSgm     gSgm     TfSFFDOne       TfSFFDOne       - 
             2        a b      c               d               e 
   (-2 + amn)
 
              2
  4 (-3 + amn)                 a             b   d           c   e 
  ------------- f gSgm     gSgm     TfSFFDOne       TfSFFDOne       + 
             2        a b        c             d               e 
   (-2 + amn)
 
               2                                 b d           c e a 
  (2 (-3 + amn) ) fDOne   gSgm     gSgm     TfSFF     TfSFFDOne       + 
                       a      b c      d e 
 
              2
  4 (-3 + amn)                               a c b           d   e 
  ------------- f gSgm     gSgm     TfSFFDOne       TfSFFDOne       + 
    -2 + amn          a b      c d                             e 
 
  2 (-3 + amn)                a         b c               d e 
  ------------ f gSgm     gSgm     TfSFF     TfSFFDTwo         + 
    -2 + amn         a b        c                     d e 
 
  2 (-3 + amn)                a         b c               e d 
  ------------ f gSgm     gSgm     TfSFF     TfSFFDTwo         + 
    -2 + amn         a b        c                     d e 
 
            2                          a c           b d   e 
  (-3 + amn)  f gSgm     gSgm     TfSFF     TfSFFDTwo         - 
                    a b      c d                         e 
 
              2
  4 (-3 + amn)                           a c           d   e b 
  ------------- f gSgm     gSgm     TfSFF     TfSFFDTwo         + 
    -2 + amn          a b      c d                       e 
 
             2                                    a c       b d 
  ((-3 + amn)  (-1 + w)) f gSgm     gSgm     TfSFF     TfSFF     TrPSigma
                               a b      c d\
\>"], "Output",
 CellChangeTimes->{3.5213292318320103`*^9, 3.529435438142571*^9, 
  3.5727231458449173`*^9, 3.5729814658917522`*^9, 3.761672290362535*^9, 
  3.7616739902064743`*^9, 3.7645318534235067`*^9, 3.7654749825071774`*^9, 
  3.7661602575209017`*^9}]
}, Open  ]],

Cell[TextData[{
 "Inspect the above output, and verify that there are no explicit Ricci \
covariant derivatives.  The semicolon character should not appear in the \
above output.  Also verify that no explicit references to the ambient \
dimension ",
 StyleBox["n ",
  FontSlant->"Italic"],
 " (i.e. the letter \[OpenCurlyDoubleQuote]n\[CloseCurlyDoubleQuote]) appear \
in the above output."
}], "Text",
 CellChangeTimes->{{3.7616723608252*^9, 3.761672418113799*^9}, 
   3.761674042414401*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RatsAASix", "-", 
  RowBox[{"(", 
   RowBox[{"RatsAASix", "/.", 
    RowBox[{"n", "\[Rule]", "0"}]}], ")"}]}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.521329239833909*^9, 3.529435720226518*^9, 
  3.5727231562371483`*^9, 3.572981874854197*^9, 3.7616724288410063`*^9, 
  3.7616740773857603`*^9, 3.764531856606063*^9, 3.765475051843027*^9, 
  3.766160260897504*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"RatsAASix", "/.", 
   RowBox[{"n", "\[Rule]", "0"}]}], "]"}]], "Input"],

Cell[OutputFormData["\<\
15\
\>", "\<\
15\
\>"], "Output",
 CellChangeTimes->{3.52132924334306*^9, 3.529435721816513*^9, 
  3.572723341960717*^9, 3.572981876635908*^9, 3.761672459106874*^9, 
  3.761674078283238*^9, 3.7645318580273848`*^9, 3.765475052671019*^9, 
  3.7661602618356733`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAASix", "]"}]], "Input"],

Cell[OutputFormData["\<\
15\
\>", "\<\
15\
\>"], "Output",
 CellChangeTimes->{3.521329244510758*^9, 3.529435722576866*^9, 
  3.572723343731469*^9, 3.572981878352941*^9, 3.761672472326035*^9, 
  3.7616740788948603`*^9, 3.764531859411519*^9, 3.7654750534876547`*^9, 
  3.7661602631801157`*^9}]
}, Open  ]],

Cell[TextData[{
 "We now declare the above expression to be an embedded expression in the \
ambient tensor space.  One consequence of this is that explicit references to \
",
 StyleBox["n",
  FontSlant->"Italic"],
 " may now appear in the output of future calculations; this is not a \
problem.  The strategy now is to expand out the (implicit) intrinsic \
covariant derivatives.  We do this in the next cell."
}], "Text",
 CellChangeTimes->{{3.7616724937070208`*^9, 3.761672497746776*^9}, {
  3.761674103790638*^9, 3.761674108478196*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "RatsAASix"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFFDTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFFDOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandLapf"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandfDOne"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAASeven", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input"],

Cell["\<\
Time:  14 hours, 37 minutes, 47 seconds
Date:  6 May 2019
Time:  14 hours, 37 minutes, 56 seconds
Date:  6 May 2019\
\>", "Print",
 CellChangeTimes->{3.521329257106131*^9, 3.52943583135529*^9, 
  3.572723594472341*^9, 3.572981902393393*^9, 3.761672525534053*^9, 
  3.761674116235653*^9, 3.7645318625604677`*^9, 3.7654750558286247`*^9, 
  3.766160267447425*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAASeven", "]"}]], "Input"],

Cell[OutputFormData["\<\
85\
\>", "\<\
85\
\>"], "Output",
 CellChangeTimes->{3.5213292685629997`*^9, 3.529435968053941*^9, 
  3.57272370503889*^9, 3.5729819634358683`*^9, 3.761672546748752*^9, 
  3.761674168574648*^9, 3.764531873981523*^9, 3.765475066342249*^9, 
  3.7661602805200872`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "RatsAASeven"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRhoSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTrPSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "amnTon"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillTraceTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RatsAAEight", "=", "Temp"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "RatsAAEight", "]"}]], "Input"],

Cell[OutputFormData["\<\
30\
\>", "\<\
30\
\>"], "Output",
 CellChangeTimes->{3.52132927985121*^9, 3.529436046147589*^9, 
  3.572724291974072*^9, 3.572982047835116*^9, 3.761672562368923*^9, 
  3.761674174936326*^9, 3.764531877945665*^9, 3.76547507070928*^9, 
  3.7661602835006733`*^9}]
}, Open  ]],

Cell["Compare against previously computed expression.", "Text",
 CellChangeTimes->{{3.761672578809182*^9, 3.761672597004637*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/cnb/LIBoxLfW.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Holder", "-", "RatsAAEight"}]}], "Input",
 CellChangeTimes->{3.7616707522990723`*^9}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.5213292810124693`*^9, 3.529436047802245*^9, 3.529437679558208*^9, 
   3.572724343165132*^9, 3.572982058191757*^9, {3.761672572556684*^9, 
   3.761672600164104*^9}, 3.761674176695682*^9, 3.7645318803719063`*^9, 
   3.765475072118537*^9, 3.766160284295582*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761674180431695*^9, 3.761674200570221*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1853, 1106},
WindowMargins->{{0, Automatic}, {37, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.5,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1172, 35, 57, "Text"],
Cell[1720, 57, 603, 11, 49, "Text"],
Cell[2326, 70, 2310, 92, 256, "Text"],
Cell[4639, 164, 243, 6, 73, "Text"],
Cell[4885, 172, 485, 13, 82, "Text"],
Cell[5373, 187, 149, 2, 73, "Text"],
Cell[5525, 191, 225, 5, 49, "Text"],
Cell[5753, 198, 108, 2, 48, "Input"],
Cell[5864, 202, 161, 2, 73, "Text"],
Cell[6028, 206, 234, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[6287, 216, 247, 5, 48, "Input"],
Cell[6537, 223, 1173, 26, 126, "Output"]
}, Open  ]],
Cell[7725, 252, 182, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[7932, 262, 100, 1, 48, "Input"],
Cell[8035, 265, 202, 5, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8274, 275, 282, 4, 48, "Input"],
Cell[8559, 281, 881, 19, 160, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9477, 305, 1451, 32, 511, "Input"],
Cell[10931, 339, 679, 15, 61, "Print"]
}, Open  ]],
Cell[11625, 357, 265, 5, 73, "Text"],
Cell[11893, 364, 245, 4, 49, "Text"],
Cell[CellGroupData[{
Cell[12163, 372, 669, 18, 181, "Input"],
Cell[12835, 392, 1104, 27, 228, "Output"]
}, Open  ]],
Cell[13954, 422, 589, 14, 82, "Text"],
Cell[14546, 438, 550, 26, 157, "Text"],
Cell[15099, 466, 1039, 45, 166, "Text"],
Cell[16141, 513, 271, 5, 82, "Text"],
Cell[CellGroupData[{
Cell[16437, 522, 670, 21, 181, "Input"],
Cell[17110, 545, 1243, 29, 228, "Output"]
}, Open  ]],
Cell[18368, 577, 215, 8, 56, "Text"],
Cell[18586, 587, 679, 21, 181, "Input"],
Cell[CellGroupData[{
Cell[19290, 612, 67, 1, 48, "Input"],
Cell[19360, 615, 283, 8, 57, "Output"]
}, Open  ]],
Cell[19658, 626, 770, 23, 214, "Input"],
Cell[CellGroupData[{
Cell[20453, 653, 69, 1, 48, "Input"],
Cell[20525, 656, 289, 8, 57, "Output"]
}, Open  ]],
Cell[20829, 667, 1111, 35, 346, "Input"],
Cell[CellGroupData[{
Cell[21965, 706, 68, 1, 48, "Input"],
Cell[22036, 709, 285, 8, 57, "Output"]
}, Open  ]],
Cell[22336, 720, 353, 8, 82, "Text"],
Cell[22692, 730, 286, 7, 115, "Input"],
Cell[CellGroupData[{
Cell[23003, 741, 36, 0, 48, "Input"],
Cell[23042, 743, 5940, 148, 1408, "Output"]
}, Open  ]],
Cell[28997, 894, 297, 7, 49, "Text"],
Cell[CellGroupData[{
Cell[29319, 905, 68, 1, 48, "Input"],
Cell[29390, 908, 289, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29716, 921, 338, 10, 148, "Input"],
Cell[30057, 933, 5597, 137, 1323, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35691, 1075, 68, 1, 48, "Input"],
Cell[35762, 1078, 280, 8, 57, "Output"]
}, Open  ]],
Cell[36057, 1089, 151, 3, 49, "Text"],
Cell[CellGroupData[{
Cell[36233, 1096, 873, 29, 280, "Input"],
Cell[37109, 1127, 5073, 122, 1152, "Output"]
}, Open  ]],
Cell[42197, 1252, 492, 11, 82, "Text"],
Cell[CellGroupData[{
Cell[42714, 1267, 144, 4, 48, "Input"],
Cell[42861, 1273, 289, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43187, 1286, 121, 3, 48, "Input"],
Cell[43311, 1291, 288, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43636, 1304, 67, 1, 48, "Input"],
Cell[43706, 1307, 291, 8, 57, "Output"]
}, Open  ]],
Cell[44012, 1318, 539, 11, 114, "Text"],
Cell[CellGroupData[{
Cell[44576, 1333, 2596, 82, 742, "Input"],
Cell[47175, 1417, 370, 9, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47582, 1431, 69, 1, 48, "Input"],
Cell[47654, 1434, 290, 8, 57, "Output"]
}, Open  ]],
Cell[47959, 1445, 1601, 53, 445, "Input"],
Cell[CellGroupData[{
Cell[49585, 1502, 69, 1, 48, "Input"],
Cell[49657, 1505, 285, 8, 79, "Output"]
}, Open  ]],
Cell[49957, 1516, 129, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[50111, 1521, 222, 5, 82, "Input"],
Cell[50336, 1528, 339, 9, 79, "Output"]
}, Open  ]],
Cell[50690, 1540, 131, 1, 49, "Text"],
Cell[50824, 1543, 149, 2, 73, "Text"],
Cell[50976, 1547, 1464, 27, 147, "Text"],
Cell[52443, 1576, 285, 6, 49, "Text"],
Cell[52731, 1584, 132, 2, 48, "Input"],
Cell[52866, 1588, 254, 6, 49, "Text"],
Cell[53123, 1596, 132, 2, 48, "Input"],
Cell[53258, 1600, 253, 6, 49, "Text"],
Cell[53514, 1608, 132, 2, 81, "Input"]
}
]
*)

