(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     66057,       1919]
NotebookOptionsPosition[     60500,       1738]
NotebookOutlinePosition[     61259,       1763]
CellTagsIndexPosition[     61216,       1760]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "NewQ4.nb (\[OpenCurlyDoubleQuote]New ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "4"], TraditionalForm]]],
 "\[CloseCurlyDoubleQuote])"
}], "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
  3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
  3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
  3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
  3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
  3.454692871706007*^9, 3.4546928917816563`*^9}, {3.7645323489413557`*^9, 
  3.7645323536286182`*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["Date last modified:  4 May 2019", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAGIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+BaUZHhZQm/VeOzr1X00G0fmdvwEXDV449/ItDQHStyPQbv4B0x84T
N0H0IpV+Bq6prxzX9DYygmiXIzZvL7O9cZxm6voRRB+5nCL/G0jbRVSD6cS6
be/mcr9x3BCq+h5EP+KfM8GN541j4O19YHqZu1CgMN8bx+gOVzD9qy84lZH/
jaPHnG1gGgAlOcGx
  "]],

Cell[TextData[{
 "In this notebook, we compute the ",
 StyleBox["Q",
  FontSlant->"Italic"],
 "-curvature associated with the fourth-order boundary operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ".  We use Definition 7.5 from our article to compute ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ") directly, but we also compute ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ") a second time by using the method of Theorem 7.11 of our article."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, 3.514571322832488*^9, {
   3.761676183668469*^9, 3.761676217436401*^9}, {3.761676271877763*^9, 
   3.761676438631834*^9}, {3.761676488761529*^9, 3.761676497328382*^9}, {
   3.7654760491322403`*^9, 3.76547605115606*^9}, 3.7659635694522457`*^9}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, 3.514571322832488*^9, {
   3.761676183668469*^9, 3.761676217436401*^9}, {3.761676271877763*^9, 
   3.761676438631834*^9}, {3.761676488761529*^9, 3.761676497328382*^9}, {
   3.7654760491322403`*^9, 3.76547605115606*^9}, 3.765963572034689*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.567800343540854*^9, 3.567800347284297*^9}, {3.761756463007524*^9, 
  3.7617564648633432`*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.453159420682274*^9, 3.453664101780805*^9, 3.4537650309457912`*^9, 
   3.453768442958385*^9, 3.453844118631322*^9, 3.453858395155579*^9, 
   3.453915222079307*^9, 3.4539454046763563`*^9, 3.454006244931095*^9, 
   3.454084674302463*^9, 3.454097568777343*^9, 3.4541780304975758`*^9, 
   3.4541782316793613`*^9, 3.45417838963104*^9, 3.454181379603775*^9, 
   3.454194555282077*^9, 3.454256533202301*^9, 3.454265048850965*^9, 
   3.454265777769042*^9, 3.4542672055076313`*^9, 3.454267411278857*^9, 
   3.454273928094194*^9, 3.454278286744721*^9, 3.454280942277555*^9, 
   3.454344077173685*^9, 3.45454284668058*^9, 3.4545564076723423`*^9, 
   3.45460129755408*^9, 3.4546025763157187`*^9, 3.454605879937646*^9, 
   3.454606157330171*^9, 3.454606911337605*^9, 3.4546082183513403`*^9, 
   3.4546086431596203`*^9, 3.454689206558214*^9, 3.454691574532737*^9, 
   3.454692971940674*^9, 3.454695551454913*^9, 3.454698842133028*^9, 
   3.514569566308182*^9, 3.514569636137157*^9, 3.514571338655228*^9, 
   3.514571910378131*^9, 3.514743103375091*^9, 3.515779779894901*^9, 
   3.515864789523127*^9, 3.515866348631699*^9, 3.521821750437928*^9, 
   3.567800354676399*^9, 3.56780041014935*^9, 3.568057181566156*^9, 
   3.568318692742441*^9, 3.56831875992929*^9, 3.568574651632222*^9, 
   3.761676531335644*^9, 3.7616791579141397`*^9, 3.761756466528494*^9, {
   3.764187004714972*^9, 3.764187028652048*^9}, 3.764532361564011*^9, 
   3.7645331590080843`*^9, 3.765476053652513*^9, 3.765997833105955*^9}]
}, Open  ]],

Cell[TextData[{
 "Print version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765997837284052*^9, 3.765997847180028*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.765997857520397*^9, 3.765997860441248*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.765997861982891*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.5678003583032627`*^9, 3.567800363635247*^9}, {
   3.567800398311957*^9, 3.5678004028909492`*^9}, {3.761676554538746*^9, 
   3.7616765898098717`*^9}, {3.761676629186751*^9, 3.761676644898479*^9}, 
   3.7616766855554028`*^9, {3.76596359846691*^9, 3.7659635995231123`*^9}, {
   3.7659978663929462`*^9, 3.765997867272653*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{
  3.7616767137883*^9, 3.761679158620598*^9, 3.761756467625493*^9, {
   3.7641870060723753`*^9, 3.76418702966783*^9}, 3.764532362384617*^9, 
   3.7645331665425*^9, 3.765476054169544*^9, 3.765997868792573*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/Jan10.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.761676557257702*^9, 
  3.7616765624899406`*^9}, {3.7616766898358383`*^9, 3.7616766930278177`*^9}, {
  3.7641870151543913`*^9, 3.764187015711694*^9}}],

Cell["\<\
Time:  17 hours, 31 minutes, 18 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.453159433558712*^9, 3.4536641087403793`*^9, 3.4537650383314323`*^9, 
   3.4537684492497253`*^9, 3.453844124077334*^9, 3.453858444306649*^9, 
   3.4539152276470537`*^9, 3.453945410818446*^9, 3.454006250497306*^9, 
   3.454084682375368*^9, 3.454097574794847*^9, 3.4541780358523197`*^9, 
   3.45417823845408*^9, 3.454178394737667*^9, 3.454181385912878*^9, 
   3.454194562617395*^9, 3.454256539341807*^9, 3.454265054697605*^9, 
   3.454267211721065*^9, 3.4542674179392233`*^9, 3.454273933495*^9, 
   3.4542782922163343`*^9, 3.4542809477190228`*^9, 3.454344082303244*^9, 
   3.4545428566647863`*^9, 3.454556416040819*^9, 3.4546013033452177`*^9, 
   3.4546025818164186`*^9, 3.454605885713771*^9, 3.454606162448224*^9, 
   3.4546069170646143`*^9, 3.454608224160009*^9, 3.4546086504328337`*^9, 
   3.454689262789496*^9, 3.4546915795579042`*^9, 3.45469297798037*^9, 
   3.4546955567912083`*^9, 3.454698846799219*^9, 3.514569572021788*^9, 
   3.514569640885574*^9, 3.514571344013779*^9, 3.514571915751895*^9, 
   3.514743111381345*^9, 3.515779784322877*^9, 3.515864794110092*^9, 
   3.515866354544559*^9, 3.521821753135013*^9, 3.567800424706276*^9, 
   3.568057189230769*^9, 3.568318699436698*^9, 3.568318762975477*^9, 
   3.568574655123374*^9, 3.761676715310586*^9, 3.761679160770144*^9, 
   3.761756469183465*^9, {3.764187008725589*^9, 3.7641870314960403`*^9}, 
   3.764532365191763*^9, 3.764533169101604*^9, 3.765476055586276*^9, 
   3.765997877658084*^9}]
}, Open  ]],

Cell[TextData[{
 "We first find ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ") by using Definition 7.5."
}], "Text",
 CellChangeTimes->{{3.761676788876144*^9, 3.7616768395650663`*^9}, {
  3.765963686100881*^9, 3.7659636923795652`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"POpFour", "=", 
   RowBox[{"<<", "~/bop/bnb/Fourth.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "POpFour", "]"}]}], "Input",
 CellChangeTimes->{3.7616765659937696`*^9, 3.76167669399535*^9}],

Cell[OutputFormData["\<\
38\
\>", "\<\
38\
\>"], "Output",
 CellChangeTimes->{3.514569576259083*^9, 3.514569642789279*^9, 
  3.514571351051168*^9, 3.514571918974524*^9, 3.514743124790931*^9, 
  3.515779814466945*^9, 3.515864887745806*^9, 3.515866358038761*^9, 
  3.5218219758792686`*^9, 3.567800427832287*^9, 3.568057200850306*^9, 
  3.568318712918407*^9, 3.568318765621049*^9, 3.5685746593087387`*^9, 
  3.761676719524667*^9, 3.76167685347574*^9, 3.761679163027752*^9, 
  3.761756472875153*^9, 3.764532369539297*^9, 3.76453247878794*^9, 
  3.764533173323531*^9, 3.765476059359066*^9, 3.7659979099743567`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"fToOne", ",", "f", ",", "1", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.568318771831341*^9, 3.568574664788909*^9, 
  3.7616767220111723`*^9, 3.761676856696548*^9, 3.761679164446803*^9, 
  3.761756481860763*^9, 3.764532479749611*^9, 3.764533174371175*^9, 
  3.765476075289822*^9, 3.765997915730225*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"f", ",", 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input"],

Cell[OutputFormData["\<\
{f, f[] [L[i]]}\
\>", "\<\
{f, f   }
     ;i\
\>"], "Output",
 CellChangeTimes->{3.5145695792124*^9, 3.514569644900666*^9, 
  3.514571376779042*^9, 3.514571924100676*^9, 3.514743128207594*^9, 
  3.515779860495408*^9, 3.515864955784612*^9, 3.515866390555165*^9, 
  3.521821985490911*^9, 3.5678004310877037`*^9, 3.5680572454442596`*^9, 
  3.568318730458516*^9, 3.56831877316225*^9, 3.5685746659614687`*^9, 
  3.761676722746093*^9, 3.761676857511031*^9, 3.7616791652063093`*^9, 
  3.761756482701394*^9, 3.7645324805051327`*^9, 3.7645331754388733`*^9, 
  3.765476076023798*^9, 3.765997916638735*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "fToOne"}]], "Input"],

Cell[OutputFormData["\<\
{1, 0}\
\>", "\<\
{1, 0}\
\>"], "Output",
 CellChangeTimes->{3.514569581316905*^9, 3.514569645998943*^9, 
  3.514571378039659*^9, 3.514571925250516*^9, 3.514743129745462*^9, 
  3.515779861477481*^9, 3.515864957216699*^9, 3.515866399627699*^9, 
  3.521821987057735*^9, 3.56780043229561*^9, 3.568057246190504*^9, 
  3.568318774355688*^9, 3.568574667068591*^9, 3.761676723379225*^9, 
  3.7616768585447206`*^9, 3.7616791688806667`*^9, 3.761756483380809*^9, 
  3.764532481273016*^9, 3.764533176658231*^9, 3.765476076749151*^9, 
  3.7659979175619373`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "POpFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "fToOne"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/", 
     RowBox[{"(", 
      RowBox[{"-", "w"}], ")"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"w", "\[Rule]", "0"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QCurvatureByDefinition", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.761679192522756*^9, 3.761679198654976*^9}}],

Cell[CellGroupData[{

Cell[BoxData["QCurvatureByDefinition"], "Input",
 CellChangeTimes->{{3.761679203635531*^9, 3.7616792089458103`*^9}}],

Cell[OutputFormData["\<\
6*(-4 + n)*(-2 + n)*Hmc^4 - 36*(-4 + n)*(-2 + \
n)*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - 

   12*(-4 + n)*(-2 + n)*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] \
[L[c]] - 

   (-4 + n)*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], \
L[b]] [L[c], L[d]] + 

   (-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] [L[c], U[c]] + 36*(-4 + \
n)*Hmc^2*P[L[a], U[a]] - 

   3*P[L[a], U[a]] [L[b], U[b]] + 6*P[L[a], U[a]]*P[L[b], U[b]] + 

   36*(-4 + n)*Hmc*Nvec[U[a]]*P[L[b], U[b]] [L[a]] + 2*(-6 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[c]]*

    P[L[b], U[c]] + 6*(-4 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]]*

    P[L[c], L[d]] - 12*(-4 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]]*P[L[c], \
U[c]] + 

   (-22 + 5*n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] [L[a], L[b]] - 2*(-2 + \
n)*P[L[a], L[b]]*P[U[a], U[b]] + 

   2*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], L[d]]*Weyl[L[a], U[c], L[b], U[d]]\
\>", "\<\
                         4                             2     a      b 
(6 (-4 + n) (-2 + n)) Hmc  - (36 (-4 + n) (-2 + n)) Hmc  Nvec   Nvec   P     - 
                                                                        a b 
 
                                 a      b      c 
  (12 (-4 + n) (-2 + n)) Hmc Nvec   Nvec   Nvec   P        - 
                                                   a b ;c 
 
                          a      b      c      d                            a \
     b          c 
  ((-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P          + (-2 + n) Nvec  \
 Nvec   P          + 
                                                   a b ;c d                   \
         a b ;c 
 
                   2    a         a    b         a     b                      \
    a     b 
  (36 (-4 + n)) Hmc  P     - 3 P          + 6 P     P     + (36 (-4 + n)) Hmc \
Nvec   P        + 
                      a         a   ;b         a     b                        \
        b   ;a 
 
                            a      b           c 
  (2 (-6 + n) (-2 + n)) Nvec   Nvec   P     P     + 
                                       a c   b 
 
                            a      b      c      d                            \
      a      b           c 
  (6 (-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P     P     - (12 (-4 + \
n)) Nvec   Nvec   P     P     + 
                                                     a b   c d                \
                 a b   c 
 
                  a      b     c                             a b 
  (-22 + 5 n) Nvec   Nvec   P          - (2 (-2 + n)) P     P     + 
                             c   ;a b                  a b 
 
                   a      b              c   d 
  (2 (-2 + n)) Nvec   Nvec   P     Weyl
                              c d      a   b\
\>"], "Output",
 CellChangeTimes->{3.514569594249302*^9, 3.514569649634326*^9, 
  3.514571390884655*^9, 3.514571937979702*^9, 3.514743136689337*^9, 
  3.515779896330147*^9, 3.515864974618852*^9, 3.515866410520395*^9, 
  3.521822029091906*^9, 3.567800555733719*^9, 3.568057319544978*^9, 
  3.5683188441071043`*^9, 3.568574689131837*^9, 3.761676725696795*^9, 
  3.761676864205896*^9, 3.761679176135373*^9, 3.761679210420306*^9, 
  3.7617564888537693`*^9, 3.7645324827366657`*^9, 3.76453317895471*^9, 
  3.765476079420355*^9, 3.765997925965412*^9}]
}, Open  ]],

Cell["\<\
The above output should match the formula in the display at the end of \
Section 8.3 of our article.

Compare this result against previously computed result.\
\>", "Text",
 CellChangeTimes->{{3.514571826034466*^9, 3.514571837271059*^9}, {
  3.761680358214432*^9, 3.7616803870544157`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/cnb/QQFour.m"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51457165802155*^9, 3.514571669391762*^9}, {
   3.514571753945623*^9, 3.514571775977687*^9}, 3.761676567873732*^9, 
   3.7616766958193207`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "-", "QCurvatureByDefinition"}]], "Input",
 CellChangeTimes->{{3.514571672350849*^9, 3.51457167893967*^9}, {
  3.761679214994177*^9, 3.761679219299611*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.514571680314862*^9, 3.514571779340555*^9, 3.514571847804647*^9, 
   3.514571942465079*^9, 3.514743367814153*^9, 3.515779926811708*^9, 
   3.51586498208811*^9, 3.515866419835721*^9, 3.5218220335955667`*^9, 
   3.567800569794848*^9, 3.568057358320704*^9, 3.5683199207460423`*^9, 
   3.761676732253099*^9, 3.761676880598131*^9, {3.761679220748927*^9, 
   3.761679233003544*^9}, 3.761756752376834*^9, 3.7645324864255047`*^9, 
   3.764533183694972*^9, 3.765476102084011*^9, 3.7659979417309313`*^9}]
}, Open  ]],

Cell[TextData[{
 "We now use the special tractor formula of Theorem 7.11 to construct ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ")."
}], "Text",
 CellChangeTimes->{{3.45460618734519*^9, 3.4546062267163143`*^9}, {
  3.4546930051163263`*^9, 3.454693006224804*^9}, {3.761676909982534*^9, 
  3.761676944150977*^9}, {3.761679249578885*^9, 3.761679256814168*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We use the following equation:\n\n",
 StyleBox["(",
  FontSize->24],
 StyleBox["n",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" - 6)",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 StyleBox["(",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    StyleBox[
     RowBox[{"1", ",", "3"}],
     FontSize->12]], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 StyleBox[")  =\n            -( ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]],
  FontSize->24],
 StyleBox["\[Delta]",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "A"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]],
  FontSize->24],
 StyleBox[" ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["I", "C"], TraditionalForm]],
  FontSize->24],
 "\n                                                ",
 StyleBox["-   ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   FractionBox["2", 
    RowBox[{"n", "-", "4"}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]],
  FontSize->24],
 StyleBox["\[Delta] ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["W", 
    RowBox[{"B", "   ", "C"}], 
    RowBox[{"   ", 
     RowBox[{"E", "    ", "F"}]}]], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "E"], TraditionalForm]],
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["I", "F"], TraditionalForm]],
  FontSize->24],
 StyleBox[")",
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.514569696100059*^9, 3.514569739478274*^9}, {
  3.7616771635718718`*^9, 3.761677179756461*^9}, {3.761756937525419*^9, 
  3.761757000502872*^9}}],

Cell["\<\
We begin by constructing the first term within the parentheses on the \
right-hand side of above the equation.\
\>", "Text",
 CellChangeTimes->{{3.761677501966675*^9, 3.761677521406394*^9}, {
  3.761678004044742*^9, 3.7616780634292183`*^9}, {3.761679279515122*^9, 
  3.761679300291156*^9}, {3.761680085540986*^9, 3.761680088668912*^9}, {
  3.761680144509503*^9, 3.761680152836586*^9}, {3.761757632532836*^9, 
  3.7617576386446247`*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[TextData[{
 "In what follows, ",
 StyleBox["BigI", "Input"],
 " is the tractor ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " from Theorem 7.11 of our article."
}], "Text",
 CellChangeTimes->{{3.761677421199112*^9, 3.761677484446755*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BigI", "[", 
  RowBox[{"L", "[", "EE", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.761677473054563*^9, 3.7616774743582897`*^9}}],

Cell[OutputFormData["\<\
-(TrP*X[L[EE]]) + (-2 + n)*Y[L[EE]]\
\>", "\<\
-TrP X    + (-2 + n) Y
      EE              EE\
\>"], "Output",
 CellChangeTimes->{3.51456967991358*^9, 3.514571945856104*^9, 
  3.514743440649137*^9, 3.515779929076497*^9, 3.515864984557415*^9, 
  3.515866421286884*^9, 3.521822037261314*^9, 3.567800735380941*^9, 
  3.568057379988059*^9, 3.76167747692936*^9, 3.7616793072553053`*^9, 
  3.761757285837734*^9, 3.764532491138557*^9, 3.7645331940341988`*^9, 
  3.765476233783956*^9, 3.765997959031622*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"BigI", "[", 
    RowBox[{"L", "[", "CC", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "2"}], ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";", 
  RowBox[{"MiddleCheck", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.5678013800719767`*^9, 3.567801414590909*^9}, {
  3.568057708904809*^9, 3.5680577126315002`*^9}, {3.7616788037185087`*^9, 
  3.761678807437977*^9}, {3.7616793194141703`*^9, 3.761679319852243*^9}}],

Cell["\<\
Time:  17 hours, 32 minutes, 40 seconds
Date:  4 May 2019
Time:  17 hours, 32 minutes, 41 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.514570079216043*^9, 3.5145720839832*^9, 3.51474356292837*^9, 
   3.515779940415941*^9, 3.515865017650506*^9, 3.515866431814261*^9, 
   3.521822045706739*^9, 3.567801196472562*^9, {3.56780139590125*^9, 
   3.5678014154833107`*^9}, 3.568057639027487*^9, 3.568057714539764*^9, 
   3.7616775313678017`*^9, 3.7616788089223747`*^9, {3.76167930963354*^9, 
   3.761679320949583*^9}, 3.761757312002633*^9, 3.7645324929150953`*^9, 
   3.764533195885455*^9, 3.765476248205459*^9, 3.7659979601992607`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAOne", "]"}]], "Input",
 CellChangeTimes->{{3.514572184560582*^9, 3.514572188349286*^9}}],

Cell[OutputFormData["\<\
84\
\>", "\<\
84\
\>"], "Output",
 CellChangeTimes->{3.514570278122131*^9, 3.514572189333582*^9, 
  3.514743574269694*^9, 3.515779944696354*^9, 3.515865022557831*^9, 
  3.515866435876971*^9, 3.521822047623625*^9, 3.56780144440627*^9, 
  3.568057788088324*^9, 3.761678187124428*^9, 3.761678814643743*^9, 
  3.761679323896698*^9, 3.76175736212541*^9, 3.764532494716448*^9, 
  3.764533197251499*^9, 3.765476273394611*^9, 3.765997963066804*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "StepAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "3"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input"],

Cell["\<\
Time:  17 hours, 32 minutes, 44 seconds
Date:  4 May 2019
Time:  17 hours, 32 minutes, 47 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.514570286830673*^9, 3.514572211138957*^9, 
  3.514743576158645*^9, 3.515779946318644*^9, 3.51586502360299*^9, 
  3.515866437348017*^9, 3.5218220482489557`*^9, 3.567801458287195*^9, 
  3.568057841183519*^9, 3.7616781889242077`*^9, 3.761678816326396*^9, 
  3.761679325699061*^9, 3.7617573652236443`*^9, 3.764532495483926*^9, 
  3.764533197909684*^9, 3.765476275845743*^9, 3.765997964099224*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAATwo", "]"}]], "Input"],

Cell[OutputFormData["\<\
456\
\>", "\<\
456\
\>"], "Output",
 CellChangeTimes->{3.514570299007172*^9, 3.514572314109093*^9, 
  3.514743583418704*^9, 3.515779953565075*^9, 3.515865030620673*^9, 
  3.515866443726556*^9, 3.521822050526572*^9, 3.567801474932954*^9, 
  3.5680578452286997`*^9, 3.7616781931278067`*^9, 3.761678821030574*^9, 
  3.761679329406356*^9, 3.761757374160789*^9, 3.764532498628351*^9, 
  3.764533201172337*^9, 3.765476286367943*^9, 3.765997968044436*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "StepAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "CC", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "BB", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.761678382730626*^9, 3.761678391265469*^9}, {
  3.7616784227377987`*^9, 3.761678467378317*^9}}],

Cell["\<\
Time:  17 hours, 32 minutes, 50 seconds
Date:  4 May 2019
Time:  17 hours, 32 minutes, 50 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.514570336028851*^9, 3.514572349944123*^9, 3.514743593724034*^9, 
   3.515779961580481*^9, 3.515865039176154*^9, 3.5158664528081*^9, 
   3.5218220544463863`*^9, 3.567801603294175*^9, 3.5680579101058064`*^9, 
   3.5680580040985737`*^9, 3.761678317676811*^9, {3.761678367797855*^9, 
   3.761678392961602*^9}, {3.7616784431119223`*^9, 3.7616784684861393`*^9}, 
   3.761678831889189*^9, 3.761679361536435*^9, 3.761757377288118*^9, 
   3.764532501936845*^9, 3.764533204630863*^9, 3.765476287110579*^9, 
   3.765997969561376*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOne", "]"}]], "Input"],

Cell[OutputFormData["\<\
20\
\>", "\<\
20\
\>"], "Output",
 CellChangeTimes->{3.514570431320035*^9, 3.514572402397542*^9, 
  3.514743598390661*^9, 3.515779963563691*^9, 3.515865041735967*^9, 
  3.515866455451952*^9, 3.521822056196959*^9, 3.5678016238281507`*^9, 
  3.568058059092147*^9, 3.761678329622837*^9, 3.761679387531303*^9, 
  3.761757391498272*^9, 3.764532503206658*^9, 3.764533208381481*^9, 
  3.765476297095109*^9, 3.765997972355785*^9}]
}, Open  ]],

Cell["\<\
We now construct the second term within the parentheses on the right-hand \
side.\
\>", "Text",
 CellChangeTimes->{{3.761757661757309*^9, 3.761757665428934*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"BigI", "[", 
    RowBox[{"L", "[", "FF", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"L", "[", "EE", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "*", 
     RowBox[{"MayWABCD", "[", 
      RowBox[{
       RowBox[{"L", "[", "BB", "]"}], ",", 
       RowBox[{"U", "[", "EE", "]"}], ",", 
       RowBox[{"L", "[", "CC", "]"}], ",", 
       RowBox[{"U", "[", "FF", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandMayWABCD"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "*", 
     RowBox[{"X", "[", 
      RowBox[{"L", "[", "AA", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "TrPToInd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.7616785673235064`*^9, 3.761678596579664*^9}}],

Cell["\<\
Time:  17 hours, 32 minutes, 54 seconds
Date:  4 May 2019
Time:  17 hours, 32 minutes, 57 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.514570482957248*^9, 3.514572405317994*^9, 
  3.514743599916316*^9, 3.515779965897759*^9, 3.515865043400205*^9, 
  3.515866457020088*^9, 3.521822058816903*^9, 3.567801629485427*^9, 
  3.56805811935385*^9, 3.5680594565309553`*^9, 3.7616786014563417`*^9, 
  3.761678673577053*^9, 3.761679403944685*^9, 3.761757401036849*^9, 
  3.7645325052471313`*^9, 3.764533210182235*^9, 3.765476311672858*^9, 
  3.765997974047649*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBOne", "]"}]], "Input",
 CellChangeTimes->{{3.5680581875865307`*^9, 3.568058192185814*^9}}],

Cell[OutputFormData["\<\
16\
\>", "\<\
16\
\>"], "Output",
 CellChangeTimes->{3.568058193166321*^9, 3.568059459922181*^9, 
  3.761678625624729*^9, 3.7616786765639143`*^9, 3.761679409182069*^9, 
  3.76175742847801*^9, 3.764532508910973*^9, 3.764533213953989*^9, 
  3.765476346941393*^9, 3.76599797962084*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "StepBBOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"-", "3"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBTwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.7616788567907457`*^9, 3.761678860006378*^9}, {
  3.761679430229697*^9, 3.7616794306851587`*^9}}],

Cell["\<\
Time:  17 hours, 33 minutes, 0 seconds
Date:  4 May 2019
Time:  17 hours, 33 minutes, 1 second
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.51457060747628*^9, 3.514572486965259*^9, 
  3.514743644909622*^9, 3.515779984584845*^9, 3.515865068725284*^9, 
  3.515866474527813*^9, 3.521822068658868*^9, 3.567801720704206*^9, 
  3.568058615503808*^9, 3.568059529693274*^9, 3.76167871378374*^9, 
  3.761678860994048*^9, 3.761679431972026*^9, 3.761757440656435*^9, 
  3.764532511192932*^9, 3.7645332157087173`*^9, 3.7654763480303926`*^9, 
  3.765997980334867*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBTwo", "]"}]], "Input"],

Cell[OutputFormData["\<\
112\
\>", "\<\
112\
\>"], "Output",
 CellChangeTimes->{3.514570684709932*^9, 3.514572565270392*^9, 
  3.514743654927616*^9, 3.515779988186281*^9, 3.51586507214249*^9, 
  3.515866478385033*^9, 3.5218220705584393`*^9, 3.567801725179927*^9, 
  3.5680586276722517`*^9, 3.568059557338607*^9, 3.7616787193350773`*^9, 
  3.761679443874278*^9, 3.761757452751821*^9, 3.764532513672801*^9, 
  3.7645332168063173`*^9, 3.765476360409882*^9, 3.765997981698492*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "StepBBTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "CC", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "BB", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "4"}], ")"}]}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.56805969272334*^9, 3.568059750175536*^9}, {
  3.7616794617520533`*^9, 3.761679462413332*^9}}],

Cell["\<\
Time:  17 hours, 33 minutes, 3 seconds
Date:  4 May 2019
Time:  17 hours, 33 minutes, 3 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.514570696237773*^9, 3.514572568195581*^9, 3.514743657639505*^9, 
   3.515779991168251*^9, 3.515865075087031*^9, 3.515866481492831*^9, 
   3.5218220721279497`*^9, 3.567801741943274*^9, 3.568058658835802*^9, 
   3.5680595888521748`*^9, {3.568059699724392*^9, 3.568059750942245*^9}, 
   3.568059850746935*^9, 3.761678722675323*^9, 3.761678868139625*^9, 
   3.761679453665924*^9, 3.761679504745426*^9, 3.761757458607092*^9, 
   3.7645325144651527`*^9, 3.7645332177464743`*^9, 3.765476361177704*^9, 
   3.7659979830225773`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwo", "]"}]], "Input"],

Cell[OutputFormData["\<\
5\
\>", "\<\
5\
\>"], "Output",
 CellChangeTimes->{
  3.514570718450894*^9, 3.514572663343401*^9, 3.514743669137573*^9, 
   3.515779993611715*^9, 3.515865077059881*^9, 3.51586648304319*^9, 
   3.521822073660879*^9, 3.567801760048643*^9, 3.568058695456026*^9, {
   3.568059674468672*^9, 3.5680597536823378`*^9}, 3.568059852616703*^9, 
   3.7616787338166227`*^9, 3.761678871911819*^9, 3.761679507126026*^9, 
   3.761757491210516*^9, 3.764532517281797*^9, 3.7645332201202173`*^9, 
   3.76547639967445*^9, 3.765997986690077*^9}]
}, Open  ]],

Cell[TextData[{
 "We now assemble ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Q", "g"], TraditionalForm]]],
 "(",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "3"}]], TraditionalForm]]],
 ")."
}], "Text",
 CellChangeTimes->{{3.761680192357168*^9, 3.7616802396861963`*^9}},
 Background->RGBColor[1, 0.9, 1]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"PartOne", "+", "PartTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCOne", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.514570724581714*^9, 3.514570734276771*^9}}],

Cell["\<\
Time:  17 hours, 33 minutes, 8 seconds
Date:  4 May 2019
Time:  17 hours, 33 minutes, 8 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.514570735886539*^9, 3.51457078078257*^9, 
  3.514572666401424*^9, 3.514743670880844*^9, 3.515779996004231*^9, 
  3.515865079470017*^9, 3.515866484958634*^9, 3.52182207513018*^9, 
  3.567801781791531*^9, 3.5680586980300217`*^9, 3.568059856954399*^9, 
  3.761678738719208*^9, 3.76167887713616*^9, 3.761679563413212*^9, 
  3.761757591079379*^9, 3.7645325187424793`*^9, 3.7645332219814262`*^9, 
  3.7654764009151173`*^9, 3.7659979882218533`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCOne", "]"}]], "Input",
 CellChangeTimes->{{3.514572689505141*^9, 3.514572693289833*^9}}],

Cell[OutputFormData["\<\
15\
\>", "\<\
15\
\>"], "Output",
 CellChangeTimes->{3.514572694128851*^9, 3.514743675139616*^9, 
  3.515779999211112*^9, 3.515865082036714*^9, 3.515866486683251*^9, 
  3.521822076263443*^9, 3.567801784887722*^9, 3.5680587533311253`*^9, 
  3.568059867432271*^9, 3.761678742879661*^9, 3.761679566487162*^9, 
  3.761757709014592*^9, 3.7645325199448566`*^9, 3.764533223444681*^9, 
  3.765476410033408*^9, 3.765997992403988*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["StepCCOne"], "Input",
 CellChangeTimes->{{3.5680587627899523`*^9, 3.568058766445182*^9}}],

Cell[OutputFormData["\<\
6*(-6 + n)*(-4 + n)*(-2 + n)*Hmc^4 - 36*(-6 + n)*(-4 + n)*(-2 + \
n)*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*

    P[L[a], L[b]] - 12*(-6 + n)*(-4 + n)*(-2 + \
n)*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] - \\

 (-6 + n)*(-4 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]] [L[c], L[d]] + 

   (-6 + n)*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] [L[c], U[c]] + 

   36*(-6 + n)*(-4 + n)*Hmc^2*P[L[a], U[a]] - 3*(-6 + n)*P[L[a], U[a]] [L[b], \
U[b]] + 

   6*(-6 + n)*P[L[a], U[a]]*P[L[b], U[b]] + 36*(-6 + n)*(-4 + \
n)*Hmc*Nvec[U[a]]*P[L[b], U[b]] [L[a]] + 

   2*(-6 + n)^2*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[c]]*P[L[b], U[c]] + 

   6*(-6 + n)*(-4 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]]*P[L[c], L[d]] - 

   12*(-6 + n)*(-4 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]]*P[L[c], U[c]] + 

   (-6 + n)*(-22 + 5*n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] [L[a], L[b]] - 

   2*(-6 + n)*(-2 + n)*P[L[a], L[b]]*P[U[a], U[b]] + 2*(-6 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], L[d]]*

    Weyl[L[a], U[c], L[b], U[d]]\
\>", "\<\
                                  4                                      2    \
 a      b 
(6 (-6 + n) (-4 + n) (-2 + n)) Hmc  - (36 (-6 + n) (-4 + n) (-2 + n)) Hmc  \
Nvec   Nvec   P     - 
                                                                              \
            a b 
 
                                          a      b      c 
  (12 (-6 + n) (-4 + n) (-2 + n)) Hmc Nvec   Nvec   Nvec   P        - 
                                                            a b ;c 
 
                                   a      b      c      d 
  ((-6 + n) (-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P          + 
                                                            a b ;c d 
 
                          a      b          c                              2  \
  a 
  ((-6 + n) (-2 + n)) Nvec   Nvec   P          + (36 (-6 + n) (-4 + n)) Hmc  \
P     - 
                                     a b ;c                                   \
a 
 
                  a    b                    a     b                           \
        a     b 
  (3 (-6 + n)) P          + (6 (-6 + n)) P     P     + (36 (-6 + n) (-4 + n)) \
Hmc Nvec   P        + 
                a   ;b                    a     b                             \
            b   ;a 
 
             2               a      b           c 
  (2 (-6 + n)  (-2 + n)) Nvec   Nvec   P     P     + 
                                        a c   b 
 
                                     a      b      c      d 
  (6 (-6 + n) (-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P     P     - 
                                                              a b   c d 
 
                             a      b           c                             \
  a      b     c 
  (12 (-6 + n) (-4 + n)) Nvec   Nvec   P     P     + ((-6 + n) (-22 + 5 n)) \
Nvec   Nvec   P          - 
                                        a b   c                               \
             c   ;a b 
 
                               a b                              a      b      \
        c   d 
  (2 (-6 + n) (-2 + n)) P     P     + (2 (-6 + n) (-2 + n)) Nvec   Nvec   P   \
  Weyl
                         a b                                               c \
d      a   b\
\>"], "Output",
 CellChangeTimes->{3.568058767147859*^9, 3.568059872664617*^9, 
  3.761678743921926*^9, 3.761679573697503*^9, 3.761680304257209*^9, 
  3.761757711340165*^9, 3.764532520710043*^9, 3.76453322453673*^9, 
  3.765476410724321*^9, 3.765997993528007*^9}]
}, Open  ]],

Cell[TextData[{
 "All terms in the above output should contain a factor ",
 StyleBox["n",
  FontSlant->"Italic"],
 " - 6."
}], "Text",
 CellChangeTimes->{{3.514572702772182*^9, 3.514572712025937*^9}, {
  3.761680282957946*^9, 3.761680298069807*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StepCCOne", "/.", 
  RowBox[{"(", 
   RowBox[{"n", "\[Rule]", "6"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.51457079263879*^9, 3.514570801398233*^9}, {
  3.761679581975564*^9, 3.761679583702879*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{
  3.514570802293319*^9, 3.514570854367241*^9, {3.514572677648253*^9, 
   3.514572726592774*^9}, 3.514743679417614*^9, 3.51578000252612*^9, 
   3.515865087217123*^9, 3.515866490392407*^9, 3.52182207851483*^9, 
   3.567801788120001*^9, 3.568058799231472*^9, 3.568059895226194*^9, 
   3.761678748279051*^9, {3.761679578600286*^9, 3.761679584543373*^9}, 
   3.7617577209968224`*^9, 3.764532523406649*^9, 3.764533226951757*^9, 
   3.7654764129827337`*^9, 3.7659979969971247`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepCCOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "6"}], ")"}]}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCTwo", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StepCCTwo", ";"}]}], "Input",
 CellChangeTimes->{3.514570931901592*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCTwo", "]"}]], "Input",
 CellChangeTimes->{{3.761680260368194*^9, 3.761680263757675*^9}}],

Cell[OutputFormData["\<\
15\
\>", "\<\
15\
\>"], "Output",
 CellChangeTimes->{3.761680264316828*^9, 3.761757769697599*^9, 
  3.764532525126665*^9, 3.7645332289991093`*^9, 3.765476415955873*^9, 
  3.765998000448238*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QCurvatureByTractorFormula", "=", "StepCCTwo"}], 
  ";"}], "\[IndentingNewLine]", "QCurvatureByTractorFormula"}], "Input",
 CellChangeTimes->{{3.514570945813272*^9, 3.514570950631979*^9}, {
  3.761679598127552*^9, 3.7616796134151077`*^9}}],

Cell[OutputFormData["\<\
6*(-4 + n)*(-2 + n)*Hmc^4 - 36*(-4 + n)*(-2 + \
n)*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] - 

   12*(-4 + n)*(-2 + n)*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] \
[L[c]] - 

   (-4 + n)*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], \
L[b]] [L[c], L[d]] + 

   (-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] [L[c], U[c]] + 36*(-4 + \
n)*Hmc^2*P[L[a], U[a]] - 

   3*P[L[a], U[a]] [L[b], U[b]] + 6*P[L[a], U[a]]*P[L[b], U[b]] + 

   36*(-4 + n)*Hmc*Nvec[U[a]]*P[L[b], U[b]] [L[a]] + 2*(-6 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[c]]*

    P[L[b], U[c]] + 6*(-4 + n)*(-2 + \
n)*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]]*

    P[L[c], L[d]] - 12*(-4 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]]*P[L[c], \
U[c]] + 

   (-22 + 5*n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] [L[a], L[b]] - 2*(-2 + \
n)*P[L[a], L[b]]*P[U[a], U[b]] + 

   2*(-2 + n)*Nvec[U[a]]*Nvec[U[b]]*P[L[c], L[d]]*Weyl[L[a], U[c], L[b], U[d]]\
\>", "\<\
                         4                             2     a      b 
(6 (-4 + n) (-2 + n)) Hmc  - (36 (-4 + n) (-2 + n)) Hmc  Nvec   Nvec   P     - 
                                                                        a b 
 
                                 a      b      c 
  (12 (-4 + n) (-2 + n)) Hmc Nvec   Nvec   Nvec   P        - 
                                                   a b ;c 
 
                          a      b      c      d                            a \
     b          c 
  ((-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P          + (-2 + n) Nvec  \
 Nvec   P          + 
                                                   a b ;c d                   \
         a b ;c 
 
                   2    a         a    b         a     b                      \
    a     b 
  (36 (-4 + n)) Hmc  P     - 3 P          + 6 P     P     + (36 (-4 + n)) Hmc \
Nvec   P        + 
                      a         a   ;b         a     b                        \
        b   ;a 
 
                            a      b           c 
  (2 (-6 + n) (-2 + n)) Nvec   Nvec   P     P     + 
                                       a c   b 
 
                            a      b      c      d                            \
      a      b           c 
  (6 (-4 + n) (-2 + n)) Nvec   Nvec   Nvec   Nvec   P     P     - (12 (-4 + \
n)) Nvec   Nvec   P     P     + 
                                                     a b   c d                \
                 a b   c 
 
                  a      b     c                             a b 
  (-22 + 5 n) Nvec   Nvec   P          - (2 (-2 + n)) P     P     + 
                             c   ;a b                  a b 
 
                   a      b              c   d 
  (2 (-2 + n)) Nvec   Nvec   P     Weyl
                              c d      a   b\
\>"], "Output",
 CellChangeTimes->{
  3.514570951621228*^9, 3.514572741681973*^9, 3.514743687409177*^9, 
   3.51578001026334*^9, 3.515865093133918*^9, 3.515866496068181*^9, 
   3.521822081817576*^9, {3.521822265693239*^9, 3.521822296890636*^9}, 
   3.567801797552826*^9, 3.568058847289949*^9, {3.5680599191954*^9, 
   3.568059925036395*^9}, 3.7616787550722313`*^9, 3.761678890032098*^9, 
   3.761679626034965*^9, 3.761679901755925*^9, 3.761757775771624*^9, 
   3.764532525925887*^9, 3.7645332301406097`*^9, 3.765476416730186*^9, 
   3.765998008889599*^9}]
}, Open  ]],

Cell["\<\
The above output should match the display at the end Section 8.3 of our \
article.\
\>", "Text",
 CellChangeTimes->{{3.761680030890094*^9, 3.7616800540859756`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/cnb/QQFour.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Holder", ";"}]}], "Input",
 CellChangeTimes->{{3.7616789299444323`*^9, 3.761678942255294*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "-", "QCurvatureByTractorFormula"}]], "Input",
 CellChangeTimes->{{3.7616789468100863`*^9, 3.7616789612794847`*^9}, {
  3.761679632119742*^9, 3.7616796379995823`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.7616789525665913`*^9, 3.7616789620872393`*^9}, 
   3.761679638574882*^9, 3.761757823344846*^9, 3.7645325298089542`*^9, 
   3.764533247932893*^9, 3.765476421853961*^9, 3.765998085291357*^9}]
}, Open  ]],

Cell[TextData[{
 "Now compare the ",
 StyleBox["Q",
  FontSlant->"Italic"],
 "-curvatures as computed under the two methods."
}], "Text",
 Background->RGBColor[1, 1, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QCurvatureByTractorFormula", "-", 
  "QCurvatureByDefinition"}]], "Input",
 CellChangeTimes->{{3.7616796434238977`*^9, 3.7616796595192757`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.514570905831372*^9, 3.514570963399293*^9, 
  3.514572749913947*^9, 3.514743688873782*^9, 3.51578001552969*^9, 
  3.515865095100569*^9, 3.515866498057868*^9, 3.521822083736261*^9, 
  3.567801800607222*^9, 3.568058851283518*^9, 3.5680599340586348`*^9, 
  3.7616787647166843`*^9, 3.761678897931697*^9, 3.761678965707591*^9, 
  3.76167966063113*^9, 3.761757827007618*^9, 3.764532533248418*^9, 
  3.76453325039198*^9, 3.7654764231787567`*^9, 3.765998088090207*^9}]
}, Open  ]],

Cell["The output from the above command should be zero.", "Text",
 CellChangeTimes->{{3.761679046311905*^9, 3.7616790618970203`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1847, 1125},
WindowMargins->{{0, Automatic}, {18, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 704, 16, 76, "Text"],
Cell[1252, 38, 534, 10, 64, "Text"],
Cell[1789, 50, 1321, 35, 155, "Text"],
Cell[3113, 87, 243, 6, 97, "Text"],
Cell[3359, 95, 485, 13, 107, "Text"],
Cell[3847, 110, 149, 2, 96, "Text"],
Cell[3999, 114, 225, 5, 64, "Text"],
Cell[4227, 121, 84, 2, 65, "Input"],
Cell[4314, 125, 161, 2, 96, "Text"],
Cell[4478, 129, 675, 12, 65, "Text"],
Cell[CellGroupData[{
Cell[5178, 145, 298, 6, 65, "Input"],
Cell[5479, 153, 2068, 36, 162, "Output"]
}, Open  ]],
Cell[7562, 192, 176, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[7763, 202, 100, 1, 63, "Input"],
Cell[7866, 205, 200, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8103, 215, 415, 6, 63, "Input"],
Cell[8521, 223, 504, 11, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9062, 239, 1504, 33, 667, "Input"],
Cell[10569, 274, 1556, 25, 80, "Print"]
}, Open  ]],
Cell[12140, 302, 411, 14, 100, "Text"],
Cell[CellGroupData[{
Cell[12576, 320, 243, 5, 107, "Input"],
Cell[12822, 327, 609, 12, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13468, 344, 150, 3, 65, "Input"],
Cell[13621, 349, 281, 4, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13939, 358, 222, 7, 107, "Input"],
Cell[14164, 367, 620, 13, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14821, 385, 60, 1, 63, "Input"],
Cell[14884, 388, 574, 12, 103, "Output"]
}, Open  ]],
Cell[15473, 403, 811, 24, 280, "Input"],
Cell[CellGroupData[{
Cell[16309, 431, 116, 1, 63, "Input"],
Cell[16428, 434, 3330, 77, 757, "Output"]
}, Open  ]],
Cell[19773, 514, 298, 7, 148, "Text"],
Cell[20074, 523, 274, 6, 65, "Input"],
Cell[CellGroupData[{
Cell[20373, 533, 189, 3, 63, "Input"],
Cell[20565, 538, 574, 12, 103, "Output"]
}, Open  ]],
Cell[21154, 553, 535, 15, 100, "Text"],
Cell[21692, 570, 2352, 100, 326, "Text"],
Cell[24047, 672, 480, 9, 96, "Text"],
Cell[24530, 683, 252, 8, 65, "Text"],
Cell[CellGroupData[{
Cell[24807, 695, 154, 3, 63, "Input"],
Cell[24964, 700, 525, 11, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25526, 716, 1455, 39, 452, "Input"],
Cell[26984, 757, 658, 13, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27679, 775, 133, 2, 63, "Input"],
Cell[27815, 779, 465, 10, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28317, 794, 537, 15, 280, "Input"],
Cell[28857, 811, 554, 11, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29448, 827, 67, 1, 63, "Input"],
Cell[29518, 830, 473, 10, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30028, 845, 2197, 69, 753, "Input"],
Cell[32228, 916, 687, 14, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32952, 935, 65, 1, 63, "Input"],
Cell[33020, 938, 447, 10, 103, "Output"]
}, Open  ]],
Cell[33482, 951, 205, 5, 96, "Text"],
Cell[CellGroupData[{
Cell[33712, 960, 2240, 70, 710, "Input"],
Cell[35955, 1032, 579, 12, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36571, 1049, 135, 2, 63, "Input"],
Cell[36709, 1053, 307, 8, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37053, 1066, 770, 20, 323, "Input"],
Cell[37826, 1088, 573, 12, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38436, 1105, 67, 1, 63, "Input"],
Cell[38506, 1108, 476, 10, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39019, 1123, 3083, 100, 1011, "Input"],
Cell[42105, 1225, 685, 14, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42827, 1244, 65, 1, 91, "Input"],
Cell[42895, 1247, 549, 12, 103, "Output"]
}, Open  ]],
Cell[43459, 1262, 340, 13, 100, "Text"],
Cell[CellGroupData[{
Cell[43824, 1279, 1189, 38, 480, "Input"],
Cell[45016, 1319, 601, 12, 146, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45654, 1336, 133, 2, 91, "Input"],
Cell[45790, 1340, 449, 10, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46276, 1355, 103, 1, 91, "Input"],
Cell[46382, 1358, 3586, 86, 844, "Output"]
}, Open  ]],
Cell[49983, 1447, 249, 7, 65, "Text"],
Cell[CellGroupData[{
Cell[50257, 1458, 225, 5, 91, "Input"],
Cell[50485, 1465, 551, 12, 103, "Output"]
}, Open  ]],
Cell[51051, 1480, 604, 19, 265, "Input"],
Cell[CellGroupData[{
Cell[51680, 1503, 133, 2, 91, "Input"],
Cell[51816, 1507, 218, 7, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52071, 1519, 275, 5, 135, "Input"],
Cell[52349, 1526, 3340, 78, 757, "Output"]
}, Open  ]],
Cell[55704, 1607, 174, 4, 64, "Text"],
Cell[55881, 1613, 229, 5, 136, "Input"],
Cell[CellGroupData[{
Cell[56135, 1622, 200, 3, 91, "Input"],
Cell[56338, 1627, 268, 7, 103, "Output"]
}, Open  ]],
Cell[56621, 1637, 169, 6, 97, "Text"],
Cell[CellGroupData[{
Cell[56815, 1647, 168, 3, 91, "Input"],
Cell[56986, 1652, 537, 11, 103, "Output"]
}, Open  ]],
Cell[57538, 1666, 133, 1, 64, "Text"],
Cell[57674, 1669, 149, 2, 96, "Text"],
Cell[57826, 1673, 1464, 27, 234, "Text"],
Cell[59293, 1702, 285, 6, 64, "Text"],
Cell[59581, 1710, 132, 2, 91, "Input"],
Cell[59716, 1714, 254, 6, 64, "Text"],
Cell[59973, 1722, 132, 2, 91, "Input"],
Cell[60108, 1726, 253, 6, 64, "Text"],
Cell[60364, 1734, 132, 2, 124, "Input"]
}
]
*)

