(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    280889,       7388]
NotebookOptionsPosition[    268280,       6986]
NotebookOutlinePosition[    269029,       7010]
CellTagsIndexPosition[    268986,       7007]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["OFived.nb (\[OpenCurlyDoubleQuote]Fifth-Order Operator\
\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
   3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
   3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
   3.4542666124085407`*^9, 3.454266672417575*^9}, {3.4542667038293533`*^9, 
   3.454266854101407*^9}, {3.454266886462933*^9, 3.4542668940113163`*^9}, {
   3.454612208188653*^9, 3.4546122411740828`*^9}, 3.454624702594925*^9, {
   3.764534245842339*^9, 3.7645342495380096`*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell[TextData[{
 "Date last modified:  17 April 2019\n\nThis notebook pertains to Section 8.4 \
of our article.  In this notebook, we compute ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"2", ",", "3"}]], TraditionalForm]]],
 ".  We begin by expanding the following expression:\n    ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["N", "E"], "\[Delta]", " "}], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["D", "E"], 
    SubscriptBox["D", "A"]}], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SubscriptBox["D", "B"],
     FontWeight->"Plain"]}], TraditionalForm]], "Input",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SubscriptBox["D", "C"],
     FontWeight->"Plain"]}], TraditionalForm]], "Input",
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 StyleBox["f  + ",
  FontSize->18,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["N", "A"], 
    SuperscriptBox["N", "B"], 
    SuperscriptBox["N", "C"], 
    SuperscriptBox["N", "E"]}], TraditionalForm]],
  FontSize->18],
 StyleBox["\[Delta]",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["D", "E"]}], TraditionalForm]],
  FontSize->18],
 StyleBox["(",
  FontSize->24],
 StyleBox["- ",
  FontSize->18,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox["2", 
    RowBox[{"n", "-", "4"}]], TraditionalForm]],
  FontSize->18],
 StyleBox[")",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["W", 
    RowBox[{"B", "   ", "C"}], 
    RowBox[{"   ", 
     RowBox[{"F", "    ", "G"}]}]], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "F"], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "G"], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 StyleBox["f .",
  FontSize->18,
  FontSlant->"Italic"],
 "\nHere ",
 StyleBox["f",
  FontSlant->"Italic"],
 "  is a density of weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 ".  After we expand the above expression, we then write the expanded \
expression in such a way that each term contains a factor\n(",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6).  We then divide the factor (",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6) out.  The result is our fifth-order boundary operator  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"2", ",", "3"}]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.453159289799129*^9, 3.453159417092864*^9}, {
   3.453663746506001*^9, 3.453663799567122*^9}, {3.45376502695182*^9, 
   3.4537650278161716`*^9}, {3.453844114013983*^9, 3.453844115102765*^9}, {
   3.453915218711568*^9, 3.453915219314801*^9}, {3.454006239836206*^9, 
   3.454006241235165*^9}, {3.4540846668375187`*^9, 3.454084667925531*^9}, {
   3.45417802315869*^9, 3.454178023799295*^9}, {3.454256529098673*^9, 
   3.45425652954543*^9}, {3.4542650410778093`*^9, 3.454265042316461*^9}, {
   3.454345793168517*^9, 3.454345793614134*^9}, {3.4546246917383833`*^9, 
   3.454624693134807*^9}, {3.455228767085579*^9, 3.4552287675905523`*^9}, {
   3.514626812535534*^9, 3.514626818858689*^9}, {3.5694387626099977`*^9, 
   3.569438773601788*^9}, {3.7619139729294777`*^9, 3.761913979481333*^9}, {
   3.761914036730093*^9, 3.76191406641825*^9}, {3.761914111931036*^9, 
   3.761914160003559*^9}, {3.761986508731537*^9, 3.761986509451322*^9}, {
   3.7619867075704947`*^9, 3.761986711841964*^9}, {3.762073241214951*^9, 
   3.7620732427658463`*^9}, {3.762075651373912*^9, 3.7620756725261307`*^9}, {
   3.762075724121601*^9, 3.762075743193116*^9}, {3.762159729017754*^9, 
   3.762159729666191*^9}, {3.762201663278613*^9, 3.762201707118252*^9}, {
   3.7641866876771393`*^9, 3.7641866915300837`*^9}, {3.764534253043882*^9, 
   3.7645342538120403`*^9}, 3.7659640525044107`*^9}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command essentially tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.453159289799129*^9, 3.453159417092864*^9}, {
   3.453663746506001*^9, 3.453663799567122*^9}, {3.45376502695182*^9, 
   3.4537650278161716`*^9}, {3.453844114013983*^9, 3.453844115102765*^9}, {
   3.453915218711568*^9, 3.453915219314801*^9}, {3.454006239836206*^9, 
   3.454006241235165*^9}, {3.4540846668375187`*^9, 3.454084667925531*^9}, {
   3.45417802315869*^9, 3.454178023799295*^9}, {3.454256529098673*^9, 
   3.45425652954543*^9}, {3.4542650410778093`*^9, 3.454265042316461*^9}, {
   3.454345793168517*^9, 3.454345793614134*^9}, {3.4546246917383833`*^9, 
   3.454624693134807*^9}, {3.455228767085579*^9, 3.4552287675905523`*^9}, {
   3.514626812535534*^9, 3.514626818858689*^9}, {3.5694387626099977`*^9, 
   3.569438773601788*^9}, {3.7619139729294777`*^9, 3.761913979481333*^9}, {
   3.761914036730093*^9, 3.76191406641825*^9}, {3.761914111931036*^9, 
   3.761914160003559*^9}, {3.761986508731537*^9, 3.761986509451322*^9}, {
   3.7619867075704947`*^9, 3.761986711841964*^9}, {3.762073241214951*^9, 
   3.7620732427658463`*^9}, {3.762075651373912*^9, 3.7620756725261307`*^9}, {
   3.762075724121601*^9, 3.762075743193116*^9}, {3.762159729017754*^9, 
   3.762159729666191*^9}, {3.762201663278613*^9, 3.762201707118252*^9}, {
   3.7641866876771393`*^9, 3.7641866915300837`*^9}, {3.764534253043882*^9, 
   3.7645342538120403`*^9}, 3.765964054644451*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.5694389643723583`*^9, 3.56943896607542*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.453159420682274*^9, 3.453664101780805*^9, 3.4537650309457912`*^9, 
   3.453768442958385*^9, 3.453844118631322*^9, 3.453858395155579*^9, 
   3.453915222079307*^9, 3.4539454046763563`*^9, 3.454006244931095*^9, 
   3.454084674302463*^9, 3.454097568777343*^9, 3.4541780304975758`*^9, 
   3.4541782316793613`*^9, 3.45417838963104*^9, 3.454181379603775*^9, 
   3.454194555282077*^9, 3.454256533202301*^9, 3.454265048850965*^9, 
   3.454265777769042*^9, 3.454267587559116*^9, 3.454289227063335*^9, 
   3.454291769468335*^9, 3.454345798474587*^9, 3.4543598197839727`*^9, 
   3.4546131850115757`*^9, 3.4546249359675407`*^9, 3.454639301470052*^9, 
   3.45464590524839*^9, 3.454699879851452*^9, 3.455228764524692*^9, 
   3.514626850216648*^9, 3.5694389683793993`*^9, 3.569439036429791*^9, 
   3.5696117421058407`*^9, 3.569614323764339*^9, 3.569698939843679*^9, 
   3.761914384728428*^9, 3.76191471506063*^9, 3.761915072468204*^9, 
   3.7619873724543056`*^9, 3.762073438577035*^9, 3.762159848705276*^9, 
   3.762201379652108*^9, {3.764186695180883*^9, 3.764186715089076*^9}, 
   3.764534259878147*^9, 3.765964092078823*^9, 3.765999640536889*^9}]
}, Open  ]],

Cell[TextData[{
 "Print version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765999643778098*^9, 3.765999659250977*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.7659996699053497`*^9, 3.765999672782894*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.7659996756525*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.569438975806912*^9, 3.569438980915358*^9}, {
  3.569439041902493*^9, 3.56943904714683*^9}, {3.7619143951512203`*^9, 
  3.761914429095173*^9}, {3.765964084260866*^9, 3.765964085356434*^9}, {
  3.7659996827034397`*^9, 3.7659996855193977`*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{
  3.453159423264295*^9, 3.453664104344149*^9, 3.453765034707481*^9, 
   3.453768445866547*^9, 3.453844121023699*^9, 3.453858397926993*^9, 
   3.453915224789444*^9, 3.4539454072204027`*^9, 3.454006246832543*^9, 
   3.454084678744742*^9, 3.454097571358412*^9, 3.454178032479652*^9, 
   3.454178234680215*^9, 3.454178391659215*^9, 3.4541813824868307`*^9, 
   3.454194558744796*^9, 3.454256535636375*^9, 3.454265050865614*^9, 
   3.45426760534982*^9, 3.454289229044199*^9, 3.454291771374024*^9, 
   3.454345922015114*^9, 3.4543598223046083`*^9, 3.4546131864241943`*^9, 
   3.454624937809511*^9, 3.4546393033477592`*^9, 3.454645908571967*^9, 
   3.454699881595233*^9, 3.4552287715027447`*^9, 3.51462685992152*^9, 
   3.5694390491448803`*^9, 3.569611749105193*^9, 3.569614328231267*^9, 
   3.569698942271242*^9, 3.761914458510118*^9, 3.761914715784893*^9, 
   3.761915073581374*^9, 3.7619873740743303`*^9, 3.7620734399734383`*^9, 
   3.762159849722197*^9, 3.762201381062354*^9, {3.7641866959996567`*^9, 
   3.764186716696474*^9}, 3.7645342699520597`*^9, 3.765999686794161*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.761914429711226*^9, 
  3.761914432447443*^9}, {3.764186703550641*^9, 3.76418670390924*^9}}],

Cell["\<\
Time:  18 hours, 1 minute, 35 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{
  3.453159433558712*^9, 3.4536641087403793`*^9, 3.4537650383314323`*^9, 
   3.4537684492497253`*^9, 3.453844124077334*^9, 3.453858444306649*^9, 
   3.4539152276470537`*^9, 3.453945410818446*^9, 3.454006250497306*^9, 
   3.454084682375368*^9, 3.454097574794847*^9, 3.4541780358523197`*^9, 
   3.45417823845408*^9, 3.454178394737667*^9, 3.454181385912878*^9, 
   3.454194562617395*^9, 3.454256539341807*^9, 3.454265054697605*^9, 
   3.4542676095457067`*^9, 3.454289232968734*^9, 3.454291774589773*^9, 
   3.454345925981805*^9, 3.4543598257763357`*^9, 3.454613193643963*^9, 
   3.454624942059847*^9, 3.45463930700629*^9, 3.454645912122908*^9, 
   3.454699885531643*^9, 3.455228774890957*^9, 3.514626863802654*^9, 
   3.5694390533483963`*^9, 3.5696117507404222`*^9, 3.569614329651849*^9, 
   3.5696989458318787`*^9, 3.76191446199518*^9, 3.761914718411503*^9, 
   3.761915075580929*^9, 3.761987376427183*^9, 3.762073442359459*^9, 
   3.762159853130023*^9, 3.762201382989924*^9, {3.764186697857148*^9, 
   3.764186718476492*^9}, 3.764534272706253*^9, 3.765999695324647*^9}]
}, Open  ]],

Cell["Construct Part One", "Text",
 CellChangeTimes->{{3.454613400687683*^9, 3.454613407029212*^9}},
 FontSize->18,
 FontWeight->"Bold",
 Background->RGBColor[1, 1, 0]],

Cell["\<\
We begin by constructing the first of the two terms in the display at the top \
of this notebook.

The following cell may take 30 seconds to execute.\
\>", "Text",
 CellChangeTimes->{{3.514628150284149*^9, 3.514628155013142*^9}, {
  3.569611777567367*^9, 3.5696117789353857`*^9}, {3.7619874110075483`*^9, 
  3.761987450344529*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "CC", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "1"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "2"}], ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "3"}], ",", 
     RowBox[{"L", "[", "EE", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneAA", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453665573806778*^9, 3.453665600800062*^9}, {
   3.453665641718052*^9, 3.453665683120058*^9}, {3.4536659129816*^9, 
   3.4536659393941793`*^9}, {3.4536659984183064`*^9, 3.453666071046481*^9}, {
   3.453666293693532*^9, 3.453666307941812*^9}, {3.4539420282312737`*^9, 
   3.453942056562887*^9}, 3.454084789271532*^9, {3.454178252095167*^9, 
   3.454178252567504*^9}, {3.4541782829384403`*^9, 3.454178283804365*^9}, {
   3.454178419997046*^9, 3.454178432025791*^9}, {3.454265229584476*^9, 
   3.4542652795228148`*^9}, {3.454289255978784*^9, 3.454289314957164*^9}, {
   3.454289351496763*^9, 3.454289387420525*^9}, {3.4542894429433317`*^9, 
   3.454289472204632*^9}, {3.454289845094818*^9, 3.454289849202435*^9}, {
   3.45436730172054*^9, 3.454367352582162*^9}, {3.454367388291731*^9, 
   3.4543674361780577`*^9}, {3.45436834894886*^9, 3.454368367472184*^9}, {
   3.454370362701613*^9, 3.454370363552854*^9}, {3.761987455929078*^9, 
   3.7619874735446043`*^9}}],

Cell["\<\
Time:  18 hours, 1 minute, 47 seconds
Date:  4 May 2019
Time:  18 hours, 2 minutes, 14 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.454368376175111*^9, 3.4543703664103727`*^9, 
  3.454428708772335*^9, 3.4544449249747133`*^9, 3.4544538256623077`*^9, 
  3.454454782024103*^9, 3.514628163168711*^9, 3.569439109311451*^9, 
  3.5696117814761467`*^9, 3.5696143431431713`*^9, 3.569698957051367*^9, 
  3.761914507803912*^9, 3.7619147276666813`*^9, 3.7619150824108143`*^9, 
  3.761987480382081*^9, 3.762073457254415*^9, 3.7621599060510187`*^9, 
  3.762201387203065*^9, 3.764534294255307*^9, 3.765999707033794*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneAA", "]"}]], "Input",
 CellChangeTimes->{{3.454368495909865*^9, 3.4543685021135674`*^9}, {
  3.4543704551252327`*^9, 3.4543704561892776`*^9}}],

Cell[OutputFormData["\<\
14727\
\>", "\<\
14727\
\>"], "Output",
 CellChangeTimes->{3.4543685031747923`*^9, 3.454370461275756*^9, 
  3.454429094559823*^9, 3.454445016436604*^9, 3.454454036901305*^9, 
  3.4544548903057003`*^9, 3.514628390516617*^9, 3.56943914373851*^9, 
  3.569611852230362*^9, 3.569614374401025*^9, 3.5696989892153997`*^9, 
  3.7619147633003883`*^9, 3.761915112698619*^9, 3.7619875114929934`*^9, 
  3.7620734889585876`*^9, 3.762159934215445*^9, 3.7622015276849823`*^9, 
  3.764534330953929*^9}]
}, Open  ]],

Cell[TextData[{
 "The ",
 StyleBox["Length", "Input"],
 " command gives the number of terms in an expression.  Note that ",
 StyleBox["PartOneAA", "Input"],
 " is a very large expression.  Because of this, we need to take steps to \
reduce the amount of time that it will take for ",
 StyleBox["Ricci",
  FontSlant->"Italic"],
 " to do its work.  To do this, we first recall the formula for ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 " given in Section 3.4 of our article.  This formula reads as follows:\n\n   \
",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "b"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Z", 
    StyleBox["Ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 " - ",
 StyleBox["H",
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["X", "A"], TraditionalForm]]],
 ".\n   \nIt follows from this that ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 " = 0.  We will reduce Ricci\[CloseCurlyQuote]s computation time by \
exploiting this fact.  We will apply the Robin operator \[Delta] to ",
 StyleBox["PartOneAA", "Input"],
 ".  But \[Delta] is a first-order operator.  Suppose some given term of ",
 StyleBox["PartOneAA", "Input"],
 " contains at least two of the following tractors:  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 ".  After we apply \[Delta] to this term, all of the resulting terms will \
contain at least one of the tractors ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 " in undifferentiated form.  If we later attach ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "E"], TraditionalForm]]],
 " to this term, the resulting term will be zero.  So before we apply \
\[Delta] to ",
 StyleBox["PartOneAA", "Input"],
 ", we will delete any terms which contain at least two of the tractors ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 ".  We do this below."
}], "Text",
 CellChangeTimes->{{3.76198752633182*^9, 3.761987584369377*^9}, {
  3.76198767721104*^9, 3.7619882636385593`*^9}, {3.761988397904935*^9, 
  3.761988445281527*^9}, {3.7619884941394377`*^9, 3.761988551373345*^9}, {
  3.761988584301166*^9, 3.761988589788857*^9}, {3.7619886279734373`*^9, 
  3.761988706326619*^9}, {3.761988785862512*^9, 3.76198885600233*^9}, {
  3.761988964314506*^9, 3.7619889812598457`*^9}, {3.762073526314042*^9, 
  3.762073561787792*^9}, {3.7620736022028522`*^9, 3.762073605116296*^9}, {
  3.762160085104*^9, 3.762160101318286*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillDoubleXX", ",", 
   RowBox[{
    RowBox[{"X", "[", 
     RowBox[{"L", "[", "OO", "]"}], "]"}], 
    RowBox[{"X", "[", 
     RowBox[{"L", "[", "PP", "]"}], "]"}]}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454368862149623*^9, 3.454368889170875*^9}, {
  3.4543689505980186`*^9, 3.4543689571780663`*^9}, {3.7619881724626503`*^9, 
  3.7619881801076603`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.762160015546782*^9, 3.76220153387411*^9, 
  3.764534334804367*^9, 3.7659997653257637`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "OO", "]"}], "]"}], 
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "PP", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], 
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "BB", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], 
      RowBox[{
       RowBox[{"X", "[", 
        RowBox[{"L", "[", "BB", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"X", "[", 
        RowBox[{"L", "[", "AA", "]"}], "]"}], "[", 
       RowBox[{"L", "[", "i", "]"}], "]"}], 
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "BB", "]"}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.454368456102598*^9, 3.454368484520075*^9}, {
  3.4543685939945374`*^9, 3.454368636994966*^9}}],

Cell[OutputFormData["\<\
{X[L[OO]]*X[L[PP]], X[L[AA]]*X[L[BB]], X[L[AA]]*X[L[BB]] [L[i]], X[L[AA]] \
[L[i]]*X[L[BB]]}\
\>", "\<\
{X    X   , X    X   , X    X      , X       X   }
  OO   PP    AA   BB    AA   BB ;i    AA ;i   BB\
\>"], "Output",
 CellChangeTimes->{{3.454368638580201*^9, 3.4543686523980083`*^9}, 
   3.454368697880744*^9, 3.454368900690402*^9, {3.454368940325006*^9, 
   3.454368987802259*^9}, 3.4543690474806643`*^9, 3.454370465664425*^9, 
   3.4544291583088007`*^9, 3.454445023542554*^9, 3.454453020283091*^9, 
   3.454454041146626*^9, 3.454454900326991*^9, 3.514628397736481*^9, 
   3.569439236805608*^9, 3.5696118687179947`*^9, 3.569614376360334*^9, 
   3.569698995448328*^9, 3.761915115350823*^9, 3.761988985972096*^9, 
   3.7620736995127974`*^9, 3.7621600174789886`*^9, 3.7622015380184517`*^9, 
   3.7645343360882063`*^9, 3.765999767221939*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillDoubleXX"}]], "Input",
 CellChangeTimes->{{3.4543686447871313`*^9, 3.454368676541709*^9}}],

Cell[OutputFormData["\<\
{0, 0, X[L[AA]]*X[L[BB]] [L[i]], X[L[AA]] [L[i]]*X[L[BB]]}\
\>", "\<\
{0, 0, X    X      , X       X   }
        AA   BB ;i    AA ;i   BB\
\>"], "Output",
 CellChangeTimes->{{3.454368667075934*^9, 3.4543687016840076`*^9}, 
   3.454368902317747*^9, {3.454368961324479*^9, 3.454368988698091*^9}, 
   3.45436904885646*^9, 3.454370468379705*^9, 3.454429164938632*^9, 
   3.45444502607681*^9, 3.454453021910809*^9, 3.4544540436298027`*^9, 
   3.454454906258305*^9, 3.514628424705924*^9, 3.569439237769466*^9, 
   3.5696119041496964`*^9, 3.569614377216536*^9, 3.569698996303225*^9, 
   3.761915116146551*^9, 3.761988988801643*^9, 3.76207371997786*^9, 
   3.7621600188442087`*^9, 3.762201541762274*^9, 3.764534337025803*^9, 
   3.765999768463451*^9}]
}, Open  ]],

Cell[TextData[{
 "We need to make sure that in ",
 StyleBox["PartOneAA", "Input"],
 ", we have expanded all derivatives of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", 
    StyleBox["Ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.76198902241156*^9, 3.761989113291931*^9}, {
  3.762074289074194*^9, 3.762074329482437*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Y", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "j", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"Z", "[", 
       RowBox[{
        RowBox[{"L", "[", "AA", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "[", 
      RowBox[{"L", "[", "j", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "j", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.761989116122649*^9, 3.7619891741011*^9}, {
  3.762074334115876*^9, 3.7620743533544397`*^9}}],

Cell[OutputFormData["\<\
{Y[L[AA]] [L[j]], Z[L[AA], L[b]] [L[j]], X[L[AA]] [L[j]]}\
\>", "\<\
{Y      , Z        , X      }
  AA ;j    AA b ;j    AA ;j\
\>"], "Output",
 CellChangeTimes->{3.761989140433861*^9, 3.761989174927683*^9, 
  3.7620737274387608`*^9, 3.7620743542271557`*^9, 3.762160032383903*^9, 
  3.762201543765373*^9, 3.764534339431082*^9, 3.765999795068915*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Holder", "/.", "GradXYZ"}], "//", "TensorSimplify"}]], "Input",
 CellChangeTimes->{{3.761989142231421*^9, 3.7619891458123703`*^9}, {
  3.761989182237706*^9, 3.761989187100073*^9}}],

Cell[OutputFormData["\<\
{P[L[a], L[j]]*Z[L[AA], U[a]], -(P[L[b], L[j]]*X[L[AA]]) - g[L[b], \
L[j]]*Y[L[AA]], Z[L[AA], L[j]]}\
\>", "\<\
           a 
{P     Z     , -P     X    - g     Y   , Z     }
  a j   AA       b j   AA     b j   AA    AA j\
\>"], "Output",
 CellChangeTimes->{
  3.761989146692059*^9, {3.7619891786163273`*^9, 3.7619891881312857`*^9}, 
   3.762073737770299*^9, 3.762074366089752*^9, 3.762160035562724*^9, 
   3.762201544503684*^9, 3.764534340127049*^9, 3.7659997962069883`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "PartOneAA"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Temp", "-", 
  RowBox[{"(", 
   RowBox[{"Temp", "/.", "GradXYZ"}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.569439300265582*^9, 3.5694393089858522`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.5694393119050426`*^9, 3.5696119133260927`*^9, 
  3.569614379573832*^9, 3.5696990053462276`*^9, 3.761915117778269*^9, 
  3.761989205926345*^9, 3.762073756754846*^9, 3.762074386310092*^9, 
  3.762160054816098*^9, 3.762201546886436*^9, 3.764534341460243*^9, 
  3.765999798038434*^9}]
}, Open  ]],

Cell["\<\
The output from the above command should be zero.  The following cell may \
take 15 seconds to execute.\
\>", "Text",
 CellChangeTimes->{{3.761989207383368*^9, 3.761989220374716*^9}, {
  3.762073815828459*^9, 3.7620738251877003`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneAA"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillDoubleXX"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneBB", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454369069935478*^9, 3.454369189577084*^9}, {
  3.454369337518446*^9, 3.4543693414083242`*^9}, {3.454370479128937*^9, 
  3.454370493439056*^9}, {3.454370882301319*^9, 3.454370897966221*^9}}],

Cell["\<\
Time:  18 hours, 3 minutes, 21 seconds
Date:  4 May 2019
Time:  18 hours, 3 minutes, 36 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.454370905102707*^9, 3.454429240124058*^9, 
  3.454445029227648*^9, 3.454454047209221*^9, 3.454454935998454*^9, 
  3.514628427101995*^9, 3.569439323844431*^9, 3.5696119333892813`*^9, 
  3.569614381822619*^9, 3.569699011331728*^9, 3.761915119510202*^9, 
  3.7619892299966173`*^9, 3.762073770092883*^9, 3.762160067101509*^9, 
  3.762201553189768*^9, 3.764534342100595*^9, 3.7659998012580338`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneBB", "]"}]], "Input",
 CellChangeTimes->{{3.4543709151910458`*^9, 3.454370922079371*^9}}],

Cell[OutputFormData["\<\
1415\
\>", "\<\
1415\
\>"], "Output",
 CellChangeTimes->{3.454370958108531*^9, 3.454429294850164*^9, 
  3.454445082104094*^9, 3.454454100135741*^9, 3.454454987538357*^9, 
  3.514628612776318*^9, 3.569439382171893*^9, 3.569611957248128*^9, 
  3.5696144004094143`*^9, 3.569699033530773*^9, 3.7619151398433647`*^9, 
  3.76198924570394*^9, 3.762073791371731*^9, 3.7621601326721497`*^9, 
  3.762201567824031*^9, 3.764534357296925*^9, 3.7659998186670113`*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that ",
 StyleBox["PartOneBB", "Input"],
 " is much smaller than ",
 StyleBox["PartOneAA", "Input"],
 ".  The following cell may take 15 seconds to execute."
}], "Text",
 CellChangeTimes->{{3.761989249137836*^9, 3.761989266143732*^9}, {
  3.762073844444461*^9, 3.762073858988641*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneBB"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneCC", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.454370930434197*^9, 3.454370949884663*^9}, {
  3.454370998350994*^9, 3.454371011123591*^9}, {3.454371072926545*^9, 
  3.454371079966813*^9}, {3.4543719469120283`*^9, 3.4543719551523848`*^9}}],

Cell["\<\
Time:  18 hours, 3 minutes, 43 seconds
Date:  4 May 2019
Time:  18 hours, 3 minutes, 57 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.454371081807452*^9, 3.454371956225243*^9, 
  3.4544292974107656`*^9, 3.4544450855463533`*^9, 3.4544541022797327`*^9, 
  3.454454999109149*^9, 3.514628614878773*^9, 3.569439388386323*^9, 
  3.569611966273493*^9, 3.569614401124074*^9, 3.569699034998575*^9, 
  3.761914818944067*^9, 3.7619151414246273`*^9, 3.761989289070183*^9, 
  3.7620737948185167`*^9, 3.7621601513683567`*^9, 3.762201569169117*^9, 
  3.764534359531042*^9, 3.765999822577917*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneCC", "]"}]], "Input"],

Cell[OutputFormData["\<\
1105\
\>", "\<\
1105\
\>"], "Output",
 CellChangeTimes->{3.514628759082354*^9, 3.569439438591861*^9, 
  3.5696119930931168`*^9, 3.569614422179397*^9, 3.569699053212639*^9, 
  3.761915159637424*^9, 3.761989312140427*^9, 3.762073871113001*^9, 
  3.762160168163275*^9, 3.762201584603962*^9, 3.764534388747974*^9, 
  3.7659998395710793`*^9}]
}, Open  ]],

Cell["The following cell may take three minutes to execute.", "Text",
 CellChangeTimes->{{3.56943981701893*^9, 3.569439832963017*^9}, {
  3.761915304908463*^9, 3.761915307044273*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneCC"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "4"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneDD", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.5694394802204037`*^9, 3.5694394857378597`*^9}}],

Cell["\<\
Time:  18 hours, 4 minutes, 2 seconds
Date:  4 May 2019
Time:  18 hours, 7 minutes, 23 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.569439486838628*^9, 3.5696120128607197`*^9, 
  3.569614426323037*^9, 3.5696990548808937`*^9, 3.761915162686215*^9, 
  3.762073878383889*^9, 3.762160171434537*^9, 3.7622015861997347`*^9, 
  3.76453439100272*^9, 3.765999841840994*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneDD", "]"}]], "Input"],

Cell[OutputFormData["\<\
10275\
\>", "\<\
10275\
\>"], "Output",
 CellChangeTimes->{3.514629686482122*^9, 3.5694398476011267`*^9, 
  3.56961221589952*^9, 3.569614630574808*^9, 3.569699279846375*^9, 
  3.7619153880785923`*^9, 3.762160375914877*^9, 3.762201874475182*^9, 
  3.764534600391243*^9, 3.766000044361401*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that ",
 StyleBox["PartOneDD", "Input"],
 " is a very large expression.  Some terms of ",
 StyleBox["PartOneDD", "Input"],
 " may contain an undifferentiated copy of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 ".  After we attach ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "E"], TraditionalForm]]],
 " to such terms, the result will be zero.  So to speed up Ricci\
\[CloseCurlyQuote]s work, we will delete any terms which contain an \
undifferentiated copy of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.762073904755006*^9, 3.7620740758550243`*^9}, {
  3.762074125432453*^9, 3.762074187523097*^9}, {3.762074398595002*^9, 
  3.762074454764217*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillSingleX", ",", 
   RowBox[{"X", "[", 
    RowBox[{"L", "[", "AA", "]"}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.569440238829342*^9, 3.5694402491804647`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.569440250431306*^9, 3.569612231014989*^9, 
  3.569614634436796*^9, 3.569699289960073*^9, 3.761915392540291*^9, 
  3.762074514830007*^9, 3.762160382636002*^9, 3.762201898053746*^9, 
  3.764534603706353*^9, 3.766000047722279*^9}]
}, Open  ]],

Cell[TextData[{
 "We need to make sure that in ",
 StyleBox["PartOneDD", "Input"],
 ", no derivatives are hitting ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.7620745554037113`*^9, 3.762074597206464*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillXDer", ",", 
   RowBox[{
    RowBox[{"X", "[", 
     RowBox[{"L", "[", "AA", "]"}], "]"}], "[", 
    RowBox[{"L", "[", "i", "]"}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.569439976570619*^9, 3.5694399906080017`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.5694399917375603`*^9, 3.569440256025079*^9, 
  3.569612232410974*^9, 3.569614635339869*^9, 3.5696992914184427`*^9, 
  3.761915393361951*^9, 3.7620745165878897`*^9, 3.7621603863735657`*^9, 
  3.762201902365842*^9, 3.764534606855618*^9, 3.766000049150977*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X", "[", 
      RowBox[{"L", "[", "AA", "]"}], "]"}], ",", 
     RowBox[{"X", "[", 
      RowBox[{"L", "[", "BB", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"L", "[", "BB", "]"}], "]"}], "[", 
      RowBox[{"L", "[", "j", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.569440015054103*^9, 3.569440039052907*^9}}],

Cell[OutputFormData["\<\
{X[L[AA]], X[L[BB]], X[L[AA]] [L[i]], X[L[BB]] [L[j]]}\
\>", "\<\
{X   , X   , X      , X      }
  AA    BB    AA ;i    BB ;j\
\>"], "Output",
 CellChangeTimes->{3.569440040127572*^9, 3.569440257354246*^9, 
  3.5696122342834473`*^9, 3.569614636286747*^9, 3.569699293085094*^9, 
  3.761915394053982*^9, 3.762074519218205*^9, 3.762160388427476*^9, 
  3.762201909119825*^9, 3.764534607509481*^9, 3.766000050317713*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillXDer"}]], "Input",
 CellChangeTimes->{{3.569440043483674*^9, 3.5694400465547247`*^9}}],

Cell[OutputFormData["\<\
{X[L[AA]], X[L[BB]], 0, 0}\
\>", "\<\
{X   , X   , 0, 0}
  AA    BB\
\>"], "Output",
 CellChangeTimes->{3.569440047830852*^9, 3.569440260218389*^9, 
  3.569612236387127*^9, 3.569614637357822*^9, 3.569699297436791*^9, 
  3.7619153946560707`*^9, 3.762074523467534*^9, 3.762160391021162*^9, 
  3.76220191079424*^9, 3.7645346081073637`*^9, 3.7660000513808203`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillSingleX"}]], "Input",
 CellChangeTimes->{{3.569440262971909*^9, 3.569440266440811*^9}}],

Cell[OutputFormData["\<\
{0, 0, 0, 0}\
\>", "\<\
{0, 0, 0, 0}\
\>"], "Output",
 CellChangeTimes->{3.5694402683175077`*^9, 3.569612238003047*^9, 
  3.56961463836666*^9, 3.569699298965523*^9, 3.761915395223316*^9, 
  3.762074524686287*^9, 3.7621603957139883`*^9, 3.762201912169318*^9, 
  3.764534608720944*^9, 3.766000052510171*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", "PartOneDD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Holder", "-", 
  RowBox[{"(", 
   RowBox[{"Holder", "/.", "KillXDer"}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.569440051387985*^9, 3.5694400673552322`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.569440070661552*^9, 3.56944027739005*^9, 
  3.56961224666599*^9, 3.5696146409476223`*^9, 3.569699302778639*^9, 
  3.7619153965409737`*^9, 3.762074528539617*^9, 3.762074672695116*^9, 
  3.7621604053278112`*^9, 3.762201916878949*^9, 3.7645346099509983`*^9, 
  3.7660000549643908`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", "PartOneDD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Holder", "-", 
  RowBox[{"(", 
   RowBox[{"Holder", "/.", "GradXYZ"}], ")"}]}]}], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.514629699509381*^9, 3.569439861611981*^9, 
  3.569440074785948*^9, 3.569440279623495*^9, 3.569612251221115*^9, 
  3.569614642671425*^9, 3.569699304483482*^9, 3.761915399835647*^9, 
  3.762074531884594*^9, 3.76207467389554*^9, 3.762160407619418*^9, 
  3.762201918644288*^9, 3.764534611476722*^9, 3.766000059034432*^9}]
}, Open  ]],

Cell["The following cell may take 15 seconds to execute.", "Text",
 CellChangeTimes->{{3.569440336365696*^9, 3.5694403366936274`*^9}, {
  3.762074720336895*^9, 3.7620747215284357`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneDD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillSingleX"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneEE", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.569440286890026*^9, 3.569440295119636*^9}}],

Cell["\<\
Time:  18 hours, 7 minutes, 42 seconds
Date:  4 May 2019
Time:  18 hours, 7 minutes, 57 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.514629709335269*^9, 3.569440308745887*^9, 
  3.569441165654438*^9, 3.569612266047943*^9, 3.5696146427637987`*^9, 
  3.569699314380801*^9, 3.7619154022817993`*^9, 3.7620746984865103`*^9, 
  3.762160409482134*^9, 3.762201924329537*^9, 3.764534612948591*^9, 
  3.766000062333123*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneEE", "]"}]], "Input"],

Cell[OutputFormData["\<\
1857\
\>", "\<\
1857\
\>"], "Output",
 CellChangeTimes->{3.514629780177484*^9, 3.5694403945404453`*^9, 
  3.569441186358591*^9, 3.569612285226926*^9, 3.569614665574251*^9, 
  3.569699335197612*^9, 3.7619154187405376`*^9, 3.762160429654086*^9, 
  3.762201945677431*^9, 3.764534631348138*^9, 3.766000079305748*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that ",
 StyleBox["PartOneEE", "Input"],
 " is much smaller than ",
 StyleBox["PartOneDD", "Input"],
 ".  The following cell may take 85 seconds to execute."
}], "Text",
 CellChangeTimes->{{3.762074729328414*^9, 3.762074740120742*^9}, {
  3.7620749327965727`*^9, 3.7620749343079967`*^9}, {3.762075052830038*^9, 
  3.7620750534056873`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneEE"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "EE", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "CC", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "BB", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneFF", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.569440734249391*^9, 3.569440752384942*^9}, 
   3.569440821286879*^9, {3.569440925543418*^9, 3.5694409259827757`*^9}, {
   3.76207476462607*^9, 3.762074791810143*^9}}],

Cell["\<\
Time:  18 hours, 8 minutes, 2 seconds
Date:  4 May 2019
Time:  18 hours, 9 minutes, 26 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.56944082885439*^9, 3.5694409279434443`*^9, 
  3.569441190111813*^9, 3.56961229046249*^9, 3.5696146678612747`*^9, 
  3.569699336953952*^9, 3.761915420929385*^9, 3.7620748203779783`*^9, 
  3.76207493784533*^9, 3.7621604339723883`*^9, 3.762201947586191*^9, 
  3.764534633818959*^9, 3.766000082128039*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneFF", "]"}]], "Input",
 CellChangeTimes->{{3.454371635941637*^9, 3.454371642885556*^9}, {
  3.454380197474559*^9, 3.454380199282642*^9}, {3.569440979394093*^9, 
  3.5694409816096907`*^9}}],

Cell[OutputFormData["\<\
148\
\>", "\<\
148\
\>"], "Output",
 CellChangeTimes->{3.454380773728127*^9, 3.4543808623043413`*^9, 
  3.4544345492500753`*^9, 3.454455700087537*^9, 3.514634333679689*^9, 
  3.5694405673607683`*^9, 3.569441365368697*^9, 3.569612418719371*^9, 
  3.569614765125758*^9, 3.569699437039728*^9, 3.76191550742515*^9, 
  3.762075067092342*^9, 3.762160520385447*^9, 3.762202088239485*^9, 
  3.764534726977641*^9, 3.7660001814665737`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartOneFF"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartOneGG", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.454437044777624*^9, 3.454437095095595*^9}, {
  3.4544416315917892`*^9, 3.454441639308098*^9}, {3.4544423823589907`*^9, 
  3.45444241738465*^9}, {3.454443329698337*^9, 3.454443337435573*^9}, {
  3.569441000870194*^9, 3.5694410089675207`*^9}}],

Cell["\<\
Time:  18 hours, 9 minutes, 43 seconds
Date:  4 May 2019
Time:  18 hours, 9 minutes, 46 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.454441553040097*^9, 3.4544416406381598`*^9, 
  3.4544432779577513`*^9, 3.4544433390494623`*^9, 3.454458462783589*^9, 
  3.514634369876512*^9, 3.569441036907754*^9, 3.569441373918354*^9, 
  3.569612427790553*^9, 3.569614772148519*^9, 3.569699444396397*^9, 
  3.761915510298448*^9, 3.7620750718484297`*^9, 3.7621605215575666`*^9, 
  3.762202090006768*^9, 3.764534729231701*^9, 3.766000183073059*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartOneGG", "]"}]], "Input",
 CellChangeTimes->{{3.4544424721706133`*^9, 3.4544424766912518`*^9}, {
  3.5694410120892267`*^9, 3.569441012880974*^9}}],

Cell[OutputFormData["\<\
114\
\>", "\<\
114\
\>"], "Output",
 CellChangeTimes->{3.4544432949156103`*^9, 3.454443418059791*^9, 
  3.454458504350855*^9, 3.514634434876695*^9, 3.5694410481173*^9, 
  3.569441385069643*^9, 3.5696124504739103`*^9, 3.569614778248981*^9, 
  3.5696994523837147`*^9, 3.761915517070614*^9, 3.7620751003056927`*^9, 
  3.76216052912924*^9, 3.7622021071530046`*^9, 3.764534733009802*^9, 
  3.76600018783955*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"PartOneFinal", "=", "PartOneGG"}], ";"}]], "Input",
 CellChangeTimes->{{3.4544424834636297`*^9, 3.45444249648695*^9}, {
  3.5694410156896877`*^9, 3.569441016433352*^9}, {3.569441088947206*^9, 
  3.569441089091009*^9}, {3.7620769890631437`*^9, 3.762076989198594*^9}}],

Cell["Construct Part Two", "Text",
 CellChangeTimes->{{3.4546135922659807`*^9, 3.454613595670143*^9}, 
   3.454645976501396*^9},
 FontSize->18,
 FontWeight->"Bold",
 Background->RGBColor[1, 1, 0]],

Cell["\<\
We now construct the second of the two terms in the display at the top of \
this notebook.\
\>", "Text",
 CellChangeTimes->{{3.7620751787516537`*^9, 3.762075213696567*^9}, {
  3.762075946377693*^9, 3.762075948625852*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "GG", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "1"}], ",", 
     RowBox[{"L", "[", "FF", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"MayWABCD", "[", 
      RowBox[{
       RowBox[{"L", "[", "BB", "]"}], ",", 
       RowBox[{"U", "[", "FF", "]"}], ",", 
       RowBox[{"L", "[", "CC", "]"}], ",", 
       RowBox[{"U", "[", "GG", "]"}]}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandMayWABCD"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"n", "-", "4"}], ")"}]}], ")"}], 
     RowBox[{"X", "[", 
      RowBox[{"L", "[", "AA", "]"}], "]"}], "Temp"}], "  ", ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoAA", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.454289557428659*^9, 3.454289610239122*^9}, {
   3.454289704692649*^9, 3.4542897393050413`*^9}, {3.454289840173999*^9, 
   3.454289877475765*^9}, {3.45428990895325*^9, 3.45428992482196*^9}, {
   3.4542899809485197`*^9, 3.454290022396098*^9}, {3.454290466235705*^9, 
   3.454290487120534*^9}, 3.4542907764662857`*^9, {3.4542909283174334`*^9, 
   3.4542909839620647`*^9}, {3.45429180709898*^9, 3.454291816667337*^9}, {
   3.454614008569816*^9, 3.454614050843794*^9}, {3.454614086441347*^9, 
   3.454614141047964*^9}, {3.45461423478454*^9, 3.454614238232584*^9}, {
   3.569612661846569*^9, 3.5696126666066*^9}, {3.569612730183895*^9, 
   3.569612737678144*^9}, {3.762075237225401*^9, 3.762075299865766*^9}, {
   3.762075857193194*^9, 3.762075926825849*^9}}],

Cell["\<\
Time:  18 hours, 10 minutes, 15 seconds
Date:  4 May 2019
Time:  18 hours, 10 minutes, 17 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.45461424253442*^9, 3.4546252901521397`*^9, 
  3.514634511541904*^9, 3.569441589939457*^9, 3.569612507481996*^9, 
  3.56961266775054*^9, 3.569612741102293*^9, 3.5696127745892*^9, 
  3.569614818389345*^9, 3.5696995150752907`*^9, 3.761915532802381*^9, 
  3.762075933502993*^9, 3.762075963690619*^9, 3.7621605482155113`*^9, 
  3.76220212741319*^9, 3.7645347391198797`*^9, 3.766000215071418*^9}]
}, Open  ]],

Cell["The following cell may take 20 seconds to execute.", "Text",
 CellChangeTimes->{{3.569699852525158*^9, 3.569699855013012*^9}, {
  3.762076042794395*^9, 3.762076043249893*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoAA"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "3"}], ",", 
     RowBox[{"L", "[", "EE", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoBB", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.454614257823038*^9, 3.454614282062635*^9}, {
  3.454614363726501*^9, 3.4546143723148737`*^9}, {3.454614446103463*^9, 
  3.454614453970743*^9}, {3.4546254896432333`*^9, 3.454625500971714*^9}, {
  3.762076023819293*^9, 3.762076032443144*^9}}],

Cell["\<\
Time:  18 hours, 10 minutes, 23 seconds
Date:  4 May 2019
Time:  18 hours, 10 minutes, 44 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.4546255213976793`*^9, 3.514634674478432*^9, 
  3.569441692832522*^9, 3.569612942992206*^9, 3.5696149102714863`*^9, 
  3.569699810710531*^9, 3.761915546832674*^9, 3.762076038995008*^9, 
  3.7621605563407507`*^9, 3.7622021693026342`*^9, 3.764534742439664*^9, 
  3.766000222700157*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoBB", "]"}]], "Input",
 CellChangeTimes->{{3.4546144580993137`*^9, 3.45461447048351*^9}}],

Cell[OutputFormData["\<\
1072\
\>", "\<\
1072\
\>"], "Output",
 CellChangeTimes->{3.454614521228368*^9, 3.454625576734046*^9, 
  3.514634778589643*^9, 3.5694417701037827`*^9, 3.569613029757845*^9, 
  3.56961509553423*^9, 3.569699891548676*^9, 3.76191557058774*^9, 
  3.76207607163767*^9, 3.762160662971835*^9, 3.7622022141643744`*^9, 
  3.76453476727201*^9, 3.766000246097456*^9}]
}, Open  ]],

Cell["We again take steps to reduce the computation time.", "Text",
 CellChangeTimes->{{3.762076135931263*^9, 3.762076154532777*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PartTwoBB", "-", 
  RowBox[{"(", 
   RowBox[{"PartTwoBB", "/.", "KillXDer"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.4546148407210083`*^9, 3.4546148506601067`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.454614852549161*^9, 3.454625613691595*^9, 
  3.514634781883067*^9, 3.569441771678296*^9, 3.569613034133135*^9, 
  3.569615097529572*^9, 3.5696998929423647`*^9, 3.761915571521976*^9, 
  3.7620761201576633`*^9, 3.7621606655157137`*^9, 3.762202218360978*^9, 
  3.764534769057432*^9, 3.766000249060174*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PartTwoBB", "-", 
  RowBox[{"(", 
   RowBox[{"PartTwoBB", "/.", "GradXYZ"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.454614863438286*^9, 3.454614872502494*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.4546148745829678`*^9, 3.4546256163674088`*^9, 
  3.514634784785638*^9, 3.5694417729110603`*^9, 3.569613035500534*^9, 
  3.569615098959415*^9, 3.569699894725915*^9, 3.761915572929748*^9, 
  3.762076121039369*^9, 3.762160667990718*^9, 3.7622022204484863`*^9, 
  3.764534770056119*^9, 3.766000250295127*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoBB"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillDoubleXX"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoCC", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546148909074717`*^9, 3.454614922920889*^9}, {
  3.454614970595149*^9, 3.454614982318018*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoCC", "]"}]], "Input",
 CellChangeTimes->{{3.454614925228994*^9, 3.454614934633439*^9}}],

Cell[OutputFormData["\<\
157\
\>", "\<\
157\
\>"], "Output",
 CellChangeTimes->{3.454614935702112*^9, 3.4546149889710493`*^9, 
  3.45462566410925*^9, 3.514634800682399*^9, 3.569441810327313*^9, 
  3.569613049988605*^9, 3.569615110278282*^9, 3.56969995353168*^9, 
  3.7619155752559433`*^9, 3.76207612440267*^9, 3.762160673183066*^9, 
  3.762202227107882*^9, 3.764534772783634*^9, 3.7660002540556993`*^9}]
}, Open  ]],

Cell["The following cell may take two minutes to execute.", "Text",
 CellChangeTimes->{{3.514635355000195*^9, 3.51463535930443*^9}, {
  3.569613061541025*^9, 3.56961306382071*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoCC"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "4"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoDD", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.454289557428659*^9, 3.454289610239122*^9}, {
   3.454289704692649*^9, 3.4542897393050413`*^9}, {3.454289840173999*^9, 
   3.454289877475765*^9}, {3.45428990895325*^9, 3.45428992482196*^9}, {
   3.4542899809485197`*^9, 3.454290022396098*^9}, {3.454290466235705*^9, 
   3.454290487120534*^9}, 3.4542907764662857`*^9, {3.4542909283174334`*^9, 
   3.4542909839620647`*^9}, {3.45429180709898*^9, 3.454291816667337*^9}, {
   3.454614008569816*^9, 3.454614035965766*^9}, {3.4546151234743643`*^9, 
   3.454615136006988*^9}, {3.454615197101789*^9, 3.454615197473955*^9}, {
   3.454615263165393*^9, 3.4546152933681927`*^9}, {3.454615537021899*^9, 
   3.4546155445542517`*^9}, {3.5694418344760847`*^9, 3.5694418401764936`*^9}}],

Cell["\<\
Time:  18 hours, 10 minutes, 56 seconds
Date:  4 May 2019
Time:  18 hours, 12 minutes, 45 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{3.454290174816732*^9, 3.454290488905298*^9, 
  3.454290986032895*^9, 3.4542918822111683`*^9, 3.454346582342836*^9, 
  3.454359908378078*^9, 3.454615505805656*^9, 3.454615549605501*^9, 
  3.4546256925276546`*^9, 3.514634827569574*^9, 3.569441841853888*^9, 
  3.569613057413858*^9, 3.569615112303028*^9, 3.569699958496854*^9, 
  3.761915576694007*^9, 3.762076126357853*^9, 3.762160674529336*^9, 
  3.7622022306189547`*^9, 3.7645347756788387`*^9, 3.766000255957382*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoDD", "]"}]], "Input",
 CellChangeTimes->{{3.454290493145759*^9, 3.454290497633136*^9}, {
  3.454615303839423*^9, 3.454615304167163*^9}}],

Cell[OutputFormData["\<\
1557\
\>", "\<\
1557\
\>"], "Output",
 CellChangeTimes->{3.4542911001358423`*^9, 3.454291932247095*^9, 
  3.454346842794427*^9, 3.454359959092266*^9, 3.4546155131394873`*^9, 
  3.454615905497636*^9, 3.454626013589047*^9, 3.514635367181853*^9, 
  3.569442011985202*^9, 3.569613163340485*^9, 3.569615217629672*^9, 
  3.569700061570541*^9, 3.761915733834577*^9, 3.762076243170685*^9, 
  3.762161267965721*^9, 3.762202401809452*^9, 3.764534958661235*^9, 
  3.766000724582205*^9}]
}, Open  ]],

Cell[TextData[{
 "As before, we will attach ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "C"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "E"], TraditionalForm]]],
 ".  So we may delete any terms that contain an undifferentiated copy of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 ".  But we need to make sure that in ",
 StyleBox["PartTwoDD", "Input"],
 ", no derivatives are hitting ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "A"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "B"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "C"], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["X", "E"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.454615639337461*^9, 3.454615688363801*^9}, 
   3.454625849651862*^9, {3.762076371246846*^9, 3.762076477680077*^9}, {
   3.762076531313283*^9, 3.762076569771007*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PartTwoDD", "-", 
  RowBox[{"(", 
   RowBox[{"PartTwoDD", "/.", "KillXDer"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.76207627459207*^9, 3.762076287237916*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.762076289040038*^9, 3.762076592821857*^9, 
  3.762161296254232*^9, 3.762202422668326*^9, 3.76453496056971*^9, 
  3.7660007267951317`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PartTwoDD", "-", 
  RowBox[{"(", 
   RowBox[{"PartTwoDD", "/.", "GradXYZ"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.7620765104693336`*^9, 3.762076521768309*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.762076523300311*^9, 3.7620765942488527`*^9, 
  3.762161297421978*^9, 3.762202424079549*^9, 3.764534961221394*^9, 
  3.766000727730855*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoDD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KillSingleX"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoEE", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454615350929587*^9, 3.454615373738207*^9}, {
  3.569442047547464*^9, 3.5694420562792873`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoEE", "]"}]], "Input",
 CellChangeTimes->{{3.4546154319089212`*^9, 3.4546154376812468`*^9}}],

Cell[OutputFormData["\<\
214\
\>", "\<\
214\
\>"], "Output",
 CellChangeTimes->{3.45461594023516*^9, 3.454626037371166*^9, 
  3.514635379934672*^9, 3.5694420653917933`*^9, 3.56944213455964*^9, 
  3.569613213196361*^9, 3.56961526726132*^9, 3.569700086153933*^9, 
  3.761915740385393*^9, 3.762076603493986*^9, 3.762161302099988*^9, 
  3.762202441073907*^9, 3.7645349630572443`*^9, 3.766000736193551*^9}]
}, Open  ]],

Cell["The following cell may take 15 seconds to execute.", "Text",
 CellChangeTimes->{{3.762076681609487*^9, 3.762076696484024*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PrintTime", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoEE"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "EE", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "CC", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "BB", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PartTwoFF", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{
  3.569441942924098*^9, 3.5694419976636457`*^9, {3.569442142406075*^9, 
   3.5694421594849043`*^9}, {3.569442212118163*^9, 3.56944223346059*^9}, {
   3.569442266873625*^9, 3.569442273240868*^9}, {3.762076625930812*^9, 
   3.7620766411786203`*^9}}],

Cell["\<\
Time:  18 hours, 18 minutes, 57 seconds
Date:  4 May 2019
Time:  18 hours, 19 minutes, 9 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->{{3.56944224733251*^9, 3.569442293288176*^9}, 
   3.569613245583709*^9, 3.56961526854318*^9, 3.569700088626581*^9, 
   3.761915741166565*^9, 3.762076653521023*^9, 3.762161317414098*^9, 
   3.762202444116025*^9, 3.764534964686516*^9, 3.7660007366035967`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoFF", "]"}]], "Input",
 CellChangeTimes->{{3.5694422513478947`*^9, 3.569442254954411*^9}}],

Cell[OutputFormData["\<\
40\
\>", "\<\
40\
\>"], "Output",
 CellChangeTimes->{3.569442255823427*^9, 3.569442309374733*^9, 
  3.569613384152453*^9, 3.5696153018421793`*^9, 3.56970014208319*^9, 
  3.761915772271106*^9, 3.7620767820342283`*^9, 3.762161395102839*^9, 
  3.762202484305956*^9, 3.76453497934221*^9, 3.766000752317277*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "PartTwoFF"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartTwoGG", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.569441942924098*^9, 3.5694419976636457`*^9, {3.569442142406075*^9, 
   3.5694421594849043`*^9}, {3.569442212118163*^9, 3.569442244339799*^9}, {
   3.569442279516398*^9, 3.569442280756562*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "PartTwoGG", "]"}]], "Input",
 CellChangeTimes->{{3.454616321012026*^9, 3.454616325211151*^9}, {
  3.569442284000557*^9, 3.569442285032093*^9}}],

Cell[OutputFormData["\<\
34\
\>", "\<\
34\
\>"], "Output",
 CellChangeTimes->{
  3.45461632893017*^9, 3.4546261411748962`*^9, 3.514635453195149*^9, 
   3.569442314779456*^9, 3.5696134416112127`*^9, {3.569613635998424*^9, 
   3.569613665593364*^9}, 3.569613723976511*^9, 3.569613779868828*^9, 
   3.569613830200119*^9, 3.569613991121114*^9, 3.569614275124165*^9, 
   3.56961533001292*^9, 3.5697001592377462`*^9, 3.761915774660918*^9, 
   3.762076792874848*^9, 3.762161404437804*^9, 3.7622024967629957`*^9, 
   3.764534981614819*^9, 3.7660007552356*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"PartTwoFinal", "=", "PartTwoGG"}], ";"}]], "Input",
 CellChangeTimes->{{3.569613785976877*^9, 3.569613816602998*^9}, {
  3.56961426241648*^9, 3.569614265384931*^9}, {3.7620768314129257`*^9, 
  3.762076837820853*^9}, {3.762077018343503*^9, 3.762077018480844*^9}}],

Cell["Combine Parts", "Text",
 CellChangeTimes->{{3.4546164479411182`*^9, 3.454616480060864*^9}},
 FontSize->18,
 FontWeight->"Bold",
 Background->RGBColor[1, 1, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"PartOneFinal", "+", "PartTwoFinal"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454616683804089*^9, 3.454616768252471*^9}, {
  3.454616810142104*^9, 3.454616816226369*^9}, {3.7621615532849894`*^9, 
  3.762161556884459*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAOne", "]"}]], "Input",
 CellChangeTimes->{{3.454616892494047*^9, 3.454616900372353*^9}}],

Cell[OutputFormData["\<\
122\
\>", "\<\
122\
\>"], "Output",
 CellChangeTimes->{3.4546169013056383`*^9, 3.454626318413048*^9, 
  3.4546353254413967`*^9, 3.454639420665845*^9, 3.4546460061222057`*^9, 
  3.454699986881155*^9, 3.4552289089222*^9, 3.514635477499465*^9, 
  3.569442375342531*^9, 3.569615384404517*^9, 3.569700270849715*^9, 
  3.7619157859205847`*^9, 3.762161495151134*^9, 3.762161560656857*^9, 
  3.7622025334195957`*^9, 3.76453498774594*^9, 3.7660007617431*^9}]
}, Open  ]],

Cell["We will now proceed to simplify our working expression.", "Text",
 CellChangeTimes->{{3.762163176545927*^9, 3.762163195809931*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{"8", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAAOne", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546170231508303`*^9, 3.4546172411744556`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAATwo", "]"}]], "Input",
 CellChangeTimes->{{3.454617249262855*^9, 3.454617259059309*^9}}],

Cell[OutputFormData["\<\
120\
\>", "\<\
120\
\>"], "Output",
 CellChangeTimes->{3.4546172607781153`*^9, 3.4546263505436487`*^9, 
  3.454635344656062*^9, 3.454639425885034*^9, 3.454646020902422*^9, 
  3.454699992085334*^9, 3.4552289150936403`*^9, 3.514635586278611*^9, 
  3.5694423830783*^9, 3.569615404881323*^9, 3.5696154949289417`*^9, 
  3.569700302137424*^9, 3.761915788691695*^9, 3.762161500489574*^9, 
  3.762161568669236*^9, 3.762202576832036*^9, 3.7645349933789043`*^9, 
  3.7660007736067142`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}]}], " ", "-", " ", 
     RowBox[{"3", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
         RowBox[{"2", "*", "w"}]}], ")"}], "^", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "d", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAThree", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAATwo", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.454617426764618*^9, 3.454617728145454*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAThree", "]"}]], "Input",
 CellChangeTimes->{{3.454617773391602*^9, 3.4546177828960648`*^9}}],

Cell[OutputFormData["\<\
129\
\>", "\<\
129\
\>"], "Output",
 CellChangeTimes->{3.454617784014727*^9, 3.454626449670496*^9, 
  3.454635360038577*^9, 3.45463943014598*^9, 3.454646047850608*^9, 
  3.4547000013414803`*^9, 3.4552289200579576`*^9, 3.514635605075127*^9, 
  3.5694423914065228`*^9, 3.5696154094600477`*^9, 3.569615538520359*^9, 
  3.5697003768248796`*^9, 3.7619157923529778`*^9, 3.762161614540596*^9, 
  3.762202601124557*^9, 3.764534998412735*^9, 3.7660007959629793`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{"6", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"f", "[", "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", " ", 
       RowBox[{"L", "[", "b", "]"}], ",", " ", 
       RowBox[{"U", "[", "b", "]"}], ",", " ", 
       RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", "Hmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFour", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAAThree", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546180829349003`*^9, 3.45461814994543*^9}, {
  3.45461818670861*^9, 3.4546182424538517`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAFour", "]"}]], "Input",
 CellChangeTimes->{{3.454618256562653*^9, 3.454618262378758*^9}}],

Cell[OutputFormData["\<\
128\
\>", "\<\
128\
\>"], "Output",
 CellChangeTimes->{3.454618265951727*^9, 3.454626518250181*^9, 
  3.454635462799056*^9, 3.4546394334451303`*^9, 3.454646067479607*^9, 
  3.4547000091520653`*^9, 3.455228923941228*^9, 3.514635614902145*^9, 
  3.569442395550025*^9, 3.569615413664641*^9, 3.569615558547277*^9, 
  3.569700395488736*^9, 3.761915794640658*^9, 3.762161636355774*^9, 
  3.762202638731845*^9, 3.764535001501251*^9, 3.766000821818569*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], "*", "Hmc", "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}], " ", "+", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1104"}], " ", "+", " ", 
        RowBox[{"292", "*", "n"}], " ", "-", " ", 
        RowBox[{"19", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"848", "*", "w"}], " ", "-", " ", 
        RowBox[{"150", "*", "n", "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"5", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", 
        RowBox[{"224", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"20", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"20", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}], " ", "-", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", "Hmc", "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}], " ", "+", " ", 
     RowBox[{"3", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "704"}], " ", "+", " ", 
        RowBox[{"228", "*", "n"}], " ", "-", " ", 
        RowBox[{"18", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"640", "*", "w"}], " ", "-", " ", 
        RowBox[{"134", "*", "n", "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"5", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", 
        RowBox[{"196", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"20", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"20", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFive", "=", 
   RowBox[{"(", 
    RowBox[{"StepAAFour", "+", "NewTensor", "-", "OldTensor"}], ")"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.454618402963702*^9, {3.4546184519224*^9, 3.454618502154093*^9}, {
   3.454618553848686*^9, 3.454618583705944*^9}, {3.454618618451755*^9, 
   3.454618722640628*^9}, 3.454618883600387*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAFive", "]"}]], "Input",
 CellChangeTimes->{{3.4546187409774523`*^9, 3.454618749457879*^9}}],

Cell[OutputFormData["\<\
135\
\>", "\<\
135\
\>"], "Output",
 CellChangeTimes->{3.454618750771172*^9, 3.4546188876553183`*^9, 
  3.454626606394145*^9, 3.454635471889989*^9, 3.4546394372897863`*^9, 
  3.4546460746998863`*^9, 3.45470002259085*^9, 3.455228927554289*^9, 
  3.514635670651345*^9, 3.569442401630433*^9, 3.569615422435731*^9, 
  3.569615579511245*^9, 3.569700439348957*^9, 3.761915796904358*^9, 
  3.762161654068577*^9, 3.7622026551906853`*^9, 3.7645350044456673`*^9, 
  3.766000842478891*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAFive"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAASix", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454618844658746*^9, 3.454618874122755*^9}, {
  3.454619078471321*^9, 3.454619091588723*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAASix", "]"}]], "Input",
 CellChangeTimes->{{3.4546188936727037`*^9, 3.454618900513015*^9}}],

Cell[OutputFormData["\<\
126\
\>", "\<\
126\
\>"], "Output",
 CellChangeTimes->{3.45461890157622*^9, 3.454619097814557*^9, 
  3.454626616871242*^9, 3.454635477934392*^9, 3.454639443037539*^9, 
  3.454646080396154*^9, 3.4547000318000793`*^9, 3.455228931744032*^9, 
  3.514635679770875*^9, 3.569442405730733*^9, 3.5696154252044983`*^9, 
  3.569615587562799*^9, 3.5697004475246487`*^9, 3.761915799684433*^9, 
  3.7621616982705593`*^9, 3.762202664702941*^9, 3.764535006961051*^9, 
  3.766000848309462*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"132", " ", "-", " ", 
        RowBox[{"17", "*", "n"}], " ", "-", " ", 
        RowBox[{"70", "*", "w"}], " ", "+", " ", 
        RowBox[{"5", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"10", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", 
      RowBox[{"Hmc", "^", "2"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "27744"}], " ", "+", " ", 
        RowBox[{"13232", "*", "n"}], " ", "-", " ", 
        RowBox[{"2046", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"103", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"43240", "*", "w"}], " ", "-", " ", 
        RowBox[{"16354", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"1899", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", "\n", "    ", 
        RowBox[{"65", "*", 
         RowBox[{"n", "^", "3"}], "*", "w"}], " ", "-", " ", 
        RowBox[{"26996", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"7586", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"585", "*", 
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"10", "*", 
         RowBox[{"n", "^", "3"}], "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"8400", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "-", " ", "\n", "    ", 
        RowBox[{"1560", "*", "n", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"60", "*", 
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{"w", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"1300", "*", 
         RowBox[{"w", "^", "4"}]}], " ", "+", " ", 
        RowBox[{"120", "*", "n", "*", 
         RowBox[{"w", "^", "4"}]}], " ", "+", " ", 
        RowBox[{"80", "*", 
         RowBox[{"w", "^", "5"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Hmc", "^", "2"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}]}], " ", "-", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "54"}], " ", "+", " ", 
        RowBox[{"7", "*", "n"}], " ", "+", " ", 
        RowBox[{"14", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{"4416", " ", "-", " ", 
        RowBox[{"2040", "*", "n"}], " ", "+", " ", 
        RowBox[{"306", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"15", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"6552", "*", "w"}], " ", "+", " ", 
        RowBox[{"2450", "*", "n", "*", "w"}], " ", "-", " ", 
        RowBox[{"285", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", 
        RowBox[{"10", "*", 
         RowBox[{"n", "^", "3"}], "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"3676", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"960", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"60", "*", 
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"900", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"120", "*", "n", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"80", "*", 
         RowBox[{"w", "^", "4"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"54", " ", "-", " ", 
        RowBox[{"7", "*", "n"}], " ", "-", " ", 
        RowBox[{"56", "*", "w"}], " ", "+", " ", 
        RowBox[{"5", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"10", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}]}], " ", "+", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1272"}], " ", "+", " ", 
        RowBox[{"508", "*", "n"}], " ", "-", " ", 
        RowBox[{"60", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"2", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"1232", "*", "w"}], " ", "-", " ", 
        RowBox[{"322", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"19", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", "\n", "    ", 
        RowBox[{"404", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"52", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"44", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAASeven", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAASix", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.454619320988904*^9, 3.454619441394712*^9}, 
   3.4546194868728323`*^9, {3.454626695732355*^9, 3.45462673450358*^9}, {
   3.4546269974584837`*^9, 3.4546270138432617`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAASeven", "]"}]], "Input",
 CellChangeTimes->{{3.454626805133383*^9, 3.454626812541704*^9}}],

Cell[OutputFormData["\<\
120\
\>", "\<\
120\
\>"], "Output",
 CellChangeTimes->{3.4546268134294662`*^9, 3.4546270196935453`*^9, 
  3.454635537566112*^9, 3.454639447967861*^9, 3.45464609316588*^9, 
  3.454700075181087*^9, 3.455228935374975*^9, 3.514635707457738*^9, 
  3.569442408834787*^9, 3.569615601362677*^9, 3.569700564453164*^9, 
  3.761915803390626*^9, 3.7621617517553368`*^9, 3.762202688219769*^9, 
  3.764535009283676*^9, 3.7660008634143972`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAASeven"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAEight", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546194765875072`*^9, 3.454619477332267*^9}, {
  3.454627088654869*^9, 3.454627190395616*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAAEight", "]"}]], "Input",
 CellChangeTimes->{{3.454627206927391*^9, 3.45462721128502*^9}}],

Cell[OutputFormData["\<\
111\
\>", "\<\
111\
\>"], "Output",
 CellChangeTimes->{3.454627212594574*^9, 3.454635547957686*^9, 
  3.4546394548522873`*^9, 3.4546461115615253`*^9, 3.454700082144047*^9, 
  3.455228941782435*^9, 3.514635723840319*^9, 3.569442412350095*^9, 
  3.56961560951481*^9, 3.569700588927126*^9, 3.761915805844219*^9, 
  3.762161760461191*^9, 3.7622027041984663`*^9, 3.764535011916402*^9, 
  3.766000872340537*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"132", " ", "-", " ", 
        RowBox[{"28", "*", "n"}], " ", "+", " ", 
        RowBox[{"n", "^", "2"}], " ", "-", " ", 
        RowBox[{"110", "*", "w"}], " ", "+", " ", 
        RowBox[{"11", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"18", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"108", " ", "-", " ", 
        RowBox[{"16", "*", "n"}], " ", "+", " ", 
        RowBox[{"n", "^", "2"}], " ", "-", " ", 
        RowBox[{"32", "*", "w"}], " ", "+", " ", 
        RowBox[{"4", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"4", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}]}], " ", "-", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "54"}], " ", "+", " ", 
        RowBox[{"7", "*", "n"}], " ", "+", " ", 
        RowBox[{"14", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"744", " ", "-", " ", 
        RowBox[{"112", "*", "n"}], " ", "-", " ", 
        RowBox[{"14", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"2", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"728", "*", "w"}], " ", "+", " ", 
        RowBox[{"98", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", 
        RowBox[{"252", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", "\n", "    ", 
        RowBox[{"20", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"28", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}]}], " ", "-", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "54"}], " ", "+", " ", 
        RowBox[{"7", "*", "n"}], " ", "+", " ", 
        RowBox[{"14", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "5"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAANine", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAAEight", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.454627408754912*^9, 3.454627444015822*^9, {3.454627495527529*^9, 
   3.45462752748363*^9}, {3.454627664346138*^9, 3.454627700431835*^9}, {
   3.4546277891520767`*^9, 3.454627816261343*^9}, {3.454627854479229*^9, 
   3.454627975444922*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAANine", "]"}]], "Input",
 CellChangeTimes->{{3.454627589754616*^9, 3.454627593238742*^9}, {
  3.454628052252536*^9, 3.4546280593154716`*^9}}],

Cell[OutputFormData["\<\
109\
\>", "\<\
109\
\>"], "Output",
 CellChangeTimes->{3.454627594489464*^9, 3.454627748590186*^9, 
  3.454627833436057*^9, 3.454628060352635*^9, 3.4546355765032682`*^9, 
  3.454639459264328*^9, 3.454646146271028*^9, 3.4547001222672586`*^9, 
  3.4552289462548847`*^9, 3.514635745837414*^9, 3.5694424187021427`*^9, 
  3.569615631994685*^9, 3.56970066937044*^9, 3.7619158099764433`*^9, 
  3.762161771405217*^9, 3.7622027360522623`*^9, 3.764535015929996*^9, 
  3.766000901663619*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "6"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "26"}], " ", "+", " ", 
        RowBox[{"3", "*", "n"}], " ", "+", " ", 
        RowBox[{"6", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "e", "]"}], "]"}], "*", 
      RowBox[{"Weyl", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "e", "]"}]}], "]"}]}], " ", "-", " ", 
     RowBox[{"6", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "26"}], " ", "+", " ", 
        RowBox[{"3", "*", "n"}], " ", "+", " ", 
        RowBox[{"6", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "e", "]"}], "]"}], "*", 
      RowBox[{"Weyl", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "e", "]"}]}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATen", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAANine", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.454628343441607*^9, {3.4546284027923527`*^9, 3.454628580617758*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepAATen", "]"}]], "Input",
 CellChangeTimes->{{3.454628599969864*^9, 3.454628608610104*^9}}],

Cell[OutputFormData["\<\
108\
\>", "\<\
108\
\>"], "Output",
 CellChangeTimes->{3.454628654851582*^9, 3.454635637186016*^9, 
  3.454639462638358*^9, 3.454646159748392*^9, 3.45470016841604*^9, 
  3.455228948256627*^9, 3.514635762736587*^9, 3.569442420990921*^9, 
  3.5696156441989603`*^9, 3.569700711523102*^9, 3.7619158122745256`*^9, 
  3.762161778728566*^9, 3.76220277068356*^9, 3.764535022222055*^9, 
  3.7660009098867197`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAATen"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "WeylContractedBianchiRules"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454628714220655*^9, 3.4546287545097303`*^9}, {
  3.454628993829363*^9, 3.4546290245826063`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBOne", "]"}]], "Input",
 CellChangeTimes->{{3.4546287640306387`*^9, 3.454628771046542*^9}}],

Cell[OutputFormData["\<\
104\
\>", "\<\
104\
\>"], "Output",
 CellChangeTimes->{3.454628772899288*^9, 3.454629030389999*^9, 
  3.454632306897317*^9, 3.45463565026803*^9, 3.454639468106579*^9, 
  3.454646173018917*^9, 3.4547001758907413`*^9, 3.455228955224285*^9, 
  3.514635772899007*^9, 3.569442424379548*^9, 3.569615648399048*^9, 
  3.569700723601447*^9, 3.761915815165958*^9, 3.762161792898858*^9, 
  3.762202779584499*^9, 3.7645350259859*^9, 3.7660009291004477`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1296"}], " ", "+", " ", 
        RowBox[{"554", "*", "n"}], " ", "-", " ", 
        RowBox[{"81", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"4", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"604", "*", "w"}], " ", "-", " ", 
        RowBox[{"196", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"16", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", 
        RowBox[{"68", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"16", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"L", "[", "c", "]"}], ",", " ", 
         RowBox[{"U", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"288", " ", "-", " ", 
        RowBox[{"452", "*", "n"}], " ", "+", " ", 
        RowBox[{"108", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"7", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"472", "*", "w"}], " ", "+", " ", 
        RowBox[{"268", "*", "n", "*", "w"}], " ", "-", " ", 
        RowBox[{"28", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", 
        RowBox[{"104", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"28", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"L", "[", "c", "]"}], ",", " ", 
         RowBox[{"U", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"5736", " ", "-", " ", 
        RowBox[{"1652", "*", "n"}], " ", "+", " ", 
        RowBox[{"110", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"n", "^", "3"}], " ", "-", " ", 
        RowBox[{"10192", "*", "w"}], " ", "+", " ", 
        RowBox[{"2344", "*", "n", "*", "w"}], " ", "-", " ", 
        RowBox[{"124", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"5616", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"882", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"25", "*", 
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"1260", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"100", "*", "n", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"100", "*", 
         RowBox[{"w", "^", "4"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", "\n", "   ", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}]}], " ", "+", " ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "348"}], " ", "+", " ", 
        RowBox[{"508", "*", "n"}], " ", "-", " ", 
        RowBox[{"123", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"8", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"820", "*", "w"}], " ", "+", " ", 
        RowBox[{"14", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"14", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", 
        RowBox[{"520", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"40", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", "\n", "    ", 
        RowBox[{"72", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"U", "[", "a", "]"}], ",", " ", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"L", "[", "d", "]"}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1200"}], " ", "+", " ", 
        RowBox[{"928", "*", "n"}], " ", "-", " ", 
        RowBox[{"186", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"11", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"416", "*", "w"}], " ", "-", " ", 
        RowBox[{"324", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"36", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", 
        RowBox[{"96", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"12", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", "\n", "    ", 
        RowBox[{"32", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"U", "[", "a", "]"}], ",", " ", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}]}], " ", "-", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1944"}], " ", "-", " ", 
        RowBox[{"1332", "*", "n"}], " ", "+", " ", 
        RowBox[{"510", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"39", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"3888", "*", "w"}], " ", "+", " ", 
        RowBox[{"504", "*", "n", "*", "w"}], " ", "-", " ", 
        RowBox[{"224", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"10", "*", 
         RowBox[{"n", "^", "3"}], "*", "w"}], " ", "-", " ", 
        RowBox[{"2544", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"38", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"25", "*", 
         RowBox[{"n", "^", "2"}], "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"660", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"20", "*", "n", "*", 
         RowBox[{"w", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"60", "*", 
         RowBox[{"w", "^", "4"}]}]}], ")"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"U", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}]}], " ", "+", " ", "\n", "  ", 
     RowBox[{"2", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "252"}], " ", "+", " ", 
        RowBox[{"432", "*", "n"}], " ", "-", " ", 
        RowBox[{"107", "*", 
         RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"7", "*", 
         RowBox[{"n", "^", "3"}]}], " ", "-", " ", 
        RowBox[{"108", "*", "w"}], " ", "-", " ", 
        RowBox[{"142", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"22", "*", 
         RowBox[{"n", "^", "2"}], "*", "w"}], " ", "+", " ", "\n", "    ", 
        RowBox[{"144", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"4", "*", "n", "*", 
         RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
        RowBox[{"24", "*", 
         RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "d", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"U", "[", "b", "]"}], ",", " ", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"L", "[", "d", "]"}], "]"}]}], " ", "-", " ", 
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{
       RowBox[{"f", "[", "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", " ", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", "\n", "   ", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"U", "[", "b", "]"}], ",", " ", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"NewDummy", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "5", ",", "6", ",", "7"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBTwo", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepBBOne", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.454629199446116*^9, 3.454629272534258*^9, 3.454629304669937*^9, {
   3.45462937855514*^9, 3.454629395136778*^9}, 3.45462947720858*^9, 
   3.454629517690647*^9, {3.454629574029345*^9, 3.454629603350041*^9}, {
   3.4546297296600933`*^9, 3.4546298656065607`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBTwo", "]"}]], "Input",
 CellChangeTimes->{{3.454629953226919*^9, 3.454629958382925*^9}, {
  3.45463047500506*^9, 3.4546304759877996`*^9}}],

Cell[OutputFormData["\<\
100\
\>", "\<\
100\
\>"], "Output",
 CellChangeTimes->{3.454629959318647*^9, 3.4546323481107073`*^9, 
  3.454632382923809*^9, 3.454635182136794*^9, 3.454635664510067*^9, 
  3.454639472038889*^9, 3.454646254552033*^9, 3.454700186082676*^9, 
  3.455228958395669*^9, 3.514635811665334*^9, 3.569442428549789*^9, 
  3.5696156707383423`*^9, 3.5697008358253603`*^9, 3.7619158257950068`*^9, 
  3.762161803561243*^9, 3.762202801334272*^9, 3.7645350307237673`*^9, 
  3.766000945830489*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepBBTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBThree", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454632500055338*^9, 3.454632534740897*^9}, {
  3.454632573120345*^9, 3.454632578058998*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBThree", "]"}]], "Input",
 CellChangeTimes->{{3.4546325993270693`*^9, 3.454632606592317*^9}}],

Cell[OutputFormData["\<\
100\
\>", "\<\
100\
\>"], "Output",
 CellChangeTimes->{3.454632608054817*^9, 3.45463518818582*^9, 
  3.454635671463229*^9, 3.454639476531055*^9, 3.45464626181775*^9, 
  3.454700194626997*^9, 3.455228962692586*^9, 3.51463582034518*^9, 
  3.569442433034091*^9, 3.569615675103835*^9, 3.56970090855669*^9, 
  3.761915827847835*^9, 3.7621618111096163`*^9, 3.762202805904294*^9, 
  3.764535034501307*^9, 3.766000951045067*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{"138", " ", "-", " ", 
       RowBox[{"85", "*", "n"}], " ", "+", " ", 
       RowBox[{"8", "*", 
        RowBox[{"n", "^", "2"}]}], " ", "-", " ", 
       RowBox[{"14", "*", "w"}], " ", "+", " ", 
       RowBox[{"14", "*", "n", "*", "w"}], " ", "-", " ", 
       RowBox[{"4", "*", 
        RowBox[{"w", "^", "2"}]}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"f", "[", "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "a", "]"}], ",", " ", 
       RowBox[{"L", "[", "b", "]"}]}], "]"}], "*", "\n", "  ", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "d", "]"}]}], "]"}], "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBFour", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepBBThree", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546329384666653`*^9, 3.454633025584167*^9}, 
   3.454633062111429*^9, {3.454633123725211*^9, 3.4546331312171803`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBFour", "]"}]], "Input",
 CellChangeTimes->{{3.454633221737586*^9, 3.454633229717826*^9}}],

Cell[OutputFormData["\<\
99\
\>", "\<\
99\
\>"], "Output",
 CellChangeTimes->{3.454633468815261*^9, 3.4546352255430098`*^9, 
  3.454635721150692*^9, 3.454639480268252*^9, 3.454646285269433*^9, 
  3.454700224217126*^9, 3.455228965673903*^9, 3.514635868996376*^9, 
  3.569442436754377*^9, 3.569615684386382*^9, 3.569700962100337*^9, 
  3.7619158337719927`*^9, 3.7621618185128803`*^9, 3.762202824462178*^9, 
  3.7645350408165483`*^9, 3.766000968519415*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepBBFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBFive", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454633310170054*^9, 3.4546333214589*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBFive", "]"}]], "Input",
 CellChangeTimes->{{3.454633449494458*^9, 3.45463345408442*^9}}],

Cell[OutputFormData["\<\
99\
\>", "\<\
99\
\>"], "Output",
 CellChangeTimes->{{3.454633455071085*^9, 3.454633475650773*^9}, 
   3.454635235319092*^9, 3.454635726942067*^9, 3.454639485325585*^9, 
   3.454646290866441*^9, 3.454700230065427*^9, 3.4552289700170116`*^9, 
   3.514635877128066*^9, 3.569442439866824*^9, 3.569615688012019*^9, 
   3.5697010454919987`*^9, 3.76191583591586*^9, 3.762161822840336*^9, 
   3.7622028295473967`*^9, 3.764535043989889*^9, 3.766000981005765*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
         RowBox[{"2", "*", "w"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"36", " ", "-", " ", 
         RowBox[{"22", "*", "n"}], " ", "+", " ", 
         RowBox[{"2", "*", 
          RowBox[{"n", "^", "2"}]}], " ", "+", " ", 
         RowBox[{"136", "*", "w"}], " ", "-", " ", 
         RowBox[{"52", "*", "n", "*", "w"}], " ", "+", " ", 
         RowBox[{"5", "*", 
          RowBox[{"n", "^", "2"}], "*", "w"}], " ", "-", " ", 
         RowBox[{"4", "*", 
          RowBox[{"w", "^", "2"}]}], " ", "+", " ", 
         RowBox[{"6", "*", "n", "*", 
          RowBox[{"w", "^", "2"}]}], " ", "-", " ", 
         RowBox[{"8", "*", 
          RowBox[{"w", "^", "3"}]}]}], ")"}], "*", 
       RowBox[{
        RowBox[{"f", "[", "]"}], "[", 
        RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
       RowBox[{"Nvec", "[", 
        RowBox[{"U", "[", "b", "]"}], "]"}], "*", "\n", "   ", 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{
          RowBox[{"L", "[", "c", "]"}], ",", " ", 
          RowBox[{"U", "[", "c", "]"}]}], "]"}], "[", 
        RowBox[{
         RowBox[{"L", "[", "b", "]"}], ",", " ", 
         RowBox[{"U", "[", "a", "]"}]}], "]"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], " ", "+", " ", "n"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"U", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBSix", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepBBFive", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.454633744387328*^9, {3.454633837269218*^9, 3.4546339541194897`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBSix", "]"}]], "Input",
 CellChangeTimes->{{3.454633977642289*^9, 3.454633982773467*^9}}],

Cell[OutputFormData["\<\
98\
\>", "\<\
98\
\>"], "Output",
 CellChangeTimes->{3.45463398531236*^9, 3.454635250716959*^9, 
  3.4546357362640676`*^9, 3.454639487616208*^9, 3.454646304579041*^9, 
  3.4547002485381002`*^9, 3.4552289728883123`*^9, 3.514635945317334*^9, 
  3.569442442357665*^9, 3.569615733019189*^9, 3.569701077567884*^9, 
  3.7619158562231092`*^9, 3.762161834370103*^9, 3.762202841297606*^9, 
  3.76453505002524*^9, 3.7660009932124577`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepBBSix"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBSeven", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454634084371299*^9, 3.454634091802552*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBSeven", "]"}]], "Input",
 CellChangeTimes->{{3.454634624079975*^9, 3.45463462817197*^9}}],

Cell[OutputFormData["\<\
98\
\>", "\<\
98\
\>"], "Output",
 CellChangeTimes->{3.4546346294264507`*^9, 3.454635255596287*^9, 
  3.454635741563059*^9, 3.454639492499977*^9, 3.454646310554768*^9, 
  3.454700254562325*^9, 3.45470066731033*^9, 3.455228978304249*^9, 
  3.51463595431357*^9, 3.569442444888864*^9, 3.569615736614787*^9, 
  3.569701095480146*^9, 3.7619158595386553`*^9, 3.7621618380507793`*^9, 
  3.762202846639564*^9, 3.764535052382925*^9, 3.7660009972638273`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "12"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "6"}], " ", "+", " ", "n"}], ")"}], "*", "f", "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "c", "]"}], ",", " ", 
       RowBox[{"U", "[", "c", "]"}], ",", " ", 
       RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBEight", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepBBSeven", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.454634443105846*^9, 3.45463456508499*^9}, {
  3.45463461783948*^9, 3.454634619022655*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBEight", "]"}]], "Input",
 CellChangeTimes->{{3.454634634701137*^9, 3.454634642816597*^9}}],

Cell[OutputFormData["\<\
99\
\>", "\<\
99\
\>"], "Output",
 CellChangeTimes->{{3.454634644238304*^9, 3.454634650663199*^9}, 
   3.4546352840860147`*^9, 3.454635751819399*^9, 3.4546394944587927`*^9, 
   3.454646350301958*^9, 3.45470029879732*^9, 3.454700678235941*^9, 
   3.455228981108745*^9, 3.514636013556601*^9, 3.5694424483697977`*^9, 
   3.5696157615026293`*^9, 3.5697011292158203`*^9, 3.761915861888103*^9, 
   3.7621618515133963`*^9, 3.7622028719772577`*^9, 3.7645350563254833`*^9, 
   3.766001006803047*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepBBEight"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBNine", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4546345964451447`*^9, 3.454634605947524*^9}, {
  3.454636908359745*^9, 3.454636944993483*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBNine", "]"}]], "Input",
 CellChangeTimes->{{3.454634659621423*^9, 3.454634667613841*^9}}],

Cell[OutputFormData["\<\
98\
\>", "\<\
98\
\>"], "Output",
 CellChangeTimes->{3.4546346687081957`*^9, 3.4546352968738747`*^9, 
  3.454635761115738*^9, 3.454636955488523*^9, 3.454639500364523*^9, 
  3.454646361345196*^9, 3.454700332177309*^9, 3.4547007062295647`*^9, 
  3.455228986676157*^9, 3.514636036567084*^9, 3.569442452314979*^9, 
  3.5696157752295513`*^9, 3.569615950048287*^9, 3.569701609469749*^9, 
  3.76191586609433*^9, 3.7621618584402723`*^9, 3.762202884048173*^9, 
  3.764535060568534*^9, 3.766001014031856*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"-", "2"}], "*", "w", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
       RowBox[{"2", "*", "w"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"f", "[", "]"}], "[", 
      RowBox[{"L", "[", "a", "]"}], "]"}], "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "c", "]"}], "]"}], "*", "\n", "  ", 
     RowBox[{"Nvec", "[", 
      RowBox[{"U", "[", "d", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
      RowBox[{
       RowBox[{"L", "[", "d", "]"}], ",", " ", 
       RowBox[{"U", "[", "a", "]"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "d", "]"}], ",", 
     RowBox[{"U", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepBBTen", "=", 
   RowBox[{"(", 
    RowBox[{"StepBBNine", "+", "NewTensor", "-", "OldTensor"}], ")"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4546387023757353`*^9, 3.4546387710596733`*^9}, {
  3.454638814085786*^9, 3.454638870564397*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepBBTen", "]"}]], "Input",
 CellChangeTimes->{{3.454638931735248*^9, 3.45463893672752*^9}}],

Cell[OutputFormData["\<\
101\
\>", "\<\
101\
\>"], "Output",
 CellChangeTimes->{3.454638937670658*^9, 3.454639505248253*^9, 
  3.454646389292222*^9, 3.454700359455669*^9, 3.454700749263928*^9, 
  3.4552289919575243`*^9, 3.5146360566404*^9, 3.569442456506632*^9, 
  3.569615962130208*^9, 3.569701667311392*^9, 3.76191586849209*^9, 
  3.762161879216552*^9, 3.762202927209488*^9, 3.764535065250516*^9, 
  3.7660010216477413`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepBBTen"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454638972989195*^9, 3.45463898392176*^9}, {
  3.454647258233321*^9, 3.454647272406052*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCOne", "]"}]], "Input",
 CellChangeTimes->{{3.4546389891459513`*^9, 3.4546389987983723`*^9}}],

Cell[OutputFormData["\<\
96\
\>", "\<\
96\
\>"], "Output",
 CellChangeTimes->{3.454639001157209*^9, 3.454639144523365*^9, 
  3.454639511916635*^9, 3.454646399163497*^9, 3.454647279428787*^9, 
  3.4547003726521*^9, 3.454700763726226*^9, 3.45522899852542*^9, 
  3.514636071616663*^9, 3.5694424611448917`*^9, 3.569615979488063*^9, 
  3.569701684087043*^9, 3.7619158712446327`*^9, 3.762161895856161*^9, 
  3.7622029408844137`*^9, 3.764535068825735*^9, 3.766001026157402*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "w", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "9"}], " ", "+", " ", "n", " ", "+", " ", 
          RowBox[{"2", "*", "w"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
          RowBox[{"2", "*", "w"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
          RowBox[{"2", "*", "w"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
          RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "    ", "f", "*", 
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "c", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{
           RowBox[{"L", "[", "a", "]"}], ",", " ", 
           RowBox[{"L", "[", "b", "]"}]}], "]"}], "[", 
         RowBox[{
          RowBox[{"L", "[", "d", "]"}], ",", " ", 
          RowBox[{"U", "[", "d", "]"}], ",", " ", "\n", "     ", 
          RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n"}], ")"}]}], " ", "-", " ", 
     RowBox[{"4", "*", "w", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "f", "*", "Hmc", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"L", "[", "a", "]"}], ",", " ", 
         RowBox[{"L", "[", "c", "]"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "b", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}]}], "]"}]}], " ", "+", " ", 
     RowBox[{"4", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "6"}], " ", "+", " ", "n", " ", "+", " ", 
        RowBox[{"2", "*", "w"}]}], ")"}], "*", "\n", "   ", 
      RowBox[{"(", 
       RowBox[{"3", " ", "-", " ", 
        RowBox[{"20", "*", "w"}], " ", "+", " ", 
        RowBox[{"2", "*", "n", "*", "w"}], " ", "+", " ", 
        RowBox[{"4", "*", 
         RowBox[{"w", "^", "2"}]}]}], ")"}], "*", "f", "*", 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "a", "]"}], "]"}], "*", "\n", "   ", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{
         RowBox[{"L", "[", "b", "]"}], ",", " ", 
         RowBox[{"U", "[", "b", "]"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"L", "[", "c", "]"}], ",", " ", 
        RowBox[{"U", "[", "c", "]"}], ",", " ", 
        RowBox[{"L", "[", "a", "]"}]}], "]"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "d", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "d", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"U", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "c", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "WeylContractedBianchiRules"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCTwo", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepCCOne", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.45464767348973*^9, 3.454647703870132*^9}, {
  3.4546477342111*^9, 3.454647930064774*^9}, {3.454648486270994*^9, 
  3.454648503835669*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCTwo", "]"}]], "Input",
 CellChangeTimes->{{3.4546479361700697`*^9, 3.4546479426773233`*^9}}],

Cell[OutputFormData["\<\
98\
\>", "\<\
98\
\>"], "Output",
 CellChangeTimes->{
  3.454647944004212*^9, 3.454648020451522*^9, {3.454648561942479*^9, 
   3.4546485836659727`*^9}, 3.454700426993915*^9, 3.4547007826831017`*^9, 
   3.455229003209825*^9, 3.514636093808448*^9, 3.569442464979022*^9, 
   3.569616002236891*^9, 3.569701955050403*^9, 3.7619158738466997`*^9, 
   3.762161903408142*^9, 3.762202969224506*^9, 3.76453507270761*^9, 
   3.766001032827166*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepCCTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"FactorConstants", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCThree", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454638972989195*^9, 3.45463898392176*^9}, {
  3.454647258233321*^9, 3.454647272406052*^9}, {3.454647947209277*^9, 
  3.454647958634158*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCThree", "]"}]], "Input",
 CellChangeTimes->{{3.454648024901539*^9, 3.454648030473421*^9}}],

Cell[OutputFormData["\<\
95\
\>", "\<\
95\
\>"], "Output",
 CellChangeTimes->{
  3.454648031441964*^9, {3.454648573089141*^9, 3.454648588830944*^9}, 
   3.454700464685402*^9, 3.454700811878008*^9, 3.4552290101859903`*^9, 
   3.514636108362505*^9, 3.569442470085318*^9, 3.569616009165204*^9, 
   3.569702051105226*^9, 3.761915877862702*^9, 3.762161914161128*^9, 
   3.762202979896487*^9, 3.764535077088217*^9, 3.7660010424490957`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "170"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.762162115130927*^9, 3.762162156466803*^9}, {
  3.7621624179564466`*^9, 3.762162418404847*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 170, \
PageHeight -> 22, TotalWidth -> Infinity, TotalHeight -> Infinity, \
CharacterEncoding :> \"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 170, \
PageHeight -> 22, TotalWidth -> Infinity, TotalHeight -> Infinity, \
CharacterEncoding :> Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{{3.7621620915159607`*^9, 3.7621621570097237`*^9}, 
   3.762162419318152*^9, {3.762162494497271*^9, 3.76216251244823*^9}, 
   3.762202981949786*^9, 3.764535077830358*^9, 3.766001043500476*^9}]
}, Open  ]],

Cell[TextData[{
 "Inspection of the output from the following command should show that every \
term contains a factor\n\n    ",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6."
}], "Text",
 CellChangeTimes->{{3.762162518326538*^9, 3.762162566933898*^9}}],

Cell[CellGroupData[{

Cell[BoxData["StepCCThree"], "Input",
 CellChangeTimes->{{3.762161981120727*^9, 3.762161983312694*^9}}],

Cell[OutputFormData["\<\
-15*(-4 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a], U[a], L[b], U[b]]*Hmc + \
10*(-4 + w)*(-3 + w)*(-2 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f[] [L[a], \\
U[a]]*
  Hmc^3 - (-4 + w)*(-3 + w)*(-2 + w)*(-1 + w)*w*(-8 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Hmc^5 + 

   15*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a], L[b], U[b], L[c], \
U[c]]*Nvec[U[a]] - 30*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n \
+ 2*w)*

    f[] [L[a], L[b], U[b]]*Hmc^2*Nvec[U[a]] + 5*(-4 + w)*(-3 + w)*(-2 + \
w)*(-1 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a]]*Hmc^4*

    Nvec[U[a]] + 30*(-4 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*f[] \
[L[a], L[b], L[c], U[c]]*Hmc*Nvec[U[a]]*Nvec[U[b]] - 

   10*(-4 + w)*(-3 + w)*(-2 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*f[] [L[a], L[b]]*Hmc^3*Nvec[U[a]]*Nvec[U[b]] - 

   10*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], L[c], \
L[d], U[d]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] + 

   10*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n \
+ 2*w)*f[] [L[a], L[b], L[c]]*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 

   5*(-4 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a], L[b], L[c], L[d]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]] + 

   (-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], \
L[b], L[c], L[d], \
L[e]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]] - 

   10*(-4 + w)*(-3 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*f*Hmc^3*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] + 

   10*(-4 + w)*(-3 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + \
n + 2*w)*f*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] - 

   5*(-4 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]] [L[c], \
L[d]] + 

   (w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(140 - 20*n - 54*w + 5*n*w \
+ 4*w^2)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] [L[c], U[c]])/(-4 + n) + 

   w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[a], L[b]] \
[L[c], L[d], L[e]] - 

   (w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-22 + 3*n + \
4*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c], L[d], U[d]])/(-4 \
+ n) + 

   10*(-4 + w)*(-3 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f*Hmc^3*P[L[a], U[a]] - 

   15*(-4 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*f*Hmc*P[L[a], U[a]] [L[b], \
U[b]] + 30*(-4 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \
U[a]]*Hmc*

    Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] + 10*(-4 + w)*(-3 + w)*(-8 + n + \
2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-2 + 3*w)*f[] \
[L[a]]*Hmc^2*Nvec[U[a]]*

    Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 10*w*(-8 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*f[] [L[a], U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], \
L[c]] [L[d]] - 

   10*(-4 + w)*(-1 + 2*w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + \
n + 2*w)*f[] [L[a]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], \
L[c]] [L[d]] + 

   (-6 + n + 2*w)*(-4 + n + 2*w)*(-1680 + 1040*n - 100*n^2 + 664*w - 462*n*w \
+ 25*n^2*w - 68*w^2 + 52*n*w^2 + 4*w^3)*f[] [L[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*

    P[L[b], L[c]] [U[a]] - ((-14 + 3*n)*w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + \
n + 2*w)*(-14 + n + 4*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]]*

     P[L[b], L[c]] [U[d]])/(-4 + n) + (-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*(-2 + 5*w)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*

    Nvec[U[e]]*P[L[b], L[c]] [L[d], L[e]] - ((-6 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*(8 - 2*n - 30*w + 5*n*w + 4*w^2)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

     P[L[b], L[c]] [L[d], U[d]])/(-4 + n) - (-6 + n + 2*w)*(-4 + n + \
2*w)*(120 - 74*n + 7*n^2 + 4*w + 12*n*w - 4*w^2)*f[] \
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*

    P[L[b], L[c]] [U[a], L[d]] - 30*(-4 + w)*(-1 + w)*(-8 + n + 2*w)*(-6 + n \
+ 2*w)*f[] [L[a], U[a]]*Hmc*P[L[b], U[b]] - 

   30*(-4 + w)*(-3 + w)*(-1 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f[] [L[a]]*Hmc^2*Nvec[U[a]]*P[L[b], U[b]] - 

   15*(-4 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*f*Hmc*P[L[a], \
U[a]]*P[L[b], U[b]] - 30*(-4 + w)*(-3 + w)*w*(-8 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*f*Hmc^2*

    Nvec[U[a]]*P[L[b], U[b]] [L[a]] + 15*(-6 + n)*(-4 + w)*(-8 + n + 2*w)*(-6 \
+ n + 2*w)*f[] [L[a]]*Hmc*P[L[b], U[b]] [U[a]] + 

   15*(-1 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a]]*Nvec[U[a]]*P[L[b], \
U[b]] [L[c], U[c]] + 15*w*(-8 + n + 2*w)*(-6 + n + 2*w)*f*Nvec[U[a]]*

    P[L[b], U[b]] [L[a], L[c], U[c]] + (2*w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 \
+ n + 2*w)*(-960 + 290*n - 20*n^2 + 480*w - 123*n*w + 5*n^2*w - 60*w^2 + \
13*n*w^2)*f*Hmc*

     Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[c]]*P[L[b], U[c]])/(-4 + n) - (2*w*(-6 + \
n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(256 - 56*n + 3*n^2 - 56*w + \
6*n*w)*f*Nvec[U[a]]*

     Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]]*P[L[b], U[d]] [L[c]])/(-4 + n) - \
10*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + 3*w)*f[] [L[a], L[b], \
U[b]]*Nvec[U[a]]*

    Nvec[U[c]]*Nvec[U[d]]*P[L[c], L[d]] - 10*(-4 + w)*(-8 + n + 2*w)*(-6 + n \
+ 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-4 + 3*w)*f[] [L[a], \
L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*

    Nvec[U[c]]*Nvec[U[d]]*P[L[c], L[d]] - 15*(-4 + w)*(-2 + w)*w*(-8 + n + \
2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

    Nvec[U[d]]*P[L[a], L[b]]*P[L[c], L[d]] + 10*(-1 + w)*(-8 + n + 2*w)*(-6 + \
n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

    Nvec[U[d]]*Nvec[U[e]]*P[L[c], L[d]] [L[e]] + 2*w*(-8 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-12 + \\
5*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
  Nvec[U[e]]*P[L[a], L[b]]*P[L[c], L[d]] [L[e]] - (-6 + n + 2*w)*(-4 + n + \
2*w)*(440 - 270*n + 25*n^2 - 84*w + 52*n*w \\
+ 4*w^2)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[c]]*
  Nvec[U[d]]*P[L[c], L[d]] [U[b]] + 30*(-2 + w)*(-8 + n + 2*w)*(-6 + n + \
2*w)*f[] [L[a], L[b], U[b]]*Nvec[U[a]]*P[L[c], \\
U[c]] + 
 30*(-4 + w)*(-2 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \
L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] + 

   30*(-4 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]]*P[L[c], U[c]] + 

   15*(-3 + w)*(-1 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] \
[L[a]]*Nvec[U[a]]*P[L[b], U[b]]*P[L[c], U[c]] + 

   15*w*(-5 + 2*w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f*Nvec[U[a]]*P[L[b], \
U[b]]*P[L[c], U[c]] [L[a]] + 30*(-1 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] \
[L[a], U[a]]*Nvec[U[b]]*

    P[L[c], U[c]] [L[b]] + 60*(-4 + w)*(-1 + w)*(-8 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*f[] [L[a]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] [L[b]] \
- 

   15*(-4 + n)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a], \
L[b]]*Nvec[U[a]]*P[L[c], U[c]] [U[b]] - 

   (w*(-6 + n + 2*w)*(1248 - 448*n + 30*n^2 + n^3 - 1088*w + 324*n*w - \
18*n^2*w + 48*w^2 - 24*n*w^2 + 32*w^3)*f*Nvec[U[a]]*P[L[a], L[b]]*P[L[c], \
U[c]] [U[b]])/(-4 + n) + \\

 (w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-3560 + 1260*n - 100*n^2 + 1532*w - \
496*n*w + 25*n^2*w - 124*w^2 + 46*n*w^2 - 8*w^3)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*

     P[L[c], U[c]] [L[a], L[b]])/(-4 + n) - ((-6 + n + 2*w)*(-672 + 272*n - \
30*n^2 + n^3 - 608*w + 204*n*w - 18*n^2*w + 48*w^2 - 24*n*w^2 + 32*w^3)*f[] \
\\
[L[a]]*Nvec[U[b]]*
   P[L[c], U[c]] [U[a], L[b]])/(-4 + n) - (2*(-6 + n + 2*w)*(-4 + n + \
2*w)*(1408 - 584*n + 62*n^2 - n^3 - 1600*w + 774*n*w - 111*n^2*w + 5*n^3*w + \\
792*w^2 - 284*n*w^2 + 
    23*n^2*w^2 - 120*w^3 + 26*n*w^3)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[d]]*P[L[c], U[d]])/(-4 + n) \
+ 

   10*(-2 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[d], L[e]] + 

   (-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(24 - 50*w + \
15*w^2)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[b], L[c]]*

    P[L[d], L[e]] - 10*(-3 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f[] [L[a], L[b], L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] - 

   (w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-684 + 268*n - 23*n^2 + 532*w - 170*n*w \
+ 10*n^2*w - 88*w^2 + 20*n*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], \
L[b]] [L[c]]*

     P[L[d], U[d]])/(-4 + n) - 10*(-3 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 \
+ n + 2*w)*(-2 + 3*w)*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], \
L[c]]*

    P[L[d], U[d]] - 30*(-2 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f[] [L[a], L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] [L[c]] - 

   (2*w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-1236 + 452*n - 37*n^2 + 748*w - \
250*n*w + 15*n^2*w - 112*w^2 + \
30*n*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]]*

     P[L[d], U[d]] [L[c]])/(-4 + n) - ((-6 + n + 2*w)*(-4 + n + 2*w)*(-624 + \
228*n - 18*n^2 + 1044*w - 356*n*w + 25*n^2*w - 172*w^2 + 46*n*w^2 - \
8*w^3)*f[] [L[a]]*

     Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] [L[b], L[c]])/(-4 + n) - 

   (w*(-6 + n + 2*w)*(-4 + n + 2*w)*(276 - 92*n + 7*n^2 - 28*w + 10*n*w - \
8*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] [L[a], L[b], \
L[c]])/(-4 + n) + 

   10*(-2 + n - 4*w)*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n \
+ 2*w)*f[] [L[a]]*Hmc^2*Nvec[U[b]]*P[U[a], L[b]] - 

   10*(-8 + n + 2*w)*(-6 + n + 2*w)*(6 - 3*n + 8*w + n*w - 4*w^2)*f[] \
[L[a]]*Nvec[U[b]]*P[L[c], U[c]]*P[U[a], L[b]] - 

   2*(-6 + n + 2*w)*(-4 + n + 2*w)*(-1000 + 620*n - 60*n^2 - 388*w - 176*n*w \
+ 15*n^2*w + 356*w^2 + 6*n*w^2 - 48*w^3)*f[] [L[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*

    P[U[a], L[b]] [L[c]] + 4*(-6 + n + 2*w)*(-4 + n + 2*w)*(34 - 21*n + 2*n^2 \
+ 36*w - n*w - 10*w^2)*f[] [L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*

    P[U[a], L[b]] [L[c], L[d]] - ((-6 + n + 2*w)*(-608 + 528*n - 130*n^2 + \
9*n^3 - 352*w + 116*n*w - 2*n^2*w + 272*w^2 - 56*n*w^2 - 32*w^3)*f[] \
[L[a]]*Nvec[U[b]]*

     P[U[a], L[b]] [L[c], U[c]])/(-4 + n) - 10*(2 + n - 4*w)*(-8 + n + \
2*w)*(-6 + n + 2*w)*f[] [L[a], L[b], U[b]]*Nvec[U[c]]*P[U[a], L[c]] - 

   2*(-6 + n + 2*w)*(224 - 138*n + 13*n^2 - 36*w + 22*n*w - 8*w^2)*f[] [L[a], \
L[b]]*Nvec[U[c]]*P[U[a], L[c]] [U[b]] + 

   2*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(12 - 6*n + 38*w + 5*n*w - \
20*w^2)*f[] [L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], L[c]]*P[U[a], \
L[d]] + 

   30*(-4 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)^2*f[] [L[a], L[b]]*Hmc*P[U[a], \
U[b]] - 

   (2*w*(-6 + n + 2*w)*(-2 + n + 2*w)*(-680 + 250*n - 20*n^2 + 232*w - 93*n*w \
+ 5*n^2*w + 2*w^2 + 8*n*w^2 - 4*w^3)*f*Hmc*P[L[a], L[b]]*P[U[a], U[b]])/(-4 + \
n) + 

   6*(-6 + n + 2*w)*(-32 - 6*n + n^2 - 12*w + 4*n*w + 4*w^2)*f[] [L[a], \
L[b]]*Nvec[U[c]]*P[U[a], U[b]] [L[c]] + 

   ((-6 + n + 2*w)*(-7040 + 4272*n - 532*n^2 - 60*n^3 + 9*n^4 + 8160*w - \
3752*n*w + 456*n^2*w - 2*n^3*w - 1600*w^2 + 672*n*w^2 - 56*n^2*w^2 - \
32*n*w^3)*f[] [L[a]]*

     Nvec[U[b]]*P[L[b], L[c]]*P[U[a], U[c]])/(-4 + n) - 20*(4 + n - 4*w)*(-4 \
+ w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \\
L[b]]*Hmc*Nvec[U[a]]*Nvec[U[c]]*
  P[U[b], L[c]] + 2*(-6 + n + 2*w)*(-4 + n + 2*w)*(100 - 140*n + 15*n^2 + \
188*w + 6*n*w - 48*w^2)*f[] [L[a], \\
L[b]]*Nvec[U[a]]*Nvec[U[c]]*Nvec[U[d]]*
  P[U[b], L[c]] [L[d]] - 30*(-8 + n + 2*w)*(-6 + n + 2*w)^2*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*P[U[b], U[c]] - 

   (8*w*(-9 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*P[L[a], L[b]] [L[c]]*P[U[b], U[c]])/(-4 + n) + 

   (2*(-6 + n + 2*w)*(-528 + 148*n - n^3 - 256*w + 274*n*w - 75*n^2*w + \
5*n^3*w + 332*w^2 - 156*n*w^2 + 18*n^2*w^2 - 20*w^3 + 12*n*w^3 - 8*w^4)*f[] \
[L[a]]*Nvec[U[a]]*

     P[L[b], L[c]]*P[U[b], U[c]])/(-4 + n) + (4*(-20 + 5*n - 2*w)*w*(-9 + n + \
2*w)*(-6 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*P[L[b], L[c]]*P[U[b], U[c]] \
[L[a]])/

    (-4 + n) + 10*(10 + n - 4*w)*(-8 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + \
2*w)*f[] [L[a], L[b], L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[d]]*P[U[c], L[d]] + 

   (4*w*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(50 - 5*n - 21*w + n*w + \
2*w^2)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[c], L[d]]*Weyl[L[a], U[c], L[b], \
U[d]])/(-4 + n) - 

   (4*w*(-9 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], L[e]]*Weyl[L[a], U[d], L[b], \
U[e]] [L[c]])/(-4 + n) - 

   (8*w*(-9 + n + 2*w)*(-6 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]] [L[e]]*Weyl[L[b], U[d], \
L[c], U[e]])/(-4 + n) - 

   (2*(-6 + n + 2*w)*(-4 + n + 2*w)*(-312 + 114*n - 9*n^2 + 108*w - 40*n*w + \
2*n^2*w - 44*w^2 + 8*n*w^2 + 8*w^3)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], \\
L[e]]*
   Weyl[L[b], U[d], L[c], U[e]])/(-4 + n) - (4*w*(-9 + n + 2*w)*(-6 + n + \
2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], \
L[e]] \\
[L[a]]*
   Weyl[L[b], U[d], L[c], U[e]])/(-4 + n) - 2*(-6 + n + 2*w)*(-4 + n + \
2*w)*(-222 + 19*n + n^2 + 190*w - 12*n*w - 28*w^2)*f[] \\
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
  P[L[b], L[e]]*Weyl[U[a], L[c], L[d], U[e]] + 2*(-6 + n + 2*w)*(-4 + n + \
2*w)*(940 - 110*n - 454*w + 27*n*w + 54*w^2)*f[] \\
[L[a], L[b]]*Hmc*Nvec[U[c]]*Nvec[U[d]]*
  Weyl[U[a], L[c], U[b], L[d]] - 6*(-6 + n + 2*w)*(-4 + n + 2*w)*(-26 + 3*n + \
6*w)*f[] [L[a], \\
L[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*
  Weyl[U[a], L[c], U[b], L[d]] [L[e]] + (2*(-6 + n + 2*w)*(-672 + 272*n - \
30*n^2 + n^3 + 352*w - 156*n*w + 12*n^2*w - 192*w^2 + \\
36*n*w^2 + 32*w^3)*f[] [L[a]]*Nvec[U[b]]*
   P[L[c], L[d]]*Weyl[U[a], U[c], L[b], U[d]])/(-4 + n) + 6*(-6 + n + \
2*w)*(-4 + n + 2*w)*(-26 + 3*n + 6*w)*f[] \\
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*
  Weyl[L[b], L[e], L[c], L[i]]*Weyl[U[a], U[e], L[d], U[i]] - 18*(-6 + n + \
2*w)*(-4 + n + 2*w)*(-26 + 3*n + 6*w)*f[] [L[a], \\
L[b], L[c]]*Nvec[U[a]]*Nvec[U[d]]*Nvec[U[e]]*
  Weyl[U[b], L[d], U[c], L[e]]\
\>", "\<\
                                                 a   b                        \
                                                                 a     3
(-15 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f          Hmc + (10 (-4 + w) \
(-3 + w) (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f      Hmc  - \

                                              ;a   b                          \
                                                              ;a 
 
                                                                              \
                             5                                            b   \
c      a 
  ((-4 + w) (-3 + w) (-2 + w) (-1 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + \
n + 2 w) (-2 + n + 2 w)) f Hmc  + (15 (-8 + n + 2 w) (-6 + n + 2 w)) f        \
    Nvec   - 
                                                                              \
                                                                     ;a b   c \

 
                                                                            b \
    2     a 
  (30 (-4 + w) (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f       \
 Hmc  Nvec   + 
                                                                       ;a b 
 
                                                                              \
                                4     a 
  (5 (-4 + w) (-3 + w) (-2 + w) (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + \
n + 2 w) (-2 + n + 2 w)) f    Hmc  Nvec   + 
                                                                              \
                         ;a 
 
                                                                     c        \
  a      b 
  (30 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f          Hmc \
Nvec   Nvec   - 
                                                              ;a b c 
 
                                                                              \
                          3     a      b 
  (10 (-4 + w) (-3 + w) (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) \
(-2 + n + 2 w)) f      Hmc  Nvec   Nvec   - 
                                                                              \
                 ;a b 
 
                                                              d      a      b \
     c 
  (10 (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f            Nvec   Nvec  \
 Nvec   + 
                                                     ;a b c d 
 
                                                                              \
                   2     a      b      c 
  (10 (-4 + w) (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n \
+ 2 w)) f        Hmc  Nvec   Nvec   Nvec   - 
                                                                              \
        ;a b c 
 
                                                                              \
                a      b      c      d 
  (5 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f  \
        Hmc Nvec   Nvec   Nvec   Nvec   + 
                                                                            ;\
a b c d 
 
                                                                              \
   a      b      c      d      e 
  ((-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f            \
Nvec   Nvec   Nvec   Nvec   Nvec   - 
                                                                 ;a b c d e 
 
                                                                              \
                       3     a      b 
  (10 (-4 + w) (-3 + w) (-2 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 \
w) (-2 + n + 2 w)) f Hmc  Nvec   Nvec   P     + 
                                                                              \
                                        a b 
 
                                                                              \
              2     a      b      c 
  (10 (-4 + w) (-3 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + \
n + 2 w)) f Hmc  Nvec   Nvec   Nvec   P        - 
                                                                              \
                                      a b ;c 
 
                                                                              \
         a      b      c      d 
  (5 (-4 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) \
f Hmc Nvec   Nvec   Nvec   Nvec   P          + 
                                                                              \
                                  a b ;c d 
 
                                                                              \
   2
  w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (140 - 20 n - 54 w + 5 n w + \
4 w )           a      b          c 
  ----------------------------------------------------------------------------\
----- f Hmc Nvec   Nvec   P          + 
                                       -4 + n                                 \
                           a b ;c 
 
                                                                        a     \
 b      c      d      e 
  (w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   \
Nvec   Nvec   Nvec   Nvec   P            - 
                                                                              \
                          a b ;c d e 
 
  w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-22 + 3 n + 4 w)       a    \
  b      c            d 
  ---------------------------------------------------------------- f Nvec   \
Nvec   Nvec   P            + 
                               -4 + n                                         \
             a b ;c d 
 
                                                                              \
        3    a                                                           a    \
b 
  (10 (-4 + w) (-3 + w) (-2 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 \
w)) f Hmc  P     - (15 (-4 + w) w (-8 + n + 2 w) (-6 + n + 2 w)) f Hmc P      \
    + 
                                                                              \
           a                                                           a   ;b \

 
                                                                   a          \
b      c 
  (30 (-4 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f      Hmc \
Nvec   Nvec   P     + 
                                                                ;a            \
           b c 
 
                                                                              \
                          2     a      b      c 
  (10 (-4 + w) (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n \
+ 2 w) (-2 + 3 w)) f    Hmc  Nvec   Nvec   Nvec   P     - 
                                                                              \
                   ;a                             b c 
 
                                                          a      b      c     \
 d 
  (10 w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f      Nvec   Nvec   \
Nvec   P        - 
                                                       ;a                     \
     b c ;d 
 
                                                                              \
                      a      b      c      d 
  (10 (-4 + w) (-1 + 2 w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + \
n + 2 w)) f    Hmc Nvec   Nvec   Nvec   Nvec   P        + 
                                                                              \
          ;a                                   b c ;d 
 
                                                        2                     \
    2         2         2      3                b      c        a 
  ((-6 + n + 2 w) (-4 + n + 2 w) (-1680 + 1040 n - 100 n  + 664 w - 462 n w + \
25 n  w - 68 w  + 52 n w  + 4 w )) f    Hmc Nvec   Nvec   P        - 
                                                                              \
                                    ;a                     b c ;
 
  (-14 + 3 n) w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-14 + n + 4 w)  \
     a      b      c              d 
  -------------------------------------------------------------------------- \
f Nvec   Nvec   Nvec   P     P        + 
                                    -4 + n                                    \
                       a d   b c ;
 
                                                                              \
      a      b      c      d      e 
  ((-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-2 + 5 w)) f  \
  Nvec   Nvec   Nvec   Nvec   Nvec   P          - 
                                                                            ;\
a                                      b c ;d e 
 
                                                                            2
  (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (8 - 2 n - 30 w + 5 n w + 4 w \
)          a      b      c          d 
  ----------------------------------------------------------------------------\
 f    Nvec   Nvec   Nvec   P          - 
                                     -4 + n                                   \
  ;a                        b c ;d 
 
                                                  2                     2     \
       b      c      d        a 
  ((-6 + n + 2 w) (-4 + n + 2 w) (120 - 74 n + 7 n  + 4 w + 12 n w - 4 w )) f \
   Nvec   Nvec   Nvec   P          - 
                                                                             ;\
a                        b c ;  d 
 
                                                           a         b 
  (30 (-4 + w) (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f      Hmc P     - 
                                                        ;a         b 
 
                                                                              \
         2     a     b 
  (30 (-4 + w) (-3 + w) (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 \
w)) f    Hmc  Nvec   P     - 
                                                                              \
  ;a               b 
 
                                                                  a     b 
  (15 (-4 + w) (-2 + w) w (-8 + n + 2 w) (-6 + n + 2 w)) f Hmc P     P     - 
                                                                a     b 
 
                                                                             2\
     a     b                                                                  \
      b  a 
  (30 (-4 + w) (-3 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f Hmc \
 Nvec   P        + (15 (-6 + n) (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f    \
Hmc P        + 
                                                                              \
         b   ;a                                                          ;a   \
    b   ;
 
                                                       a     b    c           \
                                    a     b      c 
  (15 (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f    Nvec   P          + (15 w \
(-8 + n + 2 w) (-6 + n + 2 w)) f Nvec   P            + 
                                               ;a          b   ;c             \
                                        b   ;a c 
 
                                                                       2      \
                  2         2         2
  2 w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-960 + 290 n - 20 n  + \
480 w - 123 n w + 5 n  w - 60 w  + 13 n w )           a      b           c 
  ----------------------------------------------------------------------------\
---------------------------------------- f Hmc Nvec   Nvec   P     P     - 
                                                         -4 + n               \
                                                              a c   b 
 
                                                                    2
  2 w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (256 - 56 n + 3 n  - 56 w \
+ 6 n w)       a      b      c           d 
  ----------------------------------------------------------------------------\
------- f Nvec   Nvec   Nvec   P     P        - 
                                        -4 + n                                \
                                a d   b   ;c 
 
                                                                     b      a \
     c      d 
  (10 (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + 3 w)) f        Nvec  \
 Nvec   Nvec   P     - 
                                                                ;a b          \
                c d 
 
                                                                              \
                        a      b      c      d 
  (10 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) \
(-4 + 3 w)) f      Hmc Nvec   Nvec   Nvec   Nvec   P     - 
                                                                              \
          ;a b                                   c d 
 
                                                                              \
                   a      b      c      d 
  (15 (-4 + w) (-2 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + \
n + 2 w)) f Hmc Nvec   Nvec   Nvec   Nvec   P     P     + 
                                                                              \
                                            a b   c d 
 
                                                                              \
         a      b      c      d      e 
  (10 (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f \
     Nvec   Nvec   Nvec   Nvec   Nvec   P        + 
                                                                             ;\
a b                                      c d ;e 
 
                                                                              \
        a      b      c      d      e 
  (2 w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-12 + 5 \
w)) f Nvec   Nvec   Nvec   Nvec   Nvec   P     P        - 
                                                                              \
                                        a b   c d ;e 
 
                                                    2                      2  \
            a      c      d        b 
  ((-6 + n + 2 w) (-4 + n + 2 w) (440 - 270 n + 25 n  - 84 w + 52 n w + 4 w \
)) f      Nvec   Nvec   Nvec   P        + 
                                                                              \
  ;a b                        c d ;
 
                                                    b      a     c 
  (30 (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f        Nvec   P     + 
                                               ;a b            c 
 
                                                                              \
       a      b     c 
  (30 (-4 + w) (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f      \
Hmc Nvec   Nvec   P     + 
                                                                       ;a b   \
                  c 
 
                                                                              \
    a      b           c 
  (30 (-4 + w) (-2 + w) w (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f Hmc \
Nvec   Nvec   P     P     + 
                                                                              \
               a b   c 
 
                                                                a     b     c \
                                                         a     b     c 
  (15 (-3 + w) (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f    Nvec   P     P    \
 + (15 w (-5 + 2 w) (-8 + n + 2 w) (-6 + n + 2 w)) f Nvec   P     P        + 
                                                        ;a          b     c   \
                                                             b     c   ;a 
 
                                                  a      b     c 
  (30 (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f      Nvec   P        + 
                                               ;a            c   ;b 
 
                                                                              \
     a      b     c 
  (60 (-4 + w) (-1 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f    \
Hmc Nvec   Nvec   P        - 
                                                                       ;a     \
                c   ;b 
 
                                                         a     c  b 
  (15 (-4 + n) (-8 + n + 2 w) (-6 + n + 2 w)) f      Nvec   P        - 
                                               ;a b          c   ;
 
                                       2    3                          2      \
   2         2       3
  w (-6 + n + 2 w) (1248 - 448 n + 30 n  + n  - 1088 w + 324 n w - 18 n  w + \
48 w  - 24 n w  + 32 w )       a           c  b 
  ----------------------------------------------------------------------------\
----------------------- f Nvec   P     P        + 
                                                -4 + n                        \
                                  a b   c   ;
 
                                                         2                    \
      2          2         2      3
  w (-6 + n + 2 w) (-4 + n + 2 w) (-3560 + 1260 n - 100 n  + 1532 w - 496 n w \
+ 25 n  w - 124 w  + 46 n w  - 8 w )           a      b     c 
  ----------------------------------------------------------------------------\
------------------------------------ f Hmc Nvec   Nvec   P          - 
                                                       -4 + n                 \
                                                          c   ;a b 
 
                                     2    3                         2         \
2         2       3
  (-6 + n + 2 w) (-672 + 272 n - 30 n  + n  - 608 w + 204 n w - 18 n  w + 48 \
w  - 24 n w  + 32 w )          b     c  a 
  ----------------------------------------------------------------------------\
-------------------- f    Nvec   P          - 
                                               -4 + n                         \
                      ;a          c   ;  b 
 
                                                      2    3                  \
         2        3          2          2       2  2        3         3
  2 (-6 + n + 2 w) (-4 + n + 2 w) (1408 - 584 n + 62 n  - n  - 1600 w + 774 n \
w - 111 n  w + 5 n  w + 792 w  - 284 n w  + 23 n  w  - 120 w  + 26 n w )      \
    a      b 
  ----------------------------------------------------------------------------\
------------------------------------------------------------------------ f    \
Nvec   Nvec   
                                                                         -4 + \
n                                                                         ;a 
 
       c           d                                                          \
                                 a      b      c      d      e 
   Nvec   P     P     + (10 (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + \
2 w) (-2 + n + 2 w)) f        Nvec   Nvec   Nvec   Nvec   Nvec   P     + 
           b d   c                                                            \
                     ;a b c                                      d e 
 
                                                                              \
  2            a      b      c      d      e 
  ((-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (24 - 50 w + \
15 w )) f    Nvec   Nvec   Nvec   Nvec   Nvec   P     P     - 
                                                                              \
       ;a                                      b c   d e 
 
                                                                          a   \
   b      c     d 
  (10 (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f        Nvec   \
Nvec   Nvec   P     - 
                                                              ;a b c          \
              d 
 
                                                      2                       \
  2         2         2
  w (-6 + n + 2 w) (-4 + n + 2 w) (-684 + 268 n - 23 n  + 532 w - 170 n w + \
10 n  w - 88 w  + 20 n w )       a      b      c              d 
  ----------------------------------------------------------------------------\
------------------------ f Nvec   Nvec   Nvec   P        P     - 
                                                 -4 + n                       \
                                                 a b ;c   d 
 
                                                                              \
   a      b      c           d 
  (10 (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + 3 w)) f    \
Nvec   Nvec   Nvec   P     P     - 
                                                                         ;a   \
                     b c   d 
 
                                                                        a     \
 b      c     d 
  (30 (-2 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f      Nvec   \
Nvec   Nvec   P        - 
                                                              ;a b            \
            d   ;c 
 
                                                         2                    \
     2          2         2
  2 w (-6 + n + 2 w) (-4 + n + 2 w) (-1236 + 452 n - 37 n  + 748 w - 250 n w \
+ 15 n  w - 112 w  + 30 n w )       a      b      c           d 
  ----------------------------------------------------------------------------\
---------------------------- f Nvec   Nvec   Nvec   P     P        - 
                                                   -4 + n                     \
                                                     a b   d   ;c 
 
                                                    2                         \
 2          2         2      3
  (-6 + n + 2 w) (-4 + n + 2 w) (-624 + 228 n - 18 n  + 1044 w - 356 n w + 25 \
n  w - 172 w  + 46 n w  - 8 w )          a      b      c     d 
  ----------------------------------------------------------------------------\
------------------------------- f    Nvec   Nvec   Nvec   P          - 
                                                    -4 + n                    \
                                 ;a                        d   ;b c 
 
                                                   2                      2
  w (-6 + n + 2 w) (-4 + n + 2 w) (276 - 92 n + 7 n  - 28 w + 10 n w - 8 w )  \
     a      b      c     d 
  -------------------------------------------------------------------------- \
f Nvec   Nvec   Nvec   P            + 
                                    -4 + n                                    \
                       d   ;a b c 
 
                                                                              \
               2     b   a 
  (10 (-2 + n - 4 w) (-4 + w) (-3 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n \
+ 2 w)) f    Hmc  Nvec   P     - 
                                                                              \
        ;a                 b 
 
                                                              2            b  \
   c   a 
  (10 (-8 + n + 2 w) (-6 + n + 2 w) (6 - 3 n + 8 w + n w - 4 w )) f    Nvec   \
P     P     - 
                                                                   ;a         \
 c       b 
 
                                                        2                     \
    2          2        2       3                b      c   a 
  (2 (-6 + n + 2 w) (-4 + n + 2 w) (-1000 + 620 n - 60 n  - 388 w - 176 n w + \
15 n  w + 356 w  + 6 n w  - 48 w )) f    Hmc Nvec   Nvec   P        + 
                                                                              \
                                     ;a                       b ;c 
 
                                                   2                    2     \
       b      c      d   a 
  (4 (-6 + n + 2 w) (-4 + n + 2 w) (34 - 21 n + 2 n  + 36 w - n w - 10 w )) f \
   Nvec   Nvec   Nvec   P          - 
                                                                             ;\
a                          b ;c d 
 
                                      2      3                        2       \
   2         2       3
  (-6 + n + 2 w) (-608 + 528 n - 130 n  + 9 n  - 352 w + 116 n w - 2 n  w + \
272 w  - 56 n w  - 32 w )          b   a      c 
  ----------------------------------------------------------------------------\
----------------------- f    Nvec   P          - 
                                                -4 + n                        \
                         ;a            b ;c 
 
                                                         b      c   a         \
                                  2                      2              c   a \
   b 
  (10 (2 + n - 4 w) (-8 + n + 2 w) (-6 + n + 2 w)) f        Nvec   P     - (2 \
(-6 + n + 2 w) (224 - 138 n + 13 n  - 36 w + 22 n w - 8 w )) f      Nvec   P  \
      + 
                                                    ;a b              c       \
                                                              ;a b            \
c ;
 
                                                                              \
   2            b      c      d         a 
  (2 (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (12 - 6 n + 38 w + 5 n w - \
20 w )) f    Nvec   Nvec   Nvec   P     P     + 
                                                                              \
        ;a                        b c     d 
 
                                            2              a b 
  (30 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w) ) f      Hmc P     - 
                                                ;a b 
 
                                                          2                   \
    2        2        2      3
    2 w (-6 + n + 2 w) (-2 + n + 2 w) (-680 + 250 n - 20 n  + 232 w - 93 n w \
+ 5 n  w + 2 w  + 8 n w  - 4 w )              a b 
    --------------------------------------------------------------------------\
------------------------------- f Hmc P     P     + 
                                                     -4 + n                   \
                                       a b 
 
                                  2                     2              c   a b 
  (6 (-6 + n + 2 w) (-32 - 6 n + n  - 12 w + 4 n w + 4 w )) f      Nvec   P   \
     + 
                                                             ;a b             \
 ;c 
 
                                        2       3      4                      \
      2        3           2          2       2  2         3
  (-6 + n + 2 w) (-7040 + 4272 n - 532 n  - 60 n  + 9 n  + 8160 w - 3752 n w \
+ 456 n  w - 2 n  w - 1600 w  + 672 n w  - 56 n  w  - 32 n w )          b     \
    a c 
  ----------------------------------------------------------------------------\
------------------------------------------------------------- f    Nvec   P   \
  P     - 
                                                                   -4 + n     \
                                                               ;a          b c 
 
                                                                              \
            a      c   b 
  (20 (4 + n - 4 w) (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f  \
    Hmc Nvec   Nvec   P     + 
                                                                            ;\
a b                       c 
 
                                                      2                       \
2              a      c      d   b 
  (2 (-6 + n + 2 w) (-4 + n + 2 w) (100 - 140 n + 15 n  + 188 w + 6 n w - 48 \
w )) f      Nvec   Nvec   Nvec   P        - 
                                                                              \
     ;a b                          c ;d 
 
                                   2               a   b c    8 w (-9 + n + 2 \
w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a            b c 
  (30 (-8 + n + 2 w) (-6 + n + 2 w) ) f        Nvec   P     - \
--------------------------------------------------------------- f Nvec   P    \
    P     + 
                                       ;a b c                                 \
            -4 + n                                        a b ;c 
 
                                    3                         2        3      \
    2          2       2  2       3         3      4
  2 (-6 + n + 2 w) (-528 + 148 n - n  - 256 w + 274 n w - 75 n  w + 5 n  w + \
332 w  - 156 n w  + 18 n  w  - 20 w  + 12 n w  - 8 w )          a         b c \

  ----------------------------------------------------------------------------\
----------------------------------------------------- f    Nvec   P     P     \
+ 
                                                               -4 + n         \
                                                       ;a          b c 
 
  4 (-20 + 5 n - 2 w) w (-9 + n + 2 w) (-6 + n + 2 w) (-2 + n + 2 w)       a  \
       b c 
  ------------------------------------------------------------------ f Nvec   \
P     P        + 
                                -4 + n                                        \
 b c       ;a 
 
                                                                              \
  a      b      d   c 
  (10 (10 + n - 4 w) (-8 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w)) f        \
Nvec   Nvec   Nvec   P     + 
                                                                    ;a b c    \
                      d 
 
                                                                              \
 2
  4 w (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (50 - 5 n - 21 w + n w + 2 \
w )           a      b              c   d 
  ----------------------------------------------------------------------------\
--- f Hmc Nvec   Nvec   P     Weyl         - 
                                      -4 + n                                  \
                         c d      a   b 
 
  4 w (-9 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a     \
 b      c              d   e 
  --------------------------------------------------------------- f Nvec   \
Nvec   Nvec   P     Weyl            - 
                              -4 + n                                          \
            d e      a   b   ;c 
 
  8 w (-9 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a     \
 b      c                 d   e 
  --------------------------------------------------------------- f Nvec   \
Nvec   Nvec   P        Weyl         - 
                              -4 + n                                          \
            a d ;e      b   c 
 
                                                     2                       \
2         2        2      3
  2 (-6 + n + 2 w) (-4 + n + 2 w) (-312 + 114 n - 9 n  + 108 w - 40 n w + 2 n \
 w - 44 w  + 8 n w  + 8 w )          a      b      c              d   e 
  ----------------------------------------------------------------------------\
--------------------------- f    Nvec   Nvec   Nvec   P     Weyl         - 
                                                  -4 + n                      \
                             ;a                        d e      b   c 
 
  4 w (-9 + n + 2 w) (-6 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a     \
 b      c                 d   e 
  --------------------------------------------------------------- f Nvec   \
Nvec   Nvec   P        Weyl         - 
                              -4 + n                                          \
            d e ;a      b   c 
 
                                                   2                        2 \
           b      c      d            a     e 
  (2 (-6 + n + 2 w) (-4 + n + 2 w) (-222 + 19 n + n  + 190 w - 12 n w - 28 w \
)) f    Nvec   Nvec   Nvec   P     Weyl         + 
                                                                              \
   ;a                        b e        c d 
 
                                                                       2      \
            c      d      a   b 
  (2 (-6 + n + 2 w) (-4 + n + 2 w) (940 - 110 n - 454 w + 27 n w + 54 w )) f  \
    Hmc Nvec   Nvec   Weyl         - 
                                                                            ;\
a b                          c   d 
 
                                                                 c      d     \
 e      a   b 
  (6 (-6 + n + 2 w) (-4 + n + 2 w) (-26 + 3 n + 6 w)) f      Nvec   Nvec   \
Nvec   Weyl            + 
                                                       ;a b                   \
          c   d ;e 
 
                                       2    3                         2       \
   2         2       3
  2 (-6 + n + 2 w) (-672 + 272 n - 30 n  + n  + 352 w - 156 n w + 12 n  w - \
192 w  + 36 n w  + 32 w )          b            a c   d 
  ----------------------------------------------------------------------------\
----------------------- f    Nvec   P     Weyl         + 
                                                -4 + n                        \
                         ;a          c d          b 
 
                                                               b      c      \
d                   a e   i 
  (6 (-6 + n + 2 w) (-4 + n + 2 w) (-26 + 3 n + 6 w)) f    Nvec   Nvec   Nvec \
  Weyl         Weyl         - 
                                                       ;a                     \
      b e c i          d 
 
                                                                    a      d  \
    e      b   c 
  (18 (-6 + n + 2 w) (-4 + n + 2 w) (-26 + 3 n + 6 w)) f        Nvec   Nvec   \
Nvec   Weyl
                                                        ;a b c                \
             d   e\
\>"], "Output",
 CellChangeTimes->{
  3.762161984495002*^9, {3.762162092510092*^9, 3.762162158027876*^9}, 
   3.762162425436256*^9, {3.762162496102448*^9, 3.762162513432311*^9}, 
   3.762203007112543*^9, 3.764535081379051*^9, 3.766001052775139*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepCCThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"w", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"3", "-", 
         RowBox[{"(", 
          RowBox[{"n", "/", "2"}], ")"}]}], ")"}]}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.514636149367123*^9, 3.569442480836445*^9, 
  3.569616022725309*^9, 3.569702077244132*^9, 3.761915888966308*^9, 
  3.7621619274972258`*^9, 3.762203599036088*^9, 3.7645350868538723`*^9, 
  3.7660011007248383`*^9}]
}, Open  ]],

Cell[TextData[{
 "The output from the above command should be zero.  This gives us more \
confidence in our belief that each term of ",
 StyleBox["StepCCThree", "Input"],
 " contains a factor\n\n     ",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6."
}], "Text",
 CellChangeTimes->{{3.7621625819097223`*^9, 3.762162663294384*^9}}],

Cell[TextData[{
 "We now divide by ",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6."
}], "Text",
 CellChangeTimes->{{3.454635967011414*^9, 3.454635993238861*^9}, 
   3.454699861266321*^9, {3.762162675790638*^9, 3.76216267831835*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepCCThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "+", 
         RowBox[{"2", "w"}], "-", "6"}], ")"}]}], ")"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepCCFour", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454636012888219*^9, 3.454636042714757*^9}, {
  3.4546369773281*^9, 3.454636993159717*^9}, {3.454639523663233*^9, 
  3.454639544304859*^9}, {3.454700475934057*^9, 3.454700489204702*^9}, {
  3.454708002829771*^9, 3.454708011262705*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "StepCCFour", "]"}]], "Input",
 CellChangeTimes->{{3.4546472927628307`*^9, 3.4546472998631372`*^9}, {
  3.454700501671383*^9, 3.4547005041154327`*^9}}],

Cell[OutputFormData["\<\
95\
\>", "\<\
95\
\>"], "Output",
 CellChangeTimes->{3.454647300890774*^9, 3.4547005085616837`*^9, 
  3.454700842261794*^9, 3.454708015634614*^9, 3.455229022317705*^9, 
  3.455229142120927*^9, 3.514636169042453*^9, 3.569442490021686*^9, 
  3.569616055284089*^9, 3.5697021515240498`*^9, 3.7619158912834253`*^9, 
  3.762162010582844*^9, 3.7621626851125*^9, 3.762203612113854*^9, 
  3.764535091320114*^9, 3.7660011104897747`*^9}]
}, Open  ]],

Cell[TextData[{
 "In the output from the following command, the letter ",
 StyleBox["w",
  FontSlant->"Italic"],
 " should not appear in the denominator of any coefficient.  The factor\n\n  ",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6\n\nshould have canceled out."
}], "Text",
 CellChangeTimes->{{3.762162836980901*^9, 3.7621628958716516`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["StepCCFour"], "Input",
 CellChangeTimes->{{3.762162828665936*^9, 3.762162831615353*^9}}],

Cell[OutputFormData["\<\
-15*(-4 + w)*(-8 + n + 2*w)*f[] [L[a], U[a], L[b], U[b]]*Hmc + 10*(-4 + \
w)*(-3 + w)*(-2 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], U[a]]*Hmc^3 - 

   (-4 + w)*(-3 + w)*(-2 + w)*(-1 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + \
n + 2*w)*f*Hmc^5 + 15*(-8 + n + 2*w)*f[] [L[a], L[b], U[b], L[c], \
U[c]]*Nvec[U[a]] - 

   30*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], \
U[b]]*Hmc^2*Nvec[U[a]] + 5*(-4 + w)*(-3 + w)*(-2 + w)*(-1 + w)*(-8 + n + \
2*w)*(-4 + n + 2*w)*

    (-2 + n + 2*w)*f[] [L[a]]*Hmc^4*Nvec[U[a]] + 30*(-4 + w)*(-8 + n + \
2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], L[c], U[c]]*Hmc*Nvec[U[a]]*Nvec[U[b]] - 

   10*(-4 + w)*(-3 + w)*(-2 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f[] [L[a], L[b]]*Hmc^3*Nvec[U[a]]*Nvec[U[b]] - 

   10*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], L[c], L[d], \
U[d]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] + 

   10*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a], L[b], L[c]]*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 

   5*(-4 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], L[b], \
L[c], L[d]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]] + 

   (-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], L[b], L[c], L[d], \
L[e]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]] - 

   10*(-4 + w)*(-3 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc^3*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] + 

   10*(-4 + w)*(-3 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] - 

   5*(-4 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]] [L[c], \
L[d]] + 

   (w*(-4 + n + 2*w)*(-2 + n + 2*w)*(140 - 20*n - 54*w + 5*n*w + \
4*w^2)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] [L[c], U[c]])/(-4 + n) + 

   w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[a], L[b]] \
[L[c], L[d], L[e]] - 

   (w*(-4 + n + 2*w)*(-2 + n + 2*w)*(-22 + 3*n + \
4*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c], L[d], U[d]])/(-4 \
+ n) + 

   10*(-4 + w)*(-3 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-4 + n + \
2*w)*f*Hmc^3*P[L[a], U[a]] - 15*(-4 + w)*w*(-8 + n + 2*w)*f*Hmc*P[L[a], U[a]] \
[L[b], U[b]] + 

   30*(-4 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \
U[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] + 

   10*(-4 + w)*(-3 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-2 + \
3*w)*f[] [L[a]]*Hmc^2*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 

   10*w*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \
U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], L[c]] [L[d]] - 

   10*(-4 + w)*(-1 + 2*w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], L[c]] [L[d]] + 

   (-4 + n + 2*w)*(-1680 + 1040*n - 100*n^2 + 664*w - 462*n*w + 25*n^2*w - \
68*w^2 + 52*n*w^2 + 4*w^3)*f[] [L[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] \
[U[a]] - 

   ((-14 + 3*n)*w*(-4 + n + 2*w)*(-2 + n + 2*w)*(-14 + n + \
4*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]]*P[L[b], L[c]] \
[U[d]])/(-4 + n) + 

   (-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-2 + 5*w)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[b], L[c]] \
[L[d], L[e]] - 

   ((-4 + n + 2*w)*(-2 + n + 2*w)*(8 - 2*n - 30*w + 5*n*w + 4*w^2)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] [L[d], U[d]])/(-4 + n) - 

   (-4 + n + 2*w)*(120 - 74*n + 7*n^2 + 4*w + 12*n*w - 4*w^2)*f[] \
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], L[c]] [U[a], L[d]] - 

   30*(-4 + w)*(-1 + w)*(-8 + n + 2*w)*f[] [L[a], U[a]]*Hmc*P[L[b], U[b]] - \
30*(-4 + w)*(-3 + w)*(-1 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] \
[L[a]]*Hmc^2*Nvec[U[a]]*

    P[L[b], U[b]] - 15*(-4 + w)*(-2 + w)*w*(-8 + n + 2*w)*f*Hmc*P[L[a], \
U[a]]*P[L[b], U[b]] - 30*(-4 + w)*(-3 + w)*w*(-8 + n + 2*w)*(-4 + n + \
2*w)*f*Hmc^2*Nvec[U[a]]*

    P[L[b], U[b]] [L[a]] + 15*(-6 + n)*(-4 + w)*(-8 + n + 2*w)*f[] \
[L[a]]*Hmc*P[L[b], U[b]] [U[a]] + 

   15*(-1 + w)*(-8 + n + 2*w)*f[] [L[a]]*Nvec[U[a]]*P[L[b], U[b]] [L[c], \
U[c]] + 15*w*(-8 + n + 2*w)*f*Nvec[U[a]]*P[L[b], U[b]] [L[a], L[c], U[c]] + 

   (2*w*(-4 + n + 2*w)*(-2 + n + 2*w)*(-960 + 290*n - 20*n^2 + 480*w - \
123*n*w + 5*n^2*w - 60*w^2 + 13*n*w^2)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], \
L[c]]*P[L[b], U[c]])/

    (-4 + n) - (2*w*(-4 + n + 2*w)*(-2 + n + 2*w)*(256 - 56*n + 3*n^2 - 56*w \
+ 6*n*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]]*P[L[b], U[d]] \
[L[c]])/(-4 + n) - 

   10*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + 3*w)*f[] [L[a], L[b], \
U[b]]*Nvec[U[a]]*Nvec[U[c]]*Nvec[U[d]]*P[L[c], L[d]] - 

   10*(-4 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-4 + 3*w)*f[] \
[L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[c], L[d]] - 

   15*(-4 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[a], L[b]]*P[L[c], \
L[d]] + 

   10*(-1 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[c], L[d]] \
[L[e]] + 

   2*w*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*(-12 + \
5*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[a], \
L[b]]*P[L[c], L[d]] [L[e]] - 

   (-4 + n + 2*w)*(440 - 270*n + 25*n^2 - 84*w + 52*n*w + 4*w^2)*f[] [L[a], \
L[b]]*Nvec[U[a]]*Nvec[U[c]]*Nvec[U[d]]*P[L[c], L[d]] [U[b]] + 

   30*(-2 + w)*(-8 + n + 2*w)*f[] [L[a], L[b], U[b]]*Nvec[U[a]]*P[L[c], U[c]] \
+ 30*(-4 + w)*(-2 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \
L[b]]*Hmc*Nvec[U[a]]*

    Nvec[U[b]]*P[L[c], U[c]] + 30*(-4 + w)*(-2 + w)*w*(-8 + n + 2*w)*(-4 + n \
+ 2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]]*P[L[c], U[c]] + 

   15*(-3 + w)*(-1 + w)*(-8 + n + 2*w)*f[] [L[a]]*Nvec[U[a]]*P[L[b], \
U[b]]*P[L[c], U[c]] + 15*w*(-5 + 2*w)*(-8 + n + 2*w)*f*Nvec[U[a]]*P[L[b], \
U[b]]*P[L[c], U[c]] [L[a]] \\
+ 
 30*(-1 + w)*(-8 + n + 2*w)*f[] [L[a], U[a]]*Nvec[U[b]]*P[L[c], U[c]] [L[b]] \
+ 60*(-4 + w)*(-1 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] \\
[L[a]]*Hmc*Nvec[U[a]]*Nvec[U[b]]*
  P[L[c], U[c]] [L[b]] - 15*(-4 + n)*(-8 + n + 2*w)*f[] [L[a], \
L[b]]*Nvec[U[a]]*P[L[c], U[c]] [U[b]] - 

   (w*(1248 - 448*n + 30*n^2 + n^3 - 1088*w + 324*n*w - 18*n^2*w + 48*w^2 - \
24*n*w^2 + 32*w^3)*f*Nvec[U[a]]*P[L[a], L[b]]*P[L[c], U[c]] [U[b]])/(-4 + n) + 

   (w*(-4 + n + 2*w)*(-3560 + 1260*n - 100*n^2 + 1532*w - 496*n*w + 25*n^2*w \
- 124*w^2 + 46*n*w^2 - 8*w^3)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[c], U[c]] \
[L[a], L[b]])/

    (-4 + n) - ((-672 + 272*n - 30*n^2 + n^3 - 608*w + 204*n*w - 18*n^2*w + \
48*w^2 - 24*n*w^2 + 32*w^3)*f[] [L[a]]*Nvec[U[b]]*P[L[c], U[c]] [U[a], \
L[b]])/(-4 + n) - 

   (2*(-4 + n + 2*w)*(1408 - 584*n + 62*n^2 - n^3 - 1600*w + 774*n*w - \
111*n^2*w + 5*n^3*w + 792*w^2 - 284*n*w^2 + 23*n^2*w^2 - 120*w^3 + \
26*n*w^3)*f[] \\
[L[a]]*Nvec[U[a]]*
   Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[d]]*P[L[c], U[d]])/(-4 + n) + 10*(-2 + \
w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] [L[a], L[b], \\
L[c]]*Nvec[U[a]]*Nvec[U[b]]*
  Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*P[L[d], L[e]] + (-8 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*(24 - 50*w + 15*w^2)*f[] \\
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
  Nvec[U[d]]*Nvec[U[e]]*P[L[b], L[c]]*P[L[d], L[e]] - 10*(-3 + w)*(-8 + n + \
2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], \\
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] - 
 (w*(-4 + n + 2*w)*(-684 + 268*n - 23*n^2 + 532*w - 170*n*w + 10*n^2*w - \
88*w^2 + \\
20*n*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]]*P[L[d], \
U[d]])/
  (-4 + n) - 10*(-3 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*(-2 + 3*w)*f[] \\
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]]*P[L[d], U[d]] - 
 30*(-2 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], \\
L[b]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], U[d]] [L[c]] - 
 (2*w*(-4 + n + 2*w)*(-1236 + 452*n - 37*n^2 + 748*w - 250*n*w + 15*n^2*w - \
112*w^2 + \\
30*n*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]]*P[L[d], U[d]] \
[L[c]])/
  (-4 + n) - ((-4 + n + 2*w)*(-624 + 228*n - 18*n^2 + 1044*w - 356*n*w + \
25*n^2*w - \\
172*w^2 + 46*n*w^2 - 8*w^3)*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
   P[L[d], U[d]] [L[b], L[c]])/(-4 + n) - (w*(-4 + n + 2*w)*(276 - 92*n + \
7*n^2 - 28*w + 10*n*w \\
- 8*w^2)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*
   P[L[d], U[d]] [L[a], L[b], L[c]])/(-4 + n) + 10*(-2 + n - 4*w)*(-4 + \
w)*(-3 + w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] \\
[L[a]]*Hmc^2*Nvec[U[b]]*P[U[a], L[b]] - 
 10*(-8 + n + 2*w)*(6 - 3*n + 8*w + n*w - 4*w^2)*f[] \
[L[a]]*Nvec[U[b]]*P[L[c], U[c]]*P[U[a], L[b]] - 

   2*(-4 + n + 2*w)*(-1000 + 620*n - 60*n^2 - 388*w - 176*n*w + 15*n^2*w + \
356*w^2 + 6*n*w^2 - 48*w^3)*f[] [L[a]]*Hmc*Nvec[U[b]]*Nvec[U[c]]*P[U[a], \
L[b]] [L[c]] + 

   4*(-4 + n + 2*w)*(34 - 21*n + 2*n^2 + 36*w - n*w - 10*w^2)*f[] \
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[U[a], L[b]] [L[c], L[d]] + 

   ((608 - 528*n + 130*n^2 - 9*n^3 + 352*w - 116*n*w + 2*n^2*w - 272*w^2 + \
56*n*w^2 + 32*w^3)*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]] [L[c], U[c]])/(-4 + n) \
- 

   10*(2 + n - 4*w)*(-8 + n + 2*w)*f[] [L[a], L[b], U[b]]*Nvec[U[c]]*P[U[a], \
L[c]] - 2*(224 - 138*n + 13*n^2 - 36*w + 22*n*w - 8*w^2)*f[] [L[a], \
L[b]]*Nvec[U[c]]*

    P[U[a], L[c]] [U[b]] + 2*(-8 + n + 2*w)*(-4 + n + 2*w)*(12 - 6*n + 38*w + \
5*n*w - 20*w^2)*f[] [L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], \
L[c]]*P[U[a], L[d]] + 

   30*(-4 + w)*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a], L[b]]*Hmc*P[U[a], \
U[b]] - 

   (2*w*(-2 + n + 2*w)*(-680 + 250*n - 20*n^2 + 232*w - 93*n*w + 5*n^2*w + \
2*w^2 + 8*n*w^2 - 4*w^3)*f*Hmc*P[L[a], L[b]]*P[U[a], U[b]])/(-4 + n) + 

   6*(-32 - 6*n + n^2 - 12*w + 4*n*w + 4*w^2)*f[] [L[a], \
L[b]]*Nvec[U[c]]*P[U[a], U[b]] [L[c]] + 

   ((-7040 + 4272*n - 532*n^2 - 60*n^3 + 9*n^4 + 8160*w - 3752*n*w + \
456*n^2*w - 2*n^3*w - 1600*w^2 + 672*n*w^2 - 56*n^2*w^2 - 32*n*w^3)*f[] \
[L[a]]*Nvec[U[b]]*

     P[L[b], L[c]]*P[U[a], U[c]])/(-4 + n) - 20*(4 + n - 4*w)*(-4 + w)*(-8 + \
n + 2*w)*(-4 + n + 2*w)*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[c]]*P[U[b], \
L[c]] + 

   2*(-4 + n + 2*w)*(100 - 140*n + 15*n^2 + 188*w + 6*n*w - 48*w^2)*f[] \
[L[a], L[b]]*Nvec[U[a]]*Nvec[U[c]]*Nvec[U[d]]*P[U[b], L[c]] [L[d]] - 

   30*(-8 + n + 2*w)*(-6 + n + 2*w)*f[] [L[a], L[b], L[c]]*Nvec[U[a]]*P[U[b], \
U[c]] - 

   (8*w*(-9 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*P[L[a], \
L[b]] [L[c]]*P[U[b], U[c]])/(-4 + n) + 

   (2*(-528 + 148*n - n^3 - 256*w + 274*n*w - 75*n^2*w + 5*n^3*w + 332*w^2 - \
156*n*w^2 + 18*n^2*w^2 - 20*w^3 + 12*n*w^3 - 8*w^4)*f[] \
[L[a]]*Nvec[U[a]]*P[L[b], L[c]]*

     P[U[b], U[c]])/(-4 + n) + (4*(-20 + 5*n - 2*w)*w*(-9 + n + 2*w)*(-2 + n \
+ 2*w)*f*Nvec[U[a]]*P[L[b], L[c]]*P[U[b], U[c]] [L[a]])/(-4 + n) + 

   10*(10 + n - 4*w)*(-8 + n + 2*w)*(-4 + n + 2*w)*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[d]]*P[U[c], L[d]] + 

   (4*w*(-4 + n + 2*w)*(-2 + n + 2*w)*(50 - 5*n - 21*w + n*w + \
2*w^2)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[c], L[d]]*Weyl[L[a], U[c], L[b], \
U[d]])/(-4 + n) - 

   (4*w*(-9 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], L[e]]*Weyl[L[a], U[d], L[b], \
U[e]] [L[c]])/(-4 + n) - 

   (8*w*(-9 + n + 2*w)*(-4 + n + 2*w)*(-2 + n + \
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[d]] [L[e]]*Weyl[L[b], U[d], \
L[c], U[e]])/(-4 + n) - 

   (2*(-4 + n + 2*w)*(-312 + 114*n - 9*n^2 + 108*w - 40*n*w + 2*n^2*w - \
44*w^2 + 8*n*w^2 + 8*w^3)*f[] [L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], \
L[e]]*

     Weyl[L[b], U[d], L[c], U[e]])/(-4 + n) - (4*w*(-9 + n + 2*w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[d], L[e]] [L[a]]*

     Weyl[L[b], U[d], L[c], U[e]])/(-4 + n) - 2*(-4 + n + 2*w)*(-222 + 19*n + \
n^2 + 190*w - 12*n*w - 28*w^2)*f[] \
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*P[L[b], L[e]]*

    Weyl[U[a], L[c], L[d], U[e]] + 2*(-4 + n + 2*w)*(940 - 110*n - 454*w + \
27*n*w + 54*w^2)*f[] [L[a], L[b]]*Hmc*Nvec[U[c]]*Nvec[U[d]]*Weyl[U[a], L[c], \
U[b], L[d]] - 

   6*(-4 + n + 2*w)*(-26 + 3*n + 6*w)*f[] [L[a], \
L[b]]*Nvec[U[c]]*Nvec[U[d]]*Nvec[U[e]]*Weyl[U[a], L[c], U[b], L[d]] [L[e]] + 

   (2*(-672 + 272*n - 30*n^2 + n^3 + 352*w - 156*n*w + 12*n^2*w - 192*w^2 + \
36*n*w^2 + 32*w^3)*f[] [L[a]]*Nvec[U[b]]*P[L[c], L[d]]*Weyl[U[a], U[c], L[b], \
U[d]])/(-4 + n) \\
+ 
 6*(-4 + n + 2*w)*(-26 + 3*n + 6*w)*f[] \
[L[a]]*Nvec[U[b]]*Nvec[U[c]]*Nvec[U[d]]*Weyl[L[b], L[e], L[c], \
L[i]]*Weyl[U[a], U[e], L[d], U[i]] - 

   18*(-4 + n + 2*w)*(-26 + 3*n + 6*w)*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[d]]*Nvec[U[e]]*Weyl[U[b], L[d], U[c], L[e]]\
\>", "\<\
                                  a   b                                       \
                                   a     3
(-15 (-4 + w) (-8 + n + 2 w)) f          Hmc + (10 (-4 + w) (-3 + w) (-2 + w) \
(-8 + n + 2 w) (-4 + n + 2 w)) f      Hmc  - 
                               ;a   b                                         \
                                ;a 
 
                                                                              \
              5                             b   c      a 
  ((-4 + w) (-3 + w) (-2 + w) (-1 + w) w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + \
n + 2 w)) f Hmc  + (15 (-8 + n + 2 w)) f            Nvec   - 
                                                                              \
                                       ;a b   c 
 
                                                             b     2     a 
  (30 (-4 + w) (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f        Hmc  Nvec   + \

                                                        ;a b 
 
                                                                              \
                 4     a 
  (5 (-4 + w) (-3 + w) (-2 + w) (-1 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + \
n + 2 w)) f    Hmc  Nvec   + 
                                                                              \
          ;a 
 
                                                      c          a      b 
  (30 (-4 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f          Hmc Nvec   Nvec   - 
                                               ;a b c 
 
                                                                              \
           3     a      b 
  (10 (-4 + w) (-3 + w) (-2 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 \
w)) f      Hmc  Nvec   Nvec   - 
                                                                              \
  ;a b 
 
                                               d      a      b      c 
  (10 (-8 + n + 2 w) (-4 + n + 2 w)) f            Nvec   Nvec   Nvec   + 
                                      ;a b c d 
 
                                                                              \
    2     a      b      c 
  (10 (-4 + w) (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f       \
 Hmc  Nvec   Nvec   Nvec   - 
                                                                       ;a b c \

 
                                                                              \
 a      b      c      d 
  (5 (-4 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f          Hmc \
Nvec   Nvec   Nvec   Nvec   + 
                                                             ;a b c d 
 
                                                                  a      b    \
  c      d      e 
  ((-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f            Nvec   Nvec   \
Nvec   Nvec   Nvec   - 
                                                  ;a b c d e 
 
                                                                              \
        3     a      b 
  (10 (-4 + w) (-3 + w) (-2 + w) w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 \
w)) f Hmc  Nvec   Nvec   P     + 
                                                                              \
                         a b 
 
                                                                             2\
     a      b      c 
  (10 (-4 + w) (-3 + w) w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Hmc \
 Nvec   Nvec   Nvec   P        - 
                                                                              \
                       a b ;c 
 
                                                                        a     \
 b      c      d 
  (5 (-4 + w) w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Hmc Nvec   \
Nvec   Nvec   Nvec   P          + 
                                                                              \
                   a b ;c d 
 
                                                                  2
  w (-4 + n + 2 w) (-2 + n + 2 w) (140 - 20 n - 54 w + 5 n w + 4 w )          \
 a      b          c 
  ------------------------------------------------------------------ f Hmc \
Nvec   Nvec   P          + 
                                -4 + n                                        \
            a b ;c 
 
                                                         a      b      c      \
d      e 
  (w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   Nvec   Nvec   \
Nvec   Nvec   P            - 
                                                                              \
           a b ;c d e 
 
  w (-4 + n + 2 w) (-2 + n + 2 w) (-22 + 3 n + 4 w)       a      b      c     \
       d                                                                      \
   3    a 
  ------------------------------------------------- f Nvec   Nvec   Nvec   P  \
          + (10 (-4 + w) (-3 + w) (-2 + w) w (-8 + n + 2 w) (-4 + n + 2 w)) f \
Hmc  P     - 
                       -4 + n                                               a \
b ;c d                                                                        \
      a 
 
                                          a    b                              \
                        a          b      c 
  (15 (-4 + w) w (-8 + n + 2 w)) f Hmc P          + (30 (-4 + w) w (-8 + n + \
2 w) (-4 + n + 2 w)) f      Hmc Nvec   Nvec   P     + 
                                        a   ;b                                \
                     ;a                       b c 
 
                                                                              \
           2     a      b      c 
  (10 (-4 + w) (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-2 + 3 \
w)) f    Hmc  Nvec   Nvec   Nvec   P     - 
                                                                              \
    ;a                             b c 
 
                                           a      b      c      d 
  (10 w (-8 + n + 2 w) (-4 + n + 2 w)) f      Nvec   Nvec   Nvec   P        - \

                                        ;a                          b c ;d 
 
                                                                              \
       a      b      c      d 
  (10 (-4 + w) (-1 + 2 w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f    \
Hmc Nvec   Nvec   Nvec   Nvec   P        + 
                                                                         ;a   \
                                b c ;d 
 
                                         2                         2         \
2         2      3                b      c        a 
  ((-4 + n + 2 w) (-1680 + 1040 n - 100 n  + 664 w - 462 n w + 25 n  w - 68 w \
 + 52 n w  + 4 w )) f    Hmc Nvec   Nvec   P        - 
                                                                              \
                     ;a                     b c ;
 
  (-14 + 3 n) w (-4 + n + 2 w) (-2 + n + 2 w) (-14 + n + 4 w)       a      b  \
    c              d 
  ----------------------------------------------------------- f Nvec   Nvec   \
Nvec   P     P        + 
                            -4 + n                                            \
        a d   b c ;
 
                                                                     a      b \
     c      d      e 
  ((-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-2 + 5 w)) f    Nvec   Nvec  \
 Nvec   Nvec   Nvec   P          - 
                                                             ;a               \
                       b c ;d e 
 
                                                             2
  (-4 + n + 2 w) (-2 + n + 2 w) (8 - 2 n - 30 w + 5 n w + 4 w )          a    \
  b      c          d 
  ------------------------------------------------------------- f    Nvec   \
Nvec   Nvec   P          - 
                             -4 + n                              ;a           \
             b c ;d 
 
                                   2                     2            b      \
c      d        a                                                a         b 
  ((-4 + n + 2 w) (120 - 74 n + 7 n  + 4 w + 12 n w - 4 w )) f    Nvec   Nvec \
  Nvec   P          - (30 (-4 + w) (-1 + w) (-8 + n + 2 w)) f      Hmc P     - 
                                                              ;a              \
          b c ;  d                                           ;a         b 
 
                                                                        2     \
a     b                                                     a     b 
  (30 (-4 + w) (-3 + w) (-1 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f    Hmc  \
Nvec   P     - (15 (-4 + w) (-2 + w) w (-8 + n + 2 w)) f Hmc P     P     - 
                                                                 ;a           \
    b                                                     a     b 
 
                                                              2     a     b   \
                                                      b  a 
  (30 (-4 + w) (-3 + w) w (-8 + n + 2 w) (-4 + n + 2 w)) f Hmc  Nvec   P      \
  + (15 (-6 + n) (-4 + w) (-8 + n + 2 w)) f    Hmc P        + 
                                                                        b   \
;a                                           ;a       b   ;
 
                                        a     b    c                          \
      a     b      c 
  (15 (-1 + w) (-8 + n + 2 w)) f    Nvec   P          + (15 w (-8 + n + 2 w)) \
f Nvec   P            + 
                                ;a          b   ;c                            \
          b   ;a c 
 
                                                        2                     \
   2         2         2
  2 w (-4 + n + 2 w) (-2 + n + 2 w) (-960 + 290 n - 20 n  + 480 w - 123 n w + \
5 n  w - 60 w  + 13 n w )           a      b           c 
  ----------------------------------------------------------------------------\
------------------------- f Hmc Nvec   Nvec   P     P     - 
                                                 -4 + n                       \
                                               a c   b 
 
                                                     2
  2 w (-4 + n + 2 w) (-2 + n + 2 w) (256 - 56 n + 3 n  - 56 w + 6 n w)       \
a      b      c           d 
  -------------------------------------------------------------------- f Nvec \
  Nvec   Nvec   P     P        - 
                                 -4 + n                                       \
                 a d   b   ;c 
 
                                                      b      a      c      d 
  (10 (-8 + n + 2 w) (-4 + n + 2 w) (-2 + 3 w)) f        Nvec   Nvec   Nvec   \
P     - 
                                                 ;a b                         \
 c d 
 
                                                                              \
         a      b      c      d 
  (10 (-4 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-4 + 3 w)) f     \
 Hmc Nvec   Nvec   Nvec   Nvec   P     - 
                                                                         ;a b \
                                  c d 
 
                                                                              \
    a      b      c      d 
  (15 (-4 + w) (-2 + w) w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f Hmc \
Nvec   Nvec   Nvec   Nvec   P     P     + 
                                                                              \
                             a b   c d 
 
                                                                        a     \
 b      c      d      e 
  (10 (-1 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f      Nvec   \
Nvec   Nvec   Nvec   Nvec   P        + 
                                                              ;a b            \
                          c d ;e 
 
                                                                       a      \
b      c      d      e 
  (2 w (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (-12 + 5 w)) f Nvec   \
Nvec   Nvec   Nvec   Nvec   P     P        - 
                                                                              \
                         a b   c d ;e 
 
                                     2                      2              a  \
    c      d        b                                       b      a     c 
  ((-4 + n + 2 w) (440 - 270 n + 25 n  - 84 w + 52 n w + 4 w )) f      Nvec   \
Nvec   Nvec   P        + (30 (-2 + w) (-8 + n + 2 w)) f        Nvec   P     + \

                                                                 ;a b         \
               c d ;                                   ;a b            c 
 
                                                                      a      \
b     c 
  (30 (-4 + w) (-2 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f      Hmc Nvec   Nvec \
  P     + 
                                                        ;a b                  \
   c 
 
                                                                   a      b   \
        c                                                   a     b     c 
  (30 (-4 + w) (-2 + w) w (-8 + n + 2 w) (-4 + n + 2 w)) f Hmc Nvec   Nvec   \
P     P     + (15 (-3 + w) (-1 + w) (-8 + n + 2 w)) f    Nvec   P     P     + \

                                                                              \
a b   c                                             ;a          b     c 
 
                                         a     b     c                        \
                a      b     c 
  (15 w (-5 + 2 w) (-8 + n + 2 w)) f Nvec   P     P        + (30 (-1 + w) (-8 \
+ n + 2 w)) f      Nvec   P        + 
                                             b     c   ;a                     \
             ;a            c   ;b 
 
                                                                    a      b  \
   c                                               a     c  b 
  (60 (-4 + w) (-1 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f    Hmc Nvec   Nvec   \
P        - (15 (-4 + n) (-8 + n + 2 w)) f      Nvec   P        - 
                                                        ;a                    \
 c   ;b                                  ;a b          c   ;
 
                        2    3                          2         2         2 \
      3
  w (1248 - 448 n + 30 n  + n  - 1088 w + 324 n w - 18 n  w + 48 w  - 24 n w  \
+ 32 w )       a           c  b 
  ----------------------------------------------------------------------------\
-------- f Nvec   P     P        + 
                                         -4 + n                               \
                   a b   c   ;
 
                                          2                          2        \
  2         2      3
  w (-4 + n + 2 w) (-3560 + 1260 n - 100 n  + 1532 w - 496 n w + 25 n  w - \
124 w  + 46 n w  - 8 w )           a      b     c 
  ----------------------------------------------------------------------------\
--------------------- f Hmc Nvec   Nvec   P          - 
                                               -4 + n                         \
                                           c   ;a b 
 
                     2    3                         2         2         2     \
  3
  -672 + 272 n - 30 n  + n  - 608 w + 204 n w - 18 n  w + 48 w  - 24 n w  + \
32 w           b     c  a 
  ----------------------------------------------------------------------------\
--- f    Nvec   P          - 
                                      -4 + n                                  \
     ;a          c   ;  b 
 
                                       2    3                           2     \
   3          2          2       2  2        3         3
  2 (-4 + n + 2 w) (1408 - 584 n + 62 n  - n  - 1600 w + 774 n w - 111 n  w + \
5 n  w + 792 w  - 284 n w  + 23 n  w  - 120 w  + 26 n w )          a      b   \
   c 
  ----------------------------------------------------------------------------\
--------------------------------------------------------- f    Nvec   Nvec   \
Nvec   P     
                                                                 -4 + n       \
                                                           ;a                 \
       b d 
 
      d                                                                       \
     a      b      c      d      e 
   P     + (10 (-2 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)) f       \
 Nvec   Nvec   Nvec   Nvec   Nvec   P     + 
    c                                                                  ;a b c \
                                     d e 
 
                                                                 2            \
a      b      c      d      e 
  ((-8 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w) (24 - 50 w + 15 w )) f    \
Nvec   Nvec   Nvec   Nvec   Nvec   P     P     - 
                                                                      ;a      \
                                b c   d e 
 
                                                           a      b      c    \
 d 
  (10 (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f        Nvec   Nvec   Nvec   P \
    - 
                                               ;a b c                        d 
 
                                       2                         2         2  \
       2
  w (-4 + n + 2 w) (-684 + 268 n - 23 n  + 532 w - 170 n w + 10 n  w - 88 w  \
+ 20 n w )       a      b      c              d 
  ----------------------------------------------------------------------------\
--------- f Nvec   Nvec   Nvec   P        P     - 
                                         -4 + n                               \
                                  a b ;c   d 
 
                                                                  a      b    \
  c           d 
  (10 (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w) (-2 + 3 w)) f    Nvec   Nvec   \
Nvec   P     P     - 
                                                          ;a                  \
      b c   d 
 
                                                         a      b      c     d 
  (30 (-2 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f      Nvec   Nvec   Nvec   P   \
     - 
                                               ;a b                        d  \
 ;c 
 
                                          2                         2         \
 2         2
  2 w (-4 + n + 2 w) (-1236 + 452 n - 37 n  + 748 w - 250 n w + 15 n  w - 112 \
w  + 30 n w )       a      b      c           d 
  ----------------------------------------------------------------------------\
------------- f Nvec   Nvec   Nvec   P     P        - 
                                           -4 + n                             \
                                      a b   d   ;c 
 
                                     2                          2          2  \
       2      3
  (-4 + n + 2 w) (-624 + 228 n - 18 n  + 1044 w - 356 n w + 25 n  w - 172 w  \
+ 46 n w  - 8 w )          a      b      c     d 
  ----------------------------------------------------------------------------\
---------------- f    Nvec   Nvec   Nvec   P          - 
                                             -4 + n                           \
                  ;a                        d   ;b c 
 
                                    2                      2
  w (-4 + n + 2 w) (276 - 92 n + 7 n  - 28 w + 10 n w - 8 w )       a      b  \
    c     d 
  ----------------------------------------------------------- f Nvec   Nvec   \
Nvec   P            + 
                            -4 + n                                            \
        d   ;a b c 
 
                                                                              \
2     b   a                                                   2            b  \
   c   a 
  (10 (-2 + n - 4 w) (-4 + w) (-3 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f    \
Hmc  Nvec   P     - (10 (-8 + n + 2 w) (6 - 3 n + 8 w + n w - 4 w )) f    \
Nvec   P     P     - 
                                                                       ;a     \
            b                                                      ;a         \
 c       b 
 
                                         2                         2          \
2        2       3                b      c   a 
  (2 (-4 + n + 2 w) (-1000 + 620 n - 60 n  - 388 w - 176 n w + 15 n  w + 356 \
w  + 6 n w  - 48 w )) f    Hmc Nvec   Nvec   P        + 
                                                                              \
                      ;a                       b ;c 
 
                                    2                    2            b      \
c      d   a 
  (4 (-4 + n + 2 w) (34 - 21 n + 2 n  + 36 w - n w - 10 w )) f    Nvec   Nvec \
  Nvec   P          + 
                                                              ;a              \
            b ;c d 
 
                     2      3                        2          2         2   \
    3
  608 - 528 n + 130 n  - 9 n  + 352 w - 116 n w + 2 n  w - 272 w  + 56 n w  + \
32 w           b   a      c                                            b      \
c   a 
  ----------------------------------------------------------------------------\
----- f    Nvec   P          - (10 (2 + n - 4 w) (-8 + n + 2 w)) f        \
Nvec   P     - 
                                       -4 + n                                 \
       ;a            b ;c                                         ;a b        \
      c 
 
                        2                      2              c   a    b 
  (2 (224 - 138 n + 13 n  - 36 w + 22 n w - 8 w )) f      Nvec   P        + 
                                                    ;a b            c ;
 
                                                                  2           \
 b      c      d         a 
  (2 (-8 + n + 2 w) (-4 + n + 2 w) (12 - 6 n + 38 w + 5 n w - 20 w )) f    \
Nvec   Nvec   Nvec   P     P     + 
                                                                       ;a     \
                   b c     d 
 
                                                                              \
                          2                       2        2        2      3
                                                          a b    2 w (-2 + n \
+ 2 w) (-680 + 250 n - 20 n  + 232 w - 93 n w + 5 n  w + 2 w  + 8 n w  - 4 w \
)
  (30 (-4 + w) (-8 + n + 2 w) (-6 + n + 2 w)) f      Hmc P     - \
------------------------------------------------------------------------------\
------------ f Hmc P     
                                               ;a b                           \
                             -4 + n                                           \
       a b 
 
    a b                     2                     2              c   a b 
   P     + (6 (-32 - 6 n + n  - 12 w + 4 n w + 4 w )) f      Nvec   P        + 
                                                       ;a b              ;c 
 
                        2       3      4                            2        \
3           2          2       2  2         3
  -7040 + 4272 n - 532 n  - 60 n  + 9 n  + 8160 w - 3752 n w + 456 n  w - 2 n \
 w - 1600 w  + 672 n w  - 56 n  w  - 32 n w           b         a c 
  ----------------------------------------------------------------------------\
-------------------------------------------- f    Nvec   P     P     - 
                                                           -4 + n             \
                                              ;a          b c 
 
                                                                           a  \
    c   b 
  (20 (4 + n - 4 w) (-4 + w) (-8 + n + 2 w) (-4 + n + 2 w)) f      Hmc Nvec   \
Nvec   P     + 
                                                             ;a b             \
          c 
 
                                       2                       2              \
a      c      d   b                                                         a \
  b c 
  (2 (-4 + n + 2 w) (100 - 140 n + 15 n  + 188 w + 6 n w - 48 w )) f      \
Nvec   Nvec   Nvec   P        - (30 (-8 + n + 2 w) (-6 + n + 2 w)) f        \
Nvec   P     - 
                                                                    ;a b      \
                    c ;d                                        ;a b c 
 
  8 w (-9 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a            b c 
  ------------------------------------------------ f Nvec   P        P     + 
                       -4 + n                                a b ;c 
 
                     3                         2        3          2          \
2       2  2       3         3      4
  2 (-528 + 148 n - n  - 256 w + 274 n w - 75 n  w + 5 n  w + 332 w  - 156 n \
w  + 18 n  w  - 20 w  + 12 n w  - 8 w )          a         b c 
  ----------------------------------------------------------------------------\
-------------------------------------- f    Nvec   P     P     + 
                                                        -4 + n                \
                                        ;a          b c 
 
  4 (-20 + 5 n - 2 w) w (-9 + n + 2 w) (-2 + n + 2 w)       a         b c     \
                                                                 a      b     \
 d   c 
  --------------------------------------------------- f Nvec   P     P        \
+ (10 (10 + n - 4 w) (-8 + n + 2 w) (-4 + n + 2 w)) f        Nvec   Nvec   \
Nvec   P     + 
                        -4 + n                                  b c       ;a  \
                                                     ;a b c                   \
       d 
 
                                                                2
  4 w (-4 + n + 2 w) (-2 + n + 2 w) (50 - 5 n - 21 w + n w + 2 w )           \
a      b              c   d 
  ---------------------------------------------------------------- f Hmc Nvec \
  Nvec   P     Weyl         - 
                               -4 + n                                         \
          c d      a   b 
 
  4 w (-9 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a      b      c      \
        d   e 
  ------------------------------------------------ f Nvec   Nvec   Nvec   P   \
  Weyl            - 
                       -4 + n                                              d \
e      a   b   ;c 
 
  8 w (-9 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a      b      c      \
           d   e 
  ------------------------------------------------ f Nvec   Nvec   Nvec   P   \
     Weyl         - 
                       -4 + n                                              a \
d ;e      b   c 
 
                                      2                       2         2     \
   2      3
  2 (-4 + n + 2 w) (-312 + 114 n - 9 n  + 108 w - 40 n w + 2 n  w - 44 w  + 8 \
n w  + 8 w )          a      b      c              d   e 
  ----------------------------------------------------------------------------\
------------ f    Nvec   Nvec   Nvec   P     Weyl         - 
                                           -4 + n                             \
              ;a                        d e      b   c 
 
  4 w (-9 + n + 2 w) (-4 + n + 2 w) (-2 + n + 2 w)       a      b      c      \
           d   e 
  ------------------------------------------------ f Nvec   Nvec   Nvec   P   \
     Weyl         - 
                       -4 + n                                              d \
e ;a      b   c 
 
                                    2                        2            b   \
   c      d            a     e 
  (2 (-4 + n + 2 w) (-222 + 19 n + n  + 190 w - 12 n w - 28 w )) f    Nvec   \
Nvec   Nvec   P     Weyl         + 
                                                                  ;a          \
              b e        c d 
 
                                                        2                  c  \
    d      a   b 
  (2 (-4 + n + 2 w) (940 - 110 n - 454 w + 27 n w + 54 w )) f      Hmc Nvec   \
Nvec   Weyl         - 
                                                             ;a b             \
             c   d 
 
                                                  c      d      e      a   b 
  (6 (-4 + n + 2 w) (-26 + 3 n + 6 w)) f      Nvec   Nvec   Nvec   Weyl       \
     + 
                                        ;a b                             c   \
d ;e 
 
                        2    3                         2          2         2 \
      3
  2 (-672 + 272 n - 30 n  + n  + 352 w - 156 n w + 12 n  w - 192 w  + 36 n w  \
+ 32 w )          b            a c   d 
  ----------------------------------------------------------------------------\
-------- f    Nvec   P     Weyl         + 
                                         -4 + n                               \
          ;a          c d          b 
 
                                                b      c      d               \
    a e   i 
  (6 (-4 + n + 2 w) (-26 + 3 n + 6 w)) f    Nvec   Nvec   Nvec   Weyl         \
Weyl         - 
                                        ;a                           b e c i  \
        d 
 
                                                     a      d      e      b   \
c 
  (18 (-4 + n + 2 w) (-26 + 3 n + 6 w)) f        Nvec   Nvec   Nvec   Weyl
                                         ;a b c                             d \
  e\
\>"], "Output",
 CellChangeTimes->{3.762162832596829*^9, 3.762162914381157*^9, 
  3.762203651702512*^9, 3.764535095004936*^9, 3.766001117821538*^9}]
}, Open  ]],

Cell["The following command should not generate an error message. ", "Text",
 CellChangeTimes->{{3.762162702341426*^9, 3.762162758567038*^9}, 
   3.762163349563313*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"StepCCFour", "/.", 
    RowBox[{"(", 
     RowBox[{"w", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"3", "-", 
        RowBox[{"(", 
         RowBox[{"n", "/", "2"}], ")"}]}], ")"}]}], ")"}]}], "//", 
   "TensorSimplify"}], ";"}]], "Input",
 CellChangeTimes->{{3.569702163331326*^9, 3.569702178370634*^9}}],

Cell[TextData[{
 "If the above command did not generate an error message, this gives us more \
confidence that the factor\n\n    ",
 StyleBox["n",
  FontSlant->"Italic"],
 " + 2",
 StyleBox["w",
  FontSlant->"Italic"],
 " - 6\n    \ncanceled out.  ",
 StyleBox["The following command should indeed generate an error message.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.7621627716349497`*^9, 3.762162802367279*^9}, {
  3.762162981400758*^9, 3.762163010216824*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"StepCCFour", "/.", 
   RowBox[{"(", 
    RowBox[{"n", "\[Rule]", "4"}], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7621629623587923`*^9, 3.762162970609127*^9}, {
  3.7622038507376747`*^9, 3.7622038556238823`*^9}}],

Cell["\<\
                                 1
Power::infy: Infinite expression - encountered.
                                 0\
\>", "Message", "MSG",
 CellChangeTimes->{3.762203856363473*^9, 3.7645351206972027`*^9, 
  3.766001141265483*^9}],

Cell["\<\
                                 1
Power::infy: Infinite expression - encountered.
                                 0\
\>", "Message", "MSG",
 CellChangeTimes->{3.762203856363473*^9, 3.7645351206972027`*^9, 
  3.766001141270496*^9}],

Cell["\<\
                                 1
Power::infy: Infinite expression - encountered.
                                 0\
\>", "Message", "MSG",
 CellChangeTimes->{3.762203856363473*^9, 3.7645351206972027`*^9, 
  3.766001141271435*^9}],

Cell["\<\
General::stop: Further output of Power::infy will be suppressed during this \
calculation.\
\>", "Message", "MSG",
 CellChangeTimes->{3.762203856363473*^9, 3.7645351206972027`*^9, 
  3.7660011412723093`*^9}],

Cell["\<\
Infinity::indet: Indeterminate expression ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + 
                                                                          2   \
               c      d      a   b 
     ComplexInfinity + ComplexInfinity + <<81>> + (4 w (500 - 346 w + 54 w )) \
f      Hmc Nvec   Nvec   Weyl         - 
                                                                              \
 ;a b                          c   d 
                                   c      d      e      a   b                 \
                    b      c      d                   a e   i 
     (12 w (-14 + 6 w)) f      Nvec   Nvec   Nvec   Weyl            + (12 w \
(-14 + 6 w)) f    Nvec   Nvec   Nvec   Weyl         Weyl         - 
                         ;a b                             c   d ;e            \
            ;a                           b e c i          d 
                                     a      d      e      b   c 
     (36 w (-14 + 6 w)) f        Nvec   Nvec   Nvec   Weyl         encountered.
                         ;a b c                             d   e\
\>", "Message", "MSG",
 CellChangeTimes->{3.762203856363473*^9, 3.7645351206972027`*^9, 
  3.7660011412731323`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"POpFive", "=", "StepCCFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"POpFive", ";"}]}], "Input",
 CellChangeTimes->{3.7621630525782833`*^9}],

Cell["Compare against previously computed value.", "Text",
 CellChangeTimes->{{3.76453537130829*^9, 3.7645353865527077`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"<<", "~/bop/bnb/OFive.m"}]}], ";"}]], "Input",
 CellChangeTimes->{3.761914433631146*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "-", "POpFive"}]], "Input"],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.514636248270517*^9, 3.569442516429089*^9, 
  3.569616133671309*^9, 3.56970225577912*^9, 3.761915911193184*^9, 
  3.76216203733363*^9, 3.762163055978022*^9, 3.762203866548264*^9, 
  3.764535125165227*^9, 3.766001174928565*^9}]
}, Open  ]],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1851, 1125},
WindowMargins->{{0, Automatic}, {18, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.5,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 658, 11, 57, "Text"],
Cell[1206, 33, 4597, 156, 243, "Text"],
Cell[5806, 191, 243, 6, 73, "Text"],
Cell[6052, 199, 485, 13, 82, "Text"],
Cell[6540, 214, 149, 2, 73, "Text"],
Cell[6692, 218, 225, 5, 49, "Text"],
Cell[6920, 225, 84, 2, 48, "Input"],
Cell[7007, 229, 161, 2, 73, "Text"],
Cell[7171, 233, 1556, 24, 49, "Text"],
Cell[CellGroupData[{
Cell[8752, 261, 248, 5, 48, "Input"],
Cell[9003, 268, 1718, 31, 126, "Output"]
}, Open  ]],
Cell[10736, 302, 176, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[10937, 312, 102, 1, 48, "Input"],
Cell[11042, 315, 198, 5, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11277, 325, 334, 5, 48, "Input"],
Cell[11614, 332, 1367, 23, 160, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13018, 360, 1361, 30, 478, "Input"],
Cell[14382, 392, 1168, 19, 61, "Print"]
}, Open  ]],
Cell[15565, 414, 168, 4, 81, "Text"],
Cell[15736, 420, 341, 8, 114, "Text"],
Cell[CellGroupData[{
Cell[16102, 432, 2400, 56, 379, "Input"],
Cell[18505, 490, 631, 12, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19173, 507, 188, 3, 48, "Input"],
Cell[19364, 512, 511, 11, 57, "Output"]
}, Open  ]],
Cell[19890, 526, 3672, 119, 344, "Text"],
Cell[CellGroupData[{
Cell[23587, 649, 471, 11, 48, "Input"],
Cell[24061, 662, 142, 2, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24240, 669, 1042, 31, 82, "Input"],
Cell[25285, 702, 867, 15, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26189, 722, 134, 2, 48, "Input"],
Cell[26326, 726, 768, 14, 74, "Output"]
}, Open  ]],
Cell[27109, 743, 535, 20, 49, "Text"],
Cell[CellGroupData[{
Cell[27669, 767, 734, 21, 82, "Input"],
Cell[28406, 790, 374, 8, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28817, 803, 215, 4, 48, "Input"],
Cell[29035, 809, 500, 11, 92, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29572, 825, 258, 6, 82, "Input"],
Cell[29833, 833, 358, 9, 57, "Output"]
}, Open  ]],
Cell[30206, 845, 244, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[30475, 854, 714, 17, 214, "Input"],
Cell[31192, 873, 553, 11, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31782, 889, 135, 2, 48, "Input"],
Cell[31920, 893, 478, 10, 57, "Output"]
}, Open  ]],
Cell[32413, 906, 307, 8, 49, "Text"],
Cell[CellGroupData[{
Cell[32745, 918, 836, 21, 247, "Input"],
Cell[33584, 941, 606, 12, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34227, 958, 67, 1, 48, "Input"],
Cell[34297, 961, 362, 9, 57, "Output"]
}, Open  ]],
Cell[34674, 973, 183, 2, 49, "Text"],
Cell[CellGroupData[{
Cell[34882, 979, 493, 12, 181, "Input"],
Cell[35378, 993, 391, 9, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35806, 1007, 67, 1, 48, "Input"],
Cell[35876, 1010, 316, 8, 57, "Output"]
}, Open  ]],
Cell[36207, 1021, 1494, 56, 86, "Text"],
Cell[CellGroupData[{
Cell[37726, 1081, 283, 6, 48, "Input"],
Cell[38012, 1089, 279, 4, 35, "Print"]
}, Open  ]],
Cell[38306, 1096, 517, 21, 49, "Text"],
Cell[CellGroupData[{
Cell[38848, 1121, 341, 8, 48, "Input"],
Cell[39192, 1131, 309, 4, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39538, 1140, 631, 18, 82, "Input"],
Cell[40172, 1160, 440, 9, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40649, 1174, 130, 2, 48, "Input"],
Cell[40782, 1178, 385, 9, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41204, 1192, 131, 2, 48, "Input"],
Cell[41338, 1196, 330, 8, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41705, 1209, 265, 6, 82, "Input"],
Cell[41973, 1217, 360, 9, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42370, 1231, 196, 5, 82, "Input"],
Cell[42569, 1238, 395, 9, 57, "Output"]
}, Open  ]],
Cell[42979, 1250, 185, 2, 49, "Text"],
Cell[CellGroupData[{
Cell[43189, 1256, 587, 16, 214, "Input"],
Cell[43779, 1274, 440, 10, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44256, 1289, 67, 1, 48, "Input"],
Cell[44326, 1292, 337, 8, 57, "Output"]
}, Open  ]],
Cell[44678, 1303, 362, 9, 49, "Text"],
Cell[CellGroupData[{
Cell[45065, 1316, 3154, 102, 808, "Input"],
Cell[48222, 1420, 460, 10, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48719, 1435, 233, 4, 48, "Input"],
Cell[48955, 1441, 454, 10, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49446, 1456, 1636, 46, 445, "Input"],
Cell[51085, 1504, 557, 11, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51679, 1520, 188, 3, 48, "Input"],
Cell[51870, 1525, 431, 10, 79, "Output"]
}, Open  ]],
Cell[52316, 1538, 301, 5, 48, "Input"],
Cell[52620, 1545, 196, 5, 81, "Text"],
Cell[52819, 1552, 231, 5, 49, "Text"],
Cell[CellGroupData[{
Cell[53075, 1561, 3358, 93, 610, "Input"],
Cell[56436, 1656, 552, 11, 111, "Print"]
}, Open  ]],
Cell[57003, 1670, 181, 2, 49, "Text"],
Cell[CellGroupData[{
Cell[57209, 1676, 845, 20, 214, "Input"],
Cell[58057, 1698, 444, 10, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58538, 1713, 134, 2, 48, "Input"],
Cell[58675, 1717, 380, 9, 79, "Output"]
}, Open  ]],
Cell[59070, 1729, 133, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[59228, 1734, 190, 4, 48, "Input"],
Cell[59421, 1740, 380, 9, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59838, 1754, 185, 4, 48, "Input"],
Cell[60026, 1760, 382, 9, 79, "Output"]
}, Open  ]],
Cell[60423, 1772, 666, 20, 181, "Input"],
Cell[CellGroupData[{
Cell[61114, 1796, 133, 2, 48, "Input"],
Cell[61250, 1800, 403, 9, 79, "Output"]
}, Open  ]],
Cell[61668, 1812, 180, 2, 49, "Text"],
Cell[CellGroupData[{
Cell[61873, 1818, 1162, 21, 181, "Input"],
Cell[63038, 1841, 626, 12, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63701, 1858, 182, 3, 48, "Input"],
Cell[63886, 1863, 500, 11, 79, "Output"]
}, Open  ]],
Cell[64401, 1877, 1367, 52, 84, "Text"],
Cell[CellGroupData[{
Cell[65793, 1933, 185, 4, 48, "Input"],
Cell[65981, 1939, 215, 7, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66233, 1951, 187, 4, 48, "Input"],
Cell[66423, 1957, 216, 7, 79, "Output"]
}, Open  ]],
Cell[66654, 1967, 413, 11, 115, "Input"],
Cell[CellGroupData[{
Cell[67092, 1982, 137, 2, 48, "Input"],
Cell[67232, 1986, 401, 9, 79, "Output"]
}, Open  ]],
Cell[67648, 1998, 132, 1, 49, "Text"],
Cell[CellGroupData[{
Cell[67805, 2003, 3213, 103, 808, "Input"],
Cell[71021, 2108, 415, 9, 111, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71473, 2122, 135, 2, 48, "Input"],
Cell[71611, 2126, 331, 8, 79, "Output"]
}, Open  ]],
Cell[71957, 2137, 996, 28, 247, "Input"],
Cell[CellGroupData[{
Cell[72978, 2169, 182, 3, 48, "Input"],
Cell[73163, 2174, 551, 12, 79, "Output"]
}, Open  ]],
Cell[73729, 2189, 297, 5, 48, "Input"],
Cell[74029, 2196, 165, 4, 81, "Text"],
Cell[74197, 2202, 880, 26, 214, "Input"],
Cell[CellGroupData[{
Cell[75102, 2232, 133, 2, 48, "Input"],
Cell[75238, 2236, 474, 10, 79, "Output"]
}, Open  ]],
Cell[75727, 2249, 137, 1, 49, "Text"],
Cell[75867, 2252, 3466, 97, 511, "Input"],
Cell[CellGroupData[{
Cell[79358, 2353, 133, 2, 48, "Input"],
Cell[79494, 2357, 504, 11, 79, "Output"]
}, Open  ]],
Cell[80013, 2371, 5775, 160, 742, "Input"],
Cell[CellGroupData[{
Cell[85813, 2535, 137, 2, 48, "Input"],
Cell[85953, 2539, 482, 10, 79, "Output"]
}, Open  ]],
Cell[86450, 2552, 1956, 55, 346, "Input"],
Cell[CellGroupData[{
Cell[88431, 2611, 134, 2, 48, "Input"],
Cell[88568, 2615, 473, 10, 79, "Output"]
}, Open  ]],
Cell[89056, 2628, 7600, 200, 742, "Input"],
Cell[CellGroupData[{
Cell[96681, 2832, 136, 2, 48, "Input"],
Cell[96820, 2836, 503, 11, 79, "Output"]
}, Open  ]],
Cell[97338, 2850, 632, 18, 181, "Input"],
Cell[CellGroupData[{
Cell[97995, 2872, 135, 2, 48, "Input"],
Cell[98133, 2876, 501, 11, 79, "Output"]
}, Open  ]],
Cell[98649, 2890, 9595, 245, 742, "Input"],
Cell[CellGroupData[{
Cell[108269, 3139, 135, 2, 48, "Input"],
Cell[108407, 3143, 454, 10, 79, "Output"]
}, Open  ]],
Cell[108876, 3156, 1018, 30, 280, "Input"],
Cell[CellGroupData[{
Cell[109919, 3190, 134, 2, 48, "Input"],
Cell[110056, 3194, 430, 10, 79, "Output"]
}, Open  ]],
Cell[110501, 3207, 8555, 233, 841, "Input"],
Cell[CellGroupData[{
Cell[119081, 3444, 185, 3, 48, "Input"],
Cell[119269, 3449, 505, 11, 79, "Output"]
}, Open  ]],
Cell[119789, 3463, 3836, 106, 412, "Input"],
Cell[CellGroupData[{
Cell[123650, 3573, 133, 2, 48, "Input"],
Cell[123786, 3577, 429, 10, 79, "Output"]
}, Open  ]],
Cell[124230, 3590, 906, 27, 247, "Input"],
Cell[CellGroupData[{
Cell[125161, 3621, 135, 2, 48, "Input"],
Cell[125299, 3625, 470, 10, 79, "Output"]
}, Open  ]],
Cell[125784, 3638, 12573, 321, 841, "Input"],
Cell[CellGroupData[{
Cell[138382, 3963, 183, 3, 48, "Input"],
Cell[138568, 3968, 504, 11, 79, "Output"]
}, Open  ]],
Cell[139087, 3982, 633, 18, 181, "Input"],
Cell[CellGroupData[{
Cell[139745, 4004, 137, 2, 48, "Input"],
Cell[139885, 4008, 445, 10, 79, "Output"]
}, Open  ]],
Cell[140345, 4021, 2363, 66, 280, "Input"],
Cell[CellGroupData[{
Cell[142733, 4091, 134, 2, 48, "Input"],
Cell[142870, 4095, 453, 10, 79, "Output"]
}, Open  ]],
Cell[143338, 4108, 582, 17, 181, "Input"],
Cell[CellGroupData[{
Cell[143945, 4129, 133, 2, 48, "Input"],
Cell[144081, 4133, 479, 10, 79, "Output"]
}, Open  ]],
Cell[144575, 4146, 2583, 71, 346, "Input"],
Cell[CellGroupData[{
Cell[147183, 4221, 133, 2, 48, "Input"],
Cell[147319, 4225, 453, 10, 79, "Output"]
}, Open  ]],
Cell[147787, 4238, 584, 17, 181, "Input"],
Cell[CellGroupData[{
Cell[148396, 4259, 134, 2, 48, "Input"],
Cell[148533, 4263, 473, 10, 79, "Output"]
}, Open  ]],
Cell[149021, 4276, 1892, 55, 313, "Input"],
Cell[CellGroupData[{
Cell[150938, 4335, 135, 2, 48, "Input"],
Cell[151076, 4339, 515, 11, 79, "Output"]
}, Open  ]],
Cell[151606, 4353, 1116, 33, 313, "Input"],
Cell[CellGroupData[{
Cell[152747, 4390, 134, 2, 48, "Input"],
Cell[152884, 4394, 523, 11, 79, "Output"]
}, Open  ]],
Cell[153422, 4408, 2466, 71, 412, "Input"],
Cell[CellGroupData[{
Cell[155913, 4483, 132, 2, 48, "Input"],
Cell[156048, 4487, 426, 10, 79, "Output"]
}, Open  ]],
Cell[156489, 4500, 1243, 38, 346, "Input"],
Cell[CellGroupData[{
Cell[157757, 4542, 137, 2, 48, "Input"],
Cell[157897, 4546, 470, 10, 79, "Output"]
}, Open  ]],
Cell[158382, 4559, 5511, 149, 676, "Input"],
Cell[CellGroupData[{
Cell[163918, 4712, 137, 2, 48, "Input"],
Cell[164058, 4716, 460, 11, 79, "Output"]
}, Open  ]],
Cell[164533, 4730, 1294, 39, 346, "Input"],
Cell[CellGroupData[{
Cell[165852, 4773, 135, 2, 48, "Input"],
Cell[165990, 4777, 433, 10, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166460, 4792, 249, 5, 48, "Input"],
Cell[166712, 4799, 762, 14, 114, "Output"]
}, Open  ]],
Cell[167489, 4816, 301, 10, 114, "Text"],
Cell[CellGroupData[{
Cell[167815, 4830, 103, 1, 48, "Input"],
Cell[167921, 4833, 47816, 963, 6321, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215774, 5801, 536, 17, 148, "Input"],
Cell[216313, 5820, 289, 8, 79, "Output"]
}, Open  ]],
Cell[216617, 5831, 378, 12, 114, "Text"],
Cell[216998, 5845, 314, 11, 73, "Text"],
Cell[217315, 5858, 804, 22, 148, "Input"],
Cell[CellGroupData[{
Cell[218144, 5884, 189, 3, 48, "Input"],
Cell[218336, 5889, 451, 10, 79, "Output"]
}, Open  ]],
Cell[218802, 5902, 396, 12, 179, "Text"],
Cell[CellGroupData[{
Cell[219223, 5918, 102, 1, 48, "Input"],
Cell[219328, 5921, 41692, 865, 5705, "Output"]
}, Open  ]],
Cell[261035, 6789, 168, 2, 49, "Text"],
Cell[261206, 6793, 356, 11, 48, "Input"],
Cell[261565, 6806, 477, 13, 179, "Text"],
Cell[CellGroupData[{
Cell[262067, 6823, 253, 6, 48, "Input"],
Cell[262323, 6831, 242, 6, 73, "Message"],
Cell[262568, 6839, 242, 6, 73, "Message"],
Cell[262813, 6847, 242, 6, 73, "Message"],
Cell[263058, 6855, 217, 5, 33, "Message"],
Cell[263278, 6862, 1295, 21, 216, "Message"]
}, Open  ]],
Cell[264588, 6886, 179, 4, 82, "Input"],
Cell[264770, 6892, 125, 1, 49, "Text"],
Cell[264898, 6895, 150, 4, 48, "Input"],
Cell[CellGroupData[{
Cell[265073, 6903, 60, 1, 48, "Input"],
Cell[265136, 6906, 303, 8, 79, "Output"]
}, Open  ]],
Cell[265454, 6917, 149, 2, 73, "Text"],
Cell[265606, 6921, 1464, 27, 147, "Text"],
Cell[267073, 6950, 285, 6, 49, "Text"],
Cell[267361, 6958, 132, 2, 48, "Input"],
Cell[267496, 6962, 254, 6, 49, "Text"],
Cell[267753, 6970, 132, 2, 48, "Input"],
Cell[267888, 6974, 253, 6, 49, "Text"],
Cell[268144, 6982, 132, 2, 81, "Input"]
}
]
*)

