(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     47445,       1292]
NotebookOptionsPosition[     43717,       1173]
NotebookOutlinePosition[     44465,       1197]
CellTagsIndexPosition[     44422,       1194]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "OThreed.nb (\[OpenCurlyDoubleQuote]Order-Three Operator.  Compute ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"(", 
     RowBox[{"n", "+", 
      RowBox[{"2", "w"}], "-", "4"}], ")"}]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["N", "B"], TraditionalForm]]],
 "\[Delta]",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "A"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "B"], TraditionalForm]]],
 " ",
 StyleBox["f  .\[CloseCurlyDoubleQuote] ",
  FontSlant->"Italic"],
 ")"
}], "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
  3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
  3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
  3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
  3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
  3.454692871706007*^9, 3.4546928917816563`*^9}, {3.764579624796192*^9, 
  3.764579631139903*^9}, {3.766001825362523*^9, 3.766001825705785*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell["Date last modified:  4 May 2019", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGBQAmIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+B6X9rym8esn7luMSt6RaInnFhwkOl2a8c3xg2PQLR6w9eUZmr/9rx
SvhPVRCd8lXNCkS3JfiD6eL0TtPDQHp22BwwnfNb4krpwteOh54/ANPH1s19
D6KZNuwF0wXi+wWOL3vteOG8hyCIrnKq7ZFb/trxxv0eMN3Bf3Rqw8rXjr4L
PoPpgOrVawP3vHZsMMteB6JDmBaeTWR+47hSUeY8iJaZI8zRBaQPvdQG07bJ
wnJKLG8c1zw3BtNTbjy9ws76xlFl9cqrILorUuD8P7Y3jhmc68D0urWNl+dy
v3E86yVzBUT/ySt0j+V545jlNQ1M75c59WcvkGbwYvwLoq9U/9zHyP/G8cCt
2P0gGgCOmRmU
  "]],

Cell[TextData[{
 "This notebook pertains to Section 8.2 of our article.  In this notebook, we \
do the following:\n\n1.  We compute the above expression.  This is the \
operator ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 " as applied to a density of weight ",
 StyleBox["w",
  FontSlant->"Italic"],
 ".\n2.  We compare the leading term of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", 
    RowBox[{"1", ",", "2"}]], TraditionalForm]]],
 " to the leading term of David Grant\[CloseCurlyQuote]s third-order operator \
",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Delta]", "3", "G"], TraditionalForm]]],
 ".  Here both operators act on weight ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"4", "-", "n"}], "2"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.648842196609795*^9, 
   3.648842197921474*^9}, {3.759869569232074*^9, 3.759869604218233*^9}, {
   3.759869650992646*^9, 3.759869651824505*^9}, {3.759953106970737*^9, 
   3.7599531079146347`*^9}, {3.760263414686096*^9, 3.760263428157514*^9}, {
   3.7602634700069437`*^9, 3.760263611680534*^9}, {3.760263667489955*^9, 
   3.7602637020418673`*^9}, {3.7602637406939774`*^9, 3.760263778522985*^9}, {
   3.761763813837763*^9, 3.76176381926202*^9}, 3.765964288750046*^9, {
   3.766002238783626*^9, 3.766002293728368*^9}}],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The following command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks in the command output."
}], "Text",
 CellChangeTimes->{{3.454265097526026*^9, 3.454265110179002*^9}, {
   3.4542651903249683`*^9, 3.4542652107301817`*^9}, {3.4545434188833313`*^9, 
   3.454543458870874*^9}, {3.454691540968791*^9, 3.454691561318928*^9}, {
   3.454692909038207*^9, 3.454692931004181*^9}, {3.648842196609795*^9, 
   3.648842197921474*^9}, {3.759869569232074*^9, 3.759869604218233*^9}, {
   3.759869650992646*^9, 3.759869651824505*^9}, {3.759953106970737*^9, 
   3.7599531079146347`*^9}, {3.760263414686096*^9, 3.760263428157514*^9}, {
   3.7602634700069437`*^9, 3.760263611680534*^9}, {3.760263667489955*^9, 
   3.7602637020418673`*^9}, {3.7602637406939774`*^9, 3.760263778522985*^9}, {
   3.761763813837763*^9, 3.76176381926202*^9}, 3.7659642908451138`*^9, {
   3.766001910315486*^9, 3.7660019124748487`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.648919985016062*^9, 3.64891998619199*^9}, {3.761763838485784*^9, 
  3.7617638390136547`*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.453159420682274*^9, 3.453664101780805*^9, 3.4537650309457912`*^9, 
   3.453768442958385*^9, 3.453844118631322*^9, 3.453858395155579*^9, 
   3.453915222079307*^9, 3.4539454046763563`*^9, 3.454006244931095*^9, 
   3.454084674302463*^9, 3.454097568777343*^9, 3.4541780304975758`*^9, 
   3.4541782316793613`*^9, 3.45417838963104*^9, 3.454181379603775*^9, 
   3.454194555282077*^9, 3.454256533202301*^9, 3.454265048850965*^9, 
   3.454265777769042*^9, 3.4542672055076313`*^9, 3.454267411278857*^9, 
   3.454273928094194*^9, 3.454278286744721*^9, 3.454280942277555*^9, 
   3.454344077173685*^9, 3.45454284668058*^9, 3.4545564076723423`*^9, 
   3.45460129755408*^9, 3.4546025763157187`*^9, 3.454605879937646*^9, 
   3.454606157330171*^9, 3.454606911337605*^9, 3.4546082183513403`*^9, 
   3.4546086431596203`*^9, 3.454689206558214*^9, 3.454691574532737*^9, 
   3.454692971940674*^9, 3.454695551454913*^9, 3.454698842133028*^9, 
   3.520992987349962*^9, 3.570997025007821*^9, 3.570997375990334*^9, 
   3.570997435320385*^9, 3.648841991464602*^9, 3.648842115924855*^9, 
   3.64884220106431*^9, 3.648919987480693*^9, 3.649095007595523*^9, 
   3.70852991368431*^9, 3.708530767899756*^9, 3.71131815934556*^9, 
   3.711318586235712*^9, 3.711495026525344*^9, 3.711497319726638*^9, 
   3.7127470146344347`*^9, 3.712747669255164*^9, 3.7226120881685057`*^9, 
   3.722612209920506*^9, 3.759869656148484*^9, 3.7599519410871077`*^9, 
   3.760733908709269*^9, 3.7617638397889643`*^9, {3.764186760534554*^9, 
   3.764186788042756*^9}, 3.7641868256265078`*^9, 3.764578886145152*^9, 
   3.765964313019455*^9, 3.7660019156157227`*^9}]
}, Open  ]],

Cell[TextData[{
 "Print version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766001919968237*^9, 3.766001930007139*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.766001939594677*^9, 3.76600194308361*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.7660019440827227`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.570997028243824*^9, 3.570997034031693*^9}, {
  3.648842120812607*^9, 3.6488421248025503`*^9}, {3.708529903368251*^9, 
  3.708529909759192*^9}, {3.759869668945327*^9, 3.759869669632743*^9}, {
  3.7659643162949867`*^9, 3.765964317558857*^9}, {3.766001949259747*^9, 
  3.766001951483699*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->{
  3.648842125699193*^9, 3.648842204417502*^9, 3.648920034116064*^9, 
   3.649095009857831*^9, 3.708529921034042*^9, 3.708530769546526*^9, 
   3.7113181632983017`*^9, 3.711318588271902*^9, 3.7114950276774673`*^9, 
   3.7114973207274733`*^9, 3.712747017310952*^9, 3.712747671160509*^9, 
   3.722612089325553*^9, 3.722612211593069*^9, 3.759869728519533*^9, 
   3.7599519426090517`*^9, 3.760733910107583*^9, 3.761763841093796*^9, {
   3.764186761473482*^9, 3.764186789052916*^9}, 3.764186828233152*^9, 
   3.76457888711301*^9, 3.7660019525555773`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.648842132620864*^9, 
  3.648842167436582*^9}, {3.7598697028732977`*^9, 3.759869707241288*^9}, {
  3.764186772135494*^9, 3.764186772476735*^9}}],

Cell["\<\
Time:  18 hours, 39 minutes, 18 seconds
Date:  4 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBwAOIfDwwZE3e9dDTYOD03fPdLR4nZp7Z2AOkDf9UTuoB0
a2VT8HogLXShM3AbkF61pYT7EpDeZhB14gGQfvfSv/YfkGZh9jmpsuelY3L+
TRFtIG3iVh0XBKQvt58rB9E/ZoV3g2gfM1vGECC9+WBwQRSQFv2QtbkCSJ8I
una7Bkh/Fyp/WQuk5fjsmOuANNf19YaNQNrsTVtQM5C2YSqf1wKkdbd4Fi0G
0u9cRRtZ9r50TPFjVOAG0mw8r7kUgbSUwq5VINrs+jZ3ZSB9K9wvC0QHCS46
AaJPy7HmqADpYzd9F4LoXuebf72BdNStQnlfIG0Yb38ORE8JnCngD6RNJt9c
HQCkT2Qx3Dlk/coxy/HKU6XZrxwvTPMXUAbSc3etEwfRtzermc/Vf+3Yo/TF
GkT/SchyOgykW1ZtXCNh8NpxksmFBaULXzu+qungKgPSe2JPCx1f9tpxxpZq
bxDNd3JNnuzy146OOoG9ckDa62DhwYaVrx03TpMTbgTSL866bgjcA6QnFe8H
0fmfc54kMr9xvGdjydkFpNd1fb3FzvrG8Y1h9oF/bG8cP4nHX5zL/cYxyerP
TRA9x0zIM5bnjeMxk70qIvxvHAFdOggV
  "]]
}, Open  ]],

Cell["\<\
Begin by performing the tractor construction noted at the top of this \
notebook.\
\>", "Text",
 CellChangeTimes->{{3.45460618734519*^9, 3.4546062267163143`*^9}, {
  3.4546930051163263`*^9, 3.454693006224804*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"f", ",", "w", ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"DOp", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "1"}], ",", 
     RowBox[{"L", "[", "AA", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"Robin", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"w", "-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.453665573806778*^9, 3.453665600800062*^9}, {
   3.453665641718052*^9, 3.453665683120058*^9}, {3.4536659129816*^9, 
   3.4536659393941793`*^9}, {3.4536659984183064`*^9, 3.453666071046481*^9}, {
   3.453666293693532*^9, 3.453666307941812*^9}, {3.4539420282312737`*^9, 
   3.453942056562887*^9}, 3.454084789271532*^9, {3.454178252095167*^9, 
   3.454178252567504*^9}, {3.4541782829384403`*^9, 3.454178283804365*^9}, {
   3.454178419997046*^9, 3.454178432025791*^9}, {3.454265229584476*^9, 
   3.4542652795228148`*^9}, {3.45426714574581*^9, 3.45426714657124*^9}, {
   3.4546915914281387`*^9, 3.454691606947959*^9}, {3.4546930500124283`*^9, 
   3.454693057240117*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "AA", "]"}], "]"}], 
     RowBox[{"Ntra", "[", 
      RowBox[{"U", "[", "BB", "]"}], "]"}], "Temp"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandNtra"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454200436595861*^9, 3.4542004442002563`*^9}, {
   3.454265296412281*^9, 3.454265307240644*^9}, {3.454265520129787*^9, 
   3.454265554283822*^9}, {3.454265595666792*^9, 3.4542656040742292`*^9}, {
   3.454265636036521*^9, 3.4542656764175787`*^9}, 3.454693052943129*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "IProd"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAThree", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454265687240272*^9, 3.454265763241809*^9}, {
  3.4542658621043987`*^9, 3.454265874247047*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFour", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAAFour"}], "Input",
 CellChangeTimes->{{3.4542658785126123`*^9, 3.454265986197152*^9}, {
  3.454266155773801*^9, 3.4542661632766523`*^9}}],

Cell[OutputFormData["\<\
3*(-2 + w)*(-4 + n + 2*w)*f[] [L[a], U[a]]*Hmc - (-2 + w)*(-1 + w)*w*(-4 + n \
+ 2*w)*(-2 + n + 2*w)*f*Hmc^3 + 

   3*(-2 + w)*(-1 + w)*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \
[L[a]]*Hmc^2*Nvec[U[a]] - 

   3*(-4 + n + 2*w)*f[] [L[a], U[a], L[b]]*Nvec[U[b]] - 3*(-2 + w)*(-4 + n + \
2*w)*(-2 + n + 2*w)*

    f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] + (-4 + n + 2*w)*(-2 + n + \
2*w)*f[] [L[a], L[b], L[c]]*

    Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 3*(-2 + w)*w*(-4 + n + 2*w)*(-2 + n + \\
2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*
  P[L[a], L[b]] + w*(-4 + n + 2*w)*(-2 + n + \\
2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] + 
 3*(-2 + w)*w*(-4 + n + 2*w)*f*Hmc*P[L[a], \\
U[a]] - w*(-4 + n + 2*w)*f[] [L[b]]*Nvec[U[b]]*P[L[a], U[a]] + 
 (-4 + n + 2*w)*(-2 + n + 2*w)*(-2 + 3*w)*f[] \\
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[b], L[c]] - 
 2*w*(-4 + n + 2*w)*f[] [L[a]]*Nvec[U[a]]*P[L[b], \\
U[b]] - 3*w*(-4 + n + 2*w)*f*Nvec[U[a]]*
  P[L[b], U[b]] [L[a]] - 2*(-4 + n + 2*w)*(-2 + n + 2*w)*f[] \\
[L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
                                a                                             \
                    3
(3 (-2 + w) (-4 + n + 2 w)) f      Hmc - ((-2 + w) (-1 + w) w (-4 + n + 2 w) \
(-2 + n + 2 w)) f Hmc  + 
                             ;a 
 
                                                              2     a         \
                  a        b 
  (3 (-2 + w) (-1 + w) (-4 + n + 2 w) (-2 + n + 2 w)) f    Hmc  Nvec   - (3 \
(-4 + n + 2 w)) f        Nvec   - 
                                                       ;a                     \
               ;a   b 
 
                                                            a      b 
  (3 (-2 + w) (-4 + n + 2 w) (-2 + n + 2 w)) f      Hmc Nvec   Nvec   + 
                                              ;a b 
 
                                               a      b      c 
  ((-4 + n + 2 w) (-2 + n + 2 w)) f        Nvec   Nvec   Nvec   - 
                                   ;a b c 
 
                                                         a      b 
  (3 (-2 + w) w (-4 + n + 2 w) (-2 + n + 2 w)) f Hmc Nvec   Nvec   P     + 
                                                                    a b 
 
                                          a      b      c 
  (w (-4 + n + 2 w) (-2 + n + 2 w)) f Nvec   Nvec   Nvec   P        + 
                                                            a b ;c 
 
                                         a                                b   \
  a 
  (3 (-2 + w) w (-4 + n + 2 w)) f Hmc P     - (w (-4 + n + 2 w)) f    Nvec   \
P     + 
                                       a                          ;b          \
a 
 
                                                      a      b      c 
  ((-4 + n + 2 w) (-2 + n + 2 w) (-2 + 3 w)) f    Nvec   Nvec   Nvec   P     - 
                                              ;a                        b c 
 
                                a     b                               a     b \

  (2 w (-4 + n + 2 w)) f    Nvec   P     - (3 w (-4 + n + 2 w)) f Nvec   P    \
    - 
                        ;a          b                                     b   \
;a 
 
                                             b   a 
  (2 (-4 + n + 2 w) (-2 + n + 2 w)) f    Nvec   P
                                     ;a            b\
\>"], "Output",
 CellChangeTimes->{
  3.454265881770687*^9, {3.45426596032971*^9, 3.454265987147541*^9}, 
   3.45426616443416*^9, 3.454267254624571*^9, 3.45426748650432*^9, 
   3.454273952752473*^9, 3.454278374271632*^9, 3.454280969953932*^9, 
   3.454344168505618*^9, 3.454542874679645*^9, 3.454556498915708*^9, 
   3.45460139389981*^9, 3.4546027362395687`*^9, 3.4546059027607603`*^9, 
   3.454606270056683*^9, 3.4546069514019737`*^9, 3.454608241012732*^9, 
   3.45460866758867*^9, 3.4546893591277246`*^9, 3.454691634265094*^9, 
   3.4546931380753736`*^9, 3.454695598050425*^9, 3.454698898071653*^9, 
   3.520993159080394*^9, 3.570997146332609*^9, 3.5709973874000998`*^9, 
   3.5709974440631866`*^9, 3.6488422476746693`*^9, 3.648920129894539*^9, 
   3.6490951578834457`*^9, 3.708529940782984*^9, 3.708530786249653*^9, 
   3.711318246828508*^9, 3.711318683903982*^9, 3.7114950665436087`*^9, 
   3.711497388025775*^9, 3.7127470526983423`*^9, 3.712747687745463*^9, 
   3.722612280441535*^9, 3.759870628923184*^9, 3.7599519902851152`*^9, 
   3.760733921559011*^9, 3.761763858401462*^9, 3.76457889913713*^9, 
   3.766001982973586*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that each term contains a factor ",
 StyleBox["n ",
  FontSlant->"Italic"],
 "+ 2",
 StyleBox["w ",
  FontSlant->"Italic"],
 "- 4."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"StepAAFour", "/.", 
   RowBox[{"w", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"2", "-", 
      RowBox[{"(", 
       RowBox[{"n", "/", "2"}], ")"}]}], ")"}]}]}], "//", 
  "TensorSimplify"}]], "Input",
 CellChangeTimes->{{3.454344415455035*^9, 3.454344447944495*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.4543444348567667`*^9, 3.454344449322201*^9}, 
   3.454543007899767*^9, 3.454556510976857*^9, 3.454601431045638*^9, 
   3.454602741470364*^9, 3.454605906693934*^9, 3.454606295677796*^9, 
   3.45460696940796*^9, 3.454608242733966*^9, 3.454608670201942*^9, 
   3.454689385349242*^9, 3.454691637255433*^9, 3.454693283717072*^9, 
   3.4546956258151693`*^9, 3.454698942373048*^9, 3.520993179092866*^9, 
   3.5709972055352097`*^9, 3.570997389597221*^9, 3.5709974457973413`*^9, 
   3.648842288635469*^9, 3.648920169977811*^9, 3.649095214517528*^9, 
   3.708529944154085*^9, 3.708530789693921*^9, 3.711318309478397*^9, 
   3.7113187235136127`*^9, 3.71149507500202*^9, 3.711497480548272*^9, 
   3.71274714174431*^9, 3.71274769299244*^9, 3.722612313957838*^9, 
   3.759870641881089*^9, 3.759952063804888*^9, 3.760733923461628*^9, 
   3.761763864896103*^9, 3.764578902564331*^9, 3.766001999935357*^9}]
}, Open  ]],

Cell[TextData[{
 "Divide out the factor ",
 StyleBox["n ",
  FontSlant->"Italic"],
 "+ 2",
 StyleBox["w ",
  FontSlant->"Italic"],
 "- 4."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"n", "+", 
         RowBox[{"2", "w"}], "-", "4"}], ")"}]}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFive", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAAFive"}], "Input",
 CellChangeTimes->{{3.4542739632610683`*^9, 3.4542740392828217`*^9}, {
  3.454275722324724*^9, 3.454275772791054*^9}, {3.454276095749565*^9, 
  3.454276100138619*^9}, {3.454344470665133*^9, 3.454344493790702*^9}}],

Cell[OutputFormData["\<\
3*(-2 + w)*f[] [L[a], U[a]]*Hmc - (-2 + w)*(-1 + w)*w*(-2 + n + 2*w)*f*Hmc^3 + 

   3*(-2 + w)*(-1 + w)*(-2 + n + 2*w)*f[] [L[a]]*Hmc^2*Nvec[U[a]] - 3*f[] \
[L[a], U[a], L[b]]*Nvec[U[b]] - 

   3*(-2 + w)*(-2 + n + 2*w)*f[] [L[a], L[b]]*Hmc*Nvec[U[a]]*Nvec[U[b]] + 

   (-2 + n + 2*w)*f[] [L[a], L[b], L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]] - 

   3*(-2 + w)*w*(-2 + n + 2*w)*f*Hmc*Nvec[U[a]]*Nvec[U[b]]*P[L[a], L[b]] + 

   w*(-2 + n + 2*w)*f*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*P[L[a], L[b]] [L[c]] + 

   3*(-2 + w)*w*f*Hmc*P[L[a], U[a]] + (-2 + n + 2*w)*(-2 + 3*w)*f[] \
[L[a]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]*

    P[L[b], L[c]] - 3*w*f[] [L[a]]*Nvec[U[a]]*P[L[b], U[b]] - \
3*w*f*Nvec[U[a]]*P[L[b], U[b]] [L[a]] - 

   2*(-2 + n + 2*w)*f[] [L[a]]*Nvec[U[b]]*P[U[a], L[b]]\
\>", "\<\
                 a                                                  3
(3 (-2 + w)) f      Hmc - ((-2 + w) (-1 + w) w (-2 + n + 2 w)) f Hmc  + 
              ;a 
 
                                               2     a          a        b 
  (3 (-2 + w) (-1 + w) (-2 + n + 2 w)) f    Hmc  Nvec   - 3 f        Nvec   - \

                                        ;a                   ;a   b 
 
                                             a      b                         \
       a      b      c 
  (3 (-2 + w) (-2 + n + 2 w)) f      Hmc Nvec   Nvec   + (-2 + n + 2 w) f     \
   Nvec   Nvec   Nvec   - 
                               ;a b                                      ;a b \
c 
 
                                          a      b 
  (3 (-2 + w) w (-2 + n + 2 w)) f Hmc Nvec   Nvec   P     + 
                                                     a b 
 
                           a      b      c                                    \
 a 
  (w (-2 + n + 2 w)) f Nvec   Nvec   Nvec   P        + (3 (-2 + w) w) f Hmc P \
    + 
                                             a b ;c                          a 
 
                                       a      b      c                        \
 a     b 
  ((-2 + n + 2 w) (-2 + 3 w)) f    Nvec   Nvec   Nvec   P     - (3 w) f    \
Nvec   P     - 
                               ;a                        b c           ;a     \
     b 
 
              a     b                                   b   a 
  (3 w) f Nvec   P        - (2 (-2 + n + 2 w)) f    Nvec   P
                  b   ;a                        ;a            b\
\>"], "Output",
 CellChangeTimes->{3.45434449635793*^9, 3.4545430367274437`*^9, 
  3.454556515547328*^9, 3.454601450591053*^9, 3.454602743244317*^9, 
  3.454605908224308*^9, 3.454606299788273*^9, 3.454606980584207*^9, 
  3.4546082446802607`*^9, 3.454608671700367*^9, 3.4546895069716253`*^9, 
  3.4546916387860203`*^9, 3.454693288002071*^9, 3.4546956295462523`*^9, 
  3.4546989584881163`*^9, 3.5209931858213253`*^9, 3.570997210109127*^9, 
  3.57099739188188*^9, 3.5709974474006643`*^9, 3.648842293588397*^9, 
  3.648920183615157*^9, 3.649095220192672*^9, 3.708529963244298*^9, 
  3.708530791718296*^9, 3.711318319227296*^9, 3.711318727928339*^9, 
  3.711495210910136*^9, 3.711497512194091*^9, 3.712747150225749*^9, 
  3.7127476951148643`*^9, 3.7226123191925507`*^9, 3.759870645037669*^9, 
  3.759952067844936*^9, 3.760733925672831*^9, 3.7617638675282087`*^9, 
  3.764578904264*^9, 3.766002008820751*^9}]
}, Open  ]],

Cell["Compare to previously stored result from file.", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DeltaOneTwo", "=", "StepAAFive"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DeltaOneTwo", ";"}]}], "Input",
 CellChangeTimes->{{3.759870660132113*^9, 3.759870665155901*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"<<", "~/bop/bnb/OThree.m"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", "DeltaOneTwo"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.648842314045225*^9, 3.6488423145468683`*^9}, 
   3.759869710473365*^9, {3.759870670740456*^9, 3.759870671524046*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.520993211679286*^9, 3.5709972723696537`*^9, 
  3.57099740340053*^9, 3.570997450892058*^9, 3.648842327197423*^9, 
  3.648920273818169*^9, 3.6490953048046503`*^9, 3.708529972837694*^9, 
  3.708530797315818*^9, 3.711318329311348*^9, 3.711318784141754*^9, 
  3.711495303764277*^9, 3.7114975634130173`*^9, 3.712747161249082*^9, 
  3.712747699639841*^9, 3.722612334718218*^9, 3.759870673016473*^9, 
  3.759952128318097*^9, 3.7607339290397778`*^9, 3.761763876266223*^9, 
  3.7645789078361187`*^9, 3.7660020467922907`*^9}]
}, Open  ]],

Cell["\<\
Compare the leading terms of our third-order operator and David Grant\
\[CloseCurlyQuote]s third-order operator.\
\>", "Text",
 CellChangeTimes->{{3.759871907116991*^9, 3.7598719510828447`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We begin by constructing the leading term of David\[CloseCurlyQuote]s \
third-order operator.  We use the formula for his operator given in the \
middle of page 52 of his thesis.  For further information on David Grant\
\[CloseCurlyQuote]s thesis, see the entry for D.H. Grant in the reference \
section of our article.\n\nWhen we developed many of our commands for dealing \
with intrinsic derivatives, we gave them the capability to compute intrinsic \
derivatives relative to a conformal metric.  The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "\[CenterDot]", "Upsilon"}]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ".  In this notebook, we compute derivatives relative to the background \
metric.  We therefore set Upsilon equal to zero.  We will use the following \
rule to do this."
}], "Text",
 CellChangeTimes->{{3.7598719820097713`*^9, 3.7598720204350033`*^9}, {
  3.764578995819779*^9, 3.764579029020546*^9}, {3.7647769514841537`*^9, 
  3.764776994213646*^9}, {3.764777036947913*^9, 3.764777111430545*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7598721033867817`*^9, 3.759872117644443*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.759872119301176*^9, 3.759952248606483*^9, 
  3.760733942372251*^9, 3.7617638976880617`*^9, 3.764578917384308*^9, 
  3.766002089349177*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.759872123932644*^9, 3.759872139779745*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[i]]}\
\>", "\<\
{ups, ups   }
         ;i\
\>"], "Output",
 CellChangeTimes->{3.759872140561508*^9, 3.759952250291174*^9, 
  3.760733943622087*^9, 3.761763898889002*^9, 3.76457891841185*^9, 
  3.766002090583865*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.759952258858886*^9, 3.759952261583542*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{3.759952262349884*^9, 3.7607339458414907`*^9, 
  3.761763899923274*^9, 3.7645789192986307`*^9, 3.766002091420629*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"KillfThree", ",", 
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"L", "[", "i", "]"}], ",", 
     RowBox[{"L", "[", "j", "]"}], ",", 
     RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", "0", ",", 
   RowBox[{"NewRule", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7598728257186537`*^9, 3.759872843909047*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.759872845279153*^9, 3.7599522648219624`*^9, 
  3.760733946929264*^9, 3.761763902302432*^9, 3.7645789202397423`*^9, 
  3.766002092407275*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"f", ",", 
     RowBox[{"f", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}]}], "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"L", "[", "i", "]"}], ",", 
       RowBox[{"L", "[", "j", "]"}], ",", 
       RowBox[{"L", "[", "k", "]"}], ",", 
       RowBox[{"L", "[", "l", "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.7598728462565536`*^9, 3.7598728770228567`*^9}}],

Cell[OutputFormData["\<\
{f, f[] [L[i]], f[] [L[i], L[j]], f[] [L[i], L[j], L[k]], f[] [L[i], L[j], \
L[k], L[l]]}\
\>", "\<\
{f, f   , f     , f       , f         }
     ;i    ;i j    ;i j k    ;i j k l\
\>"], "Output",
 CellChangeTimes->{{3.759872872786256*^9, 3.759872877929682*^9}, 
   3.7599522662053423`*^9, 3.7607339480364523`*^9, 3.761763902979405*^9, 
   3.764578922722192*^9, 3.766002096512596*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "KillfThree"}]], "Input",
 CellChangeTimes->{{3.759872880003701*^9, 3.759872884357451*^9}}],

Cell[OutputFormData["\<\
{f, f[] [L[i]], f[] [L[i], L[j]], 0, 0}\
\>", "\<\
{f, f   , f     , 0, 0}
     ;i    ;i j\
\>"], "Output",
 CellChangeTimes->{3.759872885126039*^9, 3.759952271945202*^9, 
  3.760733949144524*^9, 3.761763903629161*^9, 3.764578923902088*^9, 
  3.766002098620928*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], 
      RowBox[{"Nvec", "[", 
       RowBox[{"U", "[", "b", "]"}], "]"}], 
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"L", "[", "i", "]"}], ",", 
        RowBox[{"U", "[", "i", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}], "+", 
     RowBox[{"LapSigHatDen", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "i", "]"}], "]"}], 
        RowBox[{"f", "[", 
         RowBox[{"L", "[", "i", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "-", "n"}], ")"}], "/", "2"}]}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"U", "[", "b", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", 
     RowBox[{"(", 
      RowBox[{"Temp", "/.", "KillfThree"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DavidLeadingPart", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "DavidLeadingPart"}], "Input",
 CellChangeTimes->{{3.7598720284734993`*^9, 3.759872098156563*^9}, {
  3.759872171173819*^9, 3.759872197143756*^9}, {3.759872256447238*^9, 
  3.759872283622513*^9}, {3.759872342775598*^9, 3.759872419259218*^9}, {
  3.759872479097726*^9, 3.759872489329958*^9}, {3.759872892965517*^9, 
  3.759872911326291*^9}, {3.7598730697616*^9, 3.7598730746645517`*^9}, {
  3.76073401575317*^9, 3.760734016168686*^9}}],

Cell[OutputFormData["\<\
(3*f[] [L[a], U[a], L[b]]*Nvec[U[b]])/2 - f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]\
\>", "\<\
3     a        b                 a      b      c 
- f        Nvec   - f        Nvec   Nvec   Nvec
2  ;a   b            ;a b c\
\>"], "Output",
 CellChangeTimes->{
  3.759872198356868*^9, {3.7598722596315393`*^9, 3.75987228453494*^9}, 
   3.759872386598145*^9, {3.759872468105805*^9, 3.7598724969091988`*^9}, 
   3.759872912254051*^9, 3.7598730959851933`*^9, 3.759952627335647*^9, 
   3.760734017412139*^9, 3.76176390937466*^9, 3.764578925315733*^9, 
   3.7660021026557493`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "DeltaOneTwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", 
     RowBox[{"(", 
      RowBox[{"Temp", "/.", "KillfThree"}], ")"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", 
     RowBox[{"(", 
      RowBox[{"w", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"4", "-", "n"}], ")"}], "/", "2"}], ")"}]}], ")"}]}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeltaOneTwoLeadingPart", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "DeltaOneTwoLeadingPart"}], "Input",
 CellChangeTimes->{{3.759872626986101*^9, 3.759872648890822*^9}, {
  3.759872703211858*^9, 3.759872753291944*^9}, {3.759872924750372*^9, 
  3.759872937606225*^9}}],

Cell[OutputFormData["\<\
-3*f[] [L[a], U[a], L[b]]*Nvec[U[b]] + 2*f[] [L[a], L[b], \
L[c]]*Nvec[U[a]]*Nvec[U[b]]*Nvec[U[c]]\
\>", "\<\
       a        b                   a      b      c 
-3 f        Nvec   + 2 f        Nvec   Nvec   Nvec
    ;a   b              ;a b c\
\>"], "Output",
 CellChangeTimes->{3.759872649523591*^9, 3.759872755899209*^9, 
  3.759872938316901*^9, 3.759873103885523*^9, 3.7599526603362827`*^9, 
  3.760734020574581*^9, 3.7617639116149387`*^9, 3.764578928833921*^9, 
  3.7660021288371687`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"DavidLeadingPart", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ")"}], "DeltaOneTwoLeadingPart"}]}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "Temp"}], "Input",
 CellChangeTimes->{{3.759872946835717*^9, 3.7598729820386744`*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{{3.759872961654636*^9, 3.7598729825809097`*^9}, 
   3.759873106093389*^9, 3.759952870467826*^9, 3.76073402236963*^9, 
   3.761763913121476*^9, 3.764578931680015*^9, 3.766002600475483*^9}]
}, Open  ]],

Cell["The output from the above commands should be zero.", "Text",
 CellChangeTimes->{{3.76176393545819*^9, 3.7617639474718924`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1852, 1125},
WindowMargins->{{0, Automatic}, {18, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1215, 35, 98, "Text"],
Cell[1763, 57, 713, 13, 64, "Text"],
Cell[2479, 72, 1659, 39, 257, "Text"],
Cell[4141, 113, 243, 6, 97, "Text"],
Cell[4387, 121, 485, 13, 107, "Text"],
Cell[4875, 136, 149, 2, 96, "Text"],
Cell[5027, 140, 225, 5, 64, "Text"],
Cell[5255, 147, 84, 2, 65, "Input"],
Cell[5342, 151, 161, 2, 96, "Text"],
Cell[5506, 155, 955, 16, 65, "Text"],
Cell[CellGroupData[{
Cell[6486, 175, 297, 6, 65, "Input"],
Cell[6786, 183, 2193, 38, 162, "Output"]
}, Open  ]],
Cell[8994, 224, 176, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[9195, 234, 99, 1, 63, "Input"],
Cell[9297, 237, 202, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9536, 247, 382, 6, 63, "Input"],
Cell[9921, 255, 844, 16, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10802, 276, 1413, 31, 624, "Input"],
Cell[12218, 309, 768, 16, 80, "Print"]
}, Open  ]],
Cell[13001, 328, 255, 6, 96, "Text"],
Cell[13259, 336, 1648, 40, 323, "Input"],
Cell[14910, 378, 1083, 30, 280, "Input"],
Cell[15996, 410, 903, 26, 323, "Input"],
Cell[CellGroupData[{
Cell[16924, 440, 1090, 30, 365, "Input"],
Cell[18017, 472, 4464, 93, 931, "Output"]
}, Open  ]],
Cell[22496, 568, 166, 8, 65, "Text"],
Cell[CellGroupData[{
Cell[22687, 580, 301, 9, 63, "Input"],
Cell[22991, 591, 968, 17, 103, "Output"]
}, Open  ]],
Cell[23974, 611, 150, 8, 65, "Text"],
Cell[CellGroupData[{
Cell[24149, 623, 918, 26, 279, "Input"],
Cell[25070, 651, 3289, 71, 669, "Output"]
}, Open  ]],
Cell[28374, 725, 62, 0, 64, "Text"],
Cell[28439, 727, 209, 4, 108, "Input"],
Cell[CellGroupData[{
Cell[28673, 735, 534, 14, 193, "Input"],
Cell[29210, 751, 592, 12, 103, "Output"]
}, Open  ]],
Cell[29817, 766, 236, 5, 96, "Text"],
Cell[30056, 773, 1093, 19, 318, "Text"],
Cell[CellGroupData[{
Cell[31174, 796, 221, 4, 65, "Input"],
Cell[31398, 802, 190, 3, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31625, 810, 292, 8, 107, "Input"],
Cell[31920, 820, 255, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32212, 833, 127, 2, 63, "Input"],
Cell[32342, 837, 203, 6, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32582, 848, 379, 9, 65, "Input"],
Cell[32964, 859, 192, 3, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33193, 867, 823, 23, 107, "Input"],
Cell[34019, 892, 408, 9, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34464, 906, 130, 2, 63, "Input"],
Cell[34597, 910, 290, 8, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34924, 923, 2732, 80, 580, "Input"],
Cell[37659, 1005, 613, 13, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38309, 1023, 1126, 34, 322, "Input"],
Cell[39438, 1059, 519, 11, 146, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39994, 1075, 480, 14, 150, "Input"],
Cell[40477, 1091, 263, 7, 103, "Output"]
}, Open  ]],
Cell[40755, 1101, 133, 1, 64, "Text"],
Cell[40891, 1104, 149, 2, 96, "Text"],
Cell[41043, 1108, 1464, 27, 234, "Text"],
Cell[42510, 1137, 285, 6, 64, "Text"],
Cell[42798, 1145, 132, 2, 63, "Input"],
Cell[42933, 1149, 254, 6, 64, "Text"],
Cell[43190, 1157, 132, 2, 63, "Input"],
Cell[43325, 1161, 253, 6, 64, "Text"],
Cell[43581, 1169, 132, 2, 96, "Input"]
}
]
*)

