(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     42873,       1256]
NotebookOptionsPosition[     40045,       1168]
NotebookOutlinePosition[     40786,       1192]
CellTagsIndexPosition[     40743,       1189]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["TracSFF.nb (\[OpenCurlyDoubleQuote]Construct tractor second fundamental \
form\[CloseCurlyDoubleQuote])", "Text",
 CellChangeTimes->{{3.4531592758884363`*^9, 3.453159283270054*^9}, {
  3.453663714480641*^9, 3.453663742897434*^9}, {3.454264875723364*^9, 
  3.4542649856890078`*^9}, {3.454265169595438*^9, 3.454265183276231*^9}, {
  3.4545563392729397`*^9, 3.454556400683288*^9}, {3.4546061463487597`*^9, 
  3.454606146789274*^9}, {3.454691529083417*^9, 3.454691529532563*^9}, {
  3.454692871706007*^9, 3.4546928917816563`*^9}, {3.454956451783189*^9, 
  3.454956516658629*^9}, {3.764676610884172*^9, 3.764676615011745*^9}},
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0, 0, 1]],

Cell[TextData[{
 "Date last modified:  5 May 2019\n\nIn this notebook, we illustrate and test \
our rule for the tractor second fundamental form, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQBmIQXT7J8n3CrpeO+34o/QfRmoYBDuG7XzreVf3kBqL9
S+O2dABpEbkqMN1T5BC0Hkjf8kwG01pHw7gugfhCWWDa+NCv6n9AurJNvQZE
fzkTdVxlz0vHz3NrwfRf4acxQUD68uSfYDpEQ3lTBZDWKjEE01m1SrdqgHSx
gheYXr2Eo3AxkPYQlQDTU/yd61n2vnScMT0GTC/22sSpCKRnfzoEpjn2zZfw
BdIbWO+B6SIp5tpzQHqjuAKY/vbwmfWhea8cz8h22oHotkeTPUD0m/c5XiBa
8umu2fOWv3LMObhtDoi+9/187FkgvW3hWzD9Yq7A0i9A+oGPJZjuW9XmqrDi
lePZjI1gOv9p0WdT7jeO27f9+w2iD0uHOiUAaZGAOjC9YDFn3GwgbXpJDUxL
ewl/6uF54+j8WBFMr/kY+peR/43jk53bwbSPx19vOyB9L0ncB0QDAGYX5Yo=

  "]],

Cell[TextData[{
 "Special warning concerning the display of graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.76596179493373*^9, 3.7659618335103083`*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "A special warning note appears near the beginning of the notebook ",
 StyleBox["Alias.nb", "Input"],
 ".  Please read this warning note.  This note relates to the display of \
graphical output from ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in future work sessions with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.765961849278812*^9, 3.765961936518609*^9}, {
  3.765962026966837*^9, 3.7659620312867537`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765961979956499*^9, 3.765961994358906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We set the default output format type to \[OpenCurlyDoubleQuote]",
 StyleBox["OutputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.765962087165213*^9, 3.765962126566902*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/defout.m"}], ";"}]], "Input"],

Cell["Read in files.  Set parameters.  Read in Ricci.", "Text",
 CellChangeTimes->{{3.765962144718841*^9, 3.765962173240456*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "The next command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where to make the line breaks."
}], "Text",
 CellChangeTimes->{{3.766088322782489*^9, 3.7660883479228687`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"$Output", ",", 
   RowBox[{"PageWidth", "\[Rule]", "110"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454265776374419*^9, 3.454265776894391*^9}, {
  3.57754186653216*^9, 3.577541867699421*^9}}],

Cell[OutputFormData["\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
  TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
\"Unicode\", 
  NumberMarks :> $NumberMarks, Method -> {\"File\", BinaryFormat -> False}}}\
\>", "\<\
{{BinaryFormat -> False, FormatType -> OutputForm, PageWidth -> 110, \
PageHeight -> 22, 
 
   TotalWidth -> Infinity, TotalHeight -> Infinity, CharacterEncoding :> \
Unicode, 
 
   NumberMarks :> $NumberMarks, Method -> {File, BinaryFormat -> False}}}\
\>"], "Output",
 CellChangeTimes->{
  3.453159420682274*^9, 3.453664101780805*^9, 3.4537650309457912`*^9, 
   3.453768442958385*^9, 3.453844118631322*^9, 3.453858395155579*^9, 
   3.453915222079307*^9, 3.4539454046763563`*^9, 3.454006244931095*^9, 
   3.454084674302463*^9, 3.454097568777343*^9, 3.4541780304975758`*^9, 
   3.4541782316793613`*^9, 3.45417838963104*^9, 3.454181379603775*^9, 
   3.454194555282077*^9, 3.454256533202301*^9, 3.454265048850965*^9, 
   3.454265777769042*^9, 3.4542672055076313`*^9, 3.454267411278857*^9, 
   3.454273928094194*^9, 3.454278286744721*^9, 3.454280942277555*^9, 
   3.454344077173685*^9, 3.45454284668058*^9, 3.4545564076723423`*^9, 
   3.45460129755408*^9, 3.4546025763157187`*^9, 3.454605879937646*^9, 
   3.454606157330171*^9, 3.454606911337605*^9, 3.4546082183513403`*^9, 
   3.4546086431596203`*^9, 3.454689206558214*^9, 3.454691574532737*^9, 
   3.454692971940674*^9, 3.454695551454913*^9, 3.454698842133028*^9, 
   3.454956543915906*^9, 3.454960301336665*^9, 3.454961571864065*^9, 
   3.454963439992775*^9, {3.5775418697995*^9, 3.577541899491346*^9}, 
   3.577557791581973*^9, 3.5776376185605803`*^9, 3.57763884850546*^9, 
   3.577645933393859*^9, 3.577718061099615*^9, 3.577720478407346*^9, 
   3.577724179189241*^9, 3.57772764616144*^9, 3.577728482221949*^9, 
   3.577729453699695*^9, 3.577732452724452*^9, 3.5778074095922527`*^9, 
   3.577811098533319*^9, 3.763974127599133*^9, 3.763976329890833*^9, 
   3.764060695678734*^9, 3.764181749161158*^9, 3.764676503872932*^9, 
   3.766088360874134*^9}]
}, Open  ]],

Cell[TextData[{
 "Print the version number of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.766088372597311*^9, 3.7660883854552727`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["$Version"], "Input",
 CellChangeTimes->{{3.766088393128084*^9, 3.76608839423549*^9}}],

Cell[OutputFormData["\<\
\"11.0.1 for Linux x86 (64-bit) (September 21, 2016)\"\
\>", "\<\
11.0.1 for Linux x86 (64-bit) (September 21, 2016)\
\>"], "Output",
 CellChangeTimes->{3.766088395262772*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm3/Ricci1.61.m"}]], "Input",
 CellChangeTimes->{{3.5775418766323338`*^9, 3.577541905572155*^9}, {
  3.763974134143979*^9, 3.7639741519999104`*^9}, {3.765964792542244*^9, 
  3.7659647936059923`*^9}, {3.7660884000842524`*^9, 3.7660884022039413`*^9}}],

Cell["\<\
 -- Ricci Version 1.61 (March 10, 2016) --
    Copyright 1992 - 2016 John M. Lee
    Problem reports or suggestions to:
      lee@math.washington.edu
 -- For properly formatted output in a notebook,
    set the default output format type to OutputForm\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwVy28o43EAx/E5HhkZ9sCfazamu+4Uq+HKNX1bTv5FmxmTnS5/Elp74Ozi
5F9yy8M9IrLN391Cu3hg24OTMrFj5y75kxjFb8aJoTvlfL4PPr0efHoLPmhk
tUEsFkuCxbec/a9eZEhOMLtZaWfIrLlsvh9+X7S/10PhEl8+Cy+mnQULkC+N
Zf+E+vDTlUMoGtttf6T/r22X0MGQ57pG7mtYXBGhlkHZsqKVmh9zq6fyDBus
Uqj+va1RwdSqgE1Hu2+Ve+1wsOLq7DN0180864C+4DxRF+TqomQ98HiSM9IL
rYJzrRlyouI6Q5wMOXFrE9gw7a4hVADnVNkWqo2XlZsE1yKvGqhWjdhF3X8z
0CiEG4XWUarSEHNfAKUrd7wi+Fhuc1Ob4l5yimGC8dPXEjjuEHX+gH3dF4pN
+LZvIUDd4koOPHD+hXd4ZNJHGEWpidrmDK2ZgJfGVrUb+o9czR5o+rM8HoDy
fe/WLdTyek33sCxlR/4XcpNbHFSD+DT9H1x/cFgfoGVV+Y4/5SMfLfXRidBc
mByUwfYTsb08MhOGXSdJq2Gb0aMegt5XaTcDYX7yRVynkkT4yRPsCAqx
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$Quiet", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8tan.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybund.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/Maybase.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May2.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May6.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm/PrintTime.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May3.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm2/May7.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June8.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9a.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "~/bop/gen/dtm3/June9b.m"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Quiet", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintTime", ";"}]}], "Input",
 CellChangeTimes->{{3.453764984157428*^9, 3.453764991396926*^9}, {
  3.453858435780781*^9, 3.4538584407412443`*^9}, {3.763974157568375*^9, 
  3.763974157896124*^9}, {3.763974207546371*^9, 3.7639742112408037`*^9}}],

Cell["\<\
Time:  18 hours, 40 minutes, 10 seconds
Date:  5 May 2019\
\>", "Print",
 CellChangeTimes->CompressedData["
1:eJwVxVtImmEABmA1a6Fh2QGiC7Ml7CKijPiDWMVHJyTt8DsSDLJa20XU2mJg
0oGs7BwExWQLio4bJURoXrgGrUHYRlJbFDbIbnbxl8hoi5zD6P0uHp60pnb2
GZ/H4xVA8ELJb3RxJHvT2qb7yJHk2a9bI3gn/KhhDFtM/doNHH84WuPEa47X
4u/Yma13X+AAV9Vzh4UR6n3FNkeetnsTM3BuWVc9i38Me4z04DvdOF3NFPCf
YPtn7Us9TvrdYu/EbvbkZze+jTdyPVgmKYzoxaLTDaUZM/4hdgA/FhjnBnGm
Q9WxhAOlSWbhJ440V/LlYhwVcyVKwyly1xqdOXWWp+MzXWULnZUuuunfZJGt
Crzn1SzQJ4u94QqsP3uVqsFKQ5GHPlPzNq4K505716vpnfN9HpxzIKs9xJbl
9Bv6F8mb8yMcN2Vamnt/SXyOrOZVXFKyazjAORnJL46wovV65S92RT84vsHV
PvfiLQ74Qtp/OPjLuk0vt0mYEJbnXdv+Y2bQUib/cEn6w9aEh7j7xCRixH5y
HmuW5uFddVtxA65XSQ2zeEb4/M9EjJ+oBPl1hbF+cg8KO/8R
  "]]
}, Open  ]],

Cell[TextData[StyleBox["Preliminary Work",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.763974250107326*^9, 3.763974258505906*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "When we developed our command for computing the intrinsic derivative, we \
gave this rule the capability of computing the intrinsic derivative relative \
to a conformal metric.  The conformal factor is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"2", "\[CenterDot]", "Upsilon"}]], TraditionalForm]]],
 ".  In this notebook, we will compute the derivative relative to the \
background metric.  We therefore need to set Upsilon equal to zero.  The \
following rule accomplishes this."
}], "Text",
 CellChangeTimes->{{3.7639742719887257`*^9, 3.763974327778286*^9}, {
  3.763974363285717*^9, 3.7639744214578047`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefineRule", "[", 
  RowBox[{"Killups", ",", "ups", ",", "0", ",", 
   RowBox[{"NewRule", "->", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.454957017883449*^9, 3.4549570293010387`*^9}}],

Cell["Rule defined.", "Print",
 CellChangeTimes->{3.454957033204126*^9, 3.4549603126399183`*^9, 
  3.45496158016854*^9, 3.5775419173912163`*^9, 3.577557797562397*^9, 
  3.577637632842366*^9, 3.5776459379348927`*^9, 3.577718066206051*^9, 
  3.5777204824361897`*^9, 3.5777241875731783`*^9, 3.577727649877261*^9, 
  3.577728487208194*^9, 3.57772945874654*^9, 3.57773245798025*^9, 
  3.5778074148631*^9, 3.5778111145954037`*^9, 3.763974424360643*^9, 
  3.763976335304397*^9, 3.764060718720557*^9, 3.764181772410509*^9, 
  3.764676521217566*^9, 3.766088428677371*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Holder", "=", 
   RowBox[{"{", 
    RowBox[{"ups", ",", 
     RowBox[{"ups", "[", 
      RowBox[{"L", "[", "i", "]"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "Holder"}], "Input",
 CellChangeTimes->{{3.454957034353036*^9, 3.45495704726167*^9}}],

Cell[OutputFormData["\<\
{ups, ups[] [L[i]]}\
\>", "\<\
{ups, ups   }
         ;i\
\>"], "Output",
 CellChangeTimes->{3.454957048042062*^9, 3.454960314949576*^9, 
  3.454961582099177*^9, 3.577541918278221*^9, 3.577557798354788*^9, 
  3.577637633798265*^9, 3.5776459388638487`*^9, 3.577718066981739*^9, 
  3.577720483213525*^9, 3.57772418841989*^9, 3.577727650538577*^9, 
  3.577728487814104*^9, 3.577729459472446*^9, 3.577732458602138*^9, 
  3.577807415659258*^9, 3.577811115601239*^9, 3.763974425181096*^9, 
  3.7639763359652576`*^9, 3.764060719931162*^9, 3.76418177342025*^9, 
  3.7646765234679823`*^9, 3.766088429695298*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Holder", "/.", "Killups"}]], "Input",
 CellChangeTimes->{{3.454957050501834*^9, 3.454957054493992*^9}}],

Cell[OutputFormData["\<\
{0, 0}\
\>", "\<\
{0, 0}\
\>"], "Output",
 CellChangeTimes->{3.454957057035948*^9, 3.454960317795381*^9, 
  3.454961583585321*^9, 3.577541920070881*^9, 3.5775577990186*^9, 
  3.577637634517832*^9, 3.577645939657673*^9, 3.577718067748749*^9, 
  3.577720483801249*^9, 3.577724189139784*^9, 3.5777276510907803`*^9, 
  3.577728488421255*^9, 3.577729460104937*^9, 3.577732459161236*^9, 
  3.577807416302641*^9, 3.577811116443761*^9, 3.763974425828442*^9, 
  3.763976336533049*^9, 3.764060720673745*^9, 3.7641817741852503`*^9, 
  3.764676524333232*^9, 3.766088430406657*^9}]
}, Open  ]],

Cell[TextData[StyleBox["We verify our rule for the tractor second fundamental \
form.",
 FontSize->14]], "Text",
 CellChangeTimes->{{3.57764596564474*^9, 3.577646000011199*^9}, {
  3.7640613248941917`*^9, 3.7640613416538486`*^9}, {3.7640624365484*^9, 
  3.7640624382041187`*^9}},
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "We compute a formula for the tractor second fundamental form, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".  To to this, we use the formula from Proposition 3.7 of our article.  We \
then use this formula to confirm our ",
 StyleBox["Ricci",
  FontSlant->"Italic"],
 " rule for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]]],
 ".\n\nAccording to our Proposition 3.7, we have the following:\n\n",
 Cell[BoxData[
  FormBox[
   SubscriptBox["L", 
    StyleBox["AB",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[" =\n      ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"n", "-", "3"}], ")"}], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox[
    OverscriptBox["Z", "_"], "A", 
    RowBox[{"     ", "a"}]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox[
    OverscriptBox["Z", "_"], "B", 
    RowBox[{"     ", "b"}]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["  -  2",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"n", "-", "3"}], 
    RowBox[{"n", "-", "2"}]], TraditionalForm]]],
 StyleBox["  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox[
    OverscriptBox["X", "_"], 
    RowBox[{"(", "A"}], "     "], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox[
    OverscriptBox["Z", "_"], 
    RowBox[{"B", ")"}], 
    RowBox[{"      ", "a"}]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]]],
 StyleBox[" \n                 +   ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["X", "_"], "A"], TraditionalForm]],
  FontSize->18],
 StyleBox["  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["X", "_"], "B"], TraditionalForm]],
  FontSize->18],
 StyleBox[" ",
  FontSize->18],
 StyleBox["(",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["P", "_"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox["  +  ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    RowBox[{"n", "-", "2"}]], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["\[Del]", "_"], "a"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["\[Del]", "_"], "b"], TraditionalForm]],
  FontSize->18],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["L", "\[SmallCircle]"], 
    StyleBox["ab",
     FontSlant->"Italic"]], TraditionalForm]],
  FontSize->18],
 StyleBox[")",
  FontSize->24],
 "\nHere (",
 StyleBox["A ",
  FontSlant->"Italic"],
 " ",
 StyleBox["B",
  FontSlant->"Italic"],
 ") indicates symmetrisation over ",
 StyleBox["A",
  FontSlant->"Italic"],
 " and ",
 StyleBox["B",
  FontSlant->"Italic"],
 ", as we said in the article.  We now proceed to compute the above \
expression."
}], "Text",
 CellChangeTimes->{{3.577542100247665*^9, 3.5775421475426817`*^9}, {
   3.57754279314613*^9, 3.577542795522129*^9}, {3.764061348030261*^9, 
   3.764061620337901*^9}, {3.764061653112047*^9, 3.7640621035218*^9}, {
   3.764062167675582*^9, 3.764062189506937*^9}, {3.764062221907325*^9, 
   3.764062314843005*^9}, 3.764062455751112*^9, {3.764062522054331*^9, 
   3.764062608191759*^9}, {3.7641820864903307`*^9, 3.764182092890484*^9}, {
   3.764182201629445*^9, 3.7641822098441343`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{"(*", "*****)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", "-", "3"}], ")"}], 
      RowBox[{"ZS", "[", 
       RowBox[{
        RowBox[{"L", "[", "AA", "]"}], ",", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], 
      RowBox[{"ZS", "[", 
       RowBox[{
        RowBox[{"L", "[", "BB", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}], 
      RowBox[{"TfSFF", "[", 
       RowBox[{
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}]}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{"(*", "*****)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "3"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"n", "-", "2"}], ")"}]}], ")"}], 
      RowBox[{"XS", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], 
      RowBox[{"ZS", "[", 
       RowBox[{
        RowBox[{"L", "[", "BB", "]"}], ",", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", 
      RowBox[{"NbSigHatEtaEta", "[", 
       RowBox[{"TfSFF", ",", "1", ",", 
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "i", "]"}]}], "]"}], "*", 
      RowBox[{"gSgm", "[", 
       RowBox[{
        RowBox[{"U", "[", "i", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{"(*", "*****)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "3"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"n", "-", "2"}], ")"}]}], ")"}], 
      RowBox[{"XS", "[", 
       RowBox[{"L", "[", "BB", "]"}], "]"}], 
      RowBox[{"ZS", "[", 
       RowBox[{
        RowBox[{"L", "[", "AA", "]"}], ",", 
        RowBox[{"U", "[", "a", "]"}]}], "]"}], "*", 
      RowBox[{"NbSigHatEtaEta", "[", 
       RowBox[{"TfSFF", ",", "1", ",", 
        RowBox[{"L", "[", "a", "]"}], ",", 
        RowBox[{"L", "[", "b", "]"}], ",", 
        RowBox[{"L", "[", "i", "]"}]}], "]"}], "*", 
      RowBox[{"gSgm", "[", 
       RowBox[{
        RowBox[{"U", "[", "i", "]"}], ",", 
        RowBox[{"U", "[", "b", "]"}]}], "]"}]}], "+", "\[IndentingNewLine]", 
     RowBox[{"(*", "*****)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"XS", "[", 
       RowBox[{"L", "[", "AA", "]"}], "]"}], 
      RowBox[{"XS", "[", 
       RowBox[{"L", "[", "BB", "]"}], "]"}], "*", 
      RowBox[{"(", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"TfSFF", "[", 
          RowBox[{
           RowBox[{"L", "[", "a", "]"}], ",", 
           RowBox[{"L", "[", "b", "]"}]}], "]"}], 
         RowBox[{"RhoSigma", "[", 
          RowBox[{
           RowBox[{"U", "[", "a", "]"}], ",", 
           RowBox[{"U", "[", "b", "]"}]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "2"}], ")"}]}], ")"}], "*", 
         RowBox[{"NbNbSigHatEtaEta", "[", 
          RowBox[{"TfSFF", ",", "1", ",", 
           RowBox[{"L", "[", "a", "]"}], ",", 
           RowBox[{"L", "[", "b", "]"}], ",", 
           RowBox[{"L", "[", "i", "]"}], ",", 
           RowBox[{"L", "[", "j", "]"}]}], "]"}], 
         RowBox[{"gSgm", "[", 
          RowBox[{
           RowBox[{"U", "[", "i", "]"}], ",", 
           RowBox[{"U", "[", "b", "]"}]}], "]"}], 
         RowBox[{"gSgm", "[", 
          RowBox[{
           RowBox[{"U", "[", "j", "]"}], ",", 
           RowBox[{"U", "[", "a", "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
       ")"}]}]}], "\[IndentingNewLine]", 
    RowBox[{"(*", "*****)"}], "\[IndentingNewLine]", ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "Killups"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAOne", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454956612934256*^9, 3.4549567386789637`*^9}, {
   3.454956884737966*^9, 3.4549569053469877`*^9}, {3.454956936088744*^9, 
   3.4549569943681297`*^9}, {3.4549570829314213`*^9, 3.454957111832756*^9}, {
   3.454957157466948*^9, 3.454957157971218*^9}, {3.45495721590569*^9, 
   3.454957303301828*^9}, 3.454957341891739*^9, {3.454957401066491*^9, 
   3.4549575924877167`*^9}, {3.454957838228199*^9, 3.454957895878034*^9}, {
   3.4549579415654984`*^9, 3.4549579460724173`*^9}, {3.454958434155774*^9, 
   3.454958445492251*^9}, {3.454958491690441*^9, 3.454958512088077*^9}, {
   3.577542482488798*^9, 3.577542496725176*^9}, {3.577542607133704*^9, 
   3.577542611836607*^9}, {3.5775426447939997`*^9, 3.57754264879778*^9}, {
   3.763975330550913*^9, 3.763975362791658*^9}, {3.763975397680284*^9, 
   3.7639754010800734`*^9}, {3.763975471777491*^9, 3.7639754878727493`*^9}, {
   3.7639755453622227`*^9, 3.763975660292028*^9}, {3.763976007854581*^9, 
   3.763976166767499*^9}}],

Cell[TextData[{
 "We now show that ",
 StyleBox["StepAAOne", "Input"],
 " is equivalent to our tractor ",
 StyleBox["TracSFF", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.7641825517849627`*^9, 3.764182581974427*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TracSFFHolder", "=", 
   RowBox[{"TracSFF", "[", 
    RowBox[{
     RowBox[{"L", "[", "AA", "]"}], ",", 
     RowBox[{"L", "[", "BB", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "TracSFFHolder"}], "Input",
 CellChangeTimes->{{3.764061217503366*^9, 3.764061233236417*^9}}],

Cell[OutputFormData["\<\
TracSFF[L[AA], L[BB]]\
\>", "\<\
TracSFF
       AA BB\
\>"], "Output",
 CellChangeTimes->{3.764061235157937*^9, 3.764182535877307*^9, 
  3.764676535620701*^9, 3.7660884626784897`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAOne"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "-", "TracSFFHolder"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAATwo", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4549579599745398`*^9, 3.454958022176112*^9}, {
  3.454958060253933*^9, 3.45495806106594*^9}, {3.454958104228064*^9, 
  3.4549581163207197`*^9}, {3.7640612423257523`*^9, 3.7640612497337523`*^9}}],

Cell[TextData[{
 "We will show that our working expression (",
 StyleBox["StepAATwo", "Input"],
 ") is zero.  This will require some work."
}], "Text",
 CellChangeTimes->{{3.764182662591414*^9, 3.7641826825319567`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAATwo"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTfSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandgSgm"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorExpand", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAThree", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454958139813671*^9, 3.454958189996155*^9}, {
  3.454958225677808*^9, 3.454958289505026*^9}, {3.4549583401313334`*^9, 
  3.454958359832176*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAThree"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandRhoSigma"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandHmc"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "KWeylTr"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFour", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.454958397506259*^9, 3.454958406062448*^9}, {
  3.454958562797876*^9, 3.454958685343686*^9}, {3.454958740907188*^9, 
  3.4549587541668787`*^9}, {3.454958821587338*^9, 3.454958826350554*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAAFour"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandYS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandZS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandXS"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandPiPro"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "PartsNvec"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAAFive", "=", "Temp"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4549588368778257`*^9, 3.4549589659409113`*^9}, {
  3.454959043875*^9, 3.454959049348963*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OldTensor", "=", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "a", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"L", "[", "b", "]"}], ",", " ", 
          RowBox[{"U", "[", "b", "]"}], ",", " ", 
          RowBox[{"L", "[", "a", "]"}]}], "]"}], "*", 
        RowBox[{"X", "[", 
         RowBox[{"L", "[", "AA", "]"}], "]"}], "*", 
        RowBox[{"X", "[", 
         RowBox[{"L", "[", "BB", "]"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n"}], ")"}]}], " ", "-", " ", 
     "\n", "  ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "a", "]"}], "]"}], "*", 
        RowBox[{"Nvec", "[", 
         RowBox[{"U", "[", "b", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"Nvec", "[", 
          RowBox[{"U", "[", "c", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"L", "[", "a", "]"}], ",", " ", 
          RowBox[{"L", "[", "b", "]"}], ",", " ", 
          RowBox[{"L", "[", "c", "]"}]}], "]"}], "*", 
        RowBox[{"X", "[", 
         RowBox[{"L", "[", "AA", "]"}], "]"}], "*", 
        RowBox[{"X", "[", 
         RowBox[{"L", "[", "BB", "]"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "+", " ", "n"}], ")"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", "OldTensor"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"U", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "a", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NewTensor", "=", "Temp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAASix", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"StepAAFive", "+", "NewTensor", "-", "OldTensor"}], "//", 
     "TensorSimplify"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4549591247067537`*^9, 3.454959359171764*^9}, {
  3.763976769595852*^9, 3.763976803940092*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Temp", "=", "StepAASix"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "c", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"CommuteCovD", "[", 
    RowBox[{"Temp", ",", 
     RowBox[{"L", "[", "b", "]"}], ",", 
     RowBox[{"L", "[", "a", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"ToWeylRho", "[", "Temp", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"SuperSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "NvecRule"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"(", 
    RowBox[{"Temp", "/.", "ExpandTracSFF"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Temp", "=", 
   RowBox[{"TensorSimplify", "[", "Temp", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StepAASeven", "=", "Temp"}], 
  ";"}], "\[IndentingNewLine]", "StepAASeven"}], "Input",
 CellChangeTimes->{{3.454959394689413*^9, 3.454959396557529*^9}, {
  3.454959504953424*^9, 3.4549595645855093`*^9}, {3.4549596046195507`*^9, 
  3.454959610639758*^9}, {3.454959646273992*^9, 3.4549596532257833`*^9}, {
  3.454959716592914*^9, 3.454959741422014*^9}, {3.4549597743629017`*^9, 
  3.454959786224135*^9}, {3.454959844152954*^9, 3.454959846175043*^9}, {
  3.7640612752380667`*^9, 3.76406129797301*^9}}],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
 CellChangeTimes->{3.7640612995580797`*^9, 3.764182812007614*^9, 
  3.764676547694502*^9, 3.7660885246716003`*^9}]
}, Open  ]],

Cell[TextData[{
 "The output from the above commands should be zero.  This confirms our rule \
for expanding ",
 StyleBox["TracSFF", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.764062641435313*^9, 3.7640626856710978`*^9}}],

Cell["Set the default output format type.", "Text",
 CellChangeTimes->{{3.765879093989146*^9, 3.765879105330894*^9}},
 Background->RGBColor[1, 1, 0]],

Cell[TextData[{
 "To obtain graphical output in future ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work sessions, you will probably need to set the default output format \
type to either \[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 "\[CloseCurlyDoubleQuote] or \[OpenCurlyDoubleQuote]",
 StyleBox["StandardForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  Commands for doing this appear below.  I have \
also included a command which sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ",\[CloseCurlyDoubleQuote] but this default output format type will probably \
produce undesirable results.  If you are about to end the current ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " work session, I would suggest that you run the second or third of the \
three commands that follow below."
}], "Text",
 CellChangeTimes->{{3.765875392064986*^9, 3.765875400456007*^9}, {
   3.76587834324405*^9, 3.765878394132082*^9}, {3.765878426413321*^9, 
   3.765878445061092*^9}, {3.765961193069166*^9, 3.765961194076791*^9}, {
   3.7659663532701883`*^9, 3.765966465475971*^9}, {3.765966856155119*^9, 
   3.765966861099286*^9}, {3.765967018581056*^9, 3.765967086149837*^9}, {
   3.765967317464937*^9, 3.765967361792934*^9}, {3.765967508707835*^9, 
   3.765967542084031*^9}, {3.7659676087017612`*^9, 3.765967609572803*^9}, 
   3.765969161406293*^9, {3.7659703321643476`*^9, 3.7659703333552847`*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["InputForm", "Input"],
 ".\[CloseCurlyDoubleQuote]  This may produce undesirable results."
}], "Text",
 CellChangeTimes->{{3.765966621690692*^9, 3.765966665064301*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/definp.m"}]], "Input",
 CellChangeTimes->{{3.765966474501273*^9, 3.765966489902224*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]",
 StyleBox["TraditionalForm", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.765966720265163*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/deftra.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878494045458*^9}}],

Cell[TextData[{
 "The following command sets the default output format type to \
\[OpenCurlyDoubleQuote]Standard",
 StyleBox["Form", "Input"],
 ".\[CloseCurlyDoubleQuote]"
}], "Text",
 CellChangeTimes->{{3.7659666838835278`*^9, 3.7659667382811604`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "~/bop/gen/dtm/defstd.m"}]], "Input",
 CellChangeTimes->{{3.765878480491482*^9, 3.765878510741659*^9}}]
},
WindowSize->{1850, 1082},
WindowMargins->{{0, Automatic}, {61, 30}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{594.25, 840.5},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", 
   "lawrence_peterson", "rsc", "Rod", "pfa"}, "OutPfaff.ps", 
  CharacterEncoding -> "iso8859-1"]},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->2.,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 694, 11, 76, "Text"],
Cell[1254, 33, 812, 20, 148, "Text"],
Cell[2069, 55, 243, 6, 97, "Text"],
Cell[2315, 63, 485, 13, 107, "Text"],
Cell[2803, 78, 149, 2, 96, "Text"],
Cell[2955, 82, 225, 5, 64, "Text"],
Cell[3183, 89, 84, 2, 65, "Input"],
Cell[3270, 93, 161, 2, 96, "Text"],
Cell[3434, 97, 207, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[3666, 107, 246, 5, 65, "Input"],
Cell[3915, 114, 2092, 37, 162, "Output"]
}, Open  ]],
Cell[6022, 154, 182, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[6229, 164, 99, 1, 63, "Input"],
Cell[6331, 167, 200, 5, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6568, 177, 290, 4, 63, "Input"],
Cell[6861, 183, 925, 19, 212, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7823, 207, 1364, 30, 624, "Input"],
Cell[9190, 239, 723, 15, 80, "Print"]
}, Open  ]],
Cell[9928, 257, 171, 3, 97, "Text"],
Cell[10102, 262, 652, 13, 192, "Text"],
Cell[CellGroupData[{
Cell[10779, 279, 216, 4, 65, "Input"],
Cell[10998, 285, 562, 8, 47, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11597, 298, 291, 8, 107, "Input"],
Cell[11891, 308, 627, 13, 124, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12555, 326, 127, 2, 63, "Input"],
Cell[12685, 330, 593, 12, 103, "Output"]
}, Open  ]],
Cell[13293, 345, 373, 9, 97, "Text"],
Cell[13669, 356, 4162, 160, 529, "Text"],
Cell[17834, 518, 5264, 134, 831, "Input"],
Cell[23101, 654, 221, 7, 64, "Text"],
Cell[CellGroupData[{
Cell[23347, 665, 314, 8, 107, "Input"],
Cell[23664, 675, 208, 7, 124, "Output"]
}, Open  ]],
Cell[23887, 685, 1519, 45, 495, "Input"],
Cell[25409, 732, 219, 5, 64, "Text"],
Cell[25631, 739, 2236, 70, 753, "Input"],
Cell[27870, 811, 1655, 51, 538, "Input"],
Cell[29528, 864, 1680, 52, 581, "Input"],
Cell[31211, 918, 3436, 99, 666, "Input"],
Cell[CellGroupData[{
Cell[34672, 1021, 2128, 59, 623, "Input"],
Cell[36803, 1082, 171, 6, 103, "Output"]
}, Open  ]],
Cell[36989, 1091, 227, 6, 64, "Text"],
Cell[37219, 1099, 149, 2, 96, "Text"],
Cell[37371, 1103, 1464, 27, 234, "Text"],
Cell[38838, 1132, 285, 6, 64, "Text"],
Cell[39126, 1140, 132, 2, 91, "Input"],
Cell[39261, 1144, 254, 6, 64, "Text"],
Cell[39518, 1152, 132, 2, 91, "Input"],
Cell[39653, 1156, 253, 6, 64, "Text"],
Cell[39909, 1164, 132, 2, 124, "Input"]
}
]
*)

